/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/sexp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_SEXP_TYPE_DEFINITIONS
#define BGL_AST_SEXP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_SEXP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00(void);
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00(void);
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_sexpz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00(BgL_nodez00_bglt);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_sexpz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00(void);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2containszd2zz__r4_strings_6_7z00(obj_t, obj_t,
		int);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
		(BgL_globalz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31513ze3ze5zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzast_sexpz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza37555ze3ze5zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	static obj_t BGl_liipze70ze7zzast_sexpz00(obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00(void);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_sexpz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t);
	static obj_t BGl_zc3z04exitza31507ze3ze70z60zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_nodez00_bglt);
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t __cnst[52];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d8089za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e38090z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzf2srczd2ze3nodezd2envz11zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8091z00,
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8092z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8052z00zzast_sexpz00,
		BgL_bgl_string8052za700za7za7a8093za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string8053z00zzast_sexpz00,
		BgL_bgl_string8053za700za7za7a8094za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string8054z00zzast_sexpz00,
		BgL_bgl_string8054za700za7za7a8095za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string8055z00zzast_sexpz00,
		BgL_bgl_string8055za700za7za7a8096za7, "Illegal `static-pragma' expression",
		34);
	      DEFINE_STRING(BGl_string8056z00zzast_sexpz00,
		BgL_bgl_string8056za700za7za7a8097za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string8057z00zzast_sexpz00,
		BgL_bgl_string8057za700za7za7a8098za7,
		"illegal `$let' expression, does not produce a let", 49);
	      DEFINE_STRING(BGl_string8058z00zzast_sexpz00,
		BgL_bgl_string8058za700za7za7a8099za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string8059z00zzast_sexpz00,
		BgL_bgl_string8059za700za7za7a8100za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string8060z00zzast_sexpz00,
		BgL_bgl_string8060za700za7za7a8101za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string8061z00zzast_sexpz00,
		BgL_bgl_string8061za700za7za7a8102za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string8062z00zzast_sexpz00,
		BgL_bgl_string8062za700za7za7a8103za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string8063z00zzast_sexpz00,
		BgL_bgl_string8063za700za7za7a8104za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string8064z00zzast_sexpz00,
		BgL_bgl_string8064za700za7za7a8105za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string8065z00zzast_sexpz00,
		BgL_bgl_string8065za700za7za7a8106za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string8066z00zzast_sexpz00,
		BgL_bgl_string8066za700za7za7a8107za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string8067z00zzast_sexpz00,
		BgL_bgl_string8067za700za7za7a8108za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string8068z00zzast_sexpz00,
		BgL_bgl_string8068za700za7za7a8109za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string8069z00zzast_sexpz00,
		BgL_bgl_string8069za700za7za7a8110za7, "Illegal `()' expression", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza78111za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8070z00zzast_sexpz00,
		BgL_bgl_string8070za700za7za7a8112za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string8071z00zzast_sexpz00,
		BgL_bgl_string8071za700za7za7a8113za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string8072z00zzast_sexpz00,
		BgL_bgl_string8072za700za7za7a8114za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string8073z00zzast_sexpz00,
		BgL_bgl_string8073za700za7za7a8115za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string8074z00zzast_sexpz00,
		BgL_bgl_string8074za700za7za7a8116za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string8075z00zzast_sexpz00,
		BgL_bgl_string8075za700za7za7a8117za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string8076z00zzast_sexpz00,
		BgL_bgl_string8076za700za7za7a8118za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string8077z00zzast_sexpz00,
		BgL_bgl_string8077za700za7za7a8119za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string8078z00zzast_sexpz00,
		BgL_bgl_string8078za700za7za7a8120za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string8079z00zzast_sexpz00,
		BgL_bgl_string8079za700za7za7a8121za7, "($1)", 4);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string8080z00zzast_sexpz00,
		BgL_bgl_string8080za700za7za7a8122za7, "<@", 2);
	      DEFINE_STRING(BGl_string8081z00zzast_sexpz00,
		BgL_bgl_string8081za700za7za7a8123za7, ":", 1);
	      DEFINE_STRING(BGl_string8082z00zzast_sexpz00,
		BgL_bgl_string8082za700za7za7a8124za7, "./", 2);
	      DEFINE_STRING(BGl_string8083z00zzast_sexpz00,
		BgL_bgl_string8083za700za7za7a8125za7, "@>", 2);
	      DEFINE_STRING(BGl_string8084z00zzast_sexpz00,
		BgL_bgl_string8084za700za7za7a8126za7, ">", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za78127za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string8085z00zzast_sexpz00,
		BgL_bgl_string8085za700za7za7a8128za7, "-", 1);
	      DEFINE_STRING(BGl_string8086z00zzast_sexpz00,
		BgL_bgl_string8086za700za7za7a8129za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string8087z00zzast_sexpz00,
		BgL_bgl_string8087za700za7za7a8130za7,
		"args-safe nesting not mutex @> bdb anonymous location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) at (@ define-primop-ref/loc! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock apply synchronize jump-exit set-exit case failure free-pragma/effect static-pragma free-pragma pragma/effect letrec* labels letrec let $let define begin -> __r4_control_features_6_9 quote @ eval bool test set! pragma else (quote ()) lambda value if (value apply app set! test) ",
		503);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym8131z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza78132za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e8133za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod8134za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl8135z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim8136z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2nameza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2resza2zd2zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2sitesza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2ifza2z00zzast_sexpz00));
		     ADD_ROOT((void *) (&BGl_za2cachezd2stackza2zd2zzast_sexpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_15832, char *BgL_fromz00_15833)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_sexpz00();
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					return BGl_toplevelzd2initzd2zzast_sexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "ast_sexp");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_15821;

				{	/* Ast/sexp.scm 14 */
					obj_t BgL_stringz00_15828;

					BgL_stringz00_15828 = BGl_string8087z00zzast_sexpz00;
					{	/* Ast/sexp.scm 14 */
						obj_t BgL_startz00_15829;

						BgL_startz00_15829 = BINT(0L);
						{	/* Ast/sexp.scm 14 */
							obj_t BgL_endz00_15830;

							BgL_endz00_15830 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_15828)));
							{	/* Ast/sexp.scm 14 */

								BgL_cportz00_15821 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_15828, BgL_startz00_15829, BgL_endz00_15830);
				}}}}
				{
					long BgL_iz00_15822;

					BgL_iz00_15822 = 51L;
				BgL_loopz00_15823:
					if ((BgL_iz00_15822 == (-1L)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg8088z00_15824;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_15826;

										BgL_locationz00_15826 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg8088z00_15824 =
												BGl_readz00zz__readerz00(BgL_cportz00_15821,
												BgL_locationz00_15826);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_tmpz00_15871;

									BgL_tmpz00_15871 = (int) (BgL_iz00_15822);
									CNST_TABLE_SET(BgL_tmpz00_15871, BgL_arg8088z00_15824);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_15827;

								BgL_auxz00_15827 = (int) ((BgL_iz00_15822 - 1L));
								{
									long BgL_iz00_15876;

									BgL_iz00_15876 = (long) (BgL_auxz00_15827);
									BgL_iz00_15822 = BgL_iz00_15876;
									goto BgL_loopz00_15823;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = ((obj_t) CNST_TABLE_REF(0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}

	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		{	/* Ast/sexp.scm 66 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3z04exitza31507ze3ze70z60zzast_sexpz00(BgL_locz00_18,
					BgL_expz00_17));
		}

	}



/* <@exit:1507>~0 */
	obj_t BGl_zc3z04exitza31507ze3ze70z60zzast_sexpz00(obj_t BgL_locz00_15819,
		obj_t BgL_expz00_15818)
	{
		{	/* Ast/sexp.scm 67 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1110z00_1761;

			if (SET_EXIT(BgL_an_exit1110z00_1761))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1110z00_1761 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 67 */
						obj_t BgL_env1114z00_1762;

						BgL_env1114z00_1762 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1114z00_1762, BgL_an_exit1110z00_1761, 1L);
						{	/* Ast/sexp.scm 67 */
							obj_t BgL_an_exitd1111z00_1763;

							BgL_an_exitd1111z00_1763 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1114z00_1762);
							{	/* Ast/sexp.scm 67 */
								obj_t BgL_res1113z00_1766;

								{	/* Ast/sexp.scm 70 */
									obj_t BgL_zc3z04anonymousza31514ze3z87_15761;
									obj_t BgL_zc3z04anonymousza31513ze3z87_15762;

									BgL_zc3z04anonymousza31514ze3z87_15761 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31514ze3ze5zzast_sexpz00,
										(int) (0L), (int) (2L));
									BgL_zc3z04anonymousza31513ze3z87_15762 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31513ze3ze5zzast_sexpz00,
										(int) (1L), (int) (1L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31514ze3z87_15761,
										(int) (0L), BgL_expz00_15818);
									PROCEDURE_SET(BgL_zc3z04anonymousza31514ze3z87_15761,
										(int) (1L), BgL_locz00_15819);
									PROCEDURE_SET(BgL_zc3z04anonymousza31513ze3z87_15762,
										(int) (0L), BgL_an_exitd1111z00_1763);
									BgL_res1113z00_1766 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3z04anonymousza31513ze3z87_15762,
										BgL_zc3z04anonymousza31514ze3z87_15761);
								}
								POP_ENV_EXIT(BgL_env1114z00_1762);
								return BgL_res1113z00_1766;
							}
						}
					}
				}
		}

	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15763, obj_t BgL_expz00_15764, obj_t BgL_locz00_15765)
	{
		{	/* Ast/sexp.scm 66 */
			return
				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15764,
				BgL_locz00_15765);
		}

	}



/* &<@anonymous:1514> */
	obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzast_sexpz00(obj_t BgL_envz00_15766)
	{
		{	/* Ast/sexp.scm 72 */
			{	/* Ast/sexp.scm 73 */
				obj_t BgL_expz00_15767;
				obj_t BgL_locz00_15768;

				BgL_expz00_15767 = PROCEDURE_REF(BgL_envz00_15766, (int) (0L));
				BgL_locz00_15768 = PROCEDURE_REF(BgL_envz00_15766, (int) (1L));
				return
					((obj_t)
					BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15767, BNIL,
						BgL_locz00_15768, ((obj_t) CNST_TABLE_REF(2))));
			}
		}

	}



/* &<@anonymous:1513> */
	obj_t BGl_z62zc3z04anonymousza31513ze3ze5zzast_sexpz00(obj_t BgL_envz00_15769,
		obj_t BgL_ez00_15771)
	{
		{	/* Ast/sexp.scm 69 */
			{	/* Ast/sexp.scm 70 */
				obj_t BgL_an_exitd1111z00_15770;

				BgL_an_exitd1111z00_15770 = PROCEDURE_REF(BgL_envz00_15769, (int) (0L));
				BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_15771);
				return
					unwind_stack_until(BgL_an_exitd1111z00_15770, BFALSE, BUNSPEC, BFALSE,
					BFALSE);
			}
		}

	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}

	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_15772)
	{
		{	/* Ast/sexp.scm 88 */
			return BGl_ifzd2symzd2zzast_sexpz00();
		}

	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		{	/* Ast/sexp.scm 100 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 101 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 101 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 101 */
							if ((CAR(((obj_t) BgL_ez00_20)) == ((obj_t) CNST_TABLE_REF(3))))
								{	/* Ast/sexp.scm 101 */
									obj_t BgL_tmpz00_15929;

									BgL_tmpz00_15929 = CDR(((obj_t) BgL_ez00_20));
									return PAIRP(BgL_tmpz00_15929);
								}
							else
								{	/* Ast/sexp.scm 101 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 101 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		{	/* Ast/sexp.scm 114 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1788;
				obj_t BgL_lz00_1793;
				obj_t BgL_bodyz00_1797;
				obj_t BgL_lz00_1802;
				obj_t BgL_valz00_1803;
				obj_t BgL_bindingsz00_1807;
				obj_t BgL_exprz00_1808;
				obj_t BgL_bodyz00_1810;
				obj_t BgL_argsz00_1811;
				obj_t BgL_bindingsz00_1813;
				obj_t BgL_exprz00_1814;
				obj_t BgL_varz00_1818;
				obj_t BgL_bodyz00_1819;
				obj_t BgL_argz00_1820;
				obj_t BgL_varsz00_1822;
				obj_t BgL_bodyz00_1823;
				obj_t BgL_argsz00_1824;
				obj_t BgL_testz00_1826;
				obj_t BgL_proc1z00_1827;
				obj_t BgL_proc2z00_1828;
				obj_t BgL_argsz00_1829;
				obj_t BgL_testz00_1831;
				obj_t BgL_proc1z00_1832;
				obj_t BgL_proc2z00_1833;
				obj_t BgL_argsz00_1834;
				obj_t BgL_effectz00_1838;
				obj_t BgL_restz00_1839;
				obj_t BgL_effectz00_1843;
				obj_t BgL_restz00_1844;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 119 */
						{	/* Ast/sexp.scm 122 */
							BgL_nodez00_bglt BgL_res7978z00_10593;

							{	/* Ast/sexp.scm 735 */
								obj_t BgL_arg7755z00_10589;
								BgL_nodez00_bglt BgL_arg7756z00_10590;

								BgL_arg7755z00_10589 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg7756z00_10590 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t)
										CNST_TABLE_REF(4)), BNIL, BgL_locz00_23,
									((obj_t) CNST_TABLE_REF(2)));
								{	/* Ast/sexp.scm 734 */
									obj_t BgL_list7757z00_10592;

									BgL_list7757z00_10592 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg7756z00_10590), BNIL);
									BgL_res7978z00_10593 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg7755z00_10589,
											BGl_string8069z00zzast_sexpz00, BgL_expz00_21,
											BgL_list7757z00_10592));
								}
							}
							return BgL_res7978z00_10593;
						}
					}
				else
					{	/* Ast/sexp.scm 119 */
						bool_t BgL_test8143z00_15946;

						{	/* Ast/sexp.scm 119 */
							obj_t BgL_classz00_11398;

							BgL_classz00_11398 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_expz00_21))
								{	/* Ast/sexp.scm 119 */
									BgL_objectz00_bglt BgL_arg1858z00_11400;

									BgL_arg1858z00_11400 = (BgL_objectz00_bglt) (BgL_expz00_21);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/sexp.scm 119 */
											long BgL_idxz00_11406;

											BgL_idxz00_11406 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_11400);
											BgL_test8143z00_15946 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_11406 + 1L)) == BgL_classz00_11398);
										}
									else
										{	/* Ast/sexp.scm 119 */
											bool_t BgL_res8018z00_11431;

											{	/* Ast/sexp.scm 119 */
												obj_t BgL_oclassz00_11414;

												{	/* Ast/sexp.scm 119 */
													obj_t BgL_arg1866z00_11422;
													long BgL_arg1867z00_11423;

													BgL_arg1866z00_11422 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/sexp.scm 119 */
														long BgL_arg1869z00_11424;

														BgL_arg1869z00_11424 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_11400);
														BgL_arg1867z00_11423 =
															(BgL_arg1869z00_11424 - OBJECT_TYPE);
													}
													BgL_oclassz00_11414 =
														VECTOR_REF(BgL_arg1866z00_11422,
														BgL_arg1867z00_11423);
												}
												{	/* Ast/sexp.scm 119 */
													bool_t BgL__ortest_1115z00_11415;

													BgL__ortest_1115z00_11415 =
														(BgL_classz00_11398 == BgL_oclassz00_11414);
													if (BgL__ortest_1115z00_11415)
														{	/* Ast/sexp.scm 119 */
															BgL_res8018z00_11431 = BgL__ortest_1115z00_11415;
														}
													else
														{	/* Ast/sexp.scm 119 */
															long BgL_odepthz00_11416;

															{	/* Ast/sexp.scm 119 */
																obj_t BgL_arg1855z00_11417;

																BgL_arg1855z00_11417 = (BgL_oclassz00_11414);
																BgL_odepthz00_11416 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_11417);
															}
															if ((1L < BgL_odepthz00_11416))
																{	/* Ast/sexp.scm 119 */
																	obj_t BgL_arg1853z00_11419;

																	{	/* Ast/sexp.scm 119 */
																		obj_t BgL_arg1854z00_11420;

																		BgL_arg1854z00_11420 =
																			(BgL_oclassz00_11414);
																		BgL_arg1853z00_11419 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_11420, 1L);
																	}
																	BgL_res8018z00_11431 =
																		(BgL_arg1853z00_11419 ==
																		BgL_classz00_11398);
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_res8018z00_11431 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test8143z00_15946 = BgL_res8018z00_11431;
										}
								}
							else
								{	/* Ast/sexp.scm 119 */
									BgL_test8143z00_15946 = ((bool_t) 0);
								}
						}
						if (BgL_test8143z00_15946)
							{
								obj_t BgL_auxz00_15969;

								{	/* Ast/sexp.scm 125 */
									bool_t BgL_test8148z00_15970;

									{	/* Ast/sexp.scm 125 */
										obj_t BgL_classz00_10594;

										BgL_classz00_10594 = BGl_externz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 125 */
												BgL_objectz00_bglt BgL_arg1858z00_10596;

												BgL_arg1858z00_10596 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 125 */
														long BgL_idxz00_10602;

														BgL_idxz00_10602 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10596);
														BgL_test8148z00_15970 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_10602 + 3L)) == BgL_classz00_10594);
													}
												else
													{	/* Ast/sexp.scm 125 */
														bool_t BgL_res7979z00_10627;

														{	/* Ast/sexp.scm 125 */
															obj_t BgL_oclassz00_10610;

															{	/* Ast/sexp.scm 125 */
																obj_t BgL_arg1866z00_10618;
																long BgL_arg1867z00_10619;

																BgL_arg1866z00_10618 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/sexp.scm 125 */
																	long BgL_arg1869z00_10620;

																	BgL_arg1869z00_10620 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10596);
																	BgL_arg1867z00_10619 =
																		(BgL_arg1869z00_10620 - OBJECT_TYPE);
																}
																BgL_oclassz00_10610 =
																	VECTOR_REF(BgL_arg1866z00_10618,
																	BgL_arg1867z00_10619);
															}
															{	/* Ast/sexp.scm 125 */
																bool_t BgL__ortest_1115z00_10611;

																BgL__ortest_1115z00_10611 =
																	(BgL_classz00_10594 == BgL_oclassz00_10610);
																if (BgL__ortest_1115z00_10611)
																	{	/* Ast/sexp.scm 125 */
																		BgL_res7979z00_10627 =
																			BgL__ortest_1115z00_10611;
																	}
																else
																	{	/* Ast/sexp.scm 125 */
																		long BgL_odepthz00_10612;

																		{	/* Ast/sexp.scm 125 */
																			obj_t BgL_arg1855z00_10613;

																			BgL_arg1855z00_10613 =
																				(BgL_oclassz00_10610);
																			BgL_odepthz00_10612 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_10613);
																		}
																		if ((3L < BgL_odepthz00_10612))
																			{	/* Ast/sexp.scm 125 */
																				obj_t BgL_arg1853z00_10615;

																				{	/* Ast/sexp.scm 125 */
																					obj_t BgL_arg1854z00_10616;

																					BgL_arg1854z00_10616 =
																						(BgL_oclassz00_10610);
																					BgL_arg1853z00_10615 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_10616, 3L);
																				}
																				BgL_res7979z00_10627 =
																					(BgL_arg1853z00_10615 ==
																					BgL_classz00_10594);
																			}
																		else
																			{	/* Ast/sexp.scm 125 */
																				BgL_res7979z00_10627 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test8148z00_15970 = BgL_res7979z00_10627;
													}
											}
										else
											{	/* Ast/sexp.scm 125 */
												BgL_test8148z00_15970 = ((bool_t) 0);
											}
									}
									if (BgL_test8148z00_15970)
										{	/* Ast/sexp.scm 127 */
											obj_t BgL_l01295z00_9380;

											BgL_l01295z00_9380 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt) BgL_expz00_21)))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1294z00_9382;

												BgL_l1294z00_9382 = BgL_l01295z00_9380;
											BgL_zc3z04anonymousza37274ze3z87_9383:
												if (NULLP(BgL_l1294z00_9382))
													{	/* Ast/sexp.scm 127 */
														BgL_l01295z00_9380;
													}
												else
													{	/* Ast/sexp.scm 127 */
														{	/* Ast/sexp.scm 127 */
															BgL_nodez00_bglt BgL_arg7276z00_9385;

															{	/* Ast/sexp.scm 127 */
																obj_t BgL_ez00_9386;

																BgL_ez00_9386 =
																	CAR(((obj_t) BgL_l1294z00_9382));
																{	/* Ast/sexp.scm 127 */
																	obj_t BgL_arg7277z00_9387;

																	BgL_arg7277z00_9387 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_externz00_bglt)
																						BgL_expz00_21))))->BgL_locz00);
																	BgL_arg7276z00_9385 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_9386, BgL_stackz00_22,
																		BgL_arg7277z00_9387,
																		((obj_t) CNST_TABLE_REF(2)));
																}
															}
															{	/* Ast/sexp.scm 127 */
																obj_t BgL_auxz00_16007;
																obj_t BgL_tmpz00_16005;

																BgL_auxz00_16007 =
																	((obj_t) BgL_arg7276z00_9385);
																BgL_tmpz00_16005 = ((obj_t) BgL_l1294z00_9382);
																SET_CAR(BgL_tmpz00_16005, BgL_auxz00_16007);
															}
														}
														{	/* Ast/sexp.scm 127 */
															obj_t BgL_arg7278z00_9388;

															BgL_arg7278z00_9388 =
																CDR(((obj_t) BgL_l1294z00_9382));
															{
																obj_t BgL_l1294z00_16012;

																BgL_l1294z00_16012 = BgL_arg7278z00_9388;
																BgL_l1294z00_9382 = BgL_l1294z00_16012;
																goto BgL_zc3z04anonymousza37274ze3z87_9383;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 125 */
											BFALSE;
										}
								}
								{	/* Ast/sexp.scm 128 */
									bool_t BgL_test8154z00_16013;

									{	/* Ast/sexp.scm 128 */
										obj_t BgL_classz00_10631;

										BgL_classz00_10631 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_expz00_21))
											{	/* Ast/sexp.scm 128 */
												BgL_objectz00_bglt BgL_arg1858z00_10633;

												BgL_arg1858z00_10633 =
													(BgL_objectz00_bglt) (BgL_expz00_21);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 128 */
														long BgL_idxz00_10639;

														BgL_idxz00_10639 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10633);
														BgL_test8154z00_16013 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_10639 + 3L)) == BgL_classz00_10631);
													}
												else
													{	/* Ast/sexp.scm 128 */
														bool_t BgL_res7980z00_10664;

														{	/* Ast/sexp.scm 128 */
															obj_t BgL_oclassz00_10647;

															{	/* Ast/sexp.scm 128 */
																obj_t BgL_arg1866z00_10655;
																long BgL_arg1867z00_10656;

																BgL_arg1866z00_10655 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/sexp.scm 128 */
																	long BgL_arg1869z00_10657;

																	BgL_arg1869z00_10657 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10633);
																	BgL_arg1867z00_10656 =
																		(BgL_arg1869z00_10657 - OBJECT_TYPE);
																}
																BgL_oclassz00_10647 =
																	VECTOR_REF(BgL_arg1866z00_10655,
																	BgL_arg1867z00_10656);
															}
															{	/* Ast/sexp.scm 128 */
																bool_t BgL__ortest_1115z00_10648;

																BgL__ortest_1115z00_10648 =
																	(BgL_classz00_10631 == BgL_oclassz00_10647);
																if (BgL__ortest_1115z00_10648)
																	{	/* Ast/sexp.scm 128 */
																		BgL_res7980z00_10664 =
																			BgL__ortest_1115z00_10648;
																	}
																else
																	{	/* Ast/sexp.scm 128 */
																		long BgL_odepthz00_10649;

																		{	/* Ast/sexp.scm 128 */
																			obj_t BgL_arg1855z00_10650;

																			BgL_arg1855z00_10650 =
																				(BgL_oclassz00_10647);
																			BgL_odepthz00_10649 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_10650);
																		}
																		if ((3L < BgL_odepthz00_10649))
																			{	/* Ast/sexp.scm 128 */
																				obj_t BgL_arg1853z00_10652;

																				{	/* Ast/sexp.scm 128 */
																					obj_t BgL_arg1854z00_10653;

																					BgL_arg1854z00_10653 =
																						(BgL_oclassz00_10647);
																					BgL_arg1853z00_10652 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_10653, 3L);
																				}
																				BgL_res7980z00_10664 =
																					(BgL_arg1853z00_10652 ==
																					BgL_classz00_10631);
																			}
																		else
																			{	/* Ast/sexp.scm 128 */
																				BgL_res7980z00_10664 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test8154z00_16013 = BgL_res7980z00_10664;
													}
											}
										else
											{	/* Ast/sexp.scm 128 */
												BgL_test8154z00_16013 = ((bool_t) 0);
											}
									}
									if (BgL_test8154z00_16013)
										{	/* Ast/sexp.scm 130 */
											obj_t BgL_l01298z00_9392;

											BgL_l01298z00_9392 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_expz00_21)))->BgL_argsz00);
											{
												obj_t BgL_l1297z00_9394;

												BgL_l1297z00_9394 = BgL_l01298z00_9392;
											BgL_zc3z04anonymousza37280ze3z87_9395:
												if (NULLP(BgL_l1297z00_9394))
													{	/* Ast/sexp.scm 130 */
														BgL_l01298z00_9392;
													}
												else
													{	/* Ast/sexp.scm 130 */
														{	/* Ast/sexp.scm 130 */
															BgL_nodez00_bglt BgL_arg7282z00_9397;

															{	/* Ast/sexp.scm 130 */
																obj_t BgL_ez00_9398;

																BgL_ez00_9398 =
																	CAR(((obj_t) BgL_l1297z00_9394));
																{	/* Ast/sexp.scm 130 */
																	obj_t BgL_arg7283z00_9399;

																	BgL_arg7283z00_9399 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt) BgL_expz00_21))))->
																		BgL_locz00);
																	BgL_arg7282z00_9397 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_9398, BgL_stackz00_22,
																		BgL_arg7283z00_9399,
																		((obj_t) CNST_TABLE_REF(2)));
																}
															}
															{	/* Ast/sexp.scm 130 */
																obj_t BgL_auxz00_16050;
																obj_t BgL_tmpz00_16048;

																BgL_auxz00_16050 =
																	((obj_t) BgL_arg7282z00_9397);
																BgL_tmpz00_16048 = ((obj_t) BgL_l1297z00_9394);
																SET_CAR(BgL_tmpz00_16048, BgL_auxz00_16050);
															}
														}
														{	/* Ast/sexp.scm 130 */
															obj_t BgL_arg7284z00_9400;

															BgL_arg7284z00_9400 =
																CDR(((obj_t) BgL_l1297z00_9394));
															{
																obj_t BgL_l1297z00_16055;

																BgL_l1297z00_16055 = BgL_arg7284z00_9400;
																BgL_l1297z00_9394 = BgL_l1297z00_16055;
																goto BgL_zc3z04anonymousza37280ze3z87_9395;
															}
														}
													}
											}
										}
									else
										{	/* Ast/sexp.scm 128 */
											BFALSE;
										}
								}
								BgL_auxz00_15969 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_15969);
							}
						else
							{	/* Ast/sexp.scm 119 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 119 */
										obj_t BgL_carzd2479zd2_1865;

										BgL_carzd2479zd2_1865 = CAR(((obj_t) BgL_expz00_21));
										if (SYMBOLP(BgL_carzd2479zd2_1865))
											{	/* Ast/sexp.scm 119 */
												bool_t BgL_test8162z00_16063;

												{	/* Ast/sexp.scm 119 */
													obj_t BgL__ortest_1147z00_5625;

													BgL__ortest_1147z00_5625 =
														BGl_findzd2localzd2zzast_sexpz00
														(BgL_carzd2479zd2_1865, BgL_stackz00_22);
													if (CBOOL(BgL__ortest_1147z00_5625))
														{	/* Ast/sexp.scm 119 */
															BgL_test8162z00_16063 =
																CBOOL(BgL__ortest_1147z00_5625);
														}
													else
														{	/* Ast/sexp.scm 119 */
															obj_t BgL_gz00_5626;

															BgL_gz00_5626 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd2479zd2_1865, BNIL);
															if (CBOOL(BgL_gz00_5626))
																{	/* Ast/sexp.scm 119 */
																	if (
																		((((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							BgL_gz00_5626)))->
																				BgL_modulez00) ==
																			((obj_t) CNST_TABLE_REF(13))))
																		{	/* Ast/sexp.scm 119 */
																			BgL_test8162z00_16063 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 119 */
																			BgL_test8162z00_16063 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 119 */
																	BgL_test8162z00_16063 = ((bool_t) 0);
																}
														}
												}
												if (BgL_test8162z00_16063)
													{	/* Ast/sexp.scm 119 */
														BGL_TAIL return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(
																	((obj_t) BgL_expz00_21)) ==
																((obj_t) CNST_TABLE_REF(11))))
															{	/* Ast/sexp.scm 119 */
															BgL_tagzd2371zd2_1792:
																{	/* Ast/sexp.scm 174 */
																	obj_t BgL_locz00_9432;

																	BgL_locz00_9432 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_9433;
																		obj_t BgL_modulez00_9434;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 175 */
																				obj_t BgL_cdrzd275167zd2_9439;

																				BgL_cdrzd275167zd2_9439 =
																					CDR(((obj_t) BgL_expz00_21));
																				if (
																					(CAR(
																							((obj_t) BgL_expz00_21)) ==
																						((obj_t) CNST_TABLE_REF(11))))
																					{	/* Ast/sexp.scm 175 */
																						if (PAIRP(BgL_cdrzd275167zd2_9439))
																							{	/* Ast/sexp.scm 175 */
																								obj_t BgL_carzd275170zd2_9443;
																								obj_t BgL_cdrzd275171zd2_9444;

																								BgL_carzd275170zd2_9443 =
																									CAR(BgL_cdrzd275167zd2_9439);
																								BgL_cdrzd275171zd2_9444 =
																									CDR(BgL_cdrzd275167zd2_9439);
																								if (SYMBOLP
																									(BgL_carzd275170zd2_9443))
																									{	/* Ast/sexp.scm 175 */
																										if (PAIRP
																											(BgL_cdrzd275171zd2_9444))
																											{	/* Ast/sexp.scm 175 */
																												obj_t
																													BgL_carzd275176zd2_9447;
																												BgL_carzd275176zd2_9447
																													=
																													CAR
																													(BgL_cdrzd275171zd2_9444);
																												if (SYMBOLP
																													(BgL_carzd275176zd2_9447))
																													{	/* Ast/sexp.scm 175 */
																														if (NULLP(CDR
																																(BgL_cdrzd275171zd2_9444)))
																															{	/* Ast/sexp.scm 175 */
																																BgL_namez00_9433
																																	=
																																	BgL_carzd275170zd2_9443;
																																BgL_modulez00_9434
																																	=
																																	BgL_carzd275176zd2_9447;
																																{	/* Ast/sexp.scm 177 */
																																	obj_t
																																		BgL_globalz00_9453;
																																	obj_t
																																		BgL_locz00_9454;
																																	BgL_globalz00_9453
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_9433,
																																		BgL_modulez00_9434);
																																	BgL_locz00_9454
																																		=
																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																		(BgL_namez00_9433,
																																		BgL_locz00_9432);
																																	{	/* Ast/sexp.scm 180 */
																																		bool_t
																																			BgL_test8174z00_16111;
																																		{	/* Ast/sexp.scm 180 */
																																			obj_t
																																				BgL_classz00_10787;
																																			BgL_classz00_10787
																																				=
																																				BGl_globalz00zzast_varz00;
																																			if (BGL_OBJECTP(BgL_globalz00_9453))
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_objectz00_bglt
																																						BgL_arg1858z00_10789;
																																					BgL_arg1858z00_10789
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_globalz00_9453);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* Ast/sexp.scm 180 */
																																							long
																																								BgL_idxz00_10795;
																																							BgL_idxz00_10795
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1858z00_10789);
																																							BgL_test8174z00_16111
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_10795
																																										+
																																										2L))
																																								==
																																								BgL_classz00_10787);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 180 */
																																							bool_t
																																								BgL_res7986z00_10820;
																																							{	/* Ast/sexp.scm 180 */
																																								obj_t
																																									BgL_oclassz00_10803;
																																								{	/* Ast/sexp.scm 180 */
																																									obj_t
																																										BgL_arg1866z00_10811;
																																									long
																																										BgL_arg1867z00_10812;
																																									BgL_arg1866z00_10811
																																										=
																																										(BGl_za2classesza2z00zz__objectz00);
																																									{	/* Ast/sexp.scm 180 */
																																										long
																																											BgL_arg1869z00_10813;
																																										BgL_arg1869z00_10813
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1858z00_10789);
																																										BgL_arg1867z00_10812
																																											=
																																											(BgL_arg1869z00_10813
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_10803
																																										=
																																										VECTOR_REF
																																										(BgL_arg1866z00_10811,
																																										BgL_arg1867z00_10812);
																																								}
																																								{	/* Ast/sexp.scm 180 */
																																									bool_t
																																										BgL__ortest_1115z00_10804;
																																									BgL__ortest_1115z00_10804
																																										=
																																										(BgL_classz00_10787
																																										==
																																										BgL_oclassz00_10803);
																																									if (BgL__ortest_1115z00_10804)
																																										{	/* Ast/sexp.scm 180 */
																																											BgL_res7986z00_10820
																																												=
																																												BgL__ortest_1115z00_10804;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 180 */
																																											long
																																												BgL_odepthz00_10805;
																																											{	/* Ast/sexp.scm 180 */
																																												obj_t
																																													BgL_arg1855z00_10806;
																																												BgL_arg1855z00_10806
																																													=
																																													(BgL_oclassz00_10803);
																																												BgL_odepthz00_10805
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_arg1855z00_10806);
																																											}
																																											if ((2L < BgL_odepthz00_10805))
																																												{	/* Ast/sexp.scm 180 */
																																													obj_t
																																														BgL_arg1853z00_10808;
																																													{	/* Ast/sexp.scm 180 */
																																														obj_t
																																															BgL_arg1854z00_10809;
																																														BgL_arg1854z00_10809
																																															=
																																															(BgL_oclassz00_10803);
																																														BgL_arg1853z00_10808
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_arg1854z00_10809,
																																															2L);
																																													}
																																													BgL_res7986z00_10820
																																														=
																																														(BgL_arg1853z00_10808
																																														==
																																														BgL_classz00_10787);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 180 */
																																													BgL_res7986z00_10820
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test8174z00_16111
																																								=
																																								BgL_res7986z00_10820;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 180 */
																																					BgL_test8174z00_16111
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test8174z00_16111)
																																			{	/* Ast/sexp.scm 180 */
																																				if (
																																					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_9453)))->BgL_importz00) == ((obj_t) CNST_TABLE_REF(10))))
																																					{	/* Ast/sexp.scm 183 */
																																						obj_t
																																							BgL_arg7317z00_9458;
																																						{	/* Ast/sexp.scm 183 */
																																							obj_t
																																								BgL_arg7318z00_9459;
																																							BgL_arg7318z00_9459
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_atomz00zzast_nodez00,
																																								BNIL);
																																							BgL_arg7317z00_9458
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(10)), BgL_arg7318z00_9459);
																																						}
																																						{
																																							obj_t
																																								BgL_locz00_16145;
																																							obj_t
																																								BgL_expz00_16144;
																																							BgL_expz00_16144
																																								=
																																								BgL_arg7317z00_9458;
																																							BgL_locz00_16145
																																								=
																																								BgL_locz00_9454;
																																							BgL_locz00_23
																																								=
																																								BgL_locz00_16145;
																																							BgL_expz00_21
																																								=
																																								BgL_expz00_16144;
																																							goto
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 182 */
																																						return
																																							BGl_variablezd2ze3nodez31zzast_sexpz00
																																							(BgL_globalz00_9453,
																																							BgL_locz00_9454,
																																							BgL_sitez00_24);
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 181 */
																																				BgL_nodez00_bglt
																																					BgL_res7987z00_10827;
																																				{	/* Ast/sexp.scm 735 */
																																					obj_t
																																						BgL_arg7755z00_10823;
																																					BgL_nodez00_bglt
																																						BgL_arg7756z00_10824;
																																					BgL_arg7755z00_10823
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg7756z00_10824
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_9454, ((obj_t) CNST_TABLE_REF(2)));
																																					{	/* Ast/sexp.scm 734 */
																																						obj_t
																																							BgL_list7757z00_10826;
																																						BgL_list7757z00_10826
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) BgL_arg7756z00_10824), BNIL);
																																						BgL_res7987z00_10827
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_9454,
																																								BgL_arg7755z00_10823,
																																								BGl_string8067z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list7757z00_10826));
																																					}
																																				}
																																				return
																																					BgL_res7987z00_10827;
																																			}
																																	}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 175 */
																															BgL_tagzd275160zd2_9436:
																																{	/* Ast/sexp.scm 187 */
																																	BgL_nodez00_bglt
																																		BgL_res7988z00_10833;
																																	{	/* Ast/sexp.scm 735 */
																																		obj_t
																																			BgL_arg7755z00_10829;
																																		BgL_nodez00_bglt
																																			BgL_arg7756z00_10830;
																																		BgL_arg7755z00_10829
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg7756z00_10830
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(4)),
																																			BNIL,
																																			BgL_locz00_9432,
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(2)));
																																		{	/* Ast/sexp.scm 734 */
																																			obj_t
																																				BgL_list7757z00_10832;
																																			BgL_list7757z00_10832
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) BgL_arg7756z00_10830), BNIL);
																																			BgL_res7988z00_10833
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_9432,
																																					BgL_arg7755z00_10829,
																																					BGl_string8066z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list7757z00_10832));
																																		}
																																	}
																																	return
																																		BgL_res7988z00_10833;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 175 */
																														goto
																															BgL_tagzd275160zd2_9436;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 175 */
																												goto
																													BgL_tagzd275160zd2_9436;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 175 */
																										goto
																											BgL_tagzd275160zd2_9436;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 175 */
																								goto BgL_tagzd275160zd2_9436;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 175 */
																						goto BgL_tagzd275160zd2_9436;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 175 */
																				goto BgL_tagzd275160zd2_9436;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(
																			((obj_t) BgL_expz00_21)) ==
																		((obj_t) CNST_TABLE_REF(14))))
																	{	/* Ast/sexp.scm 119 */
																		obj_t BgL_arg1587z00_1880;

																		BgL_arg1587z00_1880 =
																			CDR(((obj_t) BgL_expz00_21));
																		BgL_lz00_1793 = BgL_arg1587z00_1880;
																	BgL_tagzd2372zd2_1794:
																		{	/* Ast/sexp.scm 190 */
																			bool_t BgL_test8181z00_16177;

																			if (PAIRP(BgL_lz00_1793))
																				{	/* Ast/sexp.scm 190 */
																					bool_t BgL_test8183z00_16180;

																					{	/* Ast/sexp.scm 190 */
																						obj_t BgL_tmpz00_16181;

																						BgL_tmpz00_16181 =
																							CDR(BgL_lz00_1793);
																						BgL_test8183z00_16180 =
																							PAIRP(BgL_tmpz00_16181);
																					}
																					if (BgL_test8183z00_16180)
																						{
																							obj_t BgL_l1299z00_9478;

																							BgL_l1299z00_9478 = BgL_lz00_1793;
																						BgL_zc3z04anonymousza37329ze3z87_9479:
																							if (NULLP
																								(BgL_l1299z00_9478))
																								{	/* Ast/sexp.scm 190 */
																									BgL_test8181z00_16177 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 190 */
																									bool_t BgL_test8185z00_16186;

																									{	/* Ast/sexp.scm 190 */
																										obj_t BgL_tmpz00_16187;

																										BgL_tmpz00_16187 =
																											CAR(
																											((obj_t)
																												BgL_l1299z00_9478));
																										BgL_test8185z00_16186 =
																											SYMBOLP(BgL_tmpz00_16187);
																									}
																									if (BgL_test8185z00_16186)
																										{
																											obj_t BgL_l1299z00_16191;

																											BgL_l1299z00_16191 =
																												CDR(
																												((obj_t)
																													BgL_l1299z00_9478));
																											BgL_l1299z00_9478 =
																												BgL_l1299z00_16191;
																											goto
																												BgL_zc3z04anonymousza37329ze3z87_9479;
																										}
																									else
																										{	/* Ast/sexp.scm 190 */
																											BgL_test8181z00_16177 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 190 */
																							BgL_test8181z00_16177 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 190 */
																					BgL_test8181z00_16177 = ((bool_t) 0);
																				}
																			if (BgL_test8181z00_16177)
																				{	/* Ast/sexp.scm 190 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1793, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 192 */
																					BgL_nodez00_bglt BgL_res7989z00_10848;

																					{	/* Ast/sexp.scm 735 */
																						obj_t BgL_arg7755z00_10844;
																						BgL_nodez00_bglt
																							BgL_arg7756z00_10845;
																						BgL_arg7755z00_10844 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg7756z00_10845 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(((obj_t) CNST_TABLE_REF(4)),
																							BNIL, BgL_locz00_23,
																							((obj_t) CNST_TABLE_REF(2)));
																						{	/* Ast/sexp.scm 734 */
																							obj_t BgL_list7757z00_10847;

																							BgL_list7757z00_10847 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_arg7756z00_10845),
																								BNIL);
																							BgL_res7989z00_10848 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg7755z00_10844,
																									BGl_string8063z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list7757z00_10847));
																						}
																					}
																					return BgL_res7989z00_10848;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(
																					((obj_t) BgL_expz00_21)) ==
																				((obj_t) CNST_TABLE_REF(12))))
																			{	/* Ast/sexp.scm 119 */
																			BgL_tagzd2373zd2_1795:
																				{
																					obj_t BgL_valuez00_9487;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 119 */
																							obj_t BgL_cdrzd275187zd2_9492;

																							BgL_cdrzd275187zd2_9492 =
																								CDR(((obj_t) BgL_expz00_21));
																							if (PAIRP
																								(BgL_cdrzd275187zd2_9492))
																								{	/* Ast/sexp.scm 119 */
																									if (NULLP(CDR
																											(BgL_cdrzd275187zd2_9492)))
																										{	/* Ast/sexp.scm 119 */
																											BgL_valuez00_9487 =
																												CAR
																												(BgL_cdrzd275187zd2_9492);
																											{	/* Ast/sexp.scm 197 */
																												obj_t BgL_locz00_9498;

																												BgL_locz00_9498 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_9487))
																													{	/* Ast/sexp.scm 200 */
																														BgL_literalz00_bglt
																															BgL_new1124z00_9500;
																														{	/* Ast/sexp.scm 201 */
																															BgL_literalz00_bglt
																																BgL_new1123z00_9502;
																															BgL_new1123z00_9502
																																=
																																(
																																(BgL_literalz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_literalz00_bgl))));
																															{	/* Ast/sexp.scm 201 */
																																long
																																	BgL_arg7341z00_9503;
																																BgL_arg7341z00_9503
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_literalz00zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1123z00_9502), BgL_arg7341z00_9503);
																															}
																															{	/* Ast/sexp.scm 201 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_16228;
																																BgL_tmpz00_16228
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1123z00_9502);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_16228,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1123z00_9502);
																															BgL_new1124z00_9500
																																=
																																BgL_new1123z00_9502;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1124z00_9500)))->BgL_locz00) = ((obj_t) BgL_locz00_9498), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_16234;
																															{	/* Ast/sexp.scm 202 */
																																BgL_typez00_bglt
																																	BgL_arg7340z00_9501;
																																BgL_arg7340z00_9501
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_9487);
																																BgL_auxz00_16234
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg7340z00_9501,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1124z00_9500)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16234), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_new1124z00_9500)))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1124z00_9500);
																													}
																												else
																													{	/* Ast/sexp.scm 204 */
																														bool_t
																															BgL_test8191z00_16243;
																														if (PAIRP
																															(BgL_valuez00_9487))
																															{	/* Ast/sexp.scm 204 */
																																BgL_test8191z00_16243
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 204 */
																																if (VECTORP
																																	(BgL_valuez00_9487))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_test8191z00_16243
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (BGL_HVECTORP(BgL_valuez00_9487))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_test8191z00_16243
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (STRUCTP(BgL_valuez00_9487))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_test8191z00_16243
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (SYMBOLP(BgL_valuez00_9487))
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test8191z00_16243
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 208 */
																																								BgL_test8191z00_16243
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_9487);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_test8191z00_16243)
																															{	/* Ast/sexp.scm 210 */
																																BgL_kwotez00_bglt
																																	BgL_new1126z00_9510;
																																{	/* Ast/sexp.scm 211 */
																																	BgL_kwotez00_bglt
																																		BgL_new1125z00_9512;
																																	BgL_new1125z00_9512
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 211 */
																																		long
																																			BgL_arg7349z00_9513;
																																		BgL_arg7349z00_9513
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_kwotez00zzast_nodez00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1125z00_9512), BgL_arg7349z00_9513);
																																	}
																																	{	/* Ast/sexp.scm 211 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_16259;
																																		BgL_tmpz00_16259
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1125z00_9512);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_tmpz00_16259,
																																			BFALSE);
																																	}
																																	((BgL_objectz00_bglt) BgL_new1125z00_9512);
																																	BgL_new1126z00_9510
																																		=
																																		BgL_new1125z00_9512;
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1126z00_9510)))->BgL_locz00) = ((obj_t) BgL_locz00_9498), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_16265;
																																	{	/* Ast/sexp.scm 212 */
																																		BgL_typez00_bglt
																																			BgL_arg7348z00_9511;
																																		BgL_arg7348z00_9511
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_9487);
																																		BgL_auxz00_16265
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg7348z00_9511,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1126z00_9510)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16265), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) COBJECT(BgL_new1126z00_9510))->BgL_valuez00) = ((obj_t) BgL_valuez00_9487), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1126z00_9510);
																															}
																														else
																															{	/* Ast/sexp.scm 214 */
																																bool_t
																																	BgL_test8197z00_16273;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_9487))
																																	{	/* Ast/sexp.scm 214 */
																																		BgL_test8197z00_16273
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 214 */
																																		if (STRINGP
																																			(BgL_valuez00_9487))
																																			{	/* Ast/sexp.scm 215 */
																																				BgL_test8197z00_16273
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 215 */
																																				if (CNSTP(BgL_valuez00_9487))
																																					{	/* Ast/sexp.scm 216 */
																																						BgL_test8197z00_16273
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 216 */
																																						if (CHARP(BgL_valuez00_9487))
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test8197z00_16273
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 220 */
																																								BgL_test8197z00_16273
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_9487);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_test8197z00_16273)
																																	{
																																		obj_t
																																			BgL_locz00_16284;
																																		obj_t
																																			BgL_expz00_16283;
																																		BgL_expz00_16283
																																			=
																																			BgL_valuez00_9487;
																																		BgL_locz00_16284
																																			=
																																			BgL_locz00_9498;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_16284;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_16283;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 224 */
																																		BgL_nodez00_bglt
																																			BgL_res7990z00_10862;
																																		{	/* Ast/sexp.scm 735 */
																																			obj_t
																																				BgL_arg7755z00_10858;
																																			BgL_nodez00_bglt
																																				BgL_arg7756z00_10859;
																																			BgL_arg7755z00_10858
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg7756z00_10859
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_9498, ((obj_t) CNST_TABLE_REF(2)));
																																			{	/* Ast/sexp.scm 734 */
																																				obj_t
																																					BgL_list7757z00_10861;
																																				BgL_list7757z00_10861
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) BgL_arg7756z00_10859), BNIL);
																																				BgL_res7990z00_10862
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_9498,
																																						BgL_arg7755z00_10858,
																																						BGl_string8065z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list7757z00_10861));
																																			}
																																		}
																																		return
																																			BgL_res7990z00_10862;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																										BgL_tagzd275182zd2_9489:
																											{	/* Ast/sexp.scm 226 */
																												BgL_nodez00_bglt
																													BgL_res7991z00_10868;
																												{	/* Ast/sexp.scm 735 */
																													obj_t
																														BgL_arg7755z00_10864;
																													BgL_nodez00_bglt
																														BgL_arg7756z00_10865;
																													BgL_arg7755z00_10864 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg7756z00_10865 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(((obj_t)
																															CNST_TABLE_REF
																															(4)), BNIL,
																														BgL_locz00_23,
																														((obj_t)
																															CNST_TABLE_REF
																															(2)));
																													{	/* Ast/sexp.scm 734 */
																														obj_t
																															BgL_list7757z00_10867;
																														BgL_list7757z00_10867
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg7756z00_10865),
																															BNIL);
																														BgL_res7991z00_10868
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg7755z00_10864,
																																BGl_string8065z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list7757z00_10867));
																													}
																												}
																												return
																													BgL_res7991z00_10868;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									goto BgL_tagzd275182zd2_9489;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							goto BgL_tagzd275182zd2_9489;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				if (
																					(CAR(
																							((obj_t) BgL_expz00_21)) ==
																						((obj_t) CNST_TABLE_REF(15))))
																					{	/* Ast/sexp.scm 119 */
																						if (NULLP(CDR(
																									((obj_t) BgL_expz00_21))))
																							{	/* Ast/sexp.scm 119 */
																							BgL_tagzd2374zd2_1796:
																								{
																									obj_t BgL_locz00_16319;
																									obj_t BgL_expz00_16318;

																									BgL_expz00_16318 = BUNSPEC;
																									BgL_locz00_16319 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_16319;
																									BgL_expz00_21 =
																										BgL_expz00_16318;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 119 */
																								obj_t BgL_arg1597z00_1887;

																								BgL_arg1597z00_1887 =
																									CDR(((obj_t) BgL_expz00_21));
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_16323;
																									BgL_bodyz00_1797 =
																										BgL_arg1597z00_1887;
																								BgL_tagzd2375zd2_1798:
																									{	/* Ast/sexp.scm 231 */
																										obj_t BgL_locz00_9529;

																										BgL_locz00_9529 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 231 */
																											obj_t BgL_nodesz00_9530;

																											BgL_nodesz00_9530 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1797,
																												BgL_stackz00_22,
																												BgL_locz00_9529,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 232 */

																												{	/* Ast/sexp.scm 233 */
																													BgL_sequencez00_bglt
																														BgL_new1128z00_9531;
																													{	/* Ast/sexp.scm 234 */
																														BgL_sequencez00_bglt
																															BgL_new1127z00_9532;
																														BgL_new1127z00_9532
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 234 */
																															long
																																BgL_arg7356z00_9533;
																															BgL_arg7356z00_9533
																																=
																																BGL_CLASS_NUM
																																(BGl_sequencez00zzast_nodez00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1127z00_9532), BgL_arg7356z00_9533);
																														}
																														{	/* Ast/sexp.scm 234 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_16330;
																															BgL_tmpz00_16330 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1127z00_9532);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_16330,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1127z00_9532);
																														BgL_new1128z00_9531
																															=
																															BgL_new1127z00_9532;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1128z00_9531)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_9529),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1128z00_9531)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_9531)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1128z00_9531)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9531))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_9530), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9531))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													((((BgL_sequencez00_bglt) COBJECT(BgL_new1128z00_9531))->BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																													BgL_auxz00_16323 =
																														BgL_new1128z00_9531;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_16323);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_carzd2611zd2_1889;
																						obj_t BgL_cdrzd2612zd2_1890;

																						BgL_carzd2611zd2_1889 =
																							CAR(((obj_t) BgL_expz00_21));
																						BgL_cdrzd2612zd2_1890 =
																							CDR(((obj_t) BgL_expz00_21));
																						{

																							if (
																								(BgL_carzd2611zd2_1889 ==
																									((obj_t) CNST_TABLE_REF(1))))
																								{
																									obj_t BgL_auxz00_16356;

																								BgL_kapzd2613zd2_1891:
																									if (PAIRP
																										(BgL_cdrzd2612zd2_1890))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd2616zd2_3129;
																											BgL_cdrzd2616zd2_3129 =
																												CDR
																												(BgL_cdrzd2612zd2_1890);
																											if (PAIRP
																												(BgL_cdrzd2616zd2_3129))
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd2619zd2_3131;
																													BgL_cdrzd2619zd2_3131
																														=
																														CDR
																														(BgL_cdrzd2616zd2_3129);
																													if ((CAR
																															(BgL_cdrzd2616zd2_3129)
																															== BTRUE))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd2619zd2_3131))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_cdrzd2619zd2_3131)
																																			==
																																			BFALSE))
																																		{	/* Ast/sexp.scm 119 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd2619zd2_3131)))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_sitez00_24
																																							==
																																							((obj_t) CNST_TABLE_REF(8))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg2684z00_3141;
																																							BgL_arg2684z00_3141
																																								=
																																								CAR
																																								(BgL_cdrzd2612zd2_1890);
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																								(BgL_arg2684z00_3141,
																																									BgL_stackz00_22,
																																									BgL_locz00_23,
																																									BgL_sitez00_24));
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd2638zd2_3142;
																																							BgL_carzd2638zd2_3142
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd2638zd2_3142 == ((obj_t) CNST_TABLE_REF(1))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_16387;
																																								BgL_tagzd2377zd2_1801:
																																									{
																																										obj_t
																																											BgL_siz00_9534;
																																										obj_t
																																											BgL_alorsz00_9535;
																																										obj_t
																																											BgL_sinonz00_9536;
																																										obj_t
																																											BgL_siz00_9538;
																																										obj_t
																																											BgL_alorsz00_9539;
																																										if (PAIRP(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd275203zd2_9544;
																																												BgL_cdrzd275203zd2_9544
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if (PAIRP(BgL_cdrzd275203zd2_9544))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd275208zd2_9546;
																																														BgL_cdrzd275208zd2_9546
																																															=
																																															CDR
																																															(BgL_cdrzd275203zd2_9544);
																																														if (PAIRP(BgL_cdrzd275208zd2_9546))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd275213zd2_9548;
																																																BgL_cdrzd275213zd2_9548
																																																	=
																																																	CDR
																																																	(BgL_cdrzd275208zd2_9546);
																																																if (PAIRP(BgL_cdrzd275213zd2_9548))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd275213zd2_9548)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				BgL_siz00_9534
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275203zd2_9544);
																																																				BgL_alorsz00_9535
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275208zd2_9546);
																																																				BgL_sinonz00_9536
																																																					=
																																																					CAR
																																																					(BgL_cdrzd275213zd2_9548);
																																																				{	/* Ast/sexp.scm 244 */
																																																					obj_t
																																																						BgL_ntz00_9563;
																																																					BgL_ntz00_9563
																																																						=
																																																						BGl_notzd2testzd2zzast_sexpz00
																																																						(BgL_siz00_9534);
																																																					if (CBOOL(BgL_ntz00_9563))
																																																						{	/* Ast/sexp.scm 245 */
																																																							{	/* Ast/sexp.scm 247 */
																																																								obj_t
																																																									BgL_arg7372z00_9564;
																																																								BgL_arg7372z00_9564
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 247 */
																																																									obj_t
																																																										BgL_tmpz00_16408;
																																																									BgL_tmpz00_16408
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7372z00_9564);
																																																									SET_CAR
																																																										(BgL_tmpz00_16408,
																																																										BgL_ntz00_9563);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 248 */
																																																								obj_t
																																																									BgL_arg7373z00_9565;
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_pairz00_10881;
																																																									BgL_pairz00_10881
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_arg7373z00_9565
																																																										=
																																																										CDR
																																																										(BgL_pairz00_10881);
																																																								}
																																																								{	/* Ast/sexp.scm 248 */
																																																									obj_t
																																																										BgL_tmpz00_16414;
																																																									BgL_tmpz00_16414
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7373z00_9565);
																																																									SET_CAR
																																																										(BgL_tmpz00_16414,
																																																										BgL_sinonz00_9536);
																																																								}
																																																							}
																																																							{	/* Ast/sexp.scm 249 */
																																																								obj_t
																																																									BgL_arg7374z00_9566;
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_pairz00_10888;
																																																									{	/* Ast/sexp.scm 249 */
																																																										obj_t
																																																											BgL_pairz00_10887;
																																																										BgL_pairz00_10887
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_pairz00_10888
																																																											=
																																																											CDR
																																																											(BgL_pairz00_10887);
																																																									}
																																																									BgL_arg7374z00_9566
																																																										=
																																																										CDR
																																																										(BgL_pairz00_10888);
																																																								}
																																																								{	/* Ast/sexp.scm 249 */
																																																									obj_t
																																																										BgL_tmpz00_16421;
																																																									BgL_tmpz00_16421
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_arg7374z00_9566);
																																																									SET_CAR
																																																										(BgL_tmpz00_16421,
																																																										BgL_alorsz00_9535);
																																																								}
																																																							}
																																																							BgL_auxz00_16387
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(BgL_expz00_21,
																																																								BgL_stackz00_22,
																																																								BgL_locz00_23,
																																																								BgL_sitez00_24);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 251 */
																																																							obj_t
																																																								BgL_locz00_9567;
																																																							BgL_locz00_9567
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 251 */
																																																								obj_t
																																																									BgL_cdlocz00_9568;
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_arg7394z00_9602;
																																																									BgL_arg7394z00_9602
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_9568
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg7394z00_9602,
																																																										BgL_locz00_9567);
																																																								}
																																																								{	/* Ast/sexp.scm 252 */
																																																									obj_t
																																																										BgL_cddlocz00_9569;
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_arg7393z00_9601;
																																																										{	/* Ast/sexp.scm 253 */
																																																											obj_t
																																																												BgL_pairz00_10894;
																																																											BgL_pairz00_10894
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg7393z00_9601
																																																												=
																																																												CDR
																																																												(BgL_pairz00_10894);
																																																										}
																																																										BgL_cddlocz00_9569
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg7393z00_9601,
																																																											BgL_locz00_9567);
																																																									}
																																																									{	/* Ast/sexp.scm 253 */
																																																										obj_t
																																																											BgL_cdddlocz00_9570;
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_arg7392z00_9600;
																																																											{	/* Ast/sexp.scm 254 */
																																																												obj_t
																																																													BgL_pairz00_10900;
																																																												{	/* Ast/sexp.scm 254 */
																																																													obj_t
																																																														BgL_pairz00_10899;
																																																													BgL_pairz00_10899
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_pairz00_10900
																																																														=
																																																														CDR
																																																														(BgL_pairz00_10899);
																																																												}
																																																												BgL_arg7392z00_9600
																																																													=
																																																													CDR
																																																													(BgL_pairz00_10900);
																																																											}
																																																											BgL_cdddlocz00_9570
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg7392z00_9600,
																																																												BgL_locz00_9567);
																																																										}
																																																										{	/* Ast/sexp.scm 254 */
																																																											obj_t
																																																												BgL_lzd2sizd2_9571;
																																																											BgL_lzd2sizd2_9571
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_9534,
																																																												BgL_cdlocz00_9568);
																																																											{	/* Ast/sexp.scm 255 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_9572;
																																																												BgL_lzd2alorszd2_9572
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_9535,
																																																													BgL_cddlocz00_9569);
																																																												{	/* Ast/sexp.scm 256 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_9573;
																																																													BgL_lzd2sinonzd2_9573
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_9536,
																																																														BgL_cdddlocz00_9570);
																																																													{	/* Ast/sexp.scm 257 */
																																																														BgL_nodez00_bglt
																																																															BgL_testz00_9574;
																																																														BgL_testz00_9574
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_9534,
																																																															BgL_stackz00_22,
																																																															BgL_locz00_9567,
																																																															((obj_t) CNST_TABLE_REF(8)));
																																																														{	/* Ast/sexp.scm 258 */

																																																															{	/* Ast/sexp.scm 260 */
																																																																bool_t
																																																																	BgL_test8219z00_16444;
																																																																{	/* Ast/sexp.scm 260 */
																																																																	obj_t
																																																																		BgL_classz00_10901;
																																																																	BgL_classz00_10901
																																																																		=
																																																																		BGl_atomz00zzast_nodez00;
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		BgL_objectz00_bglt
																																																																			BgL_arg1858z00_10903;
																																																																		{	/* Ast/sexp.scm 260 */
																																																																			obj_t
																																																																				BgL_tmpz00_16445;
																																																																			BgL_tmpz00_16445
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				((BgL_objectz00_bglt) BgL_testz00_9574));
																																																																			BgL_arg1858z00_10903
																																																																				=
																																																																				(BgL_objectz00_bglt)
																																																																				(BgL_tmpz00_16445);
																																																																		}
																																																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				long
																																																																					BgL_idxz00_10909;
																																																																				BgL_idxz00_10909
																																																																					=
																																																																					BGL_OBJECT_INHERITANCE_NUM
																																																																					(BgL_arg1858z00_10903);
																																																																				BgL_test8219z00_16444
																																																																					=
																																																																					(VECTOR_REF
																																																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																																																						(BgL_idxz00_10909
																																																																							+
																																																																							2L))
																																																																					==
																																																																					BgL_classz00_10901);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 260 */
																																																																				bool_t
																																																																					BgL_res7992z00_10934;
																																																																				{	/* Ast/sexp.scm 260 */
																																																																					obj_t
																																																																						BgL_oclassz00_10917;
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						obj_t
																																																																							BgL_arg1866z00_10925;
																																																																						long
																																																																							BgL_arg1867z00_10926;
																																																																						BgL_arg1866z00_10925
																																																																							=
																																																																							(BGl_za2classesza2z00zz__objectz00);
																																																																						{	/* Ast/sexp.scm 260 */
																																																																							long
																																																																								BgL_arg1869z00_10927;
																																																																							BgL_arg1869z00_10927
																																																																								=
																																																																								BGL_OBJECT_CLASS_NUM
																																																																								(BgL_arg1858z00_10903);
																																																																							BgL_arg1867z00_10926
																																																																								=
																																																																								(BgL_arg1869z00_10927
																																																																								-
																																																																								OBJECT_TYPE);
																																																																						}
																																																																						BgL_oclassz00_10917
																																																																							=
																																																																							VECTOR_REF
																																																																							(BgL_arg1866z00_10925,
																																																																							BgL_arg1867z00_10926);
																																																																					}
																																																																					{	/* Ast/sexp.scm 260 */
																																																																						bool_t
																																																																							BgL__ortest_1115z00_10918;
																																																																						BgL__ortest_1115z00_10918
																																																																							=
																																																																							(BgL_classz00_10901
																																																																							==
																																																																							BgL_oclassz00_10917);
																																																																						if (BgL__ortest_1115z00_10918)
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								BgL_res7992z00_10934
																																																																									=
																																																																									BgL__ortest_1115z00_10918;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 260 */
																																																																								long
																																																																									BgL_odepthz00_10919;
																																																																								{	/* Ast/sexp.scm 260 */
																																																																									obj_t
																																																																										BgL_arg1855z00_10920;
																																																																									BgL_arg1855z00_10920
																																																																										=
																																																																										(BgL_oclassz00_10917);
																																																																									BgL_odepthz00_10919
																																																																										=
																																																																										BGL_CLASS_DEPTH
																																																																										(BgL_arg1855z00_10920);
																																																																								}
																																																																								if ((2L < BgL_odepthz00_10919))
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										obj_t
																																																																											BgL_arg1853z00_10922;
																																																																										{	/* Ast/sexp.scm 260 */
																																																																											obj_t
																																																																												BgL_arg1854z00_10923;
																																																																											BgL_arg1854z00_10923
																																																																												=
																																																																												(BgL_oclassz00_10917);
																																																																											BgL_arg1853z00_10922
																																																																												=
																																																																												BGL_CLASS_ANCESTORS_REF
																																																																												(BgL_arg1854z00_10923,
																																																																												2L);
																																																																										}
																																																																										BgL_res7992z00_10934
																																																																											=
																																																																											(BgL_arg1853z00_10922
																																																																											==
																																																																											BgL_classz00_10901);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 260 */
																																																																										BgL_res7992z00_10934
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																				BgL_test8219z00_16444
																																																																					=
																																																																					BgL_res7992z00_10934;
																																																																			}
																																																																	}
																																																																}
																																																																if (BgL_test8219z00_16444)
																																																																	{	/* Ast/sexp.scm 260 */
																																																																		if (CBOOL((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt) BgL_testz00_9574)))->BgL_valuez00)))
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_16387
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_9535,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_9572,
																																																																					((obj_t) CNST_TABLE_REF(2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 262 */
																																																																				BgL_auxz00_16387
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_sinonz00_9536,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2sinonzd2_9573,
																																																																					((obj_t) CNST_TABLE_REF(2)));
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 265 */
																																																																		bool_t
																																																																			BgL_test8224z00_16478;
																																																																		{	/* Ast/sexp.scm 265 */
																																																																			obj_t
																																																																				BgL_classz00_10935;
																																																																			BgL_classz00_10935
																																																																				=
																																																																				BGl_kwotez00zzast_nodez00;
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1858z00_10937;
																																																																				{	/* Ast/sexp.scm 265 */
																																																																					obj_t
																																																																						BgL_tmpz00_16479;
																																																																					BgL_tmpz00_16479
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_testz00_9574));
																																																																					BgL_arg1858z00_10937
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_16479);
																																																																				}
																																																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						long
																																																																							BgL_idxz00_10943;
																																																																						BgL_idxz00_10943
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1858z00_10937);
																																																																						BgL_test8224z00_16478
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_10943
																																																																									+
																																																																									2L))
																																																																							==
																																																																							BgL_classz00_10935);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 265 */
																																																																						bool_t
																																																																							BgL_res7993z00_10968;
																																																																						{	/* Ast/sexp.scm 265 */
																																																																							obj_t
																																																																								BgL_oclassz00_10951;
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								obj_t
																																																																									BgL_arg1866z00_10959;
																																																																								long
																																																																									BgL_arg1867z00_10960;
																																																																								BgL_arg1866z00_10959
																																																																									=
																																																																									(BGl_za2classesza2z00zz__objectz00);
																																																																								{	/* Ast/sexp.scm 265 */
																																																																									long
																																																																										BgL_arg1869z00_10961;
																																																																									BgL_arg1869z00_10961
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1858z00_10937);
																																																																									BgL_arg1867z00_10960
																																																																										=
																																																																										(BgL_arg1869z00_10961
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_10951
																																																																									=
																																																																									VECTOR_REF
																																																																									(BgL_arg1866z00_10959,
																																																																									BgL_arg1867z00_10960);
																																																																							}
																																																																							{	/* Ast/sexp.scm 265 */
																																																																								bool_t
																																																																									BgL__ortest_1115z00_10952;
																																																																								BgL__ortest_1115z00_10952
																																																																									=
																																																																									(BgL_classz00_10935
																																																																									==
																																																																									BgL_oclassz00_10951);
																																																																								if (BgL__ortest_1115z00_10952)
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										BgL_res7993z00_10968
																																																																											=
																																																																											BgL__ortest_1115z00_10952;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 265 */
																																																																										long
																																																																											BgL_odepthz00_10953;
																																																																										{	/* Ast/sexp.scm 265 */
																																																																											obj_t
																																																																												BgL_arg1855z00_10954;
																																																																											BgL_arg1855z00_10954
																																																																												=
																																																																												(BgL_oclassz00_10951);
																																																																											BgL_odepthz00_10953
																																																																												=
																																																																												BGL_CLASS_DEPTH
																																																																												(BgL_arg1855z00_10954);
																																																																										}
																																																																										if ((2L < BgL_odepthz00_10953))
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												obj_t
																																																																													BgL_arg1853z00_10956;
																																																																												{	/* Ast/sexp.scm 265 */
																																																																													obj_t
																																																																														BgL_arg1854z00_10957;
																																																																													BgL_arg1854z00_10957
																																																																														=
																																																																														(BgL_oclassz00_10951);
																																																																													BgL_arg1853z00_10956
																																																																														=
																																																																														BGL_CLASS_ANCESTORS_REF
																																																																														(BgL_arg1854z00_10957,
																																																																														2L);
																																																																												}
																																																																												BgL_res7993z00_10968
																																																																													=
																																																																													(BgL_arg1853z00_10956
																																																																													==
																																																																													BgL_classz00_10935);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 265 */
																																																																												BgL_res7993z00_10968
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_test8224z00_16478
																																																																							=
																																																																							BgL_res7993z00_10968;
																																																																					}
																																																																			}
																																																																		}
																																																																		if (BgL_test8224z00_16478)
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				BgL_auxz00_16387
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_alorsz00_9535,
																																																																					BgL_stackz00_22,
																																																																					BgL_lzd2alorszd2_9572,
																																																																					((obj_t) CNST_TABLE_REF(2)));
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 265 */
																																																																				if (CBOOL(BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_testz00_9574)))
																																																																					{	/* Ast/sexp.scm 268 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_alorsz00_9580;
																																																																						BgL_nodez00_bglt
																																																																							BgL_sinonz00_9581;
																																																																						BgL_alorsz00_9580
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_alorsz00_9535,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2alorszd2_9572,
																																																																							((obj_t) CNST_TABLE_REF(2)));
																																																																						BgL_sinonz00_9581
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(BgL_sinonz00_9536,
																																																																							BgL_stackz00_22,
																																																																							BgL_lzd2sinonzd2_9573,
																																																																							((obj_t) CNST_TABLE_REF(2)));
																																																																						{	/* Ast/sexp.scm 270 */
																																																																							BgL_conditionalz00_bglt
																																																																								BgL_new1131z00_9582;
																																																																							{	/* Ast/sexp.scm 271 */
																																																																								BgL_conditionalz00_bglt
																																																																									BgL_new1130z00_9583;
																																																																								BgL_new1130z00_9583
																																																																									=
																																																																									(
																																																																									(BgL_conditionalz00_bglt)
																																																																									BOBJECT
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_conditionalz00_bgl))));
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									long
																																																																										BgL_arg7379z00_9584;
																																																																									BgL_arg7379z00_9584
																																																																										=
																																																																										BGL_CLASS_NUM
																																																																										(BGl_conditionalz00zzast_nodez00);
																																																																									BGL_OBJECT_CLASS_NUM_SET
																																																																										(
																																																																										((BgL_objectz00_bglt) BgL_new1130z00_9583), BgL_arg7379z00_9584);
																																																																								}
																																																																								{	/* Ast/sexp.scm 271 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_tmpz00_16518;
																																																																									BgL_tmpz00_16518
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1130z00_9583);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_tmpz00_16518,
																																																																										BFALSE);
																																																																								}
																																																																								((BgL_objectz00_bglt) BgL_new1130z00_9583);
																																																																								BgL_new1131z00_9582
																																																																									=
																																																																									BgL_new1130z00_9583;
																																																																							}
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_9582)))->BgL_locz00) = ((obj_t) BgL_locz00_9567), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1131z00_9582)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1131z00_9582)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1131z00_9582)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9582))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_9574), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9582))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_9580), BUNSPEC);
																																																																							((((BgL_conditionalz00_bglt) COBJECT(BgL_new1131z00_9582))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_9581), BUNSPEC);
																																																																							BgL_auxz00_16387
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1131z00_9582);
																																																																					}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 277 */
																																																																						obj_t
																																																																							BgL_vz00_9585;
																																																																						BgL_vz00_9585
																																																																							=
																																																																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																																							(BGl_gensymz00zz__r4_symbols_6_4z00
																																																																							(((obj_t) CNST_TABLE_REF(8))));
																																																																						{	/* Ast/sexp.scm 277 */
																																																																							obj_t
																																																																								BgL_varz00_9586;
																																																																							BgL_varz00_9586
																																																																								=
																																																																								BGl_makezd2typedzd2identz00zzast_identz00
																																																																								(BgL_vz00_9585,
																																																																								((obj_t) CNST_TABLE_REF(9)));
																																																																							{	/* Ast/sexp.scm 278 */
																																																																								obj_t
																																																																									BgL_nexpz00_9587;
																																																																								{	/* Ast/sexp.scm 279 */
																																																																									obj_t
																																																																										BgL_arg7387z00_9595;
																																																																									{	/* Ast/sexp.scm 279 */
																																																																										obj_t
																																																																											BgL_arg7388z00_9596;
																																																																										{	/* Ast/sexp.scm 279 */
																																																																											obj_t
																																																																												BgL_arg7389z00_9597;
																																																																											{	/* Ast/sexp.scm 279 */
																																																																												obj_t
																																																																													BgL_arg7390z00_9598;
																																																																												BgL_arg7390z00_9598
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_sinonz00_9536,
																																																																													BNIL);
																																																																												BgL_arg7389z00_9597
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_alorsz00_9535,
																																																																													BgL_arg7390z00_9598);
																																																																											}
																																																																											BgL_arg7388z00_9596
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_vz00_9585,
																																																																												BgL_arg7389z00_9597);
																																																																										}
																																																																										BgL_arg7387z00_9595
																																																																											=
																																																																											MAKE_YOUNG_PAIR
																																																																											(
																																																																											((obj_t) CNST_TABLE_REF(1)), BgL_arg7388z00_9596);
																																																																									}
																																																																									BgL_nexpz00_9587
																																																																										=
																																																																										BGl_epairifyzd2reczd2zztools_miscz00
																																																																										(BgL_arg7387z00_9595,
																																																																										BgL_expz00_21);
																																																																								}
																																																																								{	/* Ast/sexp.scm 279 */

																																																																									{	/* Ast/sexp.scm 280 */
																																																																										obj_t
																																																																											BgL_arg7380z00_9588;
																																																																										{	/* Ast/sexp.scm 280 */
																																																																											obj_t
																																																																												BgL_arg7381z00_9589;
																																																																											obj_t
																																																																												BgL_arg7382z00_9590;
																																																																											BgL_arg7381z00_9589
																																																																												=
																																																																												BGl_letzd2symzd2zzast_letz00
																																																																												();
																																																																											{	/* Ast/sexp.scm 280 */
																																																																												obj_t
																																																																													BgL_arg7383z00_9591;
																																																																												obj_t
																																																																													BgL_arg7384z00_9592;
																																																																												{	/* Ast/sexp.scm 280 */
																																																																													obj_t
																																																																														BgL_arg7385z00_9593;
																																																																													{	/* Ast/sexp.scm 280 */
																																																																														obj_t
																																																																															BgL_arg7386z00_9594;
																																																																														BgL_arg7386z00_9594
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_siz00_9534,
																																																																															BNIL);
																																																																														BgL_arg7385z00_9593
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(BgL_varz00_9586,
																																																																															BgL_arg7386z00_9594);
																																																																													}
																																																																													BgL_arg7383z00_9591
																																																																														=
																																																																														MAKE_YOUNG_PAIR
																																																																														(BgL_arg7385z00_9593,
																																																																														BNIL);
																																																																												}
																																																																												BgL_arg7384z00_9592
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_nexpz00_9587,
																																																																													BNIL);
																																																																												BgL_arg7382z00_9590
																																																																													=
																																																																													MAKE_YOUNG_PAIR
																																																																													(BgL_arg7383z00_9591,
																																																																													BgL_arg7384z00_9592);
																																																																											}
																																																																											BgL_arg7380z00_9588
																																																																												=
																																																																												MAKE_YOUNG_PAIR
																																																																												(BgL_arg7381z00_9589,
																																																																												BgL_arg7382z00_9590);
																																																																										}
																																																																										BGl_replacez12z12zztools_miscz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg7380z00_9588);
																																																																									}
																																																																									BgL_auxz00_16387
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_expz00_21,
																																																																										BgL_stackz00_22,
																																																																										BgL_locz00_9567,
																																																																										BgL_sitez00_24);
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_tagzd275194zd2_9541:
																																																				{	/* Ast/sexp.scm 286 */
																																																					BgL_nodez00_bglt
																																																						BgL_res7995z00_10984;
																																																					{	/* Ast/sexp.scm 735 */
																																																						obj_t
																																																							BgL_arg7755z00_10980;
																																																						BgL_nodez00_bglt
																																																							BgL_arg7756z00_10981;
																																																						BgL_arg7755z00_10980
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg7756z00_10981
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(
																																																							((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																						{	/* Ast/sexp.scm 734 */
																																																							obj_t
																																																								BgL_list7757z00_10983;
																																																							BgL_list7757z00_10983
																																																								=
																																																								MAKE_YOUNG_PAIR
																																																								(
																																																								((obj_t) BgL_arg7756z00_10981), BNIL);
																																																							BgL_res7995z00_10984
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_locz00_23,
																																																									BgL_arg7755z00_10980,
																																																									BGl_string8064z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list7757z00_10983));
																																																						}
																																																					}
																																																					BgL_auxz00_16387
																																																						=
																																																						BgL_res7995z00_10984;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275238zd2_9557;
																																																		BgL_cdrzd275238zd2_9557
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd275203zd2_9544));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd275238zd2_9557))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg7369z00_9560;
																																																				obj_t
																																																					BgL_arg7370z00_9561;
																																																				BgL_arg7369z00_9560
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd275203zd2_9544));
																																																				BgL_arg7370z00_9561
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd275238zd2_9557));
																																																				BgL_siz00_9538
																																																					=
																																																					BgL_arg7369z00_9560;
																																																				BgL_alorsz00_9539
																																																					=
																																																					BgL_arg7370z00_9561;
																																																				{	/* Ast/sexp.scm 283 */
																																																					obj_t
																																																						BgL_arg7395z00_9603;
																																																					obj_t
																																																						BgL_arg7396z00_9604;
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_pairz00_10976;
																																																						BgL_pairz00_10976
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_arg7395z00_9603
																																																							=
																																																							CDR
																																																							(BgL_pairz00_10976);
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_list7397z00_9605;
																																																						BgL_list7397z00_9605
																																																							=
																																																							MAKE_YOUNG_PAIR
																																																							(BUNSPEC,
																																																							BNIL);
																																																						BgL_arg7396z00_9604
																																																							=
																																																							BgL_list7397z00_9605;
																																																					}
																																																					{	/* Ast/sexp.scm 283 */
																																																						obj_t
																																																							BgL_tmpz00_16587;
																																																						BgL_tmpz00_16587
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_arg7395z00_9603);
																																																						SET_CDR
																																																							(BgL_tmpz00_16587,
																																																							BgL_arg7396z00_9604);
																																																					}
																																																				}
																																																				BgL_auxz00_16387
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_stackz00_22,
																																																					BgL_locz00_23,
																																																					BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275194zd2_9541;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd275194zd2_9541;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd275194zd2_9541;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd275194zd2_9541;
																																											}
																																									}
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_16387);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd2638zd2_3142 == BGl_za2ifza2z00zzast_sexpz00))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_16594;
																																											goto
																																												BgL_tagzd2377zd2_1801;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_16594);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_16602;
																																												BgL_tagzd2379zd2_1805:
																																													{
																																														obj_t
																																															BgL_varz00_9632;
																																														obj_t
																																															BgL_valz00_9633;
																																														if (PAIRP(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd275268zd2_9638;
																																																BgL_cdrzd275268zd2_9638
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																if (PAIRP(BgL_cdrzd275268zd2_9638))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275272zd2_9640;
																																																		BgL_cdrzd275272zd2_9640
																																																			=
																																																			CDR
																																																			(BgL_cdrzd275268zd2_9638);
																																																		if (PAIRP(BgL_cdrzd275272zd2_9640))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd275272zd2_9640)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						BgL_varz00_9632
																																																							=
																																																							CAR
																																																							(BgL_cdrzd275268zd2_9638);
																																																						BgL_valz00_9633
																																																							=
																																																							CAR
																																																							(BgL_cdrzd275272zd2_9640);
																																																						{	/* Ast/sexp.scm 295 */
																																																							obj_t
																																																								BgL_locz00_9647;
																																																							BgL_locz00_9647
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 295 */
																																																								obj_t
																																																									BgL_cdlocz00_9648;
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_arg7434z00_9675;
																																																									BgL_arg7434z00_9675
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdlocz00_9648
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg7434z00_9675,
																																																										BgL_locz00_9647);
																																																								}
																																																								{	/* Ast/sexp.scm 296 */
																																																									obj_t
																																																										BgL_cddlocz00_9649;
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_arg7433z00_9674;
																																																										{	/* Ast/sexp.scm 297 */
																																																											obj_t
																																																												BgL_pairz00_11010;
																																																											BgL_pairz00_11010
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_arg7433z00_9674
																																																												=
																																																												CDR
																																																												(BgL_pairz00_11010);
																																																										}
																																																										BgL_cddlocz00_9649
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg7433z00_9674,
																																																											BgL_locz00_9647);
																																																									}
																																																									{	/* Ast/sexp.scm 297 */
																																																										obj_t
																																																											BgL_valzd2loczd2_9650;
																																																										BgL_valzd2loczd2_9650
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_valz00_9633,
																																																											BgL_cddlocz00_9649);
																																																										{	/* Ast/sexp.scm 298 */
																																																											BgL_nodez00_bglt
																																																												BgL_valz00_9651;
																																																											{

																																																												if (PAIRP(BgL_valz00_9633))
																																																													{	/* Ast/sexp.scm 299 */
																																																														if ((CAR(((obj_t) BgL_valz00_9633)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 299 */
																																																																{	/* Ast/sexp.scm 302 */
																																																																	obj_t
																																																																		BgL_arg7432z00_9673;
																																																																	{	/* Ast/sexp.scm 302 */
																																																																		obj_t
																																																																			BgL_arg1486z00_11012;
																																																																		BgL_arg1486z00_11012
																																																																			=
																																																																			SYMBOL_TO_STRING
																																																																			(
																																																																			((obj_t) BgL_varz00_9632));
																																																																		BgL_arg7432z00_9673
																																																																			=
																																																																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																																			(BgL_arg1486z00_11012);
																																																																	}
																																																																	BgL_valz00_9651
																																																																		=
																																																																		BGl_lambdazd2ze3nodez31zzast_sexpz00
																																																																		(BgL_valz00_9633,
																																																																		BgL_stackz00_22,
																																																																		BgL_valzd2loczd2_9650,
																																																																		((obj_t) CNST_TABLE_REF(2)), BgL_arg7432z00_9673);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 299 */
																																																															BgL_tagzd275279zd2_9667:
																																																																BgL_valz00_9651 = BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_9633, BgL_stackz00_22, BgL_valzd2loczd2_9650, ((obj_t) CNST_TABLE_REF(2)));
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 299 */
																																																														goto
																																																															BgL_tagzd275279zd2_9667;
																																																													}
																																																											}
																																																											{	/* Ast/sexp.scm 299 */

																																																												{	/* Ast/sexp.scm 305 */
																																																													BgL_nodez00_bglt
																																																														BgL_astz00_9652;
																																																													BgL_astz00_9652
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_varz00_9632,
																																																														BgL_stackz00_22,
																																																														BgL_cdlocz00_9648,
																																																														((obj_t) CNST_TABLE_REF(7)));
																																																													{	/* Ast/sexp.scm 306 */
																																																														bool_t
																																																															BgL_test8238z00_16644;
																																																														{	/* Ast/sexp.scm 306 */
																																																															obj_t
																																																																BgL_classz00_11014;
																																																															BgL_classz00_11014
																																																																=
																																																																BGl_varz00zzast_nodez00;
																																																															{	/* Ast/sexp.scm 306 */
																																																																BgL_objectz00_bglt
																																																																	BgL_arg1858z00_11016;
																																																																{	/* Ast/sexp.scm 306 */
																																																																	obj_t
																																																																		BgL_tmpz00_16645;
																																																																	BgL_tmpz00_16645
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		((BgL_objectz00_bglt) BgL_astz00_9652));
																																																																	BgL_arg1858z00_11016
																																																																		=
																																																																		(BgL_objectz00_bglt)
																																																																		(BgL_tmpz00_16645);
																																																																}
																																																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		long
																																																																			BgL_idxz00_11022;
																																																																		BgL_idxz00_11022
																																																																			=
																																																																			BGL_OBJECT_INHERITANCE_NUM
																																																																			(BgL_arg1858z00_11016);
																																																																		BgL_test8238z00_16644
																																																																			=
																																																																			(VECTOR_REF
																																																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																																																				(BgL_idxz00_11022
																																																																					+
																																																																					2L))
																																																																			==
																																																																			BgL_classz00_11014);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 306 */
																																																																		bool_t
																																																																			BgL_res7997z00_11047;
																																																																		{	/* Ast/sexp.scm 306 */
																																																																			obj_t
																																																																				BgL_oclassz00_11030;
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				obj_t
																																																																					BgL_arg1866z00_11038;
																																																																				long
																																																																					BgL_arg1867z00_11039;
																																																																				BgL_arg1866z00_11038
																																																																					=
																																																																					(BGl_za2classesza2z00zz__objectz00);
																																																																				{	/* Ast/sexp.scm 306 */
																																																																					long
																																																																						BgL_arg1869z00_11040;
																																																																					BgL_arg1869z00_11040
																																																																						=
																																																																						BGL_OBJECT_CLASS_NUM
																																																																						(BgL_arg1858z00_11016);
																																																																					BgL_arg1867z00_11039
																																																																						=
																																																																						(BgL_arg1869z00_11040
																																																																						-
																																																																						OBJECT_TYPE);
																																																																				}
																																																																				BgL_oclassz00_11030
																																																																					=
																																																																					VECTOR_REF
																																																																					(BgL_arg1866z00_11038,
																																																																					BgL_arg1867z00_11039);
																																																																			}
																																																																			{	/* Ast/sexp.scm 306 */
																																																																				bool_t
																																																																					BgL__ortest_1115z00_11031;
																																																																				BgL__ortest_1115z00_11031
																																																																					=
																																																																					(BgL_classz00_11014
																																																																					==
																																																																					BgL_oclassz00_11030);
																																																																				if (BgL__ortest_1115z00_11031)
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						BgL_res7997z00_11047
																																																																							=
																																																																							BgL__ortest_1115z00_11031;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 306 */
																																																																						long
																																																																							BgL_odepthz00_11032;
																																																																						{	/* Ast/sexp.scm 306 */
																																																																							obj_t
																																																																								BgL_arg1855z00_11033;
																																																																							BgL_arg1855z00_11033
																																																																								=
																																																																								(BgL_oclassz00_11030);
																																																																							BgL_odepthz00_11032
																																																																								=
																																																																								BGL_CLASS_DEPTH
																																																																								(BgL_arg1855z00_11033);
																																																																						}
																																																																						if ((2L < BgL_odepthz00_11032))
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								obj_t
																																																																									BgL_arg1853z00_11035;
																																																																								{	/* Ast/sexp.scm 306 */
																																																																									obj_t
																																																																										BgL_arg1854z00_11036;
																																																																									BgL_arg1854z00_11036
																																																																										=
																																																																										(BgL_oclassz00_11030);
																																																																									BgL_arg1853z00_11035
																																																																										=
																																																																										BGL_CLASS_ANCESTORS_REF
																																																																										(BgL_arg1854z00_11036,
																																																																										2L);
																																																																								}
																																																																								BgL_res7997z00_11047
																																																																									=
																																																																									(BgL_arg1853z00_11035
																																																																									==
																																																																									BgL_classz00_11014);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 306 */
																																																																								BgL_res7997z00_11047
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																		BgL_test8238z00_16644
																																																																			=
																																																																			BgL_res7997z00_11047;
																																																																	}
																																																															}
																																																														}
																																																														if (BgL_test8238z00_16644)
																																																															{	/* Ast/sexp.scm 308 */
																																																																bool_t
																																																																	BgL_test8242z00_16668;
																																																																{	/* Ast/sexp.scm 308 */
																																																																	bool_t
																																																																		BgL_test8243z00_16669;
																																																																	{	/* Ast/sexp.scm 308 */
																																																																		BgL_variablez00_bglt
																																																																			BgL_arg7427z00_9665;
																																																																		BgL_arg7427z00_9665
																																																																			=
																																																																			(
																																																																			((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9652)))->BgL_variablez00);
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			obj_t
																																																																				BgL_classz00_11048;
																																																																			BgL_classz00_11048
																																																																				=
																																																																				BGl_globalz00zzast_varz00;
																																																																			{	/* Ast/sexp.scm 308 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_arg1858z00_11050;
																																																																				{	/* Ast/sexp.scm 308 */
																																																																					obj_t
																																																																						BgL_tmpz00_16672;
																																																																					BgL_tmpz00_16672
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						((BgL_objectz00_bglt) BgL_arg7427z00_9665));
																																																																					BgL_arg1858z00_11050
																																																																						=
																																																																						(BgL_objectz00_bglt)
																																																																						(BgL_tmpz00_16672);
																																																																				}
																																																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						long
																																																																							BgL_idxz00_11056;
																																																																						BgL_idxz00_11056
																																																																							=
																																																																							BGL_OBJECT_INHERITANCE_NUM
																																																																							(BgL_arg1858z00_11050);
																																																																						BgL_test8243z00_16669
																																																																							=
																																																																							(VECTOR_REF
																																																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																																																								(BgL_idxz00_11056
																																																																									+
																																																																									2L))
																																																																							==
																																																																							BgL_classz00_11048);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 308 */
																																																																						bool_t
																																																																							BgL_res7998z00_11081;
																																																																						{	/* Ast/sexp.scm 308 */
																																																																							obj_t
																																																																								BgL_oclassz00_11064;
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								obj_t
																																																																									BgL_arg1866z00_11072;
																																																																								long
																																																																									BgL_arg1867z00_11073;
																																																																								BgL_arg1866z00_11072
																																																																									=
																																																																									(BGl_za2classesza2z00zz__objectz00);
																																																																								{	/* Ast/sexp.scm 308 */
																																																																									long
																																																																										BgL_arg1869z00_11074;
																																																																									BgL_arg1869z00_11074
																																																																										=
																																																																										BGL_OBJECT_CLASS_NUM
																																																																										(BgL_arg1858z00_11050);
																																																																									BgL_arg1867z00_11073
																																																																										=
																																																																										(BgL_arg1869z00_11074
																																																																										-
																																																																										OBJECT_TYPE);
																																																																								}
																																																																								BgL_oclassz00_11064
																																																																									=
																																																																									VECTOR_REF
																																																																									(BgL_arg1866z00_11072,
																																																																									BgL_arg1867z00_11073);
																																																																							}
																																																																							{	/* Ast/sexp.scm 308 */
																																																																								bool_t
																																																																									BgL__ortest_1115z00_11065;
																																																																								BgL__ortest_1115z00_11065
																																																																									=
																																																																									(BgL_classz00_11048
																																																																									==
																																																																									BgL_oclassz00_11064);
																																																																								if (BgL__ortest_1115z00_11065)
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										BgL_res7998z00_11081
																																																																											=
																																																																											BgL__ortest_1115z00_11065;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 308 */
																																																																										long
																																																																											BgL_odepthz00_11066;
																																																																										{	/* Ast/sexp.scm 308 */
																																																																											obj_t
																																																																												BgL_arg1855z00_11067;
																																																																											BgL_arg1855z00_11067
																																																																												=
																																																																												(BgL_oclassz00_11064);
																																																																											BgL_odepthz00_11066
																																																																												=
																																																																												BGL_CLASS_DEPTH
																																																																												(BgL_arg1855z00_11067);
																																																																										}
																																																																										if ((2L < BgL_odepthz00_11066))
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												obj_t
																																																																													BgL_arg1853z00_11069;
																																																																												{	/* Ast/sexp.scm 308 */
																																																																													obj_t
																																																																														BgL_arg1854z00_11070;
																																																																													BgL_arg1854z00_11070
																																																																														=
																																																																														(BgL_oclassz00_11064);
																																																																													BgL_arg1853z00_11069
																																																																														=
																																																																														BGL_CLASS_ANCESTORS_REF
																																																																														(BgL_arg1854z00_11070,
																																																																														2L);
																																																																												}
																																																																												BgL_res7998z00_11081
																																																																													=
																																																																													(BgL_arg1853z00_11069
																																																																													==
																																																																													BgL_classz00_11048);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 308 */
																																																																												BgL_res7998z00_11081
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																						BgL_test8243z00_16669
																																																																							=
																																																																							BgL_res7998z00_11081;
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																	if (BgL_test8243z00_16669)
																																																																		{	/* Ast/sexp.scm 309 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7426z00_9664;
																																																																			BgL_arg7426z00_9664
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9652)))->BgL_variablez00);
																																																																			BgL_test8242z00_16668
																																																																				=
																																																																				BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																																				(
																																																																				((BgL_globalz00_bglt) BgL_arg7426z00_9664));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 308 */
																																																																			BgL_test8242z00_16668
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test8242z00_16668)
																																																																	{	/* Ast/sexp.scm 310 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res7999z00_11087;
																																																																		{	/* Ast/sexp.scm 735 */
																																																																			obj_t
																																																																				BgL_arg7755z00_11083;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7756z00_11084;
																																																																			BgL_arg7755z00_11083
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7756z00_11084
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(
																																																																				((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_cdlocz00_9648, ((obj_t) CNST_TABLE_REF(2)));
																																																																			{	/* Ast/sexp.scm 734 */
																																																																				obj_t
																																																																					BgL_list7757z00_11086;
																																																																				BgL_list7757z00_11086
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7756z00_11084), BNIL);
																																																																				BgL_res7999z00_11087
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_cdlocz00_9648,
																																																																						BgL_arg7755z00_11083,
																																																																						BGl_string8061z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7757z00_11086));
																																																																			}
																																																																		}
																																																																		BgL_auxz00_16602
																																																																			=
																																																																			BgL_res7999z00_11087;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 312 */
																																																																		BgL_setqz00_bglt
																																																																			BgL_new1135z00_9660;
																																																																		{	/* Ast/sexp.scm 313 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1133z00_9661;
																																																																			BgL_new1133z00_9661
																																																																				=
																																																																				(
																																																																				(BgL_setqz00_bglt)
																																																																				BOBJECT
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_setqz00_bgl))));
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				long
																																																																					BgL_arg7425z00_9662;
																																																																				BgL_arg7425z00_9662
																																																																					=
																																																																					BGL_CLASS_NUM
																																																																					(BGl_setqz00zzast_nodez00);
																																																																				BGL_OBJECT_CLASS_NUM_SET
																																																																					(
																																																																					((BgL_objectz00_bglt) BgL_new1133z00_9661), BgL_arg7425z00_9662);
																																																																			}
																																																																			{	/* Ast/sexp.scm 313 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_tmpz00_16714;
																																																																				BgL_tmpz00_16714
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1133z00_9661);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_tmpz00_16714,
																																																																					BFALSE);
																																																																			}
																																																																			((BgL_objectz00_bglt) BgL_new1133z00_9661);
																																																																			BgL_new1135z00_9660
																																																																				=
																																																																				BgL_new1133z00_9661;
																																																																		}
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_9660)))->BgL_locz00) = ((obj_t) BgL_locz00_9647), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1135z00_9660)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_9660))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_9652)), BUNSPEC);
																																																																		((((BgL_setqz00_bglt) COBJECT(BgL_new1135z00_9660))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_9651), BUNSPEC);
																																																																		BgL_auxz00_16602
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1135z00_9660);
																																																															}}
																																																														else
																																																															{	/* Ast/sexp.scm 317 */
																																																																BgL_nodez00_bglt
																																																																	BgL_res8000z00_11097;
																																																																{	/* Ast/sexp.scm 735 */
																																																																	obj_t
																																																																		BgL_arg7755z00_11093;
																																																																	BgL_nodez00_bglt
																																																																		BgL_arg7756z00_11094;
																																																																	BgL_arg7755z00_11093
																																																																		=
																																																																		BGl_shapez00zztools_shapez00
																																																																		(BGl_currentzd2functionzd2zztools_errorz00
																																																																		());
																																																																	BgL_arg7756z00_11094
																																																																		=
																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																		(
																																																																		((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_9647, ((obj_t) CNST_TABLE_REF(2)));
																																																																	{	/* Ast/sexp.scm 734 */
																																																																		obj_t
																																																																			BgL_list7757z00_11096;
																																																																		BgL_list7757z00_11096
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(
																																																																			((obj_t) BgL_arg7756z00_11094), BNIL);
																																																																		BgL_res8000z00_11097
																																																																			=
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																			(BgL_locz00_9647,
																																																																				BgL_arg7755z00_11093,
																																																																				BGl_string8062z00zzast_sexpz00,
																																																																				BgL_expz00_21,
																																																																				BgL_list7757z00_11096));
																																																																	}
																																																																}
																																																																BgL_auxz00_16602
																																																																	=
																																																																	BgL_res8000z00_11097;
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																					BgL_tagzd275261zd2_9635:
																																																						{	/* Ast/sexp.scm 321 */
																																																							obj_t
																																																								BgL_arg7435z00_9676;
																																																							BgL_arg7435z00_9676
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 320 */
																																																								BgL_nodez00_bglt
																																																									BgL_res8001z00_11103;
																																																								{	/* Ast/sexp.scm 735 */
																																																									obj_t
																																																										BgL_arg7755z00_11099;
																																																									BgL_nodez00_bglt
																																																										BgL_arg7756z00_11100;
																																																									BgL_arg7755z00_11099
																																																										=
																																																										BGl_shapez00zztools_shapez00
																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																										());
																																																									BgL_arg7756z00_11100
																																																										=
																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																										(
																																																										((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7435z00_9676, ((obj_t) CNST_TABLE_REF(2)));
																																																									{	/* Ast/sexp.scm 734 */
																																																										obj_t
																																																											BgL_list7757z00_11102;
																																																										BgL_list7757z00_11102
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(
																																																											((obj_t) BgL_arg7756z00_11100), BNIL);
																																																										BgL_res8001z00_11103
																																																											=
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																											(BgL_arg7435z00_9676,
																																																												BgL_arg7755z00_11099,
																																																												BGl_string8060z00zzast_sexpz00,
																																																												BgL_expz00_21,
																																																												BgL_list7757z00_11102));
																																																									}
																																																								}
																																																								BgL_auxz00_16602
																																																									=
																																																									BgL_res8001z00_11103;
																																																							}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275261zd2_9635;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd275261zd2_9635;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd275261zd2_9635;
																																															}
																																													}
																																													BgL_auxz00_16356
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_16602);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_16759;
																																														BgL_tagzd2380zd2_1806:
																																															{
																																																obj_t
																																																	BgL_varz00_9677;
																																																obj_t
																																																	BgL_valz00_9678;
																																																if (PAIRP(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd275291zd2_9683;
																																																		BgL_cdrzd275291zd2_9683
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		if (PAIRP(BgL_cdrzd275291zd2_9683))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd275295zd2_9685;
																																																				BgL_cdrzd275295zd2_9685
																																																					=
																																																					CDR
																																																					(BgL_cdrzd275291zd2_9683);
																																																				if (PAIRP(BgL_cdrzd275295zd2_9685))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd275295zd2_9685)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								BgL_varz00_9677
																																																									=
																																																									CAR
																																																									(BgL_cdrzd275291zd2_9683);
																																																								BgL_valz00_9678
																																																									=
																																																									CAR
																																																									(BgL_cdrzd275295zd2_9685);
																																																								{	/* Ast/sexp.scm 328 */
																																																									obj_t
																																																										BgL_locz00_9692;
																																																									BgL_locz00_9692
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 328 */
																																																										obj_t
																																																											BgL_cdlocz00_9693;
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_arg7451z00_9708;
																																																											BgL_arg7451z00_9708
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdlocz00_9693
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg7451z00_9708,
																																																												BgL_locz00_9692);
																																																										}
																																																										{	/* Ast/sexp.scm 329 */
																																																											obj_t
																																																												BgL_cddlocz00_9694;
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_arg7450z00_9707;
																																																												{	/* Ast/sexp.scm 330 */
																																																													obj_t
																																																														BgL_pairz00_11113;
																																																													BgL_pairz00_11113
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_arg7450z00_9707
																																																														=
																																																														CDR
																																																														(BgL_pairz00_11113);
																																																												}
																																																												BgL_cddlocz00_9694
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_arg7450z00_9707,
																																																													BgL_locz00_9692);
																																																											}
																																																											{	/* Ast/sexp.scm 330 */
																																																												obj_t
																																																													BgL_valzd2loczd2_9695;
																																																												BgL_valzd2loczd2_9695
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_valz00_9678,
																																																													BgL_cddlocz00_9694);
																																																												{	/* Ast/sexp.scm 331 */
																																																													BgL_nodez00_bglt
																																																														BgL_valz00_9696;
																																																													BgL_valz00_9696
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_valz00_9678,
																																																														BgL_stackz00_22,
																																																														BgL_valzd2loczd2_9695,
																																																														((obj_t) CNST_TABLE_REF(2)));
																																																													{	/* Ast/sexp.scm 332 */

																																																														{	/* Ast/sexp.scm 333 */
																																																															BgL_nodez00_bglt
																																																																BgL_astz00_9697;
																																																															BgL_astz00_9697
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_varz00_9677,
																																																																BgL_stackz00_22,
																																																																BgL_cdlocz00_9693,
																																																																((obj_t) CNST_TABLE_REF(2)));
																																																															{	/* Ast/sexp.scm 334 */
																																																																bool_t
																																																																	BgL_test8252z00_16787;
																																																																{	/* Ast/sexp.scm 334 */
																																																																	bool_t
																																																																		BgL_test8253z00_16788;
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		obj_t
																																																																			BgL_classz00_11114;
																																																																		BgL_classz00_11114
																																																																			=
																																																																			BGl_varz00zzast_nodez00;
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_objectz00_bglt
																																																																				BgL_arg1858z00_11116;
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_tmpz00_16789;
																																																																				BgL_tmpz00_16789
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					((BgL_objectz00_bglt) BgL_astz00_9697));
																																																																				BgL_arg1858z00_11116
																																																																					=
																																																																					(BgL_objectz00_bglt)
																																																																					(BgL_tmpz00_16789);
																																																																			}
																																																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					long
																																																																						BgL_idxz00_11122;
																																																																					BgL_idxz00_11122
																																																																						=
																																																																						BGL_OBJECT_INHERITANCE_NUM
																																																																						(BgL_arg1858z00_11116);
																																																																					BgL_test8253z00_16788
																																																																						=
																																																																						(VECTOR_REF
																																																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																																																							(BgL_idxz00_11122
																																																																								+
																																																																								2L))
																																																																						==
																																																																						BgL_classz00_11114);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					bool_t
																																																																						BgL_res8002z00_11147;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_oclassz00_11130;
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							obj_t
																																																																								BgL_arg1866z00_11138;
																																																																							long
																																																																								BgL_arg1867z00_11139;
																																																																							BgL_arg1866z00_11138
																																																																								=
																																																																								(BGl_za2classesza2z00zz__objectz00);
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								long
																																																																									BgL_arg1869z00_11140;
																																																																								BgL_arg1869z00_11140
																																																																									=
																																																																									BGL_OBJECT_CLASS_NUM
																																																																									(BgL_arg1858z00_11116);
																																																																								BgL_arg1867z00_11139
																																																																									=
																																																																									(BgL_arg1869z00_11140
																																																																									-
																																																																									OBJECT_TYPE);
																																																																							}
																																																																							BgL_oclassz00_11130
																																																																								=
																																																																								VECTOR_REF
																																																																								(BgL_arg1866z00_11138,
																																																																								BgL_arg1867z00_11139);
																																																																						}
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL__ortest_1115z00_11131;
																																																																							BgL__ortest_1115z00_11131
																																																																								=
																																																																								(BgL_classz00_11114
																																																																								==
																																																																								BgL_oclassz00_11130);
																																																																							if (BgL__ortest_1115z00_11131)
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_res8002z00_11147
																																																																										=
																																																																										BgL__ortest_1115z00_11131;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									long
																																																																										BgL_odepthz00_11132;
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										obj_t
																																																																											BgL_arg1855z00_11133;
																																																																										BgL_arg1855z00_11133
																																																																											=
																																																																											(BgL_oclassz00_11130);
																																																																										BgL_odepthz00_11132
																																																																											=
																																																																											BGL_CLASS_DEPTH
																																																																											(BgL_arg1855z00_11133);
																																																																									}
																																																																									if ((2L < BgL_odepthz00_11132))
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											obj_t
																																																																												BgL_arg1853z00_11135;
																																																																											{	/* Ast/sexp.scm 334 */
																																																																												obj_t
																																																																													BgL_arg1854z00_11136;
																																																																												BgL_arg1854z00_11136
																																																																													=
																																																																													(BgL_oclassz00_11130);
																																																																												BgL_arg1853z00_11135
																																																																													=
																																																																													BGL_CLASS_ANCESTORS_REF
																																																																													(BgL_arg1854z00_11136,
																																																																													2L);
																																																																											}
																																																																											BgL_res8002z00_11147
																																																																												=
																																																																												(BgL_arg1853z00_11135
																																																																												==
																																																																												BgL_classz00_11114);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res8002z00_11147
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																					BgL_test8253z00_16788
																																																																						=
																																																																						BgL_res8002z00_11147;
																																																																				}
																																																																		}
																																																																	}
																																																																	if (BgL_test8253z00_16788)
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7449z00_9706;
																																																																			BgL_arg7449z00_9706
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9697)))->BgL_variablez00);
																																																																			{	/* Ast/sexp.scm 334 */
																																																																				obj_t
																																																																					BgL_classz00_11149;
																																																																				BgL_classz00_11149
																																																																					=
																																																																					BGl_globalz00zzast_varz00;
																																																																				{	/* Ast/sexp.scm 334 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_arg1858z00_11151;
																																																																					{	/* Ast/sexp.scm 334 */
																																																																						obj_t
																																																																							BgL_tmpz00_16814;
																																																																						BgL_tmpz00_16814
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							((BgL_objectz00_bglt) BgL_arg7449z00_9706));
																																																																						BgL_arg1858z00_11151
																																																																							=
																																																																							(BgL_objectz00_bglt)
																																																																							(BgL_tmpz00_16814);
																																																																					}
																																																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							long
																																																																								BgL_idxz00_11157;
																																																																							BgL_idxz00_11157
																																																																								=
																																																																								BGL_OBJECT_INHERITANCE_NUM
																																																																								(BgL_arg1858z00_11151);
																																																																							BgL_test8252z00_16787
																																																																								=
																																																																								(VECTOR_REF
																																																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																																																									(BgL_idxz00_11157
																																																																										+
																																																																										2L))
																																																																								==
																																																																								BgL_classz00_11149);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 334 */
																																																																							bool_t
																																																																								BgL_res8003z00_11182;
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								obj_t
																																																																									BgL_oclassz00_11165;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									obj_t
																																																																										BgL_arg1866z00_11173;
																																																																									long
																																																																										BgL_arg1867z00_11174;
																																																																									BgL_arg1866z00_11173
																																																																										=
																																																																										(BGl_za2classesza2z00zz__objectz00);
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg1869z00_11175;
																																																																										BgL_arg1869z00_11175
																																																																											=
																																																																											BGL_OBJECT_CLASS_NUM
																																																																											(BgL_arg1858z00_11151);
																																																																										BgL_arg1867z00_11174
																																																																											=
																																																																											(BgL_arg1869z00_11175
																																																																											-
																																																																											OBJECT_TYPE);
																																																																									}
																																																																									BgL_oclassz00_11165
																																																																										=
																																																																										VECTOR_REF
																																																																										(BgL_arg1866z00_11173,
																																																																										BgL_arg1867z00_11174);
																																																																								}
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									bool_t
																																																																										BgL__ortest_1115z00_11166;
																																																																									BgL__ortest_1115z00_11166
																																																																										=
																																																																										(BgL_classz00_11149
																																																																										==
																																																																										BgL_oclassz00_11165);
																																																																									if (BgL__ortest_1115z00_11166)
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_res8003z00_11182
																																																																												=
																																																																												BgL__ortest_1115z00_11166;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_odepthz00_11167;
																																																																											{	/* Ast/sexp.scm 334 */
																																																																												obj_t
																																																																													BgL_arg1855z00_11168;
																																																																												BgL_arg1855z00_11168
																																																																													=
																																																																													(BgL_oclassz00_11165);
																																																																												BgL_odepthz00_11167
																																																																													=
																																																																													BGL_CLASS_DEPTH
																																																																													(BgL_arg1855z00_11168);
																																																																											}
																																																																											if ((2L < BgL_odepthz00_11167))
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													obj_t
																																																																														BgL_arg1853z00_11170;
																																																																													{	/* Ast/sexp.scm 334 */
																																																																														obj_t
																																																																															BgL_arg1854z00_11171;
																																																																														BgL_arg1854z00_11171
																																																																															=
																																																																															(BgL_oclassz00_11165);
																																																																														BgL_arg1853z00_11170
																																																																															=
																																																																															BGL_CLASS_ANCESTORS_REF
																																																																															(BgL_arg1854z00_11171,
																																																																															2L);
																																																																													}
																																																																													BgL_res8003z00_11182
																																																																														=
																																																																														(BgL_arg1853z00_11170
																																																																														==
																																																																														BgL_classz00_11149);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													BgL_res8003z00_11182
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																							BgL_test8252z00_16787
																																																																								=
																																																																								BgL_res8003z00_11182;
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 334 */
																																																																			BgL_test8252z00_16787
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																																if (BgL_test8252z00_16787)
																																																																	{	/* Ast/sexp.scm 334 */
																																																																		{	/* Ast/sexp.scm 336 */
																																																																			BgL_variablez00_bglt
																																																																				BgL_arg7447z00_9701;
																																																																			BgL_arg7447z00_9701
																																																																				=
																																																																				(
																																																																				((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_astz00_9697)))->BgL_variablez00);
																																																																			((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_arg7447z00_9701)))->BgL_srcz00) = ((obj_t) ((obj_t) BgL_valz00_9696)), BUNSPEC);
																																																																		}
																																																																		{	/* Ast/sexp.scm 337 */
																																																																			BgL_setqz00_bglt
																																																																				BgL_new1137z00_9702;
																																																																			{	/* Ast/sexp.scm 338 */
																																																																				BgL_setqz00_bglt
																																																																					BgL_new1136z00_9703;
																																																																				BgL_new1136z00_9703
																																																																					=
																																																																					(
																																																																					(BgL_setqz00_bglt)
																																																																					BOBJECT
																																																																					(GC_MALLOC
																																																																						(sizeof
																																																																							(struct
																																																																								BgL_setqz00_bgl))));
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					long
																																																																						BgL_arg7448z00_9704;
																																																																					BgL_arg7448z00_9704
																																																																						=
																																																																						BGL_CLASS_NUM
																																																																						(BGl_setqz00zzast_nodez00);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(
																																																																						((BgL_objectz00_bglt) BgL_new1136z00_9703), BgL_arg7448z00_9704);
																																																																				}
																																																																				{	/* Ast/sexp.scm 338 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_tmpz00_16846;
																																																																					BgL_tmpz00_16846
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1136z00_9703);
																																																																					BGL_OBJECT_WIDENING_SET
																																																																						(BgL_tmpz00_16846,
																																																																						BFALSE);
																																																																				}
																																																																				((BgL_objectz00_bglt) BgL_new1136z00_9703);
																																																																				BgL_new1137z00_9702
																																																																					=
																																																																					BgL_new1136z00_9703;
																																																																			}
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_9702)))->BgL_locz00) = ((obj_t) BgL_locz00_9692), BUNSPEC);
																																																																			((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1137z00_9702)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_9702))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_9697)), BUNSPEC);
																																																																			((((BgL_setqz00_bglt) COBJECT(BgL_new1137z00_9702))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_9696), BUNSPEC);
																																																																			BgL_auxz00_16759
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_new1137z00_9702);
																																																																	}}
																																																																else
																																																																	{	/* Ast/sexp.scm 342 */
																																																																		BgL_nodez00_bglt
																																																																			BgL_res8004z00_11194;
																																																																		{	/* Ast/sexp.scm 735 */
																																																																			obj_t
																																																																				BgL_arg7755z00_11190;
																																																																			BgL_nodez00_bglt
																																																																				BgL_arg7756z00_11191;
																																																																			BgL_arg7755z00_11190
																																																																				=
																																																																				BGl_shapez00zztools_shapez00
																																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																																				());
																																																																			BgL_arg7756z00_11191
																																																																				=
																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																				(
																																																																				((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_9692, ((obj_t) CNST_TABLE_REF(2)));
																																																																			{	/* Ast/sexp.scm 734 */
																																																																				obj_t
																																																																					BgL_list7757z00_11193;
																																																																				BgL_list7757z00_11193
																																																																					=
																																																																					MAKE_YOUNG_PAIR
																																																																					(
																																																																					((obj_t) BgL_arg7756z00_11191), BNIL);
																																																																				BgL_res8004z00_11194
																																																																					=
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																					(BgL_locz00_9692,
																																																																						BgL_arg7755z00_11190,
																																																																						BGl_string8059z00zzast_sexpz00,
																																																																						BgL_expz00_21,
																																																																						BgL_list7757z00_11193));
																																																																			}
																																																																		}
																																																																		BgL_auxz00_16759
																																																																			=
																																																																			BgL_res8004z00_11194;
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																							BgL_tagzd275284zd2_9680:
																																																								{	/* Ast/sexp.scm 346 */
																																																									obj_t
																																																										BgL_arg7452z00_9709;
																																																									BgL_arg7452z00_9709
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_expz00_21,
																																																										BgL_locz00_23);
																																																									{	/* Ast/sexp.scm 345 */
																																																										BgL_nodez00_bglt
																																																											BgL_res8005z00_11200;
																																																										{	/* Ast/sexp.scm 735 */
																																																											obj_t
																																																												BgL_arg7755z00_11196;
																																																											BgL_nodez00_bglt
																																																												BgL_arg7756z00_11197;
																																																											BgL_arg7755z00_11196
																																																												=
																																																												BGl_shapez00zztools_shapez00
																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																												());
																																																											BgL_arg7756z00_11197
																																																												=
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																												(
																																																												((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7452z00_9709, ((obj_t) CNST_TABLE_REF(2)));
																																																											{	/* Ast/sexp.scm 734 */
																																																												obj_t
																																																													BgL_list7757z00_11199;
																																																												BgL_list7757z00_11199
																																																													=
																																																													MAKE_YOUNG_PAIR
																																																													(
																																																													((obj_t) BgL_arg7756z00_11197), BNIL);
																																																												BgL_res8005z00_11200
																																																													=
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																													(BgL_arg7452z00_9709,
																																																														BgL_arg7755z00_11196,
																																																														BGl_string8058z00zzast_sexpz00,
																																																														BgL_expz00_21,
																																																														BgL_list7757z00_11199));
																																																											}
																																																										}
																																																										BgL_auxz00_16759
																																																											=
																																																											BgL_res8005z00_11200;
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd275284zd2_9680;
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd275284zd2_9680;
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd275284zd2_9680;
																																																	}
																																															}
																																															BgL_auxz00_16356
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_16759);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd2709zd2_3148;
																																															BgL_cdrzd2709zd2_3148
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2708z00_3151;
																																																	obj_t
																																																		BgL_arg2711z00_3152;
																																																	BgL_arg2708z00_3151
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd2709zd2_3148));
																																																	BgL_arg2711z00_3152
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd2709zd2_3148));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_16897;
																																																		BgL_bindingsz00_1807
																																																			=
																																																			BgL_arg2708z00_3151;
																																																		BgL_exprz00_1808
																																																			=
																																																			BgL_arg2711z00_3152;
																																																	BgL_tagzd2381zd2_1809:
																																																		{	/* Ast/sexp.scm 349 */
																																																			BgL_nodez00_bglt
																																																				BgL_expz00_9710;
																																																			BgL_expz00_9710
																																																				=
																																																				BGl_letzd2ze3nodez31zzast_letz00
																																																				(BgL_expz00_21,
																																																				BgL_stackz00_22,
																																																				BgL_locz00_23,
																																																				((obj_t) CNST_TABLE_REF(2)));
																																																			{	/* Ast/sexp.scm 350 */
																																																				bool_t
																																																					BgL_test8261z00_16901;
																																																				{	/* Ast/sexp.scm 350 */
																																																					obj_t
																																																						BgL_classz00_11206;
																																																					BgL_classz00_11206
																																																						=
																																																						BGl_letzd2varzd2zzast_nodez00;
																																																					{	/* Ast/sexp.scm 350 */
																																																						BgL_objectz00_bglt
																																																							BgL_arg1858z00_11208;
																																																						{	/* Ast/sexp.scm 350 */
																																																							obj_t
																																																								BgL_tmpz00_16902;
																																																							BgL_tmpz00_16902
																																																								=
																																																								(
																																																								(obj_t)
																																																								((BgL_objectz00_bglt) BgL_expz00_9710));
																																																							BgL_arg1858z00_11208
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_tmpz00_16902);
																																																						}
																																																						if (BGL_CONDEXPAND_ISA_ARCH64())
																																																							{	/* Ast/sexp.scm 350 */
																																																								long
																																																									BgL_idxz00_11214;
																																																								BgL_idxz00_11214
																																																									=
																																																									BGL_OBJECT_INHERITANCE_NUM
																																																									(BgL_arg1858z00_11208);
																																																								BgL_test8261z00_16901
																																																									=
																																																									(VECTOR_REF
																																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																																										(BgL_idxz00_11214
																																																											+
																																																											3L))
																																																									==
																																																									BgL_classz00_11206);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 350 */
																																																								bool_t
																																																									BgL_res8006z00_11239;
																																																								{	/* Ast/sexp.scm 350 */
																																																									obj_t
																																																										BgL_oclassz00_11222;
																																																									{	/* Ast/sexp.scm 350 */
																																																										obj_t
																																																											BgL_arg1866z00_11230;
																																																										long
																																																											BgL_arg1867z00_11231;
																																																										BgL_arg1866z00_11230
																																																											=
																																																											(BGl_za2classesza2z00zz__objectz00);
																																																										{	/* Ast/sexp.scm 350 */
																																																											long
																																																												BgL_arg1869z00_11232;
																																																											BgL_arg1869z00_11232
																																																												=
																																																												BGL_OBJECT_CLASS_NUM
																																																												(BgL_arg1858z00_11208);
																																																											BgL_arg1867z00_11231
																																																												=
																																																												(BgL_arg1869z00_11232
																																																												-
																																																												OBJECT_TYPE);
																																																										}
																																																										BgL_oclassz00_11222
																																																											=
																																																											VECTOR_REF
																																																											(BgL_arg1866z00_11230,
																																																											BgL_arg1867z00_11231);
																																																									}
																																																									{	/* Ast/sexp.scm 350 */
																																																										bool_t
																																																											BgL__ortest_1115z00_11223;
																																																										BgL__ortest_1115z00_11223
																																																											=
																																																											(BgL_classz00_11206
																																																											==
																																																											BgL_oclassz00_11222);
																																																										if (BgL__ortest_1115z00_11223)
																																																											{	/* Ast/sexp.scm 350 */
																																																												BgL_res8006z00_11239
																																																													=
																																																													BgL__ortest_1115z00_11223;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 350 */
																																																												long
																																																													BgL_odepthz00_11224;
																																																												{	/* Ast/sexp.scm 350 */
																																																													obj_t
																																																														BgL_arg1855z00_11225;
																																																													BgL_arg1855z00_11225
																																																														=
																																																														(BgL_oclassz00_11222);
																																																													BgL_odepthz00_11224
																																																														=
																																																														BGL_CLASS_DEPTH
																																																														(BgL_arg1855z00_11225);
																																																												}
																																																												if ((3L < BgL_odepthz00_11224))
																																																													{	/* Ast/sexp.scm 350 */
																																																														obj_t
																																																															BgL_arg1853z00_11227;
																																																														{	/* Ast/sexp.scm 350 */
																																																															obj_t
																																																																BgL_arg1854z00_11228;
																																																															BgL_arg1854z00_11228
																																																																=
																																																																(BgL_oclassz00_11222);
																																																															BgL_arg1853z00_11227
																																																																=
																																																																BGL_CLASS_ANCESTORS_REF
																																																																(BgL_arg1854z00_11228,
																																																																3L);
																																																														}
																																																														BgL_res8006z00_11239
																																																															=
																																																															(BgL_arg1853z00_11227
																																																															==
																																																															BgL_classz00_11206);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 350 */
																																																														BgL_res8006z00_11239
																																																															=
																																																															(
																																																															(bool_t)
																																																															0);
																																																													}
																																																											}
																																																									}
																																																								}
																																																								BgL_test8261z00_16901
																																																									=
																																																									BgL_res8006z00_11239;
																																																							}
																																																					}
																																																				}
																																																				if (BgL_test8261z00_16901)
																																																					{	/* Ast/sexp.scm 350 */
																																																						((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_expz00_9710)))->BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																																																						BgL_auxz00_16897
																																																							=
																																																							BgL_expz00_9710;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 354 */
																																																						BgL_nodez00_bglt
																																																							BgL_res8007z00_11245;
																																																						{	/* Ast/sexp.scm 735 */
																																																							obj_t
																																																								BgL_arg7755z00_11241;
																																																							BgL_nodez00_bglt
																																																								BgL_arg7756z00_11242;
																																																							BgL_arg7755z00_11241
																																																								=
																																																								BGl_shapez00zztools_shapez00
																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																								());
																																																							BgL_arg7756z00_11242
																																																								=
																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																								(
																																																								((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																							{	/* Ast/sexp.scm 734 */
																																																								obj_t
																																																									BgL_list7757z00_11244;
																																																								BgL_list7757z00_11244
																																																									=
																																																									MAKE_YOUNG_PAIR
																																																									(
																																																									((obj_t) BgL_arg7756z00_11242), BNIL);
																																																								BgL_res8007z00_11245
																																																									=
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																									(BgL_locz00_23,
																																																										BgL_arg7755z00_11241,
																																																										BGl_string8057z00zzast_sexpz00,
																																																										((obj_t) BgL_expz00_9710), BgL_list7757z00_11244));
																																																							}
																																																						}
																																																						BgL_auxz00_16897
																																																							=
																																																							BgL_res8007z00_11245;
																																																					}
																																																			}
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_16897);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd2734zd2_3153;
																																																	BgL_carzd2734zd2_3153
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if (PAIRP(BgL_carzd2734zd2_3153))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd2737zd2_3155;
																																																			obj_t
																																																				BgL_cdrzd2738zd2_3156;
																																																			BgL_carzd2737zd2_3155
																																																				=
																																																				CAR
																																																				(BgL_carzd2734zd2_3153);
																																																			BgL_cdrzd2738zd2_3156
																																																				=
																																																				CDR
																																																				(BgL_carzd2734zd2_3153);
																																																			{

																																																				if ((BgL_carzd2737zd2_3155 == ((obj_t) CNST_TABLE_REF(18))))
																																																					{	/* Ast/sexp.scm 119 */
																																																					BgL_kapzd2739zd2_3157:
																																																						if (PAIRP(BgL_cdrzd2738zd2_3156))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd2742zd2_3279;
																																																								BgL_cdrzd2742zd2_3279
																																																									=
																																																									CDR
																																																									(BgL_cdrzd2738zd2_3156);
																																																								if (PAIRP(BgL_cdrzd2742zd2_3279))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (NULLP(CDR(BgL_cdrzd2742zd2_3279)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2823z00_3283;
																																																												obj_t
																																																													BgL_arg2824z00_3284;
																																																												BgL_arg2823z00_3283
																																																													=
																																																													CAR
																																																													(BgL_cdrzd2742zd2_3279);
																																																												BgL_arg2824z00_3284
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_16961;
																																																													BgL_bodyz00_1810
																																																														=
																																																														BgL_arg2823z00_3283;
																																																													BgL_argsz00_1811
																																																														=
																																																														BgL_arg2824z00_3284;
																																																												BgL_tagzd2382zd2_1812:
																																																													{	/* Ast/sexp.scm 358 */
																																																														obj_t
																																																															BgL_letzd2partzd2_9713;
																																																														BgL_letzd2partzd2_9713
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 358 */
																																																															obj_t
																																																																BgL_nexpz00_9714;
																																																															{	/* Ast/sexp.scm 359 */
																																																																obj_t
																																																																	BgL_arg7454z00_9715;
																																																																obj_t
																																																																	BgL_arg7455z00_9716;
																																																																BgL_arg7454z00_9715
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_letzd2partzd2_9713));
																																																																{	/* Ast/sexp.scm 359 */
																																																																	obj_t
																																																																		BgL_arg7456z00_9717;
																																																																	obj_t
																																																																		BgL_arg7457z00_9718;
																																																																	{	/* Ast/sexp.scm 359 */
																																																																		obj_t
																																																																			BgL_pairz00_11251;
																																																																		BgL_pairz00_11251
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_letzd2partzd2_9713));
																																																																		BgL_arg7456z00_9717
																																																																			=
																																																																			CAR
																																																																			(BgL_pairz00_11251);
																																																																	}
																																																																	{	/* Ast/sexp.scm 359 */
																																																																		obj_t
																																																																			BgL_arg7458z00_9719;
																																																																		BgL_arg7458z00_9719
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(BgL_bodyz00_1810,
																																																																			BgL_argsz00_1811);
																																																																		BgL_arg7457z00_9718
																																																																			=
																																																																			MAKE_YOUNG_PAIR
																																																																			(BgL_arg7458z00_9719,
																																																																			BNIL);
																																																																	}
																																																																	BgL_arg7455z00_9716
																																																																		=
																																																																		MAKE_YOUNG_PAIR
																																																																		(BgL_arg7456z00_9717,
																																																																		BgL_arg7457z00_9718);
																																																																}
																																																																BgL_nexpz00_9714
																																																																	=
																																																																	MAKE_YOUNG_PAIR
																																																																	(BgL_arg7454z00_9715,
																																																																	BgL_arg7455z00_9716);
																																																															}
																																																															{	/* Ast/sexp.scm 359 */

																																																																BgL_auxz00_16961
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_nexpz00_9714,
																																																																	BgL_stackz00_22,
																																																																	BgL_locz00_23,
																																																																	BgL_sitez00_24);
																																																															}
																																																														}
																																																													}
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_16961);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd2766zd2_3285;
																																																												BgL_cdrzd2766zd2_3285
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8270z00_16977;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2912z00_3396;
																																																														BgL_arg2912z00_3396
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8270z00_16977
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg2912z00_3396));
																																																													}
																																																													if (BgL_test8270z00_16977)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg2827z00_3288;
																																																															obj_t
																																																																BgL_arg2828z00_3289;
																																																															BgL_arg2827z00_3288
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd2766zd2_3285));
																																																															BgL_arg2828z00_3289
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd2766zd2_3285));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_16986;
																																																																BgL_bindingsz00_1813
																																																																	=
																																																																	BgL_arg2827z00_3288;
																																																																BgL_exprz00_1814
																																																																	=
																																																																	BgL_arg2828z00_3289;
																																																															BgL_tagzd2383zd2_1815:
																																																																{	/* Ast/sexp.scm 363 */
																																																																	bool_t
																																																																		BgL_test8271z00_16987;
																																																																	if (PAIRP(BgL_bindingsz00_1813))
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			if (NULLP(CDR(BgL_bindingsz00_1813)))
																																																																				{	/* Ast/sexp.scm 363 */
																																																																					if (PAIRP(BgL_exprz00_1814))
																																																																						{	/* Ast/sexp.scm 364 */
																																																																							BgL_test8271z00_16987
																																																																								=
																																																																								NULLP
																																																																								(CDR
																																																																								(BgL_exprz00_1814));
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 364 */
																																																																							BgL_test8271z00_16987
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 363 */
																																																																					BgL_test8271z00_16987
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			BgL_test8271z00_16987
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	if (BgL_test8271z00_16987)
																																																																		{
																																																																			obj_t
																																																																				BgL_varz00_9727;
																																																																			obj_t
																																																																				BgL_exprz00_9728;
																																																																			obj_t
																																																																				BgL_idz00_9729;
																																																																			obj_t
																																																																				BgL_thenz00_9730;
																																																																			obj_t
																																																																				BgL_otherwisez00_9731;
																																																																			if (PAIRP(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 365 */
																																																																					obj_t
																																																																						BgL_cdrzd275314zd2_9735;
																																																																					BgL_cdrzd275314zd2_9735
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					if (PAIRP(BgL_cdrzd275314zd2_9735))
																																																																						{	/* Ast/sexp.scm 365 */
																																																																							obj_t
																																																																								BgL_carzd275320zd2_9737;
																																																																							obj_t
																																																																								BgL_cdrzd275321zd2_9738;
																																																																							BgL_carzd275320zd2_9737
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd275314zd2_9735);
																																																																							BgL_cdrzd275321zd2_9738
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd275314zd2_9735);
																																																																							if (PAIRP(BgL_carzd275320zd2_9737))
																																																																								{	/* Ast/sexp.scm 365 */
																																																																									obj_t
																																																																										BgL_carzd275324zd2_9740;
																																																																									BgL_carzd275324zd2_9740
																																																																										=
																																																																										CAR
																																																																										(BgL_carzd275320zd2_9737);
																																																																									if (PAIRP(BgL_carzd275324zd2_9740))
																																																																										{	/* Ast/sexp.scm 365 */
																																																																											obj_t
																																																																												BgL_cdrzd275329zd2_9742;
																																																																											BgL_cdrzd275329zd2_9742
																																																																												=
																																																																												CDR
																																																																												(BgL_carzd275324zd2_9740);
																																																																											if (PAIRP(BgL_cdrzd275329zd2_9742))
																																																																												{	/* Ast/sexp.scm 365 */
																																																																													if (NULLP(CDR(BgL_cdrzd275329zd2_9742)))
																																																																														{	/* Ast/sexp.scm 365 */
																																																																															if (NULLP(CDR(BgL_carzd275320zd2_9737)))
																																																																																{	/* Ast/sexp.scm 365 */
																																																																																	if (PAIRP(BgL_cdrzd275321zd2_9738))
																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																			obj_t
																																																																																				BgL_carzd275338zd2_9749;
																																																																																			BgL_carzd275338zd2_9749
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd275321zd2_9738);
																																																																																			if (PAIRP(BgL_carzd275338zd2_9749))
																																																																																				{	/* Ast/sexp.scm 365 */
																																																																																					obj_t
																																																																																						BgL_cdrzd275344zd2_9751;
																																																																																					BgL_cdrzd275344zd2_9751
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_carzd275338zd2_9749);
																																																																																					if ((CAR(BgL_carzd275338zd2_9749) == ((obj_t) CNST_TABLE_REF(1))))
																																																																																						{	/* Ast/sexp.scm 365 */
																																																																																							if (PAIRP(BgL_cdrzd275344zd2_9751))
																																																																																								{	/* Ast/sexp.scm 365 */
																																																																																									obj_t
																																																																																										BgL_carzd275348zd2_9755;
																																																																																									obj_t
																																																																																										BgL_cdrzd275349zd2_9756;
																																																																																									BgL_carzd275348zd2_9755
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_cdrzd275344zd2_9751);
																																																																																									BgL_cdrzd275349zd2_9756
																																																																																										=
																																																																																										CDR
																																																																																										(BgL_cdrzd275344zd2_9751);
																																																																																									if (SYMBOLP(BgL_carzd275348zd2_9755))
																																																																																										{	/* Ast/sexp.scm 365 */
																																																																																											if (PAIRP(BgL_cdrzd275349zd2_9756))
																																																																																												{	/* Ast/sexp.scm 365 */
																																																																																													obj_t
																																																																																														BgL_cdrzd275356zd2_9759;
																																																																																													BgL_cdrzd275356zd2_9759
																																																																																														=
																																																																																														CDR
																																																																																														(BgL_cdrzd275349zd2_9756);
																																																																																													if (PAIRP(BgL_cdrzd275356zd2_9759))
																																																																																														{	/* Ast/sexp.scm 365 */
																																																																																															if (NULLP(CDR(BgL_cdrzd275356zd2_9759)))
																																																																																																{	/* Ast/sexp.scm 365 */
																																																																																																	if (NULLP(CDR(BgL_cdrzd275321zd2_9738)))
																																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																																			BgL_varz00_9727
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_carzd275324zd2_9740);
																																																																																																			BgL_exprz00_9728
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275329zd2_9742);
																																																																																																			BgL_idz00_9729
																																																																																																				=
																																																																																																				BgL_carzd275348zd2_9755;
																																																																																																			BgL_thenz00_9730
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275349zd2_9756);
																																																																																																			BgL_otherwisez00_9731
																																																																																																				=
																																																																																																				CAR
																																																																																																				(BgL_cdrzd275356zd2_9759);
																																																																																																			{	/* Ast/sexp.scm 370 */
																																																																																																				obj_t
																																																																																																					BgL_ntz00_9774;
																																																																																																				BgL_ntz00_9774
																																																																																																					=
																																																																																																					BGl_notzd2testzd2zzast_sexpz00
																																																																																																					(BgL_exprz00_9728);
																																																																																																				{	/* Ast/sexp.scm 371 */
																																																																																																					bool_t
																																																																																																						BgL_test8291z00_17048;
																																																																																																					if (CBOOL(BgL_ntz00_9774))
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_9729, BgL_otherwisez00_9731))
																																																																																																								{	/* Ast/sexp.scm 372 */
																																																																																																									BgL_test8291z00_17048
																																																																																																										=
																																																																																																										(
																																																																																																										(bool_t)
																																																																																																										0);
																																																																																																								}
																																																																																																							else
																																																																																																								{	/* Ast/sexp.scm 372 */
																																																																																																									if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_9729, BgL_thenz00_9730))
																																																																																																										{	/* Ast/sexp.scm 373 */
																																																																																																											BgL_test8291z00_17048
																																																																																																												=
																																																																																																												(
																																																																																																												(bool_t)
																																																																																																												0);
																																																																																																										}
																																																																																																									else
																																																																																																										{	/* Ast/sexp.scm 373 */
																																																																																																											BgL_test8291z00_17048
																																																																																																												=
																																																																																																												(
																																																																																																												(bool_t)
																																																																																																												1);
																																																																																																										}
																																																																																																								}
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							BgL_test8291z00_17048
																																																																																																								=
																																																																																																								(
																																																																																																								(bool_t)
																																																																																																								0);
																																																																																																						}
																																																																																																					if (BgL_test8291z00_17048)
																																																																																																						{	/* Ast/sexp.scm 374 */
																																																																																																							obj_t
																																																																																																								BgL_bindingz00_9778;
																																																																																																							obj_t
																																																																																																								BgL_bodyz00_9779;
																																																																																																							BgL_bindingz00_9778
																																																																																																								=
																																																																																																								CAR
																																																																																																								(
																																																																																																								((obj_t) BgL_bindingsz00_1813));
																																																																																																							{	/* Ast/sexp.scm 375 */
																																																																																																								obj_t
																																																																																																									BgL_pairz00_11260;
																																																																																																								{	/* Ast/sexp.scm 375 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11259;
																																																																																																									BgL_pairz00_11259
																																																																																																										=
																																																																																																										CDR
																																																																																																										(
																																																																																																										((obj_t) BgL_expz00_21));
																																																																																																									BgL_pairz00_11260
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11259);
																																																																																																								}
																																																																																																								BgL_bodyz00_9779
																																																																																																									=
																																																																																																									CAR
																																																																																																									(BgL_pairz00_11260);
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 376 */
																																																																																																								obj_t
																																																																																																									BgL_arg7498z00_9780;
																																																																																																								BgL_arg7498z00_9780
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_bindingz00_9778));
																																																																																																								{	/* Ast/sexp.scm 376 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_17063;
																																																																																																									BgL_tmpz00_17063
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7498z00_9780);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_17063,
																																																																																																										BgL_ntz00_9774);
																																																																																																								}
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 377 */
																																																																																																								obj_t
																																																																																																									BgL_arg7499z00_9781;
																																																																																																								{	/* Ast/sexp.scm 377 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11266;
																																																																																																									BgL_pairz00_11266
																																																																																																										=
																																																																																																										CDR
																																																																																																										(
																																																																																																										((obj_t) BgL_bodyz00_9779));
																																																																																																									BgL_arg7499z00_9781
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11266);
																																																																																																								}
																																																																																																								{	/* Ast/sexp.scm 377 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_17069;
																																																																																																									BgL_tmpz00_17069
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7499z00_9781);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_17069,
																																																																																																										BgL_otherwisez00_9731);
																																																																																																								}
																																																																																																							}
																																																																																																							{	/* Ast/sexp.scm 378 */
																																																																																																								obj_t
																																																																																																									BgL_arg7500z00_9782;
																																																																																																								{	/* Ast/sexp.scm 378 */
																																																																																																									obj_t
																																																																																																										BgL_pairz00_11273;
																																																																																																									{	/* Ast/sexp.scm 378 */
																																																																																																										obj_t
																																																																																																											BgL_pairz00_11272;
																																																																																																										BgL_pairz00_11272
																																																																																																											=
																																																																																																											CDR
																																																																																																											(
																																																																																																											((obj_t) BgL_bodyz00_9779));
																																																																																																										BgL_pairz00_11273
																																																																																																											=
																																																																																																											CDR
																																																																																																											(BgL_pairz00_11272);
																																																																																																									}
																																																																																																									BgL_arg7500z00_9782
																																																																																																										=
																																																																																																										CDR
																																																																																																										(BgL_pairz00_11273);
																																																																																																								}
																																																																																																								{	/* Ast/sexp.scm 378 */
																																																																																																									obj_t
																																																																																																										BgL_tmpz00_17076;
																																																																																																									BgL_tmpz00_17076
																																																																																																										=
																																																																																																										(
																																																																																																										(obj_t)
																																																																																																										BgL_arg7500z00_9782);
																																																																																																									SET_CAR
																																																																																																										(BgL_tmpz00_17076,
																																																																																																										BgL_thenz00_9730);
																																																																																																								}
																																																																																																							}
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 371 */
																																																																																																							BFALSE;
																																																																																																						}
																																																																																																				}
																																																																																																			}
																																																																																																		}
																																																																																																	else
																																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																																			BFALSE;
																																																																																																		}
																																																																																																}
																																																																																															else
																																																																																																{	/* Ast/sexp.scm 365 */
																																																																																																	BFALSE;
																																																																																																}
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 365 */
																																																																																															BFALSE;
																																																																																														}
																																																																																												}
																																																																																											else
																																																																																												{	/* Ast/sexp.scm 365 */
																																																																																													BFALSE;
																																																																																												}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 365 */
																																																																																											BFALSE;
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 365 */
																																																																																									BFALSE;
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 365 */
																																																																																							BFALSE;
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 365 */
																																																																																					BFALSE;
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 365 */
																																																																																			BFALSE;
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 365 */
																																																																																	BFALSE;
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 365 */
																																																																															BFALSE;
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 365 */
																																																																													BFALSE;
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 365 */
																																																																											BFALSE;
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 365 */
																																																																									BFALSE;
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 365 */
																																																																							BFALSE;
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 365 */
																																																																					BFALSE;
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 363 */
																																																																			BFALSE;
																																																																		}
																																																																}
																																																																BgL_auxz00_16986
																																																																	=
																																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																																	(BgL_expz00_21,
																																																																	BgL_stackz00_22,
																																																																	BgL_locz00_23,
																																																																	((obj_t) CNST_TABLE_REF(2)));
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_16986);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8295z00_17087;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2910z00_3395;
																																																																BgL_arg2910z00_3395
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8295z00_17087
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg2910z00_3395));
																																																															}
																																																															if (BgL_test8295z00_17087)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_17092;
																																																																BgL_tagzd2385zd2_1817:
																																																																	BgL_auxz00_17092 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17092);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd2833zd2_3292;
																																																																	BgL_carzd2833zd2_3292
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd2838zd2_3293;
																																																																		BgL_cdrzd2838zd2_3293
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd2833zd2_3292));
																																																																		if ((CAR(((obj_t) BgL_carzd2833zd2_3292)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg2833z00_3296;
																																																																				obj_t
																																																																					BgL_arg2834z00_3297;
																																																																				obj_t
																																																																					BgL_arg2835z00_3298;
																																																																				BgL_arg2833z00_3296
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd2838zd2_3293));
																																																																				BgL_arg2834z00_3297
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd2838zd2_3293));
																																																																				BgL_arg2835z00_3298
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_17113;
																																																																					BgL_varsz00_1822
																																																																						=
																																																																						BgL_arg2833z00_3296;
																																																																					BgL_bodyz00_1823
																																																																						=
																																																																						BgL_arg2834z00_3297;
																																																																					BgL_argsz00_1824
																																																																						=
																																																																						BgL_arg2835z00_3298;
																																																																				BgL_tagzd2387zd2_1825:
																																																																					{	/* Ast/sexp.scm 392 */
																																																																						obj_t
																																																																							BgL_locz00_9794;
																																																																						obj_t
																																																																							BgL_nexpz00_9795;
																																																																						BgL_locz00_9794
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						{	/* Ast/sexp.scm 393 */
																																																																							obj_t
																																																																								BgL_arg7505z00_9796;
																																																																							obj_t
																																																																								BgL_arg7506z00_9797;
																																																																							BgL_arg7505z00_9796
																																																																								=
																																																																								BGl_letzd2symzd2zzast_letz00
																																																																								();
																																																																							{	/* Ast/sexp.scm 396 */
																																																																								obj_t
																																																																									BgL_arg7507z00_9798;
																																																																								obj_t
																																																																									BgL_arg7508z00_9799;
																																																																								BgL_arg7507z00_9798
																																																																									=
																																																																									BGl_loopze70ze7zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23,
																																																																									BgL_varsz00_1822,
																																																																									BgL_argsz00_1824);
																																																																								{	/* Ast/sexp.scm 435 */
																																																																									obj_t
																																																																										BgL_arg7550z00_9849;
																																																																									{	/* Ast/sexp.scm 435 */
																																																																										obj_t
																																																																											BgL_arg7551z00_9850;
																																																																										obj_t
																																																																											BgL_arg7552z00_9851;
																																																																										BgL_arg7551z00_9850
																																																																											=
																																																																											BGl_shapez00zztools_shapez00
																																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																																											());
																																																																										BgL_arg7552z00_9851
																																																																											=
																																																																											BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																											(BgL_bodyz00_1823);
																																																																										{	/* Ast/sexp.scm 439 */
																																																																											obj_t
																																																																												BgL_zc3z04anonymousza37555ze3z87_15773;
																																																																											BgL_zc3z04anonymousza37555ze3z87_15773
																																																																												=
																																																																												MAKE_FX_PROCEDURE
																																																																												(BGl_z62zc3z04anonymousza37555ze3ze5zzast_sexpz00,
																																																																												(int)
																																																																												(3L),
																																																																												(int)
																																																																												(1L));
																																																																											PROCEDURE_SET
																																																																												(BgL_zc3z04anonymousza37555ze3z87_15773,
																																																																												(int)
																																																																												(0L),
																																																																												BgL_locz00_23);
																																																																											BgL_arg7550z00_9849
																																																																												=
																																																																												BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																																												(BgL_arg7551z00_9850,
																																																																												BgL_varsz00_1822,
																																																																												BgL_arg7552z00_9851,
																																																																												BgL_zc3z04anonymousza37555ze3z87_15773);
																																																																									}}
																																																																									BgL_arg7508z00_9799
																																																																										=
																																																																										MAKE_YOUNG_PAIR
																																																																										(BgL_arg7550z00_9849,
																																																																										BNIL);
																																																																								}
																																																																								BgL_arg7506z00_9797
																																																																									=
																																																																									MAKE_YOUNG_PAIR
																																																																									(BgL_arg7507z00_9798,
																																																																									BgL_arg7508z00_9799);
																																																																							}
																																																																							BgL_nexpz00_9795
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(BgL_arg7505z00_9796,
																																																																								BgL_arg7506z00_9797);
																																																																						}
																																																																						BgL_auxz00_17113
																																																																							=
																																																																							BGl_letzd2ze3nodez31zzast_letz00
																																																																							(BgL_nexpz00_9795,
																																																																							BgL_stackz00_22,
																																																																							BgL_locz00_9794,
																																																																							((obj_t) CNST_TABLE_REF(2)));
																																																																					}
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_17113);
																																																																			}}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd2861zd2_3300;
																																																																				BgL_cdrzd2861zd2_3300
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd2867zd2_3301;
																																																																					BgL_cdrzd2867zd2_3301
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd2833zd2_3292));
																																																																					if ((CAR(((obj_t) BgL_carzd2833zd2_3292)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd2873zd2_3304;
																																																																							BgL_cdrzd2873zd2_3304
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd2867zd2_3301));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd2878zd2_3305;
																																																																								obj_t
																																																																									BgL_cdrzd2879zd2_3306;
																																																																								BgL_carzd2878zd2_3305
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd2873zd2_3304));
																																																																								BgL_cdrzd2879zd2_3306
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd2873zd2_3304));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2878zd2_3305))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd2879zd2_3306))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd2886zd2_3309;
																																																																												BgL_carzd2886zd2_3309
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd2879zd2_3306);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2886zd2_3309))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd2879zd2_3306)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8302z00_17159;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1318z00_3342;
																																																																																	BgL_l1318z00_3342
																																																																																		=
																																																																																		BgL_cdrzd2861zd2_3300;
																																																																																BgL_zc3z04anonymousza32860ze3z87_3343:
																																																																																	if (NULLP(BgL_l1318z00_3342))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8302z00_17159
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8304z00_17162;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test8305z00_17163;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_tmpz00_17164;
																																																																																					BgL_tmpz00_17164
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_l1318z00_3342));
																																																																																					BgL_test8305z00_17163
																																																																																						=
																																																																																						PAIRP
																																																																																						(BgL_tmpz00_17164);
																																																																																				}
																																																																																				if (BgL_test8305z00_17163)
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8304z00_17162
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8304z00_17162
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test8304z00_17162)
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_l1318z00_17168;
																																																																																					BgL_l1318z00_17168
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_l1318z00_3342));
																																																																																					BgL_l1318z00_3342
																																																																																						=
																																																																																						BgL_l1318z00_17168;
																																																																																					goto
																																																																																						BgL_zc3z04anonymousza32860ze3z87_3343;
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8302z00_17159
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																		}
																																																																																}
																																																																																if (BgL_test8302z00_17159)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2849z00_3325;
																																																																																		BgL_arg2849z00_3325
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd2867zd2_3301));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17173;
																																																																																			BgL_testz00_1826
																																																																																				=
																																																																																				BgL_arg2849z00_3325;
																																																																																			BgL_proc1z00_1827
																																																																																				=
																																																																																				BgL_carzd2878zd2_3305;
																																																																																			BgL_proc2z00_1828
																																																																																				=
																																																																																				BgL_carzd2886zd2_3309;
																																																																																			BgL_argsz00_1829
																																																																																				=
																																																																																				BgL_cdrzd2861zd2_3300;
																																																																																		BgL_tagzd2388zd2_1830:
																																																																																			{	/* Ast/sexp.scm 446 */
																																																																																				obj_t
																																																																																					BgL_nexpz00_9860;
																																																																																				{	/* Ast/sexp.scm 446 */
																																																																																					obj_t
																																																																																						BgL_arg7558z00_9862;
																																																																																					{	/* Ast/sexp.scm 446 */
																																																																																						obj_t
																																																																																							BgL_arg7559z00_9863;
																																																																																						{	/* Ast/sexp.scm 446 */
																																																																																							obj_t
																																																																																								BgL_arg7560z00_9864;
																																																																																							obj_t
																																																																																								BgL_arg7561z00_9865;
																																																																																							BgL_arg7560z00_9864
																																																																																								=
																																																																																								MAKE_YOUNG_PAIR
																																																																																								(BgL_proc1z00_1827,
																																																																																								BgL_argsz00_1829);
																																																																																							{	/* Ast/sexp.scm 446 */
																																																																																								obj_t
																																																																																									BgL_arg7562z00_9866;
																																																																																								BgL_arg7562z00_9866
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(BgL_proc2z00_1828,
																																																																																									BgL_argsz00_1829);
																																																																																								BgL_arg7561z00_9865
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(BgL_arg7562z00_9866,
																																																																																									BNIL);
																																																																																							}
																																																																																							BgL_arg7559z00_9863
																																																																																								=
																																																																																								MAKE_YOUNG_PAIR
																																																																																								(BgL_arg7560z00_9864,
																																																																																								BgL_arg7561z00_9865);
																																																																																						}
																																																																																						BgL_arg7558z00_9862
																																																																																							=
																																																																																							MAKE_YOUNG_PAIR
																																																																																							(BgL_testz00_1826,
																																																																																							BgL_arg7559z00_9863);
																																																																																					}
																																																																																					BgL_nexpz00_9860
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(
																																																																																						((obj_t) CNST_TABLE_REF(1)), BgL_arg7558z00_9862);
																																																																																				}
																																																																																				BgL_auxz00_17173
																																																																																					=
																																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																					(BgL_nexpz00_9860,
																																																																																					BgL_stackz00_22,
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_locz00_23),
																																																																																					BgL_sitez00_24);
																																																																																			}
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17173);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd2910zd2_3326;
																																																																																		BgL_cdrzd2910zd2_3326
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd2917zd2_3327;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_11489;
																																																																																				BgL_pairz00_11489
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_expz00_21));
																																																																																				BgL_cdrzd2917zd2_3327
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_pairz00_11489);
																																																																																			}
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd2924zd2_3328;
																																																																																				BgL_cdrzd2924zd2_3328
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd2917zd2_3327));
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd2930zd2_3329;
																																																																																					BgL_carzd2930zd2_3329
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd2924zd2_3328));
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2930zd2_3329))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_carzd2937zd2_3331;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_pairz00_11493;
																																																																																								BgL_pairz00_11493
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd2924zd2_3328));
																																																																																								BgL_carzd2937zd2_3331
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_pairz00_11493);
																																																																																							}
																																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2937zd2_3331))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2910zd2_3326))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_arg2853z00_3334;
																																																																																											BgL_arg2853z00_3334
																																																																																												=
																																																																																												CAR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd2917zd2_3327));
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17205;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_arg2853z00_3334;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_carzd2930zd2_3329;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_carzd2937zd2_3331;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_cdrzd2910zd2_3326;
																																																																																											BgL_tagzd2389zd2_1835:
																																																																																												{	/* Ast/sexp.scm 452 */
																																																																																													obj_t
																																																																																														BgL_tmpsz00_9867;
																																																																																													if (NULLP(BgL_argsz00_1834))
																																																																																														{	/* Ast/sexp.scm 452 */
																																																																																															BgL_tmpsz00_9867
																																																																																																=
																																																																																																BNIL;
																																																																																														}
																																																																																													else
																																																																																														{	/* Ast/sexp.scm 452 */
																																																																																															obj_t
																																																																																																BgL_head1307z00_9909;
																																																																																															BgL_head1307z00_9909
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BNIL,
																																																																																																BNIL);
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_l1305z00_9911;
																																																																																																obj_t
																																																																																																	BgL_tail1308z00_9912;
																																																																																																BgL_l1305z00_9911
																																																																																																	=
																																																																																																	BgL_argsz00_1834;
																																																																																																BgL_tail1308z00_9912
																																																																																																	=
																																																																																																	BgL_head1307z00_9909;
																																																																																															BgL_zc3z04anonymousza37590ze3z87_9913:
																																																																																																if (NULLP(BgL_l1305z00_9911))
																																																																																																	{	/* Ast/sexp.scm 452 */
																																																																																																		BgL_tmpsz00_9867
																																																																																																			=
																																																																																																			CDR
																																																																																																			(BgL_head1307z00_9909);
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 452 */
																																																																																																		obj_t
																																																																																																			BgL_newtail1309z00_9915;
																																																																																																		{	/* Ast/sexp.scm 452 */
																																																																																																			obj_t
																																																																																																				BgL_arg7593z00_9917;
																																																																																																			{	/* Ast/sexp.scm 452 */

																																																																																																				{	/* Ast/sexp.scm 452 */

																																																																																																					BgL_arg7593z00_9917
																																																																																																						=
																																																																																																						BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																																						(BFALSE);
																																																																																																				}
																																																																																																			}
																																																																																																			BgL_newtail1309z00_9915
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(BgL_arg7593z00_9917,
																																																																																																				BNIL);
																																																																																																		}
																																																																																																		SET_CDR
																																																																																																			(BgL_tail1308z00_9912,
																																																																																																			BgL_newtail1309z00_9915);
																																																																																																		{	/* Ast/sexp.scm 452 */
																																																																																																			obj_t
																																																																																																				BgL_arg7592z00_9916;
																																																																																																			BgL_arg7592z00_9916
																																																																																																				=
																																																																																																				CDR
																																																																																																				(
																																																																																																				((obj_t) BgL_l1305z00_9911));
																																																																																																			{
																																																																																																				obj_t
																																																																																																					BgL_tail1308z00_17218;
																																																																																																				obj_t
																																																																																																					BgL_l1305z00_17217;
																																																																																																				BgL_l1305z00_17217
																																																																																																					=
																																																																																																					BgL_arg7592z00_9916;
																																																																																																				BgL_tail1308z00_17218
																																																																																																					=
																																																																																																					BgL_newtail1309z00_9915;
																																																																																																				BgL_tail1308z00_9912
																																																																																																					=
																																																																																																					BgL_tail1308z00_17218;
																																																																																																				BgL_l1305z00_9911
																																																																																																					=
																																																																																																					BgL_l1305z00_17217;
																																																																																																				goto
																																																																																																					BgL_zc3z04anonymousza37590ze3z87_9913;
																																																																																																			}
																																																																																																		}
																																																																																																	}
																																																																																															}
																																																																																														}
																																																																																													{	/* Ast/sexp.scm 452 */
																																																																																														obj_t
																																																																																															BgL_locz00_9868;
																																																																																														BgL_locz00_9868
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_expz00_21,
																																																																																															BgL_locz00_23);
																																																																																														{	/* Ast/sexp.scm 453 */
																																																																																															obj_t
																																																																																																BgL_nexpz00_9869;
																																																																																															{	/* Ast/sexp.scm 454 */
																																																																																																obj_t
																																																																																																	BgL_arg7564z00_9871;
																																																																																																obj_t
																																																																																																	BgL_arg7565z00_9872;
																																																																																																BgL_arg7564z00_9871
																																																																																																	=
																																																																																																	BGl_letzd2symzd2zzast_letz00
																																																																																																	();
																																																																																																{	/* Ast/sexp.scm 454 */
																																																																																																	obj_t
																																																																																																		BgL_arg7566z00_9873;
																																																																																																	obj_t
																																																																																																		BgL_arg7567z00_9874;
																																																																																																	if (NULLP(BgL_tmpsz00_9867))
																																																																																																		{	/* Ast/sexp.scm 454 */
																																																																																																			BgL_arg7566z00_9873
																																																																																																				=
																																																																																																				BNIL;
																																																																																																		}
																																																																																																	else
																																																																																																		{	/* Ast/sexp.scm 454 */
																																																																																																			obj_t
																																																																																																				BgL_head1312z00_9878;
																																																																																																			{	/* Ast/sexp.scm 454 */
																																																																																																				obj_t
																																																																																																					BgL_arg7578z00_9896;
																																																																																																				{	/* Ast/sexp.scm 454 */
																																																																																																					obj_t
																																																																																																						BgL_arg7579z00_9897;
																																																																																																					obj_t
																																																																																																						BgL_arg7580z00_9898;
																																																																																																					BgL_arg7579z00_9897
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_tmpsz00_9867));
																																																																																																					BgL_arg7580z00_9898
																																																																																																						=
																																																																																																						CAR
																																																																																																						(
																																																																																																						((obj_t) BgL_argsz00_1834));
																																																																																																					{	/* Ast/sexp.scm 454 */
																																																																																																						obj_t
																																																																																																							BgL_list7581z00_9899;
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							obj_t
																																																																																																								BgL_arg7582z00_9900;
																																																																																																							BgL_arg7582z00_9900
																																																																																																								=
																																																																																																								MAKE_YOUNG_PAIR
																																																																																																								(BgL_arg7580z00_9898,
																																																																																																								BNIL);
																																																																																																							BgL_list7581z00_9899
																																																																																																								=
																																																																																																								MAKE_YOUNG_PAIR
																																																																																																								(BgL_arg7579z00_9897,
																																																																																																								BgL_arg7582z00_9900);
																																																																																																						}
																																																																																																						BgL_arg7578z00_9896
																																																																																																							=
																																																																																																							BgL_list7581z00_9899;
																																																																																																					}
																																																																																																				}
																																																																																																				BgL_head1312z00_9878
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_arg7578z00_9896,
																																																																																																					BNIL);
																																																																																																			}
																																																																																																			{	/* Ast/sexp.scm 454 */
																																																																																																				obj_t
																																																																																																					BgL_g1316z00_9879;
																																																																																																				obj_t
																																																																																																					BgL_g1317z00_9880;
																																																																																																				BgL_g1316z00_9879
																																																																																																					=
																																																																																																					CDR
																																																																																																					(
																																																																																																					((obj_t) BgL_tmpsz00_9867));
																																																																																																				BgL_g1317z00_9880
																																																																																																					=
																																																																																																					CDR
																																																																																																					(
																																																																																																					((obj_t) BgL_argsz00_1834));
																																																																																																				{
																																																																																																					obj_t
																																																																																																						BgL_ll1310z00_9882;
																																																																																																					obj_t
																																																																																																						BgL_ll1311z00_9883;
																																																																																																					obj_t
																																																																																																						BgL_tail1313z00_9884;
																																																																																																					BgL_ll1310z00_9882
																																																																																																						=
																																																																																																						BgL_g1316z00_9879;
																																																																																																					BgL_ll1311z00_9883
																																																																																																						=
																																																																																																						BgL_g1317z00_9880;
																																																																																																					BgL_tail1313z00_9884
																																																																																																						=
																																																																																																						BgL_head1312z00_9878;
																																																																																																				BgL_zc3z04anonymousza37569ze3z87_9885:
																																																																																																					if (NULLP(BgL_ll1310z00_9882))
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							BgL_arg7566z00_9873
																																																																																																								=
																																																																																																								BgL_head1312z00_9878;
																																																																																																						}
																																																																																																					else
																																																																																																						{	/* Ast/sexp.scm 454 */
																																																																																																							obj_t
																																																																																																								BgL_newtail1314z00_9887;
																																																																																																							{	/* Ast/sexp.scm 454 */
																																																																																																								obj_t
																																																																																																									BgL_arg7573z00_9890;
																																																																																																								{	/* Ast/sexp.scm 454 */
																																																																																																									obj_t
																																																																																																										BgL_arg7574z00_9891;
																																																																																																									obj_t
																																																																																																										BgL_arg7575z00_9892;
																																																																																																									BgL_arg7574z00_9891
																																																																																																										=
																																																																																																										CAR
																																																																																																										(
																																																																																																										((obj_t) BgL_ll1310z00_9882));
																																																																																																									BgL_arg7575z00_9892
																																																																																																										=
																																																																																																										CAR
																																																																																																										(
																																																																																																										((obj_t) BgL_ll1311z00_9883));
																																																																																																									{	/* Ast/sexp.scm 454 */
																																																																																																										obj_t
																																																																																																											BgL_list7576z00_9893;
																																																																																																										{	/* Ast/sexp.scm 454 */
																																																																																																											obj_t
																																																																																																												BgL_arg7577z00_9894;
																																																																																																											BgL_arg7577z00_9894
																																																																																																												=
																																																																																																												MAKE_YOUNG_PAIR
																																																																																																												(BgL_arg7575z00_9892,
																																																																																																												BNIL);
																																																																																																											BgL_list7576z00_9893
																																																																																																												=
																																																																																																												MAKE_YOUNG_PAIR
																																																																																																												(BgL_arg7574z00_9891,
																																																																																																												BgL_arg7577z00_9894);
																																																																																																										}
																																																																																																										BgL_arg7573z00_9890
																																																																																																											=
																																																																																																											BgL_list7576z00_9893;
																																																																																																									}
																																																																																																								}
																																																																																																								BgL_newtail1314z00_9887
																																																																																																									=
																																																																																																									MAKE_YOUNG_PAIR
																																																																																																									(BgL_arg7573z00_9890,
																																																																																																									BNIL);
																																																																																																							}
																																																																																																							SET_CDR
																																																																																																								(BgL_tail1313z00_9884,
																																																																																																								BgL_newtail1314z00_9887);
																																																																																																							{	/* Ast/sexp.scm 454 */
																																																																																																								obj_t
																																																																																																									BgL_arg7571z00_9888;
																																																																																																								obj_t
																																																																																																									BgL_arg7572z00_9889;
																																																																																																								BgL_arg7571z00_9888
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_ll1310z00_9882));
																																																																																																								BgL_arg7572z00_9889
																																																																																																									=
																																																																																																									CDR
																																																																																																									(
																																																																																																									((obj_t) BgL_ll1311z00_9883));
																																																																																																								{
																																																																																																									obj_t
																																																																																																										BgL_tail1313z00_17250;
																																																																																																									obj_t
																																																																																																										BgL_ll1311z00_17249;
																																																																																																									obj_t
																																																																																																										BgL_ll1310z00_17248;
																																																																																																									BgL_ll1310z00_17248
																																																																																																										=
																																																																																																										BgL_arg7571z00_9888;
																																																																																																									BgL_ll1311z00_17249
																																																																																																										=
																																																																																																										BgL_arg7572z00_9889;
																																																																																																									BgL_tail1313z00_17250
																																																																																																										=
																																																																																																										BgL_newtail1314z00_9887;
																																																																																																									BgL_tail1313z00_9884
																																																																																																										=
																																																																																																										BgL_tail1313z00_17250;
																																																																																																									BgL_ll1311z00_9883
																																																																																																										=
																																																																																																										BgL_ll1311z00_17249;
																																																																																																									BgL_ll1310z00_9882
																																																																																																										=
																																																																																																										BgL_ll1310z00_17248;
																																																																																																									goto
																																																																																																										BgL_zc3z04anonymousza37569ze3z87_9885;
																																																																																																								}
																																																																																																							}
																																																																																																						}
																																																																																																				}
																																																																																																			}
																																																																																																		}
																																																																																																	{	/* Ast/sexp.scm 455 */
																																																																																																		obj_t
																																																																																																			BgL_arg7583z00_9901;
																																																																																																		{	/* Ast/sexp.scm 455 */
																																																																																																			obj_t
																																																																																																				BgL_arg7584z00_9902;
																																																																																																			{	/* Ast/sexp.scm 455 */
																																																																																																				obj_t
																																																																																																					BgL_arg7585z00_9903;
																																																																																																				{	/* Ast/sexp.scm 455 */
																																																																																																					obj_t
																																																																																																						BgL_arg7586z00_9904;
																																																																																																					obj_t
																																																																																																						BgL_arg7587z00_9905;
																																																																																																					BgL_arg7586z00_9904
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_proc1z00_1832,
																																																																																																						BgL_tmpsz00_9867);
																																																																																																					{	/* Ast/sexp.scm 455 */
																																																																																																						obj_t
																																																																																																							BgL_arg7588z00_9906;
																																																																																																						BgL_arg7588z00_9906
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_proc2z00_1833,
																																																																																																							BgL_tmpsz00_9867);
																																																																																																						BgL_arg7587z00_9905
																																																																																																							=
																																																																																																							MAKE_YOUNG_PAIR
																																																																																																							(BgL_arg7588z00_9906,
																																																																																																							BNIL);
																																																																																																					}
																																																																																																					BgL_arg7585z00_9903
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(BgL_arg7586z00_9904,
																																																																																																						BgL_arg7587z00_9905);
																																																																																																				}
																																																																																																				BgL_arg7584z00_9902
																																																																																																					=
																																																																																																					MAKE_YOUNG_PAIR
																																																																																																					(BgL_testz00_1831,
																																																																																																					BgL_arg7585z00_9903);
																																																																																																			}
																																																																																																			BgL_arg7583z00_9901
																																																																																																				=
																																																																																																				MAKE_YOUNG_PAIR
																																																																																																				(
																																																																																																				((obj_t) CNST_TABLE_REF(1)), BgL_arg7584z00_9902);
																																																																																																		}
																																																																																																		BgL_arg7567z00_9874
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BgL_arg7583z00_9901,
																																																																																																			BNIL);
																																																																																																	}
																																																																																																	BgL_arg7565z00_9872
																																																																																																		=
																																																																																																		MAKE_YOUNG_PAIR
																																																																																																		(BgL_arg7566z00_9873,
																																																																																																		BgL_arg7567z00_9874);
																																																																																																}
																																																																																																BgL_nexpz00_9869
																																																																																																	=
																																																																																																	MAKE_YOUNG_PAIR
																																																																																																	(BgL_arg7564z00_9871,
																																																																																																	BgL_arg7565z00_9872);
																																																																																															}
																																																																																															{	/* Ast/sexp.scm 454 */

																																																																																																BgL_auxz00_17205
																																																																																																	=
																																																																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																																																																	(BgL_nexpz00_9869,
																																																																																																	BgL_stackz00_22,
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_expz00_21,
																																																																																																		BgL_locz00_9868),
																																																																																																	BgL_sitez00_24);
																																																																																															}
																																																																																														}
																																																																																													}
																																																																																												}
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17205);
																																																																																											}
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																												{	/* Ast/sexp.scm 119 */
																																																																																												BgL_tagzd2404zd2_1859:
																																																																																													BgL_auxz00_16356 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																												}
																																																																																											else
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_17268;
																																																																																												BgL_tagzd2405zd2_1860:
																																																																																													BgL_auxz00_17268 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																													BgL_auxz00_16356
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_17268);
																																																																																												}
																																																																																										}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1859;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_17273;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1860;
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_17273);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17277;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17277);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_17281;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_17281);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd21213zd2_3353;
																																																																														BgL_cdrzd21213zd2_3353
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd21219zd2_3354;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11497;
																																																																																BgL_pairz00_11497
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd21219zd2_3354
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11497);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd21225zd2_3355;
																																																																																BgL_cdrzd21225zd2_3355
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd21219zd2_3354));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd21230zd2_3356;
																																																																																	obj_t
																																																																																		BgL_cdrzd21231zd2_3357;
																																																																																	BgL_carzd21230zd2_3356
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21225zd2_3355));
																																																																																	BgL_cdrzd21231zd2_3357
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd21225zd2_3355));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21230zd2_3356))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd21236zd2_3359;
																																																																																			BgL_carzd21236zd2_3359
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd21231zd2_3357));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21236zd2_3359))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (NULLP(CDR(((obj_t) BgL_cdrzd21231zd2_3357))))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21213zd2_3353))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg2871z00_3364;
																																																																																									BgL_arg2871z00_3364
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd21219zd2_3354));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17308;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_17312;
																																																																																											obj_t
																																																																																												BgL_proc2z00_17311;
																																																																																											obj_t
																																																																																												BgL_proc1z00_17310;
																																																																																											obj_t
																																																																																												BgL_testz00_17309;
																																																																																											BgL_testz00_17309
																																																																																												=
																																																																																												BgL_arg2871z00_3364;
																																																																																											BgL_proc1z00_17310
																																																																																												=
																																																																																												BgL_carzd21230zd2_3356;
																																																																																											BgL_proc2z00_17311
																																																																																												=
																																																																																												BgL_carzd21236zd2_3359;
																																																																																											BgL_argsz00_17312
																																																																																												=
																																																																																												BgL_cdrzd21213zd2_3353;
																																																																																											BgL_argsz00_1834
																																																																																												=
																																																																																												BgL_argsz00_17312;
																																																																																											BgL_proc2z00_1833
																																																																																												=
																																																																																												BgL_proc2z00_17311;
																																																																																											BgL_proc1z00_1832
																																																																																												=
																																																																																												BgL_proc1z00_17310;
																																																																																											BgL_testz00_1831
																																																																																												=
																																																																																												BgL_testz00_17309;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1835;
																																																																																										}
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17308);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1859;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_17316;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1860;
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_17316);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17320;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17320);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17324;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17324);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17328;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17328);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_17332;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_17332);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd21569zd2_3372;
																																																																										BgL_cdrzd21569zd2_3372
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd21576zd2_3373;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11506;
																																																																												BgL_pairz00_11506
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd21576zd2_3373
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11506);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd21583zd2_3374;
																																																																												BgL_cdrzd21583zd2_3374
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd21576zd2_3373));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd21589zd2_3375;
																																																																													obj_t
																																																																														BgL_cdrzd21590zd2_3376;
																																																																													BgL_carzd21589zd2_3375
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd21583zd2_3374));
																																																																													BgL_cdrzd21590zd2_3376
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd21583zd2_3374));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21589zd2_3375))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (PAIRP(BgL_cdrzd21590zd2_3376))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd21597zd2_3379;
																																																																																	BgL_carzd21597zd2_3379
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd21590zd2_3376);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21597zd2_3379))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(BgL_cdrzd21590zd2_3376)))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21569zd2_3372))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2898z00_3384;
																																																																																							BgL_arg2898z00_3384
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd21576zd2_3373));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17359;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_17363;
																																																																																									obj_t
																																																																																										BgL_proc2z00_17362;
																																																																																									obj_t
																																																																																										BgL_proc1z00_17361;
																																																																																									obj_t
																																																																																										BgL_testz00_17360;
																																																																																									BgL_testz00_17360
																																																																																										=
																																																																																										BgL_arg2898z00_3384;
																																																																																									BgL_proc1z00_17361
																																																																																										=
																																																																																										BgL_carzd21589zd2_3375;
																																																																																									BgL_proc2z00_17362
																																																																																										=
																																																																																										BgL_carzd21597zd2_3379;
																																																																																									BgL_argsz00_17363
																																																																																										=
																																																																																										BgL_cdrzd21569zd2_3372;
																																																																																									BgL_argsz00_1834
																																																																																										=
																																																																																										BgL_argsz00_17363;
																																																																																									BgL_proc2z00_1833
																																																																																										=
																																																																																										BgL_proc2z00_17362;
																																																																																									BgL_proc1z00_1832
																																																																																										=
																																																																																										BgL_proc1z00_17361;
																																																																																									BgL_testz00_1831
																																																																																										=
																																																																																										BgL_testz00_17360;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1835;
																																																																																								}
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17359);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_17367;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_17367);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17371;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17371);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_17375;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_17375);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17379;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17379);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_17383;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_17383);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17387;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17387);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd21990zd2_3398;
																																																										BgL_cdrzd21990zd2_3398
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8337z00_17391;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2929z00_3415;
																																																												BgL_arg2929z00_3415
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8337z00_17391
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg2929z00_3415));
																																																											}
																																																											if (BgL_test8337z00_17391)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2916z00_3401;
																																																													obj_t
																																																														BgL_arg2917z00_3402;
																																																													BgL_arg2916z00_3401
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd21990zd2_3398));
																																																													BgL_arg2917z00_3402
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd21990zd2_3398));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_17400;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_17402;
																																																															obj_t
																																																																BgL_bindingsz00_17401;
																																																															BgL_bindingsz00_17401
																																																																=
																																																																BgL_arg2916z00_3401;
																																																															BgL_exprz00_17402
																																																																=
																																																																BgL_arg2917z00_3402;
																																																															BgL_exprz00_1814
																																																																=
																																																																BgL_exprz00_17402;
																																																															BgL_bindingsz00_1813
																																																																=
																																																																BgL_bindingsz00_17401;
																																																															goto
																																																																BgL_tagzd2383zd2_1815;
																																																														}
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_17400);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8338z00_17404;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2928z00_3414;
																																																														BgL_arg2928z00_3414
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8338z00_17404
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg2928z00_3414));
																																																													}
																																																													if (BgL_test8338z00_17404)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_17409;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17409);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd22056zd2_3405;
																																																															BgL_carzd22056zd2_3405
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd22061zd2_3406;
																																																																BgL_cdrzd22061zd2_3406
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd22056zd2_3405));
																																																																if ((CAR(((obj_t) BgL_carzd22056zd2_3405)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2923z00_3409;
																																																																		obj_t
																																																																			BgL_arg2924z00_3410;
																																																																		obj_t
																																																																			BgL_arg2925z00_3411;
																																																																		BgL_arg2923z00_3409
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd22061zd2_3406));
																																																																		BgL_arg2924z00_3410
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd22061zd2_3406));
																																																																		BgL_arg2925z00_3411
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17427;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_17430;
																																																																				obj_t
																																																																					BgL_bodyz00_17429;
																																																																				obj_t
																																																																					BgL_varsz00_17428;
																																																																				BgL_varsz00_17428
																																																																					=
																																																																					BgL_arg2923z00_3409;
																																																																				BgL_bodyz00_17429
																																																																					=
																																																																					BgL_arg2924z00_3410;
																																																																				BgL_argsz00_17430
																																																																					=
																																																																					BgL_arg2925z00_3411;
																																																																				BgL_argsz00_1824
																																																																					=
																																																																					BgL_argsz00_17430;
																																																																				BgL_bodyz00_1823
																																																																					=
																																																																					BgL_bodyz00_17429;
																																																																				BgL_varsz00_1822
																																																																					=
																																																																					BgL_varsz00_17428;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1825;
																																																																			}
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17427);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_17434;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_17434);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd22172zd2_3416;
																																																								BgL_cdrzd22172zd2_3416
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8341z00_17438;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg2953z00_3425;
																																																										BgL_arg2953z00_3425
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8341z00_17438
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg2953z00_3425));
																																																									}
																																																									if (BgL_test8341z00_17438)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg2937z00_3419;
																																																											obj_t
																																																												BgL_arg2941z00_3420;
																																																											BgL_arg2937z00_3419
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd22172zd2_3416));
																																																											BgL_arg2941z00_3420
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd22172zd2_3416));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_17447;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_17449;
																																																													obj_t
																																																														BgL_bindingsz00_17448;
																																																													BgL_bindingsz00_17448
																																																														=
																																																														BgL_arg2937z00_3419;
																																																													BgL_exprz00_17449
																																																														=
																																																														BgL_arg2941z00_3420;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_17449;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_17448;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_17447);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8342z00_17451;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg2952z00_3424;
																																																												BgL_arg2952z00_3424
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8342z00_17451
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg2952z00_3424));
																																																											}
																																																											if (BgL_test8342z00_17451)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_17456;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17456);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_17460;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17460);
																																																														}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2737zd2_3155)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd2739zd2_3157;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd2737zd2_3155 == ((obj_t) CNST_TABLE_REF(19))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd2739zd2_3157;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((BgL_carzd2737zd2_3155 == ((obj_t) CNST_TABLE_REF(20))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd2739zd2_3157;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2737zd2_3155)))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_kapzd2739zd2_3157;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd22344zd2_3160;
																																																														BgL_cdrzd22344zd2_3160
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8348z00_17478;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2818z00_3277;
																																																																BgL_arg2818z00_3277
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8348z00_17478
																																																																	=
																																																																	CBOOL
																																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																																	(BgL_arg2818z00_3277));
																																																															}
																																																															if (BgL_test8348z00_17478)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg2719z00_3163;
																																																																	obj_t
																																																																		BgL_arg2720z00_3164;
																																																																	BgL_arg2719z00_3163
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd22344zd2_3160));
																																																																	BgL_arg2720z00_3164
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd22344zd2_3160));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_17487;
																																																																		{
																																																																			obj_t
																																																																				BgL_exprz00_17489;
																																																																			obj_t
																																																																				BgL_bindingsz00_17488;
																																																																			BgL_bindingsz00_17488
																																																																				=
																																																																				BgL_arg2719z00_3163;
																																																																			BgL_exprz00_17489
																																																																				=
																																																																				BgL_arg2720z00_3164;
																																																																			BgL_exprz00_1814
																																																																				=
																																																																				BgL_exprz00_17489;
																																																																			BgL_bindingsz00_1813
																																																																				=
																																																																				BgL_bindingsz00_17488;
																																																																			goto
																																																																				BgL_tagzd2383zd2_1815;
																																																																		}
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_17487);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test8349z00_17491;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2817z00_3276;
																																																																		BgL_arg2817z00_3276
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_test8349z00_17491
																																																																			=
																																																																			CBOOL
																																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																			(BgL_arg2817z00_3276));
																																																																	}
																																																																	if (BgL_test8349z00_17491)
																																																																		{
																																																																			BgL_letzd2funzd2_bglt
																																																																				BgL_auxz00_17496;
																																																																			goto
																																																																				BgL_tagzd2385zd2_1817;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17496);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd22410zd2_3167;
																																																																			BgL_carzd22410zd2_3167
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd22415zd2_3168;
																																																																				BgL_cdrzd22415zd2_3168
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd22410zd2_3167));
																																																																				if ((CAR(((obj_t) BgL_carzd22410zd2_3167)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd22415zd2_3168))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg2726z00_3172;
																																																																								obj_t
																																																																									BgL_arg2727z00_3173;
																																																																								obj_t
																																																																									BgL_arg2728z00_3174;
																																																																								BgL_arg2726z00_3172
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd22415zd2_3168);
																																																																								BgL_arg2727z00_3173
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd22415zd2_3168);
																																																																								BgL_arg2728z00_3174
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17514;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_17517;
																																																																										obj_t
																																																																											BgL_bodyz00_17516;
																																																																										obj_t
																																																																											BgL_varsz00_17515;
																																																																										BgL_varsz00_17515
																																																																											=
																																																																											BgL_arg2726z00_3172;
																																																																										BgL_bodyz00_17516
																																																																											=
																																																																											BgL_arg2727z00_3173;
																																																																										BgL_argsz00_17517
																																																																											=
																																																																											BgL_arg2728z00_3174;
																																																																										BgL_argsz00_1824
																																																																											=
																																																																											BgL_argsz00_17517;
																																																																										BgL_bodyz00_1823
																																																																											=
																																																																											BgL_bodyz00_17516;
																																																																										BgL_varsz00_1822
																																																																											=
																																																																											BgL_varsz00_17515;
																																																																										goto
																																																																											BgL_tagzd2387zd2_1825;
																																																																									}
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17514);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_17521;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_17521);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd22522zd2_3177;
																																																																						BgL_cdrzd22522zd2_3177
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd22527zd2_3178;
																																																																							BgL_cdrzd22527zd2_3178
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_carzd22410zd2_3167));
																																																																							if ((CAR(((obj_t) BgL_carzd22410zd2_3167)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd22527zd2_3178))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd22532zd2_3182;
																																																																											BgL_cdrzd22532zd2_3182
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd22527zd2_3178);
																																																																											if (PAIRP(BgL_cdrzd22532zd2_3182))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd22536zd2_3184;
																																																																													obj_t
																																																																														BgL_cdrzd22537zd2_3185;
																																																																													BgL_carzd22536zd2_3184
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd22532zd2_3182);
																																																																													BgL_cdrzd22537zd2_3185
																																																																														=
																																																																														CDR
																																																																														(BgL_cdrzd22532zd2_3182);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22536zd2_3184))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (PAIRP(BgL_cdrzd22537zd2_3185))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd22542zd2_3188;
																																																																																	BgL_carzd22542zd2_3188
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd22537zd2_3185);
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22542zd2_3188))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(BgL_cdrzd22537zd2_3185)))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test8360z00_17550;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1321z00_3221;
																																																																																						BgL_l1321z00_3221
																																																																																							=
																																																																																							BgL_cdrzd22522zd2_3177;
																																																																																					BgL_zc3z04anonymousza32755ze3z87_3222:
																																																																																						if (NULLP(BgL_l1321z00_3221))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test8360z00_17550
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									1);
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								bool_t
																																																																																									BgL_test8362z00_17553;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									bool_t
																																																																																										BgL_test8363z00_17554;
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_tmpz00_17555;
																																																																																										BgL_tmpz00_17555
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_l1321z00_3221));
																																																																																										BgL_test8363z00_17554
																																																																																											=
																																																																																											PAIRP
																																																																																											(BgL_tmpz00_17555);
																																																																																									}
																																																																																									if (BgL_test8363z00_17554)
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											BgL_test8362z00_17553
																																																																																												=
																																																																																												(
																																																																																												(bool_t)
																																																																																												0);
																																																																																										}
																																																																																									else
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											BgL_test8362z00_17553
																																																																																												=
																																																																																												(
																																																																																												(bool_t)
																																																																																												1);
																																																																																										}
																																																																																								}
																																																																																								if (BgL_test8362z00_17553)
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_l1321z00_17559;
																																																																																										BgL_l1321z00_17559
																																																																																											=
																																																																																											CDR
																																																																																											(
																																																																																											((obj_t) BgL_l1321z00_3221));
																																																																																										BgL_l1321z00_3221
																																																																																											=
																																																																																											BgL_l1321z00_17559;
																																																																																										goto
																																																																																											BgL_zc3z04anonymousza32755ze3z87_3222;
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										BgL_test8360z00_17550
																																																																																											=
																																																																																											(
																																																																																											(bool_t)
																																																																																											0);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																					if (BgL_test8360z00_17550)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg2745z00_3204;
																																																																																							BgL_arg2745z00_3204
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_cdrzd22527zd2_3178);
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17563;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_17567;
																																																																																									obj_t
																																																																																										BgL_proc2z00_17566;
																																																																																									obj_t
																																																																																										BgL_proc1z00_17565;
																																																																																									obj_t
																																																																																										BgL_testz00_17564;
																																																																																									BgL_testz00_17564
																																																																																										=
																																																																																										BgL_arg2745z00_3204;
																																																																																									BgL_proc1z00_17565
																																																																																										=
																																																																																										BgL_carzd22536zd2_3184;
																																																																																									BgL_proc2z00_17566
																																																																																										=
																																																																																										BgL_carzd22542zd2_3188;
																																																																																									BgL_argsz00_17567
																																																																																										=
																																																																																										BgL_cdrzd22522zd2_3177;
																																																																																									BgL_argsz00_1829
																																																																																										=
																																																																																										BgL_argsz00_17567;
																																																																																									BgL_proc2z00_1828
																																																																																										=
																																																																																										BgL_proc2z00_17566;
																																																																																									BgL_proc1z00_1827
																																																																																										=
																																																																																										BgL_proc1z00_17565;
																																																																																									BgL_testz00_1826
																																																																																										=
																																																																																										BgL_testz00_17564;
																																																																																									goto
																																																																																										BgL_tagzd2388zd2_1830;
																																																																																								}
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17563);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd22567zd2_3205;
																																																																																							BgL_cdrzd22567zd2_3205
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_cdrzd22575zd2_3206;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_11554;
																																																																																									BgL_pairz00_11554
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_expz00_21));
																																																																																									BgL_cdrzd22575zd2_3206
																																																																																										=
																																																																																										CDR
																																																																																										(BgL_pairz00_11554);
																																																																																								}
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_cdrzd22583zd2_3207;
																																																																																									BgL_cdrzd22583zd2_3207
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd22575zd2_3206));
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd22590zd2_3208;
																																																																																										BgL_carzd22590zd2_3208
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd22583zd2_3207));
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22590zd2_3208))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_carzd22599zd2_3210;
																																																																																												{	/* Ast/sexp.scm 119 */
																																																																																													obj_t
																																																																																														BgL_pairz00_11558;
																																																																																													BgL_pairz00_11558
																																																																																														=
																																																																																														CDR
																																																																																														(
																																																																																														((obj_t) BgL_cdrzd22583zd2_3207));
																																																																																													BgL_carzd22599zd2_3210
																																																																																														=
																																																																																														CAR
																																																																																														(BgL_pairz00_11558);
																																																																																												}
																																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22599zd2_3210))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22567zd2_3205))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																obj_t
																																																																																																	BgL_arg2749z00_3213;
																																																																																																BgL_arg2749z00_3213
																																																																																																	=
																																																																																																	CAR
																																																																																																	(
																																																																																																	((obj_t) BgL_cdrzd22575zd2_3206));
																																																																																																{
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_auxz00_17589;
																																																																																																	{
																																																																																																		obj_t
																																																																																																			BgL_argsz00_17593;
																																																																																																		obj_t
																																																																																																			BgL_proc2z00_17592;
																																																																																																		obj_t
																																																																																																			BgL_proc1z00_17591;
																																																																																																		obj_t
																																																																																																			BgL_testz00_17590;
																																																																																																		BgL_testz00_17590
																																																																																																			=
																																																																																																			BgL_arg2749z00_3213;
																																																																																																		BgL_proc1z00_17591
																																																																																																			=
																																																																																																			BgL_carzd22590zd2_3208;
																																																																																																		BgL_proc2z00_17592
																																																																																																			=
																																																																																																			BgL_carzd22599zd2_3210;
																																																																																																		BgL_argsz00_17593
																																																																																																			=
																																																																																																			BgL_cdrzd22567zd2_3205;
																																																																																																		BgL_argsz00_1834
																																																																																																			=
																																																																																																			BgL_argsz00_17593;
																																																																																																		BgL_proc2z00_1833
																																																																																																			=
																																																																																																			BgL_proc2z00_17592;
																																																																																																		BgL_proc1z00_1832
																																																																																																			=
																																																																																																			BgL_proc1z00_17591;
																																																																																																		BgL_testz00_1831
																																																																																																			=
																																																																																																			BgL_testz00_17590;
																																																																																																		goto
																																																																																																			BgL_tagzd2389zd2_1835;
																																																																																																	}
																																																																																																	BgL_auxz00_16356
																																																																																																		=
																																																																																																		(
																																																																																																		(obj_t)
																																																																																																		BgL_auxz00_17589);
																																																																																																}
																																																																																															}
																																																																																														else
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																																		goto
																																																																																																			BgL_tagzd2404zd2_1859;
																																																																																																	}
																																																																																																else
																																																																																																	{
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_auxz00_17597;
																																																																																																		goto
																																																																																																			BgL_tagzd2405zd2_1860;
																																																																																																		BgL_auxz00_16356
																																																																																																			=
																																																																																																			(
																																																																																																			(obj_t)
																																																																																																			BgL_auxz00_17597);
																																																																																																	}
																																																																																															}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1859;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_17601;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1860;
																																																																																																BgL_auxz00_16356
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_17601);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17605;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17605);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								}
																																																																																							}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_17609;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_17609);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd22877zd2_3232;
																																																																																			BgL_cdrzd22877zd2_3232
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd22884zd2_3233;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11562;
																																																																																					BgL_pairz00_11562
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd22884zd2_3233
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_11562);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd22891zd2_3234;
																																																																																					BgL_cdrzd22891zd2_3234
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd22884zd2_3233));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd22897zd2_3235;
																																																																																						obj_t
																																																																																							BgL_cdrzd22898zd2_3236;
																																																																																						BgL_carzd22897zd2_3235
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22891zd2_3234));
																																																																																						BgL_cdrzd22898zd2_3236
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd22891zd2_3234));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22897zd2_3235))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd22905zd2_3238;
																																																																																								BgL_carzd22905zd2_3238
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd22898zd2_3236));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22905zd2_3238))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd22898zd2_3236))))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22877zd2_3232))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg2767z00_3243;
																																																																																														BgL_arg2767z00_3243
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd22884zd2_3233));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_17636;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_17640;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_17639;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_17638;
																																																																																																obj_t
																																																																																																	BgL_testz00_17637;
																																																																																																BgL_testz00_17637
																																																																																																	=
																																																																																																	BgL_arg2767z00_3243;
																																																																																																BgL_proc1z00_17638
																																																																																																	=
																																																																																																	BgL_carzd22897zd2_3235;
																																																																																																BgL_proc2z00_17639
																																																																																																	=
																																																																																																	BgL_carzd22905zd2_3238;
																																																																																																BgL_argsz00_17640
																																																																																																	=
																																																																																																	BgL_cdrzd22877zd2_3232;
																																																																																																BgL_argsz00_1834
																																																																																																	=
																																																																																																	BgL_argsz00_17640;
																																																																																																BgL_proc2z00_1833
																																																																																																	=
																																																																																																	BgL_proc2z00_17639;
																																																																																																BgL_proc1z00_1832
																																																																																																	=
																																																																																																	BgL_proc1z00_17638;
																																																																																																BgL_testz00_1831
																																																																																																	=
																																																																																																	BgL_testz00_17637;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1835;
																																																																																															}
																																																																																															BgL_auxz00_16356
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_17636);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1859;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_17644;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1860;
																																																																																																BgL_auxz00_16356
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_17644);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17648;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17648);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17652;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17652);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17656;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17656);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_17660;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_17660);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd23238zd2_3251;
																																																																															BgL_cdrzd23238zd2_3251
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd23244zd2_3252;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11571;
																																																																																	BgL_pairz00_11571
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd23244zd2_3252
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11571);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd23250zd2_3253;
																																																																																	BgL_cdrzd23250zd2_3253
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd23244zd2_3252));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd23255zd2_3254;
																																																																																		obj_t
																																																																																			BgL_cdrzd23256zd2_3255;
																																																																																		BgL_carzd23255zd2_3254
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd23250zd2_3253));
																																																																																		BgL_cdrzd23256zd2_3255
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd23250zd2_3253));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23255zd2_3254))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (PAIRP(BgL_cdrzd23256zd2_3255))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd23261zd2_3258;
																																																																																						BgL_carzd23261zd2_3258
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_cdrzd23256zd2_3255);
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23261zd2_3258))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(BgL_cdrzd23256zd2_3255)))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23238zd2_3251))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg2800z00_3263;
																																																																																												BgL_arg2800z00_3263
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd23244zd2_3252));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_17687;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_17691;
																																																																																														obj_t
																																																																																															BgL_proc2z00_17690;
																																																																																														obj_t
																																																																																															BgL_proc1z00_17689;
																																																																																														obj_t
																																																																																															BgL_testz00_17688;
																																																																																														BgL_testz00_17688
																																																																																															=
																																																																																															BgL_arg2800z00_3263;
																																																																																														BgL_proc1z00_17689
																																																																																															=
																																																																																															BgL_carzd23255zd2_3254;
																																																																																														BgL_proc2z00_17690
																																																																																															=
																																																																																															BgL_carzd23261zd2_3258;
																																																																																														BgL_argsz00_17691
																																																																																															=
																																																																																															BgL_cdrzd23238zd2_3251;
																																																																																														BgL_argsz00_1834
																																																																																															=
																																																																																															BgL_argsz00_17691;
																																																																																														BgL_proc2z00_1833
																																																																																															=
																																																																																															BgL_proc2z00_17690;
																																																																																														BgL_proc1z00_1832
																																																																																															=
																																																																																															BgL_proc1z00_17689;
																																																																																														BgL_testz00_1831
																																																																																															=
																																																																																															BgL_testz00_17688;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1835;
																																																																																													}
																																																																																													BgL_auxz00_16356
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_17687);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_17695;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_17695);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_17699;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_17699);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_17703;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_17703);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_17707;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_17707);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_17711;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_17711);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17715;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17715);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17719;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17719);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_17723;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_17723);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd2734zd2_3153 == ((obj_t) CNST_TABLE_REF(18))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2954z00_3428;
																																																					obj_t
																																																						BgL_arg2957z00_3429;
																																																					BgL_arg2954z00_3428
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd2709zd2_3148));
																																																					BgL_arg2957z00_3429
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd2709zd2_3148));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_17733;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_17735;
																																																							obj_t
																																																								BgL_bindingsz00_17734;
																																																							BgL_bindingsz00_17734
																																																								=
																																																								BgL_arg2954z00_3428;
																																																							BgL_exprz00_17735
																																																								=
																																																								BgL_arg2957z00_3429;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_17735;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_17734;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_17733);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd2734zd2_3153)))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2959z00_3431;
																																																							obj_t
																																																								BgL_arg2960z00_3432;
																																																							BgL_arg2959z00_3431
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd2709zd2_3148));
																																																							BgL_arg2960z00_3432
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd2709zd2_3148));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_17744;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_17746;
																																																									obj_t
																																																										BgL_bindingsz00_17745;
																																																									BgL_bindingsz00_17745
																																																										=
																																																										BgL_arg2959z00_3431;
																																																									BgL_exprz00_17746
																																																										=
																																																										BgL_arg2960z00_3432;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_17746;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_17745;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_17744);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((BgL_carzd2734zd2_3153 == ((obj_t) CNST_TABLE_REF(19))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2962z00_3433;
																																																									obj_t
																																																										BgL_arg2965z00_3434;
																																																									BgL_arg2962z00_3433
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd2709zd2_3148));
																																																									BgL_arg2965z00_3434
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd2709zd2_3148));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_17756;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_17758;
																																																											obj_t
																																																												BgL_bindingsz00_17757;
																																																											BgL_bindingsz00_17757
																																																												=
																																																												BgL_arg2962z00_3433;
																																																											BgL_exprz00_17758
																																																												=
																																																												BgL_arg2965z00_3434;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_17758;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_17757;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_17756);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_17766;
																																																										BgL_tagzd2384zd2_1816:
																																																											BgL_auxz00_17766 = BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_17766);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd23836zd2_3437;
																																																											BgL_carzd23836zd2_3437
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((BgL_carzd23836zd2_3437 == ((obj_t) CNST_TABLE_REF(20))))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_17777;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_17777);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23836zd2_3437)))
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_17782;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_17782);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_17790;
																																																																BgL_tagzd2390zd2_1836:
																																																																	BgL_auxz00_17790 = BGl_lambdazd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24, BGl_string8056z00zzast_sexpz00);
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_17790);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_17799;
																																																																		BgL_tagzd2391zd2_1837:
																																																																			BgL_auxz00_17799 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_17799);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd23916zd2_3443;
																																																																			BgL_cdrzd23916zd2_3443
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg2977z00_3446;
																																																																					obj_t
																																																																						BgL_arg2978z00_3447;
																																																																					BgL_arg2977z00_3446
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd23916zd2_3443));
																																																																					BgL_arg2978z00_3447
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd23916zd2_3443));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_17815;
																																																																						BgL_effectz00_1838
																																																																							=
																																																																							BgL_arg2977z00_3446;
																																																																						BgL_restz00_1839
																																																																							=
																																																																							BgL_arg2978z00_3447;
																																																																					BgL_tagzd2392zd2_1840:
																																																																						{	/* Ast/sexp.scm 467 */
																																																																							BgL_feffectz00_bglt
																																																																								BgL_arg7594z00_9921;
																																																																							obj_t
																																																																								BgL_arg7595z00_9922;
																																																																							BgL_arg7594z00_9921
																																																																								=
																																																																								BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																								(BgL_effectz00_1838);
																																																																							BgL_arg7595z00_9922
																																																																								=
																																																																								MAKE_YOUNG_PAIR
																																																																								(
																																																																								((obj_t) CNST_TABLE_REF(6)), BgL_restz00_1839);
																																																																							BgL_auxz00_17815
																																																																								=
																																																																								BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																								(
																																																																								((bool_t) 0), ((obj_t) BgL_arg7594z00_9921), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7595z00_9922, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																						}
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_17815);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_17830;
																																																																						BgL_tagzd2393zd2_1841:
																																																																							BgL_auxz00_17830 = BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_17830);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_17840;
																																																																								BgL_tagzd2394zd2_1842:
																																																																									{	/* Ast/sexp.scm 474 */
																																																																										bool_t
																																																																											BgL_test8404z00_17841;
																																																																										if (NULLP(BgL_stackz00_22))
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												BgL_test8404z00_17841
																																																																													=
																																																																													(BgL_sitez00_24
																																																																													==
																																																																													((obj_t) CNST_TABLE_REF(2)));
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												BgL_test8404z00_17841
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										if (BgL_test8404z00_17841)
																																																																											{	/* Ast/sexp.scm 474 */
																																																																												{	/* Ast/sexp.scm 478 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_arg7598z00_9925;
																																																																													BgL_arg7598z00_9925
																																																																														=
																																																																														BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																														(
																																																																														((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																													BGl_addzd2staticzd2pragmaz12z12zzast_pragmaz00
																																																																														(BgL_arg7598z00_9925);
																																																																												}
																																																																												BgL_auxz00_17840
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BUNSPEC,
																																																																													BgL_stackz00_22,
																																																																													BgL_locz00_23,
																																																																													BgL_sitez00_24);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 475 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_res8013z00_11331;
																																																																												{	/* Ast/sexp.scm 735 */
																																																																													obj_t
																																																																														BgL_arg7755z00_11327;
																																																																													BgL_nodez00_bglt
																																																																														BgL_arg7756z00_11328;
																																																																													BgL_arg7755z00_11327
																																																																														=
																																																																														BGl_shapez00zztools_shapez00
																																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																																														());
																																																																													BgL_arg7756z00_11328
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(
																																																																														((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																																													{	/* Ast/sexp.scm 734 */
																																																																														obj_t
																																																																															BgL_list7757z00_11330;
																																																																														BgL_list7757z00_11330
																																																																															=
																																																																															MAKE_YOUNG_PAIR
																																																																															(
																																																																															((obj_t) BgL_arg7756z00_11328), BNIL);
																																																																														BgL_res8013z00_11331
																																																																															=
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																															(BgL_locz00_23,
																																																																																BgL_arg7755z00_11327,
																																																																																BGl_string8055z00zzast_sexpz00,
																																																																																BgL_expz00_21,
																																																																																BgL_list7757z00_11330));
																																																																													}
																																																																												}
																																																																												BgL_auxz00_17840
																																																																													=
																																																																													BgL_res8013z00_11331;
																																																																											}
																																																																									}
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_17840);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg2985z00_3455;
																																																																											obj_t
																																																																												BgL_arg2986z00_3456;
																																																																											BgL_arg2985z00_3455
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd23916zd2_3443));
																																																																											BgL_arg2986z00_3456
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd23916zd2_3443));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_17873;
																																																																												BgL_effectz00_1843
																																																																													=
																																																																													BgL_arg2985z00_3455;
																																																																												BgL_restz00_1844
																																																																													=
																																																																													BgL_arg2986z00_3456;
																																																																											BgL_tagzd2395zd2_1845:
																																																																												{	/* Ast/sexp.scm 483 */
																																																																													BgL_feffectz00_bglt
																																																																														BgL_arg7599z00_9927;
																																																																													obj_t
																																																																														BgL_arg7600z00_9928;
																																																																													BgL_arg7599z00_9927
																																																																														=
																																																																														BGl_parsezd2effectzd2zzeffect_feffectz00
																																																																														(BgL_effectz00_1843);
																																																																													BgL_arg7600z00_9928
																																																																														=
																																																																														MAKE_YOUNG_PAIR
																																																																														(
																																																																														((obj_t) CNST_TABLE_REF(6)), BgL_restz00_1844);
																																																																													BgL_auxz00_17873
																																																																														=
																																																																														BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																																														(
																																																																														((bool_t) 1), ((obj_t) BgL_arg7599z00_9927), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg7600z00_9928, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																												}
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_17873);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_17888;
																																																																												BgL_tagzd2396zd2_1846:
																																																																													{
																																																																														obj_t
																																																																															BgL_procz00_9929;
																																																																														obj_t
																																																																															BgL_msgz00_9930;
																																																																														obj_t
																																																																															BgL_objz00_9931;
																																																																														if (PAIRP(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd275372zd2_9936;
																																																																																BgL_cdrzd275372zd2_9936
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																if (PAIRP(BgL_cdrzd275372zd2_9936))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd275377zd2_9938;
																																																																																		BgL_cdrzd275377zd2_9938
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd275372zd2_9936);
																																																																																		if (PAIRP(BgL_cdrzd275377zd2_9938))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd275382zd2_9940;
																																																																																				BgL_cdrzd275382zd2_9940
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd275377zd2_9938);
																																																																																				if (PAIRP(BgL_cdrzd275382zd2_9940))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd275382zd2_9940)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg7607z00_9944;
																																																																																								obj_t
																																																																																									BgL_arg7608z00_9945;
																																																																																								obj_t
																																																																																									BgL_arg7609z00_9946;
																																																																																								BgL_arg7607z00_9944
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275372zd2_9936);
																																																																																								BgL_arg7608z00_9945
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275377zd2_9938);
																																																																																								BgL_arg7609z00_9946
																																																																																									=
																																																																																									CAR
																																																																																									(BgL_cdrzd275382zd2_9940);
																																																																																								{
																																																																																									BgL_failz00_bglt
																																																																																										BgL_auxz00_17907;
																																																																																									BgL_procz00_9929
																																																																																										=
																																																																																										BgL_arg7607z00_9944;
																																																																																									BgL_msgz00_9930
																																																																																										=
																																																																																										BgL_arg7608z00_9945;
																																																																																									BgL_objz00_9931
																																																																																										=
																																																																																										BgL_arg7609z00_9946;
																																																																																									{	/* Ast/sexp.scm 489 */
																																																																																										obj_t
																																																																																											BgL_locz00_9948;
																																																																																										BgL_locz00_9948
																																																																																											=
																																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																											(BgL_expz00_21,
																																																																																											BgL_locz00_23);
																																																																																										{	/* Ast/sexp.scm 489 */
																																																																																											obj_t
																																																																																												BgL_cdlocz00_9949;
																																																																																											{	/* Ast/sexp.scm 490 */
																																																																																												obj_t
																																																																																													BgL_arg7614z00_9963;
																																																																																												BgL_arg7614z00_9963
																																																																																													=
																																																																																													CDR
																																																																																													(
																																																																																													((obj_t) BgL_expz00_21));
																																																																																												BgL_cdlocz00_9949
																																																																																													=
																																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																													(BgL_arg7614z00_9963,
																																																																																													BgL_locz00_9948);
																																																																																											}
																																																																																											{	/* Ast/sexp.scm 490 */
																																																																																												obj_t
																																																																																													BgL_cddlocz00_9950;
																																																																																												{	/* Ast/sexp.scm 491 */
																																																																																													obj_t
																																																																																														BgL_arg7613z00_9962;
																																																																																													{	/* Ast/sexp.scm 491 */
																																																																																														obj_t
																																																																																															BgL_pairz00_11336;
																																																																																														BgL_pairz00_11336
																																																																																															=
																																																																																															CDR
																																																																																															(
																																																																																															((obj_t) BgL_expz00_21));
																																																																																														BgL_arg7613z00_9962
																																																																																															=
																																																																																															CDR
																																																																																															(BgL_pairz00_11336);
																																																																																													}
																																																																																													BgL_cddlocz00_9950
																																																																																														=
																																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																														(BgL_arg7613z00_9962,
																																																																																														BgL_locz00_9948);
																																																																																												}
																																																																																												{	/* Ast/sexp.scm 491 */
																																																																																													obj_t
																																																																																														BgL_cdddlocz00_9951;
																																																																																													{	/* Ast/sexp.scm 492 */
																																																																																														obj_t
																																																																																															BgL_arg7612z00_9961;
																																																																																														{	/* Ast/sexp.scm 492 */
																																																																																															obj_t
																																																																																																BgL_pairz00_11342;
																																																																																															{	/* Ast/sexp.scm 492 */
																																																																																																obj_t
																																																																																																	BgL_pairz00_11341;
																																																																																																BgL_pairz00_11341
																																																																																																	=
																																																																																																	CDR
																																																																																																	(
																																																																																																	((obj_t) BgL_expz00_21));
																																																																																																BgL_pairz00_11342
																																																																																																	=
																																																																																																	CDR
																																																																																																	(BgL_pairz00_11341);
																																																																																															}
																																																																																															BgL_arg7612z00_9961
																																																																																																=
																																																																																																CDR
																																																																																																(BgL_pairz00_11342);
																																																																																														}
																																																																																														BgL_cdddlocz00_9951
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_arg7612z00_9961,
																																																																																															BgL_locz00_9948);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 492 */
																																																																																														obj_t
																																																																																															BgL_loczd2proczd2_9952;
																																																																																														BgL_loczd2proczd2_9952
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_procz00_9929,
																																																																																															BgL_cdlocz00_9949);
																																																																																														{	/* Ast/sexp.scm 493 */
																																																																																															obj_t
																																																																																																BgL_loczd2msgzd2_9953;
																																																																																															BgL_loczd2msgzd2_9953
																																																																																																=
																																																																																																BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																(BgL_msgz00_9930,
																																																																																																BgL_cddlocz00_9950);
																																																																																															{	/* Ast/sexp.scm 494 */
																																																																																																obj_t
																																																																																																	BgL_loczd2objzd2_9954;
																																																																																																BgL_loczd2objzd2_9954
																																																																																																	=
																																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																	(BgL_objz00_9931,
																																																																																																	BgL_cdddlocz00_9951);
																																																																																																{	/* Ast/sexp.scm 495 */
																																																																																																	BgL_nodez00_bglt
																																																																																																		BgL_procz00_9955;
																																																																																																	BgL_procz00_9955
																																																																																																		=
																																																																																																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																		(BgL_procz00_9929,
																																																																																																		BgL_stackz00_22,
																																																																																																		BgL_loczd2proczd2_9952,
																																																																																																		((obj_t) CNST_TABLE_REF(2)));
																																																																																																	{	/* Ast/sexp.scm 496 */
																																																																																																		BgL_nodez00_bglt
																																																																																																			BgL_msgz00_9956;
																																																																																																		BgL_msgz00_9956
																																																																																																			=
																																																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																			(BgL_msgz00_9930,
																																																																																																			BgL_stackz00_22,
																																																																																																			BgL_loczd2msgzd2_9953,
																																																																																																			((obj_t) CNST_TABLE_REF(2)));
																																																																																																		{	/* Ast/sexp.scm 497 */
																																																																																																			BgL_nodez00_bglt
																																																																																																				BgL_objz00_9957;
																																																																																																			BgL_objz00_9957
																																																																																																				=
																																																																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																				(BgL_objz00_9931,
																																																																																																				BgL_stackz00_22,
																																																																																																				BgL_loczd2objzd2_9954,
																																																																																																				((obj_t) CNST_TABLE_REF(2)));
																																																																																																			{	/* Ast/sexp.scm 498 */

																																																																																																				{	/* Ast/sexp.scm 499 */
																																																																																																					BgL_failz00_bglt
																																																																																																						BgL_new1143z00_9958;
																																																																																																					{	/* Ast/sexp.scm 500 */
																																																																																																						BgL_failz00_bglt
																																																																																																							BgL_new1142z00_9959;
																																																																																																						BgL_new1142z00_9959
																																																																																																							=
																																																																																																							(
																																																																																																							(BgL_failz00_bglt)
																																																																																																							BOBJECT
																																																																																																							(GC_MALLOC
																																																																																																								(sizeof
																																																																																																									(struct
																																																																																																										BgL_failz00_bgl))));
																																																																																																						{	/* Ast/sexp.scm 500 */
																																																																																																							long
																																																																																																								BgL_arg7611z00_9960;
																																																																																																							BgL_arg7611z00_9960
																																																																																																								=
																																																																																																								BGL_CLASS_NUM
																																																																																																								(BGl_failz00zzast_nodez00);
																																																																																																							BGL_OBJECT_CLASS_NUM_SET
																																																																																																								(
																																																																																																								((BgL_objectz00_bglt) BgL_new1142z00_9959), BgL_arg7611z00_9960);
																																																																																																						}
																																																																																																						{	/* Ast/sexp.scm 500 */
																																																																																																							BgL_objectz00_bglt
																																																																																																								BgL_tmpz00_17937;
																																																																																																							BgL_tmpz00_17937
																																																																																																								=
																																																																																																								(
																																																																																																								(BgL_objectz00_bglt)
																																																																																																								BgL_new1142z00_9959);
																																																																																																							BGL_OBJECT_WIDENING_SET
																																																																																																								(BgL_tmpz00_17937,
																																																																																																								BFALSE);
																																																																																																						}
																																																																																																						((BgL_objectz00_bglt) BgL_new1142z00_9959);
																																																																																																						BgL_new1143z00_9958
																																																																																																							=
																																																																																																							BgL_new1142z00_9959;
																																																																																																					}
																																																																																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_9958)))->BgL_locz00) = ((obj_t) BgL_locz00_9948), BUNSPEC);
																																																																																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1143z00_9958)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9958))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_9955), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9958))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_9956), BUNSPEC);
																																																																																																					((((BgL_failz00_bglt) COBJECT(BgL_new1143z00_9958))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_9957), BUNSPEC);
																																																																																																					BgL_auxz00_17907
																																																																																																						=
																																																																																																						BgL_new1143z00_9958;
																																																																																									}}}}}}}}}}}}
																																																																																									BgL_auxz00_17888
																																																																																										=
																																																																																										(
																																																																																										(BgL_nodez00_bglt)
																																																																																										BgL_auxz00_17907);
																																																																																							}}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																							BgL_tagzd275363zd2_9933:
																																																																																								{	/* Ast/sexp.scm 507 */
																																																																																									obj_t
																																																																																										BgL_arg7615z00_9964;
																																																																																									BgL_arg7615z00_9964
																																																																																										=
																																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																										(BgL_expz00_21,
																																																																																										BgL_locz00_23);
																																																																																									{	/* Ast/sexp.scm 506 */
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_res8014z00_11352;
																																																																																										{	/* Ast/sexp.scm 735 */
																																																																																											obj_t
																																																																																												BgL_arg7755z00_11348;
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_arg7756z00_11349;
																																																																																											BgL_arg7755z00_11348
																																																																																												=
																																																																																												BGl_shapez00zztools_shapez00
																																																																																												(BGl_currentzd2functionzd2zztools_errorz00
																																																																																												());
																																																																																											BgL_arg7756z00_11349
																																																																																												=
																																																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																												(
																																																																																												((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7615z00_9964, ((obj_t) CNST_TABLE_REF(2)));
																																																																																											{	/* Ast/sexp.scm 734 */
																																																																																												obj_t
																																																																																													BgL_list7757z00_11351;
																																																																																												BgL_list7757z00_11351
																																																																																													=
																																																																																													MAKE_YOUNG_PAIR
																																																																																													(
																																																																																													((obj_t) BgL_arg7756z00_11349), BNIL);
																																																																																												BgL_res8014z00_11352
																																																																																													=
																																																																																													(
																																																																																													(BgL_nodez00_bglt)
																																																																																													BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																													(BgL_arg7615z00_9964,
																																																																																														BgL_arg7755z00_11348,
																																																																																														BGl_string8054z00zzast_sexpz00,
																																																																																														BgL_expz00_21,
																																																																																														BgL_list7757z00_11351));
																																																																																											}
																																																																																										}
																																																																																										BgL_auxz00_17888
																																																																																											=
																																																																																											BgL_res8014z00_11352;
																																																																																									}
																																																																																								}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd275363zd2_9933;
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd275363zd2_9933;
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd275363zd2_9933;
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd275363zd2_9933;
																																																																															}
																																																																													}
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_17888);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_17969;
																																																																														BgL_tagzd2397zd2_1847:
																																																																															{
																																																																																obj_t
																																																																																	BgL_testz00_9965;
																																																																																obj_t
																																																																																	BgL_clausesz00_9966;
																																																																																if (PAIRP(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd275396zd2_9971;
																																																																																		BgL_cdrzd275396zd2_9971
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		if (PAIRP(BgL_cdrzd275396zd2_9971))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_testz00_9965
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd275396zd2_9971);
																																																																																				BgL_clausesz00_9966
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd275396zd2_9971);
																																																																																				{	/* Ast/sexp.scm 518 */
																																																																																					obj_t
																																																																																						BgL_locz00_9975;
																																																																																					BgL_locz00_9975
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					{	/* Ast/sexp.scm 518 */
																																																																																						obj_t
																																																																																							BgL_cdlocz00_9976;
																																																																																						{	/* Ast/sexp.scm 519 */
																																																																																							obj_t
																																																																																								BgL_arg7645z00_10016;
																																																																																							BgL_arg7645z00_10016
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdlocz00_9976
																																																																																								=
																																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																								(BgL_arg7645z00_10016,
																																																																																								BgL_locz00_9975);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 519 */
																																																																																							obj_t
																																																																																								BgL_cddlocz00_9977;
																																																																																							{	/* Ast/sexp.scm 520 */
																																																																																								obj_t
																																																																																									BgL_arg7644z00_10015;
																																																																																								BgL_arg7644z00_10015
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_expz00_21));
																																																																																								BgL_cddlocz00_9977
																																																																																									=
																																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																									(BgL_arg7644z00_10015,
																																																																																									BgL_locz00_9975);
																																																																																							}
																																																																																							{	/* Ast/sexp.scm 520 */
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_testz00_9978;
																																																																																								{	/* Ast/sexp.scm 523 */
																																																																																									obj_t
																																																																																										BgL_arg7643z00_10014;
																																																																																									BgL_arg7643z00_10014
																																																																																										=
																																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																										(BgL_testz00_9965,
																																																																																										BgL_cdlocz00_9976);
																																																																																									BgL_testz00_9978
																																																																																										=
																																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																										(BgL_testz00_9965,
																																																																																										BgL_stackz00_22,
																																																																																										BgL_arg7643z00_10014,
																																																																																										((obj_t) CNST_TABLE_REF(2)));
																																																																																								}
																																																																																								{	/* Ast/sexp.scm 521 */

																																																																																									{
																																																																																										obj_t
																																																																																											BgL_clsz00_9981;
																																																																																										obj_t
																																																																																											BgL_nclausesz00_9982;
																																																																																										BgL_clsz00_9981
																																																																																											=
																																																																																											BgL_clausesz00_9966;
																																																																																										BgL_nclausesz00_9982
																																																																																											=
																																																																																											BNIL;
																																																																																									BgL_zc3z04anonymousza37620ze3z87_9983:
																																																																																										if (NULLP(BgL_clsz00_9981))
																																																																																											{	/* Ast/sexp.scm 528 */
																																																																																												BgL_switchz00_bglt
																																																																																													BgL_new1146z00_9985;
																																																																																												{	/* Ast/sexp.scm 529 */
																																																																																													BgL_switchz00_bglt
																																																																																														BgL_new1145z00_9989;
																																																																																													BgL_new1145z00_9989
																																																																																														=
																																																																																														(
																																																																																														(BgL_switchz00_bglt)
																																																																																														BOBJECT
																																																																																														(GC_MALLOC
																																																																																															(sizeof
																																																																																																(struct
																																																																																																	BgL_switchz00_bgl))));
																																																																																													{	/* Ast/sexp.scm 529 */
																																																																																														long
																																																																																															BgL_arg7625z00_9990;
																																																																																														BgL_arg7625z00_9990
																																																																																															=
																																																																																															BGL_CLASS_NUM
																																																																																															(BGl_switchz00zzast_nodez00);
																																																																																														BGL_OBJECT_CLASS_NUM_SET
																																																																																															(
																																																																																															((BgL_objectz00_bglt) BgL_new1145z00_9989), BgL_arg7625z00_9990);
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 529 */
																																																																																														BgL_objectz00_bglt
																																																																																															BgL_tmpz00_17993;
																																																																																														BgL_tmpz00_17993
																																																																																															=
																																																																																															(
																																																																																															(BgL_objectz00_bglt)
																																																																																															BgL_new1145z00_9989);
																																																																																														BGL_OBJECT_WIDENING_SET
																																																																																															(BgL_tmpz00_17993,
																																																																																															BFALSE);
																																																																																													}
																																																																																													((BgL_objectz00_bglt) BgL_new1145z00_9989);
																																																																																													BgL_new1146z00_9985
																																																																																														=
																																																																																														BgL_new1145z00_9989;
																																																																																												}
																																																																																												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1146z00_9985)))->BgL_locz00) = ((obj_t) BgL_locz00_9975), BUNSPEC);
																																																																																												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1146z00_9985)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1146z00_9985)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1146z00_9985)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																																																																																												((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9985))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_9978), BUNSPEC);
																																																																																												((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9985))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_9982)), BUNSPEC);
																																																																																												{
																																																																																													BgL_typez00_bglt
																																																																																														BgL_auxz00_18010;
																																																																																													{	/* Ast/sexp.scm 532 */
																																																																																														obj_t
																																																																																															BgL_arg7622z00_9986;
																																																																																														{	/* Ast/sexp.scm 532 */
																																																																																															obj_t
																																																																																																BgL_pairz00_11368;
																																																																																															{	/* Ast/sexp.scm 532 */
																																																																																																obj_t
																																																																																																	BgL_pairz00_11367;
																																																																																																BgL_pairz00_11367
																																																																																																	=
																																																																																																	CAR
																																																																																																	(
																																																																																																	((obj_t) BgL_clausesz00_9966));
																																																																																																BgL_pairz00_11368
																																																																																																	=
																																																																																																	CAR
																																																																																																	(BgL_pairz00_11367);
																																																																																															}
																																																																																															BgL_arg7622z00_9986
																																																																																																=
																																																																																																CAR
																																																																																																(BgL_pairz00_11368);
																																																																																														}
																																																																																														BgL_auxz00_18010
																																																																																															=
																																																																																															BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																																															(BgL_arg7622z00_9986);
																																																																																													}
																																																																																													((((BgL_switchz00_bglt) COBJECT(BgL_new1146z00_9985))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_18010), BUNSPEC);
																																																																																												}
																																																																																												BgL_auxz00_17969
																																																																																													=
																																																																																													(
																																																																																													(BgL_nodez00_bglt)
																																																																																													BgL_new1146z00_9985);
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 534 */
																																																																																												obj_t
																																																																																													BgL_clausez00_9991;
																																																																																												BgL_clausez00_9991
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_clsz00_9981));
																																																																																												{	/* Ast/sexp.scm 534 */
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_bodyz00_9992;
																																																																																													{	/* Ast/sexp.scm 535 */
																																																																																														obj_t
																																																																																															BgL_arg7640z00_10010;
																																																																																														obj_t
																																																																																															BgL_arg7641z00_10011;
																																																																																														{	/* Ast/sexp.scm 535 */
																																																																																															obj_t
																																																																																																BgL_arg7642z00_10012;
																																																																																															BgL_arg7642z00_10012
																																																																																																=
																																																																																																CDR
																																																																																																(
																																																																																																((obj_t) BgL_clausez00_9991));
																																																																																															BgL_arg7640z00_10010
																																																																																																=
																																																																																																BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																																																(BgL_arg7642z00_10012);
																																																																																														}
																																																																																														BgL_arg7641z00_10011
																																																																																															=
																																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																															(BgL_clausez00_9991,
																																																																																															BgL_cddlocz00_9977);
																																																																																														BgL_bodyz00_9992
																																																																																															=
																																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																															(BgL_arg7640z00_10010,
																																																																																															BgL_stackz00_22,
																																																																																															BgL_arg7641z00_10011,
																																																																																															((obj_t) CNST_TABLE_REF(2)));
																																																																																													}
																																																																																													{	/* Ast/sexp.scm 535 */
																																																																																														obj_t
																																																																																															BgL_nclausez00_9993;
																																																																																														{	/* Ast/sexp.scm 539 */
																																																																																															obj_t
																																																																																																BgL_arg7639z00_10009;
																																																																																															BgL_arg7639z00_10009
																																																																																																=
																																																																																																CAR
																																																																																																(
																																																																																																((obj_t) BgL_clausez00_9991));
																																																																																															BgL_nclausez00_9993
																																																																																																=
																																																																																																MAKE_YOUNG_PAIR
																																																																																																(BgL_arg7639z00_10009,
																																																																																																((obj_t) BgL_bodyz00_9992));
																																																																																														}
																																																																																														{	/* Ast/sexp.scm 539 */

																																																																																															{	/* Ast/sexp.scm 541 */
																																																																																																bool_t
																																																																																																	BgL_test8417z00_18031;
																																																																																																if ((CAR(((obj_t) BgL_clausez00_9991)) == ((obj_t) CNST_TABLE_REF(5))))
																																																																																																	{	/* Ast/sexp.scm 541 */
																																																																																																		if (NULLP(CDR(((obj_t) BgL_clsz00_9981))))
																																																																																																			{	/* Ast/sexp.scm 542 */
																																																																																																				BgL_test8417z00_18031
																																																																																																					=
																																																																																																					(
																																																																																																					(bool_t)
																																																																																																					0);
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Ast/sexp.scm 542 */
																																																																																																				BgL_test8417z00_18031
																																																																																																					=
																																																																																																					(
																																																																																																					(bool_t)
																																																																																																					1);
																																																																																																			}
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 541 */
																																																																																																		BgL_test8417z00_18031
																																																																																																			=
																																																																																																			(
																																																																																																			(bool_t)
																																																																																																			0);
																																																																																																	}
																																																																																																if (BgL_test8417z00_18031)
																																																																																																	{	/* Ast/sexp.scm 544 */
																																																																																																		obj_t
																																																																																																			BgL_arg7633z00_10001;
																																																																																																		BgL_arg7633z00_10001
																																																																																																			=
																																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																																			(BgL_expz00_21,
																																																																																																			BgL_locz00_9975);
																																																																																																		{	/* Ast/sexp.scm 543 */
																																																																																																			BgL_nodez00_bglt
																																																																																																				BgL_res8015z00_11379;
																																																																																																			{	/* Ast/sexp.scm 735 */
																																																																																																				obj_t
																																																																																																					BgL_arg7755z00_11375;
																																																																																																				BgL_nodez00_bglt
																																																																																																					BgL_arg7756z00_11376;
																																																																																																				BgL_arg7755z00_11375
																																																																																																					=
																																																																																																					BGl_shapez00zztools_shapez00
																																																																																																					(BGl_currentzd2functionzd2zztools_errorz00
																																																																																																					());
																																																																																																				BgL_arg7756z00_11376
																																																																																																					=
																																																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																																					(
																																																																																																					((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7633z00_10001, ((obj_t) CNST_TABLE_REF(2)));
																																																																																																				{	/* Ast/sexp.scm 734 */
																																																																																																					obj_t
																																																																																																						BgL_list7757z00_11378;
																																																																																																					BgL_list7757z00_11378
																																																																																																						=
																																																																																																						MAKE_YOUNG_PAIR
																																																																																																						(
																																																																																																						((obj_t) BgL_arg7756z00_11376), BNIL);
																																																																																																					BgL_res8015z00_11379
																																																																																																						=
																																																																																																						(
																																																																																																						(BgL_nodez00_bglt)
																																																																																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																																						(BgL_arg7633z00_10001,
																																																																																																							BgL_arg7755z00_11375,
																																																																																																							BGl_string8053z00zzast_sexpz00,
																																																																																																							BgL_expz00_21,
																																																																																																							BgL_list7757z00_11378));
																																																																																																				}
																																																																																																			}
																																																																																																			BgL_auxz00_17969
																																																																																																				=
																																																																																																				BgL_res8015z00_11379;
																																																																																																		}
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Ast/sexp.scm 545 */
																																																																																																		obj_t
																																																																																																			BgL_arg7634z00_10002;
																																																																																																		obj_t
																																																																																																			BgL_arg7635z00_10003;
																																																																																																		BgL_arg7634z00_10002
																																																																																																			=
																																																																																																			CDR
																																																																																																			(
																																																																																																			((obj_t) BgL_clsz00_9981));
																																																																																																		BgL_arg7635z00_10003
																																																																																																			=
																																																																																																			MAKE_YOUNG_PAIR
																																																																																																			(BGl_epairifyz00zztools_miscz00
																																																																																																			(BgL_nclausez00_9993,
																																																																																																				BgL_clausez00_9991),
																																																																																																			BgL_nclausesz00_9982);
																																																																																																		{
																																																																																																			obj_t
																																																																																																				BgL_nclausesz00_18059;
																																																																																																			obj_t
																																																																																																				BgL_clsz00_18058;
																																																																																																			BgL_clsz00_18058
																																																																																																				=
																																																																																																				BgL_arg7634z00_10002;
																																																																																																			BgL_nclausesz00_18059
																																																																																																				=
																																																																																																				BgL_arg7635z00_10003;
																																																																																																			BgL_nclausesz00_9982
																																																																																																				=
																																																																																																				BgL_nclausesz00_18059;
																																																																																																			BgL_clsz00_9981
																																																																																																				=
																																																																																																				BgL_clsz00_18058;
																																																																																																			goto
																																																																																																				BgL_zc3z04anonymousza37620ze3z87_9983;
																																																																																																		}
																																																																																																	}
																																																																																															}
																																																																																														}
																																																																																													}
																																																																																												}
																																																																																											}
																																																																																									}
																																																																																								}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																			BgL_tagzd275389zd2_9968:
																																																																																				{	/* Ast/sexp.scm 550 */
																																																																																					obj_t
																																																																																						BgL_arg7646z00_10017;
																																																																																					BgL_arg7646z00_10017
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					{	/* Ast/sexp.scm 549 */
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_res8016z00_11386;
																																																																																						{	/* Ast/sexp.scm 735 */
																																																																																							obj_t
																																																																																								BgL_arg7755z00_11382;
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_arg7756z00_11383;
																																																																																							BgL_arg7755z00_11382
																																																																																								=
																																																																																								BGl_shapez00zztools_shapez00
																																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																																								());
																																																																																							BgL_arg7756z00_11383
																																																																																								=
																																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																								(
																																																																																								((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7646z00_10017, ((obj_t) CNST_TABLE_REF(2)));
																																																																																							{	/* Ast/sexp.scm 734 */
																																																																																								obj_t
																																																																																									BgL_list7757z00_11385;
																																																																																								BgL_list7757z00_11385
																																																																																									=
																																																																																									MAKE_YOUNG_PAIR
																																																																																									(
																																																																																									((obj_t) BgL_arg7756z00_11383), BNIL);
																																																																																								BgL_res8016z00_11386
																																																																																									=
																																																																																									(
																																																																																									(BgL_nodez00_bglt)
																																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																									(BgL_arg7646z00_10017,
																																																																																										BgL_arg7755z00_11382,
																																																																																										BGl_string8053z00zzast_sexpz00,
																																																																																										BgL_expz00_21,
																																																																																										BgL_list7757z00_11385));
																																																																																							}
																																																																																						}
																																																																																						BgL_auxz00_17969
																																																																																							=
																																																																																							BgL_res8016z00_11386;
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd275389zd2_9968;
																																																																																	}
																																																																															}
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_17969);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																																{
																																																																																	BgL_letzd2funzd2_bglt
																																																																																		BgL_auxz00_18081;
																																																																																BgL_tagzd2398zd2_1848:
																																																																																	BgL_auxz00_18081 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18081);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																																		{
																																																																																			BgL_jumpzd2exzd2itz00_bglt
																																																																																				BgL_auxz00_18090;
																																																																																		BgL_tagzd2399zd2_1849:
																																																																																			BgL_auxz00_18090 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18090);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd23993zd2_3465;
																																																																																			BgL_cdrzd23993zd2_3465
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3008z00_3468;
																																																																																					obj_t
																																																																																						BgL_arg3009z00_3469;
																																																																																					BgL_arg3008z00_3468
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd23993zd2_3465));
																																																																																					BgL_arg3009z00_3469
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd23993zd2_3465));
																																																																																					{	/* Ast/sexp.scm 564 */
																																																																																						obj_t
																																																																																							BgL_arg7648z00_11608;
																																																																																						BgL_arg7648z00_11608
																																																																																							=
																																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																							(BgL_expz00_21,
																																																																																							BgL_locz00_23);
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																							(BgL_expz00_21,
																																																																																								BgL_arg3008z00_3468,
																																																																																								((obj_t) CNST_TABLE_REF(4)), BgL_arg3009z00_3469, BgL_stackz00_22, BgL_arg7648z00_11608, BgL_sitez00_24));
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18112;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18112);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd24018zd2_3487;
																																					BgL_carzd24018zd2_3487
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd24018zd2_3487
																																							==
																																							((obj_t) CNST_TABLE_REF(1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18120;
																																							goto
																																								BgL_tagzd2377zd2_1801;
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18120);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd24018zd2_3487 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18124;
																																									goto
																																										BgL_tagzd2377zd2_1801;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18124);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18132;
																																											goto
																																												BgL_tagzd2379zd2_1805;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18132);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_18140;
																																													goto
																																														BgL_tagzd2380zd2_1806;
																																													BgL_auxz00_16356
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_18140);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd24089zd2_3493;
																																													BgL_cdrzd24089zd2_3493
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3042z00_3496;
																																															obj_t
																																																BgL_arg3043z00_3497;
																																															BgL_arg3042z00_3496
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd24089zd2_3493));
																																															BgL_arg3043z00_3497
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd24089zd2_3493));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_18154;
																																																{
																																																	obj_t
																																																		BgL_exprz00_18156;
																																																	obj_t
																																																		BgL_bindingsz00_18155;
																																																	BgL_bindingsz00_18155
																																																		=
																																																		BgL_arg3042z00_3496;
																																																	BgL_exprz00_18156
																																																		=
																																																		BgL_arg3043z00_3497;
																																																	BgL_exprz00_1808
																																																		=
																																																		BgL_exprz00_18156;
																																																	BgL_bindingsz00_1807
																																																		=
																																																		BgL_bindingsz00_18155;
																																																	goto
																																																		BgL_tagzd2381zd2_1809;
																																																}
																																																BgL_auxz00_16356
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_18154);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd24114zd2_3498;
																																															BgL_carzd24114zd2_3498
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd24114zd2_3498))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd24117zd2_3500;
																																																	obj_t
																																																		BgL_cdrzd24118zd2_3501;
																																																	BgL_carzd24117zd2_3500
																																																		=
																																																		CAR
																																																		(BgL_carzd24114zd2_3498);
																																																	BgL_cdrzd24118zd2_3501
																																																		=
																																																		CDR
																																																		(BgL_carzd24114zd2_3498);
																																																	{

																																																		if ((BgL_carzd24117zd2_3500 == ((obj_t) CNST_TABLE_REF(18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_kapzd24119zd2_3502:
																																																				if (PAIRP(BgL_cdrzd24118zd2_3501))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd24122zd2_3624;
																																																						BgL_cdrzd24122zd2_3624
																																																							=
																																																							CDR
																																																							(BgL_cdrzd24118zd2_3501);
																																																						if (PAIRP(BgL_cdrzd24122zd2_3624))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd24122zd2_3624)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3146z00_3628;
																																																										obj_t
																																																											BgL_arg3147z00_3629;
																																																										BgL_arg3146z00_3628
																																																											=
																																																											CAR
																																																											(BgL_cdrzd24122zd2_3624);
																																																										BgL_arg3147z00_3629
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_18179;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_18181;
																																																												obj_t
																																																													BgL_bodyz00_18180;
																																																												BgL_bodyz00_18180
																																																													=
																																																													BgL_arg3146z00_3628;
																																																												BgL_argsz00_18181
																																																													=
																																																													BgL_arg3147z00_3629;
																																																												BgL_argsz00_1811
																																																													=
																																																													BgL_argsz00_18181;
																																																												BgL_bodyz00_1810
																																																													=
																																																													BgL_bodyz00_18180;
																																																												goto
																																																													BgL_tagzd2382zd2_1812;
																																																											}
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18179);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd24146zd2_3630;
																																																										BgL_cdrzd24146zd2_3630
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8434z00_18185;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3241z00_3741;
																																																												BgL_arg3241z00_3741
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8434z00_18185
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg3241z00_3741));
																																																											}
																																																											if (BgL_test8434z00_18185)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg3151z00_3633;
																																																													obj_t
																																																														BgL_arg3152z00_3634;
																																																													BgL_arg3151z00_3633
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd24146zd2_3630));
																																																													BgL_arg3152z00_3634
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd24146zd2_3630));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_18194;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_18196;
																																																															obj_t
																																																																BgL_bindingsz00_18195;
																																																															BgL_bindingsz00_18195
																																																																=
																																																																BgL_arg3151z00_3633;
																																																															BgL_exprz00_18196
																																																																=
																																																																BgL_arg3152z00_3634;
																																																															BgL_exprz00_1814
																																																																=
																																																																BgL_exprz00_18196;
																																																															BgL_bindingsz00_1813
																																																																=
																																																																BgL_bindingsz00_18195;
																																																															goto
																																																																BgL_tagzd2383zd2_1815;
																																																														}
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_18194);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8435z00_18198;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3240z00_3740;
																																																														BgL_arg3240z00_3740
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8435z00_18198
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg3240z00_3740));
																																																													}
																																																													if (BgL_test8435z00_18198)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_18203;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18203);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd24213zd2_3637;
																																																															BgL_carzd24213zd2_3637
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd24218zd2_3638;
																																																																BgL_cdrzd24218zd2_3638
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd24213zd2_3637));
																																																																if ((CAR(((obj_t) BgL_carzd24213zd2_3637)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg3157z00_3641;
																																																																		obj_t
																																																																			BgL_arg3159z00_3642;
																																																																		obj_t
																																																																			BgL_arg3160z00_3643;
																																																																		BgL_arg3157z00_3641
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd24218zd2_3638));
																																																																		BgL_arg3159z00_3642
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd24218zd2_3638));
																																																																		BgL_arg3160z00_3643
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_18221;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_18224;
																																																																				obj_t
																																																																					BgL_bodyz00_18223;
																																																																				obj_t
																																																																					BgL_varsz00_18222;
																																																																				BgL_varsz00_18222
																																																																					=
																																																																					BgL_arg3157z00_3641;
																																																																				BgL_bodyz00_18223
																																																																					=
																																																																					BgL_arg3159z00_3642;
																																																																				BgL_argsz00_18224
																																																																					=
																																																																					BgL_arg3160z00_3643;
																																																																				BgL_argsz00_1824
																																																																					=
																																																																					BgL_argsz00_18224;
																																																																				BgL_bodyz00_1823
																																																																					=
																																																																					BgL_bodyz00_18223;
																																																																				BgL_varsz00_1822
																																																																					=
																																																																					BgL_varsz00_18222;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1825;
																																																																			}
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_18221);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd24241zd2_3645;
																																																																		BgL_cdrzd24241zd2_3645
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd24247zd2_3646;
																																																																			BgL_cdrzd24247zd2_3646
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd24213zd2_3637));
																																																																			if ((CAR(((obj_t) BgL_carzd24213zd2_3637)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd24253zd2_3649;
																																																																					BgL_cdrzd24253zd2_3649
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd24247zd2_3646));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd24258zd2_3650;
																																																																						obj_t
																																																																							BgL_cdrzd24259zd2_3651;
																																																																						BgL_carzd24258zd2_3650
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd24253zd2_3649));
																																																																						BgL_cdrzd24259zd2_3651
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd24253zd2_3649));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24258zd2_3650))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd24259zd2_3651))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd24266zd2_3654;
																																																																										BgL_carzd24266zd2_3654
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd24259zd2_3651);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24266zd2_3654))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd24259zd2_3651)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8442z00_18252;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1324z00_3687;
																																																																															BgL_l1324z00_3687
																																																																																=
																																																																																BgL_cdrzd24241zd2_3645;
																																																																														BgL_zc3z04anonymousza33198ze3z87_3688:
																																																																															if (NULLP(BgL_l1324z00_3687))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8442z00_18252
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8444z00_18255;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test8445z00_18256;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_18257;
																																																																																			BgL_tmpz00_18257
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1324z00_3687));
																																																																																			BgL_test8445z00_18256
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_18257);
																																																																																		}
																																																																																		if (BgL_test8445z00_18256)
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8444z00_18255
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8444z00_18255
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test8444z00_18255)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1324z00_18261;
																																																																																			BgL_l1324z00_18261
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1324z00_3687));
																																																																																			BgL_l1324z00_3687
																																																																																				=
																																																																																				BgL_l1324z00_18261;
																																																																																			goto
																																																																																				BgL_zc3z04anonymousza33198ze3z87_3688;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8442z00_18252
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_test8442z00_18252)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg3183z00_3670;
																																																																																BgL_arg3183z00_3670
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd24247zd2_3646));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18266;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_18270;
																																																																																		obj_t
																																																																																			BgL_proc2z00_18269;
																																																																																		obj_t
																																																																																			BgL_proc1z00_18268;
																																																																																		obj_t
																																																																																			BgL_testz00_18267;
																																																																																		BgL_testz00_18267
																																																																																			=
																																																																																			BgL_arg3183z00_3670;
																																																																																		BgL_proc1z00_18268
																																																																																			=
																																																																																			BgL_carzd24258zd2_3650;
																																																																																		BgL_proc2z00_18269
																																																																																			=
																																																																																			BgL_carzd24266zd2_3654;
																																																																																		BgL_argsz00_18270
																																																																																			=
																																																																																			BgL_cdrzd24241zd2_3645;
																																																																																		BgL_argsz00_1829
																																																																																			=
																																																																																			BgL_argsz00_18270;
																																																																																		BgL_proc2z00_1828
																																																																																			=
																																																																																			BgL_proc2z00_18269;
																																																																																		BgL_proc1z00_1827
																																																																																			=
																																																																																			BgL_proc1z00_18268;
																																																																																		BgL_testz00_1826
																																																																																			=
																																																																																			BgL_testz00_18267;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1830;
																																																																																	}
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18266);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd24290zd2_3671;
																																																																																BgL_cdrzd24290zd2_3671
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd24297zd2_3672;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11648;
																																																																																		BgL_pairz00_11648
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd24297zd2_3672
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_11648);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd24304zd2_3673;
																																																																																		BgL_cdrzd24304zd2_3673
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd24297zd2_3672));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd24310zd2_3674;
																																																																																			BgL_carzd24310zd2_3674
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd24304zd2_3673));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24310zd2_3674))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd24317zd2_3676;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_pairz00_11652;
																																																																																						BgL_pairz00_11652
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd24304zd2_3673));
																																																																																						BgL_carzd24317zd2_3676
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_11652);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24317zd2_3676))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24290zd2_3671))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg3187z00_3679;
																																																																																									BgL_arg3187z00_3679
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd24297zd2_3672));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18292;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_18296;
																																																																																											obj_t
																																																																																												BgL_proc2z00_18295;
																																																																																											obj_t
																																																																																												BgL_proc1z00_18294;
																																																																																											obj_t
																																																																																												BgL_testz00_18293;
																																																																																											BgL_testz00_18293
																																																																																												=
																																																																																												BgL_arg3187z00_3679;
																																																																																											BgL_proc1z00_18294
																																																																																												=
																																																																																												BgL_carzd24310zd2_3674;
																																																																																											BgL_proc2z00_18295
																																																																																												=
																																																																																												BgL_carzd24317zd2_3676;
																																																																																											BgL_argsz00_18296
																																																																																												=
																																																																																												BgL_cdrzd24290zd2_3671;
																																																																																											BgL_argsz00_1834
																																																																																												=
																																																																																												BgL_argsz00_18296;
																																																																																											BgL_proc2z00_1833
																																																																																												=
																																																																																												BgL_proc2z00_18295;
																																																																																											BgL_proc1z00_1832
																																																																																												=
																																																																																												BgL_proc1z00_18294;
																																																																																											BgL_testz00_1831
																																																																																												=
																																																																																												BgL_testz00_18293;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1835;
																																																																																										}
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18292);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1859;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18300;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1860;
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18300);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18304;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18304);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18308;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18308);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_18312;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_18312);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd24593zd2_3698;
																																																																												BgL_cdrzd24593zd2_3698
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd24599zd2_3699;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11656;
																																																																														BgL_pairz00_11656
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd24599zd2_3699
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11656);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd24605zd2_3700;
																																																																														BgL_cdrzd24605zd2_3700
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd24599zd2_3699));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd24610zd2_3701;
																																																																															obj_t
																																																																																BgL_cdrzd24611zd2_3702;
																																																																															BgL_carzd24610zd2_3701
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24605zd2_3700));
																																																																															BgL_cdrzd24611zd2_3702
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd24605zd2_3700));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24610zd2_3701))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd24616zd2_3704;
																																																																																	BgL_carzd24616zd2_3704
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd24611zd2_3702));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24616zd2_3704))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd24611zd2_3702))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24593zd2_3698))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg3210z00_3709;
																																																																																							BgL_arg3210z00_3709
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd24599zd2_3699));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18339;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_18343;
																																																																																									obj_t
																																																																																										BgL_proc2z00_18342;
																																																																																									obj_t
																																																																																										BgL_proc1z00_18341;
																																																																																									obj_t
																																																																																										BgL_testz00_18340;
																																																																																									BgL_testz00_18340
																																																																																										=
																																																																																										BgL_arg3210z00_3709;
																																																																																									BgL_proc1z00_18341
																																																																																										=
																																																																																										BgL_carzd24610zd2_3701;
																																																																																									BgL_proc2z00_18342
																																																																																										=
																																																																																										BgL_carzd24616zd2_3704;
																																																																																									BgL_argsz00_18343
																																																																																										=
																																																																																										BgL_cdrzd24593zd2_3698;
																																																																																									BgL_argsz00_1834
																																																																																										=
																																																																																										BgL_argsz00_18343;
																																																																																									BgL_proc2z00_1833
																																																																																										=
																																																																																										BgL_proc2z00_18342;
																																																																																									BgL_proc1z00_1832
																																																																																										=
																																																																																										BgL_proc1z00_18341;
																																																																																									BgL_testz00_1831
																																																																																										=
																																																																																										BgL_testz00_18340;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1835;
																																																																																								}
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18339);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_18347;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_18347);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18351;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18351);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18355;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18355);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18359;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18359);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_18363;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_18363);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd24949zd2_3717;
																																																																								BgL_cdrzd24949zd2_3717
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd24956zd2_3718;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_11665;
																																																																										BgL_pairz00_11665
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd24956zd2_3718
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11665);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd24963zd2_3719;
																																																																										BgL_cdrzd24963zd2_3719
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd24956zd2_3718));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd24969zd2_3720;
																																																																											obj_t
																																																																												BgL_cdrzd24970zd2_3721;
																																																																											BgL_carzd24969zd2_3720
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd24963zd2_3719));
																																																																											BgL_cdrzd24970zd2_3721
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd24963zd2_3719));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24969zd2_3720))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd24970zd2_3721))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd24977zd2_3724;
																																																																															BgL_carzd24977zd2_3724
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd24970zd2_3721);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24977zd2_3724))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd24970zd2_3721)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24949zd2_3717))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3226z00_3729;
																																																																																					BgL_arg3226z00_3729
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd24956zd2_3718));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18390;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_18394;
																																																																																							obj_t
																																																																																								BgL_proc2z00_18393;
																																																																																							obj_t
																																																																																								BgL_proc1z00_18392;
																																																																																							obj_t
																																																																																								BgL_testz00_18391;
																																																																																							BgL_testz00_18391
																																																																																								=
																																																																																								BgL_arg3226z00_3729;
																																																																																							BgL_proc1z00_18392
																																																																																								=
																																																																																								BgL_carzd24969zd2_3720;
																																																																																							BgL_proc2z00_18393
																																																																																								=
																																																																																								BgL_carzd24977zd2_3724;
																																																																																							BgL_argsz00_18394
																																																																																								=
																																																																																								BgL_cdrzd24949zd2_3717;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_18394;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_18393;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_18392;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_18391;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18390);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_18398;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_18398);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18402;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18402);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_18406;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_18406);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18410;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18410);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_18414;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18414);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18418;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18418);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd25370zd2_3743;
																																																								BgL_cdrzd25370zd2_3743
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8473z00_18422;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3267z00_3760;
																																																										BgL_arg3267z00_3760
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8473z00_18422
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3267z00_3760));
																																																									}
																																																									if (BgL_test8473z00_18422)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3245z00_3746;
																																																											obj_t
																																																												BgL_arg3246z00_3747;
																																																											BgL_arg3245z00_3746
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd25370zd2_3743));
																																																											BgL_arg3246z00_3747
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd25370zd2_3743));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_18431;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_18433;
																																																													obj_t
																																																														BgL_bindingsz00_18432;
																																																													BgL_bindingsz00_18432
																																																														=
																																																														BgL_arg3245z00_3746;
																																																													BgL_exprz00_18433
																																																														=
																																																														BgL_arg3246z00_3747;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_18433;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_18432;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_18431);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8474z00_18435;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3266z00_3759;
																																																												BgL_arg3266z00_3759
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8474z00_18435
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3266z00_3759));
																																																											}
																																																											if (BgL_test8474z00_18435)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_18440;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18440);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd25436zd2_3750;
																																																													BgL_carzd25436zd2_3750
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd25441zd2_3751;
																																																														BgL_cdrzd25441zd2_3751
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd25436zd2_3750));
																																																														if ((CAR(((obj_t) BgL_carzd25436zd2_3750)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3254z00_3754;
																																																																obj_t
																																																																	BgL_arg3255z00_3755;
																																																																obj_t
																																																																	BgL_arg3256z00_3756;
																																																																BgL_arg3254z00_3754
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd25441zd2_3751));
																																																																BgL_arg3255z00_3755
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd25441zd2_3751));
																																																																BgL_arg3256z00_3756
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18458;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_18461;
																																																																		obj_t
																																																																			BgL_bodyz00_18460;
																																																																		obj_t
																																																																			BgL_varsz00_18459;
																																																																		BgL_varsz00_18459
																																																																			=
																																																																			BgL_arg3254z00_3754;
																																																																		BgL_bodyz00_18460
																																																																			=
																																																																			BgL_arg3255z00_3755;
																																																																		BgL_argsz00_18461
																																																																			=
																																																																			BgL_arg3256z00_3756;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_18461;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_18460;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_18459;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18458);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_18465;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_18465);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd25552zd2_3761;
																																																						BgL_cdrzd25552zd2_3761
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8477z00_18469;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3282z00_3770;
																																																								BgL_arg3282z00_3770
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8477z00_18469
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3282z00_3770));
																																																							}
																																																							if (BgL_test8477z00_18469)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3273z00_3764;
																																																									obj_t
																																																										BgL_arg3274z00_3765;
																																																									BgL_arg3273z00_3764
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd25552zd2_3761));
																																																									BgL_arg3274z00_3765
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd25552zd2_3761));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_18478;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_18480;
																																																											obj_t
																																																												BgL_bindingsz00_18479;
																																																											BgL_bindingsz00_18479
																																																												=
																																																												BgL_arg3273z00_3764;
																																																											BgL_exprz00_18480
																																																												=
																																																												BgL_arg3274z00_3765;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_18480;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_18479;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_18478);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8478z00_18482;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3278z00_3769;
																																																										BgL_arg3278z00_3769
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8478z00_18482
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3278z00_3769));
																																																									}
																																																									if (BgL_test8478z00_18482)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_18487;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18487);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_18491;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18491);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24117zd2_3500)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd24119zd2_3502;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd24117zd2_3500 == ((obj_t) CNST_TABLE_REF(19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd24119zd2_3502;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd24117zd2_3500 == ((obj_t) CNST_TABLE_REF(20))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd24119zd2_3502;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24117zd2_3500)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd24119zd2_3502;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd25724zd2_3505;
																																																												BgL_cdrzd25724zd2_3505
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8484z00_18509;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3139z00_3622;
																																																														BgL_arg3139z00_3622
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8484z00_18509
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg3139z00_3622));
																																																													}
																																																													if (BgL_test8484z00_18509)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg3050z00_3508;
																																																															obj_t
																																																																BgL_arg3052z00_3509;
																																																															BgL_arg3050z00_3508
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd25724zd2_3505));
																																																															BgL_arg3052z00_3509
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd25724zd2_3505));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_18518;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_18520;
																																																																	obj_t
																																																																		BgL_bindingsz00_18519;
																																																																	BgL_bindingsz00_18519
																																																																		=
																																																																		BgL_arg3050z00_3508;
																																																																	BgL_exprz00_18520
																																																																		=
																																																																		BgL_arg3052z00_3509;
																																																																	BgL_exprz00_1814
																																																																		=
																																																																		BgL_exprz00_18520;
																																																																	BgL_bindingsz00_1813
																																																																		=
																																																																		BgL_bindingsz00_18519;
																																																																	goto
																																																																		BgL_tagzd2383zd2_1815;
																																																																}
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_18518);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test8485z00_18522;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3137z00_3621;
																																																																BgL_arg3137z00_3621
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test8485z00_18522
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg3137z00_3621));
																																																															}
																																																															if (BgL_test8485z00_18522)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_18527;
																																																																	goto
																																																																		BgL_tagzd2385zd2_1817;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18527);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd25790zd2_3512;
																																																																	BgL_carzd25790zd2_3512
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd25795zd2_3513;
																																																																		BgL_cdrzd25795zd2_3513
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd25790zd2_3512));
																																																																		if ((CAR(((obj_t) BgL_carzd25790zd2_3512)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd25795zd2_3513))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg3058z00_3517;
																																																																						obj_t
																																																																							BgL_arg3059z00_3518;
																																																																						obj_t
																																																																							BgL_arg3061z00_3519;
																																																																						BgL_arg3058z00_3517
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd25795zd2_3513);
																																																																						BgL_arg3059z00_3518
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd25795zd2_3513);
																																																																						BgL_arg3061z00_3519
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18545;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_18548;
																																																																								obj_t
																																																																									BgL_bodyz00_18547;
																																																																								obj_t
																																																																									BgL_varsz00_18546;
																																																																								BgL_varsz00_18546
																																																																									=
																																																																									BgL_arg3058z00_3517;
																																																																								BgL_bodyz00_18547
																																																																									=
																																																																									BgL_arg3059z00_3518;
																																																																								BgL_argsz00_18548
																																																																									=
																																																																									BgL_arg3061z00_3519;
																																																																								BgL_argsz00_1824
																																																																									=
																																																																									BgL_argsz00_18548;
																																																																								BgL_bodyz00_1823
																																																																									=
																																																																									BgL_bodyz00_18547;
																																																																								BgL_varsz00_1822
																																																																									=
																																																																									BgL_varsz00_18546;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1825;
																																																																							}
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18545);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_18552;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_18552);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd25902zd2_3522;
																																																																				BgL_cdrzd25902zd2_3522
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd25907zd2_3523;
																																																																					BgL_cdrzd25907zd2_3523
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd25790zd2_3512));
																																																																					if ((CAR(((obj_t) BgL_carzd25790zd2_3512)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd25907zd2_3523))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd25912zd2_3527;
																																																																									BgL_cdrzd25912zd2_3527
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd25907zd2_3523);
																																																																									if (PAIRP(BgL_cdrzd25912zd2_3527))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd25916zd2_3529;
																																																																											obj_t
																																																																												BgL_cdrzd25917zd2_3530;
																																																																											BgL_carzd25916zd2_3529
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd25912zd2_3527);
																																																																											BgL_cdrzd25917zd2_3530
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd25912zd2_3527);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25916zd2_3529))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd25917zd2_3530))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd25922zd2_3533;
																																																																															BgL_carzd25922zd2_3533
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd25917zd2_3530);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25922zd2_3533))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd25917zd2_3530)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8496z00_18581;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1327z00_3566;
																																																																																				BgL_l1327z00_3566
																																																																																					=
																																																																																					BgL_cdrzd25902zd2_3522;
																																																																																			BgL_zc3z04anonymousza33090ze3z87_3567:
																																																																																				if (NULLP(BgL_l1327z00_3566))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8496z00_18581
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						bool_t
																																																																																							BgL_test8498z00_18584;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							bool_t
																																																																																								BgL_test8499z00_18585;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_18586;
																																																																																								BgL_tmpz00_18586
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1327z00_3566));
																																																																																								BgL_test8499z00_18585
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_18586);
																																																																																							}
																																																																																							if (BgL_test8499z00_18585)
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test8498z00_18584
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test8498z00_18584
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_test8498z00_18584)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1327z00_18590;
																																																																																								BgL_l1327z00_18590
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1327z00_3566));
																																																																																								BgL_l1327z00_3566
																																																																																									=
																																																																																									BgL_l1327z00_18590;
																																																																																								goto
																																																																																									BgL_zc3z04anonymousza33090ze3z87_3567;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test8496z00_18581
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test8496z00_18581)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3080z00_3549;
																																																																																					BgL_arg3080z00_3549
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd25907zd2_3523);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18594;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_18598;
																																																																																							obj_t
																																																																																								BgL_proc2z00_18597;
																																																																																							obj_t
																																																																																								BgL_proc1z00_18596;
																																																																																							obj_t
																																																																																								BgL_testz00_18595;
																																																																																							BgL_testz00_18595
																																																																																								=
																																																																																								BgL_arg3080z00_3549;
																																																																																							BgL_proc1z00_18596
																																																																																								=
																																																																																								BgL_carzd25916zd2_3529;
																																																																																							BgL_proc2z00_18597
																																																																																								=
																																																																																								BgL_carzd25922zd2_3533;
																																																																																							BgL_argsz00_18598
																																																																																								=
																																																																																								BgL_cdrzd25902zd2_3522;
																																																																																							BgL_argsz00_1829
																																																																																								=
																																																																																								BgL_argsz00_18598;
																																																																																							BgL_proc2z00_1828
																																																																																								=
																																																																																								BgL_proc2z00_18597;
																																																																																							BgL_proc1z00_1827
																																																																																								=
																																																																																								BgL_proc1z00_18596;
																																																																																							BgL_testz00_1826
																																																																																								=
																																																																																								BgL_testz00_18595;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1830;
																																																																																						}
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18594);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd25947zd2_3550;
																																																																																					BgL_cdrzd25947zd2_3550
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_cdrzd25955zd2_3551;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_11713;
																																																																																							BgL_pairz00_11713
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd25955zd2_3551
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_11713);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd25963zd2_3552;
																																																																																							BgL_cdrzd25963zd2_3552
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd25955zd2_3551));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd25970zd2_3553;
																																																																																								BgL_carzd25970zd2_3553
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd25963zd2_3552));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25970zd2_3553))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd25979zd2_3555;
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_pairz00_11717;
																																																																																											BgL_pairz00_11717
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd25963zd2_3552));
																																																																																											BgL_carzd25979zd2_3555
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_11717);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25979zd2_3555))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25947zd2_3550))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg3084z00_3558;
																																																																																														BgL_arg3084z00_3558
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd25955zd2_3551));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_18620;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_18624;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_18623;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_18622;
																																																																																																obj_t
																																																																																																	BgL_testz00_18621;
																																																																																																BgL_testz00_18621
																																																																																																	=
																																																																																																	BgL_arg3084z00_3558;
																																																																																																BgL_proc1z00_18622
																																																																																																	=
																																																																																																	BgL_carzd25970zd2_3553;
																																																																																																BgL_proc2z00_18623
																																																																																																	=
																																																																																																	BgL_carzd25979zd2_3555;
																																																																																																BgL_argsz00_18624
																																																																																																	=
																																																																																																	BgL_cdrzd25947zd2_3550;
																																																																																																BgL_argsz00_1834
																																																																																																	=
																																																																																																	BgL_argsz00_18624;
																																																																																																BgL_proc2z00_1833
																																																																																																	=
																																																																																																	BgL_proc2z00_18623;
																																																																																																BgL_proc1z00_1832
																																																																																																	=
																																																																																																	BgL_proc1z00_18622;
																																																																																																BgL_testz00_1831
																																																																																																	=
																																																																																																	BgL_testz00_18621;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1835;
																																																																																															}
																																																																																															BgL_auxz00_16356
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_18620);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1859;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_18628;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1860;
																																																																																																BgL_auxz00_16356
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_18628);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_18632;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_18632);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18636;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18636);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18640;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18640);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd26257zd2_3577;
																																																																																	BgL_cdrzd26257zd2_3577
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd26264zd2_3578;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_11721;
																																																																																			BgL_pairz00_11721
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd26264zd2_3578
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_11721);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd26271zd2_3579;
																																																																																			BgL_cdrzd26271zd2_3579
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd26264zd2_3578));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd26277zd2_3580;
																																																																																				obj_t
																																																																																					BgL_cdrzd26278zd2_3581;
																																																																																				BgL_carzd26277zd2_3580
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26271zd2_3579));
																																																																																				BgL_cdrzd26278zd2_3581
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd26271zd2_3579));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26277zd2_3580))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd26285zd2_3583;
																																																																																						BgL_carzd26285zd2_3583
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd26278zd2_3581));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26285zd2_3583))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd26278zd2_3581))))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26257zd2_3577))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg3103z00_3588;
																																																																																												BgL_arg3103z00_3588
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd26264zd2_3578));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_18667;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_18671;
																																																																																														obj_t
																																																																																															BgL_proc2z00_18670;
																																																																																														obj_t
																																																																																															BgL_proc1z00_18669;
																																																																																														obj_t
																																																																																															BgL_testz00_18668;
																																																																																														BgL_testz00_18668
																																																																																															=
																																																																																															BgL_arg3103z00_3588;
																																																																																														BgL_proc1z00_18669
																																																																																															=
																																																																																															BgL_carzd26277zd2_3580;
																																																																																														BgL_proc2z00_18670
																																																																																															=
																																																																																															BgL_carzd26285zd2_3583;
																																																																																														BgL_argsz00_18671
																																																																																															=
																																																																																															BgL_cdrzd26257zd2_3577;
																																																																																														BgL_argsz00_1834
																																																																																															=
																																																																																															BgL_argsz00_18671;
																																																																																														BgL_proc2z00_1833
																																																																																															=
																																																																																															BgL_proc2z00_18670;
																																																																																														BgL_proc1z00_1832
																																																																																															=
																																																																																															BgL_proc1z00_18669;
																																																																																														BgL_testz00_1831
																																																																																															=
																																																																																															BgL_testz00_18668;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1835;
																																																																																													}
																																																																																													BgL_auxz00_16356
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_18667);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_18675;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_18675);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18679;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18679);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18683;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18683);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18687;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18687);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_18691;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18691);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd26618zd2_3596;
																																																																													BgL_cdrzd26618zd2_3596
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd26624zd2_3597;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_11730;
																																																																															BgL_pairz00_11730
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd26624zd2_3597
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_11730);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd26630zd2_3598;
																																																																															BgL_cdrzd26630zd2_3598
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd26624zd2_3597));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd26635zd2_3599;
																																																																																obj_t
																																																																																	BgL_cdrzd26636zd2_3600;
																																																																																BgL_carzd26635zd2_3599
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd26630zd2_3598));
																																																																																BgL_cdrzd26636zd2_3600
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd26630zd2_3598));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26635zd2_3599))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd26636zd2_3600))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd26641zd2_3603;
																																																																																				BgL_carzd26641zd2_3603
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd26636zd2_3600);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26641zd2_3603))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd26636zd2_3600)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26618zd2_3596))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3118z00_3608;
																																																																																										BgL_arg3118z00_3608
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd26624zd2_3597));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_18718;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_18722;
																																																																																												obj_t
																																																																																													BgL_proc2z00_18721;
																																																																																												obj_t
																																																																																													BgL_proc1z00_18720;
																																																																																												obj_t
																																																																																													BgL_testz00_18719;
																																																																																												BgL_testz00_18719
																																																																																													=
																																																																																													BgL_arg3118z00_3608;
																																																																																												BgL_proc1z00_18720
																																																																																													=
																																																																																													BgL_carzd26635zd2_3599;
																																																																																												BgL_proc2z00_18721
																																																																																													=
																																																																																													BgL_carzd26641zd2_3603;
																																																																																												BgL_argsz00_18722
																																																																																													=
																																																																																													BgL_cdrzd26618zd2_3596;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_18722;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_18721;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_18720;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_18719;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_18718);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_18726;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_18726);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_18730;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_18730);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_18734;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_18734);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_18738;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_18738);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_18742;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_18742);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18746;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18746);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18750;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18750);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_18754;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_18754);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd24114zd2_3498 == ((obj_t) CNST_TABLE_REF(18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3283z00_3773;
																																																			obj_t
																																																				BgL_arg3285z00_3774;
																																																			BgL_arg3283z00_3773
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd24089zd2_3493));
																																																			BgL_arg3285z00_3774
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd24089zd2_3493));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_18764;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_18766;
																																																					obj_t
																																																						BgL_bindingsz00_18765;
																																																					BgL_bindingsz00_18765
																																																						=
																																																						BgL_arg3283z00_3773;
																																																					BgL_exprz00_18766
																																																						=
																																																						BgL_arg3285z00_3774;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_18766;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_18765;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_18764);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd24114zd2_3498)))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3288z00_3776;
																																																					obj_t
																																																						BgL_arg3290z00_3777;
																																																					BgL_arg3288z00_3776
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd24089zd2_3493));
																																																					BgL_arg3290z00_3777
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd24089zd2_3493));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_18775;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_18777;
																																																							obj_t
																																																								BgL_bindingsz00_18776;
																																																							BgL_bindingsz00_18776
																																																								=
																																																								BgL_arg3288z00_3776;
																																																							BgL_exprz00_18777
																																																								=
																																																								BgL_arg3290z00_3777;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_18777;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_18776;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_18775);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((BgL_carzd24114zd2_3498 == ((obj_t) CNST_TABLE_REF(19))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3291z00_3778;
																																																							obj_t
																																																								BgL_arg3293z00_3779;
																																																							BgL_arg3291z00_3778
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd24089zd2_3493));
																																																							BgL_arg3293z00_3779
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd24089zd2_3493));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_18787;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_18789;
																																																									obj_t
																																																										BgL_bindingsz00_18788;
																																																									BgL_bindingsz00_18788
																																																										=
																																																										BgL_arg3291z00_3778;
																																																									BgL_exprz00_18789
																																																										=
																																																										BgL_arg3293z00_3779;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_18789;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_18788;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_18787);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18797;
																																																									goto
																																																										BgL_tagzd2384zd2_1816;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18797);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd27216zd2_3782;
																																																									BgL_carzd27216zd2_3782
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd27216zd2_3782 == ((obj_t) CNST_TABLE_REF(20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_18805;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_18805);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27216zd2_3782)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_18810;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_18810);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_18818;
																																																															goto
																																																																BgL_tagzd2390zd2_1836;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_18818);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_18826;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1837;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_18826);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd27296zd2_3788;
																																																																	BgL_cdrzd27296zd2_3788
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg3304z00_3791;
																																																																			obj_t
																																																																				BgL_arg3306z00_3792;
																																																																			BgL_arg3304z00_3791
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27296zd2_3788));
																																																																			BgL_arg3306z00_3792
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27296zd2_3788));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_18840;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_18842;
																																																																					obj_t
																																																																						BgL_effectz00_18841;
																																																																					BgL_effectz00_18841
																																																																						=
																																																																						BgL_arg3304z00_3791;
																																																																					BgL_restz00_18842
																																																																						=
																																																																						BgL_arg3306z00_3792;
																																																																					BgL_restz00_1839
																																																																						=
																																																																						BgL_restz00_18842;
																																																																					BgL_effectz00_1838
																																																																						=
																																																																						BgL_effectz00_18841;
																																																																					goto
																																																																						BgL_tagzd2392zd2_1840;
																																																																				}
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_18840);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_18850;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1841;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_18850);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_18858;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1842;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_18858);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg3314z00_3800;
																																																																									obj_t
																																																																										BgL_arg3315z00_3801;
																																																																									BgL_arg3314z00_3800
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd27296zd2_3788));
																																																																									BgL_arg3315z00_3801
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd27296zd2_3788));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_18870;
																																																																										{
																																																																											obj_t
																																																																												BgL_restz00_18872;
																																																																											obj_t
																																																																												BgL_effectz00_18871;
																																																																											BgL_effectz00_18871
																																																																												=
																																																																												BgL_arg3314z00_3800;
																																																																											BgL_restz00_18872
																																																																												=
																																																																												BgL_arg3315z00_3801;
																																																																											BgL_restz00_1844
																																																																												=
																																																																												BgL_restz00_18872;
																																																																											BgL_effectz00_1843
																																																																												=
																																																																												BgL_effectz00_18871;
																																																																											goto
																																																																												BgL_tagzd2395zd2_1845;
																																																																										}
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_18870);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_18880;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1846;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_18880);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_18888;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1847;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_18888);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_18896;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1848;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_18896);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_18904;
																																																																																	goto
																																																																																		BgL_tagzd2399zd2_1849;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_18904);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd27373zd2_3810;
																																																																																	BgL_cdrzd27373zd2_3810
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3328z00_3813;
																																																																																			obj_t
																																																																																				BgL_arg3329z00_3814;
																																																																																			BgL_arg3328z00_3813
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27373zd2_3810));
																																																																																			BgL_arg3329z00_3814
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd27373zd2_3810));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7648z00_11767;
																																																																																				BgL_arg7648z00_11767
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg3328z00_3813,
																																																																																						((obj_t) CNST_TABLE_REF(4)), BgL_arg3329z00_3814, BgL_stackz00_22, BgL_arg7648z00_11767, BgL_sitez00_24));
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_18925;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_18925);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd27398zd2_3832;
																																			BgL_carzd27398zd2_3832
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd27398zd2_3832
																																					==
																																					((obj_t) CNST_TABLE_REF(1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_18933;
																																					goto
																																						BgL_tagzd2377zd2_1801;
																																					BgL_auxz00_16356
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_18933);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd27398zd2_3832
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_18937;
																																							goto
																																								BgL_tagzd2377zd2_1801;
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_18937);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_18945;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_18945);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_18953;
																																											goto
																																												BgL_tagzd2380zd2_1806;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_18953);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd27469zd2_3838;
																																											BgL_cdrzd27469zd2_3838
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3359z00_3841;
																																													obj_t
																																														BgL_arg3360z00_3842;
																																													BgL_arg3359z00_3841
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27469zd2_3838));
																																													BgL_arg3360z00_3842
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27469zd2_3838));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_18967;
																																														{
																																															obj_t
																																																BgL_exprz00_18969;
																																															obj_t
																																																BgL_bindingsz00_18968;
																																															BgL_bindingsz00_18968
																																																=
																																																BgL_arg3359z00_3841;
																																															BgL_exprz00_18969
																																																=
																																																BgL_arg3360z00_3842;
																																															BgL_exprz00_1808
																																																=
																																																BgL_exprz00_18969;
																																															BgL_bindingsz00_1807
																																																=
																																																BgL_bindingsz00_18968;
																																															goto
																																																BgL_tagzd2381zd2_1809;
																																														}
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_18967);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd27494zd2_3843;
																																													BgL_carzd27494zd2_3843
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd27494zd2_3843))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd27497zd2_3845;
																																															obj_t
																																																BgL_cdrzd27498zd2_3846;
																																															BgL_carzd27497zd2_3845
																																																=
																																																CAR
																																																(BgL_carzd27494zd2_3843);
																																															BgL_cdrzd27498zd2_3846
																																																=
																																																CDR
																																																(BgL_carzd27494zd2_3843);
																																															{

																																																if ((BgL_carzd27497zd2_3845 == ((obj_t) CNST_TABLE_REF(18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd27499zd2_3847:
																																																		if (PAIRP(BgL_cdrzd27498zd2_3846))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd27502zd2_3969;
																																																				BgL_cdrzd27502zd2_3969
																																																					=
																																																					CDR
																																																					(BgL_cdrzd27498zd2_3846);
																																																				if (PAIRP(BgL_cdrzd27502zd2_3969))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd27502zd2_3969)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3451z00_3973;
																																																								obj_t
																																																									BgL_arg3452z00_3974;
																																																								BgL_arg3451z00_3973
																																																									=
																																																									CAR
																																																									(BgL_cdrzd27502zd2_3969);
																																																								BgL_arg3452z00_3974
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_18992;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_18994;
																																																										obj_t
																																																											BgL_bodyz00_18993;
																																																										BgL_bodyz00_18993
																																																											=
																																																											BgL_arg3451z00_3973;
																																																										BgL_argsz00_18994
																																																											=
																																																											BgL_arg3452z00_3974;
																																																										BgL_argsz00_1811
																																																											=
																																																											BgL_argsz00_18994;
																																																										BgL_bodyz00_1810
																																																											=
																																																											BgL_bodyz00_18993;
																																																										goto
																																																											BgL_tagzd2382zd2_1812;
																																																									}
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_18992);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd27526zd2_3975;
																																																								BgL_cdrzd27526zd2_3975
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8557z00_18998;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3528z00_4086;
																																																										BgL_arg3528z00_4086
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8557z00_18998
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3528z00_4086));
																																																									}
																																																									if (BgL_test8557z00_18998)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3455z00_3978;
																																																											obj_t
																																																												BgL_arg3456z00_3979;
																																																											BgL_arg3455z00_3978
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd27526zd2_3975));
																																																											BgL_arg3456z00_3979
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd27526zd2_3975));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_19007;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_19009;
																																																													obj_t
																																																														BgL_bindingsz00_19008;
																																																													BgL_bindingsz00_19008
																																																														=
																																																														BgL_arg3455z00_3978;
																																																													BgL_exprz00_19009
																																																														=
																																																														BgL_arg3456z00_3979;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_19009;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_19008;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_19007);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8558z00_19011;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3526z00_4085;
																																																												BgL_arg3526z00_4085
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8558z00_19011
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3526z00_4085));
																																																											}
																																																											if (BgL_test8558z00_19011)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_19016;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19016);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd27593zd2_3982;
																																																													BgL_carzd27593zd2_3982
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd27598zd2_3983;
																																																														BgL_cdrzd27598zd2_3983
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd27593zd2_3982));
																																																														if ((CAR(((obj_t) BgL_carzd27593zd2_3982)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3463z00_3986;
																																																																obj_t
																																																																	BgL_arg3464z00_3987;
																																																																obj_t
																																																																	BgL_arg3465z00_3988;
																																																																BgL_arg3463z00_3986
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd27598zd2_3983));
																																																																BgL_arg3464z00_3987
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd27598zd2_3983));
																																																																BgL_arg3465z00_3988
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_19034;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_19037;
																																																																		obj_t
																																																																			BgL_bodyz00_19036;
																																																																		obj_t
																																																																			BgL_varsz00_19035;
																																																																		BgL_varsz00_19035
																																																																			=
																																																																			BgL_arg3463z00_3986;
																																																																		BgL_bodyz00_19036
																																																																			=
																																																																			BgL_arg3464z00_3987;
																																																																		BgL_argsz00_19037
																																																																			=
																																																																			BgL_arg3465z00_3988;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_19037;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_19036;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_19035;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_19034);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd27621zd2_3990;
																																																																BgL_cdrzd27621zd2_3990
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd27627zd2_3991;
																																																																	BgL_cdrzd27627zd2_3991
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd27593zd2_3982));
																																																																	if ((CAR(((obj_t) BgL_carzd27593zd2_3982)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd27633zd2_3994;
																																																																			BgL_cdrzd27633zd2_3994
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd27627zd2_3991));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd27638zd2_3995;
																																																																				obj_t
																																																																					BgL_cdrzd27639zd2_3996;
																																																																				BgL_carzd27638zd2_3995
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd27633zd2_3994));
																																																																				BgL_cdrzd27639zd2_3996
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd27633zd2_3994));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27638zd2_3995))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd27639zd2_3996))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd27646zd2_3999;
																																																																								BgL_carzd27646zd2_3999
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd27639zd2_3996);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27646zd2_3999))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd27639zd2_3996)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8565z00_19065;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1330z00_4032;
																																																																													BgL_l1330z00_4032
																																																																														=
																																																																														BgL_cdrzd27621zd2_3990;
																																																																												BgL_zc3z04anonymousza33489ze3z87_4033:
																																																																													if (NULLP(BgL_l1330z00_4032))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8565z00_19065
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8567z00_19068;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8568z00_19069;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_19070;
																																																																																	BgL_tmpz00_19070
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1330z00_4032));
																																																																																	BgL_test8568z00_19069
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_19070);
																																																																																}
																																																																																if (BgL_test8568z00_19069)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8567z00_19068
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8567z00_19068
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test8567z00_19068)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1330z00_19074;
																																																																																	BgL_l1330z00_19074
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1330z00_4032));
																																																																																	BgL_l1330z00_4032
																																																																																		=
																																																																																		BgL_l1330z00_19074;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza33489ze3z87_4033;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test8565z00_19065
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test8565z00_19065)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg3479z00_4015;
																																																																														BgL_arg3479z00_4015
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd27627zd2_3991));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19079;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_19083;
																																																																																obj_t
																																																																																	BgL_proc2z00_19082;
																																																																																obj_t
																																																																																	BgL_proc1z00_19081;
																																																																																obj_t
																																																																																	BgL_testz00_19080;
																																																																																BgL_testz00_19080
																																																																																	=
																																																																																	BgL_arg3479z00_4015;
																																																																																BgL_proc1z00_19081
																																																																																	=
																																																																																	BgL_carzd27638zd2_3995;
																																																																																BgL_proc2z00_19082
																																																																																	=
																																																																																	BgL_carzd27646zd2_3999;
																																																																																BgL_argsz00_19083
																																																																																	=
																																																																																	BgL_cdrzd27621zd2_3990;
																																																																																BgL_argsz00_1829
																																																																																	=
																																																																																	BgL_argsz00_19083;
																																																																																BgL_proc2z00_1828
																																																																																	=
																																																																																	BgL_proc2z00_19082;
																																																																																BgL_proc1z00_1827
																																																																																	=
																																																																																	BgL_proc1z00_19081;
																																																																																BgL_testz00_1826
																																																																																	=
																																																																																	BgL_testz00_19080;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1830;
																																																																															}
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19079);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd27670zd2_4016;
																																																																														BgL_cdrzd27670zd2_4016
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd27677zd2_4017;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_11807;
																																																																																BgL_pairz00_11807
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd27677zd2_4017
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_11807);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd27684zd2_4018;
																																																																																BgL_cdrzd27684zd2_4018
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd27677zd2_4017));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd27690zd2_4019;
																																																																																	BgL_carzd27690zd2_4019
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd27684zd2_4018));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27690zd2_4019))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd27697zd2_4021;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_11811;
																																																																																				BgL_pairz00_11811
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd27684zd2_4018));
																																																																																				BgL_carzd27697zd2_4021
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_11811);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27697zd2_4021))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27670zd2_4016))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg3483z00_4024;
																																																																																							BgL_arg3483z00_4024
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd27677zd2_4017));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19105;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_19109;
																																																																																									obj_t
																																																																																										BgL_proc2z00_19108;
																																																																																									obj_t
																																																																																										BgL_proc1z00_19107;
																																																																																									obj_t
																																																																																										BgL_testz00_19106;
																																																																																									BgL_testz00_19106
																																																																																										=
																																																																																										BgL_arg3483z00_4024;
																																																																																									BgL_proc1z00_19107
																																																																																										=
																																																																																										BgL_carzd27690zd2_4019;
																																																																																									BgL_proc2z00_19108
																																																																																										=
																																																																																										BgL_carzd27697zd2_4021;
																																																																																									BgL_argsz00_19109
																																																																																										=
																																																																																										BgL_cdrzd27670zd2_4016;
																																																																																									BgL_argsz00_1834
																																																																																										=
																																																																																										BgL_argsz00_19109;
																																																																																									BgL_proc2z00_1833
																																																																																										=
																																																																																										BgL_proc2z00_19108;
																																																																																									BgL_proc1z00_1832
																																																																																										=
																																																																																										BgL_proc1z00_19107;
																																																																																									BgL_testz00_1831
																																																																																										=
																																																																																										BgL_testz00_19106;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1835;
																																																																																								}
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19105);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19113;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19113);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19117;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19117);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19121;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19121);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_19125;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_19125);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd27973zd2_4043;
																																																																										BgL_cdrzd27973zd2_4043
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd27979zd2_4044;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_11815;
																																																																												BgL_pairz00_11815
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd27979zd2_4044
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_11815);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd27985zd2_4045;
																																																																												BgL_cdrzd27985zd2_4045
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd27979zd2_4044));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd27990zd2_4046;
																																																																													obj_t
																																																																														BgL_cdrzd27991zd2_4047;
																																																																													BgL_carzd27990zd2_4046
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27985zd2_4045));
																																																																													BgL_cdrzd27991zd2_4047
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd27985zd2_4045));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27990zd2_4046))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd27996zd2_4049;
																																																																															BgL_carzd27996zd2_4049
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd27991zd2_4047));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd27996zd2_4049))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd27991zd2_4047))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd27973zd2_4043))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3499z00_4054;
																																																																																					BgL_arg3499z00_4054
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd27979zd2_4044));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19152;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_19156;
																																																																																							obj_t
																																																																																								BgL_proc2z00_19155;
																																																																																							obj_t
																																																																																								BgL_proc1z00_19154;
																																																																																							obj_t
																																																																																								BgL_testz00_19153;
																																																																																							BgL_testz00_19153
																																																																																								=
																																																																																								BgL_arg3499z00_4054;
																																																																																							BgL_proc1z00_19154
																																																																																								=
																																																																																								BgL_carzd27990zd2_4046;
																																																																																							BgL_proc2z00_19155
																																																																																								=
																																																																																								BgL_carzd27996zd2_4049;
																																																																																							BgL_argsz00_19156
																																																																																								=
																																																																																								BgL_cdrzd27973zd2_4043;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_19156;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_19155;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_19154;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_19153;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19152);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19160;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19160);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19164;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19164);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19168;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19168);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19172;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19172);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_19176;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_19176);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd28329zd2_4062;
																																																																						BgL_cdrzd28329zd2_4062
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd28336zd2_4063;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_11824;
																																																																								BgL_pairz00_11824
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd28336zd2_4063
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_11824);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd28343zd2_4064;
																																																																								BgL_cdrzd28343zd2_4064
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd28336zd2_4063));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd28349zd2_4065;
																																																																									obj_t
																																																																										BgL_cdrzd28350zd2_4066;
																																																																									BgL_carzd28349zd2_4065
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd28343zd2_4064));
																																																																									BgL_cdrzd28350zd2_4066
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd28343zd2_4064));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28349zd2_4065))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd28350zd2_4066))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd28357zd2_4069;
																																																																													BgL_carzd28357zd2_4069
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd28350zd2_4066);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd28357zd2_4069))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd28350zd2_4066)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd28329zd2_4062))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3514z00_4074;
																																																																																			BgL_arg3514z00_4074
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd28336zd2_4063));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19203;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_19207;
																																																																																					obj_t
																																																																																						BgL_proc2z00_19206;
																																																																																					obj_t
																																																																																						BgL_proc1z00_19205;
																																																																																					obj_t
																																																																																						BgL_testz00_19204;
																																																																																					BgL_testz00_19204
																																																																																						=
																																																																																						BgL_arg3514z00_4074;
																																																																																					BgL_proc1z00_19205
																																																																																						=
																																																																																						BgL_carzd28349zd2_4065;
																																																																																					BgL_proc2z00_19206
																																																																																						=
																																																																																						BgL_carzd28357zd2_4069;
																																																																																					BgL_argsz00_19207
																																																																																						=
																																																																																						BgL_cdrzd28329zd2_4062;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_19207;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_19206;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_19205;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_19204;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19203);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19211;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19211);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19215;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19215);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_19219;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_19219);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19223;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19223);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19227;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19227);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19231;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19231);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd28750zd2_4088;
																																																						BgL_cdrzd28750zd2_4088
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8596z00_19235;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3550z00_4105;
																																																								BgL_arg3550z00_4105
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8596z00_19235
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3550z00_4105));
																																																							}
																																																							if (BgL_test8596z00_19235)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3534z00_4091;
																																																									obj_t
																																																										BgL_arg3535z00_4092;
																																																									BgL_arg3534z00_4091
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd28750zd2_4088));
																																																									BgL_arg3535z00_4092
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd28750zd2_4088));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19244;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_19246;
																																																											obj_t
																																																												BgL_bindingsz00_19245;
																																																											BgL_bindingsz00_19245
																																																												=
																																																												BgL_arg3534z00_4091;
																																																											BgL_exprz00_19246
																																																												=
																																																												BgL_arg3535z00_4092;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_19246;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_19245;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19244);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8597z00_19248;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3548z00_4104;
																																																										BgL_arg3548z00_4104
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8597z00_19248
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3548z00_4104));
																																																									}
																																																									if (BgL_test8597z00_19248)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19253;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19253);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd28816zd2_4095;
																																																											BgL_carzd28816zd2_4095
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd28821zd2_4096;
																																																												BgL_cdrzd28821zd2_4096
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd28816zd2_4095));
																																																												if ((CAR(((obj_t) BgL_carzd28816zd2_4095)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3542z00_4099;
																																																														obj_t
																																																															BgL_arg3543z00_4100;
																																																														obj_t
																																																															BgL_arg3544z00_4101;
																																																														BgL_arg3542z00_4099
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd28821zd2_4096));
																																																														BgL_arg3543z00_4100
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd28821zd2_4096));
																																																														BgL_arg3544z00_4101
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19271;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_19274;
																																																																obj_t
																																																																	BgL_bodyz00_19273;
																																																																obj_t
																																																																	BgL_varsz00_19272;
																																																																BgL_varsz00_19272
																																																																	=
																																																																	BgL_arg3542z00_4099;
																																																																BgL_bodyz00_19273
																																																																	=
																																																																	BgL_arg3543z00_4100;
																																																																BgL_argsz00_19274
																																																																	=
																																																																	BgL_arg3544z00_4101;
																																																																BgL_argsz00_1824
																																																																	=
																																																																	BgL_argsz00_19274;
																																																																BgL_bodyz00_1823
																																																																	=
																																																																	BgL_bodyz00_19273;
																																																																BgL_varsz00_1822
																																																																	=
																																																																	BgL_varsz00_19272;
																																																																goto
																																																																	BgL_tagzd2387zd2_1825;
																																																															}
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19271);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_19278;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_19278);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd28932zd2_4106;
																																																				BgL_cdrzd28932zd2_4106
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8600z00_19282;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3560z00_4115;
																																																						BgL_arg3560z00_4115
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8600z00_19282
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3560z00_4115));
																																																					}
																																																					if (BgL_test8600z00_19282)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3553z00_4109;
																																																							obj_t
																																																								BgL_arg3554z00_4110;
																																																							BgL_arg3553z00_4109
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd28932zd2_4106));
																																																							BgL_arg3554z00_4110
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd28932zd2_4106));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_19291;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_19293;
																																																									obj_t
																																																										BgL_bindingsz00_19292;
																																																									BgL_bindingsz00_19292
																																																										=
																																																										BgL_arg3553z00_4109;
																																																									BgL_exprz00_19293
																																																										=
																																																										BgL_arg3554z00_4110;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_19293;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_19292;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_19291);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8601z00_19295;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3558z00_4114;
																																																								BgL_arg3558z00_4114
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8601z00_19295
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3558z00_4114));
																																																							}
																																																							if (BgL_test8601z00_19295)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19300;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19300);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_19304;
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19304);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27497zd2_3845)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd27499zd2_3847;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd27497zd2_3845 == ((obj_t) CNST_TABLE_REF(19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd27499zd2_3847;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd27497zd2_3845 == ((obj_t) CNST_TABLE_REF(20))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd27499zd2_3847;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27497zd2_3845)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd27499zd2_3847;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd29104zd2_3850;
																																																										BgL_cdrzd29104zd2_3850
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8607z00_19322;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3444z00_3967;
																																																												BgL_arg3444z00_3967
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8607z00_19322
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg3444z00_3967));
																																																											}
																																																											if (BgL_test8607z00_19322)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg3367z00_3853;
																																																													obj_t
																																																														BgL_arg3368z00_3854;
																																																													BgL_arg3367z00_3853
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd29104zd2_3850));
																																																													BgL_arg3368z00_3854
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd29104zd2_3850));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_19331;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_19333;
																																																															obj_t
																																																																BgL_bindingsz00_19332;
																																																															BgL_bindingsz00_19332
																																																																=
																																																																BgL_arg3367z00_3853;
																																																															BgL_exprz00_19333
																																																																=
																																																																BgL_arg3368z00_3854;
																																																															BgL_exprz00_1814
																																																																=
																																																																BgL_exprz00_19333;
																																																															BgL_bindingsz00_1813
																																																																=
																																																																BgL_bindingsz00_19332;
																																																															goto
																																																																BgL_tagzd2383zd2_1815;
																																																														}
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_19331);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test8608z00_19335;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3443z00_3966;
																																																														BgL_arg3443z00_3966
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test8608z00_19335
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg3443z00_3966));
																																																													}
																																																													if (BgL_test8608z00_19335)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_19340;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19340);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd29170zd2_3857;
																																																															BgL_carzd29170zd2_3857
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd29175zd2_3858;
																																																																BgL_cdrzd29175zd2_3858
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd29170zd2_3857));
																																																																if ((CAR(((obj_t) BgL_carzd29170zd2_3857)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd29175zd2_3858))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg3374z00_3862;
																																																																				obj_t
																																																																					BgL_arg3375z00_3863;
																																																																				obj_t
																																																																					BgL_arg3377z00_3864;
																																																																				BgL_arg3374z00_3862
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd29175zd2_3858);
																																																																				BgL_arg3375z00_3863
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd29175zd2_3858);
																																																																				BgL_arg3377z00_3864
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19358;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_19361;
																																																																						obj_t
																																																																							BgL_bodyz00_19360;
																																																																						obj_t
																																																																							BgL_varsz00_19359;
																																																																						BgL_varsz00_19359
																																																																							=
																																																																							BgL_arg3374z00_3862;
																																																																						BgL_bodyz00_19360
																																																																							=
																																																																							BgL_arg3375z00_3863;
																																																																						BgL_argsz00_19361
																																																																							=
																																																																							BgL_arg3377z00_3864;
																																																																						BgL_argsz00_1824
																																																																							=
																																																																							BgL_argsz00_19361;
																																																																						BgL_bodyz00_1823
																																																																							=
																																																																							BgL_bodyz00_19360;
																																																																						BgL_varsz00_1822
																																																																							=
																																																																							BgL_varsz00_19359;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1825;
																																																																					}
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19358);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_19365;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_19365);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd29282zd2_3867;
																																																																		BgL_cdrzd29282zd2_3867
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd29287zd2_3868;
																																																																			BgL_cdrzd29287zd2_3868
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd29170zd2_3857));
																																																																			if ((CAR(((obj_t) BgL_carzd29170zd2_3857)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd29287zd2_3868))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd29292zd2_3872;
																																																																							BgL_cdrzd29292zd2_3872
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd29287zd2_3868);
																																																																							if (PAIRP(BgL_cdrzd29292zd2_3872))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd29296zd2_3874;
																																																																									obj_t
																																																																										BgL_cdrzd29297zd2_3875;
																																																																									BgL_carzd29296zd2_3874
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd29292zd2_3872);
																																																																									BgL_cdrzd29297zd2_3875
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd29292zd2_3872);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29296zd2_3874))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd29297zd2_3875))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd29302zd2_3878;
																																																																													BgL_carzd29302zd2_3878
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd29297zd2_3875);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29302zd2_3878))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd29297zd2_3875)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8619z00_19394;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1333z00_3911;
																																																																																		BgL_l1333z00_3911
																																																																																			=
																																																																																			BgL_cdrzd29282zd2_3867;
																																																																																	BgL_zc3z04anonymousza33406ze3z87_3912:
																																																																																		if (NULLP(BgL_l1333z00_3911))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8619z00_19394
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test8621z00_19397;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test8622z00_19398;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_19399;
																																																																																						BgL_tmpz00_19399
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1333z00_3911));
																																																																																						BgL_test8622z00_19398
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_19399);
																																																																																					}
																																																																																					if (BgL_test8622z00_19398)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8621z00_19397
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test8621z00_19397
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test8621z00_19397)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1333z00_19403;
																																																																																						BgL_l1333z00_19403
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1333z00_3911));
																																																																																						BgL_l1333z00_3911
																																																																																							=
																																																																																							BgL_l1333z00_19403;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza33406ze3z87_3912;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test8619z00_19394
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test8619z00_19394)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3396z00_3894;
																																																																																			BgL_arg3396z00_3894
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd29287zd2_3868);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19407;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_19411;
																																																																																					obj_t
																																																																																						BgL_proc2z00_19410;
																																																																																					obj_t
																																																																																						BgL_proc1z00_19409;
																																																																																					obj_t
																																																																																						BgL_testz00_19408;
																																																																																					BgL_testz00_19408
																																																																																						=
																																																																																						BgL_arg3396z00_3894;
																																																																																					BgL_proc1z00_19409
																																																																																						=
																																																																																						BgL_carzd29296zd2_3874;
																																																																																					BgL_proc2z00_19410
																																																																																						=
																																																																																						BgL_carzd29302zd2_3878;
																																																																																					BgL_argsz00_19411
																																																																																						=
																																																																																						BgL_cdrzd29282zd2_3867;
																																																																																					BgL_argsz00_1829
																																																																																						=
																																																																																						BgL_argsz00_19411;
																																																																																					BgL_proc2z00_1828
																																																																																						=
																																																																																						BgL_proc2z00_19410;
																																																																																					BgL_proc1z00_1827
																																																																																						=
																																																																																						BgL_proc1z00_19409;
																																																																																					BgL_testz00_1826
																																																																																						=
																																																																																						BgL_testz00_19408;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1830;
																																																																																				}
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19407);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd29327zd2_3895;
																																																																																			BgL_cdrzd29327zd2_3895
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd29335zd2_3896;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_11872;
																																																																																					BgL_pairz00_11872
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd29335zd2_3896
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_11872);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd29343zd2_3897;
																																																																																					BgL_cdrzd29343zd2_3897
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd29335zd2_3896));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd29350zd2_3898;
																																																																																						BgL_carzd29350zd2_3898
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd29343zd2_3897));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29350zd2_3898))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd29359zd2_3900;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_11876;
																																																																																									BgL_pairz00_11876
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd29343zd2_3897));
																																																																																									BgL_carzd29359zd2_3900
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_11876);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29359zd2_3900))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29327zd2_3895))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg3400z00_3903;
																																																																																												BgL_arg3400z00_3903
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd29335zd2_3896));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_19433;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_19437;
																																																																																														obj_t
																																																																																															BgL_proc2z00_19436;
																																																																																														obj_t
																																																																																															BgL_proc1z00_19435;
																																																																																														obj_t
																																																																																															BgL_testz00_19434;
																																																																																														BgL_testz00_19434
																																																																																															=
																																																																																															BgL_arg3400z00_3903;
																																																																																														BgL_proc1z00_19435
																																																																																															=
																																																																																															BgL_carzd29350zd2_3898;
																																																																																														BgL_proc2z00_19436
																																																																																															=
																																																																																															BgL_carzd29359zd2_3900;
																																																																																														BgL_argsz00_19437
																																																																																															=
																																																																																															BgL_cdrzd29327zd2_3895;
																																																																																														BgL_argsz00_1834
																																																																																															=
																																																																																															BgL_argsz00_19437;
																																																																																														BgL_proc2z00_1833
																																																																																															=
																																																																																															BgL_proc2z00_19436;
																																																																																														BgL_proc1z00_1832
																																																																																															=
																																																																																															BgL_proc1z00_19435;
																																																																																														BgL_testz00_1831
																																																																																															=
																																																																																															BgL_testz00_19434;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1835;
																																																																																													}
																																																																																													BgL_auxz00_16356
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_19433);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_19441;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_16356
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_19441);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_19445;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_19445);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19449;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19449);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19453;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19453);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd29637zd2_3922;
																																																																															BgL_cdrzd29637zd2_3922
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd29644zd2_3923;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_11880;
																																																																																	BgL_pairz00_11880
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd29644zd2_3923
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_11880);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd29651zd2_3924;
																																																																																	BgL_cdrzd29651zd2_3924
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd29644zd2_3923));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd29657zd2_3925;
																																																																																		obj_t
																																																																																			BgL_cdrzd29658zd2_3926;
																																																																																		BgL_carzd29657zd2_3925
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29651zd2_3924));
																																																																																		BgL_cdrzd29658zd2_3926
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd29651zd2_3924));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29657zd2_3925))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd29665zd2_3928;
																																																																																				BgL_carzd29665zd2_3928
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd29658zd2_3926));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd29665zd2_3928))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd29658zd2_3926))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29637zd2_3922))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3416z00_3933;
																																																																																										BgL_arg3416z00_3933
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd29644zd2_3923));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_19480;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_19484;
																																																																																												obj_t
																																																																																													BgL_proc2z00_19483;
																																																																																												obj_t
																																																																																													BgL_proc1z00_19482;
																																																																																												obj_t
																																																																																													BgL_testz00_19481;
																																																																																												BgL_testz00_19481
																																																																																													=
																																																																																													BgL_arg3416z00_3933;
																																																																																												BgL_proc1z00_19482
																																																																																													=
																																																																																													BgL_carzd29657zd2_3925;
																																																																																												BgL_proc2z00_19483
																																																																																													=
																																																																																													BgL_carzd29665zd2_3928;
																																																																																												BgL_argsz00_19484
																																																																																													=
																																																																																													BgL_cdrzd29637zd2_3922;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_19484;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_19483;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_19482;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_19481;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_19480);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_19488;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_19488);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19492;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19492);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19496;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19496);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19500;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19500);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_19504;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19504);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd29998zd2_3941;
																																																																											BgL_cdrzd29998zd2_3941
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd210004zd2_3942;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_11889;
																																																																													BgL_pairz00_11889
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd210004zd2_3942
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_11889);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd210010zd2_3943;
																																																																													BgL_cdrzd210010zd2_3943
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd210004zd2_3942));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd210015zd2_3944;
																																																																														obj_t
																																																																															BgL_cdrzd210016zd2_3945;
																																																																														BgL_carzd210015zd2_3944
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd210010zd2_3943));
																																																																														BgL_cdrzd210016zd2_3945
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd210010zd2_3943));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210015zd2_3944))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd210016zd2_3945))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd210021zd2_3948;
																																																																																		BgL_carzd210021zd2_3948
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd210016zd2_3945);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd210021zd2_3948))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd210016zd2_3945)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd29998zd2_3941))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3430z00_3953;
																																																																																								BgL_arg3430z00_3953
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd210004zd2_3942));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_19531;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_19535;
																																																																																										obj_t
																																																																																											BgL_proc2z00_19534;
																																																																																										obj_t
																																																																																											BgL_proc1z00_19533;
																																																																																										obj_t
																																																																																											BgL_testz00_19532;
																																																																																										BgL_testz00_19532
																																																																																											=
																																																																																											BgL_arg3430z00_3953;
																																																																																										BgL_proc1z00_19533
																																																																																											=
																																																																																											BgL_carzd210015zd2_3944;
																																																																																										BgL_proc2z00_19534
																																																																																											=
																																																																																											BgL_carzd210021zd2_3948;
																																																																																										BgL_argsz00_19535
																																																																																											=
																																																																																											BgL_cdrzd29998zd2_3941;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_19535;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_19534;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_19533;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_19532;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_19531);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_19539;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_19539);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_19543;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_19543);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19547;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19547);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_19551;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_19551);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_19555;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_19555);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19559;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19559);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19563;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19563);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_19567;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_19567);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd27494zd2_3843 == ((obj_t) CNST_TABLE_REF(18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3561z00_4118;
																																																	obj_t
																																																		BgL_arg3562z00_4119;
																																																	BgL_arg3561z00_4118
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27469zd2_3838));
																																																	BgL_arg3562z00_4119
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27469zd2_3838));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_19577;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_19579;
																																																			obj_t
																																																				BgL_bindingsz00_19578;
																																																			BgL_bindingsz00_19578
																																																				=
																																																				BgL_arg3561z00_4118;
																																																			BgL_exprz00_19579
																																																				=
																																																				BgL_arg3562z00_4119;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_19579;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_19578;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_19577);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd27494zd2_3843)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3565z00_4121;
																																																			obj_t
																																																				BgL_arg3566z00_4122;
																																																			BgL_arg3565z00_4121
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27469zd2_3838));
																																																			BgL_arg3566z00_4122
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27469zd2_3838));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_19588;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_19590;
																																																					obj_t
																																																						BgL_bindingsz00_19589;
																																																					BgL_bindingsz00_19589
																																																						=
																																																						BgL_arg3565z00_4121;
																																																					BgL_exprz00_19590
																																																						=
																																																						BgL_arg3566z00_4122;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_19590;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_19589;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_19588);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd27494zd2_3843 == ((obj_t) CNST_TABLE_REF(19))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3568z00_4123;
																																																					obj_t
																																																						BgL_arg3570z00_4124;
																																																					BgL_arg3568z00_4123
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27469zd2_3838));
																																																					BgL_arg3570z00_4124
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27469zd2_3838));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_19600;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_19602;
																																																							obj_t
																																																								BgL_bindingsz00_19601;
																																																							BgL_bindingsz00_19601
																																																								=
																																																								BgL_arg3568z00_4123;
																																																							BgL_exprz00_19602
																																																								=
																																																								BgL_arg3570z00_4124;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_19602;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_19601;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_19600);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19610;
																																																							goto
																																																								BgL_tagzd2384zd2_1816;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19610);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd210596zd2_4127;
																																																							BgL_carzd210596zd2_4127
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd210596zd2_4127 == ((obj_t) CNST_TABLE_REF(20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_19618;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_19618);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210596zd2_4127)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19623;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19623);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_19631;
																																																													goto
																																																														BgL_tagzd2390zd2_1836;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_19631);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19639;
																																																															goto
																																																																BgL_tagzd2391zd2_1837;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19639);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd210676zd2_4133;
																																																															BgL_cdrzd210676zd2_4133
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg3581z00_4136;
																																																																	obj_t
																																																																		BgL_arg3582z00_4137;
																																																																	BgL_arg3581z00_4136
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd210676zd2_4133));
																																																																	BgL_arg3582z00_4137
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd210676zd2_4133));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_19653;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_19655;
																																																																			obj_t
																																																																				BgL_effectz00_19654;
																																																																			BgL_effectz00_19654
																																																																				=
																																																																				BgL_arg3581z00_4136;
																																																																			BgL_restz00_19655
																																																																				=
																																																																				BgL_arg3582z00_4137;
																																																																			BgL_restz00_1839
																																																																				=
																																																																				BgL_restz00_19655;
																																																																			BgL_effectz00_1838
																																																																				=
																																																																				BgL_effectz00_19654;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1840;
																																																																		}
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_19653);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_19663;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1841;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_19663);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_19671;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1842;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_19671);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg3590z00_4145;
																																																																							obj_t
																																																																								BgL_arg3592z00_4146;
																																																																							BgL_arg3590z00_4145
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd210676zd2_4133));
																																																																							BgL_arg3592z00_4146
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd210676zd2_4133));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_19683;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_19685;
																																																																									obj_t
																																																																										BgL_effectz00_19684;
																																																																									BgL_effectz00_19684
																																																																										=
																																																																										BgL_arg3590z00_4145;
																																																																									BgL_restz00_19685
																																																																										=
																																																																										BgL_arg3592z00_4146;
																																																																									BgL_restz00_1844
																																																																										=
																																																																										BgL_restz00_19685;
																																																																									BgL_effectz00_1843
																																																																										=
																																																																										BgL_effectz00_19684;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1845;
																																																																								}
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_19683);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_19693;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1846;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_19693);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_19701;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1847;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_19701);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_19709;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1848;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19709);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_19717;
																																																																															goto
																																																																																BgL_tagzd2399zd2_1849;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_19717);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd210753zd2_4155;
																																																																															BgL_cdrzd210753zd2_4155
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3603z00_4158;
																																																																																	obj_t
																																																																																		BgL_arg3604z00_4159;
																																																																																	BgL_arg3603z00_4158
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd210753zd2_4155));
																																																																																	BgL_arg3604z00_4159
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd210753zd2_4155));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7648z00_11926;
																																																																																		BgL_arg7648z00_11926
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg3603z00_4158,
																																																																																				((obj_t) CNST_TABLE_REF(4)), BgL_arg3604z00_4159, BgL_stackz00_22, BgL_arg7648z00_11926, BgL_sitez00_24));
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19738;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19738);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd210778zd2_4177;
																																	BgL_carzd210778zd2_4177
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd210778zd2_4177
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_19746;
																																			goto
																																				BgL_tagzd2377zd2_1801;
																																			BgL_auxz00_16356
																																				=
																																				((obj_t)
																																				BgL_auxz00_19746);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd210778zd2_4177
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_19750;
																																					goto
																																						BgL_tagzd2377zd2_1801;
																																					BgL_auxz00_16356
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_19750);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd210800zd2_4179;
																																					BgL_cdrzd210800zd2_4179
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd210803zd2_4182;
																																							obj_t
																																								BgL_cdrzd210804zd2_4183;
																																							BgL_carzd210803zd2_4182
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd210800zd2_4179));
																																							BgL_cdrzd210804zd2_4183
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd210800zd2_4179));
																																							if (PAIRP(BgL_carzd210803zd2_4182))
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(BgL_carzd210803zd2_4182) == ((obj_t) CNST_TABLE_REF(14))))
																																										{	/* Ast/sexp.scm 119 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd210804zd2_4183))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg3634z00_4189;
																																													obj_t
																																														BgL_arg3635z00_4190;
																																													BgL_arg3634z00_4189
																																														=
																																														CDR
																																														(BgL_carzd210803zd2_4182);
																																													BgL_arg3635z00_4190
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd210804zd2_4183));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_19778;
																																														BgL_lz00_1802
																																															=
																																															BgL_arg3634z00_4189;
																																														BgL_valz00_1803
																																															=
																																															BgL_arg3635z00_4190;
																																													BgL_tagzd2378zd2_1804:
																																														{	/* Ast/sexp.scm 289 */
																																															bool_t
																																																BgL_test8676z00_19779;
																																															if (PAIRP(BgL_lz00_1802))
																																																{	/* Ast/sexp.scm 289 */
																																																	bool_t
																																																		BgL_test8678z00_19782;
																																																	{	/* Ast/sexp.scm 289 */
																																																		obj_t
																																																			BgL_tmpz00_19783;
																																																		BgL_tmpz00_19783
																																																			=
																																																			CDR
																																																			(BgL_lz00_1802);
																																																		BgL_test8678z00_19782
																																																			=
																																																			PAIRP
																																																			(BgL_tmpz00_19783);
																																																	}
																																																	if (BgL_test8678z00_19782)
																																																		{
																																																			obj_t
																																																				BgL_l1302z00_9623;
																																																			BgL_l1302z00_9623
																																																				=
																																																				BgL_lz00_1802;
																																																		BgL_zc3z04anonymousza37407ze3z87_9624:
																																																			if (NULLP(BgL_l1302z00_9623))
																																																				{	/* Ast/sexp.scm 289 */
																																																					BgL_test8676z00_19779
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 289 */
																																																					bool_t
																																																						BgL_test8680z00_19788;
																																																					{	/* Ast/sexp.scm 289 */
																																																						obj_t
																																																							BgL_tmpz00_19789;
																																																						BgL_tmpz00_19789
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_l1302z00_9623));
																																																						BgL_test8680z00_19788
																																																							=
																																																							SYMBOLP
																																																							(BgL_tmpz00_19789);
																																																					}
																																																					if (BgL_test8680z00_19788)
																																																						{
																																																							obj_t
																																																								BgL_l1302z00_19793;
																																																							BgL_l1302z00_19793
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_l1302z00_9623));
																																																							BgL_l1302z00_9623
																																																								=
																																																								BgL_l1302z00_19793;
																																																							goto
																																																								BgL_zc3z04anonymousza37407ze3z87_9624;
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 289 */
																																																							BgL_test8676z00_19779
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 289 */
																																																			BgL_test8676z00_19779
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_test8676z00_19779
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																															if (BgL_test8676z00_19779)
																																																{	/* Ast/sexp.scm 289 */
																																																	BgL_auxz00_19778
																																																		=
																																																		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																																		(BgL_lz00_1802,
																																																		BgL_valz00_1803,
																																																		BgL_expz00_21,
																																																		BgL_stackz00_22,
																																																		BgL_locz00_23,
																																																		BgL_sitez00_24);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 291 */
																																																	BgL_nodez00_bglt
																																																		BgL_res7996z00_11005;
																																																	{	/* Ast/sexp.scm 735 */
																																																		obj_t
																																																			BgL_arg7755z00_11001;
																																																		BgL_nodez00_bglt
																																																			BgL_arg7756z00_11002;
																																																		BgL_arg7755z00_11001
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg7756z00_11002
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(
																																																			((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_locz00_23, ((obj_t) CNST_TABLE_REF(2)));
																																																		{	/* Ast/sexp.scm 734 */
																																																			obj_t
																																																				BgL_list7757z00_11004;
																																																			BgL_list7757z00_11004
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_arg7756z00_11002), BNIL);
																																																			BgL_res7996z00_11005
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_23,
																																																					BgL_arg7755z00_11001,
																																																					BGl_string8063z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list7757z00_11004));
																																																		}
																																																	}
																																																	BgL_auxz00_19778
																																																		=
																																																		BgL_res7996z00_11005;
																																																}
																																														}
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_19778);
																																													}
																																												}
																																											else
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_19809;
																																													goto
																																														BgL_tagzd2379zd2_1805;
																																													BgL_auxz00_16356
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_19809);
																																												}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_19811;
																																											goto
																																												BgL_tagzd2379zd2_1805;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_19811);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19813;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19813);
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_19821;
																																									goto
																																										BgL_tagzd2380zd2_1806;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_19821);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3642z00_4198;
																																											obj_t
																																												BgL_arg3643z00_4199;
																																											BgL_arg3642z00_4198
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd210800zd2_4179));
																																											BgL_arg3643z00_4199
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd210800zd2_4179));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_19833;
																																												{
																																													obj_t
																																														BgL_exprz00_19835;
																																													obj_t
																																														BgL_bindingsz00_19834;
																																													BgL_bindingsz00_19834
																																														=
																																														BgL_arg3642z00_4198;
																																													BgL_exprz00_19835
																																														=
																																														BgL_arg3643z00_4199;
																																													BgL_exprz00_1808
																																														=
																																														BgL_exprz00_19835;
																																													BgL_bindingsz00_1807
																																														=
																																														BgL_bindingsz00_19834;
																																													goto
																																														BgL_tagzd2381zd2_1809;
																																												}
																																												BgL_auxz00_16356
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_19833);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd210928zd2_4200;
																																											BgL_carzd210928zd2_4200
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd210928zd2_4200))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd210931zd2_4202;
																																													obj_t
																																														BgL_cdrzd210932zd2_4203;
																																													BgL_carzd210931zd2_4202
																																														=
																																														CAR
																																														(BgL_carzd210928zd2_4200);
																																													BgL_cdrzd210932zd2_4203
																																														=
																																														CDR
																																														(BgL_carzd210928zd2_4200);
																																													{

																																														if ((BgL_carzd210931zd2_4202 == ((obj_t) CNST_TABLE_REF(18))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd210933zd2_4204:
																																																if (PAIRP(BgL_cdrzd210932zd2_4203))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd210936zd2_4326;
																																																		BgL_cdrzd210936zd2_4326
																																																			=
																																																			CDR
																																																			(BgL_cdrzd210932zd2_4203);
																																																		if (PAIRP(BgL_cdrzd210936zd2_4326))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd210936zd2_4326)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3726z00_4330;
																																																						obj_t
																																																							BgL_arg3727z00_4331;
																																																						BgL_arg3726z00_4330
																																																							=
																																																							CAR
																																																							(BgL_cdrzd210936zd2_4326);
																																																						BgL_arg3727z00_4331
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_19858;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_19860;
																																																								obj_t
																																																									BgL_bodyz00_19859;
																																																								BgL_bodyz00_19859
																																																									=
																																																									BgL_arg3726z00_4330;
																																																								BgL_argsz00_19860
																																																									=
																																																									BgL_arg3727z00_4331;
																																																								BgL_argsz00_1811
																																																									=
																																																									BgL_argsz00_19860;
																																																								BgL_bodyz00_1810
																																																									=
																																																									BgL_bodyz00_19859;
																																																								goto
																																																									BgL_tagzd2382zd2_1812;
																																																							}
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_19858);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd210960zd2_4332;
																																																						BgL_cdrzd210960zd2_4332
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8688z00_19864;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3796z00_4443;
																																																								BgL_arg3796z00_4443
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8688z00_19864
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3796z00_4443));
																																																							}
																																																							if (BgL_test8688z00_19864)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3730z00_4335;
																																																									obj_t
																																																										BgL_arg3731z00_4336;
																																																									BgL_arg3730z00_4335
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd210960zd2_4332));
																																																									BgL_arg3731z00_4336
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd210960zd2_4332));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_19873;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_19875;
																																																											obj_t
																																																												BgL_bindingsz00_19874;
																																																											BgL_bindingsz00_19874
																																																												=
																																																												BgL_arg3730z00_4335;
																																																											BgL_exprz00_19875
																																																												=
																																																												BgL_arg3731z00_4336;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_19875;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_19874;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_19873);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8689z00_19877;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3795z00_4442;
																																																										BgL_arg3795z00_4442
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8689z00_19877
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3795z00_4442));
																																																									}
																																																									if (BgL_test8689z00_19877)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_19882;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_19882);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd211027zd2_4339;
																																																											BgL_carzd211027zd2_4339
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd211032zd2_4340;
																																																												BgL_cdrzd211032zd2_4340
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd211027zd2_4339));
																																																												if ((CAR(((obj_t) BgL_carzd211027zd2_4339)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg3736z00_4343;
																																																														obj_t
																																																															BgL_arg3737z00_4344;
																																																														obj_t
																																																															BgL_arg3738z00_4345;
																																																														BgL_arg3736z00_4343
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd211032zd2_4340));
																																																														BgL_arg3737z00_4344
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd211032zd2_4340));
																																																														BgL_arg3738z00_4345
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_19900;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_19903;
																																																																obj_t
																																																																	BgL_bodyz00_19902;
																																																																obj_t
																																																																	BgL_varsz00_19901;
																																																																BgL_varsz00_19901
																																																																	=
																																																																	BgL_arg3736z00_4343;
																																																																BgL_bodyz00_19902
																																																																	=
																																																																	BgL_arg3737z00_4344;
																																																																BgL_argsz00_19903
																																																																	=
																																																																	BgL_arg3738z00_4345;
																																																																BgL_argsz00_1824
																																																																	=
																																																																	BgL_argsz00_19903;
																																																																BgL_bodyz00_1823
																																																																	=
																																																																	BgL_bodyz00_19902;
																																																																BgL_varsz00_1822
																																																																	=
																																																																	BgL_varsz00_19901;
																																																																goto
																																																																	BgL_tagzd2387zd2_1825;
																																																															}
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_19900);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd211055zd2_4347;
																																																														BgL_cdrzd211055zd2_4347
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd211061zd2_4348;
																																																															BgL_cdrzd211061zd2_4348
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd211027zd2_4339));
																																																															if ((CAR(((obj_t) BgL_carzd211027zd2_4339)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd211067zd2_4351;
																																																																	BgL_cdrzd211067zd2_4351
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd211061zd2_4348));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd211072zd2_4352;
																																																																		obj_t
																																																																			BgL_cdrzd211073zd2_4353;
																																																																		BgL_carzd211072zd2_4352
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd211067zd2_4351));
																																																																		BgL_cdrzd211073zd2_4353
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd211067zd2_4351));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211072zd2_4352))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd211073zd2_4353))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd211080zd2_4356;
																																																																						BgL_carzd211080zd2_4356
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd211073zd2_4353);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211080zd2_4356))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd211073zd2_4353)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8696z00_19931;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1336z00_4389;
																																																																											BgL_l1336z00_4389
																																																																												=
																																																																												BgL_cdrzd211055zd2_4347;
																																																																										BgL_zc3z04anonymousza33761ze3z87_4390:
																																																																											if (NULLP(BgL_l1336z00_4389))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8696z00_19931
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8698z00_19934;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test8699z00_19935;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_19936;
																																																																															BgL_tmpz00_19936
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1336z00_4389));
																																																																															BgL_test8699z00_19935
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_19936);
																																																																														}
																																																																														if (BgL_test8699z00_19935)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8698z00_19934
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8698z00_19934
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test8698z00_19934)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1336z00_19940;
																																																																															BgL_l1336z00_19940
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1336z00_4389));
																																																																															BgL_l1336z00_4389
																																																																																=
																																																																																BgL_l1336z00_19940;
																																																																															goto
																																																																																BgL_zc3z04anonymousza33761ze3z87_4390;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test8696z00_19931
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test8696z00_19931)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg3751z00_4372;
																																																																												BgL_arg3751z00_4372
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd211061zd2_4348));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_19945;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_19949;
																																																																														obj_t
																																																																															BgL_proc2z00_19948;
																																																																														obj_t
																																																																															BgL_proc1z00_19947;
																																																																														obj_t
																																																																															BgL_testz00_19946;
																																																																														BgL_testz00_19946
																																																																															=
																																																																															BgL_arg3751z00_4372;
																																																																														BgL_proc1z00_19947
																																																																															=
																																																																															BgL_carzd211072zd2_4352;
																																																																														BgL_proc2z00_19948
																																																																															=
																																																																															BgL_carzd211080zd2_4356;
																																																																														BgL_argsz00_19949
																																																																															=
																																																																															BgL_cdrzd211055zd2_4347;
																																																																														BgL_argsz00_1829
																																																																															=
																																																																															BgL_argsz00_19949;
																																																																														BgL_proc2z00_1828
																																																																															=
																																																																															BgL_proc2z00_19948;
																																																																														BgL_proc1z00_1827
																																																																															=
																																																																															BgL_proc1z00_19947;
																																																																														BgL_testz00_1826
																																																																															=
																																																																															BgL_testz00_19946;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1830;
																																																																													}
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_19945);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd211104zd2_4373;
																																																																												BgL_cdrzd211104zd2_4373
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd211111zd2_4374;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_11973;
																																																																														BgL_pairz00_11973
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd211111zd2_4374
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_11973);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd211118zd2_4375;
																																																																														BgL_cdrzd211118zd2_4375
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd211111zd2_4374));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd211124zd2_4376;
																																																																															BgL_carzd211124zd2_4376
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd211118zd2_4375));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211124zd2_4376))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd211131zd2_4378;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_11977;
																																																																																		BgL_pairz00_11977
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd211118zd2_4375));
																																																																																		BgL_carzd211131zd2_4378
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_11977);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211131zd2_4378))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211104zd2_4373))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg3755z00_4381;
																																																																																					BgL_arg3755z00_4381
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd211111zd2_4374));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_19971;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_19975;
																																																																																							obj_t
																																																																																								BgL_proc2z00_19974;
																																																																																							obj_t
																																																																																								BgL_proc1z00_19973;
																																																																																							obj_t
																																																																																								BgL_testz00_19972;
																																																																																							BgL_testz00_19972
																																																																																								=
																																																																																								BgL_arg3755z00_4381;
																																																																																							BgL_proc1z00_19973
																																																																																								=
																																																																																								BgL_carzd211124zd2_4376;
																																																																																							BgL_proc2z00_19974
																																																																																								=
																																																																																								BgL_carzd211131zd2_4378;
																																																																																							BgL_argsz00_19975
																																																																																								=
																																																																																								BgL_cdrzd211104zd2_4373;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_19975;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_19974;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_19973;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_19972;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_19971);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_19979;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_19979);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_19983;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_19983);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_19987;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_19987);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_19991;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_19991);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd211407zd2_4400;
																																																																								BgL_cdrzd211407zd2_4400
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd211413zd2_4401;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_11981;
																																																																										BgL_pairz00_11981
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd211413zd2_4401
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_11981);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd211419zd2_4402;
																																																																										BgL_cdrzd211419zd2_4402
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd211413zd2_4401));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd211424zd2_4403;
																																																																											obj_t
																																																																												BgL_cdrzd211425zd2_4404;
																																																																											BgL_carzd211424zd2_4403
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211419zd2_4402));
																																																																											BgL_cdrzd211425zd2_4404
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd211419zd2_4402));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211424zd2_4403))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd211430zd2_4406;
																																																																													BgL_carzd211430zd2_4406
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd211425zd2_4404));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211430zd2_4406))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd211425zd2_4404))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211407zd2_4400))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg3770z00_4411;
																																																																																			BgL_arg3770z00_4411
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd211413zd2_4401));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20018;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20022;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20021;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20020;
																																																																																					obj_t
																																																																																						BgL_testz00_20019;
																																																																																					BgL_testz00_20019
																																																																																						=
																																																																																						BgL_arg3770z00_4411;
																																																																																					BgL_proc1z00_20020
																																																																																						=
																																																																																						BgL_carzd211424zd2_4403;
																																																																																					BgL_proc2z00_20021
																																																																																						=
																																																																																						BgL_carzd211430zd2_4406;
																																																																																					BgL_argsz00_20022
																																																																																						=
																																																																																						BgL_cdrzd211407zd2_4400;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_20022;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_20021;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_20020;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_20019;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20018);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20026;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20026);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20030;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20030);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20034;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20034);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20038;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20038);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_20042;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_20042);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd211763zd2_4419;
																																																																				BgL_cdrzd211763zd2_4419
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd211770zd2_4420;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_11990;
																																																																						BgL_pairz00_11990
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd211770zd2_4420
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_11990);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd211777zd2_4421;
																																																																						BgL_cdrzd211777zd2_4421
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd211770zd2_4420));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd211783zd2_4422;
																																																																							obj_t
																																																																								BgL_cdrzd211784zd2_4423;
																																																																							BgL_carzd211783zd2_4422
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd211777zd2_4421));
																																																																							BgL_cdrzd211784zd2_4423
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd211777zd2_4421));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211783zd2_4422))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd211784zd2_4423))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd211791zd2_4426;
																																																																											BgL_carzd211791zd2_4426
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd211784zd2_4423);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd211791zd2_4426))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd211784zd2_4423)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd211763zd2_4419))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3784z00_4431;
																																																																																	BgL_arg3784z00_4431
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd211770zd2_4420));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20069;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20073;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20072;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20071;
																																																																																			obj_t
																																																																																				BgL_testz00_20070;
																																																																																			BgL_testz00_20070
																																																																																				=
																																																																																				BgL_arg3784z00_4431;
																																																																																			BgL_proc1z00_20071
																																																																																				=
																																																																																				BgL_carzd211783zd2_4422;
																																																																																			BgL_proc2z00_20072
																																																																																				=
																																																																																				BgL_carzd211791zd2_4426;
																																																																																			BgL_argsz00_20073
																																																																																				=
																																																																																				BgL_cdrzd211763zd2_4419;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_20073;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_20072;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_20071;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_20070;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20069);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20077;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20077);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20081;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20081);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20085;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20085);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20089;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20089);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20093;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20093);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20097;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20097);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd212184zd2_4445;
																																																				BgL_cdrzd212184zd2_4445
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8727z00_20101;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3812z00_4462;
																																																						BgL_arg3812z00_4462
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8727z00_20101
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg3812z00_4462));
																																																					}
																																																					if (BgL_test8727z00_20101)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3800z00_4448;
																																																							obj_t
																																																								BgL_arg3801z00_4449;
																																																							BgL_arg3800z00_4448
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd212184zd2_4445));
																																																							BgL_arg3801z00_4449
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd212184zd2_4445));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20110;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_20112;
																																																									obj_t
																																																										BgL_bindingsz00_20111;
																																																									BgL_bindingsz00_20111
																																																										=
																																																										BgL_arg3800z00_4448;
																																																									BgL_exprz00_20112
																																																										=
																																																										BgL_arg3801z00_4449;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_20112;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_20111;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20110);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8728z00_20114;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3811z00_4461;
																																																								BgL_arg3811z00_4461
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8728z00_20114
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg3811z00_4461));
																																																							}
																																																							if (BgL_test8728z00_20114)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20119;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20119);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd212250zd2_4452;
																																																									BgL_carzd212250zd2_4452
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd212255zd2_4453;
																																																										BgL_cdrzd212255zd2_4453
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd212250zd2_4452));
																																																										if ((CAR(((obj_t) BgL_carzd212250zd2_4452)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3806z00_4456;
																																																												obj_t
																																																													BgL_arg3807z00_4457;
																																																												obj_t
																																																													BgL_arg3808z00_4458;
																																																												BgL_arg3806z00_4456
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd212255zd2_4453));
																																																												BgL_arg3807z00_4457
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd212255zd2_4453));
																																																												BgL_arg3808z00_4458
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20137;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_20140;
																																																														obj_t
																																																															BgL_bodyz00_20139;
																																																														obj_t
																																																															BgL_varsz00_20138;
																																																														BgL_varsz00_20138
																																																															=
																																																															BgL_arg3806z00_4456;
																																																														BgL_bodyz00_20139
																																																															=
																																																															BgL_arg3807z00_4457;
																																																														BgL_argsz00_20140
																																																															=
																																																															BgL_arg3808z00_4458;
																																																														BgL_argsz00_1824
																																																															=
																																																															BgL_argsz00_20140;
																																																														BgL_bodyz00_1823
																																																															=
																																																															BgL_bodyz00_20139;
																																																														BgL_varsz00_1822
																																																															=
																																																															BgL_varsz00_20138;
																																																														goto
																																																															BgL_tagzd2387zd2_1825;
																																																													}
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20137);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_20144;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_20144);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd212366zd2_4463;
																																																		BgL_cdrzd212366zd2_4463
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8731z00_20148;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3821z00_4472;
																																																				BgL_arg3821z00_4472
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8731z00_20148
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg3821z00_4472));
																																																			}
																																																			if (BgL_test8731z00_20148)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg3815z00_4466;
																																																					obj_t
																																																						BgL_arg3816z00_4467;
																																																					BgL_arg3815z00_4466
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212366zd2_4463));
																																																					BgL_arg3816z00_4467
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd212366zd2_4463));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20157;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_20159;
																																																							obj_t
																																																								BgL_bindingsz00_20158;
																																																							BgL_bindingsz00_20158
																																																								=
																																																								BgL_arg3815z00_4466;
																																																							BgL_exprz00_20159
																																																								=
																																																								BgL_arg3816z00_4467;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_20159;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_20158;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20157);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8732z00_20161;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg3820z00_4471;
																																																						BgL_arg3820z00_4471
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8732z00_20161
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg3820z00_4471));
																																																					}
																																																					if (BgL_test8732z00_20161)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20166;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20166);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1859;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_20170;
																																																									goto
																																																										BgL_tagzd2405zd2_1860;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20170);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210931zd2_4202)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd210933zd2_4204;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd210931zd2_4202 == ((obj_t) CNST_TABLE_REF(19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd210933zd2_4204;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd210931zd2_4202 == ((obj_t) CNST_TABLE_REF(20))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd210933zd2_4204;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd210931zd2_4202)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd210933zd2_4204;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd212538zd2_4207;
																																																								BgL_cdrzd212538zd2_4207
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8738z00_20188;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3721z00_4324;
																																																										BgL_arg3721z00_4324
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8738z00_20188
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg3721z00_4324));
																																																									}
																																																									if (BgL_test8738z00_20188)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg3649z00_4210;
																																																											obj_t
																																																												BgL_arg3650z00_4211;
																																																											BgL_arg3649z00_4210
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd212538zd2_4207));
																																																											BgL_arg3650z00_4211
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd212538zd2_4207));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_20197;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_20199;
																																																													obj_t
																																																														BgL_bindingsz00_20198;
																																																													BgL_bindingsz00_20198
																																																														=
																																																														BgL_arg3649z00_4210;
																																																													BgL_exprz00_20199
																																																														=
																																																														BgL_arg3650z00_4211;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_20199;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_20198;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_20197);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test8739z00_20201;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3720z00_4323;
																																																												BgL_arg3720z00_4323
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test8739z00_20201
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg3720z00_4323));
																																																											}
																																																											if (BgL_test8739z00_20201)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_20206;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20206);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd212604zd2_4214;
																																																													BgL_carzd212604zd2_4214
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd212609zd2_4215;
																																																														BgL_cdrzd212609zd2_4215
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd212604zd2_4214));
																																																														if ((CAR(((obj_t) BgL_carzd212604zd2_4214)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd212609zd2_4215))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg3656z00_4219;
																																																																		obj_t
																																																																			BgL_arg3657z00_4220;
																																																																		obj_t
																																																																			BgL_arg3658z00_4221;
																																																																		BgL_arg3656z00_4219
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd212609zd2_4215);
																																																																		BgL_arg3657z00_4220
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd212609zd2_4215);
																																																																		BgL_arg3658z00_4221
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20224;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_20227;
																																																																				obj_t
																																																																					BgL_bodyz00_20226;
																																																																				obj_t
																																																																					BgL_varsz00_20225;
																																																																				BgL_varsz00_20225
																																																																					=
																																																																					BgL_arg3656z00_4219;
																																																																				BgL_bodyz00_20226
																																																																					=
																																																																					BgL_arg3657z00_4220;
																																																																				BgL_argsz00_20227
																																																																					=
																																																																					BgL_arg3658z00_4221;
																																																																				BgL_argsz00_1824
																																																																					=
																																																																					BgL_argsz00_20227;
																																																																				BgL_bodyz00_1823
																																																																					=
																																																																					BgL_bodyz00_20226;
																																																																				BgL_varsz00_1822
																																																																					=
																																																																					BgL_varsz00_20225;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1825;
																																																																			}
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20224);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_20231;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_20231);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd212716zd2_4224;
																																																																BgL_cdrzd212716zd2_4224
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd212721zd2_4225;
																																																																	BgL_cdrzd212721zd2_4225
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd212604zd2_4214));
																																																																	if ((CAR(((obj_t) BgL_carzd212604zd2_4214)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd212721zd2_4225))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd212726zd2_4229;
																																																																					BgL_cdrzd212726zd2_4229
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd212721zd2_4225);
																																																																					if (PAIRP(BgL_cdrzd212726zd2_4229))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd212730zd2_4231;
																																																																							obj_t
																																																																								BgL_cdrzd212731zd2_4232;
																																																																							BgL_carzd212730zd2_4231
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd212726zd2_4229);
																																																																							BgL_cdrzd212731zd2_4232
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd212726zd2_4229);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212730zd2_4231))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd212731zd2_4232))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd212736zd2_4235;
																																																																											BgL_carzd212736zd2_4235
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd212731zd2_4232);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212736zd2_4235))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd212731zd2_4232)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8750z00_20260;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1339z00_4268;
																																																																																BgL_l1339z00_4268
																																																																																	=
																																																																																	BgL_cdrzd212716zd2_4224;
																																																																															BgL_zc3z04anonymousza33684ze3z87_4269:
																																																																																if (NULLP(BgL_l1339z00_4268))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8750z00_20260
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test8752z00_20263;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test8753z00_20264;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_20265;
																																																																																				BgL_tmpz00_20265
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1339z00_4268));
																																																																																				BgL_test8753z00_20264
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_20265);
																																																																																			}
																																																																																			if (BgL_test8753z00_20264)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8752z00_20263
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test8752z00_20263
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test8752z00_20263)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1339z00_20269;
																																																																																				BgL_l1339z00_20269
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1339z00_4268));
																																																																																				BgL_l1339z00_4268
																																																																																					=
																																																																																					BgL_l1339z00_20269;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza33684ze3z87_4269;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test8750z00_20260
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test8750z00_20260)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3674z00_4251;
																																																																																	BgL_arg3674z00_4251
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd212721zd2_4225);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20273;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20277;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20276;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20275;
																																																																																			obj_t
																																																																																				BgL_testz00_20274;
																																																																																			BgL_testz00_20274
																																																																																				=
																																																																																				BgL_arg3674z00_4251;
																																																																																			BgL_proc1z00_20275
																																																																																				=
																																																																																				BgL_carzd212730zd2_4231;
																																																																																			BgL_proc2z00_20276
																																																																																				=
																																																																																				BgL_carzd212736zd2_4235;
																																																																																			BgL_argsz00_20277
																																																																																				=
																																																																																				BgL_cdrzd212716zd2_4224;
																																																																																			BgL_argsz00_1829
																																																																																				=
																																																																																				BgL_argsz00_20277;
																																																																																			BgL_proc2z00_1828
																																																																																				=
																																																																																				BgL_proc2z00_20276;
																																																																																			BgL_proc1z00_1827
																																																																																				=
																																																																																				BgL_proc1z00_20275;
																																																																																			BgL_testz00_1826
																																																																																				=
																																																																																				BgL_testz00_20274;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1830;
																																																																																		}
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20273);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd212761zd2_4252;
																																																																																	BgL_cdrzd212761zd2_4252
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd212769zd2_4253;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_12038;
																																																																																			BgL_pairz00_12038
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd212769zd2_4253
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_12038);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd212777zd2_4254;
																																																																																			BgL_cdrzd212777zd2_4254
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd212769zd2_4253));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd212784zd2_4255;
																																																																																				BgL_carzd212784zd2_4255
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd212777zd2_4254));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212784zd2_4255))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd212793zd2_4257;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_12042;
																																																																																							BgL_pairz00_12042
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd212777zd2_4254));
																																																																																							BgL_carzd212793zd2_4257
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_12042);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd212793zd2_4257))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd212761zd2_4252))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg3678z00_4260;
																																																																																										BgL_arg3678z00_4260
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd212769zd2_4253));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_20299;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_20303;
																																																																																												obj_t
																																																																																													BgL_proc2z00_20302;
																																																																																												obj_t
																																																																																													BgL_proc1z00_20301;
																																																																																												obj_t
																																																																																													BgL_testz00_20300;
																																																																																												BgL_testz00_20300
																																																																																													=
																																																																																													BgL_arg3678z00_4260;
																																																																																												BgL_proc1z00_20301
																																																																																													=
																																																																																													BgL_carzd212784zd2_4255;
																																																																																												BgL_proc2z00_20302
																																																																																													=
																																																																																													BgL_carzd212793zd2_4257;
																																																																																												BgL_argsz00_20303
																																																																																													=
																																																																																													BgL_cdrzd212761zd2_4252;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_20303;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_20302;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_20301;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_20300;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_16356
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_20299);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_20307;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_16356
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_20307);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20311;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20311);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20315;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20315);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20319;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20319);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd213071zd2_4279;
																																																																													BgL_cdrzd213071zd2_4279
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd213078zd2_4280;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12046;
																																																																															BgL_pairz00_12046
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd213078zd2_4280
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12046);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd213085zd2_4281;
																																																																															BgL_cdrzd213085zd2_4281
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd213078zd2_4280));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd213091zd2_4282;
																																																																																obj_t
																																																																																	BgL_cdrzd213092zd2_4283;
																																																																																BgL_carzd213091zd2_4282
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd213085zd2_4281));
																																																																																BgL_cdrzd213092zd2_4283
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd213085zd2_4281));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213091zd2_4282))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd213099zd2_4285;
																																																																																		BgL_carzd213099zd2_4285
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd213092zd2_4283));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213099zd2_4285))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd213092zd2_4283))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213071zd2_4279))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3693z00_4290;
																																																																																								BgL_arg3693z00_4290
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd213078zd2_4280));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_20346;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_20350;
																																																																																										obj_t
																																																																																											BgL_proc2z00_20349;
																																																																																										obj_t
																																																																																											BgL_proc1z00_20348;
																																																																																										obj_t
																																																																																											BgL_testz00_20347;
																																																																																										BgL_testz00_20347
																																																																																											=
																																																																																											BgL_arg3693z00_4290;
																																																																																										BgL_proc1z00_20348
																																																																																											=
																																																																																											BgL_carzd213091zd2_4282;
																																																																																										BgL_proc2z00_20349
																																																																																											=
																																																																																											BgL_carzd213099zd2_4285;
																																																																																										BgL_argsz00_20350
																																																																																											=
																																																																																											BgL_cdrzd213071zd2_4279;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_20350;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_20349;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_20348;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_20347;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_20346);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_20354;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_20354);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20358;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20358);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20362;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20362);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20366;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20366);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20370;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20370);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd213432zd2_4298;
																																																																									BgL_cdrzd213432zd2_4298
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd213438zd2_4299;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12055;
																																																																											BgL_pairz00_12055
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd213438zd2_4299
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12055);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd213444zd2_4300;
																																																																											BgL_cdrzd213444zd2_4300
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd213438zd2_4299));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd213449zd2_4301;
																																																																												obj_t
																																																																													BgL_cdrzd213450zd2_4302;
																																																																												BgL_carzd213449zd2_4301
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd213444zd2_4300));
																																																																												BgL_cdrzd213450zd2_4302
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd213444zd2_4300));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213449zd2_4301))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd213450zd2_4302))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd213455zd2_4305;
																																																																																BgL_carzd213455zd2_4305
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd213450zd2_4302);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd213455zd2_4305))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd213450zd2_4302)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd213432zd2_4298))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3707z00_4310;
																																																																																						BgL_arg3707z00_4310
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd213438zd2_4299));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_20397;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_20401;
																																																																																								obj_t
																																																																																									BgL_proc2z00_20400;
																																																																																								obj_t
																																																																																									BgL_proc1z00_20399;
																																																																																								obj_t
																																																																																									BgL_testz00_20398;
																																																																																								BgL_testz00_20398
																																																																																									=
																																																																																									BgL_arg3707z00_4310;
																																																																																								BgL_proc1z00_20399
																																																																																									=
																																																																																									BgL_carzd213449zd2_4301;
																																																																																								BgL_proc2z00_20400
																																																																																									=
																																																																																									BgL_carzd213455zd2_4305;
																																																																																								BgL_argsz00_20401
																																																																																									=
																																																																																									BgL_cdrzd213432zd2_4298;
																																																																																								BgL_argsz00_1834
																																																																																									=
																																																																																									BgL_argsz00_20401;
																																																																																								BgL_proc2z00_1833
																																																																																									=
																																																																																									BgL_proc2z00_20400;
																																																																																								BgL_proc1z00_1832
																																																																																									=
																																																																																									BgL_proc1z00_20399;
																																																																																								BgL_testz00_1831
																																																																																									=
																																																																																									BgL_testz00_20398;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1835;
																																																																																							}
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_20397);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_20405;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_20405);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_20409;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_20409);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20413;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20413);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20417;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20417);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20421;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20421);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20425;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20425);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20429;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20429);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_20433;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_20433);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd213993zd2_4474;
																																													BgL_cdrzd213993zd2_4474
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((BgL_carzd210928zd2_4200 == ((obj_t) CNST_TABLE_REF(18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg3822z00_4475;
																																															obj_t
																																																BgL_arg3823z00_4476;
																																															BgL_arg3822z00_4475
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd213993zd2_4474));
																																															BgL_arg3823z00_4476
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd213993zd2_4474));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_20445;
																																																{
																																																	obj_t
																																																		BgL_exprz00_20447;
																																																	obj_t
																																																		BgL_bindingsz00_20446;
																																																	BgL_bindingsz00_20446
																																																		=
																																																		BgL_arg3822z00_4475;
																																																	BgL_exprz00_20447
																																																		=
																																																		BgL_arg3823z00_4476;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_20447;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_20446;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_16356
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_20445);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd210928zd2_4200)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg3825z00_4478;
																																																	obj_t
																																																		BgL_arg3826z00_4479;
																																																	BgL_arg3825z00_4478
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd213993zd2_4474));
																																																	BgL_arg3826z00_4479
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd213993zd2_4474));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_20456;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_20458;
																																																			obj_t
																																																				BgL_bindingsz00_20457;
																																																			BgL_bindingsz00_20457
																																																				=
																																																				BgL_arg3825z00_4478;
																																																			BgL_exprz00_20458
																																																				=
																																																				BgL_arg3826z00_4479;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_20458;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_20457;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_20456);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd210928zd2_4200 == ((obj_t) CNST_TABLE_REF(19))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg3827z00_4480;
																																																			obj_t
																																																				BgL_arg3828z00_4481;
																																																			BgL_arg3827z00_4480
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd213993zd2_4474));
																																																			BgL_arg3828z00_4481
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd213993zd2_4474));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_20468;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_20470;
																																																					obj_t
																																																						BgL_bindingsz00_20469;
																																																					BgL_bindingsz00_20469
																																																						=
																																																						BgL_arg3827z00_4480;
																																																					BgL_exprz00_20470
																																																						=
																																																						BgL_arg3828z00_4481;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_20470;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_20469;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_20468);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20478;
																																																					goto
																																																						BgL_tagzd2384zd2_1816;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20478);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd214030zd2_4484;
																																																					BgL_carzd214030zd2_4484
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd214030zd2_4484 == ((obj_t) CNST_TABLE_REF(20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20486;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20486);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214030zd2_4484)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20491;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20491);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20499;
																																																											goto
																																																												BgL_tagzd2390zd2_1836;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20499);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20507;
																																																													goto
																																																														BgL_tagzd2391zd2_1837;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20507);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd214110zd2_4490;
																																																													BgL_cdrzd214110zd2_4490
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg3838z00_4493;
																																																															obj_t
																																																																BgL_arg3839z00_4494;
																																																															BgL_arg3838z00_4493
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd214110zd2_4490));
																																																															BgL_arg3839z00_4494
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd214110zd2_4490));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_20521;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_20523;
																																																																	obj_t
																																																																		BgL_effectz00_20522;
																																																																	BgL_effectz00_20522
																																																																		=
																																																																		BgL_arg3838z00_4493;
																																																																	BgL_restz00_20523
																																																																		=
																																																																		BgL_arg3839z00_4494;
																																																																	BgL_restz00_1839
																																																																		=
																																																																		BgL_restz00_20523;
																																																																	BgL_effectz00_1838
																																																																		=
																																																																		BgL_effectz00_20522;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1840;
																																																																}
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_20521);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20531;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1841;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20531);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_20539;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1842;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_20539);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg3846z00_4502;
																																																																					obj_t
																																																																						BgL_arg3847z00_4503;
																																																																					BgL_arg3846z00_4502
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd214110zd2_4490));
																																																																					BgL_arg3847z00_4503
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd214110zd2_4490));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20551;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_20553;
																																																																							obj_t
																																																																								BgL_effectz00_20552;
																																																																							BgL_effectz00_20552
																																																																								=
																																																																								BgL_arg3846z00_4502;
																																																																							BgL_restz00_20553
																																																																								=
																																																																								BgL_arg3847z00_4503;
																																																																							BgL_restz00_1844
																																																																								=
																																																																								BgL_restz00_20553;
																																																																							BgL_effectz00_1843
																																																																								=
																																																																								BgL_effectz00_20552;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1845;
																																																																						}
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20551);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_20561;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1846;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_20561);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20569;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1847;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20569);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_20577;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1848;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20577);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_20585;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1849;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20585);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test8800z00_20593;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_20594;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12091;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12090;
																																																																																		BgL_pairz00_12090
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_pairz00_12091
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_12090);
																																																																																	}
																																																																																	BgL_tmpz00_20594
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12091);
																																																																																}
																																																																																BgL_test8800z00_20593
																																																																																	=
																																																																																	NULLP
																																																																																	(BgL_tmpz00_20594);
																																																																															}
																																																																															if (BgL_test8800z00_20593)
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20600;
																																																																																BgL_tagzd2400zd2_1850:
																																																																																	BgL_auxz00_20600 = BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20600);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20605;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20605);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd214203zd2_4522;
																																																																															BgL_cdrzd214203zd2_4522
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg3868z00_4525;
																																																																																	obj_t
																																																																																		BgL_arg3869z00_4526;
																																																																																	BgL_arg3868z00_4525
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214203zd2_4522));
																																																																																	BgL_arg3869z00_4526
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214203zd2_4522));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7648z00_12096;
																																																																																		BgL_arg7648z00_12096
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg3868z00_4525,
																																																																																				((obj_t) CNST_TABLE_REF(4)), BgL_arg3869z00_4526, BgL_stackz00_22, BgL_arg7648z00_12096, BgL_sitez00_24));
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20626;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20626);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd214228zd2_4544;
																															BgL_carzd214228zd2_4544
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd214228zd2_4544
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_20634;
																																	goto
																																		BgL_tagzd2377zd2_1801;
																																	BgL_auxz00_16356
																																		=
																																		((obj_t)
																																		BgL_auxz00_20634);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd214228zd2_4544
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_20638;
																																			goto
																																				BgL_tagzd2377zd2_1801;
																																			BgL_auxz00_16356
																																				=
																																				((obj_t)
																																				BgL_auxz00_20638);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd214250zd2_4546;
																																			BgL_cdrzd214250zd2_4546
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					((obj_t) CNST_TABLE_REF(7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd214253zd2_4549;
																																					obj_t
																																						BgL_cdrzd214254zd2_4550;
																																					BgL_carzd214253zd2_4549
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd214250zd2_4546));
																																					BgL_cdrzd214254zd2_4550
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd214250zd2_4546));
																																					if (PAIRP(BgL_carzd214253zd2_4549))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd214253zd2_4549) == ((obj_t) CNST_TABLE_REF(14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd214254zd2_4550))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg3895z00_4556;
																																											obj_t
																																												BgL_arg3896z00_4557;
																																											BgL_arg3895z00_4556
																																												=
																																												CDR
																																												(BgL_carzd214253zd2_4549);
																																											BgL_arg3896z00_4557
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd214254zd2_4550));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_20666;
																																												{
																																													obj_t
																																														BgL_valz00_20668;
																																													obj_t
																																														BgL_lz00_20667;
																																													BgL_lz00_20667
																																														=
																																														BgL_arg3895z00_4556;
																																													BgL_valz00_20668
																																														=
																																														BgL_arg3896z00_4557;
																																													BgL_valz00_1803
																																														=
																																														BgL_valz00_20668;
																																													BgL_lz00_1802
																																														=
																																														BgL_lz00_20667;
																																													goto
																																														BgL_tagzd2378zd2_1804;
																																												}
																																												BgL_auxz00_16356
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_20666);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_20670;
																																											goto
																																												BgL_tagzd2379zd2_1805;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_20670);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_20672;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_20672);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20674;
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20674);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_20682;
																																							goto
																																								BgL_tagzd2380zd2_1806;
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_20682);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg3903z00_4565;
																																									obj_t
																																										BgL_arg3904z00_4566;
																																									BgL_arg3903z00_4565
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd214250zd2_4546));
																																									BgL_arg3904z00_4566
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd214250zd2_4546));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_20694;
																																										{
																																											obj_t
																																												BgL_exprz00_20696;
																																											obj_t
																																												BgL_bindingsz00_20695;
																																											BgL_bindingsz00_20695
																																												=
																																												BgL_arg3903z00_4565;
																																											BgL_exprz00_20696
																																												=
																																												BgL_arg3904z00_4566;
																																											BgL_exprz00_1808
																																												=
																																												BgL_exprz00_20696;
																																											BgL_bindingsz00_1807
																																												=
																																												BgL_bindingsz00_20695;
																																											goto
																																												BgL_tagzd2381zd2_1809;
																																										}
																																										BgL_auxz00_16356
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_20694);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd214378zd2_4567;
																																									BgL_carzd214378zd2_4567
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd214378zd2_4567))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd214381zd2_4569;
																																											obj_t
																																												BgL_cdrzd214382zd2_4570;
																																											BgL_carzd214381zd2_4569
																																												=
																																												CAR
																																												(BgL_carzd214378zd2_4567);
																																											BgL_cdrzd214382zd2_4570
																																												=
																																												CDR
																																												(BgL_carzd214378zd2_4567);
																																											{

																																												if ((BgL_carzd214381zd2_4569 == ((obj_t) CNST_TABLE_REF(18))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd214383zd2_4571:
																																														if (PAIRP(BgL_cdrzd214382zd2_4570))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd214386zd2_4693;
																																																BgL_cdrzd214386zd2_4693
																																																	=
																																																	CDR
																																																	(BgL_cdrzd214382zd2_4570);
																																																if (PAIRP(BgL_cdrzd214386zd2_4693))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd214386zd2_4693)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg3987z00_4697;
																																																				obj_t
																																																					BgL_arg3988z00_4698;
																																																				BgL_arg3987z00_4697
																																																					=
																																																					CAR
																																																					(BgL_cdrzd214386zd2_4693);
																																																				BgL_arg3988z00_4698
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_20719;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_20721;
																																																						obj_t
																																																							BgL_bodyz00_20720;
																																																						BgL_bodyz00_20720
																																																							=
																																																							BgL_arg3987z00_4697;
																																																						BgL_argsz00_20721
																																																							=
																																																							BgL_arg3988z00_4698;
																																																						BgL_argsz00_1811
																																																							=
																																																							BgL_argsz00_20721;
																																																						BgL_bodyz00_1810
																																																							=
																																																							BgL_bodyz00_20720;
																																																						goto
																																																							BgL_tagzd2382zd2_1812;
																																																					}
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_20719);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd214410zd2_4699;
																																																				BgL_cdrzd214410zd2_4699
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8817z00_20725;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4058z00_4810;
																																																						BgL_arg4058z00_4810
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8817z00_20725
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg4058z00_4810));
																																																					}
																																																					if (BgL_test8817z00_20725)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg3991z00_4702;
																																																							obj_t
																																																								BgL_arg3992z00_4703;
																																																							BgL_arg3991z00_4702
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd214410zd2_4699));
																																																							BgL_arg3992z00_4703
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd214410zd2_4699));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_20734;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_20736;
																																																									obj_t
																																																										BgL_bindingsz00_20735;
																																																									BgL_bindingsz00_20735
																																																										=
																																																										BgL_arg3991z00_4702;
																																																									BgL_exprz00_20736
																																																										=
																																																										BgL_arg3992z00_4703;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_20736;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_20735;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_20734);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8818z00_20738;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4057z00_4809;
																																																								BgL_arg4057z00_4809
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8818z00_20738
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg4057z00_4809));
																																																							}
																																																							if (BgL_test8818z00_20738)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_20743;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_20743);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd214477zd2_4706;
																																																									BgL_carzd214477zd2_4706
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd214482zd2_4707;
																																																										BgL_cdrzd214482zd2_4707
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd214477zd2_4706));
																																																										if ((CAR(((obj_t) BgL_carzd214477zd2_4706)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg3997z00_4710;
																																																												obj_t
																																																													BgL_arg3998z00_4711;
																																																												obj_t
																																																													BgL_arg3999z00_4712;
																																																												BgL_arg3997z00_4710
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd214482zd2_4707));
																																																												BgL_arg3998z00_4711
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd214482zd2_4707));
																																																												BgL_arg3999z00_4712
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_20761;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_20764;
																																																														obj_t
																																																															BgL_bodyz00_20763;
																																																														obj_t
																																																															BgL_varsz00_20762;
																																																														BgL_varsz00_20762
																																																															=
																																																															BgL_arg3997z00_4710;
																																																														BgL_bodyz00_20763
																																																															=
																																																															BgL_arg3998z00_4711;
																																																														BgL_argsz00_20764
																																																															=
																																																															BgL_arg3999z00_4712;
																																																														BgL_argsz00_1824
																																																															=
																																																															BgL_argsz00_20764;
																																																														BgL_bodyz00_1823
																																																															=
																																																															BgL_bodyz00_20763;
																																																														BgL_varsz00_1822
																																																															=
																																																															BgL_varsz00_20762;
																																																														goto
																																																															BgL_tagzd2387zd2_1825;
																																																													}
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_20761);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd214505zd2_4714;
																																																												BgL_cdrzd214505zd2_4714
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd214511zd2_4715;
																																																													BgL_cdrzd214511zd2_4715
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd214477zd2_4706));
																																																													if ((CAR(((obj_t) BgL_carzd214477zd2_4706)) == ((obj_t) CNST_TABLE_REF(1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd214517zd2_4718;
																																																															BgL_cdrzd214517zd2_4718
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd214511zd2_4715));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd214522zd2_4719;
																																																																obj_t
																																																																	BgL_cdrzd214523zd2_4720;
																																																																BgL_carzd214522zd2_4719
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd214517zd2_4718));
																																																																BgL_cdrzd214523zd2_4720
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd214517zd2_4718));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214522zd2_4719))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd214523zd2_4720))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd214530zd2_4723;
																																																																				BgL_carzd214530zd2_4723
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd214523zd2_4720);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214530zd2_4723))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd214523zd2_4720)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test8825z00_20792;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1342z00_4756;
																																																																									BgL_l1342z00_4756
																																																																										=
																																																																										BgL_cdrzd214505zd2_4714;
																																																																								BgL_zc3z04anonymousza34023ze3z87_4757:
																																																																									if (NULLP(BgL_l1342z00_4756))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8825z00_20792
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test8827z00_20795;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test8828z00_20796;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_20797;
																																																																													BgL_tmpz00_20797
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1342z00_4756));
																																																																													BgL_test8828z00_20796
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_20797);
																																																																												}
																																																																												if (BgL_test8828z00_20796)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8827z00_20795
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test8827z00_20795
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test8827z00_20795)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1342z00_20801;
																																																																													BgL_l1342z00_20801
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1342z00_4756));
																																																																													BgL_l1342z00_4756
																																																																														=
																																																																														BgL_l1342z00_20801;
																																																																													goto
																																																																														BgL_zc3z04anonymousza34023ze3z87_4757;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test8825z00_20792
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test8825z00_20792)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4012z00_4739;
																																																																										BgL_arg4012z00_4739
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd214511zd2_4715));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20806;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_20810;
																																																																												obj_t
																																																																													BgL_proc2z00_20809;
																																																																												obj_t
																																																																													BgL_proc1z00_20808;
																																																																												obj_t
																																																																													BgL_testz00_20807;
																																																																												BgL_testz00_20807
																																																																													=
																																																																													BgL_arg4012z00_4739;
																																																																												BgL_proc1z00_20808
																																																																													=
																																																																													BgL_carzd214522zd2_4719;
																																																																												BgL_proc2z00_20809
																																																																													=
																																																																													BgL_carzd214530zd2_4723;
																																																																												BgL_argsz00_20810
																																																																													=
																																																																													BgL_cdrzd214505zd2_4714;
																																																																												BgL_argsz00_1829
																																																																													=
																																																																													BgL_argsz00_20810;
																																																																												BgL_proc2z00_1828
																																																																													=
																																																																													BgL_proc2z00_20809;
																																																																												BgL_proc1z00_1827
																																																																													=
																																																																													BgL_proc1z00_20808;
																																																																												BgL_testz00_1826
																																																																													=
																																																																													BgL_testz00_20807;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1830;
																																																																											}
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20806);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd214554zd2_4740;
																																																																										BgL_cdrzd214554zd2_4740
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd214561zd2_4741;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12143;
																																																																												BgL_pairz00_12143
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd214561zd2_4741
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_12143);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd214568zd2_4742;
																																																																												BgL_cdrzd214568zd2_4742
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd214561zd2_4741));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd214574zd2_4743;
																																																																													BgL_carzd214574zd2_4743
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd214568zd2_4742));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214574zd2_4743))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd214581zd2_4745;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12147;
																																																																																BgL_pairz00_12147
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd214568zd2_4742));
																																																																																BgL_carzd214581zd2_4745
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_12147);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214581zd2_4745))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214554zd2_4740))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg4016z00_4748;
																																																																																			BgL_arg4016z00_4748
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd214561zd2_4741));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_20832;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_20836;
																																																																																					obj_t
																																																																																						BgL_proc2z00_20835;
																																																																																					obj_t
																																																																																						BgL_proc1z00_20834;
																																																																																					obj_t
																																																																																						BgL_testz00_20833;
																																																																																					BgL_testz00_20833
																																																																																						=
																																																																																						BgL_arg4016z00_4748;
																																																																																					BgL_proc1z00_20834
																																																																																						=
																																																																																						BgL_carzd214574zd2_4743;
																																																																																					BgL_proc2z00_20835
																																																																																						=
																																																																																						BgL_carzd214581zd2_4745;
																																																																																					BgL_argsz00_20836
																																																																																						=
																																																																																						BgL_cdrzd214554zd2_4740;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_20836;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_20835;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_20834;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_20833;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_20832);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_20840;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_20840);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20844;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20844);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20848;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20848);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_20852;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_20852);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd214857zd2_4767;
																																																																						BgL_cdrzd214857zd2_4767
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd214863zd2_4768;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12151;
																																																																								BgL_pairz00_12151
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd214863zd2_4768
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12151);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd214869zd2_4769;
																																																																								BgL_cdrzd214869zd2_4769
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd214863zd2_4768));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd214874zd2_4770;
																																																																									obj_t
																																																																										BgL_cdrzd214875zd2_4771;
																																																																									BgL_carzd214874zd2_4770
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214869zd2_4769));
																																																																									BgL_cdrzd214875zd2_4771
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd214869zd2_4769));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214874zd2_4770))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd214880zd2_4773;
																																																																											BgL_carzd214880zd2_4773
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd214875zd2_4771));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd214880zd2_4773))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd214875zd2_4771))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd214857zd2_4767))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4032z00_4778;
																																																																																	BgL_arg4032z00_4778
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd214863zd2_4768));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_20879;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_20883;
																																																																																			obj_t
																																																																																				BgL_proc2z00_20882;
																																																																																			obj_t
																																																																																				BgL_proc1z00_20881;
																																																																																			obj_t
																																																																																				BgL_testz00_20880;
																																																																																			BgL_testz00_20880
																																																																																				=
																																																																																				BgL_arg4032z00_4778;
																																																																																			BgL_proc1z00_20881
																																																																																				=
																																																																																				BgL_carzd214874zd2_4770;
																																																																																			BgL_proc2z00_20882
																																																																																				=
																																																																																				BgL_carzd214880zd2_4773;
																																																																																			BgL_argsz00_20883
																																																																																				=
																																																																																				BgL_cdrzd214857zd2_4767;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_20883;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_20882;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_20881;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_20880;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_20879);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_20887;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_20887);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20891;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20891);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20895;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20895);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20899;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20899);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_20903;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_20903);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd215213zd2_4786;
																																																																		BgL_cdrzd215213zd2_4786
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd215220zd2_4787;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12160;
																																																																				BgL_pairz00_12160
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd215220zd2_4787
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12160);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd215227zd2_4788;
																																																																				BgL_cdrzd215227zd2_4788
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd215220zd2_4787));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd215233zd2_4789;
																																																																					obj_t
																																																																						BgL_cdrzd215234zd2_4790;
																																																																					BgL_carzd215233zd2_4789
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd215227zd2_4788));
																																																																					BgL_cdrzd215234zd2_4790
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd215227zd2_4788));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215233zd2_4789))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd215234zd2_4790))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd215241zd2_4793;
																																																																									BgL_carzd215241zd2_4793
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd215234zd2_4790);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd215241zd2_4793))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd215234zd2_4790)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd215213zd2_4786))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4046z00_4798;
																																																																															BgL_arg4046z00_4798
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd215220zd2_4787));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_20930;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_20934;
																																																																																	obj_t
																																																																																		BgL_proc2z00_20933;
																																																																																	obj_t
																																																																																		BgL_proc1z00_20932;
																																																																																	obj_t
																																																																																		BgL_testz00_20931;
																																																																																	BgL_testz00_20931
																																																																																		=
																																																																																		BgL_arg4046z00_4798;
																																																																																	BgL_proc1z00_20932
																																																																																		=
																																																																																		BgL_carzd215233zd2_4789;
																																																																																	BgL_proc2z00_20933
																																																																																		=
																																																																																		BgL_carzd215241zd2_4793;
																																																																																	BgL_argsz00_20934
																																																																																		=
																																																																																		BgL_cdrzd215213zd2_4786;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_20934;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_20933;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_20932;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_20931;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_20930);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_20938;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_20938);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_20942;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_20942);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_20946;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_20946);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_20950;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_20950);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_20954;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_20954);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_20958;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_20958);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd215634zd2_4812;
																																																		BgL_cdrzd215634zd2_4812
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8856z00_20962;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4075z00_4829;
																																																				BgL_arg4075z00_4829
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8856z00_20962
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg4075z00_4829));
																																																			}
																																																			if (BgL_test8856z00_20962)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg4062z00_4815;
																																																					obj_t
																																																						BgL_arg4063z00_4816;
																																																					BgL_arg4062z00_4815
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd215634zd2_4812));
																																																					BgL_arg4063z00_4816
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd215634zd2_4812));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_20971;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_20973;
																																																							obj_t
																																																								BgL_bindingsz00_20972;
																																																							BgL_bindingsz00_20972
																																																								=
																																																								BgL_arg4062z00_4815;
																																																							BgL_exprz00_20973
																																																								=
																																																								BgL_arg4063z00_4816;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_20973;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_20972;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_20971);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8857z00_20975;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4074z00_4828;
																																																						BgL_arg4074z00_4828
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8857z00_20975
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg4074z00_4828));
																																																					}
																																																					if (BgL_test8857z00_20975)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_20980;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_20980);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd215700zd2_4819;
																																																							BgL_carzd215700zd2_4819
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd215705zd2_4820;
																																																								BgL_cdrzd215705zd2_4820
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd215700zd2_4819));
																																																								if ((CAR(((obj_t) BgL_carzd215700zd2_4819)) == ((obj_t) CNST_TABLE_REF(3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg4069z00_4823;
																																																										obj_t
																																																											BgL_arg4070z00_4824;
																																																										obj_t
																																																											BgL_arg4071z00_4825;
																																																										BgL_arg4069z00_4823
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd215705zd2_4820));
																																																										BgL_arg4070z00_4824
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd215705zd2_4820));
																																																										BgL_arg4071z00_4825
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_20998;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_21001;
																																																												obj_t
																																																													BgL_bodyz00_21000;
																																																												obj_t
																																																													BgL_varsz00_20999;
																																																												BgL_varsz00_20999
																																																													=
																																																													BgL_arg4069z00_4823;
																																																												BgL_bodyz00_21000
																																																													=
																																																													BgL_arg4070z00_4824;
																																																												BgL_argsz00_21001
																																																													=
																																																													BgL_arg4071z00_4825;
																																																												BgL_argsz00_1824
																																																													=
																																																													BgL_argsz00_21001;
																																																												BgL_bodyz00_1823
																																																													=
																																																													BgL_bodyz00_21000;
																																																												BgL_varsz00_1822
																																																													=
																																																													BgL_varsz00_20999;
																																																												goto
																																																													BgL_tagzd2387zd2_1825;
																																																											}
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_20998);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_21005;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_21005);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd215816zd2_4830;
																																																BgL_cdrzd215816zd2_4830
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8860z00_21009;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4085z00_4839;
																																																		BgL_arg4085z00_4839
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8860z00_21009
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg4085z00_4839));
																																																	}
																																																	if (BgL_test8860z00_21009)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4078z00_4833;
																																																			obj_t
																																																				BgL_arg4079z00_4834;
																																																			BgL_arg4078z00_4833
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd215816zd2_4830));
																																																			BgL_arg4079z00_4834
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd215816zd2_4830));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21018;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_21020;
																																																					obj_t
																																																						BgL_bindingsz00_21019;
																																																					BgL_bindingsz00_21019
																																																						=
																																																						BgL_arg4078z00_4833;
																																																					BgL_exprz00_21020
																																																						=
																																																						BgL_arg4079z00_4834;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_21020;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_21019;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21018);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8861z00_21022;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4083z00_4838;
																																																				BgL_arg4083z00_4838
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8861z00_21022
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg4083z00_4838));
																																																			}
																																																			if (BgL_test8861z00_21022)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21027;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21027);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1859;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_21031;
																																																							goto
																																																								BgL_tagzd2405zd2_1860;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21031);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214381zd2_4569)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd214383zd2_4571;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd214381zd2_4569 == ((obj_t) CNST_TABLE_REF(19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd214383zd2_4571;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd214381zd2_4569 == ((obj_t) CNST_TABLE_REF(20))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd214383zd2_4571;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd214381zd2_4569)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd214383zd2_4571;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd215988zd2_4574;
																																																						BgL_cdrzd215988zd2_4574
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8867z00_21049;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg3982z00_4691;
																																																								BgL_arg3982z00_4691
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8867z00_21049
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg3982z00_4691));
																																																							}
																																																							if (BgL_test8867z00_21049)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg3910z00_4577;
																																																									obj_t
																																																										BgL_arg3911z00_4578;
																																																									BgL_arg3910z00_4577
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd215988zd2_4574));
																																																									BgL_arg3911z00_4578
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd215988zd2_4574));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21058;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_21060;
																																																											obj_t
																																																												BgL_bindingsz00_21059;
																																																											BgL_bindingsz00_21059
																																																												=
																																																												BgL_arg3910z00_4577;
																																																											BgL_exprz00_21060
																																																												=
																																																												BgL_arg3911z00_4578;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_21060;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_21059;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21058);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test8868z00_21062;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg3981z00_4690;
																																																										BgL_arg3981z00_4690
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test8868z00_21062
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg3981z00_4690));
																																																									}
																																																									if (BgL_test8868z00_21062)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_21067;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21067);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd216054zd2_4581;
																																																											BgL_carzd216054zd2_4581
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd216059zd2_4582;
																																																												BgL_cdrzd216059zd2_4582
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd216054zd2_4581));
																																																												if ((CAR(((obj_t) BgL_carzd216054zd2_4581)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd216059zd2_4582))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg3917z00_4586;
																																																																obj_t
																																																																	BgL_arg3918z00_4587;
																																																																obj_t
																																																																	BgL_arg3919z00_4588;
																																																																BgL_arg3917z00_4586
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd216059zd2_4582);
																																																																BgL_arg3918z00_4587
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd216059zd2_4582);
																																																																BgL_arg3919z00_4588
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21085;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_21088;
																																																																		obj_t
																																																																			BgL_bodyz00_21087;
																																																																		obj_t
																																																																			BgL_varsz00_21086;
																																																																		BgL_varsz00_21086
																																																																			=
																																																																			BgL_arg3917z00_4586;
																																																																		BgL_bodyz00_21087
																																																																			=
																																																																			BgL_arg3918z00_4587;
																																																																		BgL_argsz00_21088
																																																																			=
																																																																			BgL_arg3919z00_4588;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_21088;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_21087;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_21086;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21085);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_21092;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_21092);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd216166zd2_4591;
																																																														BgL_cdrzd216166zd2_4591
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd216171zd2_4592;
																																																															BgL_cdrzd216171zd2_4592
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd216054zd2_4581));
																																																															if ((CAR(((obj_t) BgL_carzd216054zd2_4581)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd216171zd2_4592))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd216176zd2_4596;
																																																																			BgL_cdrzd216176zd2_4596
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd216171zd2_4592);
																																																																			if (PAIRP(BgL_cdrzd216176zd2_4596))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd216180zd2_4598;
																																																																					obj_t
																																																																						BgL_cdrzd216181zd2_4599;
																																																																					BgL_carzd216180zd2_4598
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd216176zd2_4596);
																																																																					BgL_cdrzd216181zd2_4599
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd216176zd2_4596);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216180zd2_4598))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd216181zd2_4599))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd216186zd2_4602;
																																																																									BgL_carzd216186zd2_4602
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd216181zd2_4599);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216186zd2_4602))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd216181zd2_4599)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8879z00_21121;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1345z00_4635;
																																																																														BgL_l1345z00_4635
																																																																															=
																																																																															BgL_cdrzd216166zd2_4591;
																																																																													BgL_zc3z04anonymousza33945ze3z87_4636:
																																																																														if (NULLP(BgL_l1345z00_4635))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test8879z00_21121
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test8881z00_21124;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test8882z00_21125;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_21126;
																																																																																		BgL_tmpz00_21126
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1345z00_4635));
																																																																																		BgL_test8882z00_21125
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_21126);
																																																																																	}
																																																																																	if (BgL_test8882z00_21125)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8881z00_21124
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test8881z00_21124
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test8881z00_21124)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1345z00_21130;
																																																																																		BgL_l1345z00_21130
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1345z00_4635));
																																																																																		BgL_l1345z00_4635
																																																																																			=
																																																																																			BgL_l1345z00_21130;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza33945ze3z87_4636;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test8879z00_21121
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test8879z00_21121)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg3935z00_4618;
																																																																															BgL_arg3935z00_4618
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd216171zd2_4592);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21134;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21138;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21137;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21136;
																																																																																	obj_t
																																																																																		BgL_testz00_21135;
																																																																																	BgL_testz00_21135
																																																																																		=
																																																																																		BgL_arg3935z00_4618;
																																																																																	BgL_proc1z00_21136
																																																																																		=
																																																																																		BgL_carzd216180zd2_4598;
																																																																																	BgL_proc2z00_21137
																																																																																		=
																																																																																		BgL_carzd216186zd2_4602;
																																																																																	BgL_argsz00_21138
																																																																																		=
																																																																																		BgL_cdrzd216166zd2_4591;
																																																																																	BgL_argsz00_1829
																																																																																		=
																																																																																		BgL_argsz00_21138;
																																																																																	BgL_proc2z00_1828
																																																																																		=
																																																																																		BgL_proc2z00_21137;
																																																																																	BgL_proc1z00_1827
																																																																																		=
																																																																																		BgL_proc1z00_21136;
																																																																																	BgL_testz00_1826
																																																																																		=
																																																																																		BgL_testz00_21135;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1830;
																																																																																}
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21134);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd216211zd2_4619;
																																																																															BgL_cdrzd216211zd2_4619
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd216219zd2_4620;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_12208;
																																																																																	BgL_pairz00_12208
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd216219zd2_4620
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_12208);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd216227zd2_4621;
																																																																																	BgL_cdrzd216227zd2_4621
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd216219zd2_4620));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd216234zd2_4622;
																																																																																		BgL_carzd216234zd2_4622
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd216227zd2_4621));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216234zd2_4622))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd216243zd2_4624;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_12212;
																																																																																					BgL_pairz00_12212
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd216227zd2_4621));
																																																																																					BgL_carzd216243zd2_4624
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_12212);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216243zd2_4624))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216211zd2_4619))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg3939z00_4627;
																																																																																								BgL_arg3939z00_4627
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd216219zd2_4620));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_21160;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_21164;
																																																																																										obj_t
																																																																																											BgL_proc2z00_21163;
																																																																																										obj_t
																																																																																											BgL_proc1z00_21162;
																																																																																										obj_t
																																																																																											BgL_testz00_21161;
																																																																																										BgL_testz00_21161
																																																																																											=
																																																																																											BgL_arg3939z00_4627;
																																																																																										BgL_proc1z00_21162
																																																																																											=
																																																																																											BgL_carzd216234zd2_4622;
																																																																																										BgL_proc2z00_21163
																																																																																											=
																																																																																											BgL_carzd216243zd2_4624;
																																																																																										BgL_argsz00_21164
																																																																																											=
																																																																																											BgL_cdrzd216211zd2_4619;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_21164;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_21163;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_21162;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_21161;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_16356
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_21160);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_21168;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_16356
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_21168);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_21172;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_21172);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_21176;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_21176);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21180;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21180);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd216521zd2_4646;
																																																																											BgL_cdrzd216521zd2_4646
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd216528zd2_4647;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12216;
																																																																													BgL_pairz00_12216
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd216528zd2_4647
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12216);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd216535zd2_4648;
																																																																													BgL_cdrzd216535zd2_4648
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd216528zd2_4647));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd216541zd2_4649;
																																																																														obj_t
																																																																															BgL_cdrzd216542zd2_4650;
																																																																														BgL_carzd216541zd2_4649
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216535zd2_4648));
																																																																														BgL_cdrzd216542zd2_4650
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd216535zd2_4648));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216541zd2_4649))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd216549zd2_4652;
																																																																																BgL_carzd216549zd2_4652
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd216542zd2_4650));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216549zd2_4652))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd216542zd2_4650))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216521zd2_4646))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg3954z00_4657;
																																																																																						BgL_arg3954z00_4657
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd216528zd2_4647));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_21207;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_21211;
																																																																																								obj_t
																																																																																									BgL_proc2z00_21210;
																																																																																								obj_t
																																																																																									BgL_proc1z00_21209;
																																																																																								obj_t
																																																																																									BgL_testz00_21208;
																																																																																								BgL_testz00_21208
																																																																																									=
																																																																																									BgL_arg3954z00_4657;
																																																																																								BgL_proc1z00_21209
																																																																																									=
																																																																																									BgL_carzd216541zd2_4649;
																																																																																								BgL_proc2z00_21210
																																																																																									=
																																																																																									BgL_carzd216549zd2_4652;
																																																																																								BgL_argsz00_21211
																																																																																									=
																																																																																									BgL_cdrzd216521zd2_4646;
																																																																																								BgL_argsz00_1834
																																																																																									=
																																																																																									BgL_argsz00_21211;
																																																																																								BgL_proc2z00_1833
																																																																																									=
																																																																																									BgL_proc2z00_21210;
																																																																																								BgL_proc1z00_1832
																																																																																									=
																																																																																									BgL_proc1z00_21209;
																																																																																								BgL_testz00_1831
																																																																																									=
																																																																																									BgL_testz00_21208;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1835;
																																																																																							}
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_21207);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_21215;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_16356
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_21215);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_21219;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_21219);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21223;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21223);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21227;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21227);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21231;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21231);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd216882zd2_4665;
																																																																							BgL_cdrzd216882zd2_4665
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd216888zd2_4666;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12225;
																																																																									BgL_pairz00_12225
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd216888zd2_4666
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12225);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd216894zd2_4667;
																																																																									BgL_cdrzd216894zd2_4667
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd216888zd2_4666));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd216899zd2_4668;
																																																																										obj_t
																																																																											BgL_cdrzd216900zd2_4669;
																																																																										BgL_carzd216899zd2_4668
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd216894zd2_4667));
																																																																										BgL_cdrzd216900zd2_4669
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd216894zd2_4667));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216899zd2_4668))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd216900zd2_4669))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd216905zd2_4672;
																																																																														BgL_carzd216905zd2_4672
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd216900zd2_4669);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd216905zd2_4672))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd216900zd2_4669)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd216882zd2_4665))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg3968z00_4677;
																																																																																				BgL_arg3968z00_4677
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd216888zd2_4666));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_21258;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_21262;
																																																																																						obj_t
																																																																																							BgL_proc2z00_21261;
																																																																																						obj_t
																																																																																							BgL_proc1z00_21260;
																																																																																						obj_t
																																																																																							BgL_testz00_21259;
																																																																																						BgL_testz00_21259
																																																																																							=
																																																																																							BgL_arg3968z00_4677;
																																																																																						BgL_proc1z00_21260
																																																																																							=
																																																																																							BgL_carzd216899zd2_4668;
																																																																																						BgL_proc2z00_21261
																																																																																							=
																																																																																							BgL_carzd216905zd2_4672;
																																																																																						BgL_argsz00_21262
																																																																																							=
																																																																																							BgL_cdrzd216882zd2_4665;
																																																																																						BgL_argsz00_1834
																																																																																							=
																																																																																							BgL_argsz00_21262;
																																																																																						BgL_proc2z00_1833
																																																																																							=
																																																																																							BgL_proc2z00_21261;
																																																																																						BgL_proc1z00_1832
																																																																																							=
																																																																																							BgL_proc1z00_21260;
																																																																																						BgL_testz00_1831
																																																																																							=
																																																																																							BgL_testz00_21259;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1835;
																																																																																					}
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_21258);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_21266;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_21266);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_21270;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_21270);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21274;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21274);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21278;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21278);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21282;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21282);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21286;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21286);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21290;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21290);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_21294;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_21294);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd217443zd2_4841;
																																											BgL_cdrzd217443zd2_4841
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd214378zd2_4567 == ((obj_t) CNST_TABLE_REF(18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4086z00_4842;
																																													obj_t
																																														BgL_arg4087z00_4843;
																																													BgL_arg4086z00_4842
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd217443zd2_4841));
																																													BgL_arg4087z00_4843
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd217443zd2_4841));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_21306;
																																														{
																																															obj_t
																																																BgL_exprz00_21308;
																																															obj_t
																																																BgL_bindingsz00_21307;
																																															BgL_bindingsz00_21307
																																																=
																																																BgL_arg4086z00_4842;
																																															BgL_exprz00_21308
																																																=
																																																BgL_arg4087z00_4843;
																																															BgL_exprz00_1814
																																																=
																																																BgL_exprz00_21308;
																																															BgL_bindingsz00_1813
																																																=
																																																BgL_bindingsz00_21307;
																																															goto
																																																BgL_tagzd2383zd2_1815;
																																														}
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_21306);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd214378zd2_4567)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4089z00_4845;
																																															obj_t
																																																BgL_arg4090z00_4846;
																																															BgL_arg4089z00_4845
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd217443zd2_4841));
																																															BgL_arg4090z00_4846
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd217443zd2_4841));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_21317;
																																																{
																																																	obj_t
																																																		BgL_exprz00_21319;
																																																	obj_t
																																																		BgL_bindingsz00_21318;
																																																	BgL_bindingsz00_21318
																																																		=
																																																		BgL_arg4089z00_4845;
																																																	BgL_exprz00_21319
																																																		=
																																																		BgL_arg4090z00_4846;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_21319;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_21318;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_16356
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_21317);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd214378zd2_4567 == ((obj_t) CNST_TABLE_REF(19))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4091z00_4847;
																																																	obj_t
																																																		BgL_arg4092z00_4848;
																																																	BgL_arg4091z00_4847
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd217443zd2_4841));
																																																	BgL_arg4092z00_4848
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd217443zd2_4841));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21329;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_21331;
																																																			obj_t
																																																				BgL_bindingsz00_21330;
																																																			BgL_bindingsz00_21330
																																																				=
																																																				BgL_arg4091z00_4847;
																																																			BgL_exprz00_21331
																																																				=
																																																				BgL_arg4092z00_4848;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_21331;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_21330;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21329);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21339;
																																																			goto
																																																				BgL_tagzd2384zd2_1816;
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21339);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd217480zd2_4851;
																																																			BgL_carzd217480zd2_4851
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd217480zd2_4851 == ((obj_t) CNST_TABLE_REF(20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21347;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21347);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217480zd2_4851)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_21352;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21352);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21360;
																																																									goto
																																																										BgL_tagzd2390zd2_1836;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21360);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21368;
																																																											goto
																																																												BgL_tagzd2391zd2_1837;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21368);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd217560zd2_4857;
																																																											BgL_cdrzd217560zd2_4857
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg4102z00_4860;
																																																													obj_t
																																																														BgL_arg4103z00_4861;
																																																													BgL_arg4102z00_4860
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd217560zd2_4857));
																																																													BgL_arg4103z00_4861
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd217560zd2_4857));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_21382;
																																																														{
																																																															obj_t
																																																																BgL_restz00_21384;
																																																															obj_t
																																																																BgL_effectz00_21383;
																																																															BgL_effectz00_21383
																																																																=
																																																																BgL_arg4102z00_4860;
																																																															BgL_restz00_21384
																																																																=
																																																																BgL_arg4103z00_4861;
																																																															BgL_restz00_1839
																																																																=
																																																																BgL_restz00_21384;
																																																															BgL_effectz00_1838
																																																																=
																																																																BgL_effectz00_21383;
																																																															goto
																																																																BgL_tagzd2392zd2_1840;
																																																														}
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_21382);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21392;
																																																															goto
																																																																BgL_tagzd2393zd2_1841;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21392);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_21400;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1842;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_21400);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4111z00_4869;
																																																																			obj_t
																																																																				BgL_arg4112z00_4870;
																																																																			BgL_arg4111z00_4869
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd217560zd2_4857));
																																																																			BgL_arg4112z00_4870
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd217560zd2_4857));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21412;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_21414;
																																																																					obj_t
																																																																						BgL_effectz00_21413;
																																																																					BgL_effectz00_21413
																																																																						=
																																																																						BgL_arg4111z00_4869;
																																																																					BgL_restz00_21414
																																																																						=
																																																																						BgL_arg4112z00_4870;
																																																																					BgL_restz00_1844
																																																																						=
																																																																						BgL_restz00_21414;
																																																																					BgL_effectz00_1843
																																																																						=
																																																																						BgL_effectz00_21413;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1845;
																																																																				}
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21412);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_21422;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1846;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_21422);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21430;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1847;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21430);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_21438;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1848;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21438);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_21446;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1849;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21446);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test8929z00_21454;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_21455;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12261;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_12260;
																																																																																BgL_pairz00_12260
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_12261
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_12260);
																																																																															}
																																																																															BgL_tmpz00_21455
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12261);
																																																																														}
																																																																														BgL_test8929z00_21454
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_21455);
																																																																													}
																																																																													if (BgL_test8929z00_21454)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21461;
																																																																															goto
																																																																																BgL_tagzd2400zd2_1850;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21461);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21465;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21465);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd217648zd2_4889;
																																																																													BgL_cdrzd217648zd2_4889
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd217654zd2_4892;
																																																																															BgL_cdrzd217654zd2_4892
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd217648zd2_4889));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd217660zd2_4893;
																																																																																BgL_cdrzd217660zd2_4893
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd217654zd2_4892));
																																																																																if ((CAR(((obj_t) BgL_cdrzd217654zd2_4892)) == ((obj_t) CNST_TABLE_REF(32))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd217660zd2_4893))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg4138z00_4897;
																																																																																				obj_t
																																																																																					BgL_arg4139z00_4898;
																																																																																				obj_t
																																																																																					BgL_arg4140z00_4899;
																																																																																				BgL_arg4138z00_4897
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4889));
																																																																																				BgL_arg4139z00_4898
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd217660zd2_4893);
																																																																																				BgL_arg4140z00_4899
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_cdrzd217660zd2_4893);
																																																																																				{	/* Ast/sexp.scm 562 */
																																																																																					obj_t
																																																																																						BgL_arg7647z00_12270;
																																																																																					BgL_arg7647z00_12270
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																						(BgL_expz00_21,
																																																																																							BgL_arg4138z00_4897,
																																																																																							BgL_arg4139z00_4898,
																																																																																							BgL_arg4140z00_4899,
																																																																																							BgL_stackz00_22,
																																																																																							BgL_arg7647z00_12270,
																																																																																							BgL_sitez00_24));
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg4141z00_4901;
																																																																																				obj_t
																																																																																					BgL_arg4142z00_4902;
																																																																																				BgL_arg4141z00_4901
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4889));
																																																																																				BgL_arg4142z00_4902
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd217648zd2_4889));
																																																																																				{	/* Ast/sexp.scm 564 */
																																																																																					obj_t
																																																																																						BgL_arg7648z00_12274;
																																																																																					BgL_arg7648z00_12274
																																																																																						=
																																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																						(BgL_expz00_21,
																																																																																						BgL_locz00_23);
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																						(BgL_expz00_21,
																																																																																							BgL_arg4141z00_4901,
																																																																																							((obj_t) CNST_TABLE_REF(4)), BgL_arg4142z00_4902, BgL_stackz00_22, BgL_arg7648z00_12274, BgL_sitez00_24));
																																																																																				}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg4143z00_4904;
																																																																																		obj_t
																																																																																			BgL_arg4144z00_4905;
																																																																																		BgL_arg4143z00_4904
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217648zd2_4889));
																																																																																		BgL_arg4144z00_4905
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd217648zd2_4889));
																																																																																		{	/* Ast/sexp.scm 564 */
																																																																																			obj_t
																																																																																				BgL_arg7648z00_12278;
																																																																																			BgL_arg7648z00_12278
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg4143z00_4904,
																																																																																					((obj_t) CNST_TABLE_REF(4)), BgL_arg4144z00_4905, BgL_stackz00_22, BgL_arg7648z00_12278, BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21514;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21514);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd217711zd2_4925;
																													BgL_carzd217711zd2_4925
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd217711zd2_4925
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_21522;
																															goto
																																BgL_tagzd2377zd2_1801;
																															BgL_auxz00_16356 =
																																((obj_t)
																																BgL_auxz00_21522);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd217711zd2_4925
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_21526;
																																	goto
																																		BgL_tagzd2377zd2_1801;
																																	BgL_auxz00_16356
																																		=
																																		((obj_t)
																																		BgL_auxz00_21526);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(7))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_21534;
																																			goto
																																				BgL_tagzd2379zd2_1805;
																																			BgL_auxz00_16356
																																				=
																																				((obj_t)
																																				BgL_auxz00_21534);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_21542;
																																					goto
																																						BgL_tagzd2380zd2_1806;
																																					BgL_auxz00_16356
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_21542);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd217782zd2_4931;
																																					BgL_cdrzd217782zd2_4931
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg4172z00_4934;
																																							obj_t
																																								BgL_arg4173z00_4935;
																																							BgL_arg4172z00_4934
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd217782zd2_4931));
																																							BgL_arg4173z00_4935
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd217782zd2_4931));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_21556;
																																								{
																																									obj_t
																																										BgL_exprz00_21558;
																																									obj_t
																																										BgL_bindingsz00_21557;
																																									BgL_bindingsz00_21557
																																										=
																																										BgL_arg4172z00_4934;
																																									BgL_exprz00_21558
																																										=
																																										BgL_arg4173z00_4935;
																																									BgL_exprz00_1808
																																										=
																																										BgL_exprz00_21558;
																																									BgL_bindingsz00_1807
																																										=
																																										BgL_bindingsz00_21557;
																																									goto
																																										BgL_tagzd2381zd2_1809;
																																								}
																																								BgL_auxz00_16356
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_21556);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd217807zd2_4936;
																																							BgL_carzd217807zd2_4936
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd217807zd2_4936))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd217810zd2_4938;
																																									obj_t
																																										BgL_cdrzd217811zd2_4939;
																																									BgL_carzd217810zd2_4938
																																										=
																																										CAR
																																										(BgL_carzd217807zd2_4936);
																																									BgL_cdrzd217811zd2_4939
																																										=
																																										CDR
																																										(BgL_carzd217807zd2_4936);
																																									{

																																										if ((BgL_carzd217810zd2_4938 == ((obj_t) CNST_TABLE_REF(18))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd217812zd2_4940:
																																												if (PAIRP(BgL_cdrzd217811zd2_4939))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd217815zd2_5119;
																																														BgL_cdrzd217815zd2_5119
																																															=
																																															CDR
																																															(BgL_cdrzd217811zd2_4939);
																																														if (PAIRP(BgL_cdrzd217815zd2_5119))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd217815zd2_5119)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4304z00_5123;
																																																		obj_t
																																																			BgL_arg4305z00_5124;
																																																		BgL_arg4304z00_5123
																																																			=
																																																			CAR
																																																			(BgL_cdrzd217815zd2_5119);
																																																		BgL_arg4305z00_5124
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_21581;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_21583;
																																																				obj_t
																																																					BgL_bodyz00_21582;
																																																				BgL_bodyz00_21582
																																																					=
																																																					BgL_arg4304z00_5123;
																																																				BgL_argsz00_21583
																																																					=
																																																					BgL_arg4305z00_5124;
																																																				BgL_argsz00_1811
																																																					=
																																																					BgL_argsz00_21583;
																																																				BgL_bodyz00_1810
																																																					=
																																																					BgL_bodyz00_21582;
																																																				goto
																																																					BgL_tagzd2382zd2_1812;
																																																			}
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21581);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd217839zd2_5125;
																																																		BgL_cdrzd217839zd2_5125
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8945z00_21587;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4375z00_5236;
																																																				BgL_arg4375z00_5236
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8945z00_21587
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg4375z00_5236));
																																																			}
																																																			if (BgL_test8945z00_21587)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg4308z00_5128;
																																																					obj_t
																																																						BgL_arg4310z00_5129;
																																																					BgL_arg4308z00_5128
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd217839zd2_5125));
																																																					BgL_arg4310z00_5129
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd217839zd2_5125));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_21596;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_21598;
																																																							obj_t
																																																								BgL_bindingsz00_21597;
																																																							BgL_bindingsz00_21597
																																																								=
																																																								BgL_arg4308z00_5128;
																																																							BgL_exprz00_21598
																																																								=
																																																								BgL_arg4310z00_5129;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_21598;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_21597;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_16356
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_21596);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8946z00_21600;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4374z00_5235;
																																																						BgL_arg4374z00_5235
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8946z00_21600
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg4374z00_5235));
																																																					}
																																																					if (BgL_test8946z00_21600)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_21605;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_21605);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd217906zd2_5132;
																																																							BgL_carzd217906zd2_5132
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd217911zd2_5133;
																																																								BgL_cdrzd217911zd2_5133
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd217906zd2_5132));
																																																								if ((CAR(((obj_t) BgL_carzd217906zd2_5132)) == ((obj_t) CNST_TABLE_REF(3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg4315z00_5136;
																																																										obj_t
																																																											BgL_arg4316z00_5137;
																																																										obj_t
																																																											BgL_arg4317z00_5138;
																																																										BgL_arg4315z00_5136
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd217911zd2_5133));
																																																										BgL_arg4316z00_5137
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd217911zd2_5133));
																																																										BgL_arg4317z00_5138
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_21623;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_21626;
																																																												obj_t
																																																													BgL_bodyz00_21625;
																																																												obj_t
																																																													BgL_varsz00_21624;
																																																												BgL_varsz00_21624
																																																													=
																																																													BgL_arg4315z00_5136;
																																																												BgL_bodyz00_21625
																																																													=
																																																													BgL_arg4316z00_5137;
																																																												BgL_argsz00_21626
																																																													=
																																																													BgL_arg4317z00_5138;
																																																												BgL_argsz00_1824
																																																													=
																																																													BgL_argsz00_21626;
																																																												BgL_bodyz00_1823
																																																													=
																																																													BgL_bodyz00_21625;
																																																												BgL_varsz00_1822
																																																													=
																																																													BgL_varsz00_21624;
																																																												goto
																																																													BgL_tagzd2387zd2_1825;
																																																											}
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_21623);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd217934zd2_5140;
																																																										BgL_cdrzd217934zd2_5140
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd217940zd2_5141;
																																																											BgL_cdrzd217940zd2_5141
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd217906zd2_5132));
																																																											if ((CAR(((obj_t) BgL_carzd217906zd2_5132)) == ((obj_t) CNST_TABLE_REF(1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd217946zd2_5144;
																																																													BgL_cdrzd217946zd2_5144
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd217940zd2_5141));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd217951zd2_5145;
																																																														obj_t
																																																															BgL_cdrzd217952zd2_5146;
																																																														BgL_carzd217951zd2_5145
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd217946zd2_5144));
																																																														BgL_cdrzd217952zd2_5146
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd217946zd2_5144));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217951zd2_5145))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd217952zd2_5146))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd217959zd2_5149;
																																																																		BgL_carzd217959zd2_5149
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd217952zd2_5146);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd217959zd2_5149))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd217952zd2_5146)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test8953z00_21654;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1348z00_5182;
																																																																							BgL_l1348z00_5182
																																																																								=
																																																																								BgL_cdrzd217934zd2_5140;
																																																																						BgL_zc3z04anonymousza34340ze3z87_5183:
																																																																							if (NULLP(BgL_l1348z00_5182))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test8953z00_21654
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test8955z00_21657;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test8956z00_21658;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_21659;
																																																																											BgL_tmpz00_21659
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1348z00_5182));
																																																																											BgL_test8956z00_21658
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_21659);
																																																																										}
																																																																										if (BgL_test8956z00_21658)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8955z00_21657
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test8955z00_21657
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test8955z00_21657)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1348z00_21663;
																																																																											BgL_l1348z00_21663
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1348z00_5182));
																																																																											BgL_l1348z00_5182
																																																																												=
																																																																												BgL_l1348z00_21663;
																																																																											goto
																																																																												BgL_zc3z04anonymousza34340ze3z87_5183;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test8953z00_21654
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test8953z00_21654)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4330z00_5165;
																																																																								BgL_arg4330z00_5165
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd217940zd2_5141));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21668;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_21672;
																																																																										obj_t
																																																																											BgL_proc2z00_21671;
																																																																										obj_t
																																																																											BgL_proc1z00_21670;
																																																																										obj_t
																																																																											BgL_testz00_21669;
																																																																										BgL_testz00_21669
																																																																											=
																																																																											BgL_arg4330z00_5165;
																																																																										BgL_proc1z00_21670
																																																																											=
																																																																											BgL_carzd217951zd2_5145;
																																																																										BgL_proc2z00_21671
																																																																											=
																																																																											BgL_carzd217959zd2_5149;
																																																																										BgL_argsz00_21672
																																																																											=
																																																																											BgL_cdrzd217934zd2_5140;
																																																																										BgL_argsz00_1829
																																																																											=
																																																																											BgL_argsz00_21672;
																																																																										BgL_proc2z00_1828
																																																																											=
																																																																											BgL_proc2z00_21671;
																																																																										BgL_proc1z00_1827
																																																																											=
																																																																											BgL_proc1z00_21670;
																																																																										BgL_testz00_1826
																																																																											=
																																																																											BgL_testz00_21669;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1830;
																																																																									}
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21668);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd217983zd2_5166;
																																																																								BgL_cdrzd217983zd2_5166
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd217990zd2_5167;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12318;
																																																																										BgL_pairz00_12318
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd217990zd2_5167
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12318);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd217997zd2_5168;
																																																																										BgL_cdrzd217997zd2_5168
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd217990zd2_5167));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd218003zd2_5169;
																																																																											BgL_carzd218003zd2_5169
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd217997zd2_5168));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218003zd2_5169))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd218010zd2_5171;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12322;
																																																																														BgL_pairz00_12322
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd217997zd2_5168));
																																																																														BgL_carzd218010zd2_5171
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12322);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218010zd2_5171))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd217983zd2_5166))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4334z00_5174;
																																																																																	BgL_arg4334z00_5174
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd217990zd2_5167));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_21694;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_21698;
																																																																																			obj_t
																																																																																				BgL_proc2z00_21697;
																																																																																			obj_t
																																																																																				BgL_proc1z00_21696;
																																																																																			obj_t
																																																																																				BgL_testz00_21695;
																																																																																			BgL_testz00_21695
																																																																																				=
																																																																																				BgL_arg4334z00_5174;
																																																																																			BgL_proc1z00_21696
																																																																																				=
																																																																																				BgL_carzd218003zd2_5169;
																																																																																			BgL_proc2z00_21697
																																																																																				=
																																																																																				BgL_carzd218010zd2_5171;
																																																																																			BgL_argsz00_21698
																																																																																				=
																																																																																				BgL_cdrzd217983zd2_5166;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_21698;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_21697;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_21696;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_21695;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_21694);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_21702;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_21702);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21706;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21706);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21710;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21710);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_21714;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_21714);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd218286zd2_5193;
																																																																				BgL_cdrzd218286zd2_5193
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd218292zd2_5194;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12326;
																																																																						BgL_pairz00_12326
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd218292zd2_5194
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12326);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd218298zd2_5195;
																																																																						BgL_cdrzd218298zd2_5195
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd218292zd2_5194));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd218303zd2_5196;
																																																																							obj_t
																																																																								BgL_cdrzd218304zd2_5197;
																																																																							BgL_carzd218303zd2_5196
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218298zd2_5195));
																																																																							BgL_cdrzd218304zd2_5197
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd218298zd2_5195));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218303zd2_5196))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd218309zd2_5199;
																																																																									BgL_carzd218309zd2_5199
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd218304zd2_5197));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218309zd2_5199))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd218304zd2_5197))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218286zd2_5193))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4349z00_5204;
																																																																															BgL_arg4349z00_5204
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd218292zd2_5194));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_21741;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_21745;
																																																																																	obj_t
																																																																																		BgL_proc2z00_21744;
																																																																																	obj_t
																																																																																		BgL_proc1z00_21743;
																																																																																	obj_t
																																																																																		BgL_testz00_21742;
																																																																																	BgL_testz00_21742
																																																																																		=
																																																																																		BgL_arg4349z00_5204;
																																																																																	BgL_proc1z00_21743
																																																																																		=
																																																																																		BgL_carzd218303zd2_5196;
																																																																																	BgL_proc2z00_21744
																																																																																		=
																																																																																		BgL_carzd218309zd2_5199;
																																																																																	BgL_argsz00_21745
																																																																																		=
																																																																																		BgL_cdrzd218286zd2_5193;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_21745;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_21744;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_21743;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_21742;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_21741);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_21749;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_21749);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21753;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21753);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21757;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21757);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21761;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21761);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_21765;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_21765);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd218642zd2_5212;
																																																																BgL_cdrzd218642zd2_5212
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd218649zd2_5213;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12335;
																																																																		BgL_pairz00_12335
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd218649zd2_5213
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12335);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd218656zd2_5214;
																																																																		BgL_cdrzd218656zd2_5214
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd218649zd2_5213));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd218662zd2_5215;
																																																																			obj_t
																																																																				BgL_cdrzd218663zd2_5216;
																																																																			BgL_carzd218662zd2_5215
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd218656zd2_5214));
																																																																			BgL_cdrzd218663zd2_5216
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd218656zd2_5214));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218662zd2_5215))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd218663zd2_5216))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd218670zd2_5219;
																																																																							BgL_carzd218670zd2_5219
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd218663zd2_5216);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd218670zd2_5219))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd218663zd2_5216)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd218642zd2_5212))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4363z00_5224;
																																																																													BgL_arg4363z00_5224
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd218649zd2_5213));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21792;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_21796;
																																																																															obj_t
																																																																																BgL_proc2z00_21795;
																																																																															obj_t
																																																																																BgL_proc1z00_21794;
																																																																															obj_t
																																																																																BgL_testz00_21793;
																																																																															BgL_testz00_21793
																																																																																=
																																																																																BgL_arg4363z00_5224;
																																																																															BgL_proc1z00_21794
																																																																																=
																																																																																BgL_carzd218662zd2_5215;
																																																																															BgL_proc2z00_21795
																																																																																=
																																																																																BgL_carzd218670zd2_5219;
																																																																															BgL_argsz00_21796
																																																																																=
																																																																																BgL_cdrzd218642zd2_5212;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_21796;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_21795;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_21794;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_21793;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21792);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_21800;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21800);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_21804;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_21804);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_21808;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_21808);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_21812;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_21812);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_21816;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_21816);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_21820;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_21820);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd219063zd2_5238;
																																																BgL_cdrzd219063zd2_5238
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8984z00_21824;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4391z00_5255;
																																																		BgL_arg4391z00_5255
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8984z00_21824
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg4391z00_5255));
																																																	}
																																																	if (BgL_test8984z00_21824)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4379z00_5241;
																																																			obj_t
																																																				BgL_arg4380z00_5242;
																																																			BgL_arg4379z00_5241
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd219063zd2_5238));
																																																			BgL_arg4380z00_5242
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd219063zd2_5238));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_21833;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_21835;
																																																					obj_t
																																																						BgL_bindingsz00_21834;
																																																					BgL_bindingsz00_21834
																																																						=
																																																						BgL_arg4379z00_5241;
																																																					BgL_exprz00_21835
																																																						=
																																																						BgL_arg4380z00_5242;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_21835;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_21834;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_21833);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test8985z00_21837;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg4390z00_5254;
																																																				BgL_arg4390z00_5254
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test8985z00_21837
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg4390z00_5254));
																																																			}
																																																			if (BgL_test8985z00_21837)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_21842;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21842);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd219129zd2_5245;
																																																					BgL_carzd219129zd2_5245
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd219134zd2_5246;
																																																						BgL_cdrzd219134zd2_5246
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd219129zd2_5245));
																																																						if ((CAR(((obj_t) BgL_carzd219129zd2_5245)) == ((obj_t) CNST_TABLE_REF(3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4385z00_5249;
																																																								obj_t
																																																									BgL_arg4386z00_5250;
																																																								obj_t
																																																									BgL_arg4387z00_5251;
																																																								BgL_arg4385z00_5249
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd219134zd2_5246));
																																																								BgL_arg4386z00_5250
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd219134zd2_5246));
																																																								BgL_arg4387z00_5251
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_21860;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_21863;
																																																										obj_t
																																																											BgL_bodyz00_21862;
																																																										obj_t
																																																											BgL_varsz00_21861;
																																																										BgL_varsz00_21861
																																																											=
																																																											BgL_arg4385z00_5249;
																																																										BgL_bodyz00_21862
																																																											=
																																																											BgL_arg4386z00_5250;
																																																										BgL_argsz00_21863
																																																											=
																																																											BgL_arg4387z00_5251;
																																																										BgL_argsz00_1824
																																																											=
																																																											BgL_argsz00_21863;
																																																										BgL_bodyz00_1823
																																																											=
																																																											BgL_bodyz00_21862;
																																																										BgL_varsz00_1822
																																																											=
																																																											BgL_varsz00_21861;
																																																										goto
																																																											BgL_tagzd2387zd2_1825;
																																																									}
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21860);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_21867;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_21867);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd219245zd2_5256;
																																														BgL_cdrzd219245zd2_5256
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test8988z00_21871;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg4400z00_5265;
																																																BgL_arg4400z00_5265
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test8988z00_21871
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg4400z00_5265));
																																															}
																																															if (BgL_test8988z00_21871)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4394z00_5259;
																																																	obj_t
																																																		BgL_arg4395z00_5260;
																																																	BgL_arg4394z00_5259
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd219245zd2_5256));
																																																	BgL_arg4395z00_5260
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd219245zd2_5256));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_21880;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_21882;
																																																			obj_t
																																																				BgL_bindingsz00_21881;
																																																			BgL_bindingsz00_21881
																																																				=
																																																				BgL_arg4394z00_5259;
																																																			BgL_exprz00_21882
																																																				=
																																																				BgL_arg4395z00_5260;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_21882;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_21881;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_21880);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test8989z00_21884;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg4399z00_5264;
																																																		BgL_arg4399z00_5264
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test8989z00_21884
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg4399z00_5264));
																																																	}
																																																	if (BgL_test8989z00_21884)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_21889;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_21889);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1859;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_21893;
																																																					goto
																																																						BgL_tagzd2405zd2_1860;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_21893);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217810zd2_4938)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd217812zd2_4940;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd217810zd2_4938 == ((obj_t) CNST_TABLE_REF(19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd217812zd2_4940;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd217810zd2_4938 == ((obj_t) CNST_TABLE_REF(20))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd217812zd2_4940;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd217810zd2_4938)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd217812zd2_4940;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd219417zd2_4943;
																																																				BgL_cdrzd219417zd2_4943
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test8995z00_21911;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg4299z00_5117;
																																																						BgL_arg4299z00_5117
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test8995z00_21911
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg4299z00_5117));
																																																					}
																																																					if (BgL_test8995z00_21911)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4179z00_4946;
																																																							obj_t
																																																								BgL_arg4181z00_4947;
																																																							BgL_arg4179z00_4946
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd219417zd2_4943));
																																																							BgL_arg4181z00_4947
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd219417zd2_4943));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_21920;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_21922;
																																																									obj_t
																																																										BgL_bindingsz00_21921;
																																																									BgL_bindingsz00_21921
																																																										=
																																																										BgL_arg4179z00_4946;
																																																									BgL_exprz00_21922
																																																										=
																																																										BgL_arg4181z00_4947;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_21922;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_21921;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_21920);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test8996z00_21924;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg4298z00_5116;
																																																								BgL_arg4298z00_5116
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test8996z00_21924
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg4298z00_5116));
																																																							}
																																																							if (BgL_test8996z00_21924)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_21929;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_21929);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd219470zd2_4950;
																																																									obj_t
																																																										BgL_cdrzd219471zd2_4951;
																																																									BgL_carzd219470zd2_4950
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd219471zd2_4951
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd219475zd2_4952;
																																																										BgL_cdrzd219475zd2_4952
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd219470zd2_4950));
																																																										if ((CAR(((obj_t) BgL_carzd219470zd2_4950)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd219475zd2_4952))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd219478zd2_4956;
																																																														obj_t
																																																															BgL_cdrzd219479zd2_4957;
																																																														BgL_carzd219478zd2_4956
																																																															=
																																																															CAR
																																																															(BgL_cdrzd219475zd2_4952);
																																																														BgL_cdrzd219479zd2_4957
																																																															=
																																																															CDR
																																																															(BgL_cdrzd219475zd2_4952);
																																																														if (PAIRP(BgL_carzd219478zd2_4956))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_carzd219478zd2_4956)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd219479zd2_4957))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd219485zd2_4962;
																																																																				BgL_carzd219485zd2_4962
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd219479zd2_4957);
																																																																				if (PAIRP(BgL_carzd219485zd2_4962))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd219485zd2_4962))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd219479zd2_4957)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd219492zd2_4967;
																																																																										BgL_carzd219492zd2_4967
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd219471zd2_4951));
																																																																										if (PAIRP(BgL_carzd219492zd2_4967))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219517zd2_4969;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12374;
																																																																													BgL_pairz00_12374
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd219517zd2_4969
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_12374);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4196z00_4970;
																																																																													obj_t
																																																																														BgL_arg4197z00_4971;
																																																																													obj_t
																																																																														BgL_arg4198z00_4972;
																																																																													BgL_arg4196z00_4970
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219517zd2_4969));
																																																																													BgL_arg4197z00_4971
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd219517zd2_4969));
																																																																													BgL_arg4198z00_4972
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_21975;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_21978;
																																																																															obj_t
																																																																																BgL_bodyz00_21977;
																																																																															obj_t
																																																																																BgL_varsz00_21976;
																																																																															BgL_varsz00_21976
																																																																																=
																																																																																BgL_arg4196z00_4970;
																																																																															BgL_bodyz00_21977
																																																																																=
																																																																																BgL_arg4197z00_4971;
																																																																															BgL_argsz00_21978
																																																																																=
																																																																																BgL_arg4198z00_4972;
																																																																															BgL_argsz00_1824
																																																																																=
																																																																																BgL_argsz00_21978;
																																																																															BgL_bodyz00_1823
																																																																																=
																																																																																BgL_bodyz00_21977;
																																																																															BgL_varsz00_1822
																																																																																=
																																																																																BgL_varsz00_21976;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1825;
																																																																														}
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_21975);
																																																																													}
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd219471zd2_4951))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg4202z00_4976;
																																																																														BgL_arg4202z00_4976
																																																																															=
																																																																															CAR
																																																																															(BgL_carzd219478zd2_4956);
																																																																														{
																																																																															BgL_castz00_bglt
																																																																																BgL_auxz00_21985;
																																																																															BgL_varz00_1818
																																																																																=
																																																																																BgL_arg4202z00_4976;
																																																																															BgL_bodyz00_1819
																																																																																=
																																																																																BgL_carzd219485zd2_4962;
																																																																															BgL_argz00_1820
																																																																																=
																																																																																BgL_carzd219492zd2_4967;
																																																																														BgL_tagzd2386zd2_1821:
																																																																															{	/* Ast/sexp.scm 387 */
																																																																																BgL_castz00_bglt
																																																																																	BgL_new1141z00_9790;
																																																																																{	/* Ast/sexp.scm 388 */
																																																																																	BgL_castz00_bglt
																																																																																		BgL_new1140z00_9792;
																																																																																	BgL_new1140z00_9792
																																																																																		=
																																																																																		(
																																																																																		(BgL_castz00_bglt)
																																																																																		BOBJECT
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_castz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 388 */
																																																																																		long
																																																																																			BgL_arg7504z00_9793;
																																																																																		BgL_arg7504z00_9793
																																																																																			=
																																																																																			BGL_CLASS_NUM
																																																																																			(BGl_castz00zzast_nodez00);
																																																																																		BGL_OBJECT_CLASS_NUM_SET
																																																																																			(
																																																																																			((BgL_objectz00_bglt) BgL_new1140z00_9792), BgL_arg7504z00_9793);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 388 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_tmpz00_21990;
																																																																																		BgL_tmpz00_21990
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1140z00_9792);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_tmpz00_21990,
																																																																																			BFALSE);
																																																																																	}
																																																																																	((BgL_objectz00_bglt) BgL_new1140z00_9792);
																																																																																	BgL_new1141z00_9790
																																																																																		=
																																																																																		BgL_new1140z00_9792;
																																																																																}
																																																																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1141z00_9790)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																																{
																																																																																	BgL_typez00_bglt
																																																																																		BgL_auxz00_21996;
																																																																																	{	/* Ast/sexp.scm 389 */
																																																																																		obj_t
																																																																																			BgL_arg7503z00_9791;
																																																																																		BgL_arg7503z00_9791
																																																																																			=
																																																																																			BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																																			(BgL_bodyz00_1819);
																																																																																		BgL_auxz00_21996
																																																																																			=
																																																																																			BGl_usezd2typez12zc0zztype_envz00
																																																																																			(BgL_arg7503z00_9791,
																																																																																			BgL_locz00_23);
																																																																																	}
																																																																																	((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1141z00_9790)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_21996), BUNSPEC);
																																																																																}
																																																																																((((BgL_castz00_bglt) COBJECT(BgL_new1141z00_9790))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1820, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																																BgL_auxz00_21985
																																																																																	=
																																																																																	BgL_new1141z00_9790;
																																																																															}
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_21985);
																																																																													}}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd219545zd2_4977;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_12381;
																																																																															BgL_pairz00_12381
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd219545zd2_4977
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_12381);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4203z00_4978;
																																																																															obj_t
																																																																																BgL_arg4204z00_4979;
																																																																															obj_t
																																																																																BgL_arg4205z00_4980;
																																																																															BgL_arg4203z00_4978
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219545zd2_4977));
																																																																															BgL_arg4204z00_4979
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219545zd2_4977));
																																																																															BgL_arg4205z00_4980
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22013;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22016;
																																																																																	obj_t
																																																																																		BgL_bodyz00_22015;
																																																																																	obj_t
																																																																																		BgL_varsz00_22014;
																																																																																	BgL_varsz00_22014
																																																																																		=
																																																																																		BgL_arg4203z00_4978;
																																																																																	BgL_bodyz00_22015
																																																																																		=
																																																																																		BgL_arg4204z00_4979;
																																																																																	BgL_argsz00_22016
																																																																																		=
																																																																																		BgL_arg4205z00_4980;
																																																																																	BgL_argsz00_1824
																																																																																		=
																																																																																		BgL_argsz00_22016;
																																																																																	BgL_bodyz00_1823
																																																																																		=
																																																																																		BgL_bodyz00_22015;
																																																																																	BgL_varsz00_1822
																																																																																		=
																																																																																		BgL_varsz00_22014;
																																																																																	goto
																																																																																		BgL_tagzd2387zd2_1825;
																																																																																}
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22013);
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd219571zd2_4983;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12386;
																																																																											BgL_pairz00_12386
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd219571zd2_4983
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_12386);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4209z00_4984;
																																																																											obj_t
																																																																												BgL_arg4210z00_4985;
																																																																											obj_t
																																																																												BgL_arg4211z00_4986;
																																																																											BgL_arg4209z00_4984
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219571zd2_4983));
																																																																											BgL_arg4210z00_4985
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd219571zd2_4983));
																																																																											BgL_arg4211z00_4986
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22027;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_22030;
																																																																													obj_t
																																																																														BgL_bodyz00_22029;
																																																																													obj_t
																																																																														BgL_varsz00_22028;
																																																																													BgL_varsz00_22028
																																																																														=
																																																																														BgL_arg4209z00_4984;
																																																																													BgL_bodyz00_22029
																																																																														=
																																																																														BgL_arg4210z00_4985;
																																																																													BgL_argsz00_22030
																																																																														=
																																																																														BgL_arg4211z00_4986;
																																																																													BgL_argsz00_1824
																																																																														=
																																																																														BgL_argsz00_22030;
																																																																													BgL_bodyz00_1823
																																																																														=
																																																																														BgL_bodyz00_22029;
																																																																													BgL_varsz00_1822
																																																																														=
																																																																														BgL_varsz00_22028;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1825;
																																																																												}
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22027);
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd219597zd2_4989;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12391;
																																																																									BgL_pairz00_12391
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd219597zd2_4989
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12391);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg4214z00_4990;
																																																																									obj_t
																																																																										BgL_arg4215z00_4991;
																																																																									obj_t
																																																																										BgL_arg4216z00_4992;
																																																																									BgL_arg4214z00_4990
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219597zd2_4989));
																																																																									BgL_arg4215z00_4991
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd219597zd2_4989));
																																																																									BgL_arg4216z00_4992
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22041;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_22044;
																																																																											obj_t
																																																																												BgL_bodyz00_22043;
																																																																											obj_t
																																																																												BgL_varsz00_22042;
																																																																											BgL_varsz00_22042
																																																																												=
																																																																												BgL_arg4214z00_4990;
																																																																											BgL_bodyz00_22043
																																																																												=
																																																																												BgL_arg4215z00_4991;
																																																																											BgL_argsz00_22044
																																																																												=
																																																																												BgL_arg4216z00_4992;
																																																																											BgL_argsz00_1824
																																																																												=
																																																																												BgL_argsz00_22044;
																																																																											BgL_bodyz00_1823
																																																																												=
																																																																												BgL_bodyz00_22043;
																																																																											BgL_varsz00_1822
																																																																												=
																																																																												BgL_varsz00_22042;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1825;
																																																																										}
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22041);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd219623zd2_4994;
																																																																						BgL_cdrzd219623zd2_4994
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_carzd219470zd2_4950));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg4218z00_4995;
																																																																							obj_t
																																																																								BgL_arg4219z00_4996;
																																																																							obj_t
																																																																								BgL_arg4220z00_4997;
																																																																							BgL_arg4218z00_4995
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219623zd2_4994));
																																																																							BgL_arg4219z00_4996
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd219623zd2_4994));
																																																																							BgL_arg4220z00_4997
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22054;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_22057;
																																																																									obj_t
																																																																										BgL_bodyz00_22056;
																																																																									obj_t
																																																																										BgL_varsz00_22055;
																																																																									BgL_varsz00_22055
																																																																										=
																																																																										BgL_arg4218z00_4995;
																																																																									BgL_bodyz00_22056
																																																																										=
																																																																										BgL_arg4219z00_4996;
																																																																									BgL_argsz00_22057
																																																																										=
																																																																										BgL_arg4220z00_4997;
																																																																									BgL_argsz00_1824
																																																																										=
																																																																										BgL_argsz00_22057;
																																																																									BgL_bodyz00_1823
																																																																										=
																																																																										BgL_bodyz00_22056;
																																																																									BgL_varsz00_1822
																																																																										=
																																																																										BgL_varsz00_22055;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1825;
																																																																								}
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22054);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd219649zd2_4999;
																																																																				BgL_cdrzd219649zd2_4999
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd219470zd2_4950));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg4222z00_5000;
																																																																					obj_t
																																																																						BgL_arg4223z00_5001;
																																																																					obj_t
																																																																						BgL_arg4224z00_5002;
																																																																					BgL_arg4222z00_5000
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219649zd2_4999));
																																																																					BgL_arg4223z00_5001
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd219649zd2_4999));
																																																																					BgL_arg4224z00_5002
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22067;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_22070;
																																																																							obj_t
																																																																								BgL_bodyz00_22069;
																																																																							obj_t
																																																																								BgL_varsz00_22068;
																																																																							BgL_varsz00_22068
																																																																								=
																																																																								BgL_arg4222z00_5000;
																																																																							BgL_bodyz00_22069
																																																																								=
																																																																								BgL_arg4223z00_5001;
																																																																							BgL_argsz00_22070
																																																																								=
																																																																								BgL_arg4224z00_5002;
																																																																							BgL_argsz00_1824
																																																																								=
																																																																								BgL_argsz00_22070;
																																																																							BgL_bodyz00_1823
																																																																								=
																																																																								BgL_bodyz00_22069;
																																																																							BgL_varsz00_1822
																																																																								=
																																																																								BgL_varsz00_22068;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1825;
																																																																						}
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22067);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd219675zd2_5004;
																																																																		BgL_cdrzd219675zd2_5004
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd219470zd2_4950));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4226z00_5005;
																																																																			obj_t
																																																																				BgL_arg4227z00_5006;
																																																																			obj_t
																																																																				BgL_arg4228z00_5007;
																																																																			BgL_arg4226z00_5005
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219675zd2_5004));
																																																																			BgL_arg4227z00_5006
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd219675zd2_5004));
																																																																			BgL_arg4228z00_5007
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22080;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_22083;
																																																																					obj_t
																																																																						BgL_bodyz00_22082;
																																																																					obj_t
																																																																						BgL_varsz00_22081;
																																																																					BgL_varsz00_22081
																																																																						=
																																																																						BgL_arg4226z00_5005;
																																																																					BgL_bodyz00_22082
																																																																						=
																																																																						BgL_arg4227z00_5006;
																																																																					BgL_argsz00_22083
																																																																						=
																																																																						BgL_arg4228z00_5007;
																																																																					BgL_argsz00_1824
																																																																						=
																																																																						BgL_argsz00_22083;
																																																																					BgL_bodyz00_1823
																																																																						=
																																																																						BgL_bodyz00_22082;
																																																																					BgL_varsz00_1822
																																																																						=
																																																																						BgL_varsz00_22081;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1825;
																																																																				}
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22080);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd219701zd2_5010;
																																																																BgL_cdrzd219701zd2_5010
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd219470zd2_4950));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4232z00_5011;
																																																																	obj_t
																																																																		BgL_arg4233z00_5012;
																																																																	obj_t
																																																																		BgL_arg4234z00_5013;
																																																																	BgL_arg4232z00_5011
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219701zd2_5010));
																																																																	BgL_arg4233z00_5012
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd219701zd2_5010));
																																																																	BgL_arg4234z00_5013
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22093;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_22096;
																																																																			obj_t
																																																																				BgL_bodyz00_22095;
																																																																			obj_t
																																																																				BgL_varsz00_22094;
																																																																			BgL_varsz00_22094
																																																																				=
																																																																				BgL_arg4232z00_5011;
																																																																			BgL_bodyz00_22095
																																																																				=
																																																																				BgL_arg4233z00_5012;
																																																																			BgL_argsz00_22096
																																																																				=
																																																																				BgL_arg4234z00_5013;
																																																																			BgL_argsz00_1824
																																																																				=
																																																																				BgL_argsz00_22096;
																																																																			BgL_bodyz00_1823
																																																																				=
																																																																				BgL_bodyz00_22095;
																																																																			BgL_varsz00_1822
																																																																				=
																																																																				BgL_varsz00_22094;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1825;
																																																																		}
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22093);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22100;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22100);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd219839zd2_5018;
																																																												BgL_cdrzd219839zd2_5018
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd219470zd2_4950));
																																																												if ((CAR(((obj_t) BgL_carzd219470zd2_4950)) == ((obj_t) CNST_TABLE_REF(1))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd219839zd2_5018))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd219844zd2_5022;
																																																																BgL_cdrzd219844zd2_5022
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd219839zd2_5018);
																																																																if (PAIRP(BgL_cdrzd219844zd2_5022))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd219848zd2_5024;
																																																																		obj_t
																																																																			BgL_cdrzd219849zd2_5025;
																																																																		BgL_carzd219848zd2_5024
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd219844zd2_5022);
																																																																		BgL_cdrzd219849zd2_5025
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd219844zd2_5022);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219848zd2_5024))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd219849zd2_5025))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd219854zd2_5028;
																																																																						BgL_carzd219854zd2_5028
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd219849zd2_5025);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219854zd2_5028))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd219849zd2_5025)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9015z00_22127;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1351z00_5061;
																																																																											BgL_l1351z00_5061
																																																																												=
																																																																												BgL_cdrzd219471zd2_4951;
																																																																										BgL_zc3z04anonymousza34262ze3z87_5062:
																																																																											if (NULLP(BgL_l1351z00_5061))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9015z00_22127
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9017z00_22130;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9018z00_22131;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_22132;
																																																																															BgL_tmpz00_22132
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1351z00_5061));
																																																																															BgL_test9018z00_22131
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_22132);
																																																																														}
																																																																														if (BgL_test9018z00_22131)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9017z00_22130
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9017z00_22130
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9017z00_22130)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1351z00_22136;
																																																																															BgL_l1351z00_22136
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1351z00_5061));
																																																																															BgL_l1351z00_5061
																																																																																=
																																																																																BgL_l1351z00_22136;
																																																																															goto
																																																																																BgL_zc3z04anonymousza34262ze3z87_5062;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9015z00_22127
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9015z00_22127)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg4252z00_5044;
																																																																												BgL_arg4252z00_5044
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd219839zd2_5018);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22140;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_22144;
																																																																														obj_t
																																																																															BgL_proc2z00_22143;
																																																																														obj_t
																																																																															BgL_proc1z00_22142;
																																																																														obj_t
																																																																															BgL_testz00_22141;
																																																																														BgL_testz00_22141
																																																																															=
																																																																															BgL_arg4252z00_5044;
																																																																														BgL_proc1z00_22142
																																																																															=
																																																																															BgL_carzd219848zd2_5024;
																																																																														BgL_proc2z00_22143
																																																																															=
																																																																															BgL_carzd219854zd2_5028;
																																																																														BgL_argsz00_22144
																																																																															=
																																																																															BgL_cdrzd219471zd2_4951;
																																																																														BgL_argsz00_1829
																																																																															=
																																																																															BgL_argsz00_22144;
																																																																														BgL_proc2z00_1828
																																																																															=
																																																																															BgL_proc2z00_22143;
																																																																														BgL_proc1z00_1827
																																																																															=
																																																																															BgL_proc1z00_22142;
																																																																														BgL_testz00_1826
																																																																															=
																																																																															BgL_testz00_22141;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1830;
																																																																													}
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22140);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd219879zd2_5045;
																																																																												BgL_cdrzd219879zd2_5045
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd219887zd2_5046;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12429;
																																																																														BgL_pairz00_12429
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd219887zd2_5046
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12429);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd219895zd2_5047;
																																																																														BgL_cdrzd219895zd2_5047
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd219887zd2_5046));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd219902zd2_5048;
																																																																															BgL_carzd219902zd2_5048
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd219895zd2_5047));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219902zd2_5048))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd219911zd2_5050;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12433;
																																																																																		BgL_pairz00_12433
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd219895zd2_5047));
																																																																																		BgL_carzd219911zd2_5050
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_12433);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd219911zd2_5050))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd219879zd2_5045))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg4256z00_5053;
																																																																																					BgL_arg4256z00_5053
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd219887zd2_5046));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_22166;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_22170;
																																																																																							obj_t
																																																																																								BgL_proc2z00_22169;
																																																																																							obj_t
																																																																																								BgL_proc1z00_22168;
																																																																																							obj_t
																																																																																								BgL_testz00_22167;
																																																																																							BgL_testz00_22167
																																																																																								=
																																																																																								BgL_arg4256z00_5053;
																																																																																							BgL_proc1z00_22168
																																																																																								=
																																																																																								BgL_carzd219902zd2_5048;
																																																																																							BgL_proc2z00_22169
																																																																																								=
																																																																																								BgL_carzd219911zd2_5050;
																																																																																							BgL_argsz00_22170
																																																																																								=
																																																																																								BgL_cdrzd219879zd2_5045;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_22170;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_22169;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_22168;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_22167;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_16356
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_22166);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_22174;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_16356
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_22174);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22178;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22178);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22182;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22182);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22186;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22186);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd220189zd2_5072;
																																																																								BgL_cdrzd220189zd2_5072
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd220196zd2_5073;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12437;
																																																																										BgL_pairz00_12437
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd220196zd2_5073
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12437);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd220203zd2_5074;
																																																																										BgL_cdrzd220203zd2_5074
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd220196zd2_5073));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd220209zd2_5075;
																																																																											obj_t
																																																																												BgL_cdrzd220210zd2_5076;
																																																																											BgL_carzd220209zd2_5075
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220203zd2_5074));
																																																																											BgL_cdrzd220210zd2_5076
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd220203zd2_5074));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220209zd2_5075))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd220217zd2_5078;
																																																																													BgL_carzd220217zd2_5078
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd220210zd2_5076));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220217zd2_5078))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd220210zd2_5076))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220189zd2_5072))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg4271z00_5083;
																																																																																			BgL_arg4271z00_5083
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd220196zd2_5073));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_22213;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_22217;
																																																																																					obj_t
																																																																																						BgL_proc2z00_22216;
																																																																																					obj_t
																																																																																						BgL_proc1z00_22215;
																																																																																					obj_t
																																																																																						BgL_testz00_22214;
																																																																																					BgL_testz00_22214
																																																																																						=
																																																																																						BgL_arg4271z00_5083;
																																																																																					BgL_proc1z00_22215
																																																																																						=
																																																																																						BgL_carzd220209zd2_5075;
																																																																																					BgL_proc2z00_22216
																																																																																						=
																																																																																						BgL_carzd220217zd2_5078;
																																																																																					BgL_argsz00_22217
																																																																																						=
																																																																																						BgL_cdrzd220189zd2_5072;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_22217;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_22216;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_22215;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_22214;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_16356
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_22213);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_22221;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_16356
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_22221);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22225;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22225);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22229;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22229);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22233;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22233);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22237;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22237);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd220550zd2_5091;
																																																																				BgL_cdrzd220550zd2_5091
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd220556zd2_5092;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12446;
																																																																						BgL_pairz00_12446
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd220556zd2_5092
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12446);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd220562zd2_5093;
																																																																						BgL_cdrzd220562zd2_5093
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd220556zd2_5092));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd220567zd2_5094;
																																																																							obj_t
																																																																								BgL_cdrzd220568zd2_5095;
																																																																							BgL_carzd220567zd2_5094
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd220562zd2_5093));
																																																																							BgL_cdrzd220568zd2_5095
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd220562zd2_5093));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220567zd2_5094))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd220568zd2_5095))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd220573zd2_5098;
																																																																											BgL_carzd220573zd2_5098
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd220568zd2_5095);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd220573zd2_5098))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd220568zd2_5095)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd220550zd2_5091))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg4285z00_5103;
																																																																																	BgL_arg4285z00_5103
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd220556zd2_5092));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_22264;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_22268;
																																																																																			obj_t
																																																																																				BgL_proc2z00_22267;
																																																																																			obj_t
																																																																																				BgL_proc1z00_22266;
																																																																																			obj_t
																																																																																				BgL_testz00_22265;
																																																																																			BgL_testz00_22265
																																																																																				=
																																																																																				BgL_arg4285z00_5103;
																																																																																			BgL_proc1z00_22266
																																																																																				=
																																																																																				BgL_carzd220567zd2_5094;
																																																																																			BgL_proc2z00_22267
																																																																																				=
																																																																																				BgL_carzd220573zd2_5098;
																																																																																			BgL_argsz00_22268
																																																																																				=
																																																																																				BgL_cdrzd220550zd2_5091;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_22268;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_22267;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_22266;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_22265;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_16356
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_22264);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_22272;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_16356
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_22272);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22276;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22276);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22280;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22280);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22284;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22284);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22288;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22288);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22292;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22292);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22296;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22296);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22300;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22300);
																																																															}
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((BgL_carzd217807zd2_4936 == ((obj_t) CNST_TABLE_REF(18))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4401z00_5268;
																																											obj_t
																																												BgL_arg4402z00_5269;
																																											BgL_arg4401z00_5268
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd217782zd2_4931));
																																											BgL_arg4402z00_5269
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd217782zd2_4931));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_22310;
																																												{
																																													obj_t
																																														BgL_exprz00_22312;
																																													obj_t
																																														BgL_bindingsz00_22311;
																																													BgL_bindingsz00_22311
																																														=
																																														BgL_arg4401z00_5268;
																																													BgL_exprz00_22312
																																														=
																																														BgL_arg4402z00_5269;
																																													BgL_exprz00_1814
																																														=
																																														BgL_exprz00_22312;
																																													BgL_bindingsz00_1813
																																														=
																																														BgL_bindingsz00_22311;
																																													goto
																																														BgL_tagzd2383zd2_1815;
																																												}
																																												BgL_auxz00_16356
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22310);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd217807zd2_4936)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4404z00_5271;
																																													obj_t
																																														BgL_arg4405z00_5272;
																																													BgL_arg4404z00_5271
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd217782zd2_4931));
																																													BgL_arg4405z00_5272
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd217782zd2_4931));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22321;
																																														{
																																															obj_t
																																																BgL_exprz00_22323;
																																															obj_t
																																																BgL_bindingsz00_22322;
																																															BgL_bindingsz00_22322
																																																=
																																																BgL_arg4404z00_5271;
																																															BgL_exprz00_22323
																																																=
																																																BgL_arg4405z00_5272;
																																															BgL_exprz00_1814
																																																=
																																																BgL_exprz00_22323;
																																															BgL_bindingsz00_1813
																																																=
																																																BgL_bindingsz00_22322;
																																															goto
																																																BgL_tagzd2383zd2_1815;
																																														}
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22321);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd217807zd2_4936 == ((obj_t) CNST_TABLE_REF(19))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4406z00_5273;
																																															obj_t
																																																BgL_arg4407z00_5274;
																																															BgL_arg4406z00_5273
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd217782zd2_4931));
																																															BgL_arg4407z00_5274
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd217782zd2_4931));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_22333;
																																																{
																																																	obj_t
																																																		BgL_exprz00_22335;
																																																	obj_t
																																																		BgL_bindingsz00_22334;
																																																	BgL_bindingsz00_22334
																																																		=
																																																		BgL_arg4406z00_5273;
																																																	BgL_exprz00_22335
																																																		=
																																																		BgL_arg4407z00_5274;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_22335;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_22334;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_16356
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22333);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_22343;
																																																	goto
																																																		BgL_tagzd2384zd2_1816;
																																																	BgL_auxz00_16356
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_22343);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd221148zd2_5277;
																																																	BgL_carzd221148zd2_5277
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd221148zd2_5277 == ((obj_t) CNST_TABLE_REF(20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_22351;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22351);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221148zd2_5277)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_22356;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_22356);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_22364;
																																																							goto
																																																								BgL_tagzd2390zd2_1836;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_22364);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22372;
																																																									goto
																																																										BgL_tagzd2391zd2_1837;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22372);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd221228zd2_5283;
																																																									BgL_cdrzd221228zd2_5283
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg4417z00_5286;
																																																											obj_t
																																																												BgL_arg4418z00_5287;
																																																											BgL_arg4417z00_5286
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd221228zd2_5283));
																																																											BgL_arg4418z00_5287
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd221228zd2_5283));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_22386;
																																																												{
																																																													obj_t
																																																														BgL_restz00_22388;
																																																													obj_t
																																																														BgL_effectz00_22387;
																																																													BgL_effectz00_22387
																																																														=
																																																														BgL_arg4417z00_5286;
																																																													BgL_restz00_22388
																																																														=
																																																														BgL_arg4418z00_5287;
																																																													BgL_restz00_1839
																																																														=
																																																														BgL_restz00_22388;
																																																													BgL_effectz00_1838
																																																														=
																																																														BgL_effectz00_22387;
																																																													goto
																																																														BgL_tagzd2392zd2_1840;
																																																												}
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_22386);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22396;
																																																													goto
																																																														BgL_tagzd2393zd2_1841;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22396);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_22404;
																																																															goto
																																																																BgL_tagzd2394zd2_1842;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_22404);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4425z00_5295;
																																																																	obj_t
																																																																		BgL_arg4426z00_5296;
																																																																	BgL_arg4425z00_5295
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221228zd2_5283));
																																																																	BgL_arg4426z00_5296
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221228zd2_5283));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22416;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_22418;
																																																																			obj_t
																																																																				BgL_effectz00_22417;
																																																																			BgL_effectz00_22417
																																																																				=
																																																																				BgL_arg4425z00_5295;
																																																																			BgL_restz00_22418
																																																																				=
																																																																				BgL_arg4426z00_5296;
																																																																			BgL_restz00_1844
																																																																				=
																																																																				BgL_restz00_22418;
																																																																			BgL_effectz00_1843
																																																																				=
																																																																				BgL_effectz00_22417;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1845;
																																																																		}
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22416);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_22426;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1846;
																																																																			BgL_auxz00_16356
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_22426);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_22434;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1847;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_22434);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_22442;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1848;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22442);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_22450;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1849;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22450);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd221305zd2_5305;
																																																																									BgL_cdrzd221305zd2_5305
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4437z00_5308;
																																																																											obj_t
																																																																												BgL_arg4438z00_5309;
																																																																											BgL_arg4437z00_5308
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd221305zd2_5305));
																																																																											BgL_arg4438z00_5309
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd221305zd2_5305));
																																																																											{	/* Ast/sexp.scm 564 */
																																																																												obj_t
																																																																													BgL_arg7648z00_12483;
																																																																												BgL_arg7648z00_12483
																																																																													=
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																													BgL_locz00_23);
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																													(BgL_expz00_21,
																																																																														BgL_arg4437z00_5308,
																																																																														((obj_t) CNST_TABLE_REF(4)), BgL_arg4438z00_5309, BgL_stackz00_22, BgL_arg7648z00_12483, BgL_sitez00_24));
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22471;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22471);
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd221330zd2_5326;
																											BgL_carzd221330zd2_5326 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd221330zd2_5326
																													==
																													((obj_t)
																														CNST_TABLE_REF(1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_22479;
																													goto
																														BgL_tagzd2377zd2_1801;
																													BgL_auxz00_16356 =
																														((obj_t)
																														BgL_auxz00_22479);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd221330zd2_5326
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_22483;
																															goto
																																BgL_tagzd2377zd2_1801;
																															BgL_auxz00_16356 =
																																((obj_t)
																																BgL_auxz00_22483);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_22491;
																																	goto
																																		BgL_tagzd2379zd2_1805;
																																	BgL_auxz00_16356
																																		=
																																		((obj_t)
																																		BgL_auxz00_22491);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_22499;
																																			goto
																																				BgL_tagzd2380zd2_1806;
																																			BgL_auxz00_16356
																																				=
																																				((obj_t)
																																				BgL_auxz00_22499);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd221415zd2_5332;
																																			BgL_carzd221415zd2_5332
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd221415zd2_5332))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd221418zd2_5334;
																																					obj_t
																																						BgL_cdrzd221419zd2_5335;
																																					BgL_carzd221418zd2_5334
																																						=
																																						CAR
																																						(BgL_carzd221415zd2_5332);
																																					BgL_cdrzd221419zd2_5335
																																						=
																																						CDR
																																						(BgL_carzd221415zd2_5332);
																																					{

																																						if (
																																							(BgL_carzd221418zd2_5334
																																								==
																																								((obj_t) CNST_TABLE_REF(18))))
																																							{	/* Ast/sexp.scm 119 */
																																							BgL_kapzd221420zd2_5336:
																																								if (PAIRP(BgL_cdrzd221419zd2_5335))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd221423zd2_5452;
																																										BgL_cdrzd221423zd2_5452
																																											=
																																											CDR
																																											(BgL_cdrzd221419zd2_5335);
																																										if (PAIRP(BgL_cdrzd221423zd2_5452))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd221423zd2_5452)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4537z00_5456;
																																														obj_t
																																															BgL_arg4538z00_5457;
																																														BgL_arg4537z00_5456
																																															=
																																															CAR
																																															(BgL_cdrzd221423zd2_5452);
																																														BgL_arg4538z00_5457
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_22522;
																																															{
																																																obj_t
																																																	BgL_argsz00_22524;
																																																obj_t
																																																	BgL_bodyz00_22523;
																																																BgL_bodyz00_22523
																																																	=
																																																	BgL_arg4537z00_5456;
																																																BgL_argsz00_22524
																																																	=
																																																	BgL_arg4538z00_5457;
																																																BgL_argsz00_1811
																																																	=
																																																	BgL_argsz00_22524;
																																																BgL_bodyz00_1810
																																																	=
																																																	BgL_bodyz00_22523;
																																																goto
																																																	BgL_tagzd2382zd2_1812;
																																															}
																																															BgL_auxz00_16356
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_22522);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9075z00_22526;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4602z00_5563;
																																															BgL_arg4602z00_5563
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9075z00_22526
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4602z00_5563));
																																														}
																																														if (BgL_test9075z00_22526)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_22531;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_16356
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_22531);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd221501zd2_5460;
																																																BgL_carzd221501zd2_5460
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd221506zd2_5461;
																																																	BgL_cdrzd221506zd2_5461
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd221501zd2_5460));
																																																	if ((CAR(((obj_t) BgL_carzd221501zd2_5460)) == ((obj_t) CNST_TABLE_REF(3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4543z00_5464;
																																																			obj_t
																																																				BgL_arg4544z00_5465;
																																																			obj_t
																																																				BgL_arg4545z00_5466;
																																																			BgL_arg4543z00_5464
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd221506zd2_5461));
																																																			BgL_arg4544z00_5465
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd221506zd2_5461));
																																																			BgL_arg4545z00_5466
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_22549;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_22552;
																																																					obj_t
																																																						BgL_bodyz00_22551;
																																																					obj_t
																																																						BgL_varsz00_22550;
																																																					BgL_varsz00_22550
																																																						=
																																																						BgL_arg4543z00_5464;
																																																					BgL_bodyz00_22551
																																																						=
																																																						BgL_arg4544z00_5465;
																																																					BgL_argsz00_22552
																																																						=
																																																						BgL_arg4545z00_5466;
																																																					BgL_argsz00_1824
																																																						=
																																																						BgL_argsz00_22552;
																																																					BgL_bodyz00_1823
																																																						=
																																																						BgL_bodyz00_22551;
																																																					BgL_varsz00_1822
																																																						=
																																																						BgL_varsz00_22550;
																																																					goto
																																																						BgL_tagzd2387zd2_1825;
																																																				}
																																																				BgL_auxz00_16356
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_22549);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd221529zd2_5468;
																																																			BgL_cdrzd221529zd2_5468
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd221535zd2_5469;
																																																				BgL_cdrzd221535zd2_5469
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd221501zd2_5460));
																																																				if ((CAR(((obj_t) BgL_carzd221501zd2_5460)) == ((obj_t) CNST_TABLE_REF(1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd221541zd2_5472;
																																																						BgL_cdrzd221541zd2_5472
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd221535zd2_5469));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd221546zd2_5473;
																																																							obj_t
																																																								BgL_cdrzd221547zd2_5474;
																																																							BgL_carzd221546zd2_5473
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd221541zd2_5472));
																																																							BgL_cdrzd221547zd2_5474
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd221541zd2_5472));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221546zd2_5473))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd221547zd2_5474))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd221554zd2_5477;
																																																											BgL_carzd221554zd2_5477
																																																												=
																																																												CAR
																																																												(BgL_cdrzd221547zd2_5474);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221554zd2_5477))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd221547zd2_5474)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9082z00_22580;
																																																															{
																																																																obj_t
																																																																	BgL_l1354z00_5510;
																																																																BgL_l1354z00_5510
																																																																	=
																																																																	BgL_cdrzd221529zd2_5468;
																																																															BgL_zc3z04anonymousza34568ze3z87_5511:
																																																																if (NULLP(BgL_l1354z00_5510))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9082z00_22580
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test9084z00_22583;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9085z00_22584;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_22585;
																																																																				BgL_tmpz00_22585
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1354z00_5510));
																																																																				BgL_test9085z00_22584
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_22585);
																																																																			}
																																																																			if (BgL_test9085z00_22584)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9084z00_22583
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test9084z00_22583
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test9084z00_22583)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1354z00_22589;
																																																																				BgL_l1354z00_22589
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1354z00_5510));
																																																																				BgL_l1354z00_5510
																																																																					=
																																																																					BgL_l1354z00_22589;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34568ze3z87_5511;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9082z00_22580
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test9082z00_22580)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4558z00_5493;
																																																																	BgL_arg4558z00_5493
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd221535zd2_5469));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22594;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_22598;
																																																																			obj_t
																																																																				BgL_proc2z00_22597;
																																																																			obj_t
																																																																				BgL_proc1z00_22596;
																																																																			obj_t
																																																																				BgL_testz00_22595;
																																																																			BgL_testz00_22595
																																																																				=
																																																																				BgL_arg4558z00_5493;
																																																																			BgL_proc1z00_22596
																																																																				=
																																																																				BgL_carzd221546zd2_5473;
																																																																			BgL_proc2z00_22597
																																																																				=
																																																																				BgL_carzd221554zd2_5477;
																																																																			BgL_argsz00_22598
																																																																				=
																																																																				BgL_cdrzd221529zd2_5468;
																																																																			BgL_argsz00_1829
																																																																				=
																																																																				BgL_argsz00_22598;
																																																																			BgL_proc2z00_1828
																																																																				=
																																																																				BgL_proc2z00_22597;
																																																																			BgL_proc1z00_1827
																																																																				=
																																																																				BgL_proc1z00_22596;
																																																																			BgL_testz00_1826
																																																																				=
																																																																				BgL_testz00_22595;
																																																																			goto
																																																																				BgL_tagzd2388zd2_1830;
																																																																		}
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22594);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd221578zd2_5494;
																																																																	BgL_cdrzd221578zd2_5494
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd221585zd2_5495;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_12515;
																																																																			BgL_pairz00_12515
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd221585zd2_5495
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_12515);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd221592zd2_5496;
																																																																			BgL_cdrzd221592zd2_5496
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd221585zd2_5495));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd221598zd2_5497;
																																																																				BgL_carzd221598zd2_5497
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd221592zd2_5496));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221598zd2_5497))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd221605zd2_5499;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12519;
																																																																							BgL_pairz00_12519
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd221592zd2_5496));
																																																																							BgL_carzd221605zd2_5499
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_12519);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221605zd2_5499))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221578zd2_5494))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4562z00_5502;
																																																																										BgL_arg4562z00_5502
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd221585zd2_5495));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22620;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_22624;
																																																																												obj_t
																																																																													BgL_proc2z00_22623;
																																																																												obj_t
																																																																													BgL_proc1z00_22622;
																																																																												obj_t
																																																																													BgL_testz00_22621;
																																																																												BgL_testz00_22621
																																																																													=
																																																																													BgL_arg4562z00_5502;
																																																																												BgL_proc1z00_22622
																																																																													=
																																																																													BgL_carzd221598zd2_5497;
																																																																												BgL_proc2z00_22623
																																																																													=
																																																																													BgL_carzd221605zd2_5499;
																																																																												BgL_argsz00_22624
																																																																													=
																																																																													BgL_cdrzd221578zd2_5494;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_22624;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_22623;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_22622;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_22621;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22620);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_22628;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_22628);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22632;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22632);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22636;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22636);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_22640;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_22640);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd221881zd2_5521;
																																																													BgL_cdrzd221881zd2_5521
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd221887zd2_5522;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_12523;
																																																															BgL_pairz00_12523
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd221887zd2_5522
																																																																=
																																																																CDR
																																																																(BgL_pairz00_12523);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd221893zd2_5523;
																																																															BgL_cdrzd221893zd2_5523
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd221887zd2_5522));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd221898zd2_5524;
																																																																obj_t
																																																																	BgL_cdrzd221899zd2_5525;
																																																																BgL_carzd221898zd2_5524
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221893zd2_5523));
																																																																BgL_cdrzd221899zd2_5525
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd221893zd2_5523));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221898zd2_5524))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd221904zd2_5527;
																																																																		BgL_carzd221904zd2_5527
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd221899zd2_5525));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd221904zd2_5527))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd221899zd2_5525))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd221881zd2_5521))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4577z00_5532;
																																																																								BgL_arg4577z00_5532
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd221887zd2_5522));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22667;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_22671;
																																																																										obj_t
																																																																											BgL_proc2z00_22670;
																																																																										obj_t
																																																																											BgL_proc1z00_22669;
																																																																										obj_t
																																																																											BgL_testz00_22668;
																																																																										BgL_testz00_22668
																																																																											=
																																																																											BgL_arg4577z00_5532;
																																																																										BgL_proc1z00_22669
																																																																											=
																																																																											BgL_carzd221898zd2_5524;
																																																																										BgL_proc2z00_22670
																																																																											=
																																																																											BgL_carzd221904zd2_5527;
																																																																										BgL_argsz00_22671
																																																																											=
																																																																											BgL_cdrzd221881zd2_5521;
																																																																										BgL_argsz00_1834
																																																																											=
																																																																											BgL_argsz00_22671;
																																																																										BgL_proc2z00_1833
																																																																											=
																																																																											BgL_proc2z00_22670;
																																																																										BgL_proc1z00_1832
																																																																											=
																																																																											BgL_proc1z00_22669;
																																																																										BgL_testz00_1831
																																																																											=
																																																																											BgL_testz00_22668;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1835;
																																																																									}
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22667);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_22675;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_16356
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_22675);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22679;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22679);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22683;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22683);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22687;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22687);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_22691;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_16356
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_22691);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd222237zd2_5540;
																																																									BgL_cdrzd222237zd2_5540
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd222244zd2_5541;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_12532;
																																																											BgL_pairz00_12532
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd222244zd2_5541
																																																												=
																																																												CDR
																																																												(BgL_pairz00_12532);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd222251zd2_5542;
																																																											BgL_cdrzd222251zd2_5542
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd222244zd2_5541));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd222257zd2_5543;
																																																												obj_t
																																																													BgL_cdrzd222258zd2_5544;
																																																												BgL_carzd222257zd2_5543
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd222251zd2_5542));
																																																												BgL_cdrzd222258zd2_5544
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd222251zd2_5542));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222257zd2_5543))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd222258zd2_5544))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd222265zd2_5547;
																																																																BgL_carzd222265zd2_5547
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd222258zd2_5544);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd222265zd2_5547))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd222258zd2_5544)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd222237zd2_5540))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4591z00_5552;
																																																																						BgL_arg4591z00_5552
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd222244zd2_5541));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22718;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22722;
																																																																								obj_t
																																																																									BgL_proc2z00_22721;
																																																																								obj_t
																																																																									BgL_proc1z00_22720;
																																																																								obj_t
																																																																									BgL_testz00_22719;
																																																																								BgL_testz00_22719
																																																																									=
																																																																									BgL_arg4591z00_5552;
																																																																								BgL_proc1z00_22720
																																																																									=
																																																																									BgL_carzd222257zd2_5543;
																																																																								BgL_proc2z00_22721
																																																																									=
																																																																									BgL_carzd222265zd2_5547;
																																																																								BgL_argsz00_22722
																																																																									=
																																																																									BgL_cdrzd222237zd2_5540;
																																																																								BgL_argsz00_1834
																																																																									=
																																																																									BgL_argsz00_22722;
																																																																								BgL_proc2z00_1833
																																																																									=
																																																																									BgL_proc2z00_22721;
																																																																								BgL_proc1z00_1832
																																																																									=
																																																																									BgL_proc1z00_22720;
																																																																								BgL_testz00_1831
																																																																									=
																																																																									BgL_testz00_22719;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1835;
																																																																							}
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22718);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_22726;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_16356
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_22726);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22730;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22730);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_22734;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_16356
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_22734);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22738;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22738);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_22742;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_16356
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_22742);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1859;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22746;
																																																								goto
																																																									BgL_tagzd2405zd2_1860;
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22746);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9113z00_22748;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4613z00_5576;
																																													BgL_arg4613z00_5576
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9113z00_22748
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4613z00_5576));
																																												}
																																												if (BgL_test9113z00_22748)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_22753;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22753);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd222711zd2_5567;
																																														BgL_carzd222711zd2_5567
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd222716zd2_5568;
																																															BgL_cdrzd222716zd2_5568
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd222711zd2_5567));
																																															if ((CAR(((obj_t) BgL_carzd222711zd2_5567)) == ((obj_t) CNST_TABLE_REF(3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4608z00_5571;
																																																	obj_t
																																																		BgL_arg4609z00_5572;
																																																	obj_t
																																																		BgL_arg4610z00_5573;
																																																	BgL_arg4608z00_5571
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd222716zd2_5568));
																																																	BgL_arg4609z00_5572
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd222716zd2_5568));
																																																	BgL_arg4610z00_5573
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_22771;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_22774;
																																																			obj_t
																																																				BgL_bodyz00_22773;
																																																			obj_t
																																																				BgL_varsz00_22772;
																																																			BgL_varsz00_22772
																																																				=
																																																				BgL_arg4608z00_5571;
																																																			BgL_bodyz00_22773
																																																				=
																																																				BgL_arg4609z00_5572;
																																																			BgL_argsz00_22774
																																																				=
																																																				BgL_arg4610z00_5573;
																																																			BgL_argsz00_1824
																																																				=
																																																				BgL_argsz00_22774;
																																																			BgL_bodyz00_1823
																																																				=
																																																				BgL_bodyz00_22773;
																																																			BgL_varsz00_1822
																																																				=
																																																				BgL_varsz00_22772;
																																																			goto
																																																				BgL_tagzd2387zd2_1825;
																																																		}
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22771);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1859;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_22778;
																																																			goto
																																																				BgL_tagzd2405zd2_1860;
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_22778);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test9116z00_22780;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4617z00_5580;
																																											BgL_arg4617z00_5580
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test9116z00_22780
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4617z00_5580));
																																										}
																																										if (BgL_test9116z00_22780)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_22785;
																																												goto
																																													BgL_tagzd2385zd2_1817;
																																												BgL_auxz00_16356
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_22785);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2404zd2_1859;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_22789;
																																														goto
																																															BgL_tagzd2405zd2_1860;
																																														BgL_auxz00_16356
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_22789);
																																													}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd221418zd2_5334)))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd221420zd2_5336;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd221418zd2_5334 == ((obj_t) CNST_TABLE_REF(19))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd221420zd2_5336;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd221418zd2_5334 == ((obj_t) CNST_TABLE_REF(20))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd221420zd2_5336;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd221418zd2_5334)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd221420zd2_5336;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9122z00_22805;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4532z00_5450;
																																																	BgL_arg4532z00_5450
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9122z00_22805
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4532z00_5450));
																																																}
																																																if (BgL_test9122z00_22805)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_22810;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_16356
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_22810);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd223039zd2_5341;
																																																		BgL_carzd223039zd2_5341
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd223044zd2_5342;
																																																			BgL_cdrzd223044zd2_5342
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd223039zd2_5341));
																																																			if ((CAR(((obj_t) BgL_carzd223039zd2_5341)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd223044zd2_5342))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4468z00_5346;
																																																							obj_t
																																																								BgL_arg4469z00_5347;
																																																							obj_t
																																																								BgL_arg4470z00_5348;
																																																							BgL_arg4468z00_5346
																																																								=
																																																								CAR
																																																								(BgL_cdrzd223044zd2_5342);
																																																							BgL_arg4469z00_5347
																																																								=
																																																								CDR
																																																								(BgL_cdrzd223044zd2_5342);
																																																							BgL_arg4470z00_5348
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_22828;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_22831;
																																																									obj_t
																																																										BgL_bodyz00_22830;
																																																									obj_t
																																																										BgL_varsz00_22829;
																																																									BgL_varsz00_22829
																																																										=
																																																										BgL_arg4468z00_5346;
																																																									BgL_bodyz00_22830
																																																										=
																																																										BgL_arg4469z00_5347;
																																																									BgL_argsz00_22831
																																																										=
																																																										BgL_arg4470z00_5348;
																																																									BgL_argsz00_1824
																																																										=
																																																										BgL_argsz00_22831;
																																																									BgL_bodyz00_1823
																																																										=
																																																										BgL_bodyz00_22830;
																																																									BgL_varsz00_1822
																																																										=
																																																										BgL_varsz00_22829;
																																																									goto
																																																										BgL_tagzd2387zd2_1825;
																																																								}
																																																								BgL_auxz00_16356
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_22828);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1859;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_22835;
																																																									goto
																																																										BgL_tagzd2405zd2_1860;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_22835);
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd223151zd2_5351;
																																																					BgL_cdrzd223151zd2_5351
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd223156zd2_5352;
																																																						BgL_cdrzd223156zd2_5352
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd223039zd2_5341));
																																																						if ((CAR(((obj_t) BgL_carzd223039zd2_5341)) == ((obj_t) CNST_TABLE_REF(1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd223156zd2_5352))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd223161zd2_5356;
																																																										BgL_cdrzd223161zd2_5356
																																																											=
																																																											CDR
																																																											(BgL_cdrzd223156zd2_5352);
																																																										if (PAIRP(BgL_cdrzd223161zd2_5356))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd223165zd2_5358;
																																																												obj_t
																																																													BgL_cdrzd223166zd2_5359;
																																																												BgL_carzd223165zd2_5358
																																																													=
																																																													CAR
																																																													(BgL_cdrzd223161zd2_5356);
																																																												BgL_cdrzd223166zd2_5359
																																																													=
																																																													CDR
																																																													(BgL_cdrzd223161zd2_5356);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223165zd2_5358))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd223166zd2_5359))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd223171zd2_5362;
																																																																BgL_carzd223171zd2_5362
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd223166zd2_5359);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223171zd2_5362))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd223166zd2_5359)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9133z00_22864;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1357z00_5395;
																																																																					BgL_l1357z00_5395
																																																																						=
																																																																						BgL_cdrzd223151zd2_5351;
																																																																				BgL_zc3z04anonymousza34496ze3z87_5396:
																																																																					if (NULLP(BgL_l1357z00_5395))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9133z00_22864
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9135z00_22867;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9136z00_22868;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_22869;
																																																																									BgL_tmpz00_22869
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1357z00_5395));
																																																																									BgL_test9136z00_22868
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_22869);
																																																																								}
																																																																								if (BgL_test9136z00_22868)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9135z00_22867
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9135z00_22867
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test9135z00_22867)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1357z00_22873;
																																																																									BgL_l1357z00_22873
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1357z00_5395));
																																																																									BgL_l1357z00_5395
																																																																										=
																																																																										BgL_l1357z00_22873;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34496ze3z87_5396;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9133z00_22864
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test9133z00_22864)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4486z00_5378;
																																																																						BgL_arg4486z00_5378
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd223156zd2_5352);
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_22877;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_22881;
																																																																								obj_t
																																																																									BgL_proc2z00_22880;
																																																																								obj_t
																																																																									BgL_proc1z00_22879;
																																																																								obj_t
																																																																									BgL_testz00_22878;
																																																																								BgL_testz00_22878
																																																																									=
																																																																									BgL_arg4486z00_5378;
																																																																								BgL_proc1z00_22879
																																																																									=
																																																																									BgL_carzd223165zd2_5358;
																																																																								BgL_proc2z00_22880
																																																																									=
																																																																									BgL_carzd223171zd2_5362;
																																																																								BgL_argsz00_22881
																																																																									=
																																																																									BgL_cdrzd223151zd2_5351;
																																																																								BgL_argsz00_1829
																																																																									=
																																																																									BgL_argsz00_22881;
																																																																								BgL_proc2z00_1828
																																																																									=
																																																																									BgL_proc2z00_22880;
																																																																								BgL_proc1z00_1827
																																																																									=
																																																																									BgL_proc1z00_22879;
																																																																								BgL_testz00_1826
																																																																									=
																																																																									BgL_testz00_22878;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1830;
																																																																							}
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_22877);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd223196zd2_5379;
																																																																						BgL_cdrzd223196zd2_5379
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd223204zd2_5380;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_12568;
																																																																								BgL_pairz00_12568
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd223204zd2_5380
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_12568);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd223212zd2_5381;
																																																																								BgL_cdrzd223212zd2_5381
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd223204zd2_5380));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd223219zd2_5382;
																																																																									BgL_carzd223219zd2_5382
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd223212zd2_5381));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223219zd2_5382))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd223228zd2_5384;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_12572;
																																																																												BgL_pairz00_12572
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd223212zd2_5381));
																																																																												BgL_carzd223228zd2_5384
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_12572);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223228zd2_5384))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223196zd2_5379))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4490z00_5387;
																																																																															BgL_arg4490z00_5387
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd223204zd2_5380));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_22903;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_22907;
																																																																																	obj_t
																																																																																		BgL_proc2z00_22906;
																																																																																	obj_t
																																																																																		BgL_proc1z00_22905;
																																																																																	obj_t
																																																																																		BgL_testz00_22904;
																																																																																	BgL_testz00_22904
																																																																																		=
																																																																																		BgL_arg4490z00_5387;
																																																																																	BgL_proc1z00_22905
																																																																																		=
																																																																																		BgL_carzd223219zd2_5382;
																																																																																	BgL_proc2z00_22906
																																																																																		=
																																																																																		BgL_carzd223228zd2_5384;
																																																																																	BgL_argsz00_22907
																																																																																		=
																																																																																		BgL_cdrzd223196zd2_5379;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_22907;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_22906;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_22905;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_22904;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_16356
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_22903);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_22911;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_16356
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_22911);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22915;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22915);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22919;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22919);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_22923;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_16356
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_22923);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd223506zd2_5406;
																																																																		BgL_cdrzd223506zd2_5406
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd223513zd2_5407;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12576;
																																																																				BgL_pairz00_12576
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd223513zd2_5407
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_12576);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd223520zd2_5408;
																																																																				BgL_cdrzd223520zd2_5408
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd223513zd2_5407));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223526zd2_5409;
																																																																					obj_t
																																																																						BgL_cdrzd223527zd2_5410;
																																																																					BgL_carzd223526zd2_5409
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223520zd2_5408));
																																																																					BgL_cdrzd223527zd2_5410
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd223520zd2_5408));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223526zd2_5409))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd223534zd2_5412;
																																																																							BgL_carzd223534zd2_5412
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd223527zd2_5410));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223534zd2_5412))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd223527zd2_5410))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223506zd2_5406))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4505z00_5417;
																																																																													BgL_arg4505z00_5417
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd223513zd2_5407));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_22950;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_22954;
																																																																															obj_t
																																																																																BgL_proc2z00_22953;
																																																																															obj_t
																																																																																BgL_proc1z00_22952;
																																																																															obj_t
																																																																																BgL_testz00_22951;
																																																																															BgL_testz00_22951
																																																																																=
																																																																																BgL_arg4505z00_5417;
																																																																															BgL_proc1z00_22952
																																																																																=
																																																																																BgL_carzd223526zd2_5409;
																																																																															BgL_proc2z00_22953
																																																																																=
																																																																																BgL_carzd223534zd2_5412;
																																																																															BgL_argsz00_22954
																																																																																=
																																																																																BgL_cdrzd223506zd2_5406;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_22954;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_22953;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_22952;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_22951;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																														BgL_auxz00_16356
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_22950);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_22958;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_16356
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_22958);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_22962;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_22962);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_22966;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_22966);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_22970;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_22970);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_22974;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_16356
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_22974);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd223867zd2_5425;
																																																														BgL_cdrzd223867zd2_5425
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd223873zd2_5426;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_12585;
																																																																BgL_pairz00_12585
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd223873zd2_5426
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12585);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd223879zd2_5427;
																																																																BgL_cdrzd223879zd2_5427
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd223873zd2_5426));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd223884zd2_5428;
																																																																	obj_t
																																																																		BgL_cdrzd223885zd2_5429;
																																																																	BgL_carzd223884zd2_5428
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223879zd2_5427));
																																																																	BgL_cdrzd223885zd2_5429
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd223879zd2_5427));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223884zd2_5428))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd223885zd2_5429))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd223890zd2_5432;
																																																																					BgL_carzd223890zd2_5432
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd223885zd2_5429);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd223890zd2_5432))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd223885zd2_5429)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd223867zd2_5425))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4519z00_5437;
																																																																											BgL_arg4519z00_5437
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd223873zd2_5426));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23001;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_23005;
																																																																													obj_t
																																																																														BgL_proc2z00_23004;
																																																																													obj_t
																																																																														BgL_proc1z00_23003;
																																																																													obj_t
																																																																														BgL_testz00_23002;
																																																																													BgL_testz00_23002
																																																																														=
																																																																														BgL_arg4519z00_5437;
																																																																													BgL_proc1z00_23003
																																																																														=
																																																																														BgL_carzd223884zd2_5428;
																																																																													BgL_proc2z00_23004
																																																																														=
																																																																														BgL_carzd223890zd2_5432;
																																																																													BgL_argsz00_23005
																																																																														=
																																																																														BgL_cdrzd223867zd2_5425;
																																																																													BgL_argsz00_1834
																																																																														=
																																																																														BgL_argsz00_23005;
																																																																													BgL_proc2z00_1833
																																																																														=
																																																																														BgL_proc2z00_23004;
																																																																													BgL_proc1z00_1832
																																																																														=
																																																																														BgL_proc1z00_23003;
																																																																													BgL_testz00_1831
																																																																														=
																																																																														BgL_testz00_23002;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1835;
																																																																												}
																																																																												BgL_auxz00_16356
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23001);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23009;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_16356
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23009);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23013;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_16356
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23013);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23017;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_16356
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23017);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_23021;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_16356
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_23021);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_23025;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_16356
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_23025);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_23029;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_16356
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_23029);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_23033;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_16356
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_23033);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23037;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_16356
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23037);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd221415zd2_5332
																																							==
																																							((obj_t) CNST_TABLE_REF(21))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_23043;
																																							goto
																																								BgL_tagzd2384zd2_1816;
																																							BgL_auxz00_16356
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_23043);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd224452zd2_5583;
																																							BgL_carzd224452zd2_5583
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if ((BgL_carzd224452zd2_5583 == ((obj_t) CNST_TABLE_REF(20))))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_23051;
																																									goto
																																										BgL_tagzd2385zd2_1817;
																																									BgL_auxz00_16356
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_23051);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224452zd2_5583)))
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_23056;
																																											goto
																																												BgL_tagzd2385zd2_1817;
																																											BgL_auxz00_16356
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_23056);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_23064;
																																													goto
																																														BgL_tagzd2390zd2_1836;
																																													BgL_auxz00_16356
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_23064);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_23072;
																																															goto
																																																BgL_tagzd2391zd2_1837;
																																															BgL_auxz00_16356
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_23072);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_23080;
																																																	goto
																																																		BgL_tagzd2393zd2_1841;
																																																	BgL_auxz00_16356
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_23080);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_23088;
																																																			goto
																																																				BgL_tagzd2394zd2_1842;
																																																			BgL_auxz00_16356
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_23088);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23096;
																																																					goto
																																																						BgL_tagzd2396zd2_1846;
																																																					BgL_auxz00_16356
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23096);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_23104;
																																																							goto
																																																								BgL_tagzd2397zd2_1847;
																																																							BgL_auxz00_16356
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_23104);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_23112;
																																																									goto
																																																										BgL_tagzd2398zd2_1848;
																																																									BgL_auxz00_16356
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_23112);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																										{
																																																											BgL_jumpzd2exzd2itz00_bglt
																																																												BgL_auxz00_23120;
																																																											goto
																																																												BgL_tagzd2399zd2_1849;
																																																											BgL_auxz00_16356
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_23120);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23130;
																																																														BgL_tagzd2403zd2_1858:
																																																															{	/* Ast/sexp.scm 568 */
																																																																obj_t
																																																																	BgL_arg7649z00_10020;
																																																																BgL_arg7649z00_10020
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 567 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res8017z00_11397;
																																																																	{	/* Ast/sexp.scm 735 */
																																																																		obj_t
																																																																			BgL_arg7755z00_11393;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg7756z00_11394;
																																																																		BgL_arg7755z00_11393
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg7756z00_11394
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(
																																																																			((obj_t) CNST_TABLE_REF(4)), BNIL, BgL_arg7649z00_10020, ((obj_t) CNST_TABLE_REF(2)));
																																																																		{	/* Ast/sexp.scm 734 */
																																																																			obj_t
																																																																				BgL_list7757z00_11396;
																																																																			BgL_list7757z00_11396
																																																																				=
																																																																				MAKE_YOUNG_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg7756z00_11394), BNIL);
																																																																			BgL_res8017z00_11397
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg7649z00_10020,
																																																																					BgL_arg7755z00_11393,
																																																																					BGl_string8052z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list7757z00_11396));
																																																																		}
																																																																	}
																																																																	BgL_auxz00_23130
																																																																		=
																																																																		BgL_res8017z00_11397;
																																																																}
																																																															}
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23130);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_23146;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_16356
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_23146);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23150;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_16356
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23150);
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_16356);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									if (
																										(BgL_carzd2611zd2_1889 ==
																											BGl_za2ifza2z00zzast_sexpz00))
																										{
																											obj_t BgL_auxz00_23155;

																											goto
																												BgL_kapzd2613zd2_1891;
																											return ((BgL_nodez00_bglt)
																												BgL_auxz00_23155);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											bool_t
																												BgL_test9182z00_23157;
																											{	/* Ast/sexp.scm 119 */
																												obj_t
																													BgL_arg2673z00_3127;
																												BgL_arg2673z00_3127 =
																													CAR(((obj_t)
																														BgL_expz00_21));
																												BgL_test9182z00_23157 =
																													(BgL_arg2673z00_3127
																													==
																													BGl_za2ifza2z00zzast_sexpz00);
																											}
																											if (BgL_test9182z00_23157)
																												{	/* Ast/sexp.scm 119 */
																													goto
																														BgL_tagzd2377zd2_1801;
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_cdrzd224624zd2_1895;
																													BgL_cdrzd224624zd2_1895
																														=
																														CDR(((obj_t)
																															BgL_expz00_21));
																													if ((CAR(((obj_t)
																																	BgL_expz00_21))
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(7))))
																														{	/* Ast/sexp.scm 119 */
																															if (PAIRP
																																(BgL_cdrzd224624zd2_1895))
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd224627zd2_1899;
																																	obj_t
																																		BgL_cdrzd224628zd2_1900;
																																	BgL_carzd224627zd2_1899
																																		=
																																		CAR
																																		(BgL_cdrzd224624zd2_1895);
																																	BgL_cdrzd224628zd2_1900
																																		=
																																		CDR
																																		(BgL_cdrzd224624zd2_1895);
																																	if (PAIRP
																																		(BgL_carzd224627zd2_1899))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR
																																					(BgL_carzd224627zd2_1899)
																																					==
																																					((obj_t) CNST_TABLE_REF(14))))
																																				{	/* Ast/sexp.scm 119 */
																																					if (PAIRP(BgL_cdrzd224628zd2_1900))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(BgL_cdrzd224628zd2_1900)))
																																								{
																																									obj_t
																																										BgL_valz00_23187;
																																									obj_t
																																										BgL_lz00_23185;
																																									BgL_lz00_23185
																																										=
																																										CDR
																																										(BgL_carzd224627zd2_1899);
																																									BgL_valz00_23187
																																										=
																																										CAR
																																										(BgL_cdrzd224628zd2_1900);
																																									BgL_valz00_1803
																																										=
																																										BgL_valz00_23187;
																																									BgL_lz00_1802
																																										=
																																										BgL_lz00_23185;
																																									goto
																																										BgL_tagzd2378zd2_1804;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1805;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1805;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1805;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(16))))
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2380zd2_1806;
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(17))))
																																		{	/* Ast/sexp.scm 119 */
																																			if (PAIRP
																																				(BgL_cdrzd224624zd2_1895))
																																				{
																																					obj_t
																																						BgL_exprz00_23205;
																																					obj_t
																																						BgL_bindingsz00_23203;
																																					BgL_bindingsz00_23203
																																						=
																																						CAR
																																						(BgL_cdrzd224624zd2_1895);
																																					BgL_exprz00_23205
																																						=
																																						CDR
																																						(BgL_cdrzd224624zd2_1895);
																																					BgL_exprz00_1808
																																						=
																																						BgL_exprz00_23205;
																																					BgL_bindingsz00_1807
																																						=
																																						BgL_bindingsz00_23203;
																																					goto
																																						BgL_tagzd2381zd2_1809;
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd224777zd2_1919;
																																					BgL_carzd224777zd2_1919
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd224777zd2_1919))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd224780zd2_1921;
																																							obj_t
																																								BgL_cdrzd224781zd2_1922;
																																							BgL_carzd224780zd2_1921
																																								=
																																								CAR
																																								(BgL_carzd224777zd2_1919);
																																							BgL_cdrzd224781zd2_1922
																																								=
																																								CDR
																																								(BgL_carzd224777zd2_1919);
																																							{

																																								if ((BgL_carzd224780zd2_1921 == ((obj_t) CNST_TABLE_REF(18))))
																																									{
																																										obj_t
																																											BgL_auxz00_23217;
																																									BgL_kapzd224782zd2_1923:
																																										if (PAIRP(BgL_cdrzd224781zd2_1922))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd224785zd2_2039;
																																												BgL_cdrzd224785zd2_2039
																																													=
																																													CDR
																																													(BgL_cdrzd224781zd2_1922);
																																												if (PAIRP(BgL_cdrzd224785zd2_2039))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd224785zd2_2039)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg1814z00_2043;
																																																obj_t
																																																	BgL_arg1818z00_2044;
																																																BgL_arg1814z00_2043
																																																	=
																																																	CAR
																																																	(BgL_cdrzd224785zd2_2039);
																																																BgL_arg1818z00_2044
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_23229;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_23231;
																																																		obj_t
																																																			BgL_bodyz00_23230;
																																																		BgL_bodyz00_23230
																																																			=
																																																			BgL_arg1814z00_2043;
																																																		BgL_argsz00_23231
																																																			=
																																																			BgL_arg1818z00_2044;
																																																		BgL_argsz00_1811
																																																			=
																																																			BgL_argsz00_23231;
																																																		BgL_bodyz00_1810
																																																			=
																																																			BgL_bodyz00_23230;
																																																		goto
																																																			BgL_tagzd2382zd2_1812;
																																																	}
																																																	BgL_auxz00_23217
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_23229);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9197z00_23233;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg1916z00_2150;
																																																	BgL_arg1916z00_2150
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9197z00_23233
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg1916z00_2150));
																																																}
																																																if (BgL_test9197z00_23233)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_23238;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_23217
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_23238);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd224863zd2_2047;
																																																		BgL_carzd224863zd2_2047
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd224868zd2_2048;
																																																			BgL_cdrzd224868zd2_2048
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd224863zd2_2047));
																																																			if ((CAR(((obj_t) BgL_carzd224863zd2_2047)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg1829z00_2051;
																																																					obj_t
																																																						BgL_arg1834z00_2052;
																																																					obj_t
																																																						BgL_arg1842z00_2053;
																																																					BgL_arg1829z00_2051
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd224868zd2_2048));
																																																					BgL_arg1834z00_2052
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd224868zd2_2048));
																																																					BgL_arg1842z00_2053
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_23256;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_23259;
																																																							obj_t
																																																								BgL_bodyz00_23258;
																																																							obj_t
																																																								BgL_varsz00_23257;
																																																							BgL_varsz00_23257
																																																								=
																																																								BgL_arg1829z00_2051;
																																																							BgL_bodyz00_23258
																																																								=
																																																								BgL_arg1834z00_2052;
																																																							BgL_argsz00_23259
																																																								=
																																																								BgL_arg1842z00_2053;
																																																							BgL_argsz00_1824
																																																								=
																																																								BgL_argsz00_23259;
																																																							BgL_bodyz00_1823
																																																								=
																																																								BgL_bodyz00_23258;
																																																							BgL_varsz00_1822
																																																								=
																																																								BgL_varsz00_23257;
																																																							goto
																																																								BgL_tagzd2387zd2_1825;
																																																						}
																																																						BgL_auxz00_23217
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_23256);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd224891zd2_2055;
																																																					BgL_cdrzd224891zd2_2055
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd224897zd2_2056;
																																																						BgL_cdrzd224897zd2_2056
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd224863zd2_2047));
																																																						if ((CAR(((obj_t) BgL_carzd224863zd2_2047)) == ((obj_t) CNST_TABLE_REF(1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd224903zd2_2059;
																																																								BgL_cdrzd224903zd2_2059
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd224897zd2_2056));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd224908zd2_2060;
																																																									obj_t
																																																										BgL_cdrzd224909zd2_2061;
																																																									BgL_carzd224908zd2_2060
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd224903zd2_2059));
																																																									BgL_cdrzd224909zd2_2061
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd224903zd2_2059));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224908zd2_2060))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd224909zd2_2061))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd224916zd2_2064;
																																																													BgL_carzd224916zd2_2064
																																																														=
																																																														CAR
																																																														(BgL_cdrzd224909zd2_2061);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224916zd2_2064))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd224909zd2_2061)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test9204z00_23287;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1360z00_2097;
																																																																		BgL_l1360z00_2097
																																																																			=
																																																																			BgL_cdrzd224891zd2_2055;
																																																																	BgL_zc3z04anonymousza31879ze3z87_2098:
																																																																		if (NULLP(BgL_l1360z00_2097))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test9204z00_23287
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test9206z00_23290;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9207z00_23291;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_23292;
																																																																						BgL_tmpz00_23292
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1360z00_2097));
																																																																						BgL_test9207z00_23291
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_23292);
																																																																					}
																																																																					if (BgL_test9207z00_23291)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9206z00_23290
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test9206z00_23290
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test9206z00_23290)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1360z00_23296;
																																																																						BgL_l1360z00_23296
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1360z00_2097));
																																																																						BgL_l1360z00_2097
																																																																							=
																																																																							BgL_l1360z00_23296;
																																																																						goto
																																																																							BgL_zc3z04anonymousza31879ze3z87_2098;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9204z00_23287
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test9204z00_23287)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg1865z00_2080;
																																																																			BgL_arg1865z00_2080
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd224897zd2_2056));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23301;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_23305;
																																																																					obj_t
																																																																						BgL_proc2z00_23304;
																																																																					obj_t
																																																																						BgL_proc1z00_23303;
																																																																					obj_t
																																																																						BgL_testz00_23302;
																																																																					BgL_testz00_23302
																																																																						=
																																																																						BgL_arg1865z00_2080;
																																																																					BgL_proc1z00_23303
																																																																						=
																																																																						BgL_carzd224908zd2_2060;
																																																																					BgL_proc2z00_23304
																																																																						=
																																																																						BgL_carzd224916zd2_2064;
																																																																					BgL_argsz00_23305
																																																																						=
																																																																						BgL_cdrzd224891zd2_2055;
																																																																					BgL_argsz00_1829
																																																																						=
																																																																						BgL_argsz00_23305;
																																																																					BgL_proc2z00_1828
																																																																						=
																																																																						BgL_proc2z00_23304;
																																																																					BgL_proc1z00_1827
																																																																						=
																																																																						BgL_proc1z00_23303;
																																																																					BgL_testz00_1826
																																																																						=
																																																																						BgL_testz00_23302;
																																																																					goto
																																																																						BgL_tagzd2388zd2_1830;
																																																																				}
																																																																				BgL_auxz00_23217
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23301);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd224940zd2_2081;
																																																																			BgL_cdrzd224940zd2_2081
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd224947zd2_2082;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12646;
																																																																					BgL_pairz00_12646
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd224947zd2_2082
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12646);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd224954zd2_2083;
																																																																					BgL_cdrzd224954zd2_2083
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd224947zd2_2082));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd224960zd2_2084;
																																																																						BgL_carzd224960zd2_2084
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd224954zd2_2083));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224960zd2_2084))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd224967zd2_2086;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12650;
																																																																									BgL_pairz00_12650
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd224954zd2_2083));
																																																																									BgL_carzd224967zd2_2086
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_12650);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd224967zd2_2086))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd224940zd2_2081))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg1872z00_2089;
																																																																												BgL_arg1872z00_2089
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd224947zd2_2082));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_23327;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23331;
																																																																														obj_t
																																																																															BgL_proc2z00_23330;
																																																																														obj_t
																																																																															BgL_proc1z00_23329;
																																																																														obj_t
																																																																															BgL_testz00_23328;
																																																																														BgL_testz00_23328
																																																																															=
																																																																															BgL_arg1872z00_2089;
																																																																														BgL_proc1z00_23329
																																																																															=
																																																																															BgL_carzd224960zd2_2084;
																																																																														BgL_proc2z00_23330
																																																																															=
																																																																															BgL_carzd224967zd2_2086;
																																																																														BgL_argsz00_23331
																																																																															=
																																																																															BgL_cdrzd224940zd2_2081;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_23331;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_23330;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_23329;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_23328;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																													BgL_auxz00_23217
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_23327);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_23335;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23217
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_23335);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23339;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23217
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23339);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23343;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23217
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23343);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_23347;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_23217
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_23347);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd225243zd2_2108;
																																																															BgL_cdrzd225243zd2_2108
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd225249zd2_2109;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_12654;
																																																																	BgL_pairz00_12654
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd225249zd2_2109
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_12654);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd225255zd2_2110;
																																																																	BgL_cdrzd225255zd2_2110
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd225249zd2_2109));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd225260zd2_2111;
																																																																		obj_t
																																																																			BgL_cdrzd225261zd2_2112;
																																																																		BgL_carzd225260zd2_2111
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225255zd2_2110));
																																																																		BgL_cdrzd225261zd2_2112
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd225255zd2_2110));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225260zd2_2111))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd225266zd2_2114;
																																																																				BgL_carzd225266zd2_2114
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd225261zd2_2112));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225266zd2_2114))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd225261zd2_2112))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225243zd2_2108))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg1890z00_2119;
																																																																										BgL_arg1890z00_2119
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd225249zd2_2109));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_23374;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_23378;
																																																																												obj_t
																																																																													BgL_proc2z00_23377;
																																																																												obj_t
																																																																													BgL_proc1z00_23376;
																																																																												obj_t
																																																																													BgL_testz00_23375;
																																																																												BgL_testz00_23375
																																																																													=
																																																																													BgL_arg1890z00_2119;
																																																																												BgL_proc1z00_23376
																																																																													=
																																																																													BgL_carzd225260zd2_2111;
																																																																												BgL_proc2z00_23377
																																																																													=
																																																																													BgL_carzd225266zd2_2114;
																																																																												BgL_argsz00_23378
																																																																													=
																																																																													BgL_cdrzd225243zd2_2108;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_23378;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_23377;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_23376;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_23375;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_23217
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_23374);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_23382;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23217
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_23382);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23386;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23217
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23386);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23390;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_23217
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23390);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23394;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_23217
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23394);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_23398;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_23217
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_23398);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd225599zd2_2127;
																																																											BgL_cdrzd225599zd2_2127
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd225606zd2_2128;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_12663;
																																																													BgL_pairz00_12663
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd225606zd2_2128
																																																														=
																																																														CDR
																																																														(BgL_pairz00_12663);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd225613zd2_2129;
																																																													BgL_cdrzd225613zd2_2129
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd225606zd2_2128));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd225619zd2_2130;
																																																														obj_t
																																																															BgL_cdrzd225620zd2_2131;
																																																														BgL_carzd225619zd2_2130
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd225613zd2_2129));
																																																														BgL_cdrzd225620zd2_2131
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd225613zd2_2129));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225619zd2_2130))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd225620zd2_2131))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd225627zd2_2134;
																																																																		BgL_carzd225627zd2_2134
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd225620zd2_2131);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd225627zd2_2134))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd225620zd2_2131)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd225599zd2_2127))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg1904z00_2139;
																																																																								BgL_arg1904z00_2139
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd225606zd2_2128));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_23425;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_23429;
																																																																										obj_t
																																																																											BgL_proc2z00_23428;
																																																																										obj_t
																																																																											BgL_proc1z00_23427;
																																																																										obj_t
																																																																											BgL_testz00_23426;
																																																																										BgL_testz00_23426
																																																																											=
																																																																											BgL_arg1904z00_2139;
																																																																										BgL_proc1z00_23427
																																																																											=
																																																																											BgL_carzd225619zd2_2130;
																																																																										BgL_proc2z00_23428
																																																																											=
																																																																											BgL_carzd225627zd2_2134;
																																																																										BgL_argsz00_23429
																																																																											=
																																																																											BgL_cdrzd225599zd2_2127;
																																																																										BgL_argsz00_1834
																																																																											=
																																																																											BgL_argsz00_23429;
																																																																										BgL_proc2z00_1833
																																																																											=
																																																																											BgL_proc2z00_23428;
																																																																										BgL_proc1z00_1832
																																																																											=
																																																																											BgL_proc1z00_23427;
																																																																										BgL_testz00_1831
																																																																											=
																																																																											BgL_testz00_23426;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1835;
																																																																									}
																																																																									BgL_auxz00_23217
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_23425);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_23433;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23217
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_23433);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_23437;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_23217
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_23437);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_23441;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_23217
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_23441);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_23445;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_23217
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_23445);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_23449;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_23217
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_23449);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_23453;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_23217
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_23453);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9235z00_23455;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg1929z00_2163;
																																															BgL_arg1929z00_2163
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9235z00_23455
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg1929z00_2163));
																																														}
																																														if (BgL_test9235z00_23455)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_23460;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_23217
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23460);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd226073zd2_2154;
																																																BgL_carzd226073zd2_2154
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd226078zd2_2155;
																																																	BgL_cdrzd226078zd2_2155
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd226073zd2_2154));
																																																	if ((CAR(((obj_t) BgL_carzd226073zd2_2154)) == ((obj_t) CNST_TABLE_REF(3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg1923z00_2158;
																																																			obj_t
																																																				BgL_arg1924z00_2159;
																																																			obj_t
																																																				BgL_arg1926z00_2160;
																																																			BgL_arg1923z00_2158
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd226078zd2_2155));
																																																			BgL_arg1924z00_2159
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd226078zd2_2155));
																																																			BgL_arg1926z00_2160
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_23478;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_23481;
																																																					obj_t
																																																						BgL_bodyz00_23480;
																																																					obj_t
																																																						BgL_varsz00_23479;
																																																					BgL_varsz00_23479
																																																						=
																																																						BgL_arg1923z00_2158;
																																																					BgL_bodyz00_23480
																																																						=
																																																						BgL_arg1924z00_2159;
																																																					BgL_argsz00_23481
																																																						=
																																																						BgL_arg1926z00_2160;
																																																					BgL_argsz00_1824
																																																						=
																																																						BgL_argsz00_23481;
																																																					BgL_bodyz00_1823
																																																						=
																																																						BgL_bodyz00_23480;
																																																					BgL_varsz00_1822
																																																						=
																																																						BgL_varsz00_23479;
																																																					goto
																																																						BgL_tagzd2387zd2_1825;
																																																				}
																																																				BgL_auxz00_23217
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_23478);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1859;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_23485;
																																																					goto
																																																						BgL_tagzd2405zd2_1860;
																																																					BgL_auxz00_23217
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_23485);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9238z00_23487;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg1933z00_2167;
																																													BgL_arg1933z00_2167
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9238z00_23487
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg1933z00_2167));
																																												}
																																												if (BgL_test9238z00_23487)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_23492;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_23217
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_23492);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2404zd2_1859;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_23496;
																																																goto
																																																	BgL_tagzd2405zd2_1860;
																																																BgL_auxz00_23217
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_23496);
																																															}
																																													}
																																											}
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_23217);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd224780zd2_1921)))
																																											{
																																												obj_t
																																													BgL_auxz00_23502;
																																												goto
																																													BgL_kapzd224782zd2_1923;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_23502);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd224780zd2_1921 == ((obj_t) CNST_TABLE_REF(19))))
																																													{
																																														obj_t
																																															BgL_auxz00_23508;
																																														goto
																																															BgL_kapzd224782zd2_1923;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_23508);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd224780zd2_1921 == ((obj_t) CNST_TABLE_REF(20))))
																																															{
																																																obj_t
																																																	BgL_auxz00_23514;
																																																goto
																																																	BgL_kapzd224782zd2_1923;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_23514);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224780zd2_1921)))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_23519;
																																																		goto
																																																			BgL_kapzd224782zd2_1923;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_23519);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9244z00_23521;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg1803z00_2037;
																																																			BgL_arg1803z00_2037
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9244z00_23521
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg1803z00_2037));
																																																		}
																																																		if (BgL_test9244z00_23521)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_23526;
																																																				goto
																																																					BgL_tagzd2385zd2_1817;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_23526);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd226401zd2_1928;
																																																				BgL_carzd226401zd2_1928
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd226406zd2_1929;
																																																					BgL_cdrzd226406zd2_1929
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd226401zd2_1928));
																																																					if ((CAR(((obj_t) BgL_carzd226401zd2_1928)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd226406zd2_1929))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg1679z00_1933;
																																																									obj_t
																																																										BgL_arg1680z00_1934;
																																																									obj_t
																																																										BgL_arg1686z00_1935;
																																																									BgL_arg1679z00_1933
																																																										=
																																																										CAR
																																																										(BgL_cdrzd226406zd2_1929);
																																																									BgL_arg1680z00_1934
																																																										=
																																																										CDR
																																																										(BgL_cdrzd226406zd2_1929);
																																																									BgL_arg1686z00_1935
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										obj_t
																																																											BgL_argsz00_23546;
																																																										obj_t
																																																											BgL_bodyz00_23545;
																																																										obj_t
																																																											BgL_varsz00_23544;
																																																										BgL_varsz00_23544
																																																											=
																																																											BgL_arg1679z00_1933;
																																																										BgL_bodyz00_23545
																																																											=
																																																											BgL_arg1680z00_1934;
																																																										BgL_argsz00_23546
																																																											=
																																																											BgL_arg1686z00_1935;
																																																										BgL_argsz00_1824
																																																											=
																																																											BgL_argsz00_23546;
																																																										BgL_bodyz00_1823
																																																											=
																																																											BgL_bodyz00_23545;
																																																										BgL_varsz00_1822
																																																											=
																																																											BgL_varsz00_23544;
																																																										goto
																																																											BgL_tagzd2387zd2_1825;
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_23549;
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_23549);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd226513zd2_1938;
																																																							BgL_cdrzd226513zd2_1938
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd226518zd2_1939;
																																																								BgL_cdrzd226518zd2_1939
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd226401zd2_1928));
																																																								if ((CAR(((obj_t) BgL_carzd226401zd2_1928)) == ((obj_t) CNST_TABLE_REF(1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd226518zd2_1939))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd226523zd2_1943;
																																																												BgL_cdrzd226523zd2_1943
																																																													=
																																																													CDR
																																																													(BgL_cdrzd226518zd2_1939);
																																																												if (PAIRP(BgL_cdrzd226523zd2_1943))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd226527zd2_1945;
																																																														obj_t
																																																															BgL_cdrzd226528zd2_1946;
																																																														BgL_carzd226527zd2_1945
																																																															=
																																																															CAR
																																																															(BgL_cdrzd226523zd2_1943);
																																																														BgL_cdrzd226528zd2_1946
																																																															=
																																																															CDR
																																																															(BgL_cdrzd226523zd2_1943);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226527zd2_1945))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd226528zd2_1946))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd226533zd2_1949;
																																																																		BgL_carzd226533zd2_1949
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd226528zd2_1946);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226533zd2_1949))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd226528zd2_1946)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9255z00_23578;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1363z00_1982;
																																																																							BgL_l1363z00_1982
																																																																								=
																																																																								BgL_cdrzd226513zd2_1938;
																																																																						BgL_zc3z04anonymousza31730ze3z87_1983:
																																																																							if (NULLP(BgL_l1363z00_1982))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9255z00_23578
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9257z00_23581;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9258z00_23582;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_23583;
																																																																											BgL_tmpz00_23583
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1363z00_1982));
																																																																											BgL_test9258z00_23582
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_23583);
																																																																										}
																																																																										if (BgL_test9258z00_23582)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9257z00_23581
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9257z00_23581
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test9257z00_23581)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1363z00_23587;
																																																																											BgL_l1363z00_23587
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1363z00_1982));
																																																																											BgL_l1363z00_1982
																																																																												=
																																																																												BgL_l1363z00_23587;
																																																																											goto
																																																																												BgL_zc3z04anonymousza31730ze3z87_1983;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9255z00_23578
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test9255z00_23578)
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23594;
																																																																								obj_t
																																																																									BgL_proc2z00_23593;
																																																																								obj_t
																																																																									BgL_proc1z00_23592;
																																																																								obj_t
																																																																									BgL_testz00_23590;
																																																																								BgL_testz00_23590
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd226518zd2_1939);
																																																																								BgL_proc1z00_23592
																																																																									=
																																																																									BgL_carzd226527zd2_1945;
																																																																								BgL_proc2z00_23593
																																																																									=
																																																																									BgL_carzd226533zd2_1949;
																																																																								BgL_argsz00_23594
																																																																									=
																																																																									BgL_cdrzd226513zd2_1938;
																																																																								BgL_argsz00_1829
																																																																									=
																																																																									BgL_argsz00_23594;
																																																																								BgL_proc2z00_1828
																																																																									=
																																																																									BgL_proc2z00_23593;
																																																																								BgL_proc1z00_1827
																																																																									=
																																																																									BgL_proc1z00_23592;
																																																																								BgL_testz00_1826
																																																																									=
																																																																									BgL_testz00_23590;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1830;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd226558zd2_1966;
																																																																								BgL_cdrzd226558zd2_1966
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd226566zd2_1967;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12699;
																																																																										BgL_pairz00_12699
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd226566zd2_1967
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12699);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd226574zd2_1968;
																																																																										BgL_cdrzd226574zd2_1968
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd226566zd2_1967));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd226581zd2_1969;
																																																																											BgL_carzd226581zd2_1969
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd226574zd2_1968));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226581zd2_1969))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd226590zd2_1971;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12703;
																																																																														BgL_pairz00_12703
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd226574zd2_1968));
																																																																														BgL_carzd226590zd2_1971
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_12703);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226590zd2_1971))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226558zd2_1966))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg1720z00_1974;
																																																																																	BgL_arg1720z00_1974
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd226566zd2_1967));
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_23618;
																																																																																		obj_t
																																																																																			BgL_proc2z00_23617;
																																																																																		obj_t
																																																																																			BgL_proc1z00_23616;
																																																																																		obj_t
																																																																																			BgL_testz00_23615;
																																																																																		BgL_testz00_23615
																																																																																			=
																																																																																			BgL_arg1720z00_1974;
																																																																																		BgL_proc1z00_23616
																																																																																			=
																																																																																			BgL_carzd226581zd2_1969;
																																																																																		BgL_proc2z00_23617
																																																																																			=
																																																																																			BgL_carzd226590zd2_1971;
																																																																																		BgL_argsz00_23618
																																																																																			=
																																																																																			BgL_cdrzd226558zd2_1966;
																																																																																		BgL_argsz00_1834
																																																																																			=
																																																																																			BgL_argsz00_23618;
																																																																																		BgL_proc2z00_1833
																																																																																			=
																																																																																			BgL_proc2z00_23617;
																																																																																		BgL_proc1z00_1832
																																																																																			=
																																																																																			BgL_proc1z00_23616;
																																																																																		BgL_testz00_1831
																																																																																			=
																																																																																			BgL_testz00_23615;
																																																																																		goto
																																																																																			BgL_tagzd2389zd2_1835;
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_auxz00_23621;
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																			return
																																																																																				(
																																																																																				(BgL_nodez00_bglt)
																																																																																				BgL_auxz00_23621);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_23625;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_23625);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23629;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23629);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_23633;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_23633);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd226868zd2_1993;
																																																																				BgL_cdrzd226868zd2_1993
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd226875zd2_1994;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12707;
																																																																						BgL_pairz00_12707
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd226875zd2_1994
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12707);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd226882zd2_1995;
																																																																						BgL_cdrzd226882zd2_1995
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd226875zd2_1994));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd226888zd2_1996;
																																																																							obj_t
																																																																								BgL_cdrzd226889zd2_1997;
																																																																							BgL_carzd226888zd2_1996
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd226882zd2_1995));
																																																																							BgL_cdrzd226889zd2_1997
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd226882zd2_1995));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226888zd2_1996))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd226896zd2_1999;
																																																																									BgL_carzd226896zd2_1999
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd226889zd2_1997));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd226896zd2_1999))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd226889zd2_1997))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd226868zd2_1993))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg1763z00_2004;
																																																																															BgL_arg1763z00_2004
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd226875zd2_1994));
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_23663;
																																																																																obj_t
																																																																																	BgL_proc2z00_23662;
																																																																																obj_t
																																																																																	BgL_proc1z00_23661;
																																																																																obj_t
																																																																																	BgL_testz00_23660;
																																																																																BgL_testz00_23660
																																																																																	=
																																																																																	BgL_arg1763z00_2004;
																																																																																BgL_proc1z00_23661
																																																																																	=
																																																																																	BgL_carzd226888zd2_1996;
																																																																																BgL_proc2z00_23662
																																																																																	=
																																																																																	BgL_carzd226896zd2_1999;
																																																																																BgL_argsz00_23663
																																																																																	=
																																																																																	BgL_cdrzd226868zd2_1993;
																																																																																BgL_argsz00_1834
																																																																																	=
																																																																																	BgL_argsz00_23663;
																																																																																BgL_proc2z00_1833
																																																																																	=
																																																																																	BgL_proc2z00_23662;
																																																																																BgL_proc1z00_1832
																																																																																	=
																																																																																	BgL_proc1z00_23661;
																																																																																BgL_testz00_1831
																																																																																	=
																																																																																	BgL_testz00_23660;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1835;
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_23666;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_23666);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23670;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23670);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_23674;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_23674);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23678;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23678);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_23682;
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_23682);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd227229zd2_2012;
																																																																BgL_cdrzd227229zd2_2012
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd227235zd2_2013;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_12716;
																																																																		BgL_pairz00_12716
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd227235zd2_2013
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_12716);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd227241zd2_2014;
																																																																		BgL_cdrzd227241zd2_2014
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd227235zd2_2013));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd227246zd2_2015;
																																																																			obj_t
																																																																				BgL_cdrzd227247zd2_2016;
																																																																			BgL_carzd227246zd2_2015
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd227241zd2_2014));
																																																																			BgL_cdrzd227247zd2_2016
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd227241zd2_2014));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227246zd2_2015))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd227247zd2_2016))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd227252zd2_2019;
																																																																							BgL_carzd227252zd2_2019
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd227247zd2_2016);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227252zd2_2019))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd227247zd2_2016)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd227229zd2_2012))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg1785z00_2024;
																																																																													BgL_arg1785z00_2024
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd227235zd2_2013));
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_23712;
																																																																														obj_t
																																																																															BgL_proc2z00_23711;
																																																																														obj_t
																																																																															BgL_proc1z00_23710;
																																																																														obj_t
																																																																															BgL_testz00_23709;
																																																																														BgL_testz00_23709
																																																																															=
																																																																															BgL_arg1785z00_2024;
																																																																														BgL_proc1z00_23710
																																																																															=
																																																																															BgL_carzd227246zd2_2015;
																																																																														BgL_proc2z00_23711
																																																																															=
																																																																															BgL_carzd227252zd2_2019;
																																																																														BgL_argsz00_23712
																																																																															=
																																																																															BgL_cdrzd227229zd2_2012;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_23712;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_23711;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_23710;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_23709;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_23715;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_23715);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_23719;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_23719);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_23723;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_23723);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23727;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23727);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23731;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23731);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_23735;
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_23735);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_23739;
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_23739);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_23743;
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_23743);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd224777zd2_1919)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_23748;
																																									goto
																																										BgL_tagzd2385zd2_1817;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_23748);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd227843zd2_2170;
																																									BgL_carzd227843zd2_2170
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd227843zd2_2170))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd227848zd2_2172;
																																											BgL_cdrzd227848zd2_2172
																																												=
																																												CDR
																																												(BgL_carzd227843zd2_2170);
																																											if ((CAR(BgL_carzd227843zd2_2170) == ((obj_t) CNST_TABLE_REF(3))))
																																												{	/* Ast/sexp.scm 119 */
																																													if (PAIRP(BgL_cdrzd227848zd2_2172))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg1942z00_2176;
																																															obj_t
																																																BgL_arg1943z00_2177;
																																															obj_t
																																																BgL_arg1944z00_2178;
																																															BgL_arg1942z00_2176
																																																=
																																																CAR
																																																(BgL_cdrzd227848zd2_2172);
																																															BgL_arg1943z00_2177
																																																=
																																																CDR
																																																(BgL_cdrzd227848zd2_2172);
																																															BgL_arg1944z00_2178
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																obj_t
																																																	BgL_argsz00_23768;
																																																obj_t
																																																	BgL_bodyz00_23767;
																																																obj_t
																																																	BgL_varsz00_23766;
																																																BgL_varsz00_23766
																																																	=
																																																	BgL_arg1942z00_2176;
																																																BgL_bodyz00_23767
																																																	=
																																																	BgL_arg1943z00_2177;
																																																BgL_argsz00_23768
																																																	=
																																																	BgL_arg1944z00_2178;
																																																BgL_argsz00_1824
																																																	=
																																																	BgL_argsz00_23768;
																																																BgL_bodyz00_1823
																																																	=
																																																	BgL_bodyz00_23767;
																																																BgL_varsz00_1822
																																																	=
																																																	BgL_varsz00_23766;
																																																goto
																																																	BgL_tagzd2387zd2_1825;
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{
																																																	obj_t
																																																		BgL_auxz00_23771;
																																																	goto
																																																		BgL_tagzd2404zd2_1859;
																																																	return
																																																		(
																																																		(BgL_nodez00_bglt)
																																																		BgL_auxz00_23771);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2405zd2_1860;
																																																}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd227955zd2_2181;
																																													BgL_cdrzd227955zd2_2181
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd227960zd2_2182;
																																														BgL_cdrzd227960zd2_2182
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_carzd227843zd2_2170));
																																														if ((CAR(((obj_t) BgL_carzd227843zd2_2170)) == ((obj_t) CNST_TABLE_REF(1))))
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd227960zd2_2182))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd227965zd2_2186;
																																																		BgL_cdrzd227965zd2_2186
																																																			=
																																																			CDR
																																																			(BgL_cdrzd227960zd2_2182);
																																																		if (PAIRP(BgL_cdrzd227965zd2_2186))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd227969zd2_2188;
																																																				obj_t
																																																					BgL_cdrzd227970zd2_2189;
																																																				BgL_carzd227969zd2_2188
																																																					=
																																																					CAR
																																																					(BgL_cdrzd227965zd2_2186);
																																																				BgL_cdrzd227970zd2_2189
																																																					=
																																																					CDR
																																																					(BgL_cdrzd227965zd2_2186);
																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227969zd2_2188))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd227970zd2_2189))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_carzd227975zd2_2192;
																																																								BgL_carzd227975zd2_2192
																																																									=
																																																									CAR
																																																									(BgL_cdrzd227970zd2_2189);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd227975zd2_2192))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (NULLP(CDR(BgL_cdrzd227970zd2_2189)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												bool_t
																																																													BgL_test9300z00_23800;
																																																												{
																																																													obj_t
																																																														BgL_l1366z00_2225;
																																																													BgL_l1366z00_2225
																																																														=
																																																														BgL_cdrzd227955zd2_2181;
																																																												BgL_zc3z04anonymousza31971ze3z87_2226:
																																																													if (NULLP(BgL_l1366z00_2225))
																																																														{	/* Ast/sexp.scm 119 */
																																																															BgL_test9300z00_23800
																																																																=
																																																																(
																																																																(bool_t)
																																																																1);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9302z00_23803;
																																																															{	/* Ast/sexp.scm 119 */
																																																																bool_t
																																																																	BgL_test9303z00_23804;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_tmpz00_23805;
																																																																	BgL_tmpz00_23805
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_l1366z00_2225));
																																																																	BgL_test9303z00_23804
																																																																		=
																																																																		PAIRP
																																																																		(BgL_tmpz00_23805);
																																																																}
																																																																if (BgL_test9303z00_23804)
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9302z00_23803
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test9302z00_23803
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																															}
																																																															if (BgL_test9302z00_23803)
																																																																{
																																																																	obj_t
																																																																		BgL_l1366z00_23809;
																																																																	BgL_l1366z00_23809
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_l1366z00_2225));
																																																																	BgL_l1366z00_2225
																																																																		=
																																																																		BgL_l1366z00_23809;
																																																																	goto
																																																																		BgL_zc3z04anonymousza31971ze3z87_2226;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	BgL_test9300z00_23800
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																												}
																																																												if (BgL_test9300z00_23800)
																																																													{
																																																														obj_t
																																																															BgL_argsz00_23816;
																																																														obj_t
																																																															BgL_proc2z00_23815;
																																																														obj_t
																																																															BgL_proc1z00_23814;
																																																														obj_t
																																																															BgL_testz00_23812;
																																																														BgL_testz00_23812
																																																															=
																																																															CAR
																																																															(BgL_cdrzd227960zd2_2182);
																																																														BgL_proc1z00_23814
																																																															=
																																																															BgL_carzd227969zd2_2188;
																																																														BgL_proc2z00_23815
																																																															=
																																																															BgL_carzd227975zd2_2192;
																																																														BgL_argsz00_23816
																																																															=
																																																															BgL_cdrzd227955zd2_2181;
																																																														BgL_argsz00_1829
																																																															=
																																																															BgL_argsz00_23816;
																																																														BgL_proc2z00_1828
																																																															=
																																																															BgL_proc2z00_23815;
																																																														BgL_proc1z00_1827
																																																															=
																																																															BgL_proc1z00_23814;
																																																														BgL_testz00_1826
																																																															=
																																																															BgL_testz00_23812;
																																																														goto
																																																															BgL_tagzd2388zd2_1830;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd228000zd2_2209;
																																																														BgL_cdrzd228000zd2_2209
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd228008zd2_2210;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_12744;
																																																																BgL_pairz00_12744
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd228008zd2_2210
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_12744);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd228016zd2_2211;
																																																																BgL_cdrzd228016zd2_2211
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd228008zd2_2210));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd228023zd2_2212;
																																																																	BgL_carzd228023zd2_2212
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd228016zd2_2211));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228023zd2_2212))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd228032zd2_2214;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_12748;
																																																																				BgL_pairz00_12748
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd228016zd2_2211));
																																																																				BgL_carzd228032zd2_2214
																																																																					=
																																																																					CAR
																																																																					(BgL_pairz00_12748);
																																																																			}
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228032zd2_2214))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228000zd2_2209))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg1965z00_2217;
																																																																							BgL_arg1965z00_2217
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd228008zd2_2210));
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_23840;
																																																																								obj_t
																																																																									BgL_proc2z00_23839;
																																																																								obj_t
																																																																									BgL_proc1z00_23838;
																																																																								obj_t
																																																																									BgL_testz00_23837;
																																																																								BgL_testz00_23837
																																																																									=
																																																																									BgL_arg1965z00_2217;
																																																																								BgL_proc1z00_23838
																																																																									=
																																																																									BgL_carzd228023zd2_2212;
																																																																								BgL_proc2z00_23839
																																																																									=
																																																																									BgL_carzd228032zd2_2214;
																																																																								BgL_argsz00_23840
																																																																									=
																																																																									BgL_cdrzd228000zd2_2209;
																																																																								BgL_argsz00_1834
																																																																									=
																																																																									BgL_argsz00_23840;
																																																																								BgL_proc2z00_1833
																																																																									=
																																																																									BgL_proc2z00_23839;
																																																																								BgL_proc1z00_1832
																																																																									=
																																																																									BgL_proc1z00_23838;
																																																																								BgL_testz00_1831
																																																																									=
																																																																									BgL_testz00_23837;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1835;
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_23843;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_23843);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23847;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23847);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23851;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23851);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_23855;
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_23855);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd228310zd2_2236;
																																																										BgL_cdrzd228310zd2_2236
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd228317zd2_2237;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_pairz00_12752;
																																																												BgL_pairz00_12752
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_cdrzd228317zd2_2237
																																																													=
																																																													CDR
																																																													(BgL_pairz00_12752);
																																																											}
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd228324zd2_2238;
																																																												BgL_cdrzd228324zd2_2238
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd228317zd2_2237));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd228330zd2_2239;
																																																													obj_t
																																																														BgL_cdrzd228331zd2_2240;
																																																													BgL_carzd228330zd2_2239
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd228324zd2_2238));
																																																													BgL_cdrzd228331zd2_2240
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd228324zd2_2238));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228330zd2_2239))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd228338zd2_2242;
																																																															BgL_carzd228338zd2_2242
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd228331zd2_2240));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228338zd2_2242))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd228331zd2_2240))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228310zd2_2236))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg1981z00_2247;
																																																																					BgL_arg1981z00_2247
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd228317zd2_2237));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_23885;
																																																																						obj_t
																																																																							BgL_proc2z00_23884;
																																																																						obj_t
																																																																							BgL_proc1z00_23883;
																																																																						obj_t
																																																																							BgL_testz00_23882;
																																																																						BgL_testz00_23882
																																																																							=
																																																																							BgL_arg1981z00_2247;
																																																																						BgL_proc1z00_23883
																																																																							=
																																																																							BgL_carzd228330zd2_2239;
																																																																						BgL_proc2z00_23884
																																																																							=
																																																																							BgL_carzd228338zd2_2242;
																																																																						BgL_argsz00_23885
																																																																							=
																																																																							BgL_cdrzd228310zd2_2236;
																																																																						BgL_argsz00_1834
																																																																							=
																																																																							BgL_argsz00_23885;
																																																																						BgL_proc2z00_1833
																																																																							=
																																																																							BgL_proc2z00_23884;
																																																																						BgL_proc1z00_1832
																																																																							=
																																																																							BgL_proc1z00_23883;
																																																																						BgL_testz00_1831
																																																																							=
																																																																							BgL_testz00_23882;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1835;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_23888;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_23888);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23892;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23892);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_23896;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_23896);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_23900;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_23900);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_23904;
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_23904);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd228671zd2_2255;
																																																						BgL_cdrzd228671zd2_2255
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd228677zd2_2256;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_pairz00_12761;
																																																								BgL_pairz00_12761
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_cdrzd228677zd2_2256
																																																									=
																																																									CDR
																																																									(BgL_pairz00_12761);
																																																							}
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd228683zd2_2257;
																																																								BgL_cdrzd228683zd2_2257
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd228677zd2_2256));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd228688zd2_2258;
																																																									obj_t
																																																										BgL_cdrzd228689zd2_2259;
																																																									BgL_carzd228688zd2_2258
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd228683zd2_2257));
																																																									BgL_cdrzd228689zd2_2259
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd228683zd2_2257));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228688zd2_2258))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd228689zd2_2259))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd228694zd2_2262;
																																																													BgL_carzd228694zd2_2262
																																																														=
																																																														CAR
																																																														(BgL_cdrzd228689zd2_2259);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd228694zd2_2262))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd228689zd2_2259)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd228671zd2_2255))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg1998z00_2267;
																																																																			BgL_arg1998z00_2267
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd228677zd2_2256));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_23934;
																																																																				obj_t
																																																																					BgL_proc2z00_23933;
																																																																				obj_t
																																																																					BgL_proc1z00_23932;
																																																																				obj_t
																																																																					BgL_testz00_23931;
																																																																				BgL_testz00_23931
																																																																					=
																																																																					BgL_arg1998z00_2267;
																																																																				BgL_proc1z00_23932
																																																																					=
																																																																					BgL_carzd228688zd2_2258;
																																																																				BgL_proc2z00_23933
																																																																					=
																																																																					BgL_carzd228694zd2_2262;
																																																																				BgL_argsz00_23934
																																																																					=
																																																																					BgL_cdrzd228671zd2_2255;
																																																																				BgL_argsz00_1834
																																																																					=
																																																																					BgL_argsz00_23934;
																																																																				BgL_proc2z00_1833
																																																																					=
																																																																					BgL_proc2z00_23933;
																																																																				BgL_proc1z00_1832
																																																																					=
																																																																					BgL_proc1z00_23932;
																																																																				BgL_testz00_1831
																																																																					=
																																																																					BgL_testz00_23931;
																																																																				goto
																																																																					BgL_tagzd2389zd2_1835;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_23937;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_23937);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_23941;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_23941);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_23945;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_23945);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_23949;
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_23949);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_23953;
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_23953);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																												}
																																																										}
																																																								}
																																																							}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_23957;
																																																						goto
																																																							BgL_tagzd2404zd2_1859;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_23957);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2405zd2_1860;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_23961;
																																																				goto
																																																					BgL_tagzd2404zd2_1859;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_23961);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2405zd2_1860;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_23965;
																																																		goto
																																																			BgL_tagzd2404zd2_1859;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_23965);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2405zd2_1860;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																												{
																																													obj_t
																																														BgL_auxz00_23969;
																																													goto
																																														BgL_tagzd2404zd2_1859;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_23969);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													goto
																																														BgL_tagzd2405zd2_1860;
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd231076zd2_2411;
																																			BgL_carzd231076zd2_2411
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd231076zd2_2411))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd231079zd2_2413;
																																					obj_t
																																						BgL_cdrzd231080zd2_2414;
																																					BgL_carzd231079zd2_2413
																																						=
																																						CAR
																																						(BgL_carzd231076zd2_2411);
																																					BgL_cdrzd231080zd2_2414
																																						=
																																						CDR
																																						(BgL_carzd231076zd2_2411);
																																					{

																																						if (
																																							(BgL_carzd231079zd2_2413
																																								==
																																								((obj_t) CNST_TABLE_REF(18))))
																																							{
																																								obj_t
																																									BgL_auxz00_23981;
																																							BgL_kapzd231081zd2_2415:
																																								if (PAIRP(BgL_cdrzd231080zd2_2414))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd231084zd2_2714;
																																										BgL_cdrzd231084zd2_2714
																																											=
																																											CDR
																																											(BgL_cdrzd231080zd2_2414);
																																										if (PAIRP(BgL_cdrzd231084zd2_2714))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd231084zd2_2714)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg2305z00_2718;
																																														obj_t
																																															BgL_arg2307z00_2719;
																																														BgL_arg2305z00_2718
																																															=
																																															CAR
																																															(BgL_cdrzd231084zd2_2714);
																																														BgL_arg2307z00_2719
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_23993;
																																															{
																																																obj_t
																																																	BgL_argsz00_23995;
																																																obj_t
																																																	BgL_bodyz00_23994;
																																																BgL_bodyz00_23994
																																																	=
																																																	BgL_arg2305z00_2718;
																																																BgL_argsz00_23995
																																																	=
																																																	BgL_arg2307z00_2719;
																																																BgL_argsz00_1811
																																																	=
																																																	BgL_argsz00_23995;
																																																BgL_bodyz00_1810
																																																	=
																																																	BgL_bodyz00_23994;
																																																goto
																																																	BgL_tagzd2382zd2_1812;
																																															}
																																															BgL_auxz00_23981
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_23993);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd231107zd2_2720;
																																														BgL_cdrzd231107zd2_2720
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{

																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9339z00_23999;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2382z00_2830;
																																																	BgL_arg2382z00_2830
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9339z00_23999
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg2382z00_2830));
																																																}
																																																if (BgL_test9339z00_23999)
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (PAIRP(BgL_cdrzd231107zd2_2720))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg2385z00_2832;
																																																				obj_t
																																																					BgL_arg2387z00_2833;
																																																				BgL_arg2385z00_2832
																																																					=
																																																					CAR
																																																					(BgL_cdrzd231107zd2_2720);
																																																				BgL_arg2387z00_2833
																																																					=
																																																					CDR
																																																					(BgL_cdrzd231107zd2_2720);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_24008;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_24010;
																																																						obj_t
																																																							BgL_bindingsz00_24009;
																																																						BgL_bindingsz00_24009
																																																							=
																																																							BgL_arg2385z00_2832;
																																																						BgL_exprz00_24010
																																																							=
																																																							BgL_arg2387z00_2833;
																																																						BgL_exprz00_1814
																																																							=
																																																							BgL_exprz00_24010;
																																																						BgL_bindingsz00_1813
																																																							=
																																																							BgL_bindingsz00_24009;
																																																						goto
																																																							BgL_tagzd2383zd2_1815;
																																																					}
																																																					BgL_auxz00_23981
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_24008);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test9341z00_24012;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2473z00_2939;
																																																					BgL_arg2473z00_2939
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test9341z00_24012
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2473z00_2939));
																																																				}
																																																				if (BgL_test9341z00_24012)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_24017;
																																																						goto
																																																							BgL_tagzd2385zd2_1817;
																																																						BgL_auxz00_23981
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24017);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd231171zd2_2836;
																																																						BgL_carzd231171zd2_2836
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd231176zd2_2837;
																																																							BgL_cdrzd231176zd2_2837
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd231171zd2_2836));
																																																							if ((CAR(((obj_t) BgL_carzd231171zd2_2836)) == ((obj_t) CNST_TABLE_REF(3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg2393z00_2840;
																																																									obj_t
																																																										BgL_arg2396z00_2841;
																																																									obj_t
																																																										BgL_arg2398z00_2842;
																																																									BgL_arg2393z00_2840
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd231176zd2_2837));
																																																									BgL_arg2396z00_2841
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd231176zd2_2837));
																																																									BgL_arg2398z00_2842
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_24035;
																																																										{
																																																											obj_t
																																																												BgL_argsz00_24038;
																																																											obj_t
																																																												BgL_bodyz00_24037;
																																																											obj_t
																																																												BgL_varsz00_24036;
																																																											BgL_varsz00_24036
																																																												=
																																																												BgL_arg2393z00_2840;
																																																											BgL_bodyz00_24037
																																																												=
																																																												BgL_arg2396z00_2841;
																																																											BgL_argsz00_24038
																																																												=
																																																												BgL_arg2398z00_2842;
																																																											BgL_argsz00_1824
																																																												=
																																																												BgL_argsz00_24038;
																																																											BgL_bodyz00_1823
																																																												=
																																																												BgL_bodyz00_24037;
																																																											BgL_varsz00_1822
																																																												=
																																																												BgL_varsz00_24036;
																																																											goto
																																																												BgL_tagzd2387zd2_1825;
																																																										}
																																																										BgL_auxz00_23981
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_24035);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd231199zd2_2844;
																																																									BgL_cdrzd231199zd2_2844
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd231205zd2_2845;
																																																										BgL_cdrzd231205zd2_2845
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd231171zd2_2836));
																																																										if ((CAR(((obj_t) BgL_carzd231171zd2_2836)) == ((obj_t) CNST_TABLE_REF(1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd231211zd2_2848;
																																																												BgL_cdrzd231211zd2_2848
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd231205zd2_2845));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd231216zd2_2849;
																																																													obj_t
																																																														BgL_cdrzd231217zd2_2850;
																																																													BgL_carzd231216zd2_2849
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd231211zd2_2848));
																																																													BgL_cdrzd231217zd2_2850
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd231211zd2_2848));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231216zd2_2849))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd231217zd2_2850))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd231224zd2_2853;
																																																																	BgL_carzd231224zd2_2853
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd231217zd2_2850);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231224zd2_2853))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd231217zd2_2850)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test9348z00_24066;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1372z00_2886;
																																																																						BgL_l1372z00_2886
																																																																							=
																																																																							BgL_cdrzd231199zd2_2844;
																																																																					BgL_zc3z04anonymousza32429ze3z87_2887:
																																																																						if (NULLP(BgL_l1372z00_2886))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9348z00_24066
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9350z00_24069;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test9351z00_24070;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_24071;
																																																																										BgL_tmpz00_24071
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1372z00_2886));
																																																																										BgL_test9351z00_24070
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_24071);
																																																																									}
																																																																									if (BgL_test9351z00_24070)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9350z00_24069
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9350z00_24069
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_test9350z00_24069)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1372z00_24075;
																																																																										BgL_l1372z00_24075
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1372z00_2886));
																																																																										BgL_l1372z00_2886
																																																																											=
																																																																											BgL_l1372z00_24075;
																																																																										goto
																																																																											BgL_zc3z04anonymousza32429ze3z87_2887;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9348z00_24066
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_test9348z00_24066)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg2415z00_2869;
																																																																							BgL_arg2415z00_2869
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd231205zd2_2845));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24080;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_24084;
																																																																									obj_t
																																																																										BgL_proc2z00_24083;
																																																																									obj_t
																																																																										BgL_proc1z00_24082;
																																																																									obj_t
																																																																										BgL_testz00_24081;
																																																																									BgL_testz00_24081
																																																																										=
																																																																										BgL_arg2415z00_2869;
																																																																									BgL_proc1z00_24082
																																																																										=
																																																																										BgL_carzd231216zd2_2849;
																																																																									BgL_proc2z00_24083
																																																																										=
																																																																										BgL_carzd231224zd2_2853;
																																																																									BgL_argsz00_24084
																																																																										=
																																																																										BgL_cdrzd231199zd2_2844;
																																																																									BgL_argsz00_1829
																																																																										=
																																																																										BgL_argsz00_24084;
																																																																									BgL_proc2z00_1828
																																																																										=
																																																																										BgL_proc2z00_24083;
																																																																									BgL_proc1z00_1827
																																																																										=
																																																																										BgL_proc1z00_24082;
																																																																									BgL_testz00_1826
																																																																										=
																																																																										BgL_testz00_24081;
																																																																									goto
																																																																										BgL_tagzd2388zd2_1830;
																																																																								}
																																																																								BgL_auxz00_23981
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24080);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd231248zd2_2870;
																																																																							BgL_cdrzd231248zd2_2870
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd231255zd2_2871;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_12847;
																																																																									BgL_pairz00_12847
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd231255zd2_2871
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_12847);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd231262zd2_2872;
																																																																									BgL_cdrzd231262zd2_2872
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd231255zd2_2871));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd231268zd2_2873;
																																																																										BgL_carzd231268zd2_2873
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd231262zd2_2872));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231268zd2_2873))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd231275zd2_2875;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_12851;
																																																																													BgL_pairz00_12851
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd231262zd2_2872));
																																																																													BgL_carzd231275zd2_2875
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_12851);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231275zd2_2875))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231248zd2_2870))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2421z00_2878;
																																																																																BgL_arg2421z00_2878
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd231255zd2_2871));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24106;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_24110;
																																																																																		obj_t
																																																																																			BgL_proc2z00_24109;
																																																																																		obj_t
																																																																																			BgL_proc1z00_24108;
																																																																																		obj_t
																																																																																			BgL_testz00_24107;
																																																																																		BgL_testz00_24107
																																																																																			=
																																																																																			BgL_arg2421z00_2878;
																																																																																		BgL_proc1z00_24108
																																																																																			=
																																																																																			BgL_carzd231268zd2_2873;
																																																																																		BgL_proc2z00_24109
																																																																																			=
																																																																																			BgL_carzd231275zd2_2875;
																																																																																		BgL_argsz00_24110
																																																																																			=
																																																																																			BgL_cdrzd231248zd2_2870;
																																																																																		BgL_argsz00_1834
																																																																																			=
																																																																																			BgL_argsz00_24110;
																																																																																		BgL_proc2z00_1833
																																																																																			=
																																																																																			BgL_proc2z00_24109;
																																																																																		BgL_proc1z00_1832
																																																																																			=
																																																																																			BgL_proc1z00_24108;
																																																																																		BgL_testz00_1831
																																																																																			=
																																																																																			BgL_testz00_24107;
																																																																																		goto
																																																																																			BgL_tagzd2389zd2_1835;
																																																																																	}
																																																																																	BgL_auxz00_23981
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24106);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24114;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_23981
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24114);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24118;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_23981
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24118);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24122;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23981
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24122);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_24126;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_23981
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_24126);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd231551zd2_2897;
																																																																			BgL_cdrzd231551zd2_2897
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd231557zd2_2898;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_12855;
																																																																					BgL_pairz00_12855
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd231557zd2_2898
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_12855);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd231563zd2_2899;
																																																																					BgL_cdrzd231563zd2_2899
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd231557zd2_2898));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd231568zd2_2900;
																																																																						obj_t
																																																																							BgL_cdrzd231569zd2_2901;
																																																																						BgL_carzd231568zd2_2900
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231563zd2_2899));
																																																																						BgL_cdrzd231569zd2_2901
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd231563zd2_2899));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231568zd2_2900))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd231574zd2_2903;
																																																																								BgL_carzd231574zd2_2903
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd231569zd2_2901));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231574zd2_2903))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd231569zd2_2901))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231551zd2_2897))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2443z00_2908;
																																																																														BgL_arg2443z00_2908
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd231557zd2_2898));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24153;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_24157;
																																																																																obj_t
																																																																																	BgL_proc2z00_24156;
																																																																																obj_t
																																																																																	BgL_proc1z00_24155;
																																																																																obj_t
																																																																																	BgL_testz00_24154;
																																																																																BgL_testz00_24154
																																																																																	=
																																																																																	BgL_arg2443z00_2908;
																																																																																BgL_proc1z00_24155
																																																																																	=
																																																																																	BgL_carzd231568zd2_2900;
																																																																																BgL_proc2z00_24156
																																																																																	=
																																																																																	BgL_carzd231574zd2_2903;
																																																																																BgL_argsz00_24157
																																																																																	=
																																																																																	BgL_cdrzd231551zd2_2897;
																																																																																BgL_argsz00_1834
																																																																																	=
																																																																																	BgL_argsz00_24157;
																																																																																BgL_proc2z00_1833
																																																																																	=
																																																																																	BgL_proc2z00_24156;
																																																																																BgL_proc1z00_1832
																																																																																	=
																																																																																	BgL_proc1z00_24155;
																																																																																BgL_testz00_1831
																																																																																	=
																																																																																	BgL_testz00_24154;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1835;
																																																																															}
																																																																															BgL_auxz00_23981
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24153);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24161;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_23981
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24161);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24165;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23981
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24165);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24169;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23981
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24169);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24173;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23981
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24173);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_24177;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_23981
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_24177);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd231907zd2_2916;
																																																															BgL_cdrzd231907zd2_2916
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd231914zd2_2917;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_12864;
																																																																	BgL_pairz00_12864
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd231914zd2_2917
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_12864);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd231921zd2_2918;
																																																																	BgL_cdrzd231921zd2_2918
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd231914zd2_2917));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd231927zd2_2919;
																																																																		obj_t
																																																																			BgL_cdrzd231928zd2_2920;
																																																																		BgL_carzd231927zd2_2919
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd231921zd2_2918));
																																																																		BgL_cdrzd231928zd2_2920
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd231921zd2_2918));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231927zd2_2919))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd231928zd2_2920))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd231935zd2_2923;
																																																																						BgL_carzd231935zd2_2923
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd231928zd2_2920);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd231935zd2_2923))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd231928zd2_2920)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd231907zd2_2916))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2461z00_2928;
																																																																												BgL_arg2461z00_2928
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd231914zd2_2917));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24204;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_24208;
																																																																														obj_t
																																																																															BgL_proc2z00_24207;
																																																																														obj_t
																																																																															BgL_proc1z00_24206;
																																																																														obj_t
																																																																															BgL_testz00_24205;
																																																																														BgL_testz00_24205
																																																																															=
																																																																															BgL_arg2461z00_2928;
																																																																														BgL_proc1z00_24206
																																																																															=
																																																																															BgL_carzd231927zd2_2919;
																																																																														BgL_proc2z00_24207
																																																																															=
																																																																															BgL_carzd231935zd2_2923;
																																																																														BgL_argsz00_24208
																																																																															=
																																																																															BgL_cdrzd231907zd2_2916;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_24208;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_24207;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_24206;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_24205;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																													BgL_auxz00_23981
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24204);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24212;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23981
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24212);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24216;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23981
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24216);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24220;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23981
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24220);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24224;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_23981
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24224);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24228;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_23981
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24228);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24232;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_23981
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24232);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9379z00_24234;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2381z00_2829;
																																																			BgL_arg2381z00_2829
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9379z00_24234
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2381z00_2829));
																																																		}
																																																		if (BgL_test9379z00_24234)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_24239;
																																																				goto
																																																					BgL_tagzd2385zd2_1817;
																																																				BgL_auxz00_23981
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24239);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd232367zd2_2726;
																																																				BgL_carzd232367zd2_2726
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd232372zd2_2727;
																																																					BgL_cdrzd232372zd2_2727
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd232367zd2_2726));
																																																					if ((CAR(((obj_t) BgL_carzd232367zd2_2726)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2315z00_2730;
																																																							obj_t
																																																								BgL_arg2316z00_2731;
																																																							obj_t
																																																								BgL_arg2318z00_2732;
																																																							BgL_arg2315z00_2730
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd232372zd2_2727));
																																																							BgL_arg2316z00_2731
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd232372zd2_2727));
																																																							BgL_arg2318z00_2732
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24257;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_24260;
																																																									obj_t
																																																										BgL_bodyz00_24259;
																																																									obj_t
																																																										BgL_varsz00_24258;
																																																									BgL_varsz00_24258
																																																										=
																																																										BgL_arg2315z00_2730;
																																																									BgL_bodyz00_24259
																																																										=
																																																										BgL_arg2316z00_2731;
																																																									BgL_argsz00_24260
																																																										=
																																																										BgL_arg2318z00_2732;
																																																									BgL_argsz00_1824
																																																										=
																																																										BgL_argsz00_24260;
																																																									BgL_bodyz00_1823
																																																										=
																																																										BgL_bodyz00_24259;
																																																									BgL_varsz00_1822
																																																										=
																																																										BgL_varsz00_24258;
																																																									goto
																																																										BgL_tagzd2387zd2_1825;
																																																								}
																																																								BgL_auxz00_23981
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24257);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd232395zd2_2734;
																																																							BgL_cdrzd232395zd2_2734
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd232401zd2_2735;
																																																								BgL_cdrzd232401zd2_2735
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd232367zd2_2726));
																																																								if ((CAR(((obj_t) BgL_carzd232367zd2_2726)) == ((obj_t) CNST_TABLE_REF(1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd232407zd2_2738;
																																																										BgL_cdrzd232407zd2_2738
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd232401zd2_2735));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd232412zd2_2739;
																																																											obj_t
																																																												BgL_cdrzd232413zd2_2740;
																																																											BgL_carzd232412zd2_2739
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd232407zd2_2738));
																																																											BgL_cdrzd232413zd2_2740
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd232407zd2_2738));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232412zd2_2739))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd232413zd2_2740))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd232420zd2_2743;
																																																															BgL_carzd232420zd2_2743
																																																																=
																																																																CAR
																																																																(BgL_cdrzd232413zd2_2740);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232420zd2_2743))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd232413zd2_2740)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test9386z00_24288;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1375z00_2776;
																																																																				BgL_l1375z00_2776
																																																																					=
																																																																					BgL_cdrzd232395zd2_2734;
																																																																			BgL_zc3z04anonymousza32341ze3z87_2777:
																																																																				if (NULLP(BgL_l1375z00_2776))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test9386z00_24288
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test9388z00_24291;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9389z00_24292;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_24293;
																																																																								BgL_tmpz00_24293
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1375z00_2776));
																																																																								BgL_test9389z00_24292
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_24293);
																																																																							}
																																																																							if (BgL_test9389z00_24292)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9388z00_24291
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test9388z00_24291
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test9388z00_24291)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1375z00_24297;
																																																																								BgL_l1375z00_24297
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1375z00_2776));
																																																																								BgL_l1375z00_2776
																																																																									=
																																																																									BgL_l1375z00_24297;
																																																																								goto
																																																																									BgL_zc3z04anonymousza32341ze3z87_2777;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test9386z00_24288
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test9386z00_24288)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg2331z00_2759;
																																																																					BgL_arg2331z00_2759
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd232401zd2_2735));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24302;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_24306;
																																																																							obj_t
																																																																								BgL_proc2z00_24305;
																																																																							obj_t
																																																																								BgL_proc1z00_24304;
																																																																							obj_t
																																																																								BgL_testz00_24303;
																																																																							BgL_testz00_24303
																																																																								=
																																																																								BgL_arg2331z00_2759;
																																																																							BgL_proc1z00_24304
																																																																								=
																																																																								BgL_carzd232412zd2_2739;
																																																																							BgL_proc2z00_24305
																																																																								=
																																																																								BgL_carzd232420zd2_2743;
																																																																							BgL_argsz00_24306
																																																																								=
																																																																								BgL_cdrzd232395zd2_2734;
																																																																							BgL_argsz00_1829
																																																																								=
																																																																								BgL_argsz00_24306;
																																																																							BgL_proc2z00_1828
																																																																								=
																																																																								BgL_proc2z00_24305;
																																																																							BgL_proc1z00_1827
																																																																								=
																																																																								BgL_proc1z00_24304;
																																																																							BgL_testz00_1826
																																																																								=
																																																																								BgL_testz00_24303;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1830;
																																																																						}
																																																																						BgL_auxz00_23981
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24302);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd232444zd2_2760;
																																																																					BgL_cdrzd232444zd2_2760
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd232451zd2_2761;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_12893;
																																																																							BgL_pairz00_12893
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd232451zd2_2761
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_12893);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd232458zd2_2762;
																																																																							BgL_cdrzd232458zd2_2762
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd232451zd2_2761));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd232464zd2_2763;
																																																																								BgL_carzd232464zd2_2763
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd232458zd2_2762));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232464zd2_2763))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd232471zd2_2765;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_12897;
																																																																											BgL_pairz00_12897
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd232458zd2_2762));
																																																																											BgL_carzd232471zd2_2765
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_12897);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232471zd2_2765))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232444zd2_2760))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2335z00_2768;
																																																																														BgL_arg2335z00_2768
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd232451zd2_2761));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24328;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_24332;
																																																																																obj_t
																																																																																	BgL_proc2z00_24331;
																																																																																obj_t
																																																																																	BgL_proc1z00_24330;
																																																																																obj_t
																																																																																	BgL_testz00_24329;
																																																																																BgL_testz00_24329
																																																																																	=
																																																																																	BgL_arg2335z00_2768;
																																																																																BgL_proc1z00_24330
																																																																																	=
																																																																																	BgL_carzd232464zd2_2763;
																																																																																BgL_proc2z00_24331
																																																																																	=
																																																																																	BgL_carzd232471zd2_2765;
																																																																																BgL_argsz00_24332
																																																																																	=
																																																																																	BgL_cdrzd232444zd2_2760;
																																																																																BgL_argsz00_1834
																																																																																	=
																																																																																	BgL_argsz00_24332;
																																																																																BgL_proc2z00_1833
																																																																																	=
																																																																																	BgL_proc2z00_24331;
																																																																																BgL_proc1z00_1832
																																																																																	=
																																																																																	BgL_proc1z00_24330;
																																																																																BgL_testz00_1831
																																																																																	=
																																																																																	BgL_testz00_24329;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1835;
																																																																															}
																																																																															BgL_auxz00_23981
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24328);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_24336;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_23981
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_24336);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24340;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23981
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24340);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24344;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23981
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24344);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_24348;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_23981
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_24348);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd232747zd2_2787;
																																																																	BgL_cdrzd232747zd2_2787
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd232753zd2_2788;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_12901;
																																																																			BgL_pairz00_12901
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd232753zd2_2788
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_12901);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd232759zd2_2789;
																																																																			BgL_cdrzd232759zd2_2789
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd232753zd2_2788));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd232764zd2_2790;
																																																																				obj_t
																																																																					BgL_cdrzd232765zd2_2791;
																																																																				BgL_carzd232764zd2_2790
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd232759zd2_2789));
																																																																				BgL_cdrzd232765zd2_2791
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd232759zd2_2789));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232764zd2_2790))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd232770zd2_2793;
																																																																						BgL_carzd232770zd2_2793
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd232765zd2_2791));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd232770zd2_2793))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd232765zd2_2791))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd232747zd2_2787))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2351z00_2798;
																																																																												BgL_arg2351z00_2798
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd232753zd2_2788));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24375;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_24379;
																																																																														obj_t
																																																																															BgL_proc2z00_24378;
																																																																														obj_t
																																																																															BgL_proc1z00_24377;
																																																																														obj_t
																																																																															BgL_testz00_24376;
																																																																														BgL_testz00_24376
																																																																															=
																																																																															BgL_arg2351z00_2798;
																																																																														BgL_proc1z00_24377
																																																																															=
																																																																															BgL_carzd232764zd2_2790;
																																																																														BgL_proc2z00_24378
																																																																															=
																																																																															BgL_carzd232770zd2_2793;
																																																																														BgL_argsz00_24379
																																																																															=
																																																																															BgL_cdrzd232747zd2_2787;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_24379;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_24378;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_24377;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_24376;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																													BgL_auxz00_23981
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24375);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_24383;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_23981
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_24383);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24387;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23981
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24387);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24391;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23981
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24391);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24395;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_23981
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24395);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_24399;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_23981
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_24399);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd233103zd2_2806;
																																																													BgL_cdrzd233103zd2_2806
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd233110zd2_2807;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_12910;
																																																															BgL_pairz00_12910
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd233110zd2_2807
																																																																=
																																																																CDR
																																																																(BgL_pairz00_12910);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd233117zd2_2808;
																																																															BgL_cdrzd233117zd2_2808
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd233110zd2_2807));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd233123zd2_2809;
																																																																obj_t
																																																																	BgL_cdrzd233124zd2_2810;
																																																																BgL_carzd233123zd2_2809
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd233117zd2_2808));
																																																																BgL_cdrzd233124zd2_2810
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd233117zd2_2808));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233123zd2_2809))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd233124zd2_2810))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd233131zd2_2813;
																																																																				BgL_carzd233131zd2_2813
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd233124zd2_2810);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd233131zd2_2813))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd233124zd2_2810)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd233103zd2_2806))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2369z00_2818;
																																																																										BgL_arg2369z00_2818
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd233110zd2_2807));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24426;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_24430;
																																																																												obj_t
																																																																													BgL_proc2z00_24429;
																																																																												obj_t
																																																																													BgL_proc1z00_24428;
																																																																												obj_t
																																																																													BgL_testz00_24427;
																																																																												BgL_testz00_24427
																																																																													=
																																																																													BgL_arg2369z00_2818;
																																																																												BgL_proc1z00_24428
																																																																													=
																																																																													BgL_carzd233123zd2_2809;
																																																																												BgL_proc2z00_24429
																																																																													=
																																																																													BgL_carzd233131zd2_2813;
																																																																												BgL_argsz00_24430
																																																																													=
																																																																													BgL_cdrzd233103zd2_2806;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_24430;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_24429;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_24428;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_24427;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_23981
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24426);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24434;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_23981
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24434);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_24438;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_23981
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_24438);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24442;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_23981
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24442);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_24446;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_23981
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_24446);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24450;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_23981
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24450);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_24454;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_23981
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_24454);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd233523zd2_2941;
																																												BgL_cdrzd233523zd2_2941
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9417z00_24458;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2491z00_2957;
																																															BgL_arg2491z00_2957
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9417z00_24458
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg2491z00_2957));
																																														}
																																														if (BgL_test9417z00_24458)
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd233523zd2_2941))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg2493z00_2959;
																																																		obj_t
																																																			BgL_arg2495z00_2960;
																																																		BgL_arg2493z00_2959
																																																			=
																																																			CAR
																																																			(BgL_cdrzd233523zd2_2941);
																																																		BgL_arg2495z00_2960
																																																			=
																																																			CDR
																																																			(BgL_cdrzd233523zd2_2941);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_24467;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_24469;
																																																				obj_t
																																																					BgL_bindingsz00_24468;
																																																				BgL_bindingsz00_24468
																																																					=
																																																					BgL_arg2493z00_2959;
																																																				BgL_exprz00_24469
																																																					=
																																																					BgL_arg2495z00_2960;
																																																				BgL_exprz00_1814
																																																					=
																																																					BgL_exprz00_24469;
																																																				BgL_bindingsz00_1813
																																																					=
																																																					BgL_bindingsz00_24468;
																																																				goto
																																																					BgL_tagzd2383zd2_1815;
																																																			}
																																																			BgL_auxz00_23981
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_24467);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9419z00_24471;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2506z00_2972;
																																																			BgL_arg2506z00_2972
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9419z00_24471
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg2506z00_2972));
																																																		}
																																																		if (BgL_test9419z00_24471)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_24476;
																																																				goto
																																																					BgL_tagzd2385zd2_1817;
																																																				BgL_auxz00_23981
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24476);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd233586zd2_2963;
																																																				BgL_carzd233586zd2_2963
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd233591zd2_2964;
																																																					BgL_cdrzd233591zd2_2964
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd233586zd2_2963));
																																																					if ((CAR(((obj_t) BgL_carzd233586zd2_2963)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2500z00_2967;
																																																							obj_t
																																																								BgL_arg2501z00_2968;
																																																							obj_t
																																																								BgL_arg2502z00_2969;
																																																							BgL_arg2500z00_2967
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd233591zd2_2964));
																																																							BgL_arg2501z00_2968
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd233591zd2_2964));
																																																							BgL_arg2502z00_2969
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_24494;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_24497;
																																																									obj_t
																																																										BgL_bodyz00_24496;
																																																									obj_t
																																																										BgL_varsz00_24495;
																																																									BgL_varsz00_24495
																																																										=
																																																										BgL_arg2500z00_2967;
																																																									BgL_bodyz00_24496
																																																										=
																																																										BgL_arg2501z00_2968;
																																																									BgL_argsz00_24497
																																																										=
																																																										BgL_arg2502z00_2969;
																																																									BgL_argsz00_1824
																																																										=
																																																										BgL_argsz00_24497;
																																																									BgL_bodyz00_1823
																																																										=
																																																										BgL_bodyz00_24496;
																																																									BgL_varsz00_1822
																																																										=
																																																										BgL_varsz00_24495;
																																																									goto
																																																										BgL_tagzd2387zd2_1825;
																																																								}
																																																								BgL_auxz00_23981
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24494);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1859;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_24501;
																																																									goto
																																																										BgL_tagzd2405zd2_1860;
																																																									BgL_auxz00_23981
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_24501);
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9422z00_24503;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2490z00_2956;
																																																	BgL_arg2490z00_2956
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9422z00_24503
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2490z00_2956));
																																																}
																																																if (BgL_test9422z00_24503)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24508;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_23981
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24508);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd233740zd2_2947;
																																																		BgL_carzd233740zd2_2947
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd233745zd2_2948;
																																																			BgL_cdrzd233745zd2_2948
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd233740zd2_2947));
																																																			if ((CAR(((obj_t) BgL_carzd233740zd2_2947)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2482z00_2951;
																																																					obj_t
																																																						BgL_arg2485z00_2952;
																																																					obj_t
																																																						BgL_arg2487z00_2953;
																																																					BgL_arg2482z00_2951
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd233745zd2_2948));
																																																					BgL_arg2485z00_2952
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd233745zd2_2948));
																																																					BgL_arg2487z00_2953
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_24526;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_24529;
																																																							obj_t
																																																								BgL_bodyz00_24528;
																																																							obj_t
																																																								BgL_varsz00_24527;
																																																							BgL_varsz00_24527
																																																								=
																																																								BgL_arg2482z00_2951;
																																																							BgL_bodyz00_24528
																																																								=
																																																								BgL_arg2485z00_2952;
																																																							BgL_argsz00_24529
																																																								=
																																																								BgL_arg2487z00_2953;
																																																							BgL_argsz00_1824
																																																								=
																																																								BgL_argsz00_24529;
																																																							BgL_bodyz00_1823
																																																								=
																																																								BgL_bodyz00_24528;
																																																							BgL_varsz00_1822
																																																								=
																																																								BgL_varsz00_24527;
																																																							goto
																																																								BgL_tagzd2387zd2_1825;
																																																						}
																																																						BgL_auxz00_23981
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_24526);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1859;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24533;
																																																							goto
																																																								BgL_tagzd2405zd2_1860;
																																																							BgL_auxz00_23981
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24533);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd233855zd2_2973;
																																										BgL_cdrzd233855zd2_2973
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test9425z00_24537;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg2514z00_2981;
																																													BgL_arg2514z00_2981
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test9425z00_24537
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg2514z00_2981));
																																												}
																																												if (BgL_test9425z00_24537)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd233855zd2_2973))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg2519z00_2983;
																																																obj_t
																																																	BgL_arg2520z00_2984;
																																																BgL_arg2519z00_2983
																																																	=
																																																	CAR
																																																	(BgL_cdrzd233855zd2_2973);
																																																BgL_arg2520z00_2984
																																																	=
																																																	CDR
																																																	(BgL_cdrzd233855zd2_2973);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_24546;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_24548;
																																																		obj_t
																																																			BgL_bindingsz00_24547;
																																																		BgL_bindingsz00_24547
																																																			=
																																																			BgL_arg2519z00_2983;
																																																		BgL_exprz00_24548
																																																			=
																																																			BgL_arg2520z00_2984;
																																																		BgL_exprz00_1814
																																																			=
																																																			BgL_exprz00_24548;
																																																		BgL_bindingsz00_1813
																																																			=
																																																			BgL_bindingsz00_24547;
																																																		goto
																																																			BgL_tagzd2383zd2_1815;
																																																	}
																																																	BgL_auxz00_23981
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_24546);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test9427z00_24550;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg2525z00_2988;
																																																	BgL_arg2525z00_2988
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test9427z00_24550
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg2525z00_2988));
																																																}
																																																if (BgL_test9427z00_24550)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_24555;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_23981
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24555);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2404zd2_1859;
																																																			}
																																																		else
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_24559;
																																																				goto
																																																					BgL_tagzd2405zd2_1860;
																																																				BgL_auxz00_23981
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_24559);
																																																			}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test9429z00_24561;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg2512z00_2980;
																																															BgL_arg2512z00_2980
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test9429z00_24561
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg2512z00_2980));
																																														}
																																														if (BgL_test9429z00_24561)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_24566;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_23981
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_24566);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2404zd2_1859;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_24570;
																																																		goto
																																																			BgL_tagzd2405zd2_1860;
																																																		BgL_auxz00_23981
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_24570);
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_23981);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231079zd2_2413)))
																																									{
																																										obj_t
																																											BgL_auxz00_24576;
																																										goto
																																											BgL_kapzd231081zd2_2415;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_24576);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd231079zd2_2413 == ((obj_t) CNST_TABLE_REF(19))))
																																											{
																																												obj_t
																																													BgL_auxz00_24582;
																																												goto
																																													BgL_kapzd231081zd2_2415;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_24582);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd231079zd2_2413 == ((obj_t) CNST_TABLE_REF(20))))
																																													{
																																														obj_t
																																															BgL_auxz00_24588;
																																														goto
																																															BgL_kapzd231081zd2_2415;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_24588);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd231079zd2_2413)))
																																															{
																																																obj_t
																																																	BgL_auxz00_24593;
																																																goto
																																																	BgL_kapzd231081zd2_2415;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_24593);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd234164zd2_2418;
																																																BgL_cdrzd234164zd2_2418
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{

																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test9435z00_24597;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg2222z00_2597;
																																																			BgL_arg2222z00_2597
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test9435z00_24597
																																																				=
																																																				CBOOL
																																																				(BGl_letzd2symzf3z21zzast_letz00
																																																				(BgL_arg2222z00_2597));
																																																		}
																																																		if (BgL_test9435z00_24597)
																																																			{
																																																				obj_t
																																																					BgL_auxz00_24602;
																																																				if (PAIRP(BgL_cdrzd234164zd2_2418))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg2224z00_2599;
																																																						obj_t
																																																							BgL_arg2225z00_2600;
																																																						BgL_arg2224z00_2599
																																																							=
																																																							CAR
																																																							(BgL_cdrzd234164zd2_2418);
																																																						BgL_arg2225z00_2600
																																																							=
																																																							CDR
																																																							(BgL_cdrzd234164zd2_2418);
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_24607;
																																																							{
																																																								obj_t
																																																									BgL_exprz00_24609;
																																																								obj_t
																																																									BgL_bindingsz00_24608;
																																																								BgL_bindingsz00_24608
																																																									=
																																																									BgL_arg2224z00_2599;
																																																								BgL_exprz00_24609
																																																									=
																																																									BgL_arg2225z00_2600;
																																																								BgL_exprz00_1814
																																																									=
																																																									BgL_exprz00_24609;
																																																								BgL_bindingsz00_1813
																																																									=
																																																									BgL_bindingsz00_24608;
																																																								goto
																																																									BgL_tagzd2383zd2_1815;
																																																							}
																																																							BgL_auxz00_24602
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_24607);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						bool_t
																																																							BgL_test9437z00_24611;
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg2300z00_2712;
																																																							BgL_arg2300z00_2712
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_test9437z00_24611
																																																								=
																																																								CBOOL
																																																								(BGl_labelszd2symzf3z21zzast_labelsz00
																																																								(BgL_arg2300z00_2712));
																																																						}
																																																						if (BgL_test9437z00_24611)
																																																							{
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_24616;
																																																								goto
																																																									BgL_tagzd2385zd2_1817;
																																																								BgL_auxz00_24602
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_24616);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_carzd234227zd2_2603;
																																																								BgL_carzd234227zd2_2603
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd234232zd2_2604;
																																																									BgL_cdrzd234232zd2_2604
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd234227zd2_2603));
																																																									if ((CAR(((obj_t) BgL_carzd234227zd2_2603)) == ((obj_t) CNST_TABLE_REF(3))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd234232zd2_2604))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg2231z00_2608;
																																																													obj_t
																																																														BgL_arg2233z00_2609;
																																																													obj_t
																																																														BgL_arg2234z00_2610;
																																																													BgL_arg2231z00_2608
																																																														=
																																																														CAR
																																																														(BgL_cdrzd234232zd2_2604);
																																																													BgL_arg2233z00_2609
																																																														=
																																																														CDR
																																																														(BgL_cdrzd234232zd2_2604);
																																																													BgL_arg2234z00_2610
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_24634;
																																																														{
																																																															obj_t
																																																																BgL_argsz00_24637;
																																																															obj_t
																																																																BgL_bodyz00_24636;
																																																															obj_t
																																																																BgL_varsz00_24635;
																																																															BgL_varsz00_24635
																																																																=
																																																																BgL_arg2231z00_2608;
																																																															BgL_bodyz00_24636
																																																																=
																																																																BgL_arg2233z00_2609;
																																																															BgL_argsz00_24637
																																																																=
																																																																BgL_arg2234z00_2610;
																																																															BgL_argsz00_1824
																																																																=
																																																																BgL_argsz00_24637;
																																																															BgL_bodyz00_1823
																																																																=
																																																																BgL_bodyz00_24636;
																																																															BgL_varsz00_1822
																																																																=
																																																																BgL_varsz00_24635;
																																																															goto
																																																																BgL_tagzd2387zd2_1825;
																																																														}
																																																														BgL_auxz00_24602
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_24634);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_24641;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_24602
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_24641);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd234339zd2_2613;
																																																											BgL_cdrzd234339zd2_2613
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd234344zd2_2614;
																																																												BgL_cdrzd234344zd2_2614
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd234227zd2_2603));
																																																												if ((CAR(((obj_t) BgL_carzd234227zd2_2603)) == ((obj_t) CNST_TABLE_REF(1))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd234344zd2_2614))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd234349zd2_2618;
																																																																BgL_cdrzd234349zd2_2618
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd234344zd2_2614);
																																																																if (PAIRP(BgL_cdrzd234349zd2_2618))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd234353zd2_2620;
																																																																		obj_t
																																																																			BgL_cdrzd234354zd2_2621;
																																																																		BgL_carzd234353zd2_2620
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd234349zd2_2618);
																																																																		BgL_cdrzd234354zd2_2621
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd234349zd2_2618);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234353zd2_2620))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd234354zd2_2621))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd234359zd2_2624;
																																																																						BgL_carzd234359zd2_2624
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd234354zd2_2621);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234359zd2_2624))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd234354zd2_2621)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9448z00_24670;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1378z00_2657;
																																																																											BgL_l1378z00_2657
																																																																												=
																																																																												BgL_cdrzd234339zd2_2613;
																																																																										BgL_zc3z04anonymousza32260ze3z87_2658:
																																																																											if (NULLP(BgL_l1378z00_2657))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9448z00_24670
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9450z00_24673;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9451z00_24674;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_24675;
																																																																															BgL_tmpz00_24675
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1378z00_2657));
																																																																															BgL_test9451z00_24674
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_24675);
																																																																														}
																																																																														if (BgL_test9451z00_24674)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9450z00_24673
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9450z00_24673
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9450z00_24673)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1378z00_24679;
																																																																															BgL_l1378z00_24679
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1378z00_2657));
																																																																															BgL_l1378z00_2657
																																																																																=
																																																																																BgL_l1378z00_24679;
																																																																															goto
																																																																																BgL_zc3z04anonymousza32260ze3z87_2658;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9448z00_24670
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9448z00_24670)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2250z00_2640;
																																																																												BgL_arg2250z00_2640
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd234344zd2_2614);
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24683;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_24687;
																																																																														obj_t
																																																																															BgL_proc2z00_24686;
																																																																														obj_t
																																																																															BgL_proc1z00_24685;
																																																																														obj_t
																																																																															BgL_testz00_24684;
																																																																														BgL_testz00_24684
																																																																															=
																																																																															BgL_arg2250z00_2640;
																																																																														BgL_proc1z00_24685
																																																																															=
																																																																															BgL_carzd234353zd2_2620;
																																																																														BgL_proc2z00_24686
																																																																															=
																																																																															BgL_carzd234359zd2_2624;
																																																																														BgL_argsz00_24687
																																																																															=
																																																																															BgL_cdrzd234339zd2_2613;
																																																																														BgL_argsz00_1829
																																																																															=
																																																																															BgL_argsz00_24687;
																																																																														BgL_proc2z00_1828
																																																																															=
																																																																															BgL_proc2z00_24686;
																																																																														BgL_proc1z00_1827
																																																																															=
																																																																															BgL_proc1z00_24685;
																																																																														BgL_testz00_1826
																																																																															=
																																																																															BgL_testz00_24684;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1830;
																																																																													}
																																																																													BgL_auxz00_24602
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24683);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd234384zd2_2641;
																																																																												BgL_cdrzd234384zd2_2641
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd234392zd2_2642;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_12965;
																																																																														BgL_pairz00_12965
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd234392zd2_2642
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_12965);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd234400zd2_2643;
																																																																														BgL_cdrzd234400zd2_2643
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd234392zd2_2642));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd234407zd2_2644;
																																																																															BgL_carzd234407zd2_2644
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd234400zd2_2643));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234407zd2_2644))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd234416zd2_2646;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_12969;
																																																																																		BgL_pairz00_12969
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd234400zd2_2643));
																																																																																		BgL_carzd234416zd2_2646
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_12969);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234416zd2_2646))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234384zd2_2641))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg2254z00_2649;
																																																																																					BgL_arg2254z00_2649
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd234392zd2_2642));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_24709;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_24713;
																																																																																							obj_t
																																																																																								BgL_proc2z00_24712;
																																																																																							obj_t
																																																																																								BgL_proc1z00_24711;
																																																																																							obj_t
																																																																																								BgL_testz00_24710;
																																																																																							BgL_testz00_24710
																																																																																								=
																																																																																								BgL_arg2254z00_2649;
																																																																																							BgL_proc1z00_24711
																																																																																								=
																																																																																								BgL_carzd234407zd2_2644;
																																																																																							BgL_proc2z00_24712
																																																																																								=
																																																																																								BgL_carzd234416zd2_2646;
																																																																																							BgL_argsz00_24713
																																																																																								=
																																																																																								BgL_cdrzd234384zd2_2641;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_24713;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_24712;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_24711;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_24710;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_24602
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_24709);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_24717;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_24602
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_24717);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24721;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_24602
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24721);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24725;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_24602
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24725);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_24729;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_24602
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_24729);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd234694zd2_2668;
																																																																								BgL_cdrzd234694zd2_2668
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd234701zd2_2669;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_12973;
																																																																										BgL_pairz00_12973
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd234701zd2_2669
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_12973);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd234708zd2_2670;
																																																																										BgL_cdrzd234708zd2_2670
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd234701zd2_2669));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd234714zd2_2671;
																																																																											obj_t
																																																																												BgL_cdrzd234715zd2_2672;
																																																																											BgL_carzd234714zd2_2671
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd234708zd2_2670));
																																																																											BgL_cdrzd234715zd2_2672
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd234708zd2_2670));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234714zd2_2671))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd234722zd2_2674;
																																																																													BgL_carzd234722zd2_2674
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd234715zd2_2672));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd234722zd2_2674))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd234715zd2_2672))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd234694zd2_2668))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2269z00_2679;
																																																																																			BgL_arg2269z00_2679
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd234701zd2_2669));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_24756;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_24760;
																																																																																					obj_t
																																																																																						BgL_proc2z00_24759;
																																																																																					obj_t
																																																																																						BgL_proc1z00_24758;
																																																																																					obj_t
																																																																																						BgL_testz00_24757;
																																																																																					BgL_testz00_24757
																																																																																						=
																																																																																						BgL_arg2269z00_2679;
																																																																																					BgL_proc1z00_24758
																																																																																						=
																																																																																						BgL_carzd234714zd2_2671;
																																																																																					BgL_proc2z00_24759
																																																																																						=
																																																																																						BgL_carzd234722zd2_2674;
																																																																																					BgL_argsz00_24760
																																																																																						=
																																																																																						BgL_cdrzd234694zd2_2668;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_24760;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_24759;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_24758;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_24757;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_24602
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_24756);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_24764;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_24602
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_24764);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24768;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_24602
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24768);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24772;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_24602
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24772);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24776;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_24602
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24776);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_24780;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_24602
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_24780);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd235055zd2_2687;
																																																																				BgL_cdrzd235055zd2_2687
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd235061zd2_2688;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_12982;
																																																																						BgL_pairz00_12982
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235061zd2_2688
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_12982);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd235067zd2_2689;
																																																																						BgL_cdrzd235067zd2_2689
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235061zd2_2688));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd235072zd2_2690;
																																																																							obj_t
																																																																								BgL_cdrzd235073zd2_2691;
																																																																							BgL_carzd235072zd2_2690
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235067zd2_2689));
																																																																							BgL_cdrzd235073zd2_2691
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd235067zd2_2689));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235072zd2_2690))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd235073zd2_2691))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd235078zd2_2694;
																																																																											BgL_carzd235078zd2_2694
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd235073zd2_2691);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd235078zd2_2694))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd235073zd2_2691)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd235055zd2_2687))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2283z00_2699;
																																																																																	BgL_arg2283z00_2699
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd235061zd2_2688));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_24807;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_24811;
																																																																																			obj_t
																																																																																				BgL_proc2z00_24810;
																																																																																			obj_t
																																																																																				BgL_proc1z00_24809;
																																																																																			obj_t
																																																																																				BgL_testz00_24808;
																																																																																			BgL_testz00_24808
																																																																																				=
																																																																																				BgL_arg2283z00_2699;
																																																																																			BgL_proc1z00_24809
																																																																																				=
																																																																																				BgL_carzd235072zd2_2690;
																																																																																			BgL_proc2z00_24810
																																																																																				=
																																																																																				BgL_carzd235078zd2_2694;
																																																																																			BgL_argsz00_24811
																																																																																				=
																																																																																				BgL_cdrzd235055zd2_2687;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_24811;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_24810;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_24809;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_24808;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_24602
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_24807);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_24815;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_24602
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_24815);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_24819;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_24602
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_24819);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_24823;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_24602
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_24823);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_24827;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_24602
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_24827);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_24831;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_24602
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_24831);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_24835;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_24602
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_24835);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_24839;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_24602
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_24839);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_24843;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_24602
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_24843);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_24602);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test9481z00_24846;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg2221z00_2596;
																																																					BgL_arg2221z00_2596
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test9481z00_24846
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg2221z00_2596));
																																																				}
																																																				if (BgL_test9481z00_24846)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_24851;
																																																						goto
																																																							BgL_tagzd2385zd2_1817;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_24851);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd235641zd2_2424;
																																																						obj_t
																																																							BgL_cdrzd235642zd2_2425;
																																																						BgL_carzd235641zd2_2424
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_cdrzd235642zd2_2425
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd235646zd2_2426;
																																																							BgL_cdrzd235646zd2_2426
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd235641zd2_2424));
																																																							if ((CAR(((obj_t) BgL_carzd235641zd2_2424)) == ((obj_t) CNST_TABLE_REF(3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd235646zd2_2426))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd235649zd2_2430;
																																																											obj_t
																																																												BgL_cdrzd235650zd2_2431;
																																																											BgL_carzd235649zd2_2430
																																																												=
																																																												CAR
																																																												(BgL_cdrzd235646zd2_2426);
																																																											BgL_cdrzd235650zd2_2431
																																																												=
																																																												CDR
																																																												(BgL_cdrzd235646zd2_2426);
																																																											if (PAIRP(BgL_carzd235649zd2_2430))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_carzd235649zd2_2430)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd235650zd2_2431))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd235656zd2_2436;
																																																																	BgL_carzd235656zd2_2436
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd235650zd2_2431);
																																																																	if (PAIRP(BgL_carzd235656zd2_2436))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd235656zd2_2436))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd235650zd2_2431)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd235642zd2_2425))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd235663zd2_2442;
																																																																									BgL_carzd235663zd2_2442
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd235642zd2_2425);
																																																																									if (PAIRP(BgL_carzd235663zd2_2442))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd235687zd2_2444;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13002;
																																																																												BgL_pairz00_13002
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd235687zd2_2444
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13002);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg2117z00_2445;
																																																																												obj_t
																																																																													BgL_arg2118z00_2446;
																																																																												obj_t
																																																																													BgL_arg2119z00_2447;
																																																																												BgL_arg2117z00_2445
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235687zd2_2444));
																																																																												BgL_arg2118z00_2446
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd235687zd2_2444));
																																																																												BgL_arg2119z00_2447
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_24900;
																																																																													obj_t
																																																																														BgL_bodyz00_24899;
																																																																													obj_t
																																																																														BgL_varsz00_24898;
																																																																													BgL_varsz00_24898
																																																																														=
																																																																														BgL_arg2117z00_2445;
																																																																													BgL_bodyz00_24899
																																																																														=
																																																																														BgL_arg2118z00_2446;
																																																																													BgL_argsz00_24900
																																																																														=
																																																																														BgL_arg2119z00_2447;
																																																																													BgL_argsz00_1824
																																																																														=
																																																																														BgL_argsz00_24900;
																																																																													BgL_bodyz00_1823
																																																																														=
																																																																														BgL_bodyz00_24899;
																																																																													BgL_varsz00_1822
																																																																														=
																																																																														BgL_varsz00_24898;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1825;
																																																																												}
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd235642zd2_2425)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg2123z00_2451;
																																																																													BgL_arg2123z00_2451
																																																																														=
																																																																														CAR
																																																																														(BgL_carzd235649zd2_2430);
																																																																													{
																																																																														BgL_castz00_bglt
																																																																															BgL_auxz00_24905;
																																																																														{
																																																																															obj_t
																																																																																BgL_argz00_24908;
																																																																															obj_t
																																																																																BgL_bodyz00_24907;
																																																																															obj_t
																																																																																BgL_varz00_24906;
																																																																															BgL_varz00_24906
																																																																																=
																																																																																BgL_arg2123z00_2451;
																																																																															BgL_bodyz00_24907
																																																																																=
																																																																																BgL_carzd235656zd2_2436;
																																																																															BgL_argz00_24908
																																																																																=
																																																																																BgL_carzd235663zd2_2442;
																																																																															BgL_argz00_1820
																																																																																=
																																																																																BgL_argz00_24908;
																																																																															BgL_bodyz00_1819
																																																																																=
																																																																																BgL_bodyz00_24907;
																																																																															BgL_varz00_1818
																																																																																=
																																																																																BgL_varz00_24906;
																																																																															goto
																																																																																BgL_tagzd2386zd2_1821;
																																																																														}
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_24905);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd235714zd2_2452;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13009;
																																																																														BgL_pairz00_13009
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd235714zd2_2452
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13009);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2124z00_2453;
																																																																														obj_t
																																																																															BgL_arg2125z00_2454;
																																																																														obj_t
																																																																															BgL_arg2126z00_2455;
																																																																														BgL_arg2124z00_2453
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235714zd2_2452));
																																																																														BgL_arg2125z00_2454
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd235714zd2_2452));
																																																																														BgL_arg2126z00_2455
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_24921;
																																																																															obj_t
																																																																																BgL_bodyz00_24920;
																																																																															obj_t
																																																																																BgL_varsz00_24919;
																																																																															BgL_varsz00_24919
																																																																																=
																																																																																BgL_arg2124z00_2453;
																																																																															BgL_bodyz00_24920
																																																																																=
																																																																																BgL_arg2125z00_2454;
																																																																															BgL_argsz00_24921
																																																																																=
																																																																																BgL_arg2126z00_2455;
																																																																															BgL_argsz00_1824
																																																																																=
																																																																																BgL_argsz00_24921;
																																																																															BgL_bodyz00_1823
																																																																																=
																																																																																BgL_bodyz00_24920;
																																																																															BgL_varsz00_1822
																																																																																=
																																																																																BgL_varsz00_24919;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1825;
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd235740zd2_2458;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13014;
																																																																										BgL_pairz00_13014
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd235740zd2_2458
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13014);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg2129z00_2459;
																																																																										obj_t
																																																																											BgL_arg2130z00_2460;
																																																																										obj_t
																																																																											BgL_arg2131z00_2461;
																																																																										BgL_arg2129z00_2459
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235740zd2_2458));
																																																																										BgL_arg2130z00_2460
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd235740zd2_2458));
																																																																										BgL_arg2131z00_2461
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_24933;
																																																																											obj_t
																																																																												BgL_bodyz00_24932;
																																																																											obj_t
																																																																												BgL_varsz00_24931;
																																																																											BgL_varsz00_24931
																																																																												=
																																																																												BgL_arg2129z00_2459;
																																																																											BgL_bodyz00_24932
																																																																												=
																																																																												BgL_arg2130z00_2460;
																																																																											BgL_argsz00_24933
																																																																												=
																																																																												BgL_arg2131z00_2461;
																																																																											BgL_argsz00_1824
																																																																												=
																																																																												BgL_argsz00_24933;
																																																																											BgL_bodyz00_1823
																																																																												=
																																																																												BgL_bodyz00_24932;
																																																																											BgL_varsz00_1822
																																																																												=
																																																																												BgL_varsz00_24931;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1825;
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd235766zd2_2463;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13019;
																																																																								BgL_pairz00_13019
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd235766zd2_2463
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13019);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg2133z00_2464;
																																																																								obj_t
																																																																									BgL_arg2134z00_2465;
																																																																								obj_t
																																																																									BgL_arg2135z00_2466;
																																																																								BgL_arg2133z00_2464
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd235766zd2_2463));
																																																																								BgL_arg2134z00_2465
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd235766zd2_2463));
																																																																								BgL_arg2135z00_2466
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_24945;
																																																																									obj_t
																																																																										BgL_bodyz00_24944;
																																																																									obj_t
																																																																										BgL_varsz00_24943;
																																																																									BgL_varsz00_24943
																																																																										=
																																																																										BgL_arg2133z00_2464;
																																																																									BgL_bodyz00_24944
																																																																										=
																																																																										BgL_arg2134z00_2465;
																																																																									BgL_argsz00_24945
																																																																										=
																																																																										BgL_arg2135z00_2466;
																																																																									BgL_argsz00_1824
																																																																										=
																																																																										BgL_argsz00_24945;
																																																																									BgL_bodyz00_1823
																																																																										=
																																																																										BgL_bodyz00_24944;
																																																																									BgL_varsz00_1822
																																																																										=
																																																																										BgL_varsz00_24943;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1825;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd235792zd2_2469;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13024;
																																																																						BgL_pairz00_13024
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd235792zd2_2469
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13024);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg2138z00_2470;
																																																																						obj_t
																																																																							BgL_arg2139z00_2471;
																																																																						obj_t
																																																																							BgL_arg2140z00_2472;
																																																																						BgL_arg2138z00_2470
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235792zd2_2469));
																																																																						BgL_arg2139z00_2471
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd235792zd2_2469));
																																																																						BgL_arg2140z00_2472
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_24957;
																																																																							obj_t
																																																																								BgL_bodyz00_24956;
																																																																							obj_t
																																																																								BgL_varsz00_24955;
																																																																							BgL_varsz00_24955
																																																																								=
																																																																								BgL_arg2138z00_2470;
																																																																							BgL_bodyz00_24956
																																																																								=
																																																																								BgL_arg2139z00_2471;
																																																																							BgL_argsz00_24957
																																																																								=
																																																																								BgL_arg2140z00_2472;
																																																																							BgL_argsz00_1824
																																																																								=
																																																																								BgL_argsz00_24957;
																																																																							BgL_bodyz00_1823
																																																																								=
																																																																								BgL_bodyz00_24956;
																																																																							BgL_varsz00_1822
																																																																								=
																																																																								BgL_varsz00_24955;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1825;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd235818zd2_2474;
																																																																			BgL_cdrzd235818zd2_2474
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd235641zd2_2424));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg2142z00_2475;
																																																																				obj_t
																																																																					BgL_arg2143z00_2476;
																																																																				obj_t
																																																																					BgL_arg2144z00_2477;
																																																																				BgL_arg2142z00_2475
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235818zd2_2474));
																																																																				BgL_arg2143z00_2476
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd235818zd2_2474));
																																																																				BgL_arg2144z00_2477
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_24968;
																																																																					obj_t
																																																																						BgL_bodyz00_24967;
																																																																					obj_t
																																																																						BgL_varsz00_24966;
																																																																					BgL_varsz00_24966
																																																																						=
																																																																						BgL_arg2142z00_2475;
																																																																					BgL_bodyz00_24967
																																																																						=
																																																																						BgL_arg2143z00_2476;
																																																																					BgL_argsz00_24968
																																																																						=
																																																																						BgL_arg2144z00_2477;
																																																																					BgL_argsz00_1824
																																																																						=
																																																																						BgL_argsz00_24968;
																																																																					BgL_bodyz00_1823
																																																																						=
																																																																						BgL_bodyz00_24967;
																																																																					BgL_varsz00_1822
																																																																						=
																																																																						BgL_varsz00_24966;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1825;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd235844zd2_2479;
																																																																	BgL_cdrzd235844zd2_2479
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd235641zd2_2424));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg2146z00_2480;
																																																																		obj_t
																																																																			BgL_arg2147z00_2481;
																																																																		obj_t
																																																																			BgL_arg2148z00_2482;
																																																																		BgL_arg2146z00_2480
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235844zd2_2479));
																																																																		BgL_arg2147z00_2481
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd235844zd2_2479));
																																																																		BgL_arg2148z00_2482
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_24979;
																																																																			obj_t
																																																																				BgL_bodyz00_24978;
																																																																			obj_t
																																																																				BgL_varsz00_24977;
																																																																			BgL_varsz00_24977
																																																																				=
																																																																				BgL_arg2146z00_2480;
																																																																			BgL_bodyz00_24978
																																																																				=
																																																																				BgL_arg2147z00_2481;
																																																																			BgL_argsz00_24979
																																																																				=
																																																																				BgL_arg2148z00_2482;
																																																																			BgL_argsz00_1824
																																																																				=
																																																																				BgL_argsz00_24979;
																																																																			BgL_bodyz00_1823
																																																																				=
																																																																				BgL_bodyz00_24978;
																																																																			BgL_varsz00_1822
																																																																				=
																																																																				BgL_varsz00_24977;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1825;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd235870zd2_2484;
																																																															BgL_cdrzd235870zd2_2484
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd235641zd2_2424));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg2150z00_2485;
																																																																obj_t
																																																																	BgL_arg2151z00_2486;
																																																																obj_t
																																																																	BgL_arg2152z00_2487;
																																																																BgL_arg2150z00_2485
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd235870zd2_2484));
																																																																BgL_arg2151z00_2486
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd235870zd2_2484));
																																																																BgL_arg2152z00_2487
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_24990;
																																																																	obj_t
																																																																		BgL_bodyz00_24989;
																																																																	obj_t
																																																																		BgL_varsz00_24988;
																																																																	BgL_varsz00_24988
																																																																		=
																																																																		BgL_arg2150z00_2485;
																																																																	BgL_bodyz00_24989
																																																																		=
																																																																		BgL_arg2151z00_2486;
																																																																	BgL_argsz00_24990
																																																																		=
																																																																		BgL_arg2152z00_2487;
																																																																	BgL_argsz00_1824
																																																																		=
																																																																		BgL_argsz00_24990;
																																																																	BgL_bodyz00_1823
																																																																		=
																																																																		BgL_bodyz00_24989;
																																																																	BgL_varsz00_1822
																																																																		=
																																																																		BgL_varsz00_24988;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1825;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd235896zd2_2490;
																																																													BgL_cdrzd235896zd2_2490
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd235641zd2_2424));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg2155z00_2491;
																																																														obj_t
																																																															BgL_arg2156z00_2492;
																																																														obj_t
																																																															BgL_arg2157z00_2493;
																																																														BgL_arg2155z00_2491
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd235896zd2_2490));
																																																														BgL_arg2156z00_2492
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd235896zd2_2490));
																																																														BgL_arg2157z00_2493
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_25001;
																																																															obj_t
																																																																BgL_bodyz00_25000;
																																																															obj_t
																																																																BgL_varsz00_24999;
																																																															BgL_varsz00_24999
																																																																=
																																																																BgL_arg2155z00_2491;
																																																															BgL_bodyz00_25000
																																																																=
																																																																BgL_arg2156z00_2492;
																																																															BgL_argsz00_25001
																																																																=
																																																																BgL_arg2157z00_2493;
																																																															BgL_argsz00_1824
																																																																=
																																																																BgL_argsz00_25001;
																																																															BgL_bodyz00_1823
																																																																=
																																																																BgL_bodyz00_25000;
																																																															BgL_varsz00_1822
																																																																=
																																																																BgL_varsz00_24999;
																																																															goto
																																																																BgL_tagzd2387zd2_1825;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_25004;
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_25004);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd236034zd2_2498;
																																																									BgL_cdrzd236034zd2_2498
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd235641zd2_2424));
																																																									if ((CAR(((obj_t) BgL_carzd235641zd2_2424)) == ((obj_t) CNST_TABLE_REF(1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd236034zd2_2498))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd236039zd2_2502;
																																																													BgL_cdrzd236039zd2_2502
																																																														=
																																																														CDR
																																																														(BgL_cdrzd236034zd2_2498);
																																																													if (PAIRP(BgL_cdrzd236039zd2_2502))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd236043zd2_2504;
																																																															obj_t
																																																																BgL_cdrzd236044zd2_2505;
																																																															BgL_carzd236043zd2_2504
																																																																=
																																																																CAR
																																																																(BgL_cdrzd236039zd2_2502);
																																																															BgL_cdrzd236044zd2_2505
																																																																=
																																																																CDR
																																																																(BgL_cdrzd236039zd2_2502);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236043zd2_2504))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd236044zd2_2505))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd236049zd2_2508;
																																																																			BgL_carzd236049zd2_2508
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd236044zd2_2505);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236049zd2_2508))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd236044zd2_2505)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test9501z00_25031;
																																																																							{
																																																																								obj_t
																																																																									BgL_l1381z00_2541;
																																																																								BgL_l1381z00_2541
																																																																									=
																																																																									BgL_cdrzd235642zd2_2425;
																																																																							BgL_zc3z04anonymousza32185ze3z87_2542:
																																																																								if (NULLP(BgL_l1381z00_2541))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test9501z00_25031
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9503z00_25034;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9504z00_25035;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_25036;
																																																																												BgL_tmpz00_25036
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_l1381z00_2541));
																																																																												BgL_test9504z00_25035
																																																																													=
																																																																													PAIRP
																																																																													(BgL_tmpz00_25036);
																																																																											}
																																																																											if (BgL_test9504z00_25035)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9503z00_25034
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9503z00_25034
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																										}
																																																																										if (BgL_test9503z00_25034)
																																																																											{
																																																																												obj_t
																																																																													BgL_l1381z00_25040;
																																																																												BgL_l1381z00_25040
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_l1381z00_2541));
																																																																												BgL_l1381z00_2541
																																																																													=
																																																																													BgL_l1381z00_25040;
																																																																												goto
																																																																													BgL_zc3z04anonymousza32185ze3z87_2542;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test9501z00_25031
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																									}
																																																																							}
																																																																							if (BgL_test9501z00_25031)
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_25047;
																																																																									obj_t
																																																																										BgL_proc2z00_25046;
																																																																									obj_t
																																																																										BgL_proc1z00_25045;
																																																																									obj_t
																																																																										BgL_testz00_25043;
																																																																									BgL_testz00_25043
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd236034zd2_2498);
																																																																									BgL_proc1z00_25045
																																																																										=
																																																																										BgL_carzd236043zd2_2504;
																																																																									BgL_proc2z00_25046
																																																																										=
																																																																										BgL_carzd236049zd2_2508;
																																																																									BgL_argsz00_25047
																																																																										=
																																																																										BgL_cdrzd235642zd2_2425;
																																																																									BgL_argsz00_1829
																																																																										=
																																																																										BgL_argsz00_25047;
																																																																									BgL_proc2z00_1828
																																																																										=
																																																																										BgL_proc2z00_25046;
																																																																									BgL_proc1z00_1827
																																																																										=
																																																																										BgL_proc1z00_25045;
																																																																									BgL_testz00_1826
																																																																										=
																																																																										BgL_testz00_25043;
																																																																									goto
																																																																										BgL_tagzd2388zd2_1830;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd236074zd2_2525;
																																																																									BgL_cdrzd236074zd2_2525
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd236082zd2_2526;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13062;
																																																																											BgL_pairz00_13062
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd236082zd2_2526
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13062);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd236090zd2_2527;
																																																																											BgL_cdrzd236090zd2_2527
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd236082zd2_2526));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd236097zd2_2528;
																																																																												BgL_carzd236097zd2_2528
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd236090zd2_2527));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236097zd2_2528))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd236106zd2_2530;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13066;
																																																																															BgL_pairz00_13066
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd236090zd2_2527));
																																																																															BgL_carzd236106zd2_2530
																																																																																=
																																																																																CAR
																																																																																(BgL_pairz00_13066);
																																																																														}
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236106zd2_2530))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236074zd2_2525))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2179z00_2533;
																																																																																		BgL_arg2179z00_2533
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd236082zd2_2526));
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_25071;
																																																																																			obj_t
																																																																																				BgL_proc2z00_25070;
																																																																																			obj_t
																																																																																				BgL_proc1z00_25069;
																																																																																			obj_t
																																																																																				BgL_testz00_25068;
																																																																																			BgL_testz00_25068
																																																																																				=
																																																																																				BgL_arg2179z00_2533;
																																																																																			BgL_proc1z00_25069
																																																																																				=
																																																																																				BgL_carzd236097zd2_2528;
																																																																																			BgL_proc2z00_25070
																																																																																				=
																																																																																				BgL_carzd236106zd2_2530;
																																																																																			BgL_argsz00_25071
																																																																																				=
																																																																																				BgL_cdrzd236074zd2_2525;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_25071;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_25070;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_25069;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_25068;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_auxz00_25074;
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																				return
																																																																																					(
																																																																																					(BgL_nodez00_bglt)
																																																																																					BgL_auxz00_25074);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_25078;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_25078);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25082;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25082);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_25086;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_25086);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd236384zd2_2552;
																																																																					BgL_cdrzd236384zd2_2552
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd236391zd2_2553;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_13070;
																																																																							BgL_pairz00_13070
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd236391zd2_2553
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_13070);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd236398zd2_2554;
																																																																							BgL_cdrzd236398zd2_2554
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd236391zd2_2553));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd236404zd2_2555;
																																																																								obj_t
																																																																									BgL_cdrzd236405zd2_2556;
																																																																								BgL_carzd236404zd2_2555
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd236398zd2_2554));
																																																																								BgL_cdrzd236405zd2_2556
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd236398zd2_2554));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236404zd2_2555))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd236412zd2_2558;
																																																																										BgL_carzd236412zd2_2558
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd236405zd2_2556));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236412zd2_2558))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_cdrzd236405zd2_2556))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236384zd2_2552))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg2194z00_2563;
																																																																																BgL_arg2194z00_2563
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd236391zd2_2553));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_25116;
																																																																																	obj_t
																																																																																		BgL_proc2z00_25115;
																																																																																	obj_t
																																																																																		BgL_proc1z00_25114;
																																																																																	obj_t
																																																																																		BgL_testz00_25113;
																																																																																	BgL_testz00_25113
																																																																																		=
																																																																																		BgL_arg2194z00_2563;
																																																																																	BgL_proc1z00_25114
																																																																																		=
																																																																																		BgL_carzd236404zd2_2555;
																																																																																	BgL_proc2z00_25115
																																																																																		=
																																																																																		BgL_carzd236412zd2_2558;
																																																																																	BgL_argsz00_25116
																																																																																		=
																																																																																		BgL_cdrzd236384zd2_2552;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_25116;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_25115;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_25114;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_25113;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_25119;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_25119);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25123;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25123);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25127;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25127);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25131;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25131);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_25135;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_25135);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd236745zd2_2571;
																																																																	BgL_cdrzd236745zd2_2571
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd236751zd2_2572;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_13079;
																																																																			BgL_pairz00_13079
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd236751zd2_2572
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_13079);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd236757zd2_2573;
																																																																			BgL_cdrzd236757zd2_2573
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd236751zd2_2572));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd236762zd2_2574;
																																																																				obj_t
																																																																					BgL_cdrzd236763zd2_2575;
																																																																				BgL_carzd236762zd2_2574
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd236757zd2_2573));
																																																																				BgL_cdrzd236763zd2_2575
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd236757zd2_2573));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236762zd2_2574))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd236763zd2_2575))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd236768zd2_2578;
																																																																								BgL_carzd236768zd2_2578
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd236763zd2_2575);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd236768zd2_2578))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd236763zd2_2575)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd236745zd2_2571))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg2208z00_2583;
																																																																														BgL_arg2208z00_2583
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd236751zd2_2572));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_25165;
																																																																															obj_t
																																																																																BgL_proc2z00_25164;
																																																																															obj_t
																																																																																BgL_proc1z00_25163;
																																																																															obj_t
																																																																																BgL_testz00_25162;
																																																																															BgL_testz00_25162
																																																																																=
																																																																																BgL_arg2208z00_2583;
																																																																															BgL_proc1z00_25163
																																																																																=
																																																																																BgL_carzd236762zd2_2574;
																																																																															BgL_proc2z00_25164
																																																																																=
																																																																																BgL_carzd236768zd2_2578;
																																																																															BgL_argsz00_25165
																																																																																=
																																																																																BgL_cdrzd236745zd2_2571;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_25165;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_25164;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_25163;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_25162;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25168;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25168);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25172;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25172);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25176;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25176);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_25180;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_25180);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_25184;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_25184);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_25188;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_25188);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_25192;
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_25192);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_25196;
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_25196);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_cdrzd237305zd2_2990;
																																					BgL_cdrzd237305zd2_2990
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_21));
																																					{

																																						if (
																																							(BgL_carzd231076zd2_2411
																																								==
																																								((obj_t) CNST_TABLE_REF(18))))
																																							{
																																								obj_t
																																									BgL_auxz00_25204;
																																							BgL_kapzd237306zd2_2991:
																																								if (PAIRP(BgL_cdrzd237305zd2_2990))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_arg2612z00_3085;
																																										obj_t
																																											BgL_arg2613z00_3086;
																																										BgL_arg2612z00_3085
																																											=
																																											CAR
																																											(BgL_cdrzd237305zd2_2990);
																																										BgL_arg2613z00_3086
																																											=
																																											CDR
																																											(BgL_cdrzd237305zd2_2990);
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_25209;
																																											{
																																												obj_t
																																													BgL_exprz00_25211;
																																												obj_t
																																													BgL_bindingsz00_25210;
																																												BgL_bindingsz00_25210
																																													=
																																													BgL_arg2612z00_3085;
																																												BgL_exprz00_25211
																																													=
																																													BgL_arg2613z00_3086;
																																												BgL_exprz00_1814
																																													=
																																													BgL_exprz00_25211;
																																												BgL_bindingsz00_1813
																																													=
																																													BgL_bindingsz00_25210;
																																												goto
																																													BgL_tagzd2383zd2_1815;
																																											}
																																											BgL_auxz00_25204
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_25209);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_25219;
																																												goto
																																													BgL_tagzd2384zd2_1816;
																																												BgL_auxz00_25204
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_25219);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd237339zd2_3089;
																																												BgL_carzd237339zd2_3089
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if ((BgL_carzd237339zd2_3089 == ((obj_t) CNST_TABLE_REF(20))))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_25227;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_25204
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_25227);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237339zd2_3089)))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_25232;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_25204
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25232);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_25240;
																																																		goto
																																																			BgL_tagzd2390zd2_1836;
																																																		BgL_auxz00_25204
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_25240);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_25248;
																																																				goto
																																																					BgL_tagzd2391zd2_1837;
																																																				BgL_auxz00_25204
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_25248);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_25256;
																																																						goto
																																																							BgL_tagzd2393zd2_1841;
																																																						BgL_auxz00_25204
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_25256);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_25264;
																																																								goto
																																																									BgL_tagzd2394zd2_1842;
																																																								BgL_auxz00_25204
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_25264);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_25272;
																																																										goto
																																																											BgL_tagzd2396zd2_1846;
																																																										BgL_auxz00_25204
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_25272);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_25280;
																																																												goto
																																																													BgL_tagzd2397zd2_1847;
																																																												BgL_auxz00_25204
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_25280);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																													{
																																																														BgL_letzd2funzd2_bglt
																																																															BgL_auxz00_25288;
																																																														goto
																																																															BgL_tagzd2398zd2_1848;
																																																														BgL_auxz00_25204
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_25288);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																															{
																																																																BgL_jumpzd2exzd2itz00_bglt
																																																																	BgL_auxz00_25296;
																																																																goto
																																																																	BgL_tagzd2399zd2_1849;
																																																																BgL_auxz00_25204
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_25296);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25306;
																																																																				goto
																																																																					BgL_tagzd2403zd2_1858;
																																																																				BgL_auxz00_25204
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25306);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_25310;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25204
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_25310);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_25314;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25204
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_25314);
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_25204);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd231076zd2_2411)))
																																									{
																																										obj_t
																																											BgL_auxz00_25320;
																																										goto
																																											BgL_kapzd237306zd2_2991;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_25320);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd231076zd2_2411 == ((obj_t) CNST_TABLE_REF(19))))
																																											{
																																												obj_t
																																													BgL_auxz00_25326;
																																												goto
																																													BgL_kapzd237306zd2_2991;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_25326);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2384zd2_1816;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd237500zd2_2995;
																																														BgL_carzd237500zd2_2995
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														if ((BgL_carzd237500zd2_2995 == ((obj_t) CNST_TABLE_REF(20))))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_25340;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_25340);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd237500zd2_2995)))
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_25345;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_25345);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2390zd2_1836;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2391zd2_1837;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd237579zd2_3001;
																																																						BgL_cdrzd237579zd2_3001
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd237579zd2_3001))
																																																									{
																																																										obj_t
																																																											BgL_restz00_25371;
																																																										obj_t
																																																											BgL_effectz00_25369;
																																																										BgL_effectz00_25369
																																																											=
																																																											CAR
																																																											(BgL_cdrzd237579zd2_3001);
																																																										BgL_restz00_25371
																																																											=
																																																											CDR
																																																											(BgL_cdrzd237579zd2_3001);
																																																										BgL_restz00_1839
																																																											=
																																																											BgL_restz00_25371;
																																																										BgL_effectz00_1838
																																																											=
																																																											BgL_effectz00_25369;
																																																										goto
																																																											BgL_tagzd2392zd2_1840;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_25375;
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_25375);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2393zd2_1841;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2394zd2_1842;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd237579zd2_3001))
																																																															{
																																																																obj_t
																																																																	BgL_restz00_25399;
																																																																obj_t
																																																																	BgL_effectz00_25397;
																																																																BgL_effectz00_25397
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd237579zd2_3001);
																																																																BgL_restz00_25399
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd237579zd2_3001);
																																																																BgL_restz00_1844
																																																																	=
																																																																	BgL_restz00_25399;
																																																																BgL_effectz00_1843
																																																																	=
																																																																	BgL_effectz00_25397;
																																																																goto
																																																																	BgL_tagzd2395zd2_1845;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_25403;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_25403);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2396zd2_1846;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2397zd2_1847;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																			{
																																																																				BgL_letzd2funzd2_bglt
																																																																					BgL_auxz00_25423;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1848;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_25423);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																					{
																																																																						BgL_jumpzd2exzd2itz00_bglt
																																																																							BgL_auxz00_25431;
																																																																						goto
																																																																							BgL_tagzd2399zd2_1849;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_25431);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd237706zd2_3027;
																																																																						BgL_cdrzd237706zd2_3027
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd237706zd2_3027))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd237708zd2_3031;
																																																																										BgL_cdrzd237708zd2_3031
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd237706zd2_3027);
																																																																										if (PAIRP(BgL_cdrzd237708zd2_3031))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd237708zd2_3031)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2400zd2_1850;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25451;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25451);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25455;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25455);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_25459;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_25459);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd237706zd2_3027))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd237753zd2_3043;
																																																																												BgL_cdrzd237753zd2_3043
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd237706zd2_3027);
																																																																												if (PAIRP(BgL_cdrzd237753zd2_3043))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd237758zd2_3045;
																																																																														BgL_cdrzd237758zd2_3045
																																																																															=
																																																																															CDR
																																																																															(BgL_cdrzd237753zd2_3043);
																																																																														if ((CAR(BgL_cdrzd237753zd2_3043) == ((obj_t) CNST_TABLE_REF(32))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd237758zd2_3045))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg2576z00_3049;
																																																																																		obj_t
																																																																																			BgL_arg2577z00_3050;
																																																																																		obj_t
																																																																																			BgL_arg2578z00_3051;
																																																																																		BgL_arg2576z00_3049
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd237706zd2_3027);
																																																																																		BgL_arg2577z00_3050
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd237758zd2_3045);
																																																																																		BgL_arg2578z00_3051
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd237758zd2_3045);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg2576z00_3049,
																																																																																			BgL_arg2577z00_3050,
																																																																																			BgL_arg2578z00_3051,
																																																																																			BgL_stackz00_22,
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_locz00_23),
																																																																																			BgL_sitez00_24);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd237771zd2_3052;
																																																																																		BgL_cdrzd237771zd2_3052
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg2579z00_3053;
																																																																																			obj_t
																																																																																				BgL_arg2580z00_3054;
																																																																																			BgL_arg2579z00_3053
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd237771zd2_3052));
																																																																																			BgL_arg2580z00_3054
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd237771zd2_3052));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7648z00_13136;
																																																																																				BgL_arg7648z00_13136
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				return
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_arg2579z00_3053,
																																																																																					((obj_t) CNST_TABLE_REF(4)), BgL_arg2580z00_3054, BgL_stackz00_22, BgL_arg7648z00_13136, BgL_sitez00_24);
																																																																																			}
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd237786zd2_3055;
																																																																																BgL_cdrzd237786zd2_3055
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg2581z00_3056;
																																																																																	obj_t
																																																																																		BgL_arg2582z00_3057;
																																																																																	BgL_arg2581z00_3056
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd237786zd2_3055));
																																																																																	BgL_arg2582z00_3057
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd237786zd2_3055));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7648z00_13140;
																																																																																		BgL_arg7648z00_13140
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg2581z00_3056,
																																																																																			((obj_t) CNST_TABLE_REF(4)), BgL_arg2582z00_3057, BgL_stackz00_22, BgL_arg7648z00_13140, BgL_sitez00_24);
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd237801zd2_3059;
																																																																														BgL_cdrzd237801zd2_3059
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg2584z00_3060;
																																																																															obj_t
																																																																																BgL_arg2585z00_3061;
																																																																															BgL_arg2584z00_3060
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237801zd2_3059));
																																																																															BgL_arg2585z00_3061
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd237801zd2_3059));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7648z00_13144;
																																																																																BgL_arg7648z00_13144
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg2584z00_3060,
																																																																																	((obj_t) CNST_TABLE_REF(4)), BgL_arg2585z00_3061, BgL_stackz00_22, BgL_arg7648z00_13144, BgL_sitez00_24);
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25517;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25517);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2403zd2_1858;
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_25529;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_25529);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_25533;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_25533);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 119 */
												if (
													(BgL_carzd2479zd2_1865 ==
														((obj_t) CNST_TABLE_REF(11))))
													{	/* Ast/sexp.scm 119 */
														goto BgL_tagzd2371zd2_1792;
													}
												else
													{	/* Ast/sexp.scm 119 */
														if (
															(CAR(
																	((obj_t) BgL_expz00_21)) ==
																((obj_t) CNST_TABLE_REF(14))))
															{	/* Ast/sexp.scm 119 */
																obj_t BgL_arg4666z00_5634;

																BgL_arg4666z00_5634 =
																	CDR(((obj_t) BgL_expz00_21));
																{
																	obj_t BgL_lz00_25547;

																	BgL_lz00_25547 = BgL_arg4666z00_5634;
																	BgL_lz00_1793 = BgL_lz00_25547;
																	goto BgL_tagzd2372zd2_1794;
																}
															}
														else
															{	/* Ast/sexp.scm 119 */
																if (
																	(CAR(
																			((obj_t) BgL_expz00_21)) ==
																		((obj_t) CNST_TABLE_REF(12))))
																	{	/* Ast/sexp.scm 119 */
																		goto BgL_tagzd2373zd2_1795;
																	}
																else
																	{	/* Ast/sexp.scm 119 */
																		if (
																			(CAR(
																					((obj_t) BgL_expz00_21)) ==
																				((obj_t) CNST_TABLE_REF(15))))
																			{	/* Ast/sexp.scm 119 */
																				if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																					{	/* Ast/sexp.scm 119 */
																						goto BgL_tagzd2374zd2_1796;
																					}
																				else
																					{	/* Ast/sexp.scm 119 */
																						obj_t BgL_arg4673z00_5641;

																						BgL_arg4673z00_5641 =
																							CDR(((obj_t) BgL_expz00_21));
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_25566;
																							{
																								obj_t BgL_bodyz00_25567;

																								BgL_bodyz00_25567 =
																									BgL_arg4673z00_5641;
																								BgL_bodyz00_1797 =
																									BgL_bodyz00_25567;
																								goto BgL_tagzd2375zd2_1798;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_25566);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 119 */
																				obj_t BgL_carzd237949zd2_5643;
																				obj_t BgL_cdrzd237950zd2_5644;

																				BgL_carzd237949zd2_5643 =
																					CAR(((obj_t) BgL_expz00_21));
																				BgL_cdrzd237950zd2_5644 =
																					CDR(((obj_t) BgL_expz00_21));
																				{

																					if (
																						(BgL_carzd237949zd2_5643 ==
																							((obj_t) CNST_TABLE_REF(1))))
																						{
																							obj_t BgL_auxz00_25577;

																						BgL_kapzd237951zd2_5645:
																							if (PAIRP
																								(BgL_cdrzd237950zd2_5644))
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_cdrzd237954zd2_6883;

																									BgL_cdrzd237954zd2_6883 =
																										CDR
																										(BgL_cdrzd237950zd2_5644);
																									if (PAIRP
																										(BgL_cdrzd237954zd2_6883))
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd237957zd2_6885;
																											BgL_cdrzd237957zd2_6885 =
																												CDR
																												(BgL_cdrzd237954zd2_6883);
																											if ((CAR
																													(BgL_cdrzd237954zd2_6883)
																													== BTRUE))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd237957zd2_6885))
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR
																																	(BgL_cdrzd237957zd2_6885)
																																	== BFALSE))
																																{	/* Ast/sexp.scm 119 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd237957zd2_6885)))
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_sitez00_24
																																					==
																																					((obj_t) CNST_TABLE_REF(8))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg5524z00_6895;
																																					BgL_arg5524z00_6895
																																						=
																																						CAR
																																						(BgL_cdrzd237950zd2_5644);
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg5524z00_6895,
																																							BgL_stackz00_22,
																																							BgL_locz00_23,
																																							BgL_sitez00_24));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd237976zd2_6896;
																																					BgL_carzd237976zd2_6896
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd237976zd2_6896
																																							==
																																							((obj_t) CNST_TABLE_REF(1))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_25608;
																																							goto
																																								BgL_tagzd2377zd2_1801;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_25608);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd237976zd2_6896 == BGl_za2ifza2z00zzast_sexpz00))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_25612;
																																									goto
																																										BgL_tagzd2377zd2_1801;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_25612);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_25620;
																																											goto
																																												BgL_tagzd2379zd2_1805;
																																											BgL_auxz00_25577
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_25620);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_25628;
																																													goto
																																														BgL_tagzd2380zd2_1806;
																																													BgL_auxz00_25577
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_25628);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd238047zd2_6902;
																																													BgL_cdrzd238047zd2_6902
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5532z00_6905;
																																															obj_t
																																																BgL_arg5533z00_6906;
																																															BgL_arg5532z00_6905
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd238047zd2_6902));
																																															BgL_arg5533z00_6906
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd238047zd2_6902));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_25642;
																																																{
																																																	obj_t
																																																		BgL_exprz00_25644;
																																																	obj_t
																																																		BgL_bindingsz00_25643;
																																																	BgL_bindingsz00_25643
																																																		=
																																																		BgL_arg5532z00_6905;
																																																	BgL_exprz00_25644
																																																		=
																																																		BgL_arg5533z00_6906;
																																																	BgL_exprz00_1808
																																																		=
																																																		BgL_exprz00_25644;
																																																	BgL_bindingsz00_1807
																																																		=
																																																		BgL_bindingsz00_25643;
																																																	goto
																																																		BgL_tagzd2381zd2_1809;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_25642);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd238072zd2_6907;
																																															BgL_carzd238072zd2_6907
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if (PAIRP(BgL_carzd238072zd2_6907))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd238075zd2_6909;
																																																	obj_t
																																																		BgL_cdrzd238076zd2_6910;
																																																	BgL_carzd238075zd2_6909
																																																		=
																																																		CAR
																																																		(BgL_carzd238072zd2_6907);
																																																	BgL_cdrzd238076zd2_6910
																																																		=
																																																		CDR
																																																		(BgL_carzd238072zd2_6907);
																																																	{

																																																		if ((BgL_carzd238075zd2_6909 == ((obj_t) CNST_TABLE_REF(18))))
																																																			{	/* Ast/sexp.scm 119 */
																																																			BgL_kapzd238077zd2_6911:
																																																				if (PAIRP(BgL_cdrzd238076zd2_6910))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd238080zd2_7033;
																																																						BgL_cdrzd238080zd2_7033
																																																							=
																																																							CDR
																																																							(BgL_cdrzd238076zd2_6910);
																																																						if (PAIRP(BgL_cdrzd238080zd2_7033))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd238080zd2_7033)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5617z00_7037;
																																																										obj_t
																																																											BgL_arg5618z00_7038;
																																																										BgL_arg5617z00_7037
																																																											=
																																																											CAR
																																																											(BgL_cdrzd238080zd2_7033);
																																																										BgL_arg5618z00_7038
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_25667;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_25669;
																																																												obj_t
																																																													BgL_bodyz00_25668;
																																																												BgL_bodyz00_25668
																																																													=
																																																													BgL_arg5617z00_7037;
																																																												BgL_argsz00_25669
																																																													=
																																																													BgL_arg5618z00_7038;
																																																												BgL_argsz00_1811
																																																													=
																																																													BgL_argsz00_25669;
																																																												BgL_bodyz00_1810
																																																													=
																																																													BgL_bodyz00_25668;
																																																												goto
																																																													BgL_tagzd2382zd2_1812;
																																																											}
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25667);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd238104zd2_7039;
																																																										BgL_cdrzd238104zd2_7039
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9610z00_25673;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5687z00_7150;
																																																												BgL_arg5687z00_7150
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9610z00_25673
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg5687z00_7150));
																																																											}
																																																											if (BgL_test9610z00_25673)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg5621z00_7042;
																																																													obj_t
																																																														BgL_arg5622z00_7043;
																																																													BgL_arg5621z00_7042
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd238104zd2_7039));
																																																													BgL_arg5622z00_7043
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd238104zd2_7039));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_25682;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_25684;
																																																															obj_t
																																																																BgL_bindingsz00_25683;
																																																															BgL_bindingsz00_25683
																																																																=
																																																																BgL_arg5621z00_7042;
																																																															BgL_exprz00_25684
																																																																=
																																																																BgL_arg5622z00_7043;
																																																															BgL_exprz00_1814
																																																																=
																																																																BgL_exprz00_25684;
																																																															BgL_bindingsz00_1813
																																																																=
																																																																BgL_bindingsz00_25683;
																																																															goto
																																																																BgL_tagzd2383zd2_1815;
																																																														}
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_25682);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9611z00_25686;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5686z00_7149;
																																																														BgL_arg5686z00_7149
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9611z00_25686
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg5686z00_7149));
																																																													}
																																																													if (BgL_test9611z00_25686)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_25691;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_25691);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd238171zd2_7046;
																																																															BgL_carzd238171zd2_7046
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd238176zd2_7047;
																																																																BgL_cdrzd238176zd2_7047
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd238171zd2_7046));
																																																																if ((CAR(((obj_t) BgL_carzd238171zd2_7046)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5627z00_7050;
																																																																		obj_t
																																																																			BgL_arg5628z00_7051;
																																																																		obj_t
																																																																			BgL_arg5629z00_7052;
																																																																		BgL_arg5627z00_7050
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238176zd2_7047));
																																																																		BgL_arg5628z00_7051
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd238176zd2_7047));
																																																																		BgL_arg5629z00_7052
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_25709;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_25712;
																																																																				obj_t
																																																																					BgL_bodyz00_25711;
																																																																				obj_t
																																																																					BgL_varsz00_25710;
																																																																				BgL_varsz00_25710
																																																																					=
																																																																					BgL_arg5627z00_7050;
																																																																				BgL_bodyz00_25711
																																																																					=
																																																																					BgL_arg5628z00_7051;
																																																																				BgL_argsz00_25712
																																																																					=
																																																																					BgL_arg5629z00_7052;
																																																																				BgL_argsz00_1824
																																																																					=
																																																																					BgL_argsz00_25712;
																																																																				BgL_bodyz00_1823
																																																																					=
																																																																					BgL_bodyz00_25711;
																																																																				BgL_varsz00_1822
																																																																					=
																																																																					BgL_varsz00_25710;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1825;
																																																																			}
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_25709);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd238199zd2_7054;
																																																																		BgL_cdrzd238199zd2_7054
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd238205zd2_7055;
																																																																			BgL_cdrzd238205zd2_7055
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd238171zd2_7046));
																																																																			if ((CAR(((obj_t) BgL_carzd238171zd2_7046)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd238211zd2_7058;
																																																																					BgL_cdrzd238211zd2_7058
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd238205zd2_7055));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd238216zd2_7059;
																																																																						obj_t
																																																																							BgL_cdrzd238217zd2_7060;
																																																																						BgL_carzd238216zd2_7059
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238211zd2_7058));
																																																																						BgL_cdrzd238217zd2_7060
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd238211zd2_7058));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238216zd2_7059))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd238217zd2_7060))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd238224zd2_7063;
																																																																										BgL_carzd238224zd2_7063
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd238217zd2_7060);
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238224zd2_7063))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (NULLP(CDR(BgL_cdrzd238217zd2_7060)))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9618z00_25740;
																																																																														{
																																																																															obj_t
																																																																																BgL_l1384z00_7096;
																																																																															BgL_l1384z00_7096
																																																																																=
																																																																																BgL_cdrzd238199zd2_7054;
																																																																														BgL_zc3z04anonymousza35652ze3z87_7097:
																																																																															if (NULLP(BgL_l1384z00_7096))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9618z00_25740
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test9620z00_25743;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test9621z00_25744;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_tmpz00_25745;
																																																																																			BgL_tmpz00_25745
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_l1384z00_7096));
																																																																																			BgL_test9621z00_25744
																																																																																				=
																																																																																				PAIRP
																																																																																				(BgL_tmpz00_25745);
																																																																																		}
																																																																																		if (BgL_test9621z00_25744)
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9620z00_25743
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9620z00_25743
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test9620z00_25743)
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_l1384z00_25749;
																																																																																			BgL_l1384z00_25749
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_l1384z00_7096));
																																																																																			BgL_l1384z00_7096
																																																																																				=
																																																																																				BgL_l1384z00_25749;
																																																																																			goto
																																																																																				BgL_zc3z04anonymousza35652ze3z87_7097;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test9618z00_25740
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																}
																																																																														}
																																																																														if (BgL_test9618z00_25740)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5642z00_7079;
																																																																																BgL_arg5642z00_7079
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd238205zd2_7055));
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25754;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_argsz00_25758;
																																																																																		obj_t
																																																																																			BgL_proc2z00_25757;
																																																																																		obj_t
																																																																																			BgL_proc1z00_25756;
																																																																																		obj_t
																																																																																			BgL_testz00_25755;
																																																																																		BgL_testz00_25755
																																																																																			=
																																																																																			BgL_arg5642z00_7079;
																																																																																		BgL_proc1z00_25756
																																																																																			=
																																																																																			BgL_carzd238216zd2_7059;
																																																																																		BgL_proc2z00_25757
																																																																																			=
																																																																																			BgL_carzd238224zd2_7063;
																																																																																		BgL_argsz00_25758
																																																																																			=
																																																																																			BgL_cdrzd238199zd2_7054;
																																																																																		BgL_argsz00_1829
																																																																																			=
																																																																																			BgL_argsz00_25758;
																																																																																		BgL_proc2z00_1828
																																																																																			=
																																																																																			BgL_proc2z00_25757;
																																																																																		BgL_proc1z00_1827
																																																																																			=
																																																																																			BgL_proc1z00_25756;
																																																																																		BgL_testz00_1826
																																																																																			=
																																																																																			BgL_testz00_25755;
																																																																																		goto
																																																																																			BgL_tagzd2388zd2_1830;
																																																																																	}
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25754);
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd238248zd2_7080;
																																																																																BgL_cdrzd238248zd2_7080
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd238255zd2_7081;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_13201;
																																																																																		BgL_pairz00_13201
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_expz00_21));
																																																																																		BgL_cdrzd238255zd2_7081
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_pairz00_13201);
																																																																																	}
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd238262zd2_7082;
																																																																																		BgL_cdrzd238262zd2_7082
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd238255zd2_7081));
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd238268zd2_7083;
																																																																																			BgL_carzd238268zd2_7083
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd238262zd2_7082));
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238268zd2_7083))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_carzd238275zd2_7085;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_pairz00_13205;
																																																																																						BgL_pairz00_13205
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd238262zd2_7082));
																																																																																						BgL_carzd238275zd2_7085
																																																																																							=
																																																																																							CAR
																																																																																							(BgL_pairz00_13205);
																																																																																					}
																																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238275zd2_7085))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238248zd2_7080))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_arg5646z00_7088;
																																																																																									BgL_arg5646z00_7088
																																																																																										=
																																																																																										CAR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd238255zd2_7081));
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_25780;
																																																																																										{
																																																																																											obj_t
																																																																																												BgL_argsz00_25784;
																																																																																											obj_t
																																																																																												BgL_proc2z00_25783;
																																																																																											obj_t
																																																																																												BgL_proc1z00_25782;
																																																																																											obj_t
																																																																																												BgL_testz00_25781;
																																																																																											BgL_testz00_25781
																																																																																												=
																																																																																												BgL_arg5646z00_7088;
																																																																																											BgL_proc1z00_25782
																																																																																												=
																																																																																												BgL_carzd238268zd2_7083;
																																																																																											BgL_proc2z00_25783
																																																																																												=
																																																																																												BgL_carzd238275zd2_7085;
																																																																																											BgL_argsz00_25784
																																																																																												=
																																																																																												BgL_cdrzd238248zd2_7080;
																																																																																											BgL_argsz00_1834
																																																																																												=
																																																																																												BgL_argsz00_25784;
																																																																																											BgL_proc2z00_1833
																																																																																												=
																																																																																												BgL_proc2z00_25783;
																																																																																											BgL_proc1z00_1832
																																																																																												=
																																																																																												BgL_proc1z00_25782;
																																																																																											BgL_testz00_1831
																																																																																												=
																																																																																												BgL_testz00_25781;
																																																																																											goto
																																																																																												BgL_tagzd2389zd2_1835;
																																																																																										}
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_25780);
																																																																																									}
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											goto
																																																																																												BgL_tagzd2404zd2_1859;
																																																																																										}
																																																																																									else
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_25788;
																																																																																											goto
																																																																																												BgL_tagzd2405zd2_1860;
																																																																																											BgL_auxz00_25577
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_25788);
																																																																																										}
																																																																																								}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_25792;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_25792);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25796;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25796);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_25800;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_25800);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd238551zd2_7107;
																																																																												BgL_cdrzd238551zd2_7107
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd238557zd2_7108;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13209;
																																																																														BgL_pairz00_13209
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd238557zd2_7108
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13209);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd238563zd2_7109;
																																																																														BgL_cdrzd238563zd2_7109
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd238557zd2_7108));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd238568zd2_7110;
																																																																															obj_t
																																																																																BgL_cdrzd238569zd2_7111;
																																																																															BgL_carzd238568zd2_7110
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238563zd2_7109));
																																																																															BgL_cdrzd238569zd2_7111
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd238563zd2_7109));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238568zd2_7110))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd238574zd2_7113;
																																																																																	BgL_carzd238574zd2_7113
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd238569zd2_7111));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238574zd2_7113))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd238569zd2_7111))))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238551zd2_7107))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg5661z00_7118;
																																																																																							BgL_arg5661z00_7118
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd238557zd2_7108));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_25827;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_25831;
																																																																																									obj_t
																																																																																										BgL_proc2z00_25830;
																																																																																									obj_t
																																																																																										BgL_proc1z00_25829;
																																																																																									obj_t
																																																																																										BgL_testz00_25828;
																																																																																									BgL_testz00_25828
																																																																																										=
																																																																																										BgL_arg5661z00_7118;
																																																																																									BgL_proc1z00_25829
																																																																																										=
																																																																																										BgL_carzd238568zd2_7110;
																																																																																									BgL_proc2z00_25830
																																																																																										=
																																																																																										BgL_carzd238574zd2_7113;
																																																																																									BgL_argsz00_25831
																																																																																										=
																																																																																										BgL_cdrzd238551zd2_7107;
																																																																																									BgL_argsz00_1834
																																																																																										=
																																																																																										BgL_argsz00_25831;
																																																																																									BgL_proc2z00_1833
																																																																																										=
																																																																																										BgL_proc2z00_25830;
																																																																																									BgL_proc1z00_1832
																																																																																										=
																																																																																										BgL_proc1z00_25829;
																																																																																									BgL_testz00_1831
																																																																																										=
																																																																																										BgL_testz00_25828;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1835;
																																																																																								}
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_25827);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_25835;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_25835);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25839;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25839);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25843;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25843);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25847;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25847);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_25851;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_25851);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd238907zd2_7126;
																																																																								BgL_cdrzd238907zd2_7126
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd238914zd2_7127;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13218;
																																																																										BgL_pairz00_13218
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd238914zd2_7127
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13218);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd238921zd2_7128;
																																																																										BgL_cdrzd238921zd2_7128
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd238914zd2_7127));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd238927zd2_7129;
																																																																											obj_t
																																																																												BgL_cdrzd238928zd2_7130;
																																																																											BgL_carzd238927zd2_7129
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238921zd2_7128));
																																																																											BgL_cdrzd238928zd2_7130
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd238921zd2_7128));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238927zd2_7129))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd238928zd2_7130))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd238935zd2_7133;
																																																																															BgL_carzd238935zd2_7133
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd238928zd2_7130);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd238935zd2_7133))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd238928zd2_7130)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd238907zd2_7126))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5675z00_7138;
																																																																																					BgL_arg5675z00_7138
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd238914zd2_7127));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_25878;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_25882;
																																																																																							obj_t
																																																																																								BgL_proc2z00_25881;
																																																																																							obj_t
																																																																																								BgL_proc1z00_25880;
																																																																																							obj_t
																																																																																								BgL_testz00_25879;
																																																																																							BgL_testz00_25879
																																																																																								=
																																																																																								BgL_arg5675z00_7138;
																																																																																							BgL_proc1z00_25880
																																																																																								=
																																																																																								BgL_carzd238927zd2_7129;
																																																																																							BgL_proc2z00_25881
																																																																																								=
																																																																																								BgL_carzd238935zd2_7133;
																																																																																							BgL_argsz00_25882
																																																																																								=
																																																																																								BgL_cdrzd238907zd2_7126;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_25882;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_25881;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_25880;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_25879;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_25878);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_25886;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_25886);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_25890;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_25890);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_25894;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_25894);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_25898;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_25898);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_25902;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_25902);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_25906;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_25906);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd239328zd2_7152;
																																																								BgL_cdrzd239328zd2_7152
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9649z00_25910;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5703z00_7169;
																																																										BgL_arg5703z00_7169
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9649z00_25910
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5703z00_7169));
																																																									}
																																																									if (BgL_test9649z00_25910)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5691z00_7155;
																																																											obj_t
																																																												BgL_arg5692z00_7156;
																																																											BgL_arg5691z00_7155
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd239328zd2_7152));
																																																											BgL_arg5692z00_7156
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd239328zd2_7152));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_25919;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_25921;
																																																													obj_t
																																																														BgL_bindingsz00_25920;
																																																													BgL_bindingsz00_25920
																																																														=
																																																														BgL_arg5691z00_7155;
																																																													BgL_exprz00_25921
																																																														=
																																																														BgL_arg5692z00_7156;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_25921;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_25920;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_25919);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9650z00_25923;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5702z00_7168;
																																																												BgL_arg5702z00_7168
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9650z00_25923
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5702z00_7168));
																																																											}
																																																											if (BgL_test9650z00_25923)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_25928;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25928);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd239394zd2_7159;
																																																													BgL_carzd239394zd2_7159
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd239399zd2_7160;
																																																														BgL_cdrzd239399zd2_7160
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd239394zd2_7159));
																																																														if ((CAR(((obj_t) BgL_carzd239394zd2_7159)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5697z00_7163;
																																																																obj_t
																																																																	BgL_arg5698z00_7164;
																																																																obj_t
																																																																	BgL_arg5699z00_7165;
																																																																BgL_arg5697z00_7163
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd239399zd2_7160));
																																																																BgL_arg5698z00_7164
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd239399zd2_7160));
																																																																BgL_arg5699z00_7165
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_25946;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_25949;
																																																																		obj_t
																																																																			BgL_bodyz00_25948;
																																																																		obj_t
																																																																			BgL_varsz00_25947;
																																																																		BgL_varsz00_25947
																																																																			=
																																																																			BgL_arg5697z00_7163;
																																																																		BgL_bodyz00_25948
																																																																			=
																																																																			BgL_arg5698z00_7164;
																																																																		BgL_argsz00_25949
																																																																			=
																																																																			BgL_arg5699z00_7165;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_25949;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_25948;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_25947;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_25946);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_25953;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_25953);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd239510zd2_7170;
																																																						BgL_cdrzd239510zd2_7170
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9653z00_25957;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5712z00_7179;
																																																								BgL_arg5712z00_7179
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9653z00_25957
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5712z00_7179));
																																																							}
																																																							if (BgL_test9653z00_25957)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5706z00_7173;
																																																									obj_t
																																																										BgL_arg5707z00_7174;
																																																									BgL_arg5706z00_7173
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd239510zd2_7170));
																																																									BgL_arg5707z00_7174
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd239510zd2_7170));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_25966;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_25968;
																																																											obj_t
																																																												BgL_bindingsz00_25967;
																																																											BgL_bindingsz00_25967
																																																												=
																																																												BgL_arg5706z00_7173;
																																																											BgL_exprz00_25968
																																																												=
																																																												BgL_arg5707z00_7174;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_25968;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_25967;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_25966);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9654z00_25970;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5711z00_7178;
																																																										BgL_arg5711z00_7178
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9654z00_25970
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5711z00_7178));
																																																									}
																																																									if (BgL_test9654z00_25970)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_25975;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_25975);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_25979;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_25979);
																																																												}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238075zd2_6909)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd238077zd2_6911;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd238075zd2_6909 == ((obj_t) CNST_TABLE_REF(19))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd238077zd2_6911;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((BgL_carzd238075zd2_6909 == ((obj_t) CNST_TABLE_REF(20))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd238077zd2_6911;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd238075zd2_6909)))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_kapzd238077zd2_6911;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd239682zd2_6914;
																																																												BgL_cdrzd239682zd2_6914
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9660z00_25997;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5612z00_7031;
																																																														BgL_arg5612z00_7031
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9660z00_25997
																																																															=
																																																															CBOOL
																																																															(BGl_letzd2symzf3z21zzast_letz00
																																																															(BgL_arg5612z00_7031));
																																																													}
																																																													if (BgL_test9660z00_25997)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg5539z00_6917;
																																																															obj_t
																																																																BgL_arg5540z00_6918;
																																																															BgL_arg5539z00_6917
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd239682zd2_6914));
																																																															BgL_arg5540z00_6918
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd239682zd2_6914));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26006;
																																																																{
																																																																	obj_t
																																																																		BgL_exprz00_26008;
																																																																	obj_t
																																																																		BgL_bindingsz00_26007;
																																																																	BgL_bindingsz00_26007
																																																																		=
																																																																		BgL_arg5539z00_6917;
																																																																	BgL_exprz00_26008
																																																																		=
																																																																		BgL_arg5540z00_6918;
																																																																	BgL_exprz00_1814
																																																																		=
																																																																		BgL_exprz00_26008;
																																																																	BgL_bindingsz00_1813
																																																																		=
																																																																		BgL_bindingsz00_26007;
																																																																	goto
																																																																		BgL_tagzd2383zd2_1815;
																																																																}
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26006);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test9661z00_26010;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5611z00_7030;
																																																																BgL_arg5611z00_7030
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_test9661z00_26010
																																																																	=
																																																																	CBOOL
																																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																																	(BgL_arg5611z00_7030));
																																																															}
																																																															if (BgL_test9661z00_26010)
																																																																{
																																																																	BgL_letzd2funzd2_bglt
																																																																		BgL_auxz00_26015;
																																																																	goto
																																																																		BgL_tagzd2385zd2_1817;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26015);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd239748zd2_6921;
																																																																	BgL_carzd239748zd2_6921
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd239753zd2_6922;
																																																																		BgL_cdrzd239753zd2_6922
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd239748zd2_6921));
																																																																		if ((CAR(((obj_t) BgL_carzd239748zd2_6921)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd239753zd2_6922))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg5546z00_6926;
																																																																						obj_t
																																																																							BgL_arg5547z00_6927;
																																																																						obj_t
																																																																							BgL_arg5548z00_6928;
																																																																						BgL_arg5546z00_6926
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd239753zd2_6922);
																																																																						BgL_arg5547z00_6927
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd239753zd2_6922);
																																																																						BgL_arg5548z00_6928
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26033;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_26036;
																																																																								obj_t
																																																																									BgL_bodyz00_26035;
																																																																								obj_t
																																																																									BgL_varsz00_26034;
																																																																								BgL_varsz00_26034
																																																																									=
																																																																									BgL_arg5546z00_6926;
																																																																								BgL_bodyz00_26035
																																																																									=
																																																																									BgL_arg5547z00_6927;
																																																																								BgL_argsz00_26036
																																																																									=
																																																																									BgL_arg5548z00_6928;
																																																																								BgL_argsz00_1824
																																																																									=
																																																																									BgL_argsz00_26036;
																																																																								BgL_bodyz00_1823
																																																																									=
																																																																									BgL_bodyz00_26035;
																																																																								BgL_varsz00_1822
																																																																									=
																																																																									BgL_varsz00_26034;
																																																																								goto
																																																																									BgL_tagzd2387zd2_1825;
																																																																							}
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26033);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_26040;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_26040);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd239860zd2_6931;
																																																																				BgL_cdrzd239860zd2_6931
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd239865zd2_6932;
																																																																					BgL_cdrzd239865zd2_6932
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_carzd239748zd2_6921));
																																																																					if ((CAR(((obj_t) BgL_carzd239748zd2_6921)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd239865zd2_6932))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd239870zd2_6936;
																																																																									BgL_cdrzd239870zd2_6936
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd239865zd2_6932);
																																																																									if (PAIRP(BgL_cdrzd239870zd2_6936))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd239874zd2_6938;
																																																																											obj_t
																																																																												BgL_cdrzd239875zd2_6939;
																																																																											BgL_carzd239874zd2_6938
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd239870zd2_6936);
																																																																											BgL_cdrzd239875zd2_6939
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd239870zd2_6936);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239874zd2_6938))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (PAIRP(BgL_cdrzd239875zd2_6939))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd239880zd2_6942;
																																																																															BgL_carzd239880zd2_6942
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd239875zd2_6939);
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239880zd2_6942))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(BgL_cdrzd239875zd2_6939)))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test9672z00_26069;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1387z00_6975;
																																																																																				BgL_l1387z00_6975
																																																																																					=
																																																																																					BgL_cdrzd239860zd2_6931;
																																																																																			BgL_zc3z04anonymousza35574ze3z87_6976:
																																																																																				if (NULLP(BgL_l1387z00_6975))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test9672z00_26069
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							1);
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						bool_t
																																																																																							BgL_test9674z00_26072;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							bool_t
																																																																																								BgL_test9675z00_26073;
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_tmpz00_26074;
																																																																																								BgL_tmpz00_26074
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_l1387z00_6975));
																																																																																								BgL_test9675z00_26073
																																																																																									=
																																																																																									PAIRP
																																																																																									(BgL_tmpz00_26074);
																																																																																							}
																																																																																							if (BgL_test9675z00_26073)
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test9674z00_26072
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										0);
																																																																																								}
																																																																																							else
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									BgL_test9674z00_26072
																																																																																										=
																																																																																										(
																																																																																										(bool_t)
																																																																																										1);
																																																																																								}
																																																																																						}
																																																																																						if (BgL_test9674z00_26072)
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_l1387z00_26078;
																																																																																								BgL_l1387z00_26078
																																																																																									=
																																																																																									CDR
																																																																																									(
																																																																																									((obj_t) BgL_l1387z00_6975));
																																																																																								BgL_l1387z00_6975
																																																																																									=
																																																																																									BgL_l1387z00_26078;
																																																																																								goto
																																																																																									BgL_zc3z04anonymousza35574ze3z87_6976;
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								BgL_test9672z00_26069
																																																																																									=
																																																																																									(
																																																																																									(bool_t)
																																																																																									0);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																			if (BgL_test9672z00_26069)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5564z00_6958;
																																																																																					BgL_arg5564z00_6958
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_cdrzd239865zd2_6932);
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26082;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_26086;
																																																																																							obj_t
																																																																																								BgL_proc2z00_26085;
																																																																																							obj_t
																																																																																								BgL_proc1z00_26084;
																																																																																							obj_t
																																																																																								BgL_testz00_26083;
																																																																																							BgL_testz00_26083
																																																																																								=
																																																																																								BgL_arg5564z00_6958;
																																																																																							BgL_proc1z00_26084
																																																																																								=
																																																																																								BgL_carzd239874zd2_6938;
																																																																																							BgL_proc2z00_26085
																																																																																								=
																																																																																								BgL_carzd239880zd2_6942;
																																																																																							BgL_argsz00_26086
																																																																																								=
																																																																																								BgL_cdrzd239860zd2_6931;
																																																																																							BgL_argsz00_1829
																																																																																								=
																																																																																								BgL_argsz00_26086;
																																																																																							BgL_proc2z00_1828
																																																																																								=
																																																																																								BgL_proc2z00_26085;
																																																																																							BgL_proc1z00_1827
																																																																																								=
																																																																																								BgL_proc1z00_26084;
																																																																																							BgL_testz00_1826
																																																																																								=
																																																																																								BgL_testz00_26083;
																																																																																							goto
																																																																																								BgL_tagzd2388zd2_1830;
																																																																																						}
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26082);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd239905zd2_6959;
																																																																																					BgL_cdrzd239905zd2_6959
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_cdrzd239913zd2_6960;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_13266;
																																																																																							BgL_pairz00_13266
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_expz00_21));
																																																																																							BgL_cdrzd239913zd2_6960
																																																																																								=
																																																																																								CDR
																																																																																								(BgL_pairz00_13266);
																																																																																						}
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_cdrzd239921zd2_6961;
																																																																																							BgL_cdrzd239921zd2_6961
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd239913zd2_6960));
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd239928zd2_6962;
																																																																																								BgL_carzd239928zd2_6962
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd239921zd2_6961));
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239928zd2_6962))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_carzd239937zd2_6964;
																																																																																										{	/* Ast/sexp.scm 119 */
																																																																																											obj_t
																																																																																												BgL_pairz00_13270;
																																																																																											BgL_pairz00_13270
																																																																																												=
																																																																																												CDR
																																																																																												(
																																																																																												((obj_t) BgL_cdrzd239921zd2_6961));
																																																																																											BgL_carzd239937zd2_6964
																																																																																												=
																																																																																												CAR
																																																																																												(BgL_pairz00_13270);
																																																																																										}
																																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd239937zd2_6964))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd239905zd2_6959))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														obj_t
																																																																																															BgL_arg5568z00_6967;
																																																																																														BgL_arg5568z00_6967
																																																																																															=
																																																																																															CAR
																																																																																															(
																																																																																															((obj_t) BgL_cdrzd239913zd2_6960));
																																																																																														{
																																																																																															BgL_nodez00_bglt
																																																																																																BgL_auxz00_26108;
																																																																																															{
																																																																																																obj_t
																																																																																																	BgL_argsz00_26112;
																																																																																																obj_t
																																																																																																	BgL_proc2z00_26111;
																																																																																																obj_t
																																																																																																	BgL_proc1z00_26110;
																																																																																																obj_t
																																																																																																	BgL_testz00_26109;
																																																																																																BgL_testz00_26109
																																																																																																	=
																																																																																																	BgL_arg5568z00_6967;
																																																																																																BgL_proc1z00_26110
																																																																																																	=
																																																																																																	BgL_carzd239928zd2_6962;
																																																																																																BgL_proc2z00_26111
																																																																																																	=
																																																																																																	BgL_carzd239937zd2_6964;
																																																																																																BgL_argsz00_26112
																																																																																																	=
																																																																																																	BgL_cdrzd239905zd2_6959;
																																																																																																BgL_argsz00_1834
																																																																																																	=
																																																																																																	BgL_argsz00_26112;
																																																																																																BgL_proc2z00_1833
																																																																																																	=
																																																																																																	BgL_proc2z00_26111;
																																																																																																BgL_proc1z00_1832
																																																																																																	=
																																																																																																	BgL_proc1z00_26110;
																																																																																																BgL_testz00_1831
																																																																																																	=
																																																																																																	BgL_testz00_26109;
																																																																																																goto
																																																																																																	BgL_tagzd2389zd2_1835;
																																																																																															}
																																																																																															BgL_auxz00_25577
																																																																																																=
																																																																																																(
																																																																																																(obj_t)
																																																																																																BgL_auxz00_26108);
																																																																																														}
																																																																																													}
																																																																																												else
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																															{	/* Ast/sexp.scm 119 */
																																																																																																goto
																																																																																																	BgL_tagzd2404zd2_1859;
																																																																																															}
																																																																																														else
																																																																																															{
																																																																																																BgL_nodez00_bglt
																																																																																																	BgL_auxz00_26116;
																																																																																																goto
																																																																																																	BgL_tagzd2405zd2_1860;
																																																																																																BgL_auxz00_25577
																																																																																																	=
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	BgL_auxz00_26116);
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_26120;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_25577
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_26120);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26124;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26124);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						}
																																																																																					}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26128;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26128);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd240215zd2_6986;
																																																																																	BgL_cdrzd240215zd2_6986
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd240222zd2_6987;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13274;
																																																																																			BgL_pairz00_13274
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd240222zd2_6987
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_13274);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd240229zd2_6988;
																																																																																			BgL_cdrzd240229zd2_6988
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd240222zd2_6987));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd240235zd2_6989;
																																																																																				obj_t
																																																																																					BgL_cdrzd240236zd2_6990;
																																																																																				BgL_carzd240235zd2_6989
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240229zd2_6988));
																																																																																				BgL_cdrzd240236zd2_6990
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd240229zd2_6988));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240235zd2_6989))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd240243zd2_6992;
																																																																																						BgL_carzd240243zd2_6992
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd240236zd2_6990));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240243zd2_6992))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd240236zd2_6990))))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240215zd2_6986))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg5583z00_6997;
																																																																																												BgL_arg5583z00_6997
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd240222zd2_6987));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_26155;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_26159;
																																																																																														obj_t
																																																																																															BgL_proc2z00_26158;
																																																																																														obj_t
																																																																																															BgL_proc1z00_26157;
																																																																																														obj_t
																																																																																															BgL_testz00_26156;
																																																																																														BgL_testz00_26156
																																																																																															=
																																																																																															BgL_arg5583z00_6997;
																																																																																														BgL_proc1z00_26157
																																																																																															=
																																																																																															BgL_carzd240235zd2_6989;
																																																																																														BgL_proc2z00_26158
																																																																																															=
																																																																																															BgL_carzd240243zd2_6992;
																																																																																														BgL_argsz00_26159
																																																																																															=
																																																																																															BgL_cdrzd240215zd2_6986;
																																																																																														BgL_argsz00_1834
																																																																																															=
																																																																																															BgL_argsz00_26159;
																																																																																														BgL_proc2z00_1833
																																																																																															=
																																																																																															BgL_proc2z00_26158;
																																																																																														BgL_proc1z00_1832
																																																																																															=
																																																																																															BgL_proc1z00_26157;
																																																																																														BgL_testz00_1831
																																																																																															=
																																																																																															BgL_testz00_26156;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1835;
																																																																																													}
																																																																																													BgL_auxz00_25577
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_26155);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_26163;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_25577
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_26163);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26167;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26167);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26171;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26171);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26175;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26175);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26179;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26179);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd240576zd2_7005;
																																																																													BgL_cdrzd240576zd2_7005
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd240582zd2_7006;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13283;
																																																																															BgL_pairz00_13283
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd240582zd2_7006
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13283);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd240588zd2_7007;
																																																																															BgL_cdrzd240588zd2_7007
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd240582zd2_7006));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd240593zd2_7008;
																																																																																obj_t
																																																																																	BgL_cdrzd240594zd2_7009;
																																																																																BgL_carzd240593zd2_7008
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240588zd2_7007));
																																																																																BgL_cdrzd240594zd2_7009
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd240588zd2_7007));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240593zd2_7008))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (PAIRP(BgL_cdrzd240594zd2_7009))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd240599zd2_7012;
																																																																																				BgL_carzd240599zd2_7012
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_cdrzd240594zd2_7009);
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd240599zd2_7012))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(BgL_cdrzd240594zd2_7009)))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd240576zd2_7005))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg5598z00_7017;
																																																																																										BgL_arg5598z00_7017
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd240582zd2_7006));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_26206;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_26210;
																																																																																												obj_t
																																																																																													BgL_proc2z00_26209;
																																																																																												obj_t
																																																																																													BgL_proc1z00_26208;
																																																																																												obj_t
																																																																																													BgL_testz00_26207;
																																																																																												BgL_testz00_26207
																																																																																													=
																																																																																													BgL_arg5598z00_7017;
																																																																																												BgL_proc1z00_26208
																																																																																													=
																																																																																													BgL_carzd240593zd2_7008;
																																																																																												BgL_proc2z00_26209
																																																																																													=
																																																																																													BgL_carzd240599zd2_7012;
																																																																																												BgL_argsz00_26210
																																																																																													=
																																																																																													BgL_cdrzd240576zd2_7005;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_26210;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_26209;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_26208;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_26207;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_25577
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_26206);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26214;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26214);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26218;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26218);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26222;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26222);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26226;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26226);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26230;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26230);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26234;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26234);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26238;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26238);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_26242;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_26242);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd238072zd2_6907 == ((obj_t) CNST_TABLE_REF(18))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5713z00_7182;
																																																			obj_t
																																																				BgL_arg5714z00_7183;
																																																			BgL_arg5713z00_7182
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd238047zd2_6902));
																																																			BgL_arg5714z00_7183
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd238047zd2_6902));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_26252;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_26254;
																																																					obj_t
																																																						BgL_bindingsz00_26253;
																																																					BgL_bindingsz00_26253
																																																						=
																																																						BgL_arg5713z00_7182;
																																																					BgL_exprz00_26254
																																																						=
																																																						BgL_arg5714z00_7183;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_26254;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_26253;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_26252);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd238072zd2_6907)))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5716z00_7185;
																																																					obj_t
																																																						BgL_arg5717z00_7186;
																																																					BgL_arg5716z00_7185
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd238047zd2_6902));
																																																					BgL_arg5717z00_7186
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd238047zd2_6902));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_26263;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_26265;
																																																							obj_t
																																																								BgL_bindingsz00_26264;
																																																							BgL_bindingsz00_26264
																																																								=
																																																								BgL_arg5716z00_7185;
																																																							BgL_exprz00_26265
																																																								=
																																																								BgL_arg5717z00_7186;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_26265;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_26264;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_26263);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((BgL_carzd238072zd2_6907 == ((obj_t) CNST_TABLE_REF(19))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5718z00_7187;
																																																							obj_t
																																																								BgL_arg5719z00_7188;
																																																							BgL_arg5718z00_7187
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd238047zd2_6902));
																																																							BgL_arg5719z00_7188
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd238047zd2_6902));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_26275;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_26277;
																																																									obj_t
																																																										BgL_bindingsz00_26276;
																																																									BgL_bindingsz00_26276
																																																										=
																																																										BgL_arg5718z00_7187;
																																																									BgL_exprz00_26277
																																																										=
																																																										BgL_arg5719z00_7188;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_26277;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_26276;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_26275);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_26285;
																																																									goto
																																																										BgL_tagzd2384zd2_1816;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26285);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd241174zd2_7191;
																																																									BgL_carzd241174zd2_7191
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((BgL_carzd241174zd2_7191 == ((obj_t) CNST_TABLE_REF(20))))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_26293;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26293);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241174zd2_7191)))
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_26298;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26298);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26306;
																																																															goto
																																																																BgL_tagzd2390zd2_1836;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26306);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26314;
																																																																	goto
																																																																		BgL_tagzd2391zd2_1837;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26314);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd241254zd2_7197;
																																																																	BgL_cdrzd241254zd2_7197
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg5729z00_7200;
																																																																			obj_t
																																																																				BgL_arg5730z00_7201;
																																																																			BgL_arg5729z00_7200
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241254zd2_7197));
																																																																			BgL_arg5730z00_7201
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241254zd2_7197));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_26328;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_26330;
																																																																					obj_t
																																																																						BgL_effectz00_26329;
																																																																					BgL_effectz00_26329
																																																																						=
																																																																						BgL_arg5729z00_7200;
																																																																					BgL_restz00_26330
																																																																						=
																																																																						BgL_arg5730z00_7201;
																																																																					BgL_restz00_1839
																																																																						=
																																																																						BgL_restz00_26330;
																																																																					BgL_effectz00_1838
																																																																						=
																																																																						BgL_effectz00_26329;
																																																																					goto
																																																																						BgL_tagzd2392zd2_1840;
																																																																				}
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_26328);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26338;
																																																																					goto
																																																																						BgL_tagzd2393zd2_1841;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26338);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_26346;
																																																																							goto
																																																																								BgL_tagzd2394zd2_1842;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_26346);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg5737z00_7209;
																																																																									obj_t
																																																																										BgL_arg5738z00_7210;
																																																																									BgL_arg5737z00_7209
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd241254zd2_7197));
																																																																									BgL_arg5738z00_7210
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd241254zd2_7197));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26358;
																																																																										{
																																																																											obj_t
																																																																												BgL_restz00_26360;
																																																																											obj_t
																																																																												BgL_effectz00_26359;
																																																																											BgL_effectz00_26359
																																																																												=
																																																																												BgL_arg5737z00_7209;
																																																																											BgL_restz00_26360
																																																																												=
																																																																												BgL_arg5738z00_7210;
																																																																											BgL_restz00_1844
																																																																												=
																																																																												BgL_restz00_26360;
																																																																											BgL_effectz00_1843
																																																																												=
																																																																												BgL_effectz00_26359;
																																																																											goto
																																																																												BgL_tagzd2395zd2_1845;
																																																																										}
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26358);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_26368;
																																																																											goto
																																																																												BgL_tagzd2396zd2_1846;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_26368);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26376;
																																																																													goto
																																																																														BgL_tagzd2397zd2_1847;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26376);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																														{
																																																																															BgL_letzd2funzd2_bglt
																																																																																BgL_auxz00_26384;
																																																																															goto
																																																																																BgL_tagzd2398zd2_1848;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26384);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																																{
																																																																																	BgL_jumpzd2exzd2itz00_bglt
																																																																																		BgL_auxz00_26392;
																																																																																	goto
																																																																																		BgL_tagzd2399zd2_1849;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26392);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd241331zd2_7219;
																																																																																	BgL_cdrzd241331zd2_7219
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5749z00_7222;
																																																																																			obj_t
																																																																																				BgL_arg5750z00_7223;
																																																																																			BgL_arg5749z00_7222
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd241331zd2_7219));
																																																																																			BgL_arg5750z00_7223
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd241331zd2_7219));
																																																																																			{	/* Ast/sexp.scm 564 */
																																																																																				obj_t
																																																																																					BgL_arg7648z00_13320;
																																																																																				BgL_arg7648z00_13320
																																																																																					=
																																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																					(BgL_expz00_21,
																																																																																					BgL_locz00_23);
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																					(BgL_expz00_21,
																																																																																						BgL_arg5749z00_7222,
																																																																																						((obj_t) CNST_TABLE_REF(4)), BgL_arg5750z00_7223, BgL_stackz00_22, BgL_arg7648z00_13320, BgL_sitez00_24));
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26413;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26413);
																																																																																				}
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd241356zd2_7241;
																																			BgL_carzd241356zd2_7241
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (
																																				(BgL_carzd241356zd2_7241
																																					==
																																					((obj_t) CNST_TABLE_REF(1))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_26421;
																																					goto
																																						BgL_tagzd2377zd2_1801;
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_26421);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(BgL_carzd241356zd2_7241
																																							==
																																							BGl_za2ifza2z00zzast_sexpz00))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_26425;
																																							goto
																																								BgL_tagzd2377zd2_1801;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_26425);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_26433;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_26433);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_26441;
																																											goto
																																												BgL_tagzd2380zd2_1806;
																																											BgL_auxz00_25577
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_26441);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd241427zd2_7247;
																																											BgL_cdrzd241427zd2_7247
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5774z00_7250;
																																													obj_t
																																														BgL_arg5775z00_7251;
																																													BgL_arg5774z00_7250
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd241427zd2_7247));
																																													BgL_arg5775z00_7251
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd241427zd2_7247));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_26455;
																																														{
																																															obj_t
																																																BgL_exprz00_26457;
																																															obj_t
																																																BgL_bindingsz00_26456;
																																															BgL_bindingsz00_26456
																																																=
																																																BgL_arg5774z00_7250;
																																															BgL_exprz00_26457
																																																=
																																																BgL_arg5775z00_7251;
																																															BgL_exprz00_1808
																																																=
																																																BgL_exprz00_26457;
																																															BgL_bindingsz00_1807
																																																=
																																																BgL_bindingsz00_26456;
																																															goto
																																																BgL_tagzd2381zd2_1809;
																																														}
																																														BgL_auxz00_25577
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_26455);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd241452zd2_7252;
																																													BgL_carzd241452zd2_7252
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													if (PAIRP(BgL_carzd241452zd2_7252))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd241455zd2_7254;
																																															obj_t
																																																BgL_cdrzd241456zd2_7255;
																																															BgL_carzd241455zd2_7254
																																																=
																																																CAR
																																																(BgL_carzd241452zd2_7252);
																																															BgL_cdrzd241456zd2_7255
																																																=
																																																CDR
																																																(BgL_carzd241452zd2_7252);
																																															{

																																																if ((BgL_carzd241455zd2_7254 == ((obj_t) CNST_TABLE_REF(18))))
																																																	{	/* Ast/sexp.scm 119 */
																																																	BgL_kapzd241457zd2_7256:
																																																		if (PAIRP(BgL_cdrzd241456zd2_7255))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd241460zd2_7378;
																																																				BgL_cdrzd241460zd2_7378
																																																					=
																																																					CDR
																																																					(BgL_cdrzd241456zd2_7255);
																																																				if (PAIRP(BgL_cdrzd241460zd2_7378))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (NULLP(CDR(BgL_cdrzd241460zd2_7378)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5858z00_7382;
																																																								obj_t
																																																									BgL_arg5859z00_7383;
																																																								BgL_arg5858z00_7382
																																																									=
																																																									CAR
																																																									(BgL_cdrzd241460zd2_7378);
																																																								BgL_arg5859z00_7383
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_26480;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_26482;
																																																										obj_t
																																																											BgL_bodyz00_26481;
																																																										BgL_bodyz00_26481
																																																											=
																																																											BgL_arg5858z00_7382;
																																																										BgL_argsz00_26482
																																																											=
																																																											BgL_arg5859z00_7383;
																																																										BgL_argsz00_1811
																																																											=
																																																											BgL_argsz00_26482;
																																																										BgL_bodyz00_1810
																																																											=
																																																											BgL_bodyz00_26481;
																																																										goto
																																																											BgL_tagzd2382zd2_1812;
																																																									}
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26480);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd241484zd2_7384;
																																																								BgL_cdrzd241484zd2_7384
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9733z00_26486;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5928z00_7495;
																																																										BgL_arg5928z00_7495
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9733z00_26486
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg5928z00_7495));
																																																									}
																																																									if (BgL_test9733z00_26486)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5862z00_7387;
																																																											obj_t
																																																												BgL_arg5863z00_7388;
																																																											BgL_arg5862z00_7387
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd241484zd2_7384));
																																																											BgL_arg5863z00_7388
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd241484zd2_7384));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_26495;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_26497;
																																																													obj_t
																																																														BgL_bindingsz00_26496;
																																																													BgL_bindingsz00_26496
																																																														=
																																																														BgL_arg5862z00_7387;
																																																													BgL_exprz00_26497
																																																														=
																																																														BgL_arg5863z00_7388;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_26497;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_26496;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_26495);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9734z00_26499;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5927z00_7494;
																																																												BgL_arg5927z00_7494
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9734z00_26499
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg5927z00_7494));
																																																											}
																																																											if (BgL_test9734z00_26499)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_26504;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_26504);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd241551zd2_7391;
																																																													BgL_carzd241551zd2_7391
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd241556zd2_7392;
																																																														BgL_cdrzd241556zd2_7392
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd241551zd2_7391));
																																																														if ((CAR(((obj_t) BgL_carzd241551zd2_7391)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5868z00_7395;
																																																																obj_t
																																																																	BgL_arg5869z00_7396;
																																																																obj_t
																																																																	BgL_arg5870z00_7397;
																																																																BgL_arg5868z00_7395
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241556zd2_7392));
																																																																BgL_arg5869z00_7396
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd241556zd2_7392));
																																																																BgL_arg5870z00_7397
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_26522;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_26525;
																																																																		obj_t
																																																																			BgL_bodyz00_26524;
																																																																		obj_t
																																																																			BgL_varsz00_26523;
																																																																		BgL_varsz00_26523
																																																																			=
																																																																			BgL_arg5868z00_7395;
																																																																		BgL_bodyz00_26524
																																																																			=
																																																																			BgL_arg5869z00_7396;
																																																																		BgL_argsz00_26525
																																																																			=
																																																																			BgL_arg5870z00_7397;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_26525;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_26524;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_26523;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_26522);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd241579zd2_7399;
																																																																BgL_cdrzd241579zd2_7399
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd241585zd2_7400;
																																																																	BgL_cdrzd241585zd2_7400
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd241551zd2_7391));
																																																																	if ((CAR(((obj_t) BgL_carzd241551zd2_7391)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd241591zd2_7403;
																																																																			BgL_cdrzd241591zd2_7403
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd241585zd2_7400));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd241596zd2_7404;
																																																																				obj_t
																																																																					BgL_cdrzd241597zd2_7405;
																																																																				BgL_carzd241596zd2_7404
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241591zd2_7403));
																																																																				BgL_cdrzd241597zd2_7405
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd241591zd2_7403));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241596zd2_7404))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd241597zd2_7405))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd241604zd2_7408;
																																																																								BgL_carzd241604zd2_7408
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd241597zd2_7405);
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241604zd2_7408))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd241597zd2_7405)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9741z00_26553;
																																																																												{
																																																																													obj_t
																																																																														BgL_l1390z00_7441;
																																																																													BgL_l1390z00_7441
																																																																														=
																																																																														BgL_cdrzd241579zd2_7399;
																																																																												BgL_zc3z04anonymousza35893ze3z87_7442:
																																																																													if (NULLP(BgL_l1390z00_7441))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9741z00_26553
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9743z00_26556;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test9744z00_26557;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_tmpz00_26558;
																																																																																	BgL_tmpz00_26558
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_l1390z00_7441));
																																																																																	BgL_test9744z00_26557
																																																																																		=
																																																																																		PAIRP
																																																																																		(BgL_tmpz00_26558);
																																																																																}
																																																																																if (BgL_test9744z00_26557)
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9743z00_26556
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9743z00_26556
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																															}
																																																																															if (BgL_test9743z00_26556)
																																																																																{
																																																																																	obj_t
																																																																																		BgL_l1390z00_26562;
																																																																																	BgL_l1390z00_26562
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_l1390z00_7441));
																																																																																	BgL_l1390z00_7441
																																																																																		=
																																																																																		BgL_l1390z00_26562;
																																																																																	goto
																																																																																		BgL_zc3z04anonymousza35893ze3z87_7442;
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test9741z00_26553
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																														}
																																																																												}
																																																																												if (BgL_test9741z00_26553)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5883z00_7424;
																																																																														BgL_arg5883z00_7424
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd241585zd2_7400));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26567;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_26571;
																																																																																obj_t
																																																																																	BgL_proc2z00_26570;
																																																																																obj_t
																																																																																	BgL_proc1z00_26569;
																																																																																obj_t
																																																																																	BgL_testz00_26568;
																																																																																BgL_testz00_26568
																																																																																	=
																																																																																	BgL_arg5883z00_7424;
																																																																																BgL_proc1z00_26569
																																																																																	=
																																																																																	BgL_carzd241596zd2_7404;
																																																																																BgL_proc2z00_26570
																																																																																	=
																																																																																	BgL_carzd241604zd2_7408;
																																																																																BgL_argsz00_26571
																																																																																	=
																																																																																	BgL_cdrzd241579zd2_7399;
																																																																																BgL_argsz00_1829
																																																																																	=
																																																																																	BgL_argsz00_26571;
																																																																																BgL_proc2z00_1828
																																																																																	=
																																																																																	BgL_proc2z00_26570;
																																																																																BgL_proc1z00_1827
																																																																																	=
																																																																																	BgL_proc1z00_26569;
																																																																																BgL_testz00_1826
																																																																																	=
																																																																																	BgL_testz00_26568;
																																																																																goto
																																																																																	BgL_tagzd2388zd2_1830;
																																																																															}
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26567);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd241628zd2_7425;
																																																																														BgL_cdrzd241628zd2_7425
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd241635zd2_7426;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13360;
																																																																																BgL_pairz00_13360
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_cdrzd241635zd2_7426
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_13360);
																																																																															}
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd241642zd2_7427;
																																																																																BgL_cdrzd241642zd2_7427
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd241635zd2_7426));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd241648zd2_7428;
																																																																																	BgL_carzd241648zd2_7428
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd241642zd2_7427));
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241648zd2_7428))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_carzd241655zd2_7430;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_pairz00_13364;
																																																																																				BgL_pairz00_13364
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd241642zd2_7427));
																																																																																				BgL_carzd241655zd2_7430
																																																																																					=
																																																																																					CAR
																																																																																					(BgL_pairz00_13364);
																																																																																			}
																																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241655zd2_7430))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241628zd2_7425))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_arg5887z00_7433;
																																																																																							BgL_arg5887z00_7433
																																																																																								=
																																																																																								CAR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd241635zd2_7426));
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26593;
																																																																																								{
																																																																																									obj_t
																																																																																										BgL_argsz00_26597;
																																																																																									obj_t
																																																																																										BgL_proc2z00_26596;
																																																																																									obj_t
																																																																																										BgL_proc1z00_26595;
																																																																																									obj_t
																																																																																										BgL_testz00_26594;
																																																																																									BgL_testz00_26594
																																																																																										=
																																																																																										BgL_arg5887z00_7433;
																																																																																									BgL_proc1z00_26595
																																																																																										=
																																																																																										BgL_carzd241648zd2_7428;
																																																																																									BgL_proc2z00_26596
																																																																																										=
																																																																																										BgL_carzd241655zd2_7430;
																																																																																									BgL_argsz00_26597
																																																																																										=
																																																																																										BgL_cdrzd241628zd2_7425;
																																																																																									BgL_argsz00_1834
																																																																																										=
																																																																																										BgL_argsz00_26597;
																																																																																									BgL_proc2z00_1833
																																																																																										=
																																																																																										BgL_proc2z00_26596;
																																																																																									BgL_proc1z00_1832
																																																																																										=
																																																																																										BgL_proc1z00_26595;
																																																																																									BgL_testz00_1831
																																																																																										=
																																																																																										BgL_testz00_26594;
																																																																																									goto
																																																																																										BgL_tagzd2389zd2_1835;
																																																																																								}
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26593);
																																																																																							}
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									goto
																																																																																										BgL_tagzd2404zd2_1859;
																																																																																								}
																																																																																							else
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_26601;
																																																																																									goto
																																																																																										BgL_tagzd2405zd2_1860;
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_26601);
																																																																																								}
																																																																																						}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_26605;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_26605);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26609;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26609);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_26613;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_26613);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd241931zd2_7452;
																																																																										BgL_cdrzd241931zd2_7452
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd241937zd2_7453;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13368;
																																																																												BgL_pairz00_13368
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd241937zd2_7453
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13368);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd241943zd2_7454;
																																																																												BgL_cdrzd241943zd2_7454
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd241937zd2_7453));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd241948zd2_7455;
																																																																													obj_t
																																																																														BgL_cdrzd241949zd2_7456;
																																																																													BgL_carzd241948zd2_7455
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241943zd2_7454));
																																																																													BgL_cdrzd241949zd2_7456
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd241943zd2_7454));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241948zd2_7455))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd241954zd2_7458;
																																																																															BgL_carzd241954zd2_7458
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd241949zd2_7456));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd241954zd2_7458))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (NULLP(CDR(((obj_t) BgL_cdrzd241949zd2_7456))))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd241931zd2_7452))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg5902z00_7463;
																																																																																					BgL_arg5902z00_7463
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd241937zd2_7453));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26640;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_26644;
																																																																																							obj_t
																																																																																								BgL_proc2z00_26643;
																																																																																							obj_t
																																																																																								BgL_proc1z00_26642;
																																																																																							obj_t
																																																																																								BgL_testz00_26641;
																																																																																							BgL_testz00_26641
																																																																																								=
																																																																																								BgL_arg5902z00_7463;
																																																																																							BgL_proc1z00_26642
																																																																																								=
																																																																																								BgL_carzd241948zd2_7455;
																																																																																							BgL_proc2z00_26643
																																																																																								=
																																																																																								BgL_carzd241954zd2_7458;
																																																																																							BgL_argsz00_26644
																																																																																								=
																																																																																								BgL_cdrzd241931zd2_7452;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_26644;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_26643;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_26642;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_26641;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26640);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_26648;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_26648);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26652;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26652);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26656;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26656);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26660;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26660);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_26664;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_26664);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd242287zd2_7471;
																																																																						BgL_cdrzd242287zd2_7471
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd242294zd2_7472;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13377;
																																																																								BgL_pairz00_13377
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd242294zd2_7472
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13377);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd242301zd2_7473;
																																																																								BgL_cdrzd242301zd2_7473
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd242294zd2_7472));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd242307zd2_7474;
																																																																									obj_t
																																																																										BgL_cdrzd242308zd2_7475;
																																																																									BgL_carzd242307zd2_7474
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242301zd2_7473));
																																																																									BgL_cdrzd242308zd2_7475
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd242301zd2_7473));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242307zd2_7474))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd242308zd2_7475))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd242315zd2_7478;
																																																																													BgL_carzd242315zd2_7478
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd242308zd2_7475);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd242315zd2_7478))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd242308zd2_7475)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd242287zd2_7471))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5916z00_7483;
																																																																																			BgL_arg5916z00_7483
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd242294zd2_7472));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26691;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_26695;
																																																																																					obj_t
																																																																																						BgL_proc2z00_26694;
																																																																																					obj_t
																																																																																						BgL_proc1z00_26693;
																																																																																					obj_t
																																																																																						BgL_testz00_26692;
																																																																																					BgL_testz00_26692
																																																																																						=
																																																																																						BgL_arg5916z00_7483;
																																																																																					BgL_proc1z00_26693
																																																																																						=
																																																																																						BgL_carzd242307zd2_7474;
																																																																																					BgL_proc2z00_26694
																																																																																						=
																																																																																						BgL_carzd242315zd2_7478;
																																																																																					BgL_argsz00_26695
																																																																																						=
																																																																																						BgL_cdrzd242287zd2_7471;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_26695;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_26694;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_26693;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_26692;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26691);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_26699;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_26699);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26703;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26703);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_26707;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_26707);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26711;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26711);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_26715;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_26715);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26719;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26719);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd242708zd2_7497;
																																																						BgL_cdrzd242708zd2_7497
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9772z00_26723;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5944z00_7514;
																																																								BgL_arg5944z00_7514
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9772z00_26723
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg5944z00_7514));
																																																							}
																																																							if (BgL_test9772z00_26723)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg5932z00_7500;
																																																									obj_t
																																																										BgL_arg5933z00_7501;
																																																									BgL_arg5932z00_7500
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd242708zd2_7497));
																																																									BgL_arg5933z00_7501
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd242708zd2_7497));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_26732;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_26734;
																																																											obj_t
																																																												BgL_bindingsz00_26733;
																																																											BgL_bindingsz00_26733
																																																												=
																																																												BgL_arg5932z00_7500;
																																																											BgL_exprz00_26734
																																																												=
																																																												BgL_arg5933z00_7501;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_26734;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_26733;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_26732);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9773z00_26736;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg5943z00_7513;
																																																										BgL_arg5943z00_7513
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9773z00_26736
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg5943z00_7513));
																																																									}
																																																									if (BgL_test9773z00_26736)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_26741;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26741);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd242774zd2_7504;
																																																											BgL_carzd242774zd2_7504
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd242779zd2_7505;
																																																												BgL_cdrzd242779zd2_7505
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd242774zd2_7504));
																																																												if ((CAR(((obj_t) BgL_carzd242774zd2_7504)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5938z00_7508;
																																																														obj_t
																																																															BgL_arg5939z00_7509;
																																																														obj_t
																																																															BgL_arg5940z00_7510;
																																																														BgL_arg5938z00_7508
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd242779zd2_7505));
																																																														BgL_arg5939z00_7509
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd242779zd2_7505));
																																																														BgL_arg5940z00_7510
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_26759;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_26762;
																																																																obj_t
																																																																	BgL_bodyz00_26761;
																																																																obj_t
																																																																	BgL_varsz00_26760;
																																																																BgL_varsz00_26760
																																																																	=
																																																																	BgL_arg5938z00_7508;
																																																																BgL_bodyz00_26761
																																																																	=
																																																																	BgL_arg5939z00_7509;
																																																																BgL_argsz00_26762
																																																																	=
																																																																	BgL_arg5940z00_7510;
																																																																BgL_argsz00_1824
																																																																	=
																																																																	BgL_argsz00_26762;
																																																																BgL_bodyz00_1823
																																																																	=
																																																																	BgL_bodyz00_26761;
																																																																BgL_varsz00_1822
																																																																	=
																																																																	BgL_varsz00_26760;
																																																																goto
																																																																	BgL_tagzd2387zd2_1825;
																																																															}
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26759);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_26766;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_26766);
																																																															}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd242890zd2_7515;
																																																				BgL_cdrzd242890zd2_7515
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9776z00_26770;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg5953z00_7524;
																																																						BgL_arg5953z00_7524
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9776z00_26770
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg5953z00_7524));
																																																					}
																																																					if (BgL_test9776z00_26770)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5947z00_7518;
																																																							obj_t
																																																								BgL_arg5948z00_7519;
																																																							BgL_arg5947z00_7518
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd242890zd2_7515));
																																																							BgL_arg5948z00_7519
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd242890zd2_7515));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_26779;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_26781;
																																																									obj_t
																																																										BgL_bindingsz00_26780;
																																																									BgL_bindingsz00_26780
																																																										=
																																																										BgL_arg5947z00_7518;
																																																									BgL_exprz00_26781
																																																										=
																																																										BgL_arg5948z00_7519;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_26781;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_26780;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_26779);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9777z00_26783;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg5952z00_7523;
																																																								BgL_arg5952z00_7523
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9777z00_26783
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg5952z00_7523));
																																																							}
																																																							if (BgL_test9777z00_26783)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_26788;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_26788);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_26792;
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_26792);
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241455zd2_7254)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd241457zd2_7256;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd241455zd2_7254 == ((obj_t) CNST_TABLE_REF(19))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd241457zd2_7256;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((BgL_carzd241455zd2_7254 == ((obj_t) CNST_TABLE_REF(20))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd241457zd2_7256;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd241455zd2_7254)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_kapzd241457zd2_7256;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd243062zd2_7259;
																																																										BgL_cdrzd243062zd2_7259
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9783z00_26810;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5853z00_7376;
																																																												BgL_arg5853z00_7376
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9783z00_26810
																																																													=
																																																													CBOOL
																																																													(BGl_letzd2symzf3z21zzast_letz00
																																																													(BgL_arg5853z00_7376));
																																																											}
																																																											if (BgL_test9783z00_26810)
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg5781z00_7262;
																																																													obj_t
																																																														BgL_arg5782z00_7263;
																																																													BgL_arg5781z00_7262
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd243062zd2_7259));
																																																													BgL_arg5782z00_7263
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd243062zd2_7259));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_26819;
																																																														{
																																																															obj_t
																																																																BgL_exprz00_26821;
																																																															obj_t
																																																																BgL_bindingsz00_26820;
																																																															BgL_bindingsz00_26820
																																																																=
																																																																BgL_arg5781z00_7262;
																																																															BgL_exprz00_26821
																																																																=
																																																																BgL_arg5782z00_7263;
																																																															BgL_exprz00_1814
																																																																=
																																																																BgL_exprz00_26821;
																																																															BgL_bindingsz00_1813
																																																																=
																																																																BgL_bindingsz00_26820;
																																																															goto
																																																																BgL_tagzd2383zd2_1815;
																																																														}
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_26819);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test9784z00_26823;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5852z00_7375;
																																																														BgL_arg5852z00_7375
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_test9784z00_26823
																																																															=
																																																															CBOOL
																																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																																															(BgL_arg5852z00_7375));
																																																													}
																																																													if (BgL_test9784z00_26823)
																																																														{
																																																															BgL_letzd2funzd2_bglt
																																																																BgL_auxz00_26828;
																																																															goto
																																																																BgL_tagzd2385zd2_1817;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_26828);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd243128zd2_7266;
																																																															BgL_carzd243128zd2_7266
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd243133zd2_7267;
																																																																BgL_cdrzd243133zd2_7267
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd243128zd2_7266));
																																																																if ((CAR(((obj_t) BgL_carzd243128zd2_7266)) == ((obj_t) CNST_TABLE_REF(3))))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd243133zd2_7267))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg5788z00_7271;
																																																																				obj_t
																																																																					BgL_arg5789z00_7272;
																																																																				obj_t
																																																																					BgL_arg5790z00_7273;
																																																																				BgL_arg5788z00_7271
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd243133zd2_7267);
																																																																				BgL_arg5789z00_7272
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd243133zd2_7267);
																																																																				BgL_arg5790z00_7273
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_26846;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_26849;
																																																																						obj_t
																																																																							BgL_bodyz00_26848;
																																																																						obj_t
																																																																							BgL_varsz00_26847;
																																																																						BgL_varsz00_26847
																																																																							=
																																																																							BgL_arg5788z00_7271;
																																																																						BgL_bodyz00_26848
																																																																							=
																																																																							BgL_arg5789z00_7272;
																																																																						BgL_argsz00_26849
																																																																							=
																																																																							BgL_arg5790z00_7273;
																																																																						BgL_argsz00_1824
																																																																							=
																																																																							BgL_argsz00_26849;
																																																																						BgL_bodyz00_1823
																																																																							=
																																																																							BgL_bodyz00_26848;
																																																																						BgL_varsz00_1822
																																																																							=
																																																																							BgL_varsz00_26847;
																																																																						goto
																																																																							BgL_tagzd2387zd2_1825;
																																																																					}
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_26846);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_26853;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_26853);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd243240zd2_7276;
																																																																		BgL_cdrzd243240zd2_7276
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd243245zd2_7277;
																																																																			BgL_cdrzd243245zd2_7277
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_carzd243128zd2_7266));
																																																																			if ((CAR(((obj_t) BgL_carzd243128zd2_7266)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd243245zd2_7277))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd243250zd2_7281;
																																																																							BgL_cdrzd243250zd2_7281
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd243245zd2_7277);
																																																																							if (PAIRP(BgL_cdrzd243250zd2_7281))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd243254zd2_7283;
																																																																									obj_t
																																																																										BgL_cdrzd243255zd2_7284;
																																																																									BgL_carzd243254zd2_7283
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd243250zd2_7281);
																																																																									BgL_cdrzd243255zd2_7284
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd243250zd2_7281);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243254zd2_7283))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (PAIRP(BgL_cdrzd243255zd2_7284))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd243260zd2_7287;
																																																																													BgL_carzd243260zd2_7287
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd243255zd2_7284);
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243260zd2_7287))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(BgL_cdrzd243255zd2_7284)))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test9795z00_26882;
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1393z00_7320;
																																																																																		BgL_l1393z00_7320
																																																																																			=
																																																																																			BgL_cdrzd243240zd2_7276;
																																																																																	BgL_zc3z04anonymousza35816ze3z87_7321:
																																																																																		if (NULLP(BgL_l1393z00_7320))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9795z00_26882
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					1);
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				bool_t
																																																																																					BgL_test9797z00_26885;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					bool_t
																																																																																						BgL_test9798z00_26886;
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_tmpz00_26887;
																																																																																						BgL_tmpz00_26887
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_l1393z00_7320));
																																																																																						BgL_test9798z00_26886
																																																																																							=
																																																																																							PAIRP
																																																																																							(BgL_tmpz00_26887);
																																																																																					}
																																																																																					if (BgL_test9798z00_26886)
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test9797z00_26885
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								0);
																																																																																						}
																																																																																					else
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							BgL_test9797z00_26885
																																																																																								=
																																																																																								(
																																																																																								(bool_t)
																																																																																								1);
																																																																																						}
																																																																																				}
																																																																																				if (BgL_test9797z00_26885)
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_l1393z00_26891;
																																																																																						BgL_l1393z00_26891
																																																																																							=
																																																																																							CDR
																																																																																							(
																																																																																							((obj_t) BgL_l1393z00_7320));
																																																																																						BgL_l1393z00_7320
																																																																																							=
																																																																																							BgL_l1393z00_26891;
																																																																																						goto
																																																																																							BgL_zc3z04anonymousza35816ze3z87_7321;
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						BgL_test9795z00_26882
																																																																																							=
																																																																																							(
																																																																																							(bool_t)
																																																																																							0);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																	if (BgL_test9795z00_26882)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5806z00_7303;
																																																																																			BgL_arg5806z00_7303
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_cdrzd243245zd2_7277);
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_26895;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_26899;
																																																																																					obj_t
																																																																																						BgL_proc2z00_26898;
																																																																																					obj_t
																																																																																						BgL_proc1z00_26897;
																																																																																					obj_t
																																																																																						BgL_testz00_26896;
																																																																																					BgL_testz00_26896
																																																																																						=
																																																																																						BgL_arg5806z00_7303;
																																																																																					BgL_proc1z00_26897
																																																																																						=
																																																																																						BgL_carzd243254zd2_7283;
																																																																																					BgL_proc2z00_26898
																																																																																						=
																																																																																						BgL_carzd243260zd2_7287;
																																																																																					BgL_argsz00_26899
																																																																																						=
																																																																																						BgL_cdrzd243240zd2_7276;
																																																																																					BgL_argsz00_1829
																																																																																						=
																																																																																						BgL_argsz00_26899;
																																																																																					BgL_proc2z00_1828
																																																																																						=
																																																																																						BgL_proc2z00_26898;
																																																																																					BgL_proc1z00_1827
																																																																																						=
																																																																																						BgL_proc1z00_26897;
																																																																																					BgL_testz00_1826
																																																																																						=
																																																																																						BgL_testz00_26896;
																																																																																					goto
																																																																																						BgL_tagzd2388zd2_1830;
																																																																																				}
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_26895);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd243285zd2_7304;
																																																																																			BgL_cdrzd243285zd2_7304
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_cdrzd243293zd2_7305;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_13425;
																																																																																					BgL_pairz00_13425
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_expz00_21));
																																																																																					BgL_cdrzd243293zd2_7305
																																																																																						=
																																																																																						CDR
																																																																																						(BgL_pairz00_13425);
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_cdrzd243301zd2_7306;
																																																																																					BgL_cdrzd243301zd2_7306
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd243293zd2_7305));
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd243308zd2_7307;
																																																																																						BgL_carzd243308zd2_7307
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd243301zd2_7306));
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243308zd2_7307))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_carzd243317zd2_7309;
																																																																																								{	/* Ast/sexp.scm 119 */
																																																																																									obj_t
																																																																																										BgL_pairz00_13429;
																																																																																									BgL_pairz00_13429
																																																																																										=
																																																																																										CDR
																																																																																										(
																																																																																										((obj_t) BgL_cdrzd243301zd2_7306));
																																																																																									BgL_carzd243317zd2_7309
																																																																																										=
																																																																																										CAR
																																																																																										(BgL_pairz00_13429);
																																																																																								}
																																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243317zd2_7309))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243285zd2_7304))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												obj_t
																																																																																													BgL_arg5810z00_7312;
																																																																																												BgL_arg5810z00_7312
																																																																																													=
																																																																																													CAR
																																																																																													(
																																																																																													((obj_t) BgL_cdrzd243293zd2_7305));
																																																																																												{
																																																																																													BgL_nodez00_bglt
																																																																																														BgL_auxz00_26921;
																																																																																													{
																																																																																														obj_t
																																																																																															BgL_argsz00_26925;
																																																																																														obj_t
																																																																																															BgL_proc2z00_26924;
																																																																																														obj_t
																																																																																															BgL_proc1z00_26923;
																																																																																														obj_t
																																																																																															BgL_testz00_26922;
																																																																																														BgL_testz00_26922
																																																																																															=
																																																																																															BgL_arg5810z00_7312;
																																																																																														BgL_proc1z00_26923
																																																																																															=
																																																																																															BgL_carzd243308zd2_7307;
																																																																																														BgL_proc2z00_26924
																																																																																															=
																																																																																															BgL_carzd243317zd2_7309;
																																																																																														BgL_argsz00_26925
																																																																																															=
																																																																																															BgL_cdrzd243285zd2_7304;
																																																																																														BgL_argsz00_1834
																																																																																															=
																																																																																															BgL_argsz00_26925;
																																																																																														BgL_proc2z00_1833
																																																																																															=
																																																																																															BgL_proc2z00_26924;
																																																																																														BgL_proc1z00_1832
																																																																																															=
																																																																																															BgL_proc1z00_26923;
																																																																																														BgL_testz00_1831
																																																																																															=
																																																																																															BgL_testz00_26922;
																																																																																														goto
																																																																																															BgL_tagzd2389zd2_1835;
																																																																																													}
																																																																																													BgL_auxz00_25577
																																																																																														=
																																																																																														(
																																																																																														(obj_t)
																																																																																														BgL_auxz00_26921);
																																																																																												}
																																																																																											}
																																																																																										else
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																													{	/* Ast/sexp.scm 119 */
																																																																																														goto
																																																																																															BgL_tagzd2404zd2_1859;
																																																																																													}
																																																																																												else
																																																																																													{
																																																																																														BgL_nodez00_bglt
																																																																																															BgL_auxz00_26929;
																																																																																														goto
																																																																																															BgL_tagzd2405zd2_1860;
																																																																																														BgL_auxz00_25577
																																																																																															=
																																																																																															(
																																																																																															(obj_t)
																																																																																															BgL_auxz00_26929);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26933;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26933);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26937;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26937);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				}
																																																																																			}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_26941;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_26941);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd243595zd2_7331;
																																																																															BgL_cdrzd243595zd2_7331
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd243602zd2_7332;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_13433;
																																																																																	BgL_pairz00_13433
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd243602zd2_7332
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_13433);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd243609zd2_7333;
																																																																																	BgL_cdrzd243609zd2_7333
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd243602zd2_7332));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd243615zd2_7334;
																																																																																		obj_t
																																																																																			BgL_cdrzd243616zd2_7335;
																																																																																		BgL_carzd243615zd2_7334
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd243609zd2_7333));
																																																																																		BgL_cdrzd243616zd2_7335
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd243609zd2_7333));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243615zd2_7334))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd243623zd2_7337;
																																																																																				BgL_carzd243623zd2_7337
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd243616zd2_7335));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243623zd2_7337))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd243616zd2_7335))))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243595zd2_7331))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg5825z00_7342;
																																																																																										BgL_arg5825z00_7342
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd243602zd2_7332));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_26968;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_26972;
																																																																																												obj_t
																																																																																													BgL_proc2z00_26971;
																																																																																												obj_t
																																																																																													BgL_proc1z00_26970;
																																																																																												obj_t
																																																																																													BgL_testz00_26969;
																																																																																												BgL_testz00_26969
																																																																																													=
																																																																																													BgL_arg5825z00_7342;
																																																																																												BgL_proc1z00_26970
																																																																																													=
																																																																																													BgL_carzd243615zd2_7334;
																																																																																												BgL_proc2z00_26971
																																																																																													=
																																																																																													BgL_carzd243623zd2_7337;
																																																																																												BgL_argsz00_26972
																																																																																													=
																																																																																													BgL_cdrzd243595zd2_7331;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_26972;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_26971;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_26970;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_26969;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_25577
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_26968);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_26976;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_26976);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_26980;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_26980);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_26984;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_26984);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_26988;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_26988);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_26992;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_26992);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd243956zd2_7350;
																																																																											BgL_cdrzd243956zd2_7350
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd243962zd2_7351;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13442;
																																																																													BgL_pairz00_13442
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd243962zd2_7351
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13442);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd243968zd2_7352;
																																																																													BgL_cdrzd243968zd2_7352
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd243962zd2_7351));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd243973zd2_7353;
																																																																														obj_t
																																																																															BgL_cdrzd243974zd2_7354;
																																																																														BgL_carzd243973zd2_7353
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243968zd2_7352));
																																																																														BgL_cdrzd243974zd2_7354
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd243968zd2_7352));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243973zd2_7353))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd243974zd2_7354))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd243979zd2_7357;
																																																																																		BgL_carzd243979zd2_7357
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd243974zd2_7354);
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd243979zd2_7357))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(BgL_cdrzd243974zd2_7354)))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd243956zd2_7350))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg5839z00_7362;
																																																																																								BgL_arg5839z00_7362
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd243962zd2_7351));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_27019;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_27023;
																																																																																										obj_t
																																																																																											BgL_proc2z00_27022;
																																																																																										obj_t
																																																																																											BgL_proc1z00_27021;
																																																																																										obj_t
																																																																																											BgL_testz00_27020;
																																																																																										BgL_testz00_27020
																																																																																											=
																																																																																											BgL_arg5839z00_7362;
																																																																																										BgL_proc1z00_27021
																																																																																											=
																																																																																											BgL_carzd243973zd2_7353;
																																																																																										BgL_proc2z00_27022
																																																																																											=
																																																																																											BgL_carzd243979zd2_7357;
																																																																																										BgL_argsz00_27023
																																																																																											=
																																																																																											BgL_cdrzd243956zd2_7350;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_27023;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_27022;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_27021;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_27020;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_27019);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_27027;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_27027);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27031;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27031);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27035;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27035);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27039;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27039);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27043;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27043);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27047;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27047);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27051;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27051);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27055;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27055);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd241452zd2_7252 == ((obj_t) CNST_TABLE_REF(18))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5954z00_7527;
																																																	obj_t
																																																		BgL_arg5955z00_7528;
																																																	BgL_arg5954z00_7527
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd241427zd2_7247));
																																																	BgL_arg5955z00_7528
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd241427zd2_7247));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_27065;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_27067;
																																																			obj_t
																																																				BgL_bindingsz00_27066;
																																																			BgL_bindingsz00_27066
																																																				=
																																																				BgL_arg5954z00_7527;
																																																			BgL_exprz00_27067
																																																				=
																																																				BgL_arg5955z00_7528;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_27067;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_27066;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_27065);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd241452zd2_7252)))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5957z00_7530;
																																																			obj_t
																																																				BgL_arg5958z00_7531;
																																																			BgL_arg5957z00_7530
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd241427zd2_7247));
																																																			BgL_arg5958z00_7531
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd241427zd2_7247));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27076;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_27078;
																																																					obj_t
																																																						BgL_bindingsz00_27077;
																																																					BgL_bindingsz00_27077
																																																						=
																																																						BgL_arg5957z00_7530;
																																																					BgL_exprz00_27078
																																																						=
																																																						BgL_arg5958z00_7531;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_27078;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_27077;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27076);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((BgL_carzd241452zd2_7252 == ((obj_t) CNST_TABLE_REF(19))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5959z00_7532;
																																																					obj_t
																																																						BgL_arg5960z00_7533;
																																																					BgL_arg5959z00_7532
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd241427zd2_7247));
																																																					BgL_arg5960z00_7533
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd241427zd2_7247));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27088;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_27090;
																																																							obj_t
																																																								BgL_bindingsz00_27089;
																																																							BgL_bindingsz00_27089
																																																								=
																																																								BgL_arg5959z00_7532;
																																																							BgL_exprz00_27090
																																																								=
																																																								BgL_arg5960z00_7533;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_27090;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_27089;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27088);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_27098;
																																																							goto
																																																								BgL_tagzd2384zd2_1816;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27098);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd244554zd2_7536;
																																																							BgL_carzd244554zd2_7536
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((BgL_carzd244554zd2_7536 == ((obj_t) CNST_TABLE_REF(20))))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27106;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27106);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244554zd2_7536)))
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_27111;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27111);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27119;
																																																													goto
																																																														BgL_tagzd2390zd2_1836;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27119);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27127;
																																																															goto
																																																																BgL_tagzd2391zd2_1837;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27127);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd244634zd2_7542;
																																																															BgL_cdrzd244634zd2_7542
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg5970z00_7545;
																																																																	obj_t
																																																																		BgL_arg5971z00_7546;
																																																																	BgL_arg5970z00_7545
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244634zd2_7542));
																																																																	BgL_arg5971z00_7546
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244634zd2_7542));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_27141;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_27143;
																																																																			obj_t
																																																																				BgL_effectz00_27142;
																																																																			BgL_effectz00_27142
																																																																				=
																																																																				BgL_arg5970z00_7545;
																																																																			BgL_restz00_27143
																																																																				=
																																																																				BgL_arg5971z00_7546;
																																																																			BgL_restz00_1839
																																																																				=
																																																																				BgL_restz00_27143;
																																																																			BgL_effectz00_1838
																																																																				=
																																																																				BgL_effectz00_27142;
																																																																			goto
																																																																				BgL_tagzd2392zd2_1840;
																																																																		}
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_27141);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27151;
																																																																			goto
																																																																				BgL_tagzd2393zd2_1841;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27151);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27159;
																																																																					goto
																																																																						BgL_tagzd2394zd2_1842;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27159);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg5978z00_7554;
																																																																							obj_t
																																																																								BgL_arg5979z00_7555;
																																																																							BgL_arg5978z00_7554
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244634zd2_7542));
																																																																							BgL_arg5979z00_7555
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd244634zd2_7542));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27171;
																																																																								{
																																																																									obj_t
																																																																										BgL_restz00_27173;
																																																																									obj_t
																																																																										BgL_effectz00_27172;
																																																																									BgL_effectz00_27172
																																																																										=
																																																																										BgL_arg5978z00_7554;
																																																																									BgL_restz00_27173
																																																																										=
																																																																										BgL_arg5979z00_7555;
																																																																									BgL_restz00_1844
																																																																										=
																																																																										BgL_restz00_27173;
																																																																									BgL_effectz00_1843
																																																																										=
																																																																										BgL_effectz00_27172;
																																																																									goto
																																																																										BgL_tagzd2395zd2_1845;
																																																																								}
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27171);
																																																																							}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27181;
																																																																									goto
																																																																										BgL_tagzd2396zd2_1846;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27181);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27189;
																																																																											goto
																																																																												BgL_tagzd2397zd2_1847;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27189);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																												{
																																																																													BgL_letzd2funzd2_bglt
																																																																														BgL_auxz00_27197;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1848;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27197);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																														{
																																																																															BgL_jumpzd2exzd2itz00_bglt
																																																																																BgL_auxz00_27205;
																																																																															goto
																																																																																BgL_tagzd2399zd2_1849;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27205);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd244711zd2_7564;
																																																																															BgL_cdrzd244711zd2_7564
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5990z00_7567;
																																																																																	obj_t
																																																																																		BgL_arg5991z00_7568;
																																																																																	BgL_arg5990z00_7567
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd244711zd2_7564));
																																																																																	BgL_arg5991z00_7568
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd244711zd2_7564));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7648z00_13479;
																																																																																		BgL_arg7648z00_13479
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																				BgL_arg5990z00_7567,
																																																																																				((obj_t) CNST_TABLE_REF(4)), BgL_arg5991z00_7568, BgL_stackz00_22, BgL_arg7648z00_13479, BgL_sitez00_24));
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27226;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27226);
																																																																																		}
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd244736zd2_7586;
																																	BgL_carzd244736zd2_7586
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (
																																		(BgL_carzd244736zd2_7586
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(1))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_27234;
																																			goto
																																				BgL_tagzd2377zd2_1801;
																																			BgL_auxz00_25577
																																				=
																																				((obj_t)
																																				BgL_auxz00_27234);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd244736zd2_7586
																																					==
																																					BGl_za2ifza2z00zzast_sexpz00))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_27238;
																																					goto
																																						BgL_tagzd2377zd2_1801;
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_27238);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(7))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_27246;
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_27246);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_27254;
																																									goto
																																										BgL_tagzd2380zd2_1806;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_27254);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd244807zd2_7592;
																																									BgL_cdrzd244807zd2_7592
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6016z00_7595;
																																											obj_t
																																												BgL_arg6017z00_7596;
																																											BgL_arg6016z00_7595
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd244807zd2_7592));
																																											BgL_arg6017z00_7596
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd244807zd2_7592));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_27268;
																																												{
																																													obj_t
																																														BgL_exprz00_27270;
																																													obj_t
																																														BgL_bindingsz00_27269;
																																													BgL_bindingsz00_27269
																																														=
																																														BgL_arg6016z00_7595;
																																													BgL_exprz00_27270
																																														=
																																														BgL_arg6017z00_7596;
																																													BgL_exprz00_1808
																																														=
																																														BgL_exprz00_27270;
																																													BgL_bindingsz00_1807
																																														=
																																														BgL_bindingsz00_27269;
																																													goto
																																														BgL_tagzd2381zd2_1809;
																																												}
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_27268);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd244832zd2_7597;
																																											BgL_carzd244832zd2_7597
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if (PAIRP(BgL_carzd244832zd2_7597))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_carzd244835zd2_7599;
																																													obj_t
																																														BgL_cdrzd244836zd2_7600;
																																													BgL_carzd244835zd2_7599
																																														=
																																														CAR
																																														(BgL_carzd244832zd2_7597);
																																													BgL_cdrzd244836zd2_7600
																																														=
																																														CDR
																																														(BgL_carzd244832zd2_7597);
																																													{

																																														if ((BgL_carzd244835zd2_7599 == ((obj_t) CNST_TABLE_REF(18))))
																																															{	/* Ast/sexp.scm 119 */
																																															BgL_kapzd244837zd2_7601:
																																																if (PAIRP(BgL_cdrzd244836zd2_7600))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd244840zd2_7723;
																																																		BgL_cdrzd244840zd2_7723
																																																			=
																																																			CDR
																																																			(BgL_cdrzd244836zd2_7600);
																																																		if (PAIRP(BgL_cdrzd244840zd2_7723))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (NULLP(CDR(BgL_cdrzd244840zd2_7723)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6100z00_7727;
																																																						obj_t
																																																							BgL_arg6101z00_7728;
																																																						BgL_arg6100z00_7727
																																																							=
																																																							CAR
																																																							(BgL_cdrzd244840zd2_7723);
																																																						BgL_arg6101z00_7728
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_27293;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_27295;
																																																								obj_t
																																																									BgL_bodyz00_27294;
																																																								BgL_bodyz00_27294
																																																									=
																																																									BgL_arg6100z00_7727;
																																																								BgL_argsz00_27295
																																																									=
																																																									BgL_arg6101z00_7728;
																																																								BgL_argsz00_1811
																																																									=
																																																									BgL_argsz00_27295;
																																																								BgL_bodyz00_1810
																																																									=
																																																									BgL_bodyz00_27294;
																																																								goto
																																																									BgL_tagzd2382zd2_1812;
																																																							}
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27293);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd244864zd2_7729;
																																																						BgL_cdrzd244864zd2_7729
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9856z00_27299;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6170z00_7840;
																																																								BgL_arg6170z00_7840
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9856z00_27299
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg6170z00_7840));
																																																							}
																																																							if (BgL_test9856z00_27299)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6104z00_7732;
																																																									obj_t
																																																										BgL_arg6105z00_7733;
																																																									BgL_arg6104z00_7732
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd244864zd2_7729));
																																																									BgL_arg6105z00_7733
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd244864zd2_7729));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_27308;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_27310;
																																																											obj_t
																																																												BgL_bindingsz00_27309;
																																																											BgL_bindingsz00_27309
																																																												=
																																																												BgL_arg6104z00_7732;
																																																											BgL_exprz00_27310
																																																												=
																																																												BgL_arg6105z00_7733;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_27310;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_27309;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_27308);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9857z00_27312;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6169z00_7839;
																																																										BgL_arg6169z00_7839
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9857z00_27312
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg6169z00_7839));
																																																									}
																																																									if (BgL_test9857z00_27312)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_27317;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27317);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd244931zd2_7736;
																																																											BgL_carzd244931zd2_7736
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd244936zd2_7737;
																																																												BgL_cdrzd244936zd2_7737
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd244931zd2_7736));
																																																												if ((CAR(((obj_t) BgL_carzd244931zd2_7736)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg6110z00_7740;
																																																														obj_t
																																																															BgL_arg6111z00_7741;
																																																														obj_t
																																																															BgL_arg6112z00_7742;
																																																														BgL_arg6110z00_7740
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd244936zd2_7737));
																																																														BgL_arg6111z00_7741
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd244936zd2_7737));
																																																														BgL_arg6112z00_7742
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_27335;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_27338;
																																																																obj_t
																																																																	BgL_bodyz00_27337;
																																																																obj_t
																																																																	BgL_varsz00_27336;
																																																																BgL_varsz00_27336
																																																																	=
																																																																	BgL_arg6110z00_7740;
																																																																BgL_bodyz00_27337
																																																																	=
																																																																	BgL_arg6111z00_7741;
																																																																BgL_argsz00_27338
																																																																	=
																																																																	BgL_arg6112z00_7742;
																																																																BgL_argsz00_1824
																																																																	=
																																																																	BgL_argsz00_27338;
																																																																BgL_bodyz00_1823
																																																																	=
																																																																	BgL_bodyz00_27337;
																																																																BgL_varsz00_1822
																																																																	=
																																																																	BgL_varsz00_27336;
																																																																goto
																																																																	BgL_tagzd2387zd2_1825;
																																																															}
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_27335);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd244959zd2_7744;
																																																														BgL_cdrzd244959zd2_7744
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd244965zd2_7745;
																																																															BgL_cdrzd244965zd2_7745
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd244931zd2_7736));
																																																															if ((CAR(((obj_t) BgL_carzd244931zd2_7736)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd244971zd2_7748;
																																																																	BgL_cdrzd244971zd2_7748
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd244965zd2_7745));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd244976zd2_7749;
																																																																		obj_t
																																																																			BgL_cdrzd244977zd2_7750;
																																																																		BgL_carzd244976zd2_7749
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244971zd2_7748));
																																																																		BgL_cdrzd244977zd2_7750
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd244971zd2_7748));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244976zd2_7749))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd244977zd2_7750))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd244984zd2_7753;
																																																																						BgL_carzd244984zd2_7753
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd244977zd2_7750);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd244984zd2_7753))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd244977zd2_7750)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test9864z00_27366;
																																																																										{
																																																																											obj_t
																																																																												BgL_l1396z00_7786;
																																																																											BgL_l1396z00_7786
																																																																												=
																																																																												BgL_cdrzd244959zd2_7744;
																																																																										BgL_zc3z04anonymousza36135ze3z87_7787:
																																																																											if (NULLP(BgL_l1396z00_7786))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9864z00_27366
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														1);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test9866z00_27369;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test9867z00_27370;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_tmpz00_27371;
																																																																															BgL_tmpz00_27371
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_l1396z00_7786));
																																																																															BgL_test9867z00_27370
																																																																																=
																																																																																PAIRP
																																																																																(BgL_tmpz00_27371);
																																																																														}
																																																																														if (BgL_test9867z00_27370)
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9866z00_27369
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test9866z00_27369
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																													}
																																																																													if (BgL_test9866z00_27369)
																																																																														{
																																																																															obj_t
																																																																																BgL_l1396z00_27375;
																																																																															BgL_l1396z00_27375
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_l1396z00_7786));
																																																																															BgL_l1396z00_7786
																																																																																=
																																																																																BgL_l1396z00_27375;
																																																																															goto
																																																																																BgL_zc3z04anonymousza36135ze3z87_7787;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															BgL_test9864z00_27366
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																												}
																																																																										}
																																																																										if (BgL_test9864z00_27366)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg6125z00_7769;
																																																																												BgL_arg6125z00_7769
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd244965zd2_7745));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27380;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_27384;
																																																																														obj_t
																																																																															BgL_proc2z00_27383;
																																																																														obj_t
																																																																															BgL_proc1z00_27382;
																																																																														obj_t
																																																																															BgL_testz00_27381;
																																																																														BgL_testz00_27381
																																																																															=
																																																																															BgL_arg6125z00_7769;
																																																																														BgL_proc1z00_27382
																																																																															=
																																																																															BgL_carzd244976zd2_7749;
																																																																														BgL_proc2z00_27383
																																																																															=
																																																																															BgL_carzd244984zd2_7753;
																																																																														BgL_argsz00_27384
																																																																															=
																																																																															BgL_cdrzd244959zd2_7744;
																																																																														BgL_argsz00_1829
																																																																															=
																																																																															BgL_argsz00_27384;
																																																																														BgL_proc2z00_1828
																																																																															=
																																																																															BgL_proc2z00_27383;
																																																																														BgL_proc1z00_1827
																																																																															=
																																																																															BgL_proc1z00_27382;
																																																																														BgL_testz00_1826
																																																																															=
																																																																															BgL_testz00_27381;
																																																																														goto
																																																																															BgL_tagzd2388zd2_1830;
																																																																													}
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27380);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd245008zd2_7770;
																																																																												BgL_cdrzd245008zd2_7770
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd245015zd2_7771;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13519;
																																																																														BgL_pairz00_13519
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_cdrzd245015zd2_7771
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13519);
																																																																													}
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd245022zd2_7772;
																																																																														BgL_cdrzd245022zd2_7772
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd245015zd2_7771));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd245028zd2_7773;
																																																																															BgL_carzd245028zd2_7773
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd245022zd2_7772));
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245028zd2_7773))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_carzd245035zd2_7775;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_pairz00_13523;
																																																																																		BgL_pairz00_13523
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd245022zd2_7772));
																																																																																		BgL_carzd245035zd2_7775
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_pairz00_13523);
																																																																																	}
																																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245035zd2_7775))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245008zd2_7770))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_arg6129z00_7778;
																																																																																					BgL_arg6129z00_7778
																																																																																						=
																																																																																						CAR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd245015zd2_7771));
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27406;
																																																																																						{
																																																																																							obj_t
																																																																																								BgL_argsz00_27410;
																																																																																							obj_t
																																																																																								BgL_proc2z00_27409;
																																																																																							obj_t
																																																																																								BgL_proc1z00_27408;
																																																																																							obj_t
																																																																																								BgL_testz00_27407;
																																																																																							BgL_testz00_27407
																																																																																								=
																																																																																								BgL_arg6129z00_7778;
																																																																																							BgL_proc1z00_27408
																																																																																								=
																																																																																								BgL_carzd245028zd2_7773;
																																																																																							BgL_proc2z00_27409
																																																																																								=
																																																																																								BgL_carzd245035zd2_7775;
																																																																																							BgL_argsz00_27410
																																																																																								=
																																																																																								BgL_cdrzd245008zd2_7770;
																																																																																							BgL_argsz00_1834
																																																																																								=
																																																																																								BgL_argsz00_27410;
																																																																																							BgL_proc2z00_1833
																																																																																								=
																																																																																								BgL_proc2z00_27409;
																																																																																							BgL_proc1z00_1832
																																																																																								=
																																																																																								BgL_proc1z00_27408;
																																																																																							BgL_testz00_1831
																																																																																								=
																																																																																								BgL_testz00_27407;
																																																																																							goto
																																																																																								BgL_tagzd2389zd2_1835;
																																																																																						}
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27406);
																																																																																					}
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							goto
																																																																																								BgL_tagzd2404zd2_1859;
																																																																																						}
																																																																																					else
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_27414;
																																																																																							goto
																																																																																								BgL_tagzd2405zd2_1860;
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_27414);
																																																																																						}
																																																																																				}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_27418;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_27418);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27422;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27422);
																																																																																		}
																																																																																}
																																																																														}
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_27426;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_27426);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd245311zd2_7797;
																																																																								BgL_cdrzd245311zd2_7797
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd245317zd2_7798;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13527;
																																																																										BgL_pairz00_13527
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd245317zd2_7798
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13527);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd245323zd2_7799;
																																																																										BgL_cdrzd245323zd2_7799
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd245317zd2_7798));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd245328zd2_7800;
																																																																											obj_t
																																																																												BgL_cdrzd245329zd2_7801;
																																																																											BgL_carzd245328zd2_7800
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245323zd2_7799));
																																																																											BgL_cdrzd245329zd2_7801
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd245323zd2_7799));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245328zd2_7800))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd245334zd2_7803;
																																																																													BgL_carzd245334zd2_7803
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd245329zd2_7801));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245334zd2_7803))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd245329zd2_7801))))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245311zd2_7797))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6144z00_7808;
																																																																																			BgL_arg6144z00_7808
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd245317zd2_7798));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27453;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_27457;
																																																																																					obj_t
																																																																																						BgL_proc2z00_27456;
																																																																																					obj_t
																																																																																						BgL_proc1z00_27455;
																																																																																					obj_t
																																																																																						BgL_testz00_27454;
																																																																																					BgL_testz00_27454
																																																																																						=
																																																																																						BgL_arg6144z00_7808;
																																																																																					BgL_proc1z00_27455
																																																																																						=
																																																																																						BgL_carzd245328zd2_7800;
																																																																																					BgL_proc2z00_27456
																																																																																						=
																																																																																						BgL_carzd245334zd2_7803;
																																																																																					BgL_argsz00_27457
																																																																																						=
																																																																																						BgL_cdrzd245311zd2_7797;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_27457;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_27456;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_27455;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_27454;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27453);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_27461;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_27461);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27465;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27465);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27469;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27469);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27473;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27473);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_27477;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_27477);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd245667zd2_7816;
																																																																				BgL_cdrzd245667zd2_7816
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd245674zd2_7817;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13536;
																																																																						BgL_pairz00_13536
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd245674zd2_7817
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13536);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd245681zd2_7818;
																																																																						BgL_cdrzd245681zd2_7818
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd245674zd2_7817));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd245687zd2_7819;
																																																																							obj_t
																																																																								BgL_cdrzd245688zd2_7820;
																																																																							BgL_carzd245687zd2_7819
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245681zd2_7818));
																																																																							BgL_cdrzd245688zd2_7820
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd245681zd2_7818));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245687zd2_7819))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd245688zd2_7820))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd245695zd2_7823;
																																																																											BgL_carzd245695zd2_7823
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd245688zd2_7820);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd245695zd2_7823))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd245688zd2_7820)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd245667zd2_7816))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6158z00_7828;
																																																																																	BgL_arg6158z00_7828
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd245674zd2_7817));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27504;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27508;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27507;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27506;
																																																																																			obj_t
																																																																																				BgL_testz00_27505;
																																																																																			BgL_testz00_27505
																																																																																				=
																																																																																				BgL_arg6158z00_7828;
																																																																																			BgL_proc1z00_27506
																																																																																				=
																																																																																				BgL_carzd245687zd2_7819;
																																																																																			BgL_proc2z00_27507
																																																																																				=
																																																																																				BgL_carzd245695zd2_7823;
																																																																																			BgL_argsz00_27508
																																																																																				=
																																																																																				BgL_cdrzd245667zd2_7816;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_27508;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_27507;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_27506;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_27505;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27504);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_27512;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_27512);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27516;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27516);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_27520;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_27520);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27524;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27524);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_27528;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_27528);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27532;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27532);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd246088zd2_7842;
																																																				BgL_cdrzd246088zd2_7842
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9895z00_27536;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6186z00_7859;
																																																						BgL_arg6186z00_7859
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9895z00_27536
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6186z00_7859));
																																																					}
																																																					if (BgL_test9895z00_27536)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6174z00_7845;
																																																							obj_t
																																																								BgL_arg6175z00_7846;
																																																							BgL_arg6174z00_7845
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd246088zd2_7842));
																																																							BgL_arg6175z00_7846
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd246088zd2_7842));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_27545;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_27547;
																																																									obj_t
																																																										BgL_bindingsz00_27546;
																																																									BgL_bindingsz00_27546
																																																										=
																																																										BgL_arg6174z00_7845;
																																																									BgL_exprz00_27547
																																																										=
																																																										BgL_arg6175z00_7846;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_27547;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_27546;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_27545);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9896z00_27549;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6185z00_7858;
																																																								BgL_arg6185z00_7858
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9896z00_27549
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6185z00_7858));
																																																							}
																																																							if (BgL_test9896z00_27549)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27554;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27554);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd246154zd2_7849;
																																																									BgL_carzd246154zd2_7849
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd246159zd2_7850;
																																																										BgL_cdrzd246159zd2_7850
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd246154zd2_7849));
																																																										if ((CAR(((obj_t) BgL_carzd246154zd2_7849)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6180z00_7853;
																																																												obj_t
																																																													BgL_arg6181z00_7854;
																																																												obj_t
																																																													BgL_arg6182z00_7855;
																																																												BgL_arg6180z00_7853
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd246159zd2_7850));
																																																												BgL_arg6181z00_7854
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd246159zd2_7850));
																																																												BgL_arg6182z00_7855
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27572;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_27575;
																																																														obj_t
																																																															BgL_bodyz00_27574;
																																																														obj_t
																																																															BgL_varsz00_27573;
																																																														BgL_varsz00_27573
																																																															=
																																																															BgL_arg6180z00_7853;
																																																														BgL_bodyz00_27574
																																																															=
																																																															BgL_arg6181z00_7854;
																																																														BgL_argsz00_27575
																																																															=
																																																															BgL_arg6182z00_7855;
																																																														BgL_argsz00_1824
																																																															=
																																																															BgL_argsz00_27575;
																																																														BgL_bodyz00_1823
																																																															=
																																																															BgL_bodyz00_27574;
																																																														BgL_varsz00_1822
																																																															=
																																																															BgL_varsz00_27573;
																																																														goto
																																																															BgL_tagzd2387zd2_1825;
																																																													}
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27572);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_27579;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_27579);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd246270zd2_7860;
																																																		BgL_cdrzd246270zd2_7860
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test9899z00_27583;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6195z00_7869;
																																																				BgL_arg6195z00_7869
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test9899z00_27583
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6195z00_7869));
																																																			}
																																																			if (BgL_test9899z00_27583)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6189z00_7863;
																																																					obj_t
																																																						BgL_arg6190z00_7864;
																																																					BgL_arg6189z00_7863
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd246270zd2_7860));
																																																					BgL_arg6190z00_7864
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd246270zd2_7860));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_27592;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_27594;
																																																							obj_t
																																																								BgL_bindingsz00_27593;
																																																							BgL_bindingsz00_27593
																																																								=
																																																								BgL_arg6189z00_7863;
																																																							BgL_exprz00_27594
																																																								=
																																																								BgL_arg6190z00_7864;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_27594;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_27593;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_27592);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9900z00_27596;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6194z00_7868;
																																																						BgL_arg6194z00_7868
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9900z00_27596
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6194z00_7868));
																																																					}
																																																					if (BgL_test9900z00_27596)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27601;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27601);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2404zd2_1859;
																																																								}
																																																							else
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_27605;
																																																									goto
																																																										BgL_tagzd2405zd2_1860;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27605);
																																																								}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244835zd2_7599)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd244837zd2_7601;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd244835zd2_7599 == ((obj_t) CNST_TABLE_REF(19))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd244837zd2_7601;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((BgL_carzd244835zd2_7599 == ((obj_t) CNST_TABLE_REF(20))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd244837zd2_7601;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd244835zd2_7599)))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_kapzd244837zd2_7601;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd246442zd2_7604;
																																																								BgL_cdrzd246442zd2_7604
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test9906z00_27623;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6095z00_7721;
																																																										BgL_arg6095z00_7721
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test9906z00_27623
																																																											=
																																																											CBOOL
																																																											(BGl_letzd2symzf3z21zzast_letz00
																																																											(BgL_arg6095z00_7721));
																																																									}
																																																									if (BgL_test9906z00_27623)
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg6023z00_7607;
																																																											obj_t
																																																												BgL_arg6024z00_7608;
																																																											BgL_arg6023z00_7607
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd246442zd2_7604));
																																																											BgL_arg6024z00_7608
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd246442zd2_7604));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_27632;
																																																												{
																																																													obj_t
																																																														BgL_exprz00_27634;
																																																													obj_t
																																																														BgL_bindingsz00_27633;
																																																													BgL_bindingsz00_27633
																																																														=
																																																														BgL_arg6023z00_7607;
																																																													BgL_exprz00_27634
																																																														=
																																																														BgL_arg6024z00_7608;
																																																													BgL_exprz00_1814
																																																														=
																																																														BgL_exprz00_27634;
																																																													BgL_bindingsz00_1813
																																																														=
																																																														BgL_bindingsz00_27633;
																																																													goto
																																																														BgL_tagzd2383zd2_1815;
																																																												}
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_27632);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											bool_t
																																																												BgL_test9907z00_27636;
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6094z00_7720;
																																																												BgL_arg6094z00_7720
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												BgL_test9907z00_27636
																																																													=
																																																													CBOOL
																																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																																													(BgL_arg6094z00_7720));
																																																											}
																																																											if (BgL_test9907z00_27636)
																																																												{
																																																													BgL_letzd2funzd2_bglt
																																																														BgL_auxz00_27641;
																																																													goto
																																																														BgL_tagzd2385zd2_1817;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27641);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd246508zd2_7611;
																																																													BgL_carzd246508zd2_7611
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd246513zd2_7612;
																																																														BgL_cdrzd246513zd2_7612
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd246508zd2_7611));
																																																														if ((CAR(((obj_t) BgL_carzd246508zd2_7611)) == ((obj_t) CNST_TABLE_REF(3))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd246513zd2_7612))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg6030z00_7616;
																																																																		obj_t
																																																																			BgL_arg6031z00_7617;
																																																																		obj_t
																																																																			BgL_arg6032z00_7618;
																																																																		BgL_arg6030z00_7616
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd246513zd2_7612);
																																																																		BgL_arg6031z00_7617
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd246513zd2_7612);
																																																																		BgL_arg6032z00_7618
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27659;
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_27662;
																																																																				obj_t
																																																																					BgL_bodyz00_27661;
																																																																				obj_t
																																																																					BgL_varsz00_27660;
																																																																				BgL_varsz00_27660
																																																																					=
																																																																					BgL_arg6030z00_7616;
																																																																				BgL_bodyz00_27661
																																																																					=
																																																																					BgL_arg6031z00_7617;
																																																																				BgL_argsz00_27662
																																																																					=
																																																																					BgL_arg6032z00_7618;
																																																																				BgL_argsz00_1824
																																																																					=
																																																																					BgL_argsz00_27662;
																																																																				BgL_bodyz00_1823
																																																																					=
																																																																					BgL_bodyz00_27661;
																																																																				BgL_varsz00_1822
																																																																					=
																																																																					BgL_varsz00_27660;
																																																																				goto
																																																																					BgL_tagzd2387zd2_1825;
																																																																			}
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27659);
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_27666;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_27666);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd246620zd2_7621;
																																																																BgL_cdrzd246620zd2_7621
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd246625zd2_7622;
																																																																	BgL_cdrzd246625zd2_7622
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd246508zd2_7611));
																																																																	if ((CAR(((obj_t) BgL_carzd246508zd2_7611)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd246625zd2_7622))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd246630zd2_7626;
																																																																					BgL_cdrzd246630zd2_7626
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd246625zd2_7622);
																																																																					if (PAIRP(BgL_cdrzd246630zd2_7626))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd246634zd2_7628;
																																																																							obj_t
																																																																								BgL_cdrzd246635zd2_7629;
																																																																							BgL_carzd246634zd2_7628
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd246630zd2_7626);
																																																																							BgL_cdrzd246635zd2_7629
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd246630zd2_7626);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246634zd2_7628))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (PAIRP(BgL_cdrzd246635zd2_7629))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd246640zd2_7632;
																																																																											BgL_carzd246640zd2_7632
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd246635zd2_7629);
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246640zd2_7632))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(BgL_cdrzd246635zd2_7629)))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test9918z00_27695;
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1399z00_7665;
																																																																																BgL_l1399z00_7665
																																																																																	=
																																																																																	BgL_cdrzd246620zd2_7621;
																																																																															BgL_zc3z04anonymousza36058ze3z87_7666:
																																																																																if (NULLP(BgL_l1399z00_7665))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test9918z00_27695
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			1);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		bool_t
																																																																																			BgL_test9920z00_27698;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			bool_t
																																																																																				BgL_test9921z00_27699;
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_tmpz00_27700;
																																																																																				BgL_tmpz00_27700
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_l1399z00_7665));
																																																																																				BgL_test9921z00_27699
																																																																																					=
																																																																																					PAIRP
																																																																																					(BgL_tmpz00_27700);
																																																																																			}
																																																																																			if (BgL_test9921z00_27699)
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9920z00_27698
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						0);
																																																																																				}
																																																																																			else
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					BgL_test9920z00_27698
																																																																																						=
																																																																																						(
																																																																																						(bool_t)
																																																																																						1);
																																																																																				}
																																																																																		}
																																																																																		if (BgL_test9920z00_27698)
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_l1399z00_27704;
																																																																																				BgL_l1399z00_27704
																																																																																					=
																																																																																					CDR
																																																																																					(
																																																																																					((obj_t) BgL_l1399z00_7665));
																																																																																				BgL_l1399z00_7665
																																																																																					=
																																																																																					BgL_l1399z00_27704;
																																																																																				goto
																																																																																					BgL_zc3z04anonymousza36058ze3z87_7666;
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				BgL_test9918z00_27695
																																																																																					=
																																																																																					(
																																																																																					(bool_t)
																																																																																					0);
																																																																																			}
																																																																																	}
																																																																															}
																																																																															if (BgL_test9918z00_27695)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6048z00_7648;
																																																																																	BgL_arg6048z00_7648
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_cdrzd246625zd2_7622);
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27708;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_27712;
																																																																																			obj_t
																																																																																				BgL_proc2z00_27711;
																																																																																			obj_t
																																																																																				BgL_proc1z00_27710;
																																																																																			obj_t
																																																																																				BgL_testz00_27709;
																																																																																			BgL_testz00_27709
																																																																																				=
																																																																																				BgL_arg6048z00_7648;
																																																																																			BgL_proc1z00_27710
																																																																																				=
																																																																																				BgL_carzd246634zd2_7628;
																																																																																			BgL_proc2z00_27711
																																																																																				=
																																																																																				BgL_carzd246640zd2_7632;
																																																																																			BgL_argsz00_27712
																																																																																				=
																																																																																				BgL_cdrzd246620zd2_7621;
																																																																																			BgL_argsz00_1829
																																																																																				=
																																																																																				BgL_argsz00_27712;
																																																																																			BgL_proc2z00_1828
																																																																																				=
																																																																																				BgL_proc2z00_27711;
																																																																																			BgL_proc1z00_1827
																																																																																				=
																																																																																				BgL_proc1z00_27710;
																																																																																			BgL_testz00_1826
																																																																																				=
																																																																																				BgL_testz00_27709;
																																																																																			goto
																																																																																				BgL_tagzd2388zd2_1830;
																																																																																		}
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27708);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd246665zd2_7649;
																																																																																	BgL_cdrzd246665zd2_7649
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_cdrzd246673zd2_7650;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13584;
																																																																																			BgL_pairz00_13584
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_expz00_21));
																																																																																			BgL_cdrzd246673zd2_7650
																																																																																				=
																																																																																				CDR
																																																																																				(BgL_pairz00_13584);
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_cdrzd246681zd2_7651;
																																																																																			BgL_cdrzd246681zd2_7651
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd246673zd2_7650));
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd246688zd2_7652;
																																																																																				BgL_carzd246688zd2_7652
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd246681zd2_7651));
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246688zd2_7652))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_carzd246697zd2_7654;
																																																																																						{	/* Ast/sexp.scm 119 */
																																																																																							obj_t
																																																																																								BgL_pairz00_13588;
																																																																																							BgL_pairz00_13588
																																																																																								=
																																																																																								CDR
																																																																																								(
																																																																																								((obj_t) BgL_cdrzd246681zd2_7651));
																																																																																							BgL_carzd246697zd2_7654
																																																																																								=
																																																																																								CAR
																																																																																								(BgL_pairz00_13588);
																																																																																						}
																																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246697zd2_7654))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246665zd2_7649))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										obj_t
																																																																																											BgL_arg6052z00_7657;
																																																																																										BgL_arg6052z00_7657
																																																																																											=
																																																																																											CAR
																																																																																											(
																																																																																											((obj_t) BgL_cdrzd246673zd2_7650));
																																																																																										{
																																																																																											BgL_nodez00_bglt
																																																																																												BgL_auxz00_27734;
																																																																																											{
																																																																																												obj_t
																																																																																													BgL_argsz00_27738;
																																																																																												obj_t
																																																																																													BgL_proc2z00_27737;
																																																																																												obj_t
																																																																																													BgL_proc1z00_27736;
																																																																																												obj_t
																																																																																													BgL_testz00_27735;
																																																																																												BgL_testz00_27735
																																																																																													=
																																																																																													BgL_arg6052z00_7657;
																																																																																												BgL_proc1z00_27736
																																																																																													=
																																																																																													BgL_carzd246688zd2_7652;
																																																																																												BgL_proc2z00_27737
																																																																																													=
																																																																																													BgL_carzd246697zd2_7654;
																																																																																												BgL_argsz00_27738
																																																																																													=
																																																																																													BgL_cdrzd246665zd2_7649;
																																																																																												BgL_argsz00_1834
																																																																																													=
																																																																																													BgL_argsz00_27738;
																																																																																												BgL_proc2z00_1833
																																																																																													=
																																																																																													BgL_proc2z00_27737;
																																																																																												BgL_proc1z00_1832
																																																																																													=
																																																																																													BgL_proc1z00_27736;
																																																																																												BgL_testz00_1831
																																																																																													=
																																																																																													BgL_testz00_27735;
																																																																																												goto
																																																																																													BgL_tagzd2389zd2_1835;
																																																																																											}
																																																																																											BgL_auxz00_25577
																																																																																												=
																																																																																												(
																																																																																												(obj_t)
																																																																																												BgL_auxz00_27734);
																																																																																										}
																																																																																									}
																																																																																								else
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																											{	/* Ast/sexp.scm 119 */
																																																																																												goto
																																																																																													BgL_tagzd2404zd2_1859;
																																																																																											}
																																																																																										else
																																																																																											{
																																																																																												BgL_nodez00_bglt
																																																																																													BgL_auxz00_27742;
																																																																																												goto
																																																																																													BgL_tagzd2405zd2_1860;
																																																																																												BgL_auxz00_25577
																																																																																													=
																																																																																													(
																																																																																													(obj_t)
																																																																																													BgL_auxz00_27742);
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_27746;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_27746);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27750;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27750);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		}
																																																																																	}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_27754;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_27754);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd246975zd2_7676;
																																																																													BgL_cdrzd246975zd2_7676
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd246982zd2_7677;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13592;
																																																																															BgL_pairz00_13592
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd246982zd2_7677
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13592);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd246989zd2_7678;
																																																																															BgL_cdrzd246989zd2_7678
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd246982zd2_7677));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd246995zd2_7679;
																																																																																obj_t
																																																																																	BgL_cdrzd246996zd2_7680;
																																																																																BgL_carzd246995zd2_7679
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd246989zd2_7678));
																																																																																BgL_cdrzd246996zd2_7680
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd246989zd2_7678));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd246995zd2_7679))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd247003zd2_7682;
																																																																																		BgL_carzd247003zd2_7682
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd246996zd2_7680));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247003zd2_7682))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd246996zd2_7680))))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd246975zd2_7676))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg6067z00_7687;
																																																																																								BgL_arg6067z00_7687
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd246982zd2_7677));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_27781;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_27785;
																																																																																										obj_t
																																																																																											BgL_proc2z00_27784;
																																																																																										obj_t
																																																																																											BgL_proc1z00_27783;
																																																																																										obj_t
																																																																																											BgL_testz00_27782;
																																																																																										BgL_testz00_27782
																																																																																											=
																																																																																											BgL_arg6067z00_7687;
																																																																																										BgL_proc1z00_27783
																																																																																											=
																																																																																											BgL_carzd246995zd2_7679;
																																																																																										BgL_proc2z00_27784
																																																																																											=
																																																																																											BgL_carzd247003zd2_7682;
																																																																																										BgL_argsz00_27785
																																																																																											=
																																																																																											BgL_cdrzd246975zd2_7676;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_27785;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_27784;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_27783;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_27782;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_27781);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_27789;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_27789);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27793;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27793);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27797;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27797);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27801;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27801);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_27805;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_27805);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd247336zd2_7695;
																																																																									BgL_cdrzd247336zd2_7695
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd247342zd2_7696;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13601;
																																																																											BgL_pairz00_13601
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd247342zd2_7696
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13601);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd247348zd2_7697;
																																																																											BgL_cdrzd247348zd2_7697
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd247342zd2_7696));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd247353zd2_7698;
																																																																												obj_t
																																																																													BgL_cdrzd247354zd2_7699;
																																																																												BgL_carzd247353zd2_7698
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247348zd2_7697));
																																																																												BgL_cdrzd247354zd2_7699
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd247348zd2_7697));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247353zd2_7698))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd247354zd2_7699))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd247359zd2_7702;
																																																																																BgL_carzd247359zd2_7702
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd247354zd2_7699);
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd247359zd2_7702))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(BgL_cdrzd247354zd2_7699)))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd247336zd2_7695))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6081z00_7707;
																																																																																						BgL_arg6081z00_7707
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd247342zd2_7696));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_27832;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_27836;
																																																																																								obj_t
																																																																																									BgL_proc2z00_27835;
																																																																																								obj_t
																																																																																									BgL_proc1z00_27834;
																																																																																								obj_t
																																																																																									BgL_testz00_27833;
																																																																																								BgL_testz00_27833
																																																																																									=
																																																																																									BgL_arg6081z00_7707;
																																																																																								BgL_proc1z00_27834
																																																																																									=
																																																																																									BgL_carzd247353zd2_7698;
																																																																																								BgL_proc2z00_27835
																																																																																									=
																																																																																									BgL_carzd247359zd2_7702;
																																																																																								BgL_argsz00_27836
																																																																																									=
																																																																																									BgL_cdrzd247336zd2_7695;
																																																																																								BgL_argsz00_1834
																																																																																									=
																																																																																									BgL_argsz00_27836;
																																																																																								BgL_proc2z00_1833
																																																																																									=
																																																																																									BgL_proc2z00_27835;
																																																																																								BgL_proc1z00_1832
																																																																																									=
																																																																																									BgL_proc1z00_27834;
																																																																																								BgL_testz00_1831
																																																																																									=
																																																																																									BgL_testz00_27833;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1835;
																																																																																							}
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_27832);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_27840;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_27840);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_27844;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_27844);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_27848;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_27848);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_27852;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_27852);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_27856;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_27856);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_27860;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_27860);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27864;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27864);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_27868;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_27868);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																													}
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd244832zd2_7597 == ((obj_t) CNST_TABLE_REF(18))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6196z00_7872;
																																															obj_t
																																																BgL_arg6197z00_7873;
																																															BgL_arg6196z00_7872
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd244807zd2_7592));
																																															BgL_arg6197z00_7873
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd244807zd2_7592));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_27878;
																																																{
																																																	obj_t
																																																		BgL_exprz00_27880;
																																																	obj_t
																																																		BgL_bindingsz00_27879;
																																																	BgL_bindingsz00_27879
																																																		=
																																																		BgL_arg6196z00_7872;
																																																	BgL_exprz00_27880
																																																		=
																																																		BgL_arg6197z00_7873;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_27880;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_27879;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_27878);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd244832zd2_7597)))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6199z00_7875;
																																																	obj_t
																																																		BgL_arg6200z00_7876;
																																																	BgL_arg6199z00_7875
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd244807zd2_7592));
																																																	BgL_arg6200z00_7876
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd244807zd2_7592));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_27889;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_27891;
																																																			obj_t
																																																				BgL_bindingsz00_27890;
																																																			BgL_bindingsz00_27890
																																																				=
																																																				BgL_arg6199z00_7875;
																																																			BgL_exprz00_27891
																																																				=
																																																				BgL_arg6200z00_7876;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_27891;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_27890;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_27889);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((BgL_carzd244832zd2_7597 == ((obj_t) CNST_TABLE_REF(19))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6201z00_7877;
																																																			obj_t
																																																				BgL_arg6202z00_7878;
																																																			BgL_arg6201z00_7877
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd244807zd2_7592));
																																																			BgL_arg6202z00_7878
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd244807zd2_7592));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_27901;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_27903;
																																																					obj_t
																																																						BgL_bindingsz00_27902;
																																																					BgL_bindingsz00_27902
																																																						=
																																																						BgL_arg6201z00_7877;
																																																					BgL_exprz00_27903
																																																						=
																																																						BgL_arg6202z00_7878;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_27903;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_27902;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_27901);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_27911;
																																																					goto
																																																						BgL_tagzd2384zd2_1816;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_27911);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd247934zd2_7881;
																																																					BgL_carzd247934zd2_7881
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					if ((BgL_carzd247934zd2_7881 == ((obj_t) CNST_TABLE_REF(20))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_27919;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_27919);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd247934zd2_7881)))
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_27924;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_27924);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_27932;
																																																											goto
																																																												BgL_tagzd2390zd2_1836;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_27932);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_27940;
																																																													goto
																																																														BgL_tagzd2391zd2_1837;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_27940);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd248014zd2_7887;
																																																													BgL_cdrzd248014zd2_7887
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6212z00_7890;
																																																															obj_t
																																																																BgL_arg6213z00_7891;
																																																															BgL_arg6212z00_7890
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd248014zd2_7887));
																																																															BgL_arg6213z00_7891
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248014zd2_7887));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_27954;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_27956;
																																																																	obj_t
																																																																		BgL_effectz00_27955;
																																																																	BgL_effectz00_27955
																																																																		=
																																																																		BgL_arg6212z00_7890;
																																																																	BgL_restz00_27956
																																																																		=
																																																																		BgL_arg6213z00_7891;
																																																																	BgL_restz00_1839
																																																																		=
																																																																		BgL_restz00_27956;
																																																																	BgL_effectz00_1838
																																																																		=
																																																																		BgL_effectz00_27955;
																																																																	goto
																																																																		BgL_tagzd2392zd2_1840;
																																																																}
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_27954);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_27964;
																																																																	goto
																																																																		BgL_tagzd2393zd2_1841;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_27964);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_27972;
																																																																			goto
																																																																				BgL_tagzd2394zd2_1842;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_27972);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg6220z00_7899;
																																																																					obj_t
																																																																						BgL_arg6221z00_7900;
																																																																					BgL_arg6220z00_7899
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248014zd2_7887));
																																																																					BgL_arg6221z00_7900
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd248014zd2_7887));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_27984;
																																																																						{
																																																																							obj_t
																																																																								BgL_restz00_27986;
																																																																							obj_t
																																																																								BgL_effectz00_27985;
																																																																							BgL_effectz00_27985
																																																																								=
																																																																								BgL_arg6220z00_7899;
																																																																							BgL_restz00_27986
																																																																								=
																																																																								BgL_arg6221z00_7900;
																																																																							BgL_restz00_1844
																																																																								=
																																																																								BgL_restz00_27986;
																																																																							BgL_effectz00_1843
																																																																								=
																																																																								BgL_effectz00_27985;
																																																																							goto
																																																																								BgL_tagzd2395zd2_1845;
																																																																						}
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_27984);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_27994;
																																																																							goto
																																																																								BgL_tagzd2396zd2_1846;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_27994);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28002;
																																																																									goto
																																																																										BgL_tagzd2397zd2_1847;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28002);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																										{
																																																																											BgL_letzd2funzd2_bglt
																																																																												BgL_auxz00_28010;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1848;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28010);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																												{
																																																																													BgL_jumpzd2exzd2itz00_bglt
																																																																														BgL_auxz00_28018;
																																																																													goto
																																																																														BgL_tagzd2399zd2_1849;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28018);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd248091zd2_7909;
																																																																													BgL_cdrzd248091zd2_7909
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6232z00_7912;
																																																																															obj_t
																																																																																BgL_arg6233z00_7913;
																																																																															BgL_arg6232z00_7912
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd248091zd2_7909));
																																																																															BgL_arg6233z00_7913
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd248091zd2_7909));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7648z00_13638;
																																																																																BgL_arg7648z00_13638
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg6232z00_7912,
																																																																																		((obj_t) CNST_TABLE_REF(4)), BgL_arg6233z00_7913, BgL_stackz00_22, BgL_arg7648z00_13638, BgL_sitez00_24));
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28039;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28039);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd248116zd2_7931;
																															BgL_carzd248116zd2_7931
																																=
																																CAR(((obj_t)
																																	BgL_expz00_21));
																															if (
																																(BgL_carzd248116zd2_7931
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(1))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_28047;
																																	goto
																																		BgL_tagzd2377zd2_1801;
																																	BgL_auxz00_25577
																																		=
																																		((obj_t)
																																		BgL_auxz00_28047);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(BgL_carzd248116zd2_7931
																																			==
																																			BGl_za2ifza2z00zzast_sexpz00))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_28051;
																																			goto
																																				BgL_tagzd2377zd2_1801;
																																			BgL_auxz00_25577
																																				=
																																				((obj_t)
																																				BgL_auxz00_28051);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd248138zd2_7933;
																																			BgL_cdrzd248138zd2_7933
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					((obj_t) CNST_TABLE_REF(7))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd248141zd2_7936;
																																					obj_t
																																						BgL_cdrzd248142zd2_7937;
																																					BgL_carzd248141zd2_7936
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd248138zd2_7933));
																																					BgL_cdrzd248142zd2_7937
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd248138zd2_7933));
																																					if (PAIRP(BgL_carzd248141zd2_7936))
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(BgL_carzd248141zd2_7936) == ((obj_t) CNST_TABLE_REF(14))))
																																								{	/* Ast/sexp.scm 119 */
																																									if (NULLP(CDR(((obj_t) BgL_cdrzd248142zd2_7937))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6259z00_7943;
																																											obj_t
																																												BgL_arg6260z00_7944;
																																											BgL_arg6259z00_7943
																																												=
																																												CDR
																																												(BgL_carzd248141zd2_7936);
																																											BgL_arg6260z00_7944
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd248142zd2_7937));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_28079;
																																												{
																																													obj_t
																																														BgL_valz00_28081;
																																													obj_t
																																														BgL_lz00_28080;
																																													BgL_lz00_28080
																																														=
																																														BgL_arg6259z00_7943;
																																													BgL_valz00_28081
																																														=
																																														BgL_arg6260z00_7944;
																																													BgL_valz00_1803
																																														=
																																														BgL_valz00_28081;
																																													BgL_lz00_1802
																																														=
																																														BgL_lz00_28080;
																																													goto
																																														BgL_tagzd2378zd2_1804;
																																												}
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_28079);
																																											}
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_28083;
																																											goto
																																												BgL_tagzd2379zd2_1805;
																																											BgL_auxz00_25577
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_28083);
																																										}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_28085;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_28085);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_28087;
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28087);
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_28095;
																																							goto
																																								BgL_tagzd2380zd2_1806;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28095);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6267z00_7952;
																																									obj_t
																																										BgL_arg6268z00_7953;
																																									BgL_arg6267z00_7952
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd248138zd2_7933));
																																									BgL_arg6268z00_7953
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd248138zd2_7933));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_28107;
																																										{
																																											obj_t
																																												BgL_exprz00_28109;
																																											obj_t
																																												BgL_bindingsz00_28108;
																																											BgL_bindingsz00_28108
																																												=
																																												BgL_arg6267z00_7952;
																																											BgL_exprz00_28109
																																												=
																																												BgL_arg6268z00_7953;
																																											BgL_exprz00_1808
																																												=
																																												BgL_exprz00_28109;
																																											BgL_bindingsz00_1807
																																												=
																																												BgL_bindingsz00_28108;
																																											goto
																																												BgL_tagzd2381zd2_1809;
																																										}
																																										BgL_auxz00_25577
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_28107);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd248266zd2_7954;
																																									BgL_carzd248266zd2_7954
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if (PAIRP(BgL_carzd248266zd2_7954))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_carzd248269zd2_7956;
																																											obj_t
																																												BgL_cdrzd248270zd2_7957;
																																											BgL_carzd248269zd2_7956
																																												=
																																												CAR
																																												(BgL_carzd248266zd2_7954);
																																											BgL_cdrzd248270zd2_7957
																																												=
																																												CDR
																																												(BgL_carzd248266zd2_7954);
																																											{

																																												if ((BgL_carzd248269zd2_7956 == ((obj_t) CNST_TABLE_REF(18))))
																																													{	/* Ast/sexp.scm 119 */
																																													BgL_kapzd248271zd2_7958:
																																														if (PAIRP(BgL_cdrzd248270zd2_7957))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd248274zd2_8080;
																																																BgL_cdrzd248274zd2_8080
																																																	=
																																																	CDR
																																																	(BgL_cdrzd248270zd2_7957);
																																																if (PAIRP(BgL_cdrzd248274zd2_8080))
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (NULLP(CDR(BgL_cdrzd248274zd2_8080)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6351z00_8084;
																																																				obj_t
																																																					BgL_arg6352z00_8085;
																																																				BgL_arg6351z00_8084
																																																					=
																																																					CAR
																																																					(BgL_cdrzd248274zd2_8080);
																																																				BgL_arg6352z00_8085
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_28132;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_28134;
																																																						obj_t
																																																							BgL_bodyz00_28133;
																																																						BgL_bodyz00_28133
																																																							=
																																																							BgL_arg6351z00_8084;
																																																						BgL_argsz00_28134
																																																							=
																																																							BgL_arg6352z00_8085;
																																																						BgL_argsz00_1811
																																																							=
																																																							BgL_argsz00_28134;
																																																						BgL_bodyz00_1810
																																																							=
																																																							BgL_bodyz00_28133;
																																																						goto
																																																							BgL_tagzd2382zd2_1812;
																																																					}
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28132);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd248298zd2_8086;
																																																				BgL_cdrzd248298zd2_8086
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test9982z00_28138;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6421z00_8197;
																																																						BgL_arg6421z00_8197
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test9982z00_28138
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6421z00_8197));
																																																					}
																																																					if (BgL_test9982z00_28138)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6355z00_8089;
																																																							obj_t
																																																								BgL_arg6356z00_8090;
																																																							BgL_arg6355z00_8089
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd248298zd2_8086));
																																																							BgL_arg6356z00_8090
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd248298zd2_8086));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_28147;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_28149;
																																																									obj_t
																																																										BgL_bindingsz00_28148;
																																																									BgL_bindingsz00_28148
																																																										=
																																																										BgL_arg6355z00_8089;
																																																									BgL_exprz00_28149
																																																										=
																																																										BgL_arg6356z00_8090;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_28149;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_28148;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_28147);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test9983z00_28151;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6420z00_8196;
																																																								BgL_arg6420z00_8196
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test9983z00_28151
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6420z00_8196));
																																																							}
																																																							if (BgL_test9983z00_28151)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_28156;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28156);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd248365zd2_8093;
																																																									BgL_carzd248365zd2_8093
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd248370zd2_8094;
																																																										BgL_cdrzd248370zd2_8094
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd248365zd2_8093));
																																																										if ((CAR(((obj_t) BgL_carzd248365zd2_8093)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg6361z00_8097;
																																																												obj_t
																																																													BgL_arg6362z00_8098;
																																																												obj_t
																																																													BgL_arg6363z00_8099;
																																																												BgL_arg6361z00_8097
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd248370zd2_8094));
																																																												BgL_arg6362z00_8098
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd248370zd2_8094));
																																																												BgL_arg6363z00_8099
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_28174;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_28177;
																																																														obj_t
																																																															BgL_bodyz00_28176;
																																																														obj_t
																																																															BgL_varsz00_28175;
																																																														BgL_varsz00_28175
																																																															=
																																																															BgL_arg6361z00_8097;
																																																														BgL_bodyz00_28176
																																																															=
																																																															BgL_arg6362z00_8098;
																																																														BgL_argsz00_28177
																																																															=
																																																															BgL_arg6363z00_8099;
																																																														BgL_argsz00_1824
																																																															=
																																																															BgL_argsz00_28177;
																																																														BgL_bodyz00_1823
																																																															=
																																																															BgL_bodyz00_28176;
																																																														BgL_varsz00_1822
																																																															=
																																																															BgL_varsz00_28175;
																																																														goto
																																																															BgL_tagzd2387zd2_1825;
																																																													}
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_28174);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd248393zd2_8101;
																																																												BgL_cdrzd248393zd2_8101
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd248399zd2_8102;
																																																													BgL_cdrzd248399zd2_8102
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd248365zd2_8093));
																																																													if ((CAR(((obj_t) BgL_carzd248365zd2_8093)) == ((obj_t) CNST_TABLE_REF(1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd248405zd2_8105;
																																																															BgL_cdrzd248405zd2_8105
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd248399zd2_8102));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd248410zd2_8106;
																																																																obj_t
																																																																	BgL_cdrzd248411zd2_8107;
																																																																BgL_carzd248410zd2_8106
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248405zd2_8105));
																																																																BgL_cdrzd248411zd2_8107
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd248405zd2_8105));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248410zd2_8106))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd248411zd2_8107))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd248418zd2_8110;
																																																																				BgL_carzd248418zd2_8110
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd248411zd2_8107);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248418zd2_8110))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd248411zd2_8107)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test9990z00_28205;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1402z00_8143;
																																																																									BgL_l1402z00_8143
																																																																										=
																																																																										BgL_cdrzd248393zd2_8101;
																																																																								BgL_zc3z04anonymousza36386ze3z87_8144:
																																																																									if (NULLP(BgL_l1402z00_8143))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test9990z00_28205
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test9992z00_28208;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test9993z00_28209;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_28210;
																																																																													BgL_tmpz00_28210
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1402z00_8143));
																																																																													BgL_test9993z00_28209
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_28210);
																																																																												}
																																																																												if (BgL_test9993z00_28209)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9992z00_28208
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test9992z00_28208
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test9992z00_28208)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1402z00_28214;
																																																																													BgL_l1402z00_28214
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1402z00_8143));
																																																																													BgL_l1402z00_8143
																																																																														=
																																																																														BgL_l1402z00_28214;
																																																																													goto
																																																																														BgL_zc3z04anonymousza36386ze3z87_8144;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test9990z00_28205
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test9990z00_28205)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg6376z00_8126;
																																																																										BgL_arg6376z00_8126
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd248399zd2_8102));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28219;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_28223;
																																																																												obj_t
																																																																													BgL_proc2z00_28222;
																																																																												obj_t
																																																																													BgL_proc1z00_28221;
																																																																												obj_t
																																																																													BgL_testz00_28220;
																																																																												BgL_testz00_28220
																																																																													=
																																																																													BgL_arg6376z00_8126;
																																																																												BgL_proc1z00_28221
																																																																													=
																																																																													BgL_carzd248410zd2_8106;
																																																																												BgL_proc2z00_28222
																																																																													=
																																																																													BgL_carzd248418zd2_8110;
																																																																												BgL_argsz00_28223
																																																																													=
																																																																													BgL_cdrzd248393zd2_8101;
																																																																												BgL_argsz00_1829
																																																																													=
																																																																													BgL_argsz00_28223;
																																																																												BgL_proc2z00_1828
																																																																													=
																																																																													BgL_proc2z00_28222;
																																																																												BgL_proc1z00_1827
																																																																													=
																																																																													BgL_proc1z00_28221;
																																																																												BgL_testz00_1826
																																																																													=
																																																																													BgL_testz00_28220;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1830;
																																																																											}
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28219);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd248442zd2_8127;
																																																																										BgL_cdrzd248442zd2_8127
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd248449zd2_8128;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_13685;
																																																																												BgL_pairz00_13685
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd248449zd2_8128
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_13685);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd248456zd2_8129;
																																																																												BgL_cdrzd248456zd2_8129
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd248449zd2_8128));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd248462zd2_8130;
																																																																													BgL_carzd248462zd2_8130
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd248456zd2_8129));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248462zd2_8130))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd248469zd2_8132;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13689;
																																																																																BgL_pairz00_13689
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd248456zd2_8129));
																																																																																BgL_carzd248469zd2_8132
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_13689);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248469zd2_8132))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248442zd2_8127))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6380z00_8135;
																																																																																			BgL_arg6380z00_8135
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd248449zd2_8128));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28245;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_28249;
																																																																																					obj_t
																																																																																						BgL_proc2z00_28248;
																																																																																					obj_t
																																																																																						BgL_proc1z00_28247;
																																																																																					obj_t
																																																																																						BgL_testz00_28246;
																																																																																					BgL_testz00_28246
																																																																																						=
																																																																																						BgL_arg6380z00_8135;
																																																																																					BgL_proc1z00_28247
																																																																																						=
																																																																																						BgL_carzd248462zd2_8130;
																																																																																					BgL_proc2z00_28248
																																																																																						=
																																																																																						BgL_carzd248469zd2_8132;
																																																																																					BgL_argsz00_28249
																																																																																						=
																																																																																						BgL_cdrzd248442zd2_8127;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_28249;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_28248;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_28247;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_28246;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28245);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_28253;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_28253);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_28257;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_28257);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28261;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28261);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_28265;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_28265);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd248745zd2_8154;
																																																																						BgL_cdrzd248745zd2_8154
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd248751zd2_8155;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_13693;
																																																																								BgL_pairz00_13693
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd248751zd2_8155
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_13693);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd248757zd2_8156;
																																																																								BgL_cdrzd248757zd2_8156
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd248751zd2_8155));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd248762zd2_8157;
																																																																									obj_t
																																																																										BgL_cdrzd248763zd2_8158;
																																																																									BgL_carzd248762zd2_8157
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd248757zd2_8156));
																																																																									BgL_cdrzd248763zd2_8158
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd248757zd2_8156));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248762zd2_8157))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd248768zd2_8160;
																																																																											BgL_carzd248768zd2_8160
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd248763zd2_8158));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd248768zd2_8160))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd248763zd2_8158))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd248745zd2_8154))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6395z00_8165;
																																																																																	BgL_arg6395z00_8165
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd248751zd2_8155));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28292;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_28296;
																																																																																			obj_t
																																																																																				BgL_proc2z00_28295;
																																																																																			obj_t
																																																																																				BgL_proc1z00_28294;
																																																																																			obj_t
																																																																																				BgL_testz00_28293;
																																																																																			BgL_testz00_28293
																																																																																				=
																																																																																				BgL_arg6395z00_8165;
																																																																																			BgL_proc1z00_28294
																																																																																				=
																																																																																				BgL_carzd248762zd2_8157;
																																																																																			BgL_proc2z00_28295
																																																																																				=
																																																																																				BgL_carzd248768zd2_8160;
																																																																																			BgL_argsz00_28296
																																																																																				=
																																																																																				BgL_cdrzd248745zd2_8154;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_28296;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_28295;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_28294;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_28293;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28292);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_28300;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_28300);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28304;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28304);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28308;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28308);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28312;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28312);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_28316;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_28316);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd249101zd2_8173;
																																																																		BgL_cdrzd249101zd2_8173
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd249108zd2_8174;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_13702;
																																																																				BgL_pairz00_13702
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd249108zd2_8174
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_13702);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd249115zd2_8175;
																																																																				BgL_cdrzd249115zd2_8175
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd249108zd2_8174));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd249121zd2_8176;
																																																																					obj_t
																																																																						BgL_cdrzd249122zd2_8177;
																																																																					BgL_carzd249121zd2_8176
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd249115zd2_8175));
																																																																					BgL_cdrzd249122zd2_8177
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd249115zd2_8175));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249121zd2_8176))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd249122zd2_8177))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd249129zd2_8180;
																																																																									BgL_carzd249129zd2_8180
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd249122zd2_8177);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd249129zd2_8180))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd249122zd2_8177)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd249101zd2_8173))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6409z00_8185;
																																																																															BgL_arg6409z00_8185
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd249108zd2_8174));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28343;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_28347;
																																																																																	obj_t
																																																																																		BgL_proc2z00_28346;
																																																																																	obj_t
																																																																																		BgL_proc1z00_28345;
																																																																																	obj_t
																																																																																		BgL_testz00_28344;
																																																																																	BgL_testz00_28344
																																																																																		=
																																																																																		BgL_arg6409z00_8185;
																																																																																	BgL_proc1z00_28345
																																																																																		=
																																																																																		BgL_carzd249121zd2_8176;
																																																																																	BgL_proc2z00_28346
																																																																																		=
																																																																																		BgL_carzd249129zd2_8180;
																																																																																	BgL_argsz00_28347
																																																																																		=
																																																																																		BgL_cdrzd249101zd2_8173;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_28347;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_28346;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_28345;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_28344;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28343);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28351;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28351);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28355;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28355);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_28359;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_28359);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28363;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28363);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_28367;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28367);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28371;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28371);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd249522zd2_8199;
																																																		BgL_cdrzd249522zd2_8199
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10021z00_28375;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6437z00_8216;
																																																				BgL_arg6437z00_8216
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10021z00_28375
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6437z00_8216));
																																																			}
																																																			if (BgL_test10021z00_28375)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6425z00_8202;
																																																					obj_t
																																																						BgL_arg6426z00_8203;
																																																					BgL_arg6425z00_8202
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd249522zd2_8199));
																																																					BgL_arg6426z00_8203
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd249522zd2_8199));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_28384;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_28386;
																																																							obj_t
																																																								BgL_bindingsz00_28385;
																																																							BgL_bindingsz00_28385
																																																								=
																																																								BgL_arg6425z00_8202;
																																																							BgL_exprz00_28386
																																																								=
																																																								BgL_arg6426z00_8203;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_28386;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_28385;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_28384);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10022z00_28388;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6436z00_8215;
																																																						BgL_arg6436z00_8215
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10022z00_28388
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6436z00_8215));
																																																					}
																																																					if (BgL_test10022z00_28388)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_28393;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28393);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd249588zd2_8206;
																																																							BgL_carzd249588zd2_8206
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd249593zd2_8207;
																																																								BgL_cdrzd249593zd2_8207
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd249588zd2_8206));
																																																								if ((CAR(((obj_t) BgL_carzd249588zd2_8206)) == ((obj_t) CNST_TABLE_REF(3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6431z00_8210;
																																																										obj_t
																																																											BgL_arg6432z00_8211;
																																																										obj_t
																																																											BgL_arg6433z00_8212;
																																																										BgL_arg6431z00_8210
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd249593zd2_8207));
																																																										BgL_arg6432z00_8211
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd249593zd2_8207));
																																																										BgL_arg6433z00_8212
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28411;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_28414;
																																																												obj_t
																																																													BgL_bodyz00_28413;
																																																												obj_t
																																																													BgL_varsz00_28412;
																																																												BgL_varsz00_28412
																																																													=
																																																													BgL_arg6431z00_8210;
																																																												BgL_bodyz00_28413
																																																													=
																																																													BgL_arg6432z00_8211;
																																																												BgL_argsz00_28414
																																																													=
																																																													BgL_arg6433z00_8212;
																																																												BgL_argsz00_1824
																																																													=
																																																													BgL_argsz00_28414;
																																																												BgL_bodyz00_1823
																																																													=
																																																													BgL_bodyz00_28413;
																																																												BgL_varsz00_1822
																																																													=
																																																													BgL_varsz00_28412;
																																																												goto
																																																													BgL_tagzd2387zd2_1825;
																																																											}
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28411);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_28418;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_28418);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd249704zd2_8217;
																																																BgL_cdrzd249704zd2_8217
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10025z00_28422;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6446z00_8226;
																																																		BgL_arg6446z00_8226
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10025z00_28422
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6446z00_8226));
																																																	}
																																																	if (BgL_test10025z00_28422)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6440z00_8220;
																																																			obj_t
																																																				BgL_arg6441z00_8221;
																																																			BgL_arg6440z00_8220
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd249704zd2_8217));
																																																			BgL_arg6441z00_8221
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd249704zd2_8217));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_28431;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_28433;
																																																					obj_t
																																																						BgL_bindingsz00_28432;
																																																					BgL_bindingsz00_28432
																																																						=
																																																						BgL_arg6440z00_8220;
																																																					BgL_exprz00_28433
																																																						=
																																																						BgL_arg6441z00_8221;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_28433;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_28432;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_28431);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10026z00_28435;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6445z00_8225;
																																																				BgL_arg6445z00_8225
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10026z00_28435
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6445z00_8225));
																																																			}
																																																			if (BgL_test10026z00_28435)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_28440;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28440);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1859;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_28444;
																																																							goto
																																																								BgL_tagzd2405zd2_1860;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28444);
																																																						}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248269zd2_7956)))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd248271zd2_7958;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd248269zd2_7956 == ((obj_t) CNST_TABLE_REF(19))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd248271zd2_7958;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((BgL_carzd248269zd2_7956 == ((obj_t) CNST_TABLE_REF(20))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd248271zd2_7958;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd248269zd2_7956)))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_kapzd248271zd2_7958;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd249876zd2_7961;
																																																						BgL_cdrzd249876zd2_7961
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test10032z00_28462;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6346z00_8078;
																																																								BgL_arg6346z00_8078
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test10032z00_28462
																																																									=
																																																									CBOOL
																																																									(BGl_letzd2symzf3z21zzast_letz00
																																																									(BgL_arg6346z00_8078));
																																																							}
																																																							if (BgL_test10032z00_28462)
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg6274z00_7964;
																																																									obj_t
																																																										BgL_arg6275z00_7965;
																																																									BgL_arg6274z00_7964
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd249876zd2_7961));
																																																									BgL_arg6275z00_7965
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd249876zd2_7961));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_28471;
																																																										{
																																																											obj_t
																																																												BgL_exprz00_28473;
																																																											obj_t
																																																												BgL_bindingsz00_28472;
																																																											BgL_bindingsz00_28472
																																																												=
																																																												BgL_arg6274z00_7964;
																																																											BgL_exprz00_28473
																																																												=
																																																												BgL_arg6275z00_7965;
																																																											BgL_exprz00_1814
																																																												=
																																																												BgL_exprz00_28473;
																																																											BgL_bindingsz00_1813
																																																												=
																																																												BgL_bindingsz00_28472;
																																																											goto
																																																												BgL_tagzd2383zd2_1815;
																																																										}
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_28471);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									bool_t
																																																										BgL_test10033z00_28475;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6345z00_8077;
																																																										BgL_arg6345z00_8077
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_test10033z00_28475
																																																											=
																																																											CBOOL
																																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																																											(BgL_arg6345z00_8077));
																																																									}
																																																									if (BgL_test10033z00_28475)
																																																										{
																																																											BgL_letzd2funzd2_bglt
																																																												BgL_auxz00_28480;
																																																											goto
																																																												BgL_tagzd2385zd2_1817;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28480);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd249942zd2_7968;
																																																											BgL_carzd249942zd2_7968
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd249947zd2_7969;
																																																												BgL_cdrzd249947zd2_7969
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_carzd249942zd2_7968));
																																																												if ((CAR(((obj_t) BgL_carzd249942zd2_7968)) == ((obj_t) CNST_TABLE_REF(3))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd249947zd2_7969))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg6281z00_7973;
																																																																obj_t
																																																																	BgL_arg6282z00_7974;
																																																																obj_t
																																																																	BgL_arg6283z00_7975;
																																																																BgL_arg6281z00_7973
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd249947zd2_7969);
																																																																BgL_arg6282z00_7974
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd249947zd2_7969);
																																																																BgL_arg6283z00_7975
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28498;
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_28501;
																																																																		obj_t
																																																																			BgL_bodyz00_28500;
																																																																		obj_t
																																																																			BgL_varsz00_28499;
																																																																		BgL_varsz00_28499
																																																																			=
																																																																			BgL_arg6281z00_7973;
																																																																		BgL_bodyz00_28500
																																																																			=
																																																																			BgL_arg6282z00_7974;
																																																																		BgL_argsz00_28501
																																																																			=
																																																																			BgL_arg6283z00_7975;
																																																																		BgL_argsz00_1824
																																																																			=
																																																																			BgL_argsz00_28501;
																																																																		BgL_bodyz00_1823
																																																																			=
																																																																			BgL_bodyz00_28500;
																																																																		BgL_varsz00_1822
																																																																			=
																																																																			BgL_varsz00_28499;
																																																																		goto
																																																																			BgL_tagzd2387zd2_1825;
																																																																	}
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28498);
																																																																}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_28505;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_28505);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd250054zd2_7978;
																																																														BgL_cdrzd250054zd2_7978
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd250059zd2_7979;
																																																															BgL_cdrzd250059zd2_7979
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd249942zd2_7968));
																																																															if ((CAR(((obj_t) BgL_carzd249942zd2_7968)) == ((obj_t) CNST_TABLE_REF(1))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd250059zd2_7979))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd250064zd2_7983;
																																																																			BgL_cdrzd250064zd2_7983
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd250059zd2_7979);
																																																																			if (PAIRP(BgL_cdrzd250064zd2_7983))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd250068zd2_7985;
																																																																					obj_t
																																																																						BgL_cdrzd250069zd2_7986;
																																																																					BgL_carzd250068zd2_7985
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd250064zd2_7983);
																																																																					BgL_cdrzd250069zd2_7986
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd250064zd2_7983);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250068zd2_7985))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd250069zd2_7986))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd250074zd2_7989;
																																																																									BgL_carzd250074zd2_7989
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd250069zd2_7986);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250074zd2_7989))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd250069zd2_7986)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test10044z00_28534;
																																																																													{
																																																																														obj_t
																																																																															BgL_l1405z00_8022;
																																																																														BgL_l1405z00_8022
																																																																															=
																																																																															BgL_cdrzd250054zd2_7978;
																																																																													BgL_zc3z04anonymousza36309ze3z87_8023:
																																																																														if (NULLP(BgL_l1405z00_8022))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test10044z00_28534
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	1);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																bool_t
																																																																																	BgL_test10046z00_28537;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	bool_t
																																																																																		BgL_test10047z00_28538;
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_tmpz00_28539;
																																																																																		BgL_tmpz00_28539
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_l1405z00_8022));
																																																																																		BgL_test10047z00_28538
																																																																																			=
																																																																																			PAIRP
																																																																																			(BgL_tmpz00_28539);
																																																																																	}
																																																																																	if (BgL_test10047z00_28538)
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test10046z00_28537
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				0);
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			BgL_test10046z00_28537
																																																																																				=
																																																																																				(
																																																																																				(bool_t)
																																																																																				1);
																																																																																		}
																																																																																}
																																																																																if (BgL_test10046z00_28537)
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_l1405z00_28543;
																																																																																		BgL_l1405z00_28543
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_l1405z00_8022));
																																																																																		BgL_l1405z00_8022
																																																																																			=
																																																																																			BgL_l1405z00_28543;
																																																																																		goto
																																																																																			BgL_zc3z04anonymousza36309ze3z87_8023;
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		BgL_test10044z00_28534
																																																																																			=
																																																																																			(
																																																																																			(bool_t)
																																																																																			0);
																																																																																	}
																																																																															}
																																																																													}
																																																																													if (BgL_test10044z00_28534)
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6299z00_8005;
																																																																															BgL_arg6299z00_8005
																																																																																=
																																																																																CAR
																																																																																(BgL_cdrzd250059zd2_7979);
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28547;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_28551;
																																																																																	obj_t
																																																																																		BgL_proc2z00_28550;
																																																																																	obj_t
																																																																																		BgL_proc1z00_28549;
																																																																																	obj_t
																																																																																		BgL_testz00_28548;
																																																																																	BgL_testz00_28548
																																																																																		=
																																																																																		BgL_arg6299z00_8005;
																																																																																	BgL_proc1z00_28549
																																																																																		=
																																																																																		BgL_carzd250068zd2_7985;
																																																																																	BgL_proc2z00_28550
																																																																																		=
																																																																																		BgL_carzd250074zd2_7989;
																																																																																	BgL_argsz00_28551
																																																																																		=
																																																																																		BgL_cdrzd250054zd2_7978;
																																																																																	BgL_argsz00_1829
																																																																																		=
																																																																																		BgL_argsz00_28551;
																																																																																	BgL_proc2z00_1828
																																																																																		=
																																																																																		BgL_proc2z00_28550;
																																																																																	BgL_proc1z00_1827
																																																																																		=
																																																																																		BgL_proc1z00_28549;
																																																																																	BgL_testz00_1826
																																																																																		=
																																																																																		BgL_testz00_28548;
																																																																																	goto
																																																																																		BgL_tagzd2388zd2_1830;
																																																																																}
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28547);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd250099zd2_8006;
																																																																															BgL_cdrzd250099zd2_8006
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd250107zd2_8007;
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_pairz00_13750;
																																																																																	BgL_pairz00_13750
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_expz00_21));
																																																																																	BgL_cdrzd250107zd2_8007
																																																																																		=
																																																																																		CDR
																																																																																		(BgL_pairz00_13750);
																																																																																}
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_cdrzd250115zd2_8008;
																																																																																	BgL_cdrzd250115zd2_8008
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd250107zd2_8007));
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd250122zd2_8009;
																																																																																		BgL_carzd250122zd2_8009
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd250115zd2_8008));
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250122zd2_8009))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_carzd250131zd2_8011;
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					obj_t
																																																																																						BgL_pairz00_13754;
																																																																																					BgL_pairz00_13754
																																																																																						=
																																																																																						CDR
																																																																																						(
																																																																																						((obj_t) BgL_cdrzd250115zd2_8008));
																																																																																					BgL_carzd250131zd2_8011
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_pairz00_13754);
																																																																																				}
																																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250131zd2_8011))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250099zd2_8006))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								obj_t
																																																																																									BgL_arg6303z00_8014;
																																																																																								BgL_arg6303z00_8014
																																																																																									=
																																																																																									CAR
																																																																																									(
																																																																																									((obj_t) BgL_cdrzd250107zd2_8007));
																																																																																								{
																																																																																									BgL_nodez00_bglt
																																																																																										BgL_auxz00_28573;
																																																																																									{
																																																																																										obj_t
																																																																																											BgL_argsz00_28577;
																																																																																										obj_t
																																																																																											BgL_proc2z00_28576;
																																																																																										obj_t
																																																																																											BgL_proc1z00_28575;
																																																																																										obj_t
																																																																																											BgL_testz00_28574;
																																																																																										BgL_testz00_28574
																																																																																											=
																																																																																											BgL_arg6303z00_8014;
																																																																																										BgL_proc1z00_28575
																																																																																											=
																																																																																											BgL_carzd250122zd2_8009;
																																																																																										BgL_proc2z00_28576
																																																																																											=
																																																																																											BgL_carzd250131zd2_8011;
																																																																																										BgL_argsz00_28577
																																																																																											=
																																																																																											BgL_cdrzd250099zd2_8006;
																																																																																										BgL_argsz00_1834
																																																																																											=
																																																																																											BgL_argsz00_28577;
																																																																																										BgL_proc2z00_1833
																																																																																											=
																																																																																											BgL_proc2z00_28576;
																																																																																										BgL_proc1z00_1832
																																																																																											=
																																																																																											BgL_proc1z00_28575;
																																																																																										BgL_testz00_1831
																																																																																											=
																																																																																											BgL_testz00_28574;
																																																																																										goto
																																																																																											BgL_tagzd2389zd2_1835;
																																																																																									}
																																																																																									BgL_auxz00_25577
																																																																																										=
																																																																																										(
																																																																																										(obj_t)
																																																																																										BgL_auxz00_28573);
																																																																																								}
																																																																																							}
																																																																																						else
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																									{	/* Ast/sexp.scm 119 */
																																																																																										goto
																																																																																											BgL_tagzd2404zd2_1859;
																																																																																									}
																																																																																								else
																																																																																									{
																																																																																										BgL_nodez00_bglt
																																																																																											BgL_auxz00_28581;
																																																																																										goto
																																																																																											BgL_tagzd2405zd2_1860;
																																																																																										BgL_auxz00_25577
																																																																																											=
																																																																																											(
																																																																																											(obj_t)
																																																																																											BgL_auxz00_28581);
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_28585;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_28585);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28589;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28589);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																}
																																																																															}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28593;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28593);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd250409zd2_8033;
																																																																											BgL_cdrzd250409zd2_8033
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd250416zd2_8034;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13758;
																																																																													BgL_pairz00_13758
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd250416zd2_8034
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13758);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd250423zd2_8035;
																																																																													BgL_cdrzd250423zd2_8035
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd250416zd2_8034));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd250429zd2_8036;
																																																																														obj_t
																																																																															BgL_cdrzd250430zd2_8037;
																																																																														BgL_carzd250429zd2_8036
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250423zd2_8035));
																																																																														BgL_cdrzd250430zd2_8037
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd250423zd2_8035));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250429zd2_8036))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd250437zd2_8039;
																																																																																BgL_carzd250437zd2_8039
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd250430zd2_8037));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250437zd2_8039))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd250430zd2_8037))))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250409zd2_8033))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6318z00_8044;
																																																																																						BgL_arg6318z00_8044
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd250416zd2_8034));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_28620;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_28624;
																																																																																								obj_t
																																																																																									BgL_proc2z00_28623;
																																																																																								obj_t
																																																																																									BgL_proc1z00_28622;
																																																																																								obj_t
																																																																																									BgL_testz00_28621;
																																																																																								BgL_testz00_28621
																																																																																									=
																																																																																									BgL_arg6318z00_8044;
																																																																																								BgL_proc1z00_28622
																																																																																									=
																																																																																									BgL_carzd250429zd2_8036;
																																																																																								BgL_proc2z00_28623
																																																																																									=
																																																																																									BgL_carzd250437zd2_8039;
																																																																																								BgL_argsz00_28624
																																																																																									=
																																																																																									BgL_cdrzd250409zd2_8033;
																																																																																								BgL_argsz00_1834
																																																																																									=
																																																																																									BgL_argsz00_28624;
																																																																																								BgL_proc2z00_1833
																																																																																									=
																																																																																									BgL_proc2z00_28623;
																																																																																								BgL_proc1z00_1832
																																																																																									=
																																																																																									BgL_proc1z00_28622;
																																																																																								BgL_testz00_1831
																																																																																									=
																																																																																									BgL_testz00_28621;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1835;
																																																																																							}
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_28620);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_28628;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_28628);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28632;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28632);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28636;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28636);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28640;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28640);
																																																																																	}
																																																																															}
																																																																													}
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_28644;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28644);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd250770zd2_8052;
																																																																							BgL_cdrzd250770zd2_8052
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd250776zd2_8053;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_13767;
																																																																									BgL_pairz00_13767
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd250776zd2_8053
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_13767);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd250782zd2_8054;
																																																																									BgL_cdrzd250782zd2_8054
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd250776zd2_8053));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd250787zd2_8055;
																																																																										obj_t
																																																																											BgL_cdrzd250788zd2_8056;
																																																																										BgL_carzd250787zd2_8055
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250782zd2_8054));
																																																																										BgL_cdrzd250788zd2_8056
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd250782zd2_8054));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250787zd2_8055))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (PAIRP(BgL_cdrzd250788zd2_8056))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd250793zd2_8059;
																																																																														BgL_carzd250793zd2_8059
																																																																															=
																																																																															CAR
																																																																															(BgL_cdrzd250788zd2_8056);
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd250793zd2_8059))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(BgL_cdrzd250788zd2_8056)))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd250770zd2_8052))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg6332z00_8064;
																																																																																				BgL_arg6332z00_8064
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd250776zd2_8053));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_28671;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_28675;
																																																																																						obj_t
																																																																																							BgL_proc2z00_28674;
																																																																																						obj_t
																																																																																							BgL_proc1z00_28673;
																																																																																						obj_t
																																																																																							BgL_testz00_28672;
																																																																																						BgL_testz00_28672
																																																																																							=
																																																																																							BgL_arg6332z00_8064;
																																																																																						BgL_proc1z00_28673
																																																																																							=
																																																																																							BgL_carzd250787zd2_8055;
																																																																																						BgL_proc2z00_28674
																																																																																							=
																																																																																							BgL_carzd250793zd2_8059;
																																																																																						BgL_argsz00_28675
																																																																																							=
																																																																																							BgL_cdrzd250770zd2_8052;
																																																																																						BgL_argsz00_1834
																																																																																							=
																																																																																							BgL_argsz00_28675;
																																																																																						BgL_proc2z00_1833
																																																																																							=
																																																																																							BgL_proc2z00_28674;
																																																																																						BgL_proc1z00_1832
																																																																																							=
																																																																																							BgL_proc1z00_28673;
																																																																																						BgL_testz00_1831
																																																																																							=
																																																																																							BgL_testz00_28672;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1835;
																																																																																					}
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_28671);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_28679;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_28679);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_28683;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_28683);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_28687;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_28687);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_28691;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_28691);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_28695;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_28695);
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28699;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28699);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28703;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28703);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_28707;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_28707);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																											}
																																																										}
																																																								}
																																																						}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd251331zd2_8228;
																																											BgL_cdrzd251331zd2_8228
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											if ((BgL_carzd248266zd2_7954 == ((obj_t) CNST_TABLE_REF(18))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6447z00_8229;
																																													obj_t
																																														BgL_arg6448z00_8230;
																																													BgL_arg6447z00_8229
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd251331zd2_8228));
																																													BgL_arg6448z00_8230
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd251331zd2_8228));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_28719;
																																														{
																																															obj_t
																																																BgL_exprz00_28721;
																																															obj_t
																																																BgL_bindingsz00_28720;
																																															BgL_bindingsz00_28720
																																																=
																																																BgL_arg6447z00_8229;
																																															BgL_exprz00_28721
																																																=
																																																BgL_arg6448z00_8230;
																																															BgL_exprz00_1814
																																																=
																																																BgL_exprz00_28721;
																																															BgL_bindingsz00_1813
																																																=
																																																BgL_bindingsz00_28720;
																																															goto
																																																BgL_tagzd2383zd2_1815;
																																														}
																																														BgL_auxz00_25577
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_28719);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd248266zd2_7954)))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6450z00_8232;
																																															obj_t
																																																BgL_arg6451z00_8233;
																																															BgL_arg6450z00_8232
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd251331zd2_8228));
																																															BgL_arg6451z00_8233
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd251331zd2_8228));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_28730;
																																																{
																																																	obj_t
																																																		BgL_exprz00_28732;
																																																	obj_t
																																																		BgL_bindingsz00_28731;
																																																	BgL_bindingsz00_28731
																																																		=
																																																		BgL_arg6450z00_8232;
																																																	BgL_exprz00_28732
																																																		=
																																																		BgL_arg6451z00_8233;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_28732;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_28731;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_28730);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((BgL_carzd248266zd2_7954 == ((obj_t) CNST_TABLE_REF(19))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6452z00_8234;
																																																	obj_t
																																																		BgL_arg6453z00_8235;
																																																	BgL_arg6452z00_8234
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd251331zd2_8228));
																																																	BgL_arg6453z00_8235
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd251331zd2_8228));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_28742;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_28744;
																																																			obj_t
																																																				BgL_bindingsz00_28743;
																																																			BgL_bindingsz00_28743
																																																				=
																																																				BgL_arg6452z00_8234;
																																																			BgL_exprz00_28744
																																																				=
																																																				BgL_arg6453z00_8235;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_28744;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_28743;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_28742);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28752;
																																																			goto
																																																				BgL_tagzd2384zd2_1816;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28752);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd251368zd2_8238;
																																																			BgL_carzd251368zd2_8238
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			if ((BgL_carzd251368zd2_8238 == ((obj_t) CNST_TABLE_REF(20))))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_28760;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_28760);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251368zd2_8238)))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_28765;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_28765);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_28773;
																																																									goto
																																																										BgL_tagzd2390zd2_1836;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_28773);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_28781;
																																																											goto
																																																												BgL_tagzd2391zd2_1837;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_28781);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd251448zd2_8244;
																																																											BgL_cdrzd251448zd2_8244
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_arg6463z00_8247;
																																																													obj_t
																																																														BgL_arg6464z00_8248;
																																																													BgL_arg6463z00_8247
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd251448zd2_8244));
																																																													BgL_arg6464z00_8248
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251448zd2_8244));
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_28795;
																																																														{
																																																															obj_t
																																																																BgL_restz00_28797;
																																																															obj_t
																																																																BgL_effectz00_28796;
																																																															BgL_effectz00_28796
																																																																=
																																																																BgL_arg6463z00_8247;
																																																															BgL_restz00_28797
																																																																=
																																																																BgL_arg6464z00_8248;
																																																															BgL_restz00_1839
																																																																=
																																																																BgL_restz00_28797;
																																																															BgL_effectz00_1838
																																																																=
																																																																BgL_effectz00_28796;
																																																															goto
																																																																BgL_tagzd2392zd2_1840;
																																																														}
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_28795);
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_28805;
																																																															goto
																																																																BgL_tagzd2393zd2_1841;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_28805);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_28813;
																																																																	goto
																																																																		BgL_tagzd2394zd2_1842;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_28813);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg6471z00_8256;
																																																																			obj_t
																																																																				BgL_arg6472z00_8257;
																																																																			BgL_arg6471z00_8256
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251448zd2_8244));
																																																																			BgL_arg6472z00_8257
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd251448zd2_8244));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_28825;
																																																																				{
																																																																					obj_t
																																																																						BgL_restz00_28827;
																																																																					obj_t
																																																																						BgL_effectz00_28826;
																																																																					BgL_effectz00_28826
																																																																						=
																																																																						BgL_arg6471z00_8256;
																																																																					BgL_restz00_28827
																																																																						=
																																																																						BgL_arg6472z00_8257;
																																																																					BgL_restz00_1844
																																																																						=
																																																																						BgL_restz00_28827;
																																																																					BgL_effectz00_1843
																																																																						=
																																																																						BgL_effectz00_28826;
																																																																					goto
																																																																						BgL_tagzd2395zd2_1845;
																																																																				}
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_28825);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_28835;
																																																																					goto
																																																																						BgL_tagzd2396zd2_1846;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_28835);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_28843;
																																																																							goto
																																																																								BgL_tagzd2397zd2_1847;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_28843);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																								{
																																																																									BgL_letzd2funzd2_bglt
																																																																										BgL_auxz00_28851;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1848;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_28851);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																										{
																																																																											BgL_jumpzd2exzd2itz00_bglt
																																																																												BgL_auxz00_28859;
																																																																											goto
																																																																												BgL_tagzd2399zd2_1849;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_28859);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													bool_t
																																																																														BgL_test10094z00_28867;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_tmpz00_28868;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13803;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_13802;
																																																																																BgL_pairz00_13802
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																BgL_pairz00_13803
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_pairz00_13802);
																																																																															}
																																																																															BgL_tmpz00_28868
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13803);
																																																																														}
																																																																														BgL_test10094z00_28867
																																																																															=
																																																																															NULLP
																																																																															(BgL_tmpz00_28868);
																																																																													}
																																																																													if (BgL_test10094z00_28867)
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_28874;
																																																																															goto
																																																																																BgL_tagzd2400zd2_1850;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_28874);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28878;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28878);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd251541zd2_8276;
																																																																													BgL_cdrzd251541zd2_8276
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6493z00_8279;
																																																																															obj_t
																																																																																BgL_arg6494z00_8280;
																																																																															BgL_arg6493z00_8279
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd251541zd2_8276));
																																																																															BgL_arg6494z00_8280
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd251541zd2_8276));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7648z00_13808;
																																																																																BgL_arg7648z00_13808
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_arg6493z00_8279,
																																																																																		((obj_t) CNST_TABLE_REF(4)), BgL_arg6494z00_8280, BgL_stackz00_22, BgL_arg7648z00_13808, BgL_sitez00_24));
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_28899;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_28899);
																																																																																}
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													obj_t
																														BgL_carzd251566zd2_8298;
																													BgL_carzd251566zd2_8298
																														=
																														CAR(((obj_t)
																															BgL_expz00_21));
																													if (
																														(BgL_carzd251566zd2_8298
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(1))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_28907;
																															goto
																																BgL_tagzd2377zd2_1801;
																															BgL_auxz00_25577 =
																																((obj_t)
																																BgL_auxz00_28907);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(BgL_carzd251566zd2_8298
																																	==
																																	BGl_za2ifza2z00zzast_sexpz00))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_28911;
																																	goto
																																		BgL_tagzd2377zd2_1801;
																																	BgL_auxz00_25577
																																		=
																																		((obj_t)
																																		BgL_auxz00_28911);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_cdrzd251588zd2_8300;
																																	BgL_cdrzd251588zd2_8300
																																		=
																																		CDR(((obj_t)
																																			BgL_expz00_21));
																																	if ((CAR((
																																					(obj_t)
																																					BgL_expz00_21))
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(7))))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd251591zd2_8303;
																																			obj_t
																																				BgL_cdrzd251592zd2_8304;
																																			BgL_carzd251591zd2_8303
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_cdrzd251588zd2_8300));
																																			BgL_cdrzd251592zd2_8304
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_cdrzd251588zd2_8300));
																																			if (PAIRP
																																				(BgL_carzd251591zd2_8303))
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(BgL_carzd251591zd2_8303)
																																							==
																																							((obj_t) CNST_TABLE_REF(14))))
																																						{	/* Ast/sexp.scm 119 */
																																							if (NULLP(CDR(((obj_t) BgL_cdrzd251592zd2_8304))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg6520z00_8310;
																																									obj_t
																																										BgL_arg6521z00_8311;
																																									BgL_arg6520z00_8310
																																										=
																																										CDR
																																										(BgL_carzd251591zd2_8303);
																																									BgL_arg6521z00_8311
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd251592zd2_8304));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_28939;
																																										{
																																											obj_t
																																												BgL_valz00_28941;
																																											obj_t
																																												BgL_lz00_28940;
																																											BgL_lz00_28940
																																												=
																																												BgL_arg6520z00_8310;
																																											BgL_valz00_28941
																																												=
																																												BgL_arg6521z00_8311;
																																											BgL_valz00_1803
																																												=
																																												BgL_valz00_28941;
																																											BgL_lz00_1802
																																												=
																																												BgL_lz00_28940;
																																											goto
																																												BgL_tagzd2378zd2_1804;
																																										}
																																										BgL_auxz00_25577
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_28939);
																																									}
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_28943;
																																									goto
																																										BgL_tagzd2379zd2_1805;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_28943);
																																								}
																																						}
																																					else
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_28945;
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_28945);
																																						}
																																				}
																																			else
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_28947;
																																					goto
																																						BgL_tagzd2379zd2_1805;
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_28947);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(CAR(
																																						((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(16))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_28955;
																																					goto
																																						BgL_tagzd2380zd2_1806;
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_28955);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (
																																						(CAR
																																							(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(17))))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_arg6528z00_8319;
																																							obj_t
																																								BgL_arg6529z00_8320;
																																							BgL_arg6528z00_8319
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_cdrzd251588zd2_8300));
																																							BgL_arg6529z00_8320
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd251588zd2_8300));
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_28967;
																																								{
																																									obj_t
																																										BgL_exprz00_28969;
																																									obj_t
																																										BgL_bindingsz00_28968;
																																									BgL_bindingsz00_28968
																																										=
																																										BgL_arg6528z00_8319;
																																									BgL_exprz00_28969
																																										=
																																										BgL_arg6529z00_8320;
																																									BgL_exprz00_1808
																																										=
																																										BgL_exprz00_28969;
																																									BgL_bindingsz00_1807
																																										=
																																										BgL_bindingsz00_28968;
																																									goto
																																										BgL_tagzd2381zd2_1809;
																																								}
																																								BgL_auxz00_25577
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_28967);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd251716zd2_8321;
																																							BgL_carzd251716zd2_8321
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd251716zd2_8321))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_carzd251719zd2_8323;
																																									obj_t
																																										BgL_cdrzd251720zd2_8324;
																																									BgL_carzd251719zd2_8323
																																										=
																																										CAR
																																										(BgL_carzd251716zd2_8321);
																																									BgL_cdrzd251720zd2_8324
																																										=
																																										CDR
																																										(BgL_carzd251716zd2_8321);
																																									{

																																										if ((BgL_carzd251719zd2_8323 == ((obj_t) CNST_TABLE_REF(18))))
																																											{	/* Ast/sexp.scm 119 */
																																											BgL_kapzd251721zd2_8325:
																																												if (PAIRP(BgL_cdrzd251720zd2_8324))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd251724zd2_8447;
																																														BgL_cdrzd251724zd2_8447
																																															=
																																															CDR
																																															(BgL_cdrzd251720zd2_8324);
																																														if (PAIRP(BgL_cdrzd251724zd2_8447))
																																															{	/* Ast/sexp.scm 119 */
																																																if (NULLP(CDR(BgL_cdrzd251724zd2_8447)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6612z00_8451;
																																																		obj_t
																																																			BgL_arg6613z00_8452;
																																																		BgL_arg6612z00_8451
																																																			=
																																																			CAR
																																																			(BgL_cdrzd251724zd2_8447);
																																																		BgL_arg6613z00_8452
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_28992;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_28994;
																																																				obj_t
																																																					BgL_bodyz00_28993;
																																																				BgL_bodyz00_28993
																																																					=
																																																					BgL_arg6612z00_8451;
																																																				BgL_argsz00_28994
																																																					=
																																																					BgL_arg6613z00_8452;
																																																				BgL_argsz00_1811
																																																					=
																																																					BgL_argsz00_28994;
																																																				BgL_bodyz00_1810
																																																					=
																																																					BgL_bodyz00_28993;
																																																				goto
																																																					BgL_tagzd2382zd2_1812;
																																																			}
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_28992);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd251748zd2_8453;
																																																		BgL_cdrzd251748zd2_8453
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10111z00_28998;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6682z00_8564;
																																																				BgL_arg6682z00_8564
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10111z00_28998
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6682z00_8564));
																																																			}
																																																			if (BgL_test10111z00_28998)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6616z00_8456;
																																																					obj_t
																																																						BgL_arg6617z00_8457;
																																																					BgL_arg6616z00_8456
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd251748zd2_8453));
																																																					BgL_arg6617z00_8457
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd251748zd2_8453));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_29007;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_29009;
																																																							obj_t
																																																								BgL_bindingsz00_29008;
																																																							BgL_bindingsz00_29008
																																																								=
																																																								BgL_arg6616z00_8456;
																																																							BgL_exprz00_29009
																																																								=
																																																								BgL_arg6617z00_8457;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_29009;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_29008;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_29007);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10112z00_29011;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6681z00_8563;
																																																						BgL_arg6681z00_8563
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10112z00_29011
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6681z00_8563));
																																																					}
																																																					if (BgL_test10112z00_29011)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_29016;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29016);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd251815zd2_8460;
																																																							BgL_carzd251815zd2_8460
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd251820zd2_8461;
																																																								BgL_cdrzd251820zd2_8461
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd251815zd2_8460));
																																																								if ((CAR(((obj_t) BgL_carzd251815zd2_8460)) == ((obj_t) CNST_TABLE_REF(3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_arg6622z00_8464;
																																																										obj_t
																																																											BgL_arg6623z00_8465;
																																																										obj_t
																																																											BgL_arg6624z00_8466;
																																																										BgL_arg6622z00_8464
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd251820zd2_8461));
																																																										BgL_arg6623z00_8465
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd251820zd2_8461));
																																																										BgL_arg6624z00_8466
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_29034;
																																																											{
																																																												obj_t
																																																													BgL_argsz00_29037;
																																																												obj_t
																																																													BgL_bodyz00_29036;
																																																												obj_t
																																																													BgL_varsz00_29035;
																																																												BgL_varsz00_29035
																																																													=
																																																													BgL_arg6622z00_8464;
																																																												BgL_bodyz00_29036
																																																													=
																																																													BgL_arg6623z00_8465;
																																																												BgL_argsz00_29037
																																																													=
																																																													BgL_arg6624z00_8466;
																																																												BgL_argsz00_1824
																																																													=
																																																													BgL_argsz00_29037;
																																																												BgL_bodyz00_1823
																																																													=
																																																													BgL_bodyz00_29036;
																																																												BgL_varsz00_1822
																																																													=
																																																													BgL_varsz00_29035;
																																																												goto
																																																													BgL_tagzd2387zd2_1825;
																																																											}
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_29034);
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd251843zd2_8468;
																																																										BgL_cdrzd251843zd2_8468
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd251849zd2_8469;
																																																											BgL_cdrzd251849zd2_8469
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd251815zd2_8460));
																																																											if ((CAR(((obj_t) BgL_carzd251815zd2_8460)) == ((obj_t) CNST_TABLE_REF(1))))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd251855zd2_8472;
																																																													BgL_cdrzd251855zd2_8472
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd251849zd2_8469));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd251860zd2_8473;
																																																														obj_t
																																																															BgL_cdrzd251861zd2_8474;
																																																														BgL_carzd251860zd2_8473
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd251855zd2_8472));
																																																														BgL_cdrzd251861zd2_8474
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd251855zd2_8472));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251860zd2_8473))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd251861zd2_8474))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd251868zd2_8477;
																																																																		BgL_carzd251868zd2_8477
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd251861zd2_8474);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251868zd2_8477))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd251861zd2_8474)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10119z00_29065;
																																																																						{
																																																																							obj_t
																																																																								BgL_l1408z00_8510;
																																																																							BgL_l1408z00_8510
																																																																								=
																																																																								BgL_cdrzd251843zd2_8468;
																																																																						BgL_zc3z04anonymousza36647ze3z87_8511:
																																																																							if (NULLP(BgL_l1408z00_8510))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10119z00_29065
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test10121z00_29068;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										bool_t
																																																																											BgL_test10122z00_29069;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_tmpz00_29070;
																																																																											BgL_tmpz00_29070
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_l1408z00_8510));
																																																																											BgL_test10122z00_29069
																																																																												=
																																																																												PAIRP
																																																																												(BgL_tmpz00_29070);
																																																																										}
																																																																										if (BgL_test10122z00_29069)
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test10121z00_29068
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													0);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												BgL_test10121z00_29068
																																																																													=
																																																																													(
																																																																													(bool_t)
																																																																													1);
																																																																											}
																																																																									}
																																																																									if (BgL_test10121z00_29068)
																																																																										{
																																																																											obj_t
																																																																												BgL_l1408z00_29074;
																																																																											BgL_l1408z00_29074
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_l1408z00_8510));
																																																																											BgL_l1408z00_8510
																																																																												=
																																																																												BgL_l1408z00_29074;
																																																																											goto
																																																																												BgL_zc3z04anonymousza36647ze3z87_8511;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10119z00_29065
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																								}
																																																																						}
																																																																						if (BgL_test10119z00_29065)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg6637z00_8493;
																																																																								BgL_arg6637z00_8493
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd251849zd2_8469));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29079;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_29083;
																																																																										obj_t
																																																																											BgL_proc2z00_29082;
																																																																										obj_t
																																																																											BgL_proc1z00_29081;
																																																																										obj_t
																																																																											BgL_testz00_29080;
																																																																										BgL_testz00_29080
																																																																											=
																																																																											BgL_arg6637z00_8493;
																																																																										BgL_proc1z00_29081
																																																																											=
																																																																											BgL_carzd251860zd2_8473;
																																																																										BgL_proc2z00_29082
																																																																											=
																																																																											BgL_carzd251868zd2_8477;
																																																																										BgL_argsz00_29083
																																																																											=
																																																																											BgL_cdrzd251843zd2_8468;
																																																																										BgL_argsz00_1829
																																																																											=
																																																																											BgL_argsz00_29083;
																																																																										BgL_proc2z00_1828
																																																																											=
																																																																											BgL_proc2z00_29082;
																																																																										BgL_proc1z00_1827
																																																																											=
																																																																											BgL_proc1z00_29081;
																																																																										BgL_testz00_1826
																																																																											=
																																																																											BgL_testz00_29080;
																																																																										goto
																																																																											BgL_tagzd2388zd2_1830;
																																																																									}
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29079);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd251892zd2_8494;
																																																																								BgL_cdrzd251892zd2_8494
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd251899zd2_8495;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_13855;
																																																																										BgL_pairz00_13855
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd251899zd2_8495
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_13855);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd251906zd2_8496;
																																																																										BgL_cdrzd251906zd2_8496
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd251899zd2_8495));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd251912zd2_8497;
																																																																											BgL_carzd251912zd2_8497
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd251906zd2_8496));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251912zd2_8497))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd251919zd2_8499;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13859;
																																																																														BgL_pairz00_13859
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd251906zd2_8496));
																																																																														BgL_carzd251919zd2_8499
																																																																															=
																																																																															CAR
																																																																															(BgL_pairz00_13859);
																																																																													}
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd251919zd2_8499))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd251892zd2_8494))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6641z00_8502;
																																																																																	BgL_arg6641z00_8502
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd251899zd2_8495));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29105;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_29109;
																																																																																			obj_t
																																																																																				BgL_proc2z00_29108;
																																																																																			obj_t
																																																																																				BgL_proc1z00_29107;
																																																																																			obj_t
																																																																																				BgL_testz00_29106;
																																																																																			BgL_testz00_29106
																																																																																				=
																																																																																				BgL_arg6641z00_8502;
																																																																																			BgL_proc1z00_29107
																																																																																				=
																																																																																				BgL_carzd251912zd2_8497;
																																																																																			BgL_proc2z00_29108
																																																																																				=
																																																																																				BgL_carzd251919zd2_8499;
																																																																																			BgL_argsz00_29109
																																																																																				=
																																																																																				BgL_cdrzd251892zd2_8494;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_29109;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_29108;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_29107;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_29106;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29105);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_29113;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_29113);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29117;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29117);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29121;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29121);
																																																																														}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_29125;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_29125);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd252195zd2_8521;
																																																																				BgL_cdrzd252195zd2_8521
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd252201zd2_8522;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_13863;
																																																																						BgL_pairz00_13863
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd252201zd2_8522
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_13863);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd252207zd2_8523;
																																																																						BgL_cdrzd252207zd2_8523
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd252201zd2_8522));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd252212zd2_8524;
																																																																							obj_t
																																																																								BgL_cdrzd252213zd2_8525;
																																																																							BgL_carzd252212zd2_8524
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd252207zd2_8523));
																																																																							BgL_cdrzd252213zd2_8525
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd252207zd2_8523));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252212zd2_8524))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd252218zd2_8527;
																																																																									BgL_carzd252218zd2_8527
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd252213zd2_8525));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252218zd2_8527))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(((obj_t) BgL_cdrzd252213zd2_8525))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252195zd2_8521))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6656z00_8532;
																																																																															BgL_arg6656z00_8532
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd252201zd2_8522));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29152;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_29156;
																																																																																	obj_t
																																																																																		BgL_proc2z00_29155;
																																																																																	obj_t
																																																																																		BgL_proc1z00_29154;
																																																																																	obj_t
																																																																																		BgL_testz00_29153;
																																																																																	BgL_testz00_29153
																																																																																		=
																																																																																		BgL_arg6656z00_8532;
																																																																																	BgL_proc1z00_29154
																																																																																		=
																																																																																		BgL_carzd252212zd2_8524;
																																																																																	BgL_proc2z00_29155
																																																																																		=
																																																																																		BgL_carzd252218zd2_8527;
																																																																																	BgL_argsz00_29156
																																																																																		=
																																																																																		BgL_cdrzd252195zd2_8521;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_29156;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_29155;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_29154;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_29153;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29152);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29160;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29160);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29164;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29164);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29168;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29168);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29172;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29172);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_29176;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_29176);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd252551zd2_8540;
																																																																BgL_cdrzd252551zd2_8540
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd252558zd2_8541;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_13872;
																																																																		BgL_pairz00_13872
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd252558zd2_8541
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_13872);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd252565zd2_8542;
																																																																		BgL_cdrzd252565zd2_8542
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd252558zd2_8541));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd252571zd2_8543;
																																																																			obj_t
																																																																				BgL_cdrzd252572zd2_8544;
																																																																			BgL_carzd252571zd2_8543
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd252565zd2_8542));
																																																																			BgL_cdrzd252572zd2_8544
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd252565zd2_8542));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252571zd2_8543))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd252572zd2_8544))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd252579zd2_8547;
																																																																							BgL_carzd252579zd2_8547
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd252572zd2_8544);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd252579zd2_8547))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd252572zd2_8544)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd252551zd2_8540))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6670z00_8552;
																																																																													BgL_arg6670z00_8552
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd252558zd2_8541));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29203;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29207;
																																																																															obj_t
																																																																																BgL_proc2z00_29206;
																																																																															obj_t
																																																																																BgL_proc1z00_29205;
																																																																															obj_t
																																																																																BgL_testz00_29204;
																																																																															BgL_testz00_29204
																																																																																=
																																																																																BgL_arg6670z00_8552;
																																																																															BgL_proc1z00_29205
																																																																																=
																																																																																BgL_carzd252571zd2_8543;
																																																																															BgL_proc2z00_29206
																																																																																=
																																																																																BgL_carzd252579zd2_8547;
																																																																															BgL_argsz00_29207
																																																																																=
																																																																																BgL_cdrzd252551zd2_8540;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_29207;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_29206;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_29205;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_29204;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29203);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29211;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29211);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29215;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29215);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_29219;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_29219);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29223;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29223);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_29227;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29227);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29231;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29231);
																																																														}
																																																												}
																																																										}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd252972zd2_8566;
																																																BgL_cdrzd252972zd2_8566
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10150z00_29235;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6698z00_8583;
																																																		BgL_arg6698z00_8583
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10150z00_29235
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6698z00_8583));
																																																	}
																																																	if (BgL_test10150z00_29235)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6686z00_8569;
																																																			obj_t
																																																				BgL_arg6687z00_8570;
																																																			BgL_arg6686z00_8569
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd252972zd2_8566));
																																																			BgL_arg6687z00_8570
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd252972zd2_8566));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_29244;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_29246;
																																																					obj_t
																																																						BgL_bindingsz00_29245;
																																																					BgL_bindingsz00_29245
																																																						=
																																																						BgL_arg6686z00_8569;
																																																					BgL_exprz00_29246
																																																						=
																																																						BgL_arg6687z00_8570;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_29246;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_29245;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_29244);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10151z00_29248;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6697z00_8582;
																																																				BgL_arg6697z00_8582
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10151z00_29248
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6697z00_8582));
																																																			}
																																																			if (BgL_test10151z00_29248)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_29253;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29253);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd253038zd2_8573;
																																																					BgL_carzd253038zd2_8573
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd253043zd2_8574;
																																																						BgL_cdrzd253043zd2_8574
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd253038zd2_8573));
																																																						if ((CAR(((obj_t) BgL_carzd253038zd2_8573)) == ((obj_t) CNST_TABLE_REF(3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6692z00_8577;
																																																								obj_t
																																																									BgL_arg6693z00_8578;
																																																								obj_t
																																																									BgL_arg6694z00_8579;
																																																								BgL_arg6692z00_8577
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd253043zd2_8574));
																																																								BgL_arg6693z00_8578
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd253043zd2_8574));
																																																								BgL_arg6694z00_8579
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_29271;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_29274;
																																																										obj_t
																																																											BgL_bodyz00_29273;
																																																										obj_t
																																																											BgL_varsz00_29272;
																																																										BgL_varsz00_29272
																																																											=
																																																											BgL_arg6692z00_8577;
																																																										BgL_bodyz00_29273
																																																											=
																																																											BgL_arg6693z00_8578;
																																																										BgL_argsz00_29274
																																																											=
																																																											BgL_arg6694z00_8579;
																																																										BgL_argsz00_1824
																																																											=
																																																											BgL_argsz00_29274;
																																																										BgL_bodyz00_1823
																																																											=
																																																											BgL_bodyz00_29273;
																																																										BgL_varsz00_1822
																																																											=
																																																											BgL_varsz00_29272;
																																																										goto
																																																											BgL_tagzd2387zd2_1825;
																																																									}
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29271);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_29278;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_29278);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd253154zd2_8584;
																																														BgL_cdrzd253154zd2_8584
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10154z00_29282;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6707z00_8593;
																																																BgL_arg6707z00_8593
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10154z00_29282
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg6707z00_8593));
																																															}
																																															if (BgL_test10154z00_29282)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6701z00_8587;
																																																	obj_t
																																																		BgL_arg6702z00_8588;
																																																	BgL_arg6701z00_8587
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd253154zd2_8584));
																																																	BgL_arg6702z00_8588
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd253154zd2_8584));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_29291;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_29293;
																																																			obj_t
																																																				BgL_bindingsz00_29292;
																																																			BgL_bindingsz00_29292
																																																				=
																																																				BgL_arg6701z00_8587;
																																																			BgL_exprz00_29293
																																																				=
																																																				BgL_arg6702z00_8588;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_29293;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_29292;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_29291);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10155z00_29295;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6706z00_8592;
																																																		BgL_arg6706z00_8592
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10155z00_29295
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg6706z00_8592));
																																																	}
																																																	if (BgL_test10155z00_29295)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_29300;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29300);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1859;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_29304;
																																																					goto
																																																						BgL_tagzd2405zd2_1860;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29304);
																																																				}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251719zd2_8323)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd251721zd2_8325;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd251719zd2_8323 == ((obj_t) CNST_TABLE_REF(19))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd251721zd2_8325;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((BgL_carzd251719zd2_8323 == ((obj_t) CNST_TABLE_REF(20))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd251721zd2_8325;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd251719zd2_8323)))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_kapzd251721zd2_8325;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd253326zd2_8328;
																																																				BgL_cdrzd253326zd2_8328
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10161z00_29322;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6607z00_8445;
																																																						BgL_arg6607z00_8445
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10161z00_29322
																																																							=
																																																							CBOOL
																																																							(BGl_letzd2symzf3z21zzast_letz00
																																																							(BgL_arg6607z00_8445));
																																																					}
																																																					if (BgL_test10161z00_29322)
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg6535z00_8331;
																																																							obj_t
																																																								BgL_arg6536z00_8332;
																																																							BgL_arg6535z00_8331
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd253326zd2_8328));
																																																							BgL_arg6536z00_8332
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd253326zd2_8328));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_29331;
																																																								{
																																																									obj_t
																																																										BgL_exprz00_29333;
																																																									obj_t
																																																										BgL_bindingsz00_29332;
																																																									BgL_bindingsz00_29332
																																																										=
																																																										BgL_arg6535z00_8331;
																																																									BgL_exprz00_29333
																																																										=
																																																										BgL_arg6536z00_8332;
																																																									BgL_exprz00_1814
																																																										=
																																																										BgL_exprz00_29333;
																																																									BgL_bindingsz00_1813
																																																										=
																																																										BgL_bindingsz00_29332;
																																																									goto
																																																										BgL_tagzd2383zd2_1815;
																																																								}
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_29331);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							bool_t
																																																								BgL_test10162z00_29335;
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6606z00_8444;
																																																								BgL_arg6606z00_8444
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								BgL_test10162z00_29335
																																																									=
																																																									CBOOL
																																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																																									(BgL_arg6606z00_8444));
																																																							}
																																																							if (BgL_test10162z00_29335)
																																																								{
																																																									BgL_letzd2funzd2_bglt
																																																										BgL_auxz00_29340;
																																																									goto
																																																										BgL_tagzd2385zd2_1817;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29340);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd253392zd2_8335;
																																																									BgL_carzd253392zd2_8335
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd253397zd2_8336;
																																																										BgL_cdrzd253397zd2_8336
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd253392zd2_8335));
																																																										if ((CAR(((obj_t) BgL_carzd253392zd2_8335)) == ((obj_t) CNST_TABLE_REF(3))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd253397zd2_8336))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg6542z00_8340;
																																																														obj_t
																																																															BgL_arg6543z00_8341;
																																																														obj_t
																																																															BgL_arg6544z00_8342;
																																																														BgL_arg6542z00_8340
																																																															=
																																																															CAR
																																																															(BgL_cdrzd253397zd2_8336);
																																																														BgL_arg6543z00_8341
																																																															=
																																																															CDR
																																																															(BgL_cdrzd253397zd2_8336);
																																																														BgL_arg6544z00_8342
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29358;
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_29361;
																																																																obj_t
																																																																	BgL_bodyz00_29360;
																																																																obj_t
																																																																	BgL_varsz00_29359;
																																																																BgL_varsz00_29359
																																																																	=
																																																																	BgL_arg6542z00_8340;
																																																																BgL_bodyz00_29360
																																																																	=
																																																																	BgL_arg6543z00_8341;
																																																																BgL_argsz00_29361
																																																																	=
																																																																	BgL_arg6544z00_8342;
																																																																BgL_argsz00_1824
																																																																	=
																																																																	BgL_argsz00_29361;
																																																																BgL_bodyz00_1823
																																																																	=
																																																																	BgL_bodyz00_29360;
																																																																BgL_varsz00_1822
																																																																	=
																																																																	BgL_varsz00_29359;
																																																																goto
																																																																	BgL_tagzd2387zd2_1825;
																																																															}
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29358);
																																																														}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_29365;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_29365);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd253504zd2_8345;
																																																												BgL_cdrzd253504zd2_8345
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd253509zd2_8346;
																																																													BgL_cdrzd253509zd2_8346
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd253392zd2_8335));
																																																													if ((CAR(((obj_t) BgL_carzd253392zd2_8335)) == ((obj_t) CNST_TABLE_REF(1))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd253509zd2_8346))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd253514zd2_8350;
																																																																	BgL_cdrzd253514zd2_8350
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd253509zd2_8346);
																																																																	if (PAIRP(BgL_cdrzd253514zd2_8350))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd253518zd2_8352;
																																																																			obj_t
																																																																				BgL_cdrzd253519zd2_8353;
																																																																			BgL_carzd253518zd2_8352
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd253514zd2_8350);
																																																																			BgL_cdrzd253519zd2_8353
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd253514zd2_8350);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253518zd2_8352))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd253519zd2_8353))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd253524zd2_8356;
																																																																							BgL_carzd253524zd2_8356
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd253519zd2_8353);
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253524zd2_8356))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd253519zd2_8353)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10173z00_29394;
																																																																											{
																																																																												obj_t
																																																																													BgL_l1411z00_8389;
																																																																												BgL_l1411z00_8389
																																																																													=
																																																																													BgL_cdrzd253504zd2_8345;
																																																																											BgL_zc3z04anonymousza36570ze3z87_8390:
																																																																												if (NULLP(BgL_l1411z00_8389))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10173z00_29394
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														bool_t
																																																																															BgL_test10175z00_29397;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															bool_t
																																																																																BgL_test10176z00_29398;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_tmpz00_29399;
																																																																																BgL_tmpz00_29399
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_l1411z00_8389));
																																																																																BgL_test10176z00_29398
																																																																																	=
																																																																																	PAIRP
																																																																																	(BgL_tmpz00_29399);
																																																																															}
																																																																															if (BgL_test10176z00_29398)
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test10175z00_29397
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		0);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	BgL_test10175z00_29397
																																																																																		=
																																																																																		(
																																																																																		(bool_t)
																																																																																		1);
																																																																																}
																																																																														}
																																																																														if (BgL_test10175z00_29397)
																																																																															{
																																																																																obj_t
																																																																																	BgL_l1411z00_29403;
																																																																																BgL_l1411z00_29403
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_l1411z00_8389));
																																																																																BgL_l1411z00_8389
																																																																																	=
																																																																																	BgL_l1411z00_29403;
																																																																																goto
																																																																																	BgL_zc3z04anonymousza36570ze3z87_8390;
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																BgL_test10173z00_29394
																																																																																	=
																																																																																	(
																																																																																	(bool_t)
																																																																																	0);
																																																																															}
																																																																													}
																																																																											}
																																																																											if (BgL_test10173z00_29394)
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6560z00_8372;
																																																																													BgL_arg6560z00_8372
																																																																														=
																																																																														CAR
																																																																														(BgL_cdrzd253509zd2_8346);
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29407;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_29411;
																																																																															obj_t
																																																																																BgL_proc2z00_29410;
																																																																															obj_t
																																																																																BgL_proc1z00_29409;
																																																																															obj_t
																																																																																BgL_testz00_29408;
																																																																															BgL_testz00_29408
																																																																																=
																																																																																BgL_arg6560z00_8372;
																																																																															BgL_proc1z00_29409
																																																																																=
																																																																																BgL_carzd253518zd2_8352;
																																																																															BgL_proc2z00_29410
																																																																																=
																																																																																BgL_carzd253524zd2_8356;
																																																																															BgL_argsz00_29411
																																																																																=
																																																																																BgL_cdrzd253504zd2_8345;
																																																																															BgL_argsz00_1829
																																																																																=
																																																																																BgL_argsz00_29411;
																																																																															BgL_proc2z00_1828
																																																																																=
																																																																																BgL_proc2z00_29410;
																																																																															BgL_proc1z00_1827
																																																																																=
																																																																																BgL_proc1z00_29409;
																																																																															BgL_testz00_1826
																																																																																=
																																																																																BgL_testz00_29408;
																																																																															goto
																																																																																BgL_tagzd2388zd2_1830;
																																																																														}
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29407);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd253549zd2_8373;
																																																																													BgL_cdrzd253549zd2_8373
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd253557zd2_8374;
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_pairz00_13920;
																																																																															BgL_pairz00_13920
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_expz00_21));
																																																																															BgL_cdrzd253557zd2_8374
																																																																																=
																																																																																CDR
																																																																																(BgL_pairz00_13920);
																																																																														}
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_cdrzd253565zd2_8375;
																																																																															BgL_cdrzd253565zd2_8375
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd253557zd2_8374));
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_carzd253572zd2_8376;
																																																																																BgL_carzd253572zd2_8376
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd253565zd2_8375));
																																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253572zd2_8376))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_carzd253581zd2_8378;
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_pairz00_13924;
																																																																																			BgL_pairz00_13924
																																																																																				=
																																																																																				CDR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd253565zd2_8375));
																																																																																			BgL_carzd253581zd2_8378
																																																																																				=
																																																																																				CAR
																																																																																				(BgL_pairz00_13924);
																																																																																		}
																																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253581zd2_8378))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253549zd2_8373))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						obj_t
																																																																																							BgL_arg6564z00_8381;
																																																																																						BgL_arg6564z00_8381
																																																																																							=
																																																																																							CAR
																																																																																							(
																																																																																							((obj_t) BgL_cdrzd253557zd2_8374));
																																																																																						{
																																																																																							BgL_nodez00_bglt
																																																																																								BgL_auxz00_29433;
																																																																																							{
																																																																																								obj_t
																																																																																									BgL_argsz00_29437;
																																																																																								obj_t
																																																																																									BgL_proc2z00_29436;
																																																																																								obj_t
																																																																																									BgL_proc1z00_29435;
																																																																																								obj_t
																																																																																									BgL_testz00_29434;
																																																																																								BgL_testz00_29434
																																																																																									=
																																																																																									BgL_arg6564z00_8381;
																																																																																								BgL_proc1z00_29435
																																																																																									=
																																																																																									BgL_carzd253572zd2_8376;
																																																																																								BgL_proc2z00_29436
																																																																																									=
																																																																																									BgL_carzd253581zd2_8378;
																																																																																								BgL_argsz00_29437
																																																																																									=
																																																																																									BgL_cdrzd253549zd2_8373;
																																																																																								BgL_argsz00_1834
																																																																																									=
																																																																																									BgL_argsz00_29437;
																																																																																								BgL_proc2z00_1833
																																																																																									=
																																																																																									BgL_proc2z00_29436;
																																																																																								BgL_proc1z00_1832
																																																																																									=
																																																																																									BgL_proc1z00_29435;
																																																																																								BgL_testz00_1831
																																																																																									=
																																																																																									BgL_testz00_29434;
																																																																																								goto
																																																																																									BgL_tagzd2389zd2_1835;
																																																																																							}
																																																																																							BgL_auxz00_25577
																																																																																								=
																																																																																								(
																																																																																								(obj_t)
																																																																																								BgL_auxz00_29433);
																																																																																						}
																																																																																					}
																																																																																				else
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																							{	/* Ast/sexp.scm 119 */
																																																																																								goto
																																																																																									BgL_tagzd2404zd2_1859;
																																																																																							}
																																																																																						else
																																																																																							{
																																																																																								BgL_nodez00_bglt
																																																																																									BgL_auxz00_29441;
																																																																																								goto
																																																																																									BgL_tagzd2405zd2_1860;
																																																																																								BgL_auxz00_25577
																																																																																									=
																																																																																									(
																																																																																									(obj_t)
																																																																																									BgL_auxz00_29441);
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_29445;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_29445);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_29449;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_29449);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														}
																																																																													}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29453;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29453);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd253859zd2_8400;
																																																																									BgL_cdrzd253859zd2_8400
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd253866zd2_8401;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_13928;
																																																																											BgL_pairz00_13928
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd253866zd2_8401
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_13928);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd253873zd2_8402;
																																																																											BgL_cdrzd253873zd2_8402
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd253866zd2_8401));
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd253879zd2_8403;
																																																																												obj_t
																																																																													BgL_cdrzd253880zd2_8404;
																																																																												BgL_carzd253879zd2_8403
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd253873zd2_8402));
																																																																												BgL_cdrzd253880zd2_8404
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd253873zd2_8402));
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253879zd2_8403))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_carzd253887zd2_8406;
																																																																														BgL_carzd253887zd2_8406
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd253880zd2_8404));
																																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd253887zd2_8406))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (NULLP(CDR(((obj_t) BgL_cdrzd253880zd2_8404))))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd253859zd2_8400))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				obj_t
																																																																																					BgL_arg6579z00_8411;
																																																																																				BgL_arg6579z00_8411
																																																																																					=
																																																																																					CAR
																																																																																					(
																																																																																					((obj_t) BgL_cdrzd253866zd2_8401));
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_29480;
																																																																																					{
																																																																																						obj_t
																																																																																							BgL_argsz00_29484;
																																																																																						obj_t
																																																																																							BgL_proc2z00_29483;
																																																																																						obj_t
																																																																																							BgL_proc1z00_29482;
																																																																																						obj_t
																																																																																							BgL_testz00_29481;
																																																																																						BgL_testz00_29481
																																																																																							=
																																																																																							BgL_arg6579z00_8411;
																																																																																						BgL_proc1z00_29482
																																																																																							=
																																																																																							BgL_carzd253879zd2_8403;
																																																																																						BgL_proc2z00_29483
																																																																																							=
																																																																																							BgL_carzd253887zd2_8406;
																																																																																						BgL_argsz00_29484
																																																																																							=
																																																																																							BgL_cdrzd253859zd2_8400;
																																																																																						BgL_argsz00_1834
																																																																																							=
																																																																																							BgL_argsz00_29484;
																																																																																						BgL_proc2z00_1833
																																																																																							=
																																																																																							BgL_proc2z00_29483;
																																																																																						BgL_proc1z00_1832
																																																																																							=
																																																																																							BgL_proc1z00_29482;
																																																																																						BgL_testz00_1831
																																																																																							=
																																																																																							BgL_testz00_29481;
																																																																																						goto
																																																																																							BgL_tagzd2389zd2_1835;
																																																																																					}
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_29480);
																																																																																				}
																																																																																			}
																																																																																		else
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																					{	/* Ast/sexp.scm 119 */
																																																																																						goto
																																																																																							BgL_tagzd2404zd2_1859;
																																																																																					}
																																																																																				else
																																																																																					{
																																																																																						BgL_nodez00_bglt
																																																																																							BgL_auxz00_29488;
																																																																																						goto
																																																																																							BgL_tagzd2405zd2_1860;
																																																																																						BgL_auxz00_25577
																																																																																							=
																																																																																							(
																																																																																							(obj_t)
																																																																																							BgL_auxz00_29488);
																																																																																					}
																																																																																			}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_29492;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_29492);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29496;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29496);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29500;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29500);
																																																																															}
																																																																													}
																																																																											}
																																																																										}
																																																																									}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_29504;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29504);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd254220zd2_8419;
																																																																					BgL_cdrzd254220zd2_8419
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd254226zd2_8420;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_13937;
																																																																							BgL_pairz00_13937
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd254226zd2_8420
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_13937);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd254232zd2_8421;
																																																																							BgL_cdrzd254232zd2_8421
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd254226zd2_8420));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd254237zd2_8422;
																																																																								obj_t
																																																																									BgL_cdrzd254238zd2_8423;
																																																																								BgL_carzd254237zd2_8422
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd254232zd2_8421));
																																																																								BgL_cdrzd254238zd2_8423
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd254232zd2_8421));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254237zd2_8422))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (PAIRP(BgL_cdrzd254238zd2_8423))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd254243zd2_8426;
																																																																												BgL_carzd254243zd2_8426
																																																																													=
																																																																													CAR
																																																																													(BgL_cdrzd254238zd2_8423);
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd254243zd2_8426))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (NULLP(CDR(BgL_cdrzd254238zd2_8423)))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd254220zd2_8419))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6593z00_8431;
																																																																																		BgL_arg6593z00_8431
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254226zd2_8420));
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_29531;
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_argsz00_29535;
																																																																																				obj_t
																																																																																					BgL_proc2z00_29534;
																																																																																				obj_t
																																																																																					BgL_proc1z00_29533;
																																																																																				obj_t
																																																																																					BgL_testz00_29532;
																																																																																				BgL_testz00_29532
																																																																																					=
																																																																																					BgL_arg6593z00_8431;
																																																																																				BgL_proc1z00_29533
																																																																																					=
																																																																																					BgL_carzd254237zd2_8422;
																																																																																				BgL_proc2z00_29534
																																																																																					=
																																																																																					BgL_carzd254243zd2_8426;
																																																																																				BgL_argsz00_29535
																																																																																					=
																																																																																					BgL_cdrzd254220zd2_8419;
																																																																																				BgL_argsz00_1834
																																																																																					=
																																																																																					BgL_argsz00_29535;
																																																																																				BgL_proc2z00_1833
																																																																																					=
																																																																																					BgL_proc2z00_29534;
																																																																																				BgL_proc1z00_1832
																																																																																					=
																																																																																					BgL_proc1z00_29533;
																																																																																				BgL_testz00_1831
																																																																																					=
																																																																																					BgL_testz00_29532;
																																																																																				goto
																																																																																					BgL_tagzd2389zd2_1835;
																																																																																			}
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_29531);
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																			{	/* Ast/sexp.scm 119 */
																																																																																				goto
																																																																																					BgL_tagzd2404zd2_1859;
																																																																																			}
																																																																																		else
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_29539;
																																																																																				goto
																																																																																					BgL_tagzd2405zd2_1860;
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_29539);
																																																																																			}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																	}
																																																																																else
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_29543;
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_29543);
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29547;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29547);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_29551;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_29551);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_29555;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_29555);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_29559;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_29559);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_29563;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_29563);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_29567;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_29567);
																																																																}
																																																														}
																																																												}
																																																											}
																																																									}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd254781zd2_8595;
																																									BgL_cdrzd254781zd2_8595
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									if ((BgL_carzd251716zd2_8321 == ((obj_t) CNST_TABLE_REF(18))))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg6708z00_8596;
																																											obj_t
																																												BgL_arg6709z00_8597;
																																											BgL_arg6708z00_8596
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd254781zd2_8595));
																																											BgL_arg6709z00_8597
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd254781zd2_8595));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_29579;
																																												{
																																													obj_t
																																														BgL_exprz00_29581;
																																													obj_t
																																														BgL_bindingsz00_29580;
																																													BgL_bindingsz00_29580
																																														=
																																														BgL_arg6708z00_8596;
																																													BgL_exprz00_29581
																																														=
																																														BgL_arg6709z00_8597;
																																													BgL_exprz00_1814
																																														=
																																														BgL_exprz00_29581;
																																													BgL_bindingsz00_1813
																																														=
																																														BgL_bindingsz00_29580;
																																													goto
																																														BgL_tagzd2383zd2_1815;
																																												}
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_29579);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd251716zd2_8321)))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg6711z00_8599;
																																													obj_t
																																														BgL_arg6712z00_8600;
																																													BgL_arg6711z00_8599
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd254781zd2_8595));
																																													BgL_arg6712z00_8600
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd254781zd2_8595));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_29590;
																																														{
																																															obj_t
																																																BgL_exprz00_29592;
																																															obj_t
																																																BgL_bindingsz00_29591;
																																															BgL_bindingsz00_29591
																																																=
																																																BgL_arg6711z00_8599;
																																															BgL_exprz00_29592
																																																=
																																																BgL_arg6712z00_8600;
																																															BgL_exprz00_1814
																																																=
																																																BgL_exprz00_29592;
																																															BgL_bindingsz00_1813
																																																=
																																																BgL_bindingsz00_29591;
																																															goto
																																																BgL_tagzd2383zd2_1815;
																																														}
																																														BgL_auxz00_25577
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_29590);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((BgL_carzd251716zd2_8321 == ((obj_t) CNST_TABLE_REF(19))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg6713z00_8601;
																																															obj_t
																																																BgL_arg6714z00_8602;
																																															BgL_arg6713z00_8601
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd254781zd2_8595));
																																															BgL_arg6714z00_8602
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd254781zd2_8595));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_29602;
																																																{
																																																	obj_t
																																																		BgL_exprz00_29604;
																																																	obj_t
																																																		BgL_bindingsz00_29603;
																																																	BgL_bindingsz00_29603
																																																		=
																																																		BgL_arg6713z00_8601;
																																																	BgL_exprz00_29604
																																																		=
																																																		BgL_arg6714z00_8602;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_29604;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_29603;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_29602);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_29612;
																																																	goto
																																																		BgL_tagzd2384zd2_1816;
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29612);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_carzd254818zd2_8605;
																																																	BgL_carzd254818zd2_8605
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	if ((BgL_carzd254818zd2_8605 == ((obj_t) CNST_TABLE_REF(20))))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_29620;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_29620);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd254818zd2_8605)))
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_29625;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29625);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_29633;
																																																							goto
																																																								BgL_tagzd2390zd2_1836;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_29633);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_29641;
																																																									goto
																																																										BgL_tagzd2391zd2_1837;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29641);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd254898zd2_8611;
																																																									BgL_cdrzd254898zd2_8611
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg6724z00_8614;
																																																											obj_t
																																																												BgL_arg6725z00_8615;
																																																											BgL_arg6724z00_8614
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd254898zd2_8611));
																																																											BgL_arg6725z00_8615
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd254898zd2_8611));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_29655;
																																																												{
																																																													obj_t
																																																														BgL_restz00_29657;
																																																													obj_t
																																																														BgL_effectz00_29656;
																																																													BgL_effectz00_29656
																																																														=
																																																														BgL_arg6724z00_8614;
																																																													BgL_restz00_29657
																																																														=
																																																														BgL_arg6725z00_8615;
																																																													BgL_restz00_1839
																																																														=
																																																														BgL_restz00_29657;
																																																													BgL_effectz00_1838
																																																														=
																																																														BgL_effectz00_29656;
																																																													goto
																																																														BgL_tagzd2392zd2_1840;
																																																												}
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_29655);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_29665;
																																																													goto
																																																														BgL_tagzd2393zd2_1841;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_29665);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_29673;
																																																															goto
																																																																BgL_tagzd2394zd2_1842;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_29673);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg6732z00_8623;
																																																																	obj_t
																																																																		BgL_arg6733z00_8624;
																																																																	BgL_arg6732z00_8623
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd254898zd2_8611));
																																																																	BgL_arg6733z00_8624
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd254898zd2_8611));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_29685;
																																																																		{
																																																																			obj_t
																																																																				BgL_restz00_29687;
																																																																			obj_t
																																																																				BgL_effectz00_29686;
																																																																			BgL_effectz00_29686
																																																																				=
																																																																				BgL_arg6732z00_8623;
																																																																			BgL_restz00_29687
																																																																				=
																																																																				BgL_arg6733z00_8624;
																																																																			BgL_restz00_1844
																																																																				=
																																																																				BgL_restz00_29687;
																																																																			BgL_effectz00_1843
																																																																				=
																																																																				BgL_effectz00_29686;
																																																																			goto
																																																																				BgL_tagzd2395zd2_1845;
																																																																		}
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_29685);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_29695;
																																																																			goto
																																																																				BgL_tagzd2396zd2_1846;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_29695);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_29703;
																																																																					goto
																																																																						BgL_tagzd2397zd2_1847;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_29703);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																						{
																																																																							BgL_letzd2funzd2_bglt
																																																																								BgL_auxz00_29711;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1848;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29711);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																								{
																																																																									BgL_jumpzd2exzd2itz00_bglt
																																																																										BgL_auxz00_29719;
																																																																									goto
																																																																										BgL_tagzd2399zd2_1849;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_29719);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10223z00_29727;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_tmpz00_29728;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_13973;
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_pairz00_13972;
																																																																														BgL_pairz00_13972
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														BgL_pairz00_13973
																																																																															=
																																																																															CDR
																																																																															(BgL_pairz00_13972);
																																																																													}
																																																																													BgL_tmpz00_29728
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_13973);
																																																																												}
																																																																												BgL_test10223z00_29727
																																																																													=
																																																																													NULLP
																																																																													(BgL_tmpz00_29728);
																																																																											}
																																																																											if (BgL_test10223z00_29727)
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29734;
																																																																													goto
																																																																														BgL_tagzd2400zd2_1850;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29734);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29738;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29738);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd254986zd2_8643;
																																																																											BgL_cdrzd254986zd2_8643
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_cdrzd254992zd2_8646;
																																																																													BgL_cdrzd254992zd2_8646
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd254986zd2_8643));
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd254998zd2_8647;
																																																																														BgL_cdrzd254998zd2_8647
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_cdrzd254992zd2_8646));
																																																																														if ((CAR(((obj_t) BgL_cdrzd254992zd2_8646)) == ((obj_t) CNST_TABLE_REF(32))))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (PAIRP(BgL_cdrzd254998zd2_8647))
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6757z00_8651;
																																																																																		obj_t
																																																																																			BgL_arg6758z00_8652;
																																																																																		obj_t
																																																																																			BgL_arg6759z00_8653;
																																																																																		BgL_arg6757z00_8651
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8643));
																																																																																		BgL_arg6758z00_8652
																																																																																			=
																																																																																			CAR
																																																																																			(BgL_cdrzd254998zd2_8647);
																																																																																		BgL_arg6759z00_8653
																																																																																			=
																																																																																			CDR
																																																																																			(BgL_cdrzd254998zd2_8647);
																																																																																		{	/* Ast/sexp.scm 562 */
																																																																																			obj_t
																																																																																				BgL_arg7647z00_13982;
																																																																																			BgL_arg7647z00_13982
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg6757z00_8651,
																																																																																					BgL_arg6758z00_8652,
																																																																																					BgL_arg6759z00_8653,
																																																																																					BgL_stackz00_22,
																																																																																					BgL_arg7647z00_13982,
																																																																																					BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		obj_t
																																																																																			BgL_arg6760z00_8655;
																																																																																		obj_t
																																																																																			BgL_arg6761z00_8656;
																																																																																		BgL_arg6760z00_8655
																																																																																			=
																																																																																			CAR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8643));
																																																																																		BgL_arg6761z00_8656
																																																																																			=
																																																																																			CDR
																																																																																			(
																																																																																			((obj_t) BgL_cdrzd254986zd2_8643));
																																																																																		{	/* Ast/sexp.scm 564 */
																																																																																			obj_t
																																																																																				BgL_arg7648z00_13986;
																																																																																			BgL_arg7648z00_13986
																																																																																				=
																																																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																				(BgL_expz00_21,
																																																																																				BgL_locz00_23);
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																				(BgL_expz00_21,
																																																																																					BgL_arg6760z00_8655,
																																																																																					((obj_t) CNST_TABLE_REF(4)), BgL_arg6761z00_8656, BgL_stackz00_22, BgL_arg7648z00_13986, BgL_sitez00_24));
																																																																																		}
																																																																																	}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg6762z00_8658;
																																																																																obj_t
																																																																																	BgL_arg6763z00_8659;
																																																																																BgL_arg6762z00_8658
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd254986zd2_8643));
																																																																																BgL_arg6763z00_8659
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd254986zd2_8643));
																																																																																{	/* Ast/sexp.scm 564 */
																																																																																	obj_t
																																																																																		BgL_arg7648z00_13990;
																																																																																	BgL_arg7648z00_13990
																																																																																		=
																																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																		(BgL_expz00_21,
																																																																																		BgL_locz00_23);
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																		(BgL_expz00_21,
																																																																																			BgL_arg6762z00_8658,
																																																																																			((obj_t) CNST_TABLE_REF(4)), BgL_arg6763z00_8659, BgL_stackz00_22, BgL_arg7648z00_13990, BgL_sitez00_24));
																																																																																}
																																																																															}
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29787;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29787);
																																																																														}
																																																																												}
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_carzd255049zd2_8679;
																											BgL_carzd255049zd2_8679 =
																												CAR(((obj_t)
																													BgL_expz00_21));
																											if (
																												(BgL_carzd255049zd2_8679
																													==
																													((obj_t)
																														CNST_TABLE_REF(1))))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_29795;
																													goto
																														BgL_tagzd2377zd2_1801;
																													BgL_auxz00_25577 =
																														((obj_t)
																														BgL_auxz00_29795);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(BgL_carzd255049zd2_8679
																															==
																															BGl_za2ifza2z00zzast_sexpz00))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_29799;
																															goto
																																BgL_tagzd2377zd2_1801;
																															BgL_auxz00_25577 =
																																((obj_t)
																																BgL_auxz00_29799);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(7))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_29807;
																																	goto
																																		BgL_tagzd2379zd2_1805;
																																	BgL_auxz00_25577
																																		=
																																		((obj_t)
																																		BgL_auxz00_29807);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR(
																																				((obj_t)
																																					BgL_expz00_21))
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(16))))
																																		{
																																			BgL_nodez00_bglt
																																				BgL_auxz00_29815;
																																			goto
																																				BgL_tagzd2380zd2_1806;
																																			BgL_auxz00_25577
																																				=
																																				((obj_t)
																																				BgL_auxz00_29815);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd255120zd2_8685;
																																			BgL_cdrzd255120zd2_8685
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_expz00_21))
																																					==
																																					((obj_t) CNST_TABLE_REF(17))))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_arg6790z00_8688;
																																					obj_t
																																						BgL_arg6791z00_8689;
																																					BgL_arg6790z00_8688
																																						=
																																						CAR(
																																						((obj_t) BgL_cdrzd255120zd2_8685));
																																					BgL_arg6791z00_8689
																																						=
																																						CDR(
																																						((obj_t) BgL_cdrzd255120zd2_8685));
																																					{
																																						BgL_nodez00_bglt
																																							BgL_auxz00_29829;
																																						{
																																							obj_t
																																								BgL_exprz00_29831;
																																							obj_t
																																								BgL_bindingsz00_29830;
																																							BgL_bindingsz00_29830
																																								=
																																								BgL_arg6790z00_8688;
																																							BgL_exprz00_29831
																																								=
																																								BgL_arg6791z00_8689;
																																							BgL_exprz00_1808
																																								=
																																								BgL_exprz00_29831;
																																							BgL_bindingsz00_1807
																																								=
																																								BgL_bindingsz00_29830;
																																							goto
																																								BgL_tagzd2381zd2_1809;
																																						}
																																						BgL_auxz00_25577
																																							=
																																							(
																																							(obj_t)
																																							BgL_auxz00_29829);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd255145zd2_8690;
																																					BgL_carzd255145zd2_8690
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (PAIRP(BgL_carzd255145zd2_8690))
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd255148zd2_8692;
																																							obj_t
																																								BgL_cdrzd255149zd2_8693;
																																							BgL_carzd255148zd2_8692
																																								=
																																								CAR
																																								(BgL_carzd255145zd2_8690);
																																							BgL_cdrzd255149zd2_8693
																																								=
																																								CDR
																																								(BgL_carzd255145zd2_8690);
																																							{

																																								if ((BgL_carzd255148zd2_8692 == ((obj_t) CNST_TABLE_REF(18))))
																																									{	/* Ast/sexp.scm 119 */
																																									BgL_kapzd255150zd2_8694:
																																										if (PAIRP(BgL_cdrzd255149zd2_8693))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd255153zd2_8873;
																																												BgL_cdrzd255153zd2_8873
																																													=
																																													CDR
																																													(BgL_cdrzd255149zd2_8693);
																																												if (PAIRP(BgL_cdrzd255153zd2_8873))
																																													{	/* Ast/sexp.scm 119 */
																																														if (NULLP(CDR(BgL_cdrzd255153zd2_8873)))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg6918z00_8877;
																																																obj_t
																																																	BgL_arg6919z00_8878;
																																																BgL_arg6918z00_8877
																																																	=
																																																	CAR
																																																	(BgL_cdrzd255153zd2_8873);
																																																BgL_arg6919z00_8878
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_29854;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_29856;
																																																		obj_t
																																																			BgL_bodyz00_29855;
																																																		BgL_bodyz00_29855
																																																			=
																																																			BgL_arg6918z00_8877;
																																																		BgL_argsz00_29856
																																																			=
																																																			BgL_arg6919z00_8878;
																																																		BgL_argsz00_1811
																																																			=
																																																			BgL_argsz00_29856;
																																																		BgL_bodyz00_1810
																																																			=
																																																			BgL_bodyz00_29855;
																																																		goto
																																																			BgL_tagzd2382zd2_1812;
																																																	}
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_29854);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd255177zd2_8879;
																																																BgL_cdrzd255177zd2_8879
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10239z00_29860;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg6988z00_8990;
																																																		BgL_arg6988z00_8990
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10239z00_29860
																																																			=
																																																			CBOOL
																																																			(BGl_letzd2symzf3z21zzast_letz00
																																																			(BgL_arg6988z00_8990));
																																																	}
																																																	if (BgL_test10239z00_29860)
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg6922z00_8882;
																																																			obj_t
																																																				BgL_arg6923z00_8883;
																																																			BgL_arg6922z00_8882
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd255177zd2_8879));
																																																			BgL_arg6923z00_8883
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd255177zd2_8879));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_29869;
																																																				{
																																																					obj_t
																																																						BgL_exprz00_29871;
																																																					obj_t
																																																						BgL_bindingsz00_29870;
																																																					BgL_bindingsz00_29870
																																																						=
																																																						BgL_arg6922z00_8882;
																																																					BgL_exprz00_29871
																																																						=
																																																						BgL_arg6923z00_8883;
																																																					BgL_exprz00_1814
																																																						=
																																																						BgL_exprz00_29871;
																																																					BgL_bindingsz00_1813
																																																						=
																																																						BgL_bindingsz00_29870;
																																																					goto
																																																						BgL_tagzd2383zd2_1815;
																																																				}
																																																				BgL_auxz00_25577
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_29869);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10240z00_29873;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6987z00_8989;
																																																				BgL_arg6987z00_8989
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10240z00_29873
																																																					=
																																																					CBOOL
																																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																																					(BgL_arg6987z00_8989));
																																																			}
																																																			if (BgL_test10240z00_29873)
																																																				{
																																																					BgL_letzd2funzd2_bglt
																																																						BgL_auxz00_29878;
																																																					goto
																																																						BgL_tagzd2385zd2_1817;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_29878);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd255244zd2_8886;
																																																					BgL_carzd255244zd2_8886
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd255249zd2_8887;
																																																						BgL_cdrzd255249zd2_8887
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd255244zd2_8886));
																																																						if ((CAR(((obj_t) BgL_carzd255244zd2_8886)) == ((obj_t) CNST_TABLE_REF(3))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_arg6928z00_8890;
																																																								obj_t
																																																									BgL_arg6929z00_8891;
																																																								obj_t
																																																									BgL_arg6930z00_8892;
																																																								BgL_arg6928z00_8890
																																																									=
																																																									CAR
																																																									(
																																																									((obj_t) BgL_cdrzd255249zd2_8887));
																																																								BgL_arg6929z00_8891
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd255249zd2_8887));
																																																								BgL_arg6930z00_8892
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_29896;
																																																									{
																																																										obj_t
																																																											BgL_argsz00_29899;
																																																										obj_t
																																																											BgL_bodyz00_29898;
																																																										obj_t
																																																											BgL_varsz00_29897;
																																																										BgL_varsz00_29897
																																																											=
																																																											BgL_arg6928z00_8890;
																																																										BgL_bodyz00_29898
																																																											=
																																																											BgL_arg6929z00_8891;
																																																										BgL_argsz00_29899
																																																											=
																																																											BgL_arg6930z00_8892;
																																																										BgL_argsz00_1824
																																																											=
																																																											BgL_argsz00_29899;
																																																										BgL_bodyz00_1823
																																																											=
																																																											BgL_bodyz00_29898;
																																																										BgL_varsz00_1822
																																																											=
																																																											BgL_varsz00_29897;
																																																										goto
																																																											BgL_tagzd2387zd2_1825;
																																																									}
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_29896);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd255272zd2_8894;
																																																								BgL_cdrzd255272zd2_8894
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd255278zd2_8895;
																																																									BgL_cdrzd255278zd2_8895
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_carzd255244zd2_8886));
																																																									if ((CAR(((obj_t) BgL_carzd255244zd2_8886)) == ((obj_t) CNST_TABLE_REF(1))))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd255284zd2_8898;
																																																											BgL_cdrzd255284zd2_8898
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd255278zd2_8895));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd255289zd2_8899;
																																																												obj_t
																																																													BgL_cdrzd255290zd2_8900;
																																																												BgL_carzd255289zd2_8899
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd255284zd2_8898));
																																																												BgL_cdrzd255290zd2_8900
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd255284zd2_8898));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255289zd2_8899))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd255290zd2_8900))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd255297zd2_8903;
																																																																BgL_carzd255297zd2_8903
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd255290zd2_8900);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255297zd2_8903))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd255290zd2_8900)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10247z00_29927;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1414z00_8936;
																																																																					BgL_l1414z00_8936
																																																																						=
																																																																						BgL_cdrzd255272zd2_8894;
																																																																				BgL_zc3z04anonymousza36953ze3z87_8937:
																																																																					if (NULLP(BgL_l1414z00_8936))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10247z00_29927
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10249z00_29930;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10250z00_29931;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_29932;
																																																																									BgL_tmpz00_29932
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1414z00_8936));
																																																																									BgL_test10250z00_29931
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_29932);
																																																																								}
																																																																								if (BgL_test10250z00_29931)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10249z00_29930
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10249z00_29930
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test10249z00_29930)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1414z00_29936;
																																																																									BgL_l1414z00_29936
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1414z00_8936));
																																																																									BgL_l1414z00_8936
																																																																										=
																																																																										BgL_l1414z00_29936;
																																																																									goto
																																																																										BgL_zc3z04anonymousza36953ze3z87_8937;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10247z00_29927
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test10247z00_29927)
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg6943z00_8919;
																																																																						BgL_arg6943z00_8919
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd255278zd2_8895));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_29941;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_29945;
																																																																								obj_t
																																																																									BgL_proc2z00_29944;
																																																																								obj_t
																																																																									BgL_proc1z00_29943;
																																																																								obj_t
																																																																									BgL_testz00_29942;
																																																																								BgL_testz00_29942
																																																																									=
																																																																									BgL_arg6943z00_8919;
																																																																								BgL_proc1z00_29943
																																																																									=
																																																																									BgL_carzd255289zd2_8899;
																																																																								BgL_proc2z00_29944
																																																																									=
																																																																									BgL_carzd255297zd2_8903;
																																																																								BgL_argsz00_29945
																																																																									=
																																																																									BgL_cdrzd255272zd2_8894;
																																																																								BgL_argsz00_1829
																																																																									=
																																																																									BgL_argsz00_29945;
																																																																								BgL_proc2z00_1828
																																																																									=
																																																																									BgL_proc2z00_29944;
																																																																								BgL_proc1z00_1827
																																																																									=
																																																																									BgL_proc1z00_29943;
																																																																								BgL_testz00_1826
																																																																									=
																																																																									BgL_testz00_29942;
																																																																								goto
																																																																									BgL_tagzd2388zd2_1830;
																																																																							}
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_29941);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd255321zd2_8920;
																																																																						BgL_cdrzd255321zd2_8920
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd255328zd2_8921;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14030;
																																																																								BgL_pairz00_14030
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd255328zd2_8921
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14030);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd255335zd2_8922;
																																																																								BgL_cdrzd255335zd2_8922
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd255328zd2_8921));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd255341zd2_8923;
																																																																									BgL_carzd255341zd2_8923
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd255335zd2_8922));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255341zd2_8923))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd255348zd2_8925;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14034;
																																																																												BgL_pairz00_14034
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd255335zd2_8922));
																																																																												BgL_carzd255348zd2_8925
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_14034);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255348zd2_8925))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255321zd2_8920))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6947z00_8928;
																																																																															BgL_arg6947z00_8928
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd255328zd2_8921));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_29967;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_29971;
																																																																																	obj_t
																																																																																		BgL_proc2z00_29970;
																																																																																	obj_t
																																																																																		BgL_proc1z00_29969;
																																																																																	obj_t
																																																																																		BgL_testz00_29968;
																																																																																	BgL_testz00_29968
																																																																																		=
																																																																																		BgL_arg6947z00_8928;
																																																																																	BgL_proc1z00_29969
																																																																																		=
																																																																																		BgL_carzd255341zd2_8923;
																																																																																	BgL_proc2z00_29970
																																																																																		=
																																																																																		BgL_carzd255348zd2_8925;
																																																																																	BgL_argsz00_29971
																																																																																		=
																																																																																		BgL_cdrzd255321zd2_8920;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_29971;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_29970;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_29969;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_29968;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_29967);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_29975;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_29975);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_29979;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_29979);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_29983;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_29983);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_29987;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_29987);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd255624zd2_8947;
																																																																		BgL_cdrzd255624zd2_8947
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd255630zd2_8948;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14038;
																																																																				BgL_pairz00_14038
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd255630zd2_8948
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14038);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd255636zd2_8949;
																																																																				BgL_cdrzd255636zd2_8949
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd255630zd2_8948));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd255641zd2_8950;
																																																																					obj_t
																																																																						BgL_cdrzd255642zd2_8951;
																																																																					BgL_carzd255641zd2_8950
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255636zd2_8949));
																																																																					BgL_cdrzd255642zd2_8951
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd255636zd2_8949));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255641zd2_8950))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd255647zd2_8953;
																																																																							BgL_carzd255647zd2_8953
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd255642zd2_8951));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd255647zd2_8953))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd255642zd2_8951))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255624zd2_8947))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6962z00_8958;
																																																																													BgL_arg6962z00_8958
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd255630zd2_8948));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_30014;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_30018;
																																																																															obj_t
																																																																																BgL_proc2z00_30017;
																																																																															obj_t
																																																																																BgL_proc1z00_30016;
																																																																															obj_t
																																																																																BgL_testz00_30015;
																																																																															BgL_testz00_30015
																																																																																=
																																																																																BgL_arg6962z00_8958;
																																																																															BgL_proc1z00_30016
																																																																																=
																																																																																BgL_carzd255641zd2_8950;
																																																																															BgL_proc2z00_30017
																																																																																=
																																																																																BgL_carzd255647zd2_8953;
																																																																															BgL_argsz00_30018
																																																																																=
																																																																																BgL_cdrzd255624zd2_8947;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_30018;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_30017;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_30016;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_30015;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_30014);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_30022;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_30022);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30026;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30026);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30030;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30030);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30034;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30034);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30038;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30038);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd255980zd2_8966;
																																																														BgL_cdrzd255980zd2_8966
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd255987zd2_8967;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_14047;
																																																																BgL_pairz00_14047
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd255987zd2_8967
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_14047);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd255994zd2_8968;
																																																																BgL_cdrzd255994zd2_8968
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd255987zd2_8967));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd256000zd2_8969;
																																																																	obj_t
																																																																		BgL_cdrzd256001zd2_8970;
																																																																	BgL_carzd256000zd2_8969
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255994zd2_8968));
																																																																	BgL_cdrzd256001zd2_8970
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd255994zd2_8968));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256000zd2_8969))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd256001zd2_8970))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd256008zd2_8973;
																																																																					BgL_carzd256008zd2_8973
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd256001zd2_8970);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd256008zd2_8973))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd256001zd2_8970)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd255980zd2_8966))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6976z00_8978;
																																																																											BgL_arg6976z00_8978
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd255987zd2_8967));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_30065;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_30069;
																																																																													obj_t
																																																																														BgL_proc2z00_30068;
																																																																													obj_t
																																																																														BgL_proc1z00_30067;
																																																																													obj_t
																																																																														BgL_testz00_30066;
																																																																													BgL_testz00_30066
																																																																														=
																																																																														BgL_arg6976z00_8978;
																																																																													BgL_proc1z00_30067
																																																																														=
																																																																														BgL_carzd256000zd2_8969;
																																																																													BgL_proc2z00_30068
																																																																														=
																																																																														BgL_carzd256008zd2_8973;
																																																																													BgL_argsz00_30069
																																																																														=
																																																																														BgL_cdrzd255980zd2_8966;
																																																																													BgL_argsz00_1834
																																																																														=
																																																																														BgL_argsz00_30069;
																																																																													BgL_proc2z00_1833
																																																																														=
																																																																														BgL_proc2z00_30068;
																																																																													BgL_proc1z00_1832
																																																																														=
																																																																														BgL_proc1z00_30067;
																																																																													BgL_testz00_1831
																																																																														=
																																																																														BgL_testz00_30066;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1835;
																																																																												}
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_30065);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30073;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30073);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30077;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30077);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30081;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30081);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_30085;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30085);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_30089;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30089);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_30093;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_30093);
																																																												}
																																																										}
																																																								}
																																																							}
																																																					}
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd256401zd2_8992;
																																														BgL_cdrzd256401zd2_8992
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10278z00_30097;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg7004z00_9009;
																																																BgL_arg7004z00_9009
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10278z00_30097
																																																	=
																																																	CBOOL
																																																	(BGl_letzd2symzf3z21zzast_letz00
																																																	(BgL_arg7004z00_9009));
																																															}
																																															if (BgL_test10278z00_30097)
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg6992z00_8995;
																																																	obj_t
																																																		BgL_arg6993z00_8996;
																																																	BgL_arg6992z00_8995
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd256401zd2_8992));
																																																	BgL_arg6993z00_8996
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd256401zd2_8992));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_30106;
																																																		{
																																																			obj_t
																																																				BgL_exprz00_30108;
																																																			obj_t
																																																				BgL_bindingsz00_30107;
																																																			BgL_bindingsz00_30107
																																																				=
																																																				BgL_arg6992z00_8995;
																																																			BgL_exprz00_30108
																																																				=
																																																				BgL_arg6993z00_8996;
																																																			BgL_exprz00_1814
																																																				=
																																																				BgL_exprz00_30108;
																																																			BgL_bindingsz00_1813
																																																				=
																																																				BgL_bindingsz00_30107;
																																																			goto
																																																				BgL_tagzd2383zd2_1815;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_30106);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	bool_t
																																																		BgL_test10279z00_30110;
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg7003z00_9008;
																																																		BgL_arg7003z00_9008
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		BgL_test10279z00_30110
																																																			=
																																																			CBOOL
																																																			(BGl_labelszd2symzf3z21zzast_labelsz00
																																																			(BgL_arg7003z00_9008));
																																																	}
																																																	if (BgL_test10279z00_30110)
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_30115;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_30115);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_carzd256467zd2_8999;
																																																			BgL_carzd256467zd2_8999
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd256472zd2_9000;
																																																				BgL_cdrzd256472zd2_9000
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd256467zd2_8999));
																																																				if ((CAR(((obj_t) BgL_carzd256467zd2_8999)) == ((obj_t) CNST_TABLE_REF(3))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6998z00_9003;
																																																						obj_t
																																																							BgL_arg6999z00_9004;
																																																						obj_t
																																																							BgL_arg7000z00_9005;
																																																						BgL_arg6998z00_9003
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd256472zd2_9000));
																																																						BgL_arg6999z00_9004
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd256472zd2_9000));
																																																						BgL_arg7000z00_9005
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_30133;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_30136;
																																																								obj_t
																																																									BgL_bodyz00_30135;
																																																								obj_t
																																																									BgL_varsz00_30134;
																																																								BgL_varsz00_30134
																																																									=
																																																									BgL_arg6998z00_9003;
																																																								BgL_bodyz00_30135
																																																									=
																																																									BgL_arg6999z00_9004;
																																																								BgL_argsz00_30136
																																																									=
																																																									BgL_arg7000z00_9005;
																																																								BgL_argsz00_1824
																																																									=
																																																									BgL_argsz00_30136;
																																																								BgL_bodyz00_1823
																																																									=
																																																									BgL_bodyz00_30135;
																																																								BgL_varsz00_1822
																																																									=
																																																									BgL_varsz00_30134;
																																																								goto
																																																									BgL_tagzd2387zd2_1825;
																																																							}
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30133);
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1859;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_30140;
																																																								goto
																																																									BgL_tagzd2405zd2_1860;
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_30140);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd256583zd2_9010;
																																												BgL_cdrzd256583zd2_9010
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													bool_t
																																														BgL_test10282z00_30144;
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg7013z00_9019;
																																														BgL_arg7013z00_9019
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														BgL_test10282z00_30144
																																															=
																																															CBOOL
																																															(BGl_letzd2symzf3z21zzast_letz00
																																															(BgL_arg7013z00_9019));
																																													}
																																													if (BgL_test10282z00_30144)
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg7007z00_9013;
																																															obj_t
																																																BgL_arg7008z00_9014;
																																															BgL_arg7007z00_9013
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd256583zd2_9010));
																																															BgL_arg7008z00_9014
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd256583zd2_9010));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_30153;
																																																{
																																																	obj_t
																																																		BgL_exprz00_30155;
																																																	obj_t
																																																		BgL_bindingsz00_30154;
																																																	BgL_bindingsz00_30154
																																																		=
																																																		BgL_arg7007z00_9013;
																																																	BgL_exprz00_30155
																																																		=
																																																		BgL_arg7008z00_9014;
																																																	BgL_exprz00_1814
																																																		=
																																																		BgL_exprz00_30155;
																																																	BgL_bindingsz00_1813
																																																		=
																																																		BgL_bindingsz00_30154;
																																																	goto
																																																		BgL_tagzd2383zd2_1815;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_30153);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															bool_t
																																																BgL_test10283z00_30157;
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg7012z00_9018;
																																																BgL_arg7012z00_9018
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																BgL_test10283z00_30157
																																																	=
																																																	CBOOL
																																																	(BGl_labelszd2symzf3z21zzast_labelsz00
																																																	(BgL_arg7012z00_9018));
																																															}
																																															if (BgL_test10283z00_30157)
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_30162;
																																																	goto
																																																		BgL_tagzd2385zd2_1817;
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_30162);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1859;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_30166;
																																																			goto
																																																				BgL_tagzd2405zd2_1860;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_30166);
																																																		}
																																																}
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255148zd2_8692)))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd255150zd2_8694;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd255148zd2_8692 == ((obj_t) CNST_TABLE_REF(19))))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd255150zd2_8694;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((BgL_carzd255148zd2_8692 == ((obj_t) CNST_TABLE_REF(20))))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_kapzd255150zd2_8694;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd255148zd2_8692)))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_kapzd255150zd2_8694;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd256755zd2_8697;
																																																		BgL_cdrzd256755zd2_8697
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			bool_t
																																																				BgL_test10289z00_30184;
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg6913z00_8871;
																																																				BgL_arg6913z00_8871
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_test10289z00_30184
																																																					=
																																																					CBOOL
																																																					(BGl_letzd2symzf3z21zzast_letz00
																																																					(BgL_arg6913z00_8871));
																																																			}
																																																			if (BgL_test10289z00_30184)
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg6797z00_8700;
																																																					obj_t
																																																						BgL_arg6798z00_8701;
																																																					BgL_arg6797z00_8700
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd256755zd2_8697));
																																																					BgL_arg6798z00_8701
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd256755zd2_8697));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_30193;
																																																						{
																																																							obj_t
																																																								BgL_exprz00_30195;
																																																							obj_t
																																																								BgL_bindingsz00_30194;
																																																							BgL_bindingsz00_30194
																																																								=
																																																								BgL_arg6797z00_8700;
																																																							BgL_exprz00_30195
																																																								=
																																																								BgL_arg6798z00_8701;
																																																							BgL_exprz00_1814
																																																								=
																																																								BgL_exprz00_30195;
																																																							BgL_bindingsz00_1813
																																																								=
																																																								BgL_bindingsz00_30194;
																																																							goto
																																																								BgL_tagzd2383zd2_1815;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_30193);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					bool_t
																																																						BgL_test10290z00_30197;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_arg6912z00_8870;
																																																						BgL_arg6912z00_8870
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_test10290z00_30197
																																																							=
																																																							CBOOL
																																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																																							(BgL_arg6912z00_8870));
																																																					}
																																																					if (BgL_test10290z00_30197)
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_30202;
																																																							goto
																																																								BgL_tagzd2385zd2_1817;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30202);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd256808zd2_8704;
																																																							obj_t
																																																								BgL_cdrzd256809zd2_8705;
																																																							BgL_carzd256808zd2_8704
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							BgL_cdrzd256809zd2_8705
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd256813zd2_8706;
																																																								BgL_cdrzd256813zd2_8706
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd256808zd2_8704));
																																																								if ((CAR(((obj_t) BgL_carzd256808zd2_8704)) == ((obj_t) CNST_TABLE_REF(3))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (PAIRP(BgL_cdrzd256813zd2_8706))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd256816zd2_8710;
																																																												obj_t
																																																													BgL_cdrzd256817zd2_8711;
																																																												BgL_carzd256816zd2_8710
																																																													=
																																																													CAR
																																																													(BgL_cdrzd256813zd2_8706);
																																																												BgL_cdrzd256817zd2_8711
																																																													=
																																																													CDR
																																																													(BgL_cdrzd256813zd2_8706);
																																																												if (PAIRP(BgL_carzd256816zd2_8710))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (NULLP(CDR(BgL_carzd256816zd2_8710)))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd256817zd2_8711))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd256823zd2_8716;
																																																																		BgL_carzd256823zd2_8716
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd256817zd2_8711);
																																																																		if (PAIRP(BgL_carzd256823zd2_8716))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd256823zd2_8716))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd256817zd2_8711)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd256830zd2_8721;
																																																																								BgL_carzd256830zd2_8721
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd256809zd2_8705));
																																																																								if (PAIRP(BgL_carzd256830zd2_8721))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd256855zd2_8723;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_14086;
																																																																											BgL_pairz00_14086
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											BgL_cdrzd256855zd2_8723
																																																																												=
																																																																												CDR
																																																																												(BgL_pairz00_14086);
																																																																										}
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg6813z00_8724;
																																																																											obj_t
																																																																												BgL_arg6814z00_8725;
																																																																											obj_t
																																																																												BgL_arg6815z00_8726;
																																																																											BgL_arg6813z00_8724
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd256855zd2_8723));
																																																																											BgL_arg6814z00_8725
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd256855zd2_8723));
																																																																											BgL_arg6815z00_8726
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_expz00_21));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_30248;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_30251;
																																																																													obj_t
																																																																														BgL_bodyz00_30250;
																																																																													obj_t
																																																																														BgL_varsz00_30249;
																																																																													BgL_varsz00_30249
																																																																														=
																																																																														BgL_arg6813z00_8724;
																																																																													BgL_bodyz00_30250
																																																																														=
																																																																														BgL_arg6814z00_8725;
																																																																													BgL_argsz00_30251
																																																																														=
																																																																														BgL_arg6815z00_8726;
																																																																													BgL_argsz00_1824
																																																																														=
																																																																														BgL_argsz00_30251;
																																																																													BgL_bodyz00_1823
																																																																														=
																																																																														BgL_bodyz00_30250;
																																																																													BgL_varsz00_1822
																																																																														=
																																																																														BgL_varsz00_30249;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1825;
																																																																												}
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_30248);
																																																																											}
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd256809zd2_8705))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg6819z00_8730;
																																																																												BgL_arg6819z00_8730
																																																																													=
																																																																													CAR
																																																																													(BgL_carzd256816zd2_8710);
																																																																												{
																																																																													BgL_castz00_bglt
																																																																														BgL_auxz00_30258;
																																																																													{
																																																																														obj_t
																																																																															BgL_argz00_30261;
																																																																														obj_t
																																																																															BgL_bodyz00_30260;
																																																																														obj_t
																																																																															BgL_varz00_30259;
																																																																														BgL_varz00_30259
																																																																															=
																																																																															BgL_arg6819z00_8730;
																																																																														BgL_bodyz00_30260
																																																																															=
																																																																															BgL_carzd256823zd2_8716;
																																																																														BgL_argz00_30261
																																																																															=
																																																																															BgL_carzd256830zd2_8721;
																																																																														BgL_argz00_1820
																																																																															=
																																																																															BgL_argz00_30261;
																																																																														BgL_bodyz00_1819
																																																																															=
																																																																															BgL_bodyz00_30260;
																																																																														BgL_varz00_1818
																																																																															=
																																																																															BgL_varz00_30259;
																																																																														goto
																																																																															BgL_tagzd2386zd2_1821;
																																																																													}
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30258);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd256883zd2_8731;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_14093;
																																																																													BgL_pairz00_14093
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													BgL_cdrzd256883zd2_8731
																																																																														=
																																																																														CDR
																																																																														(BgL_pairz00_14093);
																																																																												}
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg6820z00_8732;
																																																																													obj_t
																																																																														BgL_arg6821z00_8733;
																																																																													obj_t
																																																																														BgL_arg6822z00_8734;
																																																																													BgL_arg6820z00_8732
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd256883zd2_8731));
																																																																													BgL_arg6821z00_8733
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd256883zd2_8731));
																																																																													BgL_arg6822z00_8734
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_expz00_21));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_30272;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_30275;
																																																																															obj_t
																																																																																BgL_bodyz00_30274;
																																																																															obj_t
																																																																																BgL_varsz00_30273;
																																																																															BgL_varsz00_30273
																																																																																=
																																																																																BgL_arg6820z00_8732;
																																																																															BgL_bodyz00_30274
																																																																																=
																																																																																BgL_arg6821z00_8733;
																																																																															BgL_argsz00_30275
																																																																																=
																																																																																BgL_arg6822z00_8734;
																																																																															BgL_argsz00_1824
																																																																																=
																																																																																BgL_argsz00_30275;
																																																																															BgL_bodyz00_1823
																																																																																=
																																																																																BgL_bodyz00_30274;
																																																																															BgL_varsz00_1822
																																																																																=
																																																																																BgL_varsz00_30273;
																																																																															goto
																																																																																BgL_tagzd2387zd2_1825;
																																																																														}
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_30272);
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd256909zd2_8737;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14098;
																																																																									BgL_pairz00_14098
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd256909zd2_8737
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_14098);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg6825z00_8738;
																																																																									obj_t
																																																																										BgL_arg6826z00_8739;
																																																																									obj_t
																																																																										BgL_arg6827z00_8740;
																																																																									BgL_arg6825z00_8738
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd256909zd2_8737));
																																																																									BgL_arg6826z00_8739
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd256909zd2_8737));
																																																																									BgL_arg6827z00_8740
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30286;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_30289;
																																																																											obj_t
																																																																												BgL_bodyz00_30288;
																																																																											obj_t
																																																																												BgL_varsz00_30287;
																																																																											BgL_varsz00_30287
																																																																												=
																																																																												BgL_arg6825z00_8738;
																																																																											BgL_bodyz00_30288
																																																																												=
																																																																												BgL_arg6826z00_8739;
																																																																											BgL_argsz00_30289
																																																																												=
																																																																												BgL_arg6827z00_8740;
																																																																											BgL_argsz00_1824
																																																																												=
																																																																												BgL_argsz00_30289;
																																																																											BgL_bodyz00_1823
																																																																												=
																																																																												BgL_bodyz00_30288;
																																																																											BgL_varsz00_1822
																																																																												=
																																																																												BgL_varsz00_30287;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1825;
																																																																										}
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30286);
																																																																									}
																																																																								}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd256935zd2_8743;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14103;
																																																																							BgL_pairz00_14103
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd256935zd2_8743
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_14103);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_arg6830z00_8744;
																																																																							obj_t
																																																																								BgL_arg6831z00_8745;
																																																																							obj_t
																																																																								BgL_arg6832z00_8746;
																																																																							BgL_arg6830z00_8744
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256935zd2_8743));
																																																																							BgL_arg6831z00_8745
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd256935zd2_8743));
																																																																							BgL_arg6832z00_8746
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30300;
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_30303;
																																																																									obj_t
																																																																										BgL_bodyz00_30302;
																																																																									obj_t
																																																																										BgL_varsz00_30301;
																																																																									BgL_varsz00_30301
																																																																										=
																																																																										BgL_arg6830z00_8744;
																																																																									BgL_bodyz00_30302
																																																																										=
																																																																										BgL_arg6831z00_8745;
																																																																									BgL_argsz00_30303
																																																																										=
																																																																										BgL_arg6832z00_8746;
																																																																									BgL_argsz00_1824
																																																																										=
																																																																										BgL_argsz00_30303;
																																																																									BgL_bodyz00_1823
																																																																										=
																																																																										BgL_bodyz00_30302;
																																																																									BgL_varsz00_1822
																																																																										=
																																																																										BgL_varsz00_30301;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1825;
																																																																								}
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30300);
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd256961zd2_8748;
																																																																				BgL_cdrzd256961zd2_8748
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_carzd256808zd2_8704));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg6834z00_8749;
																																																																					obj_t
																																																																						BgL_arg6835z00_8750;
																																																																					obj_t
																																																																						BgL_arg6836z00_8751;
																																																																					BgL_arg6834z00_8749
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd256961zd2_8748));
																																																																					BgL_arg6835z00_8750
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd256961zd2_8748));
																																																																					BgL_arg6836z00_8751
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30313;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_30316;
																																																																							obj_t
																																																																								BgL_bodyz00_30315;
																																																																							obj_t
																																																																								BgL_varsz00_30314;
																																																																							BgL_varsz00_30314
																																																																								=
																																																																								BgL_arg6834z00_8749;
																																																																							BgL_bodyz00_30315
																																																																								=
																																																																								BgL_arg6835z00_8750;
																																																																							BgL_argsz00_30316
																																																																								=
																																																																								BgL_arg6836z00_8751;
																																																																							BgL_argsz00_1824
																																																																								=
																																																																								BgL_argsz00_30316;
																																																																							BgL_bodyz00_1823
																																																																								=
																																																																								BgL_bodyz00_30315;
																																																																							BgL_varsz00_1822
																																																																								=
																																																																								BgL_varsz00_30314;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1825;
																																																																						}
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30313);
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd256987zd2_8753;
																																																																		BgL_cdrzd256987zd2_8753
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_carzd256808zd2_8704));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg6838z00_8754;
																																																																			obj_t
																																																																				BgL_arg6839z00_8755;
																																																																			obj_t
																																																																				BgL_arg6840z00_8756;
																																																																			BgL_arg6838z00_8754
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256987zd2_8753));
																																																																			BgL_arg6839z00_8755
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd256987zd2_8753));
																																																																			BgL_arg6840z00_8756
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30326;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_30329;
																																																																					obj_t
																																																																						BgL_bodyz00_30328;
																																																																					obj_t
																																																																						BgL_varsz00_30327;
																																																																					BgL_varsz00_30327
																																																																						=
																																																																						BgL_arg6838z00_8754;
																																																																					BgL_bodyz00_30328
																																																																						=
																																																																						BgL_arg6839z00_8755;
																																																																					BgL_argsz00_30329
																																																																						=
																																																																						BgL_arg6840z00_8756;
																																																																					BgL_argsz00_1824
																																																																						=
																																																																						BgL_argsz00_30329;
																																																																					BgL_bodyz00_1823
																																																																						=
																																																																						BgL_bodyz00_30328;
																																																																					BgL_varsz00_1822
																																																																						=
																																																																						BgL_varsz00_30327;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1825;
																																																																				}
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30326);
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd257013zd2_8758;
																																																																BgL_cdrzd257013zd2_8758
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_carzd256808zd2_8704));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg6842z00_8759;
																																																																	obj_t
																																																																		BgL_arg6843z00_8760;
																																																																	obj_t
																																																																		BgL_arg6844z00_8761;
																																																																	BgL_arg6842z00_8759
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd257013zd2_8758));
																																																																	BgL_arg6843z00_8760
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd257013zd2_8758));
																																																																	BgL_arg6844z00_8761
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30339;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_30342;
																																																																			obj_t
																																																																				BgL_bodyz00_30341;
																																																																			obj_t
																																																																				BgL_varsz00_30340;
																																																																			BgL_varsz00_30340
																																																																				=
																																																																				BgL_arg6842z00_8759;
																																																																			BgL_bodyz00_30341
																																																																				=
																																																																				BgL_arg6843z00_8760;
																																																																			BgL_argsz00_30342
																																																																				=
																																																																				BgL_arg6844z00_8761;
																																																																			BgL_argsz00_1824
																																																																				=
																																																																				BgL_argsz00_30342;
																																																																			BgL_bodyz00_1823
																																																																				=
																																																																				BgL_bodyz00_30341;
																																																																			BgL_varsz00_1822
																																																																				=
																																																																				BgL_varsz00_30340;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1825;
																																																																		}
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30339);
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd257039zd2_8764;
																																																														BgL_cdrzd257039zd2_8764
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_carzd256808zd2_8704));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg6847z00_8765;
																																																															obj_t
																																																																BgL_arg6848z00_8766;
																																																															obj_t
																																																																BgL_arg6849z00_8767;
																																																															BgL_arg6847z00_8765
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd257039zd2_8764));
																																																															BgL_arg6848z00_8766
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd257039zd2_8764));
																																																															BgL_arg6849z00_8767
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30352;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_30355;
																																																																	obj_t
																																																																		BgL_bodyz00_30354;
																																																																	obj_t
																																																																		BgL_varsz00_30353;
																																																																	BgL_varsz00_30353
																																																																		=
																																																																		BgL_arg6847z00_8765;
																																																																	BgL_bodyz00_30354
																																																																		=
																																																																		BgL_arg6848z00_8766;
																																																																	BgL_argsz00_30355
																																																																		=
																																																																		BgL_arg6849z00_8767;
																																																																	BgL_argsz00_1824
																																																																		=
																																																																		BgL_argsz00_30355;
																																																																	BgL_bodyz00_1823
																																																																		=
																																																																		BgL_bodyz00_30354;
																																																																	BgL_varsz00_1822
																																																																		=
																																																																		BgL_varsz00_30353;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1825;
																																																																}
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30352);
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_30359;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_30359);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd257177zd2_8772;
																																																										BgL_cdrzd257177zd2_8772
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd256808zd2_8704));
																																																										if ((CAR(((obj_t) BgL_carzd256808zd2_8704)) == ((obj_t) CNST_TABLE_REF(1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd257177zd2_8772))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd257182zd2_8776;
																																																														BgL_cdrzd257182zd2_8776
																																																															=
																																																															CDR
																																																															(BgL_cdrzd257177zd2_8772);
																																																														if (PAIRP(BgL_cdrzd257182zd2_8776))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd257186zd2_8778;
																																																																obj_t
																																																																	BgL_cdrzd257187zd2_8779;
																																																																BgL_carzd257186zd2_8778
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd257182zd2_8776);
																																																																BgL_cdrzd257187zd2_8779
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd257182zd2_8776);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257186zd2_8778))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd257187zd2_8779))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd257192zd2_8782;
																																																																				BgL_carzd257192zd2_8782
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd257187zd2_8779);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257192zd2_8782))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd257187zd2_8779)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10309z00_30386;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1417z00_8815;
																																																																									BgL_l1417z00_8815
																																																																										=
																																																																										BgL_cdrzd256809zd2_8705;
																																																																								BgL_zc3z04anonymousza36876ze3z87_8816:
																																																																									if (NULLP(BgL_l1417z00_8815))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10309z00_30386
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10311z00_30389;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test10312z00_30390;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_30391;
																																																																													BgL_tmpz00_30391
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1417z00_8815));
																																																																													BgL_test10312z00_30390
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_30391);
																																																																												}
																																																																												if (BgL_test10312z00_30390)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10311z00_30389
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10311z00_30389
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test10311z00_30389)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1417z00_30395;
																																																																													BgL_l1417z00_30395
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1417z00_8815));
																																																																													BgL_l1417z00_8815
																																																																														=
																																																																														BgL_l1417z00_30395;
																																																																													goto
																																																																														BgL_zc3z04anonymousza36876ze3z87_8816;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test10309z00_30386
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test10309z00_30386)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg6866z00_8798;
																																																																										BgL_arg6866z00_8798
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd257177zd2_8772);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30399;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_30403;
																																																																												obj_t
																																																																													BgL_proc2z00_30402;
																																																																												obj_t
																																																																													BgL_proc1z00_30401;
																																																																												obj_t
																																																																													BgL_testz00_30400;
																																																																												BgL_testz00_30400
																																																																													=
																																																																													BgL_arg6866z00_8798;
																																																																												BgL_proc1z00_30401
																																																																													=
																																																																													BgL_carzd257186zd2_8778;
																																																																												BgL_proc2z00_30402
																																																																													=
																																																																													BgL_carzd257192zd2_8782;
																																																																												BgL_argsz00_30403
																																																																													=
																																																																													BgL_cdrzd256809zd2_8705;
																																																																												BgL_argsz00_1829
																																																																													=
																																																																													BgL_argsz00_30403;
																																																																												BgL_proc2z00_1828
																																																																													=
																																																																													BgL_proc2z00_30402;
																																																																												BgL_proc1z00_1827
																																																																													=
																																																																													BgL_proc1z00_30401;
																																																																												BgL_testz00_1826
																																																																													=
																																																																													BgL_testz00_30400;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1830;
																																																																											}
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30399);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd257217zd2_8799;
																																																																										BgL_cdrzd257217zd2_8799
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd257225zd2_8800;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14141;
																																																																												BgL_pairz00_14141
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd257225zd2_8800
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14141);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd257233zd2_8801;
																																																																												BgL_cdrzd257233zd2_8801
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd257225zd2_8800));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd257240zd2_8802;
																																																																													BgL_carzd257240zd2_8802
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd257233zd2_8801));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257240zd2_8802))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd257249zd2_8804;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_14145;
																																																																																BgL_pairz00_14145
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd257233zd2_8801));
																																																																																BgL_carzd257249zd2_8804
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_14145);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257249zd2_8804))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257217zd2_8799))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg6870z00_8807;
																																																																																			BgL_arg6870z00_8807
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd257225zd2_8800));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_30425;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_30429;
																																																																																					obj_t
																																																																																						BgL_proc2z00_30428;
																																																																																					obj_t
																																																																																						BgL_proc1z00_30427;
																																																																																					obj_t
																																																																																						BgL_testz00_30426;
																																																																																					BgL_testz00_30426
																																																																																						=
																																																																																						BgL_arg6870z00_8807;
																																																																																					BgL_proc1z00_30427
																																																																																						=
																																																																																						BgL_carzd257240zd2_8802;
																																																																																					BgL_proc2z00_30428
																																																																																						=
																																																																																						BgL_carzd257249zd2_8804;
																																																																																					BgL_argsz00_30429
																																																																																						=
																																																																																						BgL_cdrzd257217zd2_8799;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_30429;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_30428;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_30427;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_30426;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_25577
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_30425);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_30433;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_25577
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_30433);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_30437;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_30437);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_30441;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_30441);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30445;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30445);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd257527zd2_8826;
																																																																						BgL_cdrzd257527zd2_8826
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd257534zd2_8827;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14149;
																																																																								BgL_pairz00_14149
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd257534zd2_8827
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14149);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd257541zd2_8828;
																																																																								BgL_cdrzd257541zd2_8828
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd257534zd2_8827));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd257547zd2_8829;
																																																																									obj_t
																																																																										BgL_cdrzd257548zd2_8830;
																																																																									BgL_carzd257547zd2_8829
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd257541zd2_8828));
																																																																									BgL_cdrzd257548zd2_8830
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd257541zd2_8828));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257547zd2_8829))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd257555zd2_8832;
																																																																											BgL_carzd257555zd2_8832
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd257548zd2_8830));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257555zd2_8832))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd257548zd2_8830))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257527zd2_8826))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg6885z00_8837;
																																																																																	BgL_arg6885z00_8837
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd257534zd2_8827));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_30472;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_30476;
																																																																																			obj_t
																																																																																				BgL_proc2z00_30475;
																																																																																			obj_t
																																																																																				BgL_proc1z00_30474;
																																																																																			obj_t
																																																																																				BgL_testz00_30473;
																																																																																			BgL_testz00_30473
																																																																																				=
																																																																																				BgL_arg6885z00_8837;
																																																																																			BgL_proc1z00_30474
																																																																																				=
																																																																																				BgL_carzd257547zd2_8829;
																																																																																			BgL_proc2z00_30475
																																																																																				=
																																																																																				BgL_carzd257555zd2_8832;
																																																																																			BgL_argsz00_30476
																																																																																				=
																																																																																				BgL_cdrzd257527zd2_8826;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_30476;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_30475;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_30474;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_30473;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_25577
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_30472);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_30480;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_25577
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_30480);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_30484;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_30484);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_30488;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_30488);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30492;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30492);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30496;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30496);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd257888zd2_8845;
																																																																		BgL_cdrzd257888zd2_8845
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd257894zd2_8846;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14158;
																																																																				BgL_pairz00_14158
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd257894zd2_8846
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14158);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd257900zd2_8847;
																																																																				BgL_cdrzd257900zd2_8847
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd257894zd2_8846));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd257905zd2_8848;
																																																																					obj_t
																																																																						BgL_cdrzd257906zd2_8849;
																																																																					BgL_carzd257905zd2_8848
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd257900zd2_8847));
																																																																					BgL_cdrzd257906zd2_8849
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd257900zd2_8847));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257905zd2_8848))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd257906zd2_8849))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd257911zd2_8852;
																																																																									BgL_carzd257911zd2_8852
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd257906zd2_8849);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd257911zd2_8852))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd257906zd2_8849)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd257888zd2_8845))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg6899z00_8857;
																																																																															BgL_arg6899z00_8857
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd257894zd2_8846));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_30523;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_30527;
																																																																																	obj_t
																																																																																		BgL_proc2z00_30526;
																																																																																	obj_t
																																																																																		BgL_proc1z00_30525;
																																																																																	obj_t
																																																																																		BgL_testz00_30524;
																																																																																	BgL_testz00_30524
																																																																																		=
																																																																																		BgL_arg6899z00_8857;
																																																																																	BgL_proc1z00_30525
																																																																																		=
																																																																																		BgL_carzd257905zd2_8848;
																																																																																	BgL_proc2z00_30526
																																																																																		=
																																																																																		BgL_carzd257911zd2_8852;
																																																																																	BgL_argsz00_30527
																																																																																		=
																																																																																		BgL_cdrzd257888zd2_8845;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_30527;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_30526;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_30525;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_30524;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_25577
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_30523);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_30531;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_25577
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_30531);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_30535;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_30535);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_30539;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_30539);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30543;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30543);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30547;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30547);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30551;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30551);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30555;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30555);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_30559;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_30559);
																																																													}
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if ((BgL_carzd255145zd2_8690 == ((obj_t) CNST_TABLE_REF(18))))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg7014z00_9022;
																																									obj_t
																																										BgL_arg7015z00_9023;
																																									BgL_arg7014z00_9022
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd255120zd2_8685));
																																									BgL_arg7015z00_9023
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd255120zd2_8685));
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_30569;
																																										{
																																											obj_t
																																												BgL_exprz00_30571;
																																											obj_t
																																												BgL_bindingsz00_30570;
																																											BgL_bindingsz00_30570
																																												=
																																												BgL_arg7014z00_9022;
																																											BgL_exprz00_30571
																																												=
																																												BgL_arg7015z00_9023;
																																											BgL_exprz00_1814
																																												=
																																												BgL_exprz00_30571;
																																											BgL_bindingsz00_1813
																																												=
																																												BgL_bindingsz00_30570;
																																											goto
																																												BgL_tagzd2383zd2_1815;
																																										}
																																										BgL_auxz00_25577
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_30569);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd255145zd2_8690)))
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg7017z00_9025;
																																											obj_t
																																												BgL_arg7018z00_9026;
																																											BgL_arg7017z00_9025
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd255120zd2_8685));
																																											BgL_arg7018z00_9026
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd255120zd2_8685));
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_30580;
																																												{
																																													obj_t
																																														BgL_exprz00_30582;
																																													obj_t
																																														BgL_bindingsz00_30581;
																																													BgL_bindingsz00_30581
																																														=
																																														BgL_arg7017z00_9025;
																																													BgL_exprz00_30582
																																														=
																																														BgL_arg7018z00_9026;
																																													BgL_exprz00_1814
																																														=
																																														BgL_exprz00_30582;
																																													BgL_bindingsz00_1813
																																														=
																																														BgL_bindingsz00_30581;
																																													goto
																																														BgL_tagzd2383zd2_1815;
																																												}
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_30580);
																																											}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((BgL_carzd255145zd2_8690 == ((obj_t) CNST_TABLE_REF(19))))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg7019z00_9027;
																																													obj_t
																																														BgL_arg7020z00_9028;
																																													BgL_arg7019z00_9027
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd255120zd2_8685));
																																													BgL_arg7020z00_9028
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd255120zd2_8685));
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_30592;
																																														{
																																															obj_t
																																																BgL_exprz00_30594;
																																															obj_t
																																																BgL_bindingsz00_30593;
																																															BgL_bindingsz00_30593
																																																=
																																																BgL_arg7019z00_9027;
																																															BgL_exprz00_30594
																																																=
																																																BgL_arg7020z00_9028;
																																															BgL_exprz00_1814
																																																=
																																																BgL_exprz00_30594;
																																															BgL_bindingsz00_1813
																																																=
																																																BgL_bindingsz00_30593;
																																															goto
																																																BgL_tagzd2383zd2_1815;
																																														}
																																														BgL_auxz00_25577
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_30592);
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_30602;
																																															goto
																																																BgL_tagzd2384zd2_1816;
																																															BgL_auxz00_25577
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_30602);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_carzd258486zd2_9031;
																																															BgL_carzd258486zd2_9031
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															if ((BgL_carzd258486zd2_9031 == ((obj_t) CNST_TABLE_REF(20))))
																																																{
																																																	BgL_letzd2funzd2_bglt
																																																		BgL_auxz00_30610;
																																																	goto
																																																		BgL_tagzd2385zd2_1817;
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_30610);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd258486zd2_9031)))
																																																		{
																																																			BgL_letzd2funzd2_bglt
																																																				BgL_auxz00_30615;
																																																			goto
																																																				BgL_tagzd2385zd2_1817;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_30615);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_30623;
																																																					goto
																																																						BgL_tagzd2390zd2_1836;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_30623);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_30631;
																																																							goto
																																																								BgL_tagzd2391zd2_1837;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_30631);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd258566zd2_9037;
																																																							BgL_cdrzd258566zd2_9037
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_arg7030z00_9040;
																																																									obj_t
																																																										BgL_arg7031z00_9041;
																																																									BgL_arg7030z00_9040
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd258566zd2_9037));
																																																									BgL_arg7031z00_9041
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd258566zd2_9037));
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_30645;
																																																										{
																																																											obj_t
																																																												BgL_restz00_30647;
																																																											obj_t
																																																												BgL_effectz00_30646;
																																																											BgL_effectz00_30646
																																																												=
																																																												BgL_arg7030z00_9040;
																																																											BgL_restz00_30647
																																																												=
																																																												BgL_arg7031z00_9041;
																																																											BgL_restz00_1839
																																																												=
																																																												BgL_restz00_30647;
																																																											BgL_effectz00_1838
																																																												=
																																																												BgL_effectz00_30646;
																																																											goto
																																																												BgL_tagzd2392zd2_1840;
																																																										}
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_30645);
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_30655;
																																																											goto
																																																												BgL_tagzd2393zd2_1841;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_30655);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_30663;
																																																													goto
																																																														BgL_tagzd2394zd2_1842;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_30663);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg7038z00_9049;
																																																															obj_t
																																																																BgL_arg7039z00_9050;
																																																															BgL_arg7038z00_9049
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd258566zd2_9037));
																																																															BgL_arg7039z00_9050
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd258566zd2_9037));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30675;
																																																																{
																																																																	obj_t
																																																																		BgL_restz00_30677;
																																																																	obj_t
																																																																		BgL_effectz00_30676;
																																																																	BgL_effectz00_30676
																																																																		=
																																																																		BgL_arg7038z00_9049;
																																																																	BgL_restz00_30677
																																																																		=
																																																																		BgL_arg7039z00_9050;
																																																																	BgL_restz00_1844
																																																																		=
																																																																		BgL_restz00_30677;
																																																																	BgL_effectz00_1843
																																																																		=
																																																																		BgL_effectz00_30676;
																																																																	goto
																																																																		BgL_tagzd2395zd2_1845;
																																																																}
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30675);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_30685;
																																																																	goto
																																																																		BgL_tagzd2396zd2_1846;
																																																																	BgL_auxz00_25577
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_30685);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_30693;
																																																																			goto
																																																																				BgL_tagzd2397zd2_1847;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_30693);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																				{
																																																																					BgL_letzd2funzd2_bglt
																																																																						BgL_auxz00_30701;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1848;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30701);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																						{
																																																																							BgL_jumpzd2exzd2itz00_bglt
																																																																								BgL_auxz00_30709;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1849;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30709);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd258643zd2_9059;
																																																																							BgL_cdrzd258643zd2_9059
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg7050z00_9062;
																																																																									obj_t
																																																																										BgL_arg7051z00_9063;
																																																																									BgL_arg7050z00_9062
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd258643zd2_9059));
																																																																									BgL_arg7051z00_9063
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd258643zd2_9059));
																																																																									{	/* Ast/sexp.scm 564 */
																																																																										obj_t
																																																																											BgL_arg7648z00_14195;
																																																																										BgL_arg7648z00_14195
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																												BgL_arg7050z00_9062,
																																																																												((obj_t) CNST_TABLE_REF(4)), BgL_arg7051z00_9063, BgL_stackz00_22, BgL_arg7648z00_14195, BgL_sitez00_24));
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_30730;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_30730);
																																																																										}
																																																																								}
																																																																						}
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									obj_t BgL_carzd258668zd2_9080;

																									BgL_carzd258668zd2_9080 =
																										CAR(
																										((obj_t) BgL_expz00_21));
																									if (
																										(BgL_carzd258668zd2_9080 ==
																											((obj_t)
																												CNST_TABLE_REF(1))))
																										{
																											BgL_nodez00_bglt
																												BgL_auxz00_30738;
																											goto
																												BgL_tagzd2377zd2_1801;
																											BgL_auxz00_25577 =
																												((obj_t)
																												BgL_auxz00_30738);
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											if (
																												(BgL_carzd258668zd2_9080
																													==
																													BGl_za2ifza2z00zzast_sexpz00))
																												{
																													BgL_nodez00_bglt
																														BgL_auxz00_30742;
																													goto
																														BgL_tagzd2377zd2_1801;
																													BgL_auxz00_25577 =
																														((obj_t)
																														BgL_auxz00_30742);
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(7))))
																														{
																															BgL_nodez00_bglt
																																BgL_auxz00_30750;
																															goto
																																BgL_tagzd2379zd2_1805;
																															BgL_auxz00_25577 =
																																((obj_t)
																																BgL_auxz00_30750);
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(16))))
																																{
																																	BgL_nodez00_bglt
																																		BgL_auxz00_30758;
																																	goto
																																		BgL_tagzd2380zd2_1806;
																																	BgL_auxz00_25577
																																		=
																																		((obj_t)
																																		BgL_auxz00_30758);
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd258753zd2_9086;
																																	BgL_carzd258753zd2_9086
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd258753zd2_9086))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd258756zd2_9088;
																																			obj_t
																																				BgL_cdrzd258757zd2_9089;
																																			BgL_carzd258756zd2_9088
																																				=
																																				CAR
																																				(BgL_carzd258753zd2_9086);
																																			BgL_cdrzd258757zd2_9089
																																				=
																																				CDR
																																				(BgL_carzd258753zd2_9086);
																																			{

																																				if (
																																					(BgL_carzd258756zd2_9088
																																						==
																																						((obj_t) CNST_TABLE_REF(18))))
																																					{	/* Ast/sexp.scm 119 */
																																					BgL_kapzd258758zd2_9090:
																																						if (PAIRP(BgL_cdrzd258757zd2_9089))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd258761zd2_9206;
																																								BgL_cdrzd258761zd2_9206
																																									=
																																									CDR
																																									(BgL_cdrzd258757zd2_9089);
																																								if (PAIRP(BgL_cdrzd258761zd2_9206))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd258761zd2_9206)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg7150z00_9210;
																																												obj_t
																																													BgL_arg7151z00_9211;
																																												BgL_arg7150z00_9210
																																													=
																																													CAR
																																													(BgL_cdrzd258761zd2_9206);
																																												BgL_arg7151z00_9211
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_30781;
																																													{
																																														obj_t
																																															BgL_argsz00_30783;
																																														obj_t
																																															BgL_bodyz00_30782;
																																														BgL_bodyz00_30782
																																															=
																																															BgL_arg7150z00_9210;
																																														BgL_argsz00_30783
																																															=
																																															BgL_arg7151z00_9211;
																																														BgL_argsz00_1811
																																															=
																																															BgL_argsz00_30783;
																																														BgL_bodyz00_1810
																																															=
																																															BgL_bodyz00_30782;
																																														goto
																																															BgL_tagzd2382zd2_1812;
																																													}
																																													BgL_auxz00_25577
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_30781);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10369z00_30785;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg7215z00_9317;
																																													BgL_arg7215z00_9317
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10369z00_30785
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg7215z00_9317));
																																												}
																																												if (BgL_test10369z00_30785)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_30790;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_25577
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_30790);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd258839zd2_9214;
																																														BgL_carzd258839zd2_9214
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd258844zd2_9215;
																																															BgL_cdrzd258844zd2_9215
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd258839zd2_9214));
																																															if ((CAR(((obj_t) BgL_carzd258839zd2_9214)) == ((obj_t) CNST_TABLE_REF(3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg7156z00_9218;
																																																	obj_t
																																																		BgL_arg7157z00_9219;
																																																	obj_t
																																																		BgL_arg7158z00_9220;
																																																	BgL_arg7156z00_9218
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd258844zd2_9215));
																																																	BgL_arg7157z00_9219
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd258844zd2_9215));
																																																	BgL_arg7158z00_9220
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_30808;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_30811;
																																																			obj_t
																																																				BgL_bodyz00_30810;
																																																			obj_t
																																																				BgL_varsz00_30809;
																																																			BgL_varsz00_30809
																																																				=
																																																				BgL_arg7156z00_9218;
																																																			BgL_bodyz00_30810
																																																				=
																																																				BgL_arg7157z00_9219;
																																																			BgL_argsz00_30811
																																																				=
																																																				BgL_arg7158z00_9220;
																																																			BgL_argsz00_1824
																																																				=
																																																				BgL_argsz00_30811;
																																																			BgL_bodyz00_1823
																																																				=
																																																				BgL_bodyz00_30810;
																																																			BgL_varsz00_1822
																																																				=
																																																				BgL_varsz00_30809;
																																																			goto
																																																				BgL_tagzd2387zd2_1825;
																																																		}
																																																		BgL_auxz00_25577
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_30808);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd258867zd2_9222;
																																																	BgL_cdrzd258867zd2_9222
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_cdrzd258873zd2_9223;
																																																		BgL_cdrzd258873zd2_9223
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_carzd258839zd2_9214));
																																																		if ((CAR(((obj_t) BgL_carzd258839zd2_9214)) == ((obj_t) CNST_TABLE_REF(1))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd258879zd2_9226;
																																																				BgL_cdrzd258879zd2_9226
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd258873zd2_9223));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_carzd258884zd2_9227;
																																																					obj_t
																																																						BgL_cdrzd258885zd2_9228;
																																																					BgL_carzd258884zd2_9227
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd258879zd2_9226));
																																																					BgL_cdrzd258885zd2_9228
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd258879zd2_9226));
																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258884zd2_9227))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd258885zd2_9228))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd258892zd2_9231;
																																																									BgL_carzd258892zd2_9231
																																																										=
																																																										CAR
																																																										(BgL_cdrzd258885zd2_9228);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258892zd2_9231))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_cdrzd258885zd2_9228)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test10376z00_30839;
																																																													{
																																																														obj_t
																																																															BgL_l1420z00_9264;
																																																														BgL_l1420z00_9264
																																																															=
																																																															BgL_cdrzd258867zd2_9222;
																																																													BgL_zc3z04anonymousza37181ze3z87_9265:
																																																														if (NULLP(BgL_l1420z00_9264))
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10376z00_30839
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																bool_t
																																																																	BgL_test10378z00_30842;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test10379z00_30843;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_tmpz00_30844;
																																																																		BgL_tmpz00_30844
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_l1420z00_9264));
																																																																		BgL_test10379z00_30843
																																																																			=
																																																																			PAIRP
																																																																			(BgL_tmpz00_30844);
																																																																	}
																																																																	if (BgL_test10379z00_30843)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test10378z00_30842
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			BgL_test10378z00_30842
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																}
																																																																if (BgL_test10378z00_30842)
																																																																	{
																																																																		obj_t
																																																																			BgL_l1420z00_30848;
																																																																		BgL_l1420z00_30848
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_l1420z00_9264));
																																																																		BgL_l1420z00_9264
																																																																			=
																																																																			BgL_l1420z00_30848;
																																																																		goto
																																																																			BgL_zc3z04anonymousza37181ze3z87_9265;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test10376z00_30839
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																															}
																																																													}
																																																													if (BgL_test10376z00_30839)
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_arg7171z00_9247;
																																																															BgL_arg7171z00_9247
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd258873zd2_9223));
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30853;
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_30857;
																																																																	obj_t
																																																																		BgL_proc2z00_30856;
																																																																	obj_t
																																																																		BgL_proc1z00_30855;
																																																																	obj_t
																																																																		BgL_testz00_30854;
																																																																	BgL_testz00_30854
																																																																		=
																																																																		BgL_arg7171z00_9247;
																																																																	BgL_proc1z00_30855
																																																																		=
																																																																		BgL_carzd258884zd2_9227;
																																																																	BgL_proc2z00_30856
																																																																		=
																																																																		BgL_carzd258892zd2_9231;
																																																																	BgL_argsz00_30857
																																																																		=
																																																																		BgL_cdrzd258867zd2_9222;
																																																																	BgL_argsz00_1829
																																																																		=
																																																																		BgL_argsz00_30857;
																																																																	BgL_proc2z00_1828
																																																																		=
																																																																		BgL_proc2z00_30856;
																																																																	BgL_proc1z00_1827
																																																																		=
																																																																		BgL_proc1z00_30855;
																																																																	BgL_testz00_1826
																																																																		=
																																																																		BgL_testz00_30854;
																																																																	goto
																																																																		BgL_tagzd2388zd2_1830;
																																																																}
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30853);
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd258916zd2_9248;
																																																															BgL_cdrzd258916zd2_9248
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd258923zd2_9249;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14227;
																																																																	BgL_pairz00_14227
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd258923zd2_9249
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14227);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd258930zd2_9250;
																																																																	BgL_cdrzd258930zd2_9250
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd258923zd2_9249));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd258936zd2_9251;
																																																																		BgL_carzd258936zd2_9251
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd258930zd2_9250));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258936zd2_9251))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd258943zd2_9253;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14231;
																																																																					BgL_pairz00_14231
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd258930zd2_9250));
																																																																					BgL_carzd258943zd2_9253
																																																																						=
																																																																						CAR
																																																																						(BgL_pairz00_14231);
																																																																				}
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd258943zd2_9253))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd258916zd2_9248))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg7175z00_9256;
																																																																								BgL_arg7175z00_9256
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd258923zd2_9249));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_30879;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_30883;
																																																																										obj_t
																																																																											BgL_proc2z00_30882;
																																																																										obj_t
																																																																											BgL_proc1z00_30881;
																																																																										obj_t
																																																																											BgL_testz00_30880;
																																																																										BgL_testz00_30880
																																																																											=
																																																																											BgL_arg7175z00_9256;
																																																																										BgL_proc1z00_30881
																																																																											=
																																																																											BgL_carzd258936zd2_9251;
																																																																										BgL_proc2z00_30882
																																																																											=
																																																																											BgL_carzd258943zd2_9253;
																																																																										BgL_argsz00_30883
																																																																											=
																																																																											BgL_cdrzd258916zd2_9248;
																																																																										BgL_argsz00_1834
																																																																											=
																																																																											BgL_argsz00_30883;
																																																																										BgL_proc2z00_1833
																																																																											=
																																																																											BgL_proc2z00_30882;
																																																																										BgL_proc1z00_1832
																																																																											=
																																																																											BgL_proc1z00_30881;
																																																																										BgL_testz00_1831
																																																																											=
																																																																											BgL_testz00_30880;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1835;
																																																																									}
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_30879);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_30887;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_30887);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30891;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30891);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30895;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30895);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_30899;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_30899);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd259219zd2_9275;
																																																											BgL_cdrzd259219zd2_9275
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd259225zd2_9276;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_14235;
																																																													BgL_pairz00_14235
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd259225zd2_9276
																																																														=
																																																														CDR
																																																														(BgL_pairz00_14235);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd259231zd2_9277;
																																																													BgL_cdrzd259231zd2_9277
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd259225zd2_9276));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd259236zd2_9278;
																																																														obj_t
																																																															BgL_cdrzd259237zd2_9279;
																																																														BgL_carzd259236zd2_9278
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd259231zd2_9277));
																																																														BgL_cdrzd259237zd2_9279
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd259231zd2_9277));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259236zd2_9278))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd259242zd2_9281;
																																																																BgL_carzd259242zd2_9281
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd259237zd2_9279));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259242zd2_9281))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd259237zd2_9279))))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259219zd2_9275))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg7190z00_9286;
																																																																						BgL_arg7190z00_9286
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd259225zd2_9276));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_30926;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_30930;
																																																																								obj_t
																																																																									BgL_proc2z00_30929;
																																																																								obj_t
																																																																									BgL_proc1z00_30928;
																																																																								obj_t
																																																																									BgL_testz00_30927;
																																																																								BgL_testz00_30927
																																																																									=
																																																																									BgL_arg7190z00_9286;
																																																																								BgL_proc1z00_30928
																																																																									=
																																																																									BgL_carzd259236zd2_9278;
																																																																								BgL_proc2z00_30929
																																																																									=
																																																																									BgL_carzd259242zd2_9281;
																																																																								BgL_argsz00_30930
																																																																									=
																																																																									BgL_cdrzd259219zd2_9275;
																																																																								BgL_argsz00_1834
																																																																									=
																																																																									BgL_argsz00_30930;
																																																																								BgL_proc2z00_1833
																																																																									=
																																																																									BgL_proc2z00_30929;
																																																																								BgL_proc1z00_1832
																																																																									=
																																																																									BgL_proc1z00_30928;
																																																																								BgL_testz00_1831
																																																																									=
																																																																									BgL_testz00_30927;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1835;
																																																																							}
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_30926);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_30934;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_25577
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_30934);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30938;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30938);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30942;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30942);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30946;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30946);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_30950;
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																											BgL_auxz00_25577
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_30950);
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd259575zd2_9294;
																																																							BgL_cdrzd259575zd2_9294
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd259582zd2_9295;
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_pairz00_14244;
																																																									BgL_pairz00_14244
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									BgL_cdrzd259582zd2_9295
																																																										=
																																																										CDR
																																																										(BgL_pairz00_14244);
																																																								}
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd259589zd2_9296;
																																																									BgL_cdrzd259589zd2_9296
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd259582zd2_9295));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd259595zd2_9297;
																																																										obj_t
																																																											BgL_cdrzd259596zd2_9298;
																																																										BgL_carzd259595zd2_9297
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_cdrzd259589zd2_9296));
																																																										BgL_cdrzd259596zd2_9298
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd259589zd2_9296));
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259595zd2_9297))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd259596zd2_9298))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd259603zd2_9301;
																																																														BgL_carzd259603zd2_9301
																																																															=
																																																															CAR
																																																															(BgL_cdrzd259596zd2_9298);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd259603zd2_9301))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd259596zd2_9298)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd259575zd2_9294))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg7204z00_9306;
																																																																				BgL_arg7204z00_9306
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd259582zd2_9295));
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_30977;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_30981;
																																																																						obj_t
																																																																							BgL_proc2z00_30980;
																																																																						obj_t
																																																																							BgL_proc1z00_30979;
																																																																						obj_t
																																																																							BgL_testz00_30978;
																																																																						BgL_testz00_30978
																																																																							=
																																																																							BgL_arg7204z00_9306;
																																																																						BgL_proc1z00_30979
																																																																							=
																																																																							BgL_carzd259595zd2_9297;
																																																																						BgL_proc2z00_30980
																																																																							=
																																																																							BgL_carzd259603zd2_9301;
																																																																						BgL_argsz00_30981
																																																																							=
																																																																							BgL_cdrzd259575zd2_9294;
																																																																						BgL_argsz00_1834
																																																																							=
																																																																							BgL_argsz00_30981;
																																																																						BgL_proc2z00_1833
																																																																							=
																																																																							BgL_proc2z00_30980;
																																																																						BgL_proc1z00_1832
																																																																							=
																																																																							BgL_proc1z00_30979;
																																																																						BgL_testz00_1831
																																																																							=
																																																																							BgL_testz00_30978;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1835;
																																																																					}
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_30977);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_30985;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_25577
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_30985);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_30989;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_30989);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_30993;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_25577
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_30993);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_30997;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_30997);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_31001;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_25577
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_31001);
																																																													}
																																																											}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{	/* Ast/sexp.scm 119 */
																																																						goto
																																																							BgL_tagzd2404zd2_1859;
																																																					}
																																																				else
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_31005;
																																																						goto
																																																							BgL_tagzd2405zd2_1860;
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_31005);
																																																					}
																																																			}
																																																	}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10407z00_31007;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg7226z00_9330;
																																											BgL_arg7226z00_9330
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10407z00_31007
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg7226z00_9330));
																																										}
																																										if (BgL_test10407z00_31007)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_31012;
																																												goto
																																													BgL_tagzd2385zd2_1817;
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_31012);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd260049zd2_9321;
																																												BgL_carzd260049zd2_9321
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_cdrzd260054zd2_9322;
																																													BgL_cdrzd260054zd2_9322
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_carzd260049zd2_9321));
																																													if ((CAR(((obj_t) BgL_carzd260049zd2_9321)) == ((obj_t) CNST_TABLE_REF(3))))
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg7221z00_9325;
																																															obj_t
																																																BgL_arg7222z00_9326;
																																															obj_t
																																																BgL_arg7223z00_9327;
																																															BgL_arg7221z00_9325
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd260054zd2_9322));
																																															BgL_arg7222z00_9326
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd260054zd2_9322));
																																															BgL_arg7223z00_9327
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_31030;
																																																{
																																																	obj_t
																																																		BgL_argsz00_31033;
																																																	obj_t
																																																		BgL_bodyz00_31032;
																																																	obj_t
																																																		BgL_varsz00_31031;
																																																	BgL_varsz00_31031
																																																		=
																																																		BgL_arg7221z00_9325;
																																																	BgL_bodyz00_31032
																																																		=
																																																		BgL_arg7222z00_9326;
																																																	BgL_argsz00_31033
																																																		=
																																																		BgL_arg7223z00_9327;
																																																	BgL_argsz00_1824
																																																		=
																																																		BgL_argsz00_31033;
																																																	BgL_bodyz00_1823
																																																		=
																																																		BgL_bodyz00_31032;
																																																	BgL_varsz00_1822
																																																		=
																																																		BgL_varsz00_31031;
																																																	goto
																																																		BgL_tagzd2387zd2_1825;
																																																}
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_31030);
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 119 */
																																																	goto
																																																		BgL_tagzd2404zd2_1859;
																																																}
																																															else
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_31037;
																																																	goto
																																																		BgL_tagzd2405zd2_1860;
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_31037);
																																																}
																																														}
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								bool_t
																																									BgL_test10410z00_31039;
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_arg7230z00_9334;
																																									BgL_arg7230z00_9334
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_expz00_21));
																																									BgL_test10410z00_31039
																																										=
																																										CBOOL
																																										(BGl_labelszd2symzf3z21zzast_labelsz00
																																										(BgL_arg7230z00_9334));
																																								}
																																								if (BgL_test10410z00_31039)
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_31044;
																																										goto
																																											BgL_tagzd2385zd2_1817;
																																										BgL_auxz00_25577
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_31044);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd2404zd2_1859;
																																											}
																																										else
																																											{
																																												BgL_nodez00_bglt
																																													BgL_auxz00_31048;
																																												goto
																																													BgL_tagzd2405zd2_1860;
																																												BgL_auxz00_25577
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_31048);
																																											}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd258756zd2_9088)))
																																							{	/* Ast/sexp.scm 119 */
																																								goto
																																									BgL_kapzd258758zd2_9090;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd258756zd2_9088 == ((obj_t) CNST_TABLE_REF(19))))
																																									{	/* Ast/sexp.scm 119 */
																																										goto
																																											BgL_kapzd258758zd2_9090;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd258756zd2_9088 == ((obj_t) CNST_TABLE_REF(20))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_kapzd258758zd2_9090;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd258756zd2_9088)))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_kapzd258758zd2_9090;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10416z00_31064;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg7145z00_9204;
																																															BgL_arg7145z00_9204
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10416z00_31064
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg7145z00_9204));
																																														}
																																														if (BgL_test10416z00_31064)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_31069;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_25577
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_31069);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd260377zd2_9095;
																																																BgL_carzd260377zd2_9095
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd260382zd2_9096;
																																																	BgL_cdrzd260382zd2_9096
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd260377zd2_9095));
																																																	if ((CAR(((obj_t) BgL_carzd260377zd2_9095)) == ((obj_t) CNST_TABLE_REF(3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (PAIRP(BgL_cdrzd260382zd2_9096))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg7081z00_9100;
																																																					obj_t
																																																						BgL_arg7082z00_9101;
																																																					obj_t
																																																						BgL_arg7083z00_9102;
																																																					BgL_arg7081z00_9100
																																																						=
																																																						CAR
																																																						(BgL_cdrzd260382zd2_9096);
																																																					BgL_arg7082z00_9101
																																																						=
																																																						CDR
																																																						(BgL_cdrzd260382zd2_9096);
																																																					BgL_arg7083z00_9102
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_31087;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_31090;
																																																							obj_t
																																																								BgL_bodyz00_31089;
																																																							obj_t
																																																								BgL_varsz00_31088;
																																																							BgL_varsz00_31088
																																																								=
																																																								BgL_arg7081z00_9100;
																																																							BgL_bodyz00_31089
																																																								=
																																																								BgL_arg7082z00_9101;
																																																							BgL_argsz00_31090
																																																								=
																																																								BgL_arg7083z00_9102;
																																																							BgL_argsz00_1824
																																																								=
																																																								BgL_argsz00_31090;
																																																							BgL_bodyz00_1823
																																																								=
																																																								BgL_bodyz00_31089;
																																																							BgL_varsz00_1822
																																																								=
																																																								BgL_varsz00_31088;
																																																							goto
																																																								BgL_tagzd2387zd2_1825;
																																																						}
																																																						BgL_auxz00_25577
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_31087);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1859;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_31094;
																																																							goto
																																																								BgL_tagzd2405zd2_1860;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_31094);
																																																						}
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd260489zd2_9105;
																																																			BgL_cdrzd260489zd2_9105
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd260494zd2_9106;
																																																				BgL_cdrzd260494zd2_9106
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd260377zd2_9095));
																																																				if ((CAR(((obj_t) BgL_carzd260377zd2_9095)) == ((obj_t) CNST_TABLE_REF(1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd260494zd2_9106))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd260499zd2_9110;
																																																								BgL_cdrzd260499zd2_9110
																																																									=
																																																									CDR
																																																									(BgL_cdrzd260494zd2_9106);
																																																								if (PAIRP(BgL_cdrzd260499zd2_9110))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_carzd260503zd2_9112;
																																																										obj_t
																																																											BgL_cdrzd260504zd2_9113;
																																																										BgL_carzd260503zd2_9112
																																																											=
																																																											CAR
																																																											(BgL_cdrzd260499zd2_9110);
																																																										BgL_cdrzd260504zd2_9113
																																																											=
																																																											CDR
																																																											(BgL_cdrzd260499zd2_9110);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260503zd2_9112))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd260504zd2_9113))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd260509zd2_9116;
																																																														BgL_carzd260509zd2_9116
																																																															=
																																																															CAR
																																																															(BgL_cdrzd260504zd2_9113);
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260509zd2_9116))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(BgL_cdrzd260504zd2_9113)))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test10427z00_31123;
																																																																		{
																																																																			obj_t
																																																																				BgL_l1423z00_9149;
																																																																			BgL_l1423z00_9149
																																																																				=
																																																																				BgL_cdrzd260489zd2_9105;
																																																																		BgL_zc3z04anonymousza37109ze3z87_9150:
																																																																			if (NULLP(BgL_l1423z00_9149))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10427z00_31123
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10429z00_31126;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10430z00_31127;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_tmpz00_31128;
																																																																							BgL_tmpz00_31128
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_l1423z00_9149));
																																																																							BgL_test10430z00_31127
																																																																								=
																																																																								PAIRP
																																																																								(BgL_tmpz00_31128);
																																																																						}
																																																																						if (BgL_test10430z00_31127)
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10429z00_31126
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10429z00_31126
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																					}
																																																																					if (BgL_test10429z00_31126)
																																																																						{
																																																																							obj_t
																																																																								BgL_l1423z00_31132;
																																																																							BgL_l1423z00_31132
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_l1423z00_9149));
																																																																							BgL_l1423z00_9149
																																																																								=
																																																																								BgL_l1423z00_31132;
																																																																							goto
																																																																								BgL_zc3z04anonymousza37109ze3z87_9150;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10427z00_31123
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																				}
																																																																		}
																																																																		if (BgL_test10427z00_31123)
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg7099z00_9132;
																																																																				BgL_arg7099z00_9132
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd260494zd2_9106);
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_31136;
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_31140;
																																																																						obj_t
																																																																							BgL_proc2z00_31139;
																																																																						obj_t
																																																																							BgL_proc1z00_31138;
																																																																						obj_t
																																																																							BgL_testz00_31137;
																																																																						BgL_testz00_31137
																																																																							=
																																																																							BgL_arg7099z00_9132;
																																																																						BgL_proc1z00_31138
																																																																							=
																																																																							BgL_carzd260503zd2_9112;
																																																																						BgL_proc2z00_31139
																																																																							=
																																																																							BgL_carzd260509zd2_9116;
																																																																						BgL_argsz00_31140
																																																																							=
																																																																							BgL_cdrzd260489zd2_9105;
																																																																						BgL_argsz00_1829
																																																																							=
																																																																							BgL_argsz00_31140;
																																																																						BgL_proc2z00_1828
																																																																							=
																																																																							BgL_proc2z00_31139;
																																																																						BgL_proc1z00_1827
																																																																							=
																																																																							BgL_proc1z00_31138;
																																																																						BgL_testz00_1826
																																																																							=
																																																																							BgL_testz00_31137;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1830;
																																																																					}
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_31136);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd260534zd2_9133;
																																																																				BgL_cdrzd260534zd2_9133
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd260542zd2_9134;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_14280;
																																																																						BgL_pairz00_14280
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd260542zd2_9134
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_14280);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd260550zd2_9135;
																																																																						BgL_cdrzd260550zd2_9135
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd260542zd2_9134));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd260557zd2_9136;
																																																																							BgL_carzd260557zd2_9136
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd260550zd2_9135));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260557zd2_9136))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd260566zd2_9138;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_14284;
																																																																										BgL_pairz00_14284
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd260550zd2_9135));
																																																																										BgL_carzd260566zd2_9138
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_14284);
																																																																									}
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260566zd2_9138))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260534zd2_9133))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg7103z00_9141;
																																																																													BgL_arg7103z00_9141
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd260542zd2_9134));
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_31162;
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_31166;
																																																																															obj_t
																																																																																BgL_proc2z00_31165;
																																																																															obj_t
																																																																																BgL_proc1z00_31164;
																																																																															obj_t
																																																																																BgL_testz00_31163;
																																																																															BgL_testz00_31163
																																																																																=
																																																																																BgL_arg7103z00_9141;
																																																																															BgL_proc1z00_31164
																																																																																=
																																																																																BgL_carzd260557zd2_9136;
																																																																															BgL_proc2z00_31165
																																																																																=
																																																																																BgL_carzd260566zd2_9138;
																																																																															BgL_argsz00_31166
																																																																																=
																																																																																BgL_cdrzd260534zd2_9133;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_31166;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_31165;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_31164;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_31163;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																														BgL_auxz00_25577
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_31162);
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_31170;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_25577
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_31170);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_31174;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_31174);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31178;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31178);
																																																																										}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31182;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_25577
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31182);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd260844zd2_9160;
																																																																BgL_cdrzd260844zd2_9160
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd260851zd2_9161;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_14288;
																																																																		BgL_pairz00_14288
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		BgL_cdrzd260851zd2_9161
																																																																			=
																																																																			CDR
																																																																			(BgL_pairz00_14288);
																																																																	}
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd260858zd2_9162;
																																																																		BgL_cdrzd260858zd2_9162
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd260851zd2_9161));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd260864zd2_9163;
																																																																			obj_t
																																																																				BgL_cdrzd260865zd2_9164;
																																																																			BgL_carzd260864zd2_9163
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260858zd2_9162));
																																																																			BgL_cdrzd260865zd2_9164
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd260858zd2_9162));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260864zd2_9163))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd260872zd2_9166;
																																																																					BgL_carzd260872zd2_9166
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd260865zd2_9164));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd260872zd2_9166))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(((obj_t) BgL_cdrzd260865zd2_9164))))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd260844zd2_9160))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg7118z00_9171;
																																																																											BgL_arg7118z00_9171
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd260851zd2_9161));
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31209;
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_31213;
																																																																													obj_t
																																																																														BgL_proc2z00_31212;
																																																																													obj_t
																																																																														BgL_proc1z00_31211;
																																																																													obj_t
																																																																														BgL_testz00_31210;
																																																																													BgL_testz00_31210
																																																																														=
																																																																														BgL_arg7118z00_9171;
																																																																													BgL_proc1z00_31211
																																																																														=
																																																																														BgL_carzd260864zd2_9163;
																																																																													BgL_proc2z00_31212
																																																																														=
																																																																														BgL_carzd260872zd2_9166;
																																																																													BgL_argsz00_31213
																																																																														=
																																																																														BgL_cdrzd260844zd2_9160;
																																																																													BgL_argsz00_1834
																																																																														=
																																																																														BgL_argsz00_31213;
																																																																													BgL_proc2z00_1833
																																																																														=
																																																																														BgL_proc2z00_31212;
																																																																													BgL_proc1z00_1832
																																																																														=
																																																																														BgL_proc1z00_31211;
																																																																													BgL_testz00_1831
																																																																														=
																																																																														BgL_testz00_31210;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1835;
																																																																												}
																																																																												BgL_auxz00_25577
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31209);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_31217;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_25577
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_31217);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31221;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31221);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_31225;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_31225);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_31229;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_31229);
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_31233;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_25577
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_31233);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd261205zd2_9179;
																																																												BgL_cdrzd261205zd2_9179
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd261211zd2_9180;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_14297;
																																																														BgL_pairz00_14297
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd261211zd2_9180
																																																															=
																																																															CDR
																																																															(BgL_pairz00_14297);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd261217zd2_9181;
																																																														BgL_cdrzd261217zd2_9181
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd261211zd2_9180));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd261222zd2_9182;
																																																															obj_t
																																																																BgL_cdrzd261223zd2_9183;
																																																															BgL_carzd261222zd2_9182
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd261217zd2_9181));
																																																															BgL_cdrzd261223zd2_9183
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd261217zd2_9181));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261222zd2_9182))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (PAIRP(BgL_cdrzd261223zd2_9183))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_carzd261228zd2_9186;
																																																																			BgL_carzd261228zd2_9186
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd261223zd2_9183);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd261228zd2_9186))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (NULLP(CDR(BgL_cdrzd261223zd2_9183)))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd261205zd2_9179))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_arg7132z00_9191;
																																																																									BgL_arg7132z00_9191
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd261211zd2_9180));
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31260;
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_31264;
																																																																											obj_t
																																																																												BgL_proc2z00_31263;
																																																																											obj_t
																																																																												BgL_proc1z00_31262;
																																																																											obj_t
																																																																												BgL_testz00_31261;
																																																																											BgL_testz00_31261
																																																																												=
																																																																												BgL_arg7132z00_9191;
																																																																											BgL_proc1z00_31262
																																																																												=
																																																																												BgL_carzd261222zd2_9182;
																																																																											BgL_proc2z00_31263
																																																																												=
																																																																												BgL_carzd261228zd2_9186;
																																																																											BgL_argsz00_31264
																																																																												=
																																																																												BgL_cdrzd261205zd2_9179;
																																																																											BgL_argsz00_1834
																																																																												=
																																																																												BgL_argsz00_31264;
																																																																											BgL_proc2z00_1833
																																																																												=
																																																																												BgL_proc2z00_31263;
																																																																											BgL_proc1z00_1832
																																																																												=
																																																																												BgL_proc1z00_31262;
																																																																											BgL_testz00_1831
																																																																												=
																																																																												BgL_testz00_31261;
																																																																											goto
																																																																												BgL_tagzd2389zd2_1835;
																																																																										}
																																																																										BgL_auxz00_25577
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31260);
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31268;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_25577
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31268);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_31272;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_25577
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_31272);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_31276;
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																							BgL_auxz00_25577
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_31276);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_31280;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_25577
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_31280);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_31284;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_25577
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_31284);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_31288;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_25577
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_31288);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_31292;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_25577
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_31292);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1859;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_31296;
																																																								goto
																																																									BgL_tagzd2405zd2_1860;
																																																								BgL_auxz00_25577
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_31296);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			if (
																																				(BgL_carzd258753zd2_9086
																																					==
																																					((obj_t) CNST_TABLE_REF(21))))
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_31302;
																																					goto
																																						BgL_tagzd2384zd2_1816;
																																					BgL_auxz00_25577
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_31302);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd261790zd2_9337;
																																					BgL_carzd261790zd2_9337
																																						=
																																						CAR(
																																						((obj_t) BgL_expz00_21));
																																					if (
																																						(BgL_carzd261790zd2_9337
																																							==
																																							((obj_t) CNST_TABLE_REF(20))))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_31310;
																																							goto
																																								BgL_tagzd2385zd2_1817;
																																							BgL_auxz00_25577
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_31310);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd261790zd2_9337)))
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_31315;
																																									goto
																																										BgL_tagzd2385zd2_1817;
																																									BgL_auxz00_25577
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_31315);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_31323;
																																											goto
																																												BgL_tagzd2390zd2_1836;
																																											BgL_auxz00_25577
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_31323);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_31331;
																																													goto
																																														BgL_tagzd2391zd2_1837;
																																													BgL_auxz00_25577
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_31331);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_31339;
																																															goto
																																																BgL_tagzd2393zd2_1841;
																																															BgL_auxz00_25577
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_31339);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_31347;
																																																	goto
																																																		BgL_tagzd2394zd2_1842;
																																																	BgL_auxz00_25577
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_31347);
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_31355;
																																																			goto
																																																				BgL_tagzd2396zd2_1846;
																																																			BgL_auxz00_25577
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_31355);
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_31363;
																																																					goto
																																																						BgL_tagzd2397zd2_1847;
																																																					BgL_auxz00_25577
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_31363);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																						{
																																																							BgL_letzd2funzd2_bglt
																																																								BgL_auxz00_31371;
																																																							goto
																																																								BgL_tagzd2398zd2_1848;
																																																							BgL_auxz00_25577
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_31371);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																								{
																																																									BgL_jumpzd2exzd2itz00_bglt
																																																										BgL_auxz00_31379;
																																																									goto
																																																										BgL_tagzd2399zd2_1849;
																																																									BgL_auxz00_25577
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_auxz00_31379);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_31389;
																																																													goto
																																																														BgL_tagzd2403zd2_1858;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_31389);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_31393;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_25577
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_31393);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_31397;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_25577
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_31397);
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_25577);
																						}
																					else
																						{	/* Ast/sexp.scm 119 */
																							if (
																								(BgL_carzd237949zd2_5643 ==
																									BGl_za2ifza2z00zzast_sexpz00))
																								{
																									obj_t BgL_auxz00_31402;

																									goto BgL_kapzd237951zd2_5645;
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_31402);
																								}
																							else
																								{	/* Ast/sexp.scm 119 */
																									bool_t BgL_test10476z00_31404;

																									{	/* Ast/sexp.scm 119 */
																										obj_t BgL_arg5513z00_6881;

																										BgL_arg5513z00_6881 =
																											CAR(
																											((obj_t) BgL_expz00_21));
																										BgL_test10476z00_31404 =
																											(BgL_arg5513z00_6881 ==
																											BGl_za2ifza2z00zzast_sexpz00);
																									}
																									if (BgL_test10476z00_31404)
																										{	/* Ast/sexp.scm 119 */
																											goto
																												BgL_tagzd2377zd2_1801;
																										}
																									else
																										{	/* Ast/sexp.scm 119 */
																											obj_t
																												BgL_cdrzd261962zd2_5649;
																											BgL_cdrzd261962zd2_5649 =
																												CDR(((obj_t)
																													BgL_expz00_21));
																											if ((CAR(((obj_t)
																															BgL_expz00_21)) ==
																													((obj_t)
																														CNST_TABLE_REF(7))))
																												{	/* Ast/sexp.scm 119 */
																													if (PAIRP
																														(BgL_cdrzd261962zd2_5649))
																														{	/* Ast/sexp.scm 119 */
																															obj_t
																																BgL_carzd261965zd2_5653;
																															obj_t
																																BgL_cdrzd261966zd2_5654;
																															BgL_carzd261965zd2_5653
																																=
																																CAR
																																(BgL_cdrzd261962zd2_5649);
																															BgL_cdrzd261966zd2_5654
																																=
																																CDR
																																(BgL_cdrzd261962zd2_5649);
																															if (PAIRP
																																(BgL_carzd261965zd2_5653))
																																{	/* Ast/sexp.scm 119 */
																																	if (
																																		(CAR
																																			(BgL_carzd261965zd2_5653)
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(14))))
																																		{	/* Ast/sexp.scm 119 */
																																			if (PAIRP
																																				(BgL_cdrzd261966zd2_5654))
																																				{	/* Ast/sexp.scm 119 */
																																					if (NULLP(CDR(BgL_cdrzd261966zd2_5654)))
																																						{
																																							obj_t
																																								BgL_valz00_31434;
																																							obj_t
																																								BgL_lz00_31432;
																																							BgL_lz00_31432
																																								=
																																								CDR
																																								(BgL_carzd261965zd2_5653);
																																							BgL_valz00_31434
																																								=
																																								CAR
																																								(BgL_cdrzd261966zd2_5654);
																																							BgL_valz00_1803
																																								=
																																								BgL_valz00_31434;
																																							BgL_lz00_1802
																																								=
																																								BgL_lz00_31432;
																																							goto
																																								BgL_tagzd2378zd2_1804;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							goto
																																								BgL_tagzd2379zd2_1805;
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					goto
																																						BgL_tagzd2379zd2_1805;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			goto
																																				BgL_tagzd2379zd2_1805;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	goto
																																		BgL_tagzd2379zd2_1805;
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2379zd2_1805;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 119 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_expz00_21))
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(16))))
																														{	/* Ast/sexp.scm 119 */
																															goto
																																BgL_tagzd2380zd2_1806;
																														}
																													else
																														{	/* Ast/sexp.scm 119 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_expz00_21))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(17))))
																																{	/* Ast/sexp.scm 119 */
																																	if (PAIRP
																																		(BgL_cdrzd261962zd2_5649))
																																		{
																																			obj_t
																																				BgL_exprz00_31452;
																																			obj_t
																																				BgL_bindingsz00_31450;
																																			BgL_bindingsz00_31450
																																				=
																																				CAR
																																				(BgL_cdrzd261962zd2_5649);
																																			BgL_exprz00_31452
																																				=
																																				CDR
																																				(BgL_cdrzd261962zd2_5649);
																																			BgL_exprz00_1808
																																				=
																																				BgL_exprz00_31452;
																																			BgL_bindingsz00_1807
																																				=
																																				BgL_bindingsz00_31450;
																																			goto
																																				BgL_tagzd2381zd2_1809;
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd262115zd2_5673;
																																			BgL_carzd262115zd2_5673
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			if (PAIRP
																																				(BgL_carzd262115zd2_5673))
																																				{	/* Ast/sexp.scm 119 */
																																					obj_t
																																						BgL_carzd262118zd2_5675;
																																					obj_t
																																						BgL_cdrzd262119zd2_5676;
																																					BgL_carzd262118zd2_5675
																																						=
																																						CAR
																																						(BgL_carzd262115zd2_5673);
																																					BgL_cdrzd262119zd2_5676
																																						=
																																						CDR
																																						(BgL_carzd262115zd2_5673);
																																					{

																																						if (
																																							(BgL_carzd262118zd2_5675
																																								==
																																								((obj_t) CNST_TABLE_REF(18))))
																																							{
																																								obj_t
																																									BgL_auxz00_31464;
																																							BgL_kapzd262120zd2_5677:
																																								if (PAIRP(BgL_cdrzd262119zd2_5676))
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd262123zd2_5793;
																																										BgL_cdrzd262123zd2_5793
																																											=
																																											CDR
																																											(BgL_cdrzd262119zd2_5676);
																																										if (PAIRP(BgL_cdrzd262123zd2_5793))
																																											{	/* Ast/sexp.scm 119 */
																																												if (NULLP(CDR(BgL_cdrzd262123zd2_5793)))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg4775z00_5797;
																																														obj_t
																																															BgL_arg4776z00_5798;
																																														BgL_arg4775z00_5797
																																															=
																																															CAR
																																															(BgL_cdrzd262123zd2_5793);
																																														BgL_arg4776z00_5798
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_31476;
																																															{
																																																obj_t
																																																	BgL_argsz00_31478;
																																																obj_t
																																																	BgL_bodyz00_31477;
																																																BgL_bodyz00_31477
																																																	=
																																																	BgL_arg4775z00_5797;
																																																BgL_argsz00_31478
																																																	=
																																																	BgL_arg4776z00_5798;
																																																BgL_argsz00_1811
																																																	=
																																																	BgL_argsz00_31478;
																																																BgL_bodyz00_1810
																																																	=
																																																	BgL_bodyz00_31477;
																																																goto
																																																	BgL_tagzd2382zd2_1812;
																																															}
																																															BgL_auxz00_31464
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_31476);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10491z00_31480;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg4840z00_5904;
																																															BgL_arg4840z00_5904
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10491z00_31480
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg4840z00_5904));
																																														}
																																														if (BgL_test10491z00_31480)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_31485;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_31464
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_31485);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd262201zd2_5801;
																																																BgL_carzd262201zd2_5801
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd262206zd2_5802;
																																																	BgL_cdrzd262206zd2_5802
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd262201zd2_5801));
																																																	if ((CAR(((obj_t) BgL_carzd262201zd2_5801)) == ((obj_t) CNST_TABLE_REF(3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg4781z00_5805;
																																																			obj_t
																																																				BgL_arg4782z00_5806;
																																																			obj_t
																																																				BgL_arg4783z00_5807;
																																																			BgL_arg4781z00_5805
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd262206zd2_5802));
																																																			BgL_arg4782z00_5806
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd262206zd2_5802));
																																																			BgL_arg4783z00_5807
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_31503;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_31506;
																																																					obj_t
																																																						BgL_bodyz00_31505;
																																																					obj_t
																																																						BgL_varsz00_31504;
																																																					BgL_varsz00_31504
																																																						=
																																																						BgL_arg4781z00_5805;
																																																					BgL_bodyz00_31505
																																																						=
																																																						BgL_arg4782z00_5806;
																																																					BgL_argsz00_31506
																																																						=
																																																						BgL_arg4783z00_5807;
																																																					BgL_argsz00_1824
																																																						=
																																																						BgL_argsz00_31506;
																																																					BgL_bodyz00_1823
																																																						=
																																																						BgL_bodyz00_31505;
																																																					BgL_varsz00_1822
																																																						=
																																																						BgL_varsz00_31504;
																																																					goto
																																																						BgL_tagzd2387zd2_1825;
																																																				}
																																																				BgL_auxz00_31464
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_31503);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd262229zd2_5809;
																																																			BgL_cdrzd262229zd2_5809
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd262235zd2_5810;
																																																				BgL_cdrzd262235zd2_5810
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_carzd262201zd2_5801));
																																																				if ((CAR(((obj_t) BgL_carzd262201zd2_5801)) == ((obj_t) CNST_TABLE_REF(1))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd262241zd2_5813;
																																																						BgL_cdrzd262241zd2_5813
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd262235zd2_5810));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd262246zd2_5814;
																																																							obj_t
																																																								BgL_cdrzd262247zd2_5815;
																																																							BgL_carzd262246zd2_5814
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd262241zd2_5813));
																																																							BgL_cdrzd262247zd2_5815
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd262241zd2_5813));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262246zd2_5814))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd262247zd2_5815))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd262254zd2_5818;
																																																											BgL_carzd262254zd2_5818
																																																												=
																																																												CAR
																																																												(BgL_cdrzd262247zd2_5815);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262254zd2_5818))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd262247zd2_5815)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															bool_t
																																																																BgL_test10498z00_31534;
																																																															{
																																																																obj_t
																																																																	BgL_l1426z00_5851;
																																																																BgL_l1426z00_5851
																																																																	=
																																																																	BgL_cdrzd262229zd2_5809;
																																																															BgL_zc3z04anonymousza34806ze3z87_5852:
																																																																if (NULLP(BgL_l1426z00_5851))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		BgL_test10498z00_31534
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		bool_t
																																																																			BgL_test10500z00_31537;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test10501z00_31538;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_tmpz00_31539;
																																																																				BgL_tmpz00_31539
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_l1426z00_5851));
																																																																				BgL_test10501z00_31538
																																																																					=
																																																																					PAIRP
																																																																					(BgL_tmpz00_31539);
																																																																			}
																																																																			if (BgL_test10501z00_31538)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10500z00_31537
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					BgL_test10500z00_31537
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						1);
																																																																				}
																																																																		}
																																																																		if (BgL_test10500z00_31537)
																																																																			{
																																																																				obj_t
																																																																					BgL_l1426z00_31543;
																																																																				BgL_l1426z00_31543
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_l1426z00_5851));
																																																																				BgL_l1426z00_5851
																																																																					=
																																																																					BgL_l1426z00_31543;
																																																																				goto
																																																																					BgL_zc3z04anonymousza34806ze3z87_5852;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test10498z00_31534
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																	}
																																																															}
																																																															if (BgL_test10498z00_31534)
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4796z00_5834;
																																																																	BgL_arg4796z00_5834
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd262235zd2_5810));
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_31548;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_31552;
																																																																			obj_t
																																																																				BgL_proc2z00_31551;
																																																																			obj_t
																																																																				BgL_proc1z00_31550;
																																																																			obj_t
																																																																				BgL_testz00_31549;
																																																																			BgL_testz00_31549
																																																																				=
																																																																				BgL_arg4796z00_5834;
																																																																			BgL_proc1z00_31550
																																																																				=
																																																																				BgL_carzd262246zd2_5814;
																																																																			BgL_proc2z00_31551
																																																																				=
																																																																				BgL_carzd262254zd2_5818;
																																																																			BgL_argsz00_31552
																																																																				=
																																																																				BgL_cdrzd262229zd2_5809;
																																																																			BgL_argsz00_1829
																																																																				=
																																																																				BgL_argsz00_31552;
																																																																			BgL_proc2z00_1828
																																																																				=
																																																																				BgL_proc2z00_31551;
																																																																			BgL_proc1z00_1827
																																																																				=
																																																																				BgL_proc1z00_31550;
																																																																			BgL_testz00_1826
																																																																				=
																																																																				BgL_testz00_31549;
																																																																			goto
																																																																				BgL_tagzd2388zd2_1830;
																																																																		}
																																																																		BgL_auxz00_31464
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_31548);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd262278zd2_5835;
																																																																	BgL_cdrzd262278zd2_5835
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd262285zd2_5836;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_14358;
																																																																			BgL_pairz00_14358
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd262285zd2_5836
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_14358);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd262292zd2_5837;
																																																																			BgL_cdrzd262292zd2_5837
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd262285zd2_5836));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd262298zd2_5838;
																																																																				BgL_carzd262298zd2_5838
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd262292zd2_5837));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262298zd2_5838))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd262305zd2_5840;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14362;
																																																																							BgL_pairz00_14362
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd262292zd2_5837));
																																																																							BgL_carzd262305zd2_5840
																																																																								=
																																																																								CAR
																																																																								(BgL_pairz00_14362);
																																																																						}
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262305zd2_5840))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262278zd2_5835))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg4800z00_5843;
																																																																										BgL_arg4800z00_5843
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd262285zd2_5836));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_31574;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_31578;
																																																																												obj_t
																																																																													BgL_proc2z00_31577;
																																																																												obj_t
																																																																													BgL_proc1z00_31576;
																																																																												obj_t
																																																																													BgL_testz00_31575;
																																																																												BgL_testz00_31575
																																																																													=
																																																																													BgL_arg4800z00_5843;
																																																																												BgL_proc1z00_31576
																																																																													=
																																																																													BgL_carzd262298zd2_5838;
																																																																												BgL_proc2z00_31577
																																																																													=
																																																																													BgL_carzd262305zd2_5840;
																																																																												BgL_argsz00_31578
																																																																													=
																																																																													BgL_cdrzd262278zd2_5835;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_31578;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_31577;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_31576;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_31575;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_31464
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_31574);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_31582;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_31464
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_31582);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31586;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_31464
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31586);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31590;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_31464
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31590);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_31594;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_31464
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_31594);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd262581zd2_5862;
																																																													BgL_cdrzd262581zd2_5862
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd262587zd2_5863;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_14366;
																																																															BgL_pairz00_14366
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd262587zd2_5863
																																																																=
																																																																CDR
																																																																(BgL_pairz00_14366);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd262593zd2_5864;
																																																															BgL_cdrzd262593zd2_5864
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd262587zd2_5863));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd262598zd2_5865;
																																																																obj_t
																																																																	BgL_cdrzd262599zd2_5866;
																																																																BgL_carzd262598zd2_5865
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd262593zd2_5864));
																																																																BgL_cdrzd262599zd2_5866
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd262593zd2_5864));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262598zd2_5865))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd262604zd2_5868;
																																																																		BgL_carzd262604zd2_5868
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd262599zd2_5866));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262604zd2_5868))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd262599zd2_5866))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262581zd2_5862))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg4815z00_5873;
																																																																								BgL_arg4815z00_5873
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd262587zd2_5863));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_31621;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_31625;
																																																																										obj_t
																																																																											BgL_proc2z00_31624;
																																																																										obj_t
																																																																											BgL_proc1z00_31623;
																																																																										obj_t
																																																																											BgL_testz00_31622;
																																																																										BgL_testz00_31622
																																																																											=
																																																																											BgL_arg4815z00_5873;
																																																																										BgL_proc1z00_31623
																																																																											=
																																																																											BgL_carzd262598zd2_5865;
																																																																										BgL_proc2z00_31624
																																																																											=
																																																																											BgL_carzd262604zd2_5868;
																																																																										BgL_argsz00_31625
																																																																											=
																																																																											BgL_cdrzd262581zd2_5862;
																																																																										BgL_argsz00_1834
																																																																											=
																																																																											BgL_argsz00_31625;
																																																																										BgL_proc2z00_1833
																																																																											=
																																																																											BgL_proc2z00_31624;
																																																																										BgL_proc1z00_1832
																																																																											=
																																																																											BgL_proc1z00_31623;
																																																																										BgL_testz00_1831
																																																																											=
																																																																											BgL_testz00_31622;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1835;
																																																																									}
																																																																									BgL_auxz00_31464
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_31621);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_31629;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_31464
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_31629);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31633;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_31464
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31633);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31637;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_31464
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31637);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31641;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_31464
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31641);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_31645;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_31464
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_31645);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd262937zd2_5881;
																																																									BgL_cdrzd262937zd2_5881
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd262944zd2_5882;
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_pairz00_14375;
																																																											BgL_pairz00_14375
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											BgL_cdrzd262944zd2_5882
																																																												=
																																																												CDR
																																																												(BgL_pairz00_14375);
																																																										}
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd262951zd2_5883;
																																																											BgL_cdrzd262951zd2_5883
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd262944zd2_5882));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd262957zd2_5884;
																																																												obj_t
																																																													BgL_cdrzd262958zd2_5885;
																																																												BgL_carzd262957zd2_5884
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd262951zd2_5883));
																																																												BgL_cdrzd262958zd2_5885
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd262951zd2_5883));
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262957zd2_5884))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd262958zd2_5885))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd262965zd2_5888;
																																																																BgL_carzd262965zd2_5888
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd262958zd2_5885);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd262965zd2_5888))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd262958zd2_5885)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd262937zd2_5881))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg4829z00_5893;
																																																																						BgL_arg4829z00_5893
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd262944zd2_5882));
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_31672;
																																																																							{
																																																																								obj_t
																																																																									BgL_argsz00_31676;
																																																																								obj_t
																																																																									BgL_proc2z00_31675;
																																																																								obj_t
																																																																									BgL_proc1z00_31674;
																																																																								obj_t
																																																																									BgL_testz00_31673;
																																																																								BgL_testz00_31673
																																																																									=
																																																																									BgL_arg4829z00_5893;
																																																																								BgL_proc1z00_31674
																																																																									=
																																																																									BgL_carzd262957zd2_5884;
																																																																								BgL_proc2z00_31675
																																																																									=
																																																																									BgL_carzd262965zd2_5888;
																																																																								BgL_argsz00_31676
																																																																									=
																																																																									BgL_cdrzd262937zd2_5881;
																																																																								BgL_argsz00_1834
																																																																									=
																																																																									BgL_argsz00_31676;
																																																																								BgL_proc2z00_1833
																																																																									=
																																																																									BgL_proc2z00_31675;
																																																																								BgL_proc1z00_1832
																																																																									=
																																																																									BgL_proc1z00_31674;
																																																																								BgL_testz00_1831
																																																																									=
																																																																									BgL_testz00_31673;
																																																																								goto
																																																																									BgL_tagzd2389zd2_1835;
																																																																							}
																																																																							BgL_auxz00_31464
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_31672);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_31680;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_31464
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_31680);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_31684;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_31464
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_31684);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_31688;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_31464
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_31688);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_31692;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_31464
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_31692);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_31696;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_31464
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_31696);
																																																															}
																																																													}
																																																											}
																																																										}
																																																									}
																																																								}
																																																						}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2404zd2_1859;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_31700;
																																																								goto
																																																									BgL_tagzd2405zd2_1860;
																																																								BgL_auxz00_31464
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_31700);
																																																							}
																																																					}
																																																			}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10529z00_31702;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4851z00_5917;
																																													BgL_arg4851z00_5917
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10529z00_31702
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg4851z00_5917));
																																												}
																																												if (BgL_test10529z00_31702)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_31707;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_31464
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_31707);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_carzd263411zd2_5908;
																																														BgL_carzd263411zd2_5908
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_cdrzd263416zd2_5909;
																																															BgL_cdrzd263416zd2_5909
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd263411zd2_5908));
																																															if ((CAR(((obj_t) BgL_carzd263411zd2_5908)) == ((obj_t) CNST_TABLE_REF(3))))
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4846z00_5912;
																																																	obj_t
																																																		BgL_arg4847z00_5913;
																																																	obj_t
																																																		BgL_arg4848z00_5914;
																																																	BgL_arg4846z00_5912
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd263416zd2_5909));
																																																	BgL_arg4847z00_5913
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd263416zd2_5909));
																																																	BgL_arg4848z00_5914
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_31725;
																																																		{
																																																			obj_t
																																																				BgL_argsz00_31728;
																																																			obj_t
																																																				BgL_bodyz00_31727;
																																																			obj_t
																																																				BgL_varsz00_31726;
																																																			BgL_varsz00_31726
																																																				=
																																																				BgL_arg4846z00_5912;
																																																			BgL_bodyz00_31727
																																																				=
																																																				BgL_arg4847z00_5913;
																																																			BgL_argsz00_31728
																																																				=
																																																				BgL_arg4848z00_5914;
																																																			BgL_argsz00_1824
																																																				=
																																																				BgL_argsz00_31728;
																																																			BgL_bodyz00_1823
																																																				=
																																																				BgL_bodyz00_31727;
																																																			BgL_varsz00_1822
																																																				=
																																																				BgL_varsz00_31726;
																																																			goto
																																																				BgL_tagzd2387zd2_1825;
																																																		}
																																																		BgL_auxz00_31464
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_31725);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 119 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 119 */
																																																			goto
																																																				BgL_tagzd2404zd2_1859;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_31732;
																																																			goto
																																																				BgL_tagzd2405zd2_1860;
																																																			BgL_auxz00_31464
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_31732);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10532z00_31734;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg4855z00_5921;
																																											BgL_arg4855z00_5921
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10532z00_31734
																																												=
																																												CBOOL
																																												(BGl_labelszd2symzf3z21zzast_labelsz00
																																												(BgL_arg4855z00_5921));
																																										}
																																										if (BgL_test10532z00_31734)
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_31739;
																																												goto
																																													BgL_tagzd2385zd2_1817;
																																												BgL_auxz00_31464
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_31739);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 119 */
																																														goto
																																															BgL_tagzd2404zd2_1859;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_31743;
																																														goto
																																															BgL_tagzd2405zd2_1860;
																																														BgL_auxz00_31464
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_31743);
																																													}
																																											}
																																									}
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_31464);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd262118zd2_5675)))
																																									{
																																										obj_t
																																											BgL_auxz00_31749;
																																										goto
																																											BgL_kapzd262120zd2_5677;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_31749);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd262118zd2_5675 == ((obj_t) CNST_TABLE_REF(19))))
																																											{
																																												obj_t
																																													BgL_auxz00_31755;
																																												goto
																																													BgL_kapzd262120zd2_5677;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_31755);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if ((BgL_carzd262118zd2_5675 == ((obj_t) CNST_TABLE_REF(20))))
																																													{
																																														obj_t
																																															BgL_auxz00_31761;
																																														goto
																																															BgL_kapzd262120zd2_5677;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_31761);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd262118zd2_5675)))
																																															{
																																																obj_t
																																																	BgL_auxz00_31766;
																																																goto
																																																	BgL_kapzd262120zd2_5677;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_31766);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10538z00_31768;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg4770z00_5791;
																																																	BgL_arg4770z00_5791
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10538z00_31768
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg4770z00_5791));
																																																}
																																																if (BgL_test10538z00_31768)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_31773;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_31773);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd263739zd2_5682;
																																																		BgL_carzd263739zd2_5682
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd263744zd2_5683;
																																																			BgL_cdrzd263744zd2_5683
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd263739zd2_5682));
																																																			if ((CAR(((obj_t) BgL_carzd263739zd2_5682)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (PAIRP(BgL_cdrzd263744zd2_5683))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg4706z00_5687;
																																																							obj_t
																																																								BgL_arg4707z00_5688;
																																																							obj_t
																																																								BgL_arg4708z00_5689;
																																																							BgL_arg4706z00_5687
																																																								=
																																																								CAR
																																																								(BgL_cdrzd263744zd2_5683);
																																																							BgL_arg4707z00_5688
																																																								=
																																																								CDR
																																																								(BgL_cdrzd263744zd2_5683);
																																																							BgL_arg4708z00_5689
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								obj_t
																																																									BgL_argsz00_31793;
																																																								obj_t
																																																									BgL_bodyz00_31792;
																																																								obj_t
																																																									BgL_varsz00_31791;
																																																								BgL_varsz00_31791
																																																									=
																																																									BgL_arg4706z00_5687;
																																																								BgL_bodyz00_31792
																																																									=
																																																									BgL_arg4707z00_5688;
																																																								BgL_argsz00_31793
																																																									=
																																																									BgL_arg4708z00_5689;
																																																								BgL_argsz00_1824
																																																									=
																																																									BgL_argsz00_31793;
																																																								BgL_bodyz00_1823
																																																									=
																																																									BgL_bodyz00_31792;
																																																								BgL_varsz00_1822
																																																									=
																																																									BgL_varsz00_31791;
																																																								goto
																																																									BgL_tagzd2387zd2_1825;
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																								{
																																																									obj_t
																																																										BgL_auxz00_31796;
																																																									goto
																																																										BgL_tagzd2404zd2_1859;
																																																									return
																																																										(
																																																										(BgL_nodez00_bglt)
																																																										BgL_auxz00_31796);
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									goto
																																																										BgL_tagzd2405zd2_1860;
																																																								}
																																																						}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd263851zd2_5692;
																																																					BgL_cdrzd263851zd2_5692
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd263856zd2_5693;
																																																						BgL_cdrzd263856zd2_5693
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd263739zd2_5682));
																																																						if ((CAR(((obj_t) BgL_carzd263739zd2_5682)) == ((obj_t) CNST_TABLE_REF(1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (PAIRP(BgL_cdrzd263856zd2_5693))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd263861zd2_5697;
																																																										BgL_cdrzd263861zd2_5697
																																																											=
																																																											CDR
																																																											(BgL_cdrzd263856zd2_5693);
																																																										if (PAIRP(BgL_cdrzd263861zd2_5697))
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_carzd263865zd2_5699;
																																																												obj_t
																																																													BgL_cdrzd263866zd2_5700;
																																																												BgL_carzd263865zd2_5699
																																																													=
																																																													CAR
																																																													(BgL_cdrzd263861zd2_5697);
																																																												BgL_cdrzd263866zd2_5700
																																																													=
																																																													CDR
																																																													(BgL_cdrzd263861zd2_5697);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263865zd2_5699))
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (PAIRP(BgL_cdrzd263866zd2_5700))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd263871zd2_5703;
																																																																BgL_carzd263871zd2_5703
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd263866zd2_5700);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263871zd2_5703))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (NULLP(CDR(BgL_cdrzd263866zd2_5700)))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10549z00_31825;
																																																																				{
																																																																					obj_t
																																																																						BgL_l1429z00_5736;
																																																																					BgL_l1429z00_5736
																																																																						=
																																																																						BgL_cdrzd263851zd2_5692;
																																																																				BgL_zc3z04anonymousza34734ze3z87_5737:
																																																																					if (NULLP(BgL_l1429z00_5736))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10549z00_31825
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10551z00_31828;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10552z00_31829;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_tmpz00_31830;
																																																																									BgL_tmpz00_31830
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_l1429z00_5736));
																																																																									BgL_test10552z00_31829
																																																																										=
																																																																										PAIRP
																																																																										(BgL_tmpz00_31830);
																																																																								}
																																																																								if (BgL_test10552z00_31829)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10551z00_31828
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10551z00_31828
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											1);
																																																																									}
																																																																							}
																																																																							if (BgL_test10551z00_31828)
																																																																								{
																																																																									obj_t
																																																																										BgL_l1429z00_31834;
																																																																									BgL_l1429z00_31834
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_l1429z00_5736));
																																																																									BgL_l1429z00_5736
																																																																										=
																																																																										BgL_l1429z00_31834;
																																																																									goto
																																																																										BgL_zc3z04anonymousza34734ze3z87_5737;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10549z00_31825
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																						}
																																																																				}
																																																																				if (BgL_test10549z00_31825)
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_31841;
																																																																						obj_t
																																																																							BgL_proc2z00_31840;
																																																																						obj_t
																																																																							BgL_proc1z00_31839;
																																																																						obj_t
																																																																							BgL_testz00_31837;
																																																																						BgL_testz00_31837
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd263856zd2_5693);
																																																																						BgL_proc1z00_31839
																																																																							=
																																																																							BgL_carzd263865zd2_5699;
																																																																						BgL_proc2z00_31840
																																																																							=
																																																																							BgL_carzd263871zd2_5703;
																																																																						BgL_argsz00_31841
																																																																							=
																																																																							BgL_cdrzd263851zd2_5692;
																																																																						BgL_argsz00_1829
																																																																							=
																																																																							BgL_argsz00_31841;
																																																																						BgL_proc2z00_1828
																																																																							=
																																																																							BgL_proc2z00_31840;
																																																																						BgL_proc1z00_1827
																																																																							=
																																																																							BgL_proc1z00_31839;
																																																																						BgL_testz00_1826
																																																																							=
																																																																							BgL_testz00_31837;
																																																																						goto
																																																																							BgL_tagzd2388zd2_1830;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd263896zd2_5720;
																																																																						BgL_cdrzd263896zd2_5720
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd263904zd2_5721;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14411;
																																																																								BgL_pairz00_14411
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd263904zd2_5721
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14411);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd263912zd2_5722;
																																																																								BgL_cdrzd263912zd2_5722
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd263904zd2_5721));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd263919zd2_5723;
																																																																									BgL_carzd263919zd2_5723
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd263912zd2_5722));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263919zd2_5723))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd263928zd2_5725;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14415;
																																																																												BgL_pairz00_14415
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd263912zd2_5722));
																																																																												BgL_carzd263928zd2_5725
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_14415);
																																																																											}
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd263928zd2_5725))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd263896zd2_5720))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg4728z00_5728;
																																																																															BgL_arg4728z00_5728
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd263904zd2_5721));
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_31865;
																																																																																obj_t
																																																																																	BgL_proc2z00_31864;
																																																																																obj_t
																																																																																	BgL_proc1z00_31863;
																																																																																obj_t
																																																																																	BgL_testz00_31862;
																																																																																BgL_testz00_31862
																																																																																	=
																																																																																	BgL_arg4728z00_5728;
																																																																																BgL_proc1z00_31863
																																																																																	=
																																																																																	BgL_carzd263919zd2_5723;
																																																																																BgL_proc2z00_31864
																																																																																	=
																																																																																	BgL_carzd263928zd2_5725;
																																																																																BgL_argsz00_31865
																																																																																	=
																																																																																	BgL_cdrzd263896zd2_5720;
																																																																																BgL_argsz00_1834
																																																																																	=
																																																																																	BgL_argsz00_31865;
																																																																																BgL_proc2z00_1833
																																																																																	=
																																																																																	BgL_proc2z00_31864;
																																																																																BgL_proc1z00_1832
																																																																																	=
																																																																																	BgL_proc1z00_31863;
																																																																																BgL_testz00_1831
																																																																																	=
																																																																																	BgL_testz00_31862;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1835;
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{
																																																																																	obj_t
																																																																																		BgL_auxz00_31868;
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																	return
																																																																																		(
																																																																																		(BgL_nodez00_bglt)
																																																																																		BgL_auxz00_31868);
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_31872;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_31872);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31876;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31876);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_31880;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_31880);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd264206zd2_5747;
																																																																		BgL_cdrzd264206zd2_5747
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd264213zd2_5748;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14419;
																																																																				BgL_pairz00_14419
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd264213zd2_5748
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14419);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd264220zd2_5749;
																																																																				BgL_cdrzd264220zd2_5749
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd264213zd2_5748));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd264226zd2_5750;
																																																																					obj_t
																																																																						BgL_cdrzd264227zd2_5751;
																																																																					BgL_carzd264226zd2_5750
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd264220zd2_5749));
																																																																					BgL_cdrzd264227zd2_5751
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd264220zd2_5749));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264226zd2_5750))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd264234zd2_5753;
																																																																							BgL_carzd264234zd2_5753
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_cdrzd264227zd2_5751));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264234zd2_5753))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(((obj_t) BgL_cdrzd264227zd2_5751))))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd264206zd2_5747))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg4743z00_5758;
																																																																													BgL_arg4743z00_5758
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd264213zd2_5748));
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_31910;
																																																																														obj_t
																																																																															BgL_proc2z00_31909;
																																																																														obj_t
																																																																															BgL_proc1z00_31908;
																																																																														obj_t
																																																																															BgL_testz00_31907;
																																																																														BgL_testz00_31907
																																																																															=
																																																																															BgL_arg4743z00_5758;
																																																																														BgL_proc1z00_31908
																																																																															=
																																																																															BgL_carzd264226zd2_5750;
																																																																														BgL_proc2z00_31909
																																																																															=
																																																																															BgL_carzd264234zd2_5753;
																																																																														BgL_argsz00_31910
																																																																															=
																																																																															BgL_cdrzd264206zd2_5747;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_31910;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_31909;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_31908;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_31907;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{
																																																																															obj_t
																																																																																BgL_auxz00_31913;
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																															return
																																																																																(
																																																																																(BgL_nodez00_bglt)
																																																																																BgL_auxz00_31913);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31917;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31917);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_31921;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_31921);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_31925;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_31925);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_31929;
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_31929);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd264567zd2_5766;
																																																														BgL_cdrzd264567zd2_5766
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd264573zd2_5767;
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_pairz00_14428;
																																																																BgL_pairz00_14428
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																BgL_cdrzd264573zd2_5767
																																																																	=
																																																																	CDR
																																																																	(BgL_pairz00_14428);
																																																															}
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd264579zd2_5768;
																																																																BgL_cdrzd264579zd2_5768
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd264573zd2_5767));
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd264584zd2_5769;
																																																																	obj_t
																																																																		BgL_cdrzd264585zd2_5770;
																																																																	BgL_carzd264584zd2_5769
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd264579zd2_5768));
																																																																	BgL_cdrzd264585zd2_5770
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd264579zd2_5768));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264584zd2_5769))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (PAIRP(BgL_cdrzd264585zd2_5770))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd264590zd2_5773;
																																																																					BgL_carzd264590zd2_5773
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd264585zd2_5770);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd264590zd2_5773))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (NULLP(CDR(BgL_cdrzd264585zd2_5770)))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd264567zd2_5766))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg4757z00_5778;
																																																																											BgL_arg4757z00_5778
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd264573zd2_5767));
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_31959;
																																																																												obj_t
																																																																													BgL_proc2z00_31958;
																																																																												obj_t
																																																																													BgL_proc1z00_31957;
																																																																												obj_t
																																																																													BgL_testz00_31956;
																																																																												BgL_testz00_31956
																																																																													=
																																																																													BgL_arg4757z00_5778;
																																																																												BgL_proc1z00_31957
																																																																													=
																																																																													BgL_carzd264584zd2_5769;
																																																																												BgL_proc2z00_31958
																																																																													=
																																																																													BgL_carzd264590zd2_5773;
																																																																												BgL_argsz00_31959
																																																																													=
																																																																													BgL_cdrzd264567zd2_5766;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_31959;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_31958;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_31957;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_31956;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_31962;
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_31962);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_31966;
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_31966);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_31970;
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_31970);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_31974;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_31974);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_31978;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_31978);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_31982;
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_31982);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_31986;
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_31986);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_31990;
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_31990);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 119 */
																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd262115zd2_5673)))
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_31995;
																																							goto
																																								BgL_tagzd2385zd2_1817;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_31995);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 119 */
																																							obj_t
																																								BgL_carzd265181zd2_5924;
																																							BgL_carzd265181zd2_5924
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_expz00_21));
																																							if (PAIRP(BgL_carzd265181zd2_5924))
																																								{	/* Ast/sexp.scm 119 */
																																									obj_t
																																										BgL_cdrzd265186zd2_5926;
																																									BgL_cdrzd265186zd2_5926
																																										=
																																										CDR
																																										(BgL_carzd265181zd2_5924);
																																									if ((CAR(BgL_carzd265181zd2_5924) == ((obj_t) CNST_TABLE_REF(3))))
																																										{	/* Ast/sexp.scm 119 */
																																											if (PAIRP(BgL_cdrzd265186zd2_5926))
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg4862z00_5930;
																																													obj_t
																																														BgL_arg4863z00_5931;
																																													obj_t
																																														BgL_arg4864z00_5932;
																																													BgL_arg4862z00_5930
																																														=
																																														CAR
																																														(BgL_cdrzd265186zd2_5926);
																																													BgL_arg4863z00_5931
																																														=
																																														CDR
																																														(BgL_cdrzd265186zd2_5926);
																																													BgL_arg4864z00_5932
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													{
																																														obj_t
																																															BgL_argsz00_32015;
																																														obj_t
																																															BgL_bodyz00_32014;
																																														obj_t
																																															BgL_varsz00_32013;
																																														BgL_varsz00_32013
																																															=
																																															BgL_arg4862z00_5930;
																																														BgL_bodyz00_32014
																																															=
																																															BgL_arg4863z00_5931;
																																														BgL_argsz00_32015
																																															=
																																															BgL_arg4864z00_5932;
																																														BgL_argsz00_1824
																																															=
																																															BgL_argsz00_32015;
																																														BgL_bodyz00_1823
																																															=
																																															BgL_bodyz00_32014;
																																														BgL_varsz00_1822
																																															=
																																															BgL_varsz00_32013;
																																														goto
																																															BgL_tagzd2387zd2_1825;
																																													}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 119 */
																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																														{
																																															obj_t
																																																BgL_auxz00_32018;
																																															goto
																																																BgL_tagzd2404zd2_1859;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_32018);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 119 */
																																															goto
																																																BgL_tagzd2405zd2_1860;
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_cdrzd265293zd2_5935;
																																											BgL_cdrzd265293zd2_5935
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd265298zd2_5936;
																																												BgL_cdrzd265298zd2_5936
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_carzd265181zd2_5924));
																																												if ((CAR(((obj_t) BgL_carzd265181zd2_5924)) == ((obj_t) CNST_TABLE_REF(1))))
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd265298zd2_5936))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_cdrzd265303zd2_5940;
																																																BgL_cdrzd265303zd2_5940
																																																	=
																																																	CDR
																																																	(BgL_cdrzd265298zd2_5936);
																																																if (PAIRP(BgL_cdrzd265303zd2_5940))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd265307zd2_5942;
																																																		obj_t
																																																			BgL_cdrzd265308zd2_5943;
																																																		BgL_carzd265307zd2_5942
																																																			=
																																																			CAR
																																																			(BgL_cdrzd265303zd2_5940);
																																																		BgL_cdrzd265308zd2_5943
																																																			=
																																																			CDR
																																																			(BgL_cdrzd265303zd2_5940);
																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265307zd2_5942))
																																																			{	/* Ast/sexp.scm 119 */
																																																				if (PAIRP(BgL_cdrzd265308zd2_5943))
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd265313zd2_5946;
																																																						BgL_carzd265313zd2_5946
																																																							=
																																																							CAR
																																																							(BgL_cdrzd265308zd2_5943);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265313zd2_5946))
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (NULLP(CDR(BgL_cdrzd265308zd2_5943)))
																																																									{	/* Ast/sexp.scm 119 */
																																																										bool_t
																																																											BgL_test10594z00_32047;
																																																										{
																																																											obj_t
																																																												BgL_l1432z00_5979;
																																																											BgL_l1432z00_5979
																																																												=
																																																												BgL_cdrzd265293zd2_5935;
																																																										BgL_zc3z04anonymousza34890ze3z87_5980:
																																																											if (NULLP(BgL_l1432z00_5979))
																																																												{	/* Ast/sexp.scm 119 */
																																																													BgL_test10594z00_32047
																																																														=
																																																														(
																																																														(bool_t)
																																																														1);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													bool_t
																																																														BgL_test10596z00_32050;
																																																													{	/* Ast/sexp.scm 119 */
																																																														bool_t
																																																															BgL_test10597z00_32051;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_tmpz00_32052;
																																																															BgL_tmpz00_32052
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_l1432z00_5979));
																																																															BgL_test10597z00_32051
																																																																=
																																																																PAIRP
																																																																(BgL_tmpz00_32052);
																																																														}
																																																														if (BgL_test10597z00_32051)
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10596z00_32050
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																BgL_test10596z00_32050
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																													}
																																																													if (BgL_test10596z00_32050)
																																																														{
																																																															obj_t
																																																																BgL_l1432z00_32056;
																																																															BgL_l1432z00_32056
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_l1432z00_5979));
																																																															BgL_l1432z00_5979
																																																																=
																																																																BgL_l1432z00_32056;
																																																															goto
																																																																BgL_zc3z04anonymousza34890ze3z87_5980;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															BgL_test10594z00_32047
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																										}
																																																										if (BgL_test10594z00_32047)
																																																											{
																																																												obj_t
																																																													BgL_argsz00_32063;
																																																												obj_t
																																																													BgL_proc2z00_32062;
																																																												obj_t
																																																													BgL_proc1z00_32061;
																																																												obj_t
																																																													BgL_testz00_32059;
																																																												BgL_testz00_32059
																																																													=
																																																													CAR
																																																													(BgL_cdrzd265298zd2_5936);
																																																												BgL_proc1z00_32061
																																																													=
																																																													BgL_carzd265307zd2_5942;
																																																												BgL_proc2z00_32062
																																																													=
																																																													BgL_carzd265313zd2_5946;
																																																												BgL_argsz00_32063
																																																													=
																																																													BgL_cdrzd265293zd2_5935;
																																																												BgL_argsz00_1829
																																																													=
																																																													BgL_argsz00_32063;
																																																												BgL_proc2z00_1828
																																																													=
																																																													BgL_proc2z00_32062;
																																																												BgL_proc1z00_1827
																																																													=
																																																													BgL_proc1z00_32061;
																																																												BgL_testz00_1826
																																																													=
																																																													BgL_testz00_32059;
																																																												goto
																																																													BgL_tagzd2388zd2_1830;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd265338zd2_5963;
																																																												BgL_cdrzd265338zd2_5963
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd265346zd2_5964;
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_pairz00_14456;
																																																														BgL_pairz00_14456
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														BgL_cdrzd265346zd2_5964
																																																															=
																																																															CDR
																																																															(BgL_pairz00_14456);
																																																													}
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd265354zd2_5965;
																																																														BgL_cdrzd265354zd2_5965
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd265346zd2_5964));
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd265361zd2_5966;
																																																															BgL_carzd265361zd2_5966
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_cdrzd265354zd2_5965));
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265361zd2_5966))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd265370zd2_5968;
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_pairz00_14460;
																																																																		BgL_pairz00_14460
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd265354zd2_5965));
																																																																		BgL_carzd265370zd2_5968
																																																																			=
																																																																			CAR
																																																																			(BgL_pairz00_14460);
																																																																	}
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265370zd2_5968))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd265338zd2_5963))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg4884z00_5971;
																																																																					BgL_arg4884z00_5971
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd265346zd2_5964));
																																																																					{
																																																																						obj_t
																																																																							BgL_argsz00_32087;
																																																																						obj_t
																																																																							BgL_proc2z00_32086;
																																																																						obj_t
																																																																							BgL_proc1z00_32085;
																																																																						obj_t
																																																																							BgL_testz00_32084;
																																																																						BgL_testz00_32084
																																																																							=
																																																																							BgL_arg4884z00_5971;
																																																																						BgL_proc1z00_32085
																																																																							=
																																																																							BgL_carzd265361zd2_5966;
																																																																						BgL_proc2z00_32086
																																																																							=
																																																																							BgL_carzd265370zd2_5968;
																																																																						BgL_argsz00_32087
																																																																							=
																																																																							BgL_cdrzd265338zd2_5963;
																																																																						BgL_argsz00_1834
																																																																							=
																																																																							BgL_argsz00_32087;
																																																																						BgL_proc2z00_1833
																																																																							=
																																																																							BgL_proc2z00_32086;
																																																																						BgL_proc1z00_1832
																																																																							=
																																																																							BgL_proc1z00_32085;
																																																																						BgL_testz00_1831
																																																																							=
																																																																							BgL_testz00_32084;
																																																																						goto
																																																																							BgL_tagzd2389zd2_1835;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_32090;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_32090);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_32094;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_32094);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_32098;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_32098);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_32102;
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_32102);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd265648zd2_5990;
																																																								BgL_cdrzd265648zd2_5990
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_expz00_21));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd265655zd2_5991;
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_pairz00_14464;
																																																										BgL_pairz00_14464
																																																											=
																																																											CAR
																																																											(
																																																											((obj_t) BgL_expz00_21));
																																																										BgL_cdrzd265655zd2_5991
																																																											=
																																																											CDR
																																																											(BgL_pairz00_14464);
																																																									}
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd265662zd2_5992;
																																																										BgL_cdrzd265662zd2_5992
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd265655zd2_5991));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd265668zd2_5993;
																																																											obj_t
																																																												BgL_cdrzd265669zd2_5994;
																																																											BgL_carzd265668zd2_5993
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd265662zd2_5992));
																																																											BgL_cdrzd265669zd2_5994
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd265662zd2_5992));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265668zd2_5993))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd265676zd2_5996;
																																																													BgL_carzd265676zd2_5996
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_cdrzd265669zd2_5994));
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd265676zd2_5996))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(((obj_t) BgL_cdrzd265669zd2_5994))))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd265648zd2_5990))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg4899z00_6001;
																																																																			BgL_arg4899z00_6001
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd265655zd2_5991));
																																																																			{
																																																																				obj_t
																																																																					BgL_argsz00_32132;
																																																																				obj_t
																																																																					BgL_proc2z00_32131;
																																																																				obj_t
																																																																					BgL_proc1z00_32130;
																																																																				obj_t
																																																																					BgL_testz00_32129;
																																																																				BgL_testz00_32129
																																																																					=
																																																																					BgL_arg4899z00_6001;
																																																																				BgL_proc1z00_32130
																																																																					=
																																																																					BgL_carzd265668zd2_5993;
																																																																				BgL_proc2z00_32131
																																																																					=
																																																																					BgL_carzd265676zd2_5996;
																																																																				BgL_argsz00_32132
																																																																					=
																																																																					BgL_cdrzd265648zd2_5990;
																																																																				BgL_argsz00_1834
																																																																					=
																																																																					BgL_argsz00_32132;
																																																																				BgL_proc2z00_1833
																																																																					=
																																																																					BgL_proc2z00_32131;
																																																																				BgL_proc1z00_1832
																																																																					=
																																																																					BgL_proc1z00_32130;
																																																																				BgL_testz00_1831
																																																																					=
																																																																					BgL_testz00_32129;
																																																																				goto
																																																																					BgL_tagzd2389zd2_1835;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_32135;
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_32135);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_32139;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_32139);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_32143;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_32143);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_32147;
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_32147);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_32151;
																																																								goto
																																																									BgL_tagzd2404zd2_1859;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_32151);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2405zd2_1860;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd266009zd2_6009;
																																																				BgL_cdrzd266009zd2_6009
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd266015zd2_6010;
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_pairz00_14473;
																																																						BgL_pairz00_14473
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						BgL_cdrzd266015zd2_6010
																																																							=
																																																							CDR
																																																							(BgL_pairz00_14473);
																																																					}
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd266021zd2_6011;
																																																						BgL_cdrzd266021zd2_6011
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd266015zd2_6010));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_carzd266026zd2_6012;
																																																							obj_t
																																																								BgL_cdrzd266027zd2_6013;
																																																							BgL_carzd266026zd2_6012
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd266021zd2_6011));
																																																							BgL_cdrzd266027zd2_6013
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd266021zd2_6011));
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd266026zd2_6012))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd266027zd2_6013))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd266032zd2_6016;
																																																											BgL_carzd266032zd2_6016
																																																												=
																																																												CAR
																																																												(BgL_cdrzd266027zd2_6013);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd266032zd2_6016))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (NULLP(CDR(BgL_cdrzd266027zd2_6013)))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd266009zd2_6009))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_arg4913z00_6021;
																																																																	BgL_arg4913z00_6021
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_cdrzd266015zd2_6010));
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_32181;
																																																																		obj_t
																																																																			BgL_proc2z00_32180;
																																																																		obj_t
																																																																			BgL_proc1z00_32179;
																																																																		obj_t
																																																																			BgL_testz00_32178;
																																																																		BgL_testz00_32178
																																																																			=
																																																																			BgL_arg4913z00_6021;
																																																																		BgL_proc1z00_32179
																																																																			=
																																																																			BgL_carzd266026zd2_6012;
																																																																		BgL_proc2z00_32180
																																																																			=
																																																																			BgL_carzd266032zd2_6016;
																																																																		BgL_argsz00_32181
																																																																			=
																																																																			BgL_cdrzd266009zd2_6009;
																																																																		BgL_argsz00_1834
																																																																			=
																																																																			BgL_argsz00_32181;
																																																																		BgL_proc2z00_1833
																																																																			=
																																																																			BgL_proc2z00_32180;
																																																																		BgL_proc1z00_1832
																																																																			=
																																																																			BgL_proc1z00_32179;
																																																																		BgL_testz00_1831
																																																																			=
																																																																			BgL_testz00_32178;
																																																																		goto
																																																																			BgL_tagzd2389zd2_1835;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_32184;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_32184);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_32188;
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_32188);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_32192;
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_32192);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_32196;
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_32196);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_32200;
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_32200);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																										}
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_32204;
																																																				goto
																																																					BgL_tagzd2404zd2_1859;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_32204);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2405zd2_1860;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{
																																																		obj_t
																																																			BgL_auxz00_32208;
																																																		goto
																																																			BgL_tagzd2404zd2_1859;
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_32208);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2405zd2_1860;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{
																																																obj_t
																																																	BgL_auxz00_32212;
																																																goto
																																																	BgL_tagzd2404zd2_1859;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_32212);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2405zd2_1860;
																																															}
																																													}
																																											}
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 119 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																										{
																																											obj_t
																																												BgL_auxz00_32216;
																																											goto
																																												BgL_tagzd2404zd2_1859;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_32216);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 119 */
																																											goto
																																												BgL_tagzd2405zd2_1860;
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 119 */
																																	obj_t
																																		BgL_carzd268414zd2_6165;
																																	BgL_carzd268414zd2_6165
																																		=
																																		CAR(((obj_t)
																																			BgL_expz00_21));
																																	if (PAIRP
																																		(BgL_carzd268414zd2_6165))
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_carzd268417zd2_6167;
																																			obj_t
																																				BgL_cdrzd268418zd2_6168;
																																			BgL_carzd268417zd2_6167
																																				=
																																				CAR
																																				(BgL_carzd268414zd2_6165);
																																			BgL_cdrzd268418zd2_6168
																																				=
																																				CDR
																																				(BgL_carzd268414zd2_6165);
																																			{

																																				if (
																																					(BgL_carzd268417zd2_6167
																																						==
																																						((obj_t) CNST_TABLE_REF(18))))
																																					{
																																						obj_t
																																							BgL_auxz00_32228;
																																					BgL_kapzd268419zd2_6169:
																																						if (PAIRP(BgL_cdrzd268418zd2_6168))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd268422zd2_6468;
																																								BgL_cdrzd268422zd2_6468
																																									=
																																									CDR
																																									(BgL_cdrzd268418zd2_6168);
																																								if (PAIRP(BgL_cdrzd268422zd2_6468))
																																									{	/* Ast/sexp.scm 119 */
																																										if (NULLP(CDR(BgL_cdrzd268422zd2_6468)))
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_arg5213z00_6472;
																																												obj_t
																																													BgL_arg5214z00_6473;
																																												BgL_arg5213z00_6472
																																													=
																																													CAR
																																													(BgL_cdrzd268422zd2_6468);
																																												BgL_arg5214z00_6473
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_32240;
																																													{
																																														obj_t
																																															BgL_argsz00_32242;
																																														obj_t
																																															BgL_bodyz00_32241;
																																														BgL_bodyz00_32241
																																															=
																																															BgL_arg5213z00_6472;
																																														BgL_argsz00_32242
																																															=
																																															BgL_arg5214z00_6473;
																																														BgL_argsz00_1811
																																															=
																																															BgL_argsz00_32242;
																																														BgL_bodyz00_1810
																																															=
																																															BgL_bodyz00_32241;
																																														goto
																																															BgL_tagzd2382zd2_1812;
																																													}
																																													BgL_auxz00_32228
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_32240);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_cdrzd268445zd2_6474;
																																												BgL_cdrzd268445zd2_6474
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												{

																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10633z00_32246;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5281z00_6584;
																																															BgL_arg5281z00_6584
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10633z00_32246
																																																=
																																																CBOOL
																																																(BGl_letzd2symzf3z21zzast_letz00
																																																(BgL_arg5281z00_6584));
																																														}
																																														if (BgL_test10633z00_32246)
																																															{	/* Ast/sexp.scm 119 */
																																																if (PAIRP(BgL_cdrzd268445zd2_6474))
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_arg5283z00_6586;
																																																		obj_t
																																																			BgL_arg5284z00_6587;
																																																		BgL_arg5283z00_6586
																																																			=
																																																			CAR
																																																			(BgL_cdrzd268445zd2_6474);
																																																		BgL_arg5284z00_6587
																																																			=
																																																			CDR
																																																			(BgL_cdrzd268445zd2_6474);
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_32255;
																																																			{
																																																				obj_t
																																																					BgL_exprz00_32257;
																																																				obj_t
																																																					BgL_bindingsz00_32256;
																																																				BgL_bindingsz00_32256
																																																					=
																																																					BgL_arg5283z00_6586;
																																																				BgL_exprz00_32257
																																																					=
																																																					BgL_arg5284z00_6587;
																																																				BgL_exprz00_1814
																																																					=
																																																					BgL_exprz00_32257;
																																																				BgL_bindingsz00_1813
																																																					=
																																																					BgL_bindingsz00_32256;
																																																				goto
																																																					BgL_tagzd2383zd2_1815;
																																																			}
																																																			BgL_auxz00_32228
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_32255);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test10635z00_32259;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5348z00_6693;
																																																			BgL_arg5348z00_6693
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test10635z00_32259
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5348z00_6693));
																																																		}
																																																		if (BgL_test10635z00_32259)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_32264;
																																																				goto
																																																					BgL_tagzd2385zd2_1817;
																																																				BgL_auxz00_32228
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_32264);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd268509zd2_6590;
																																																				BgL_carzd268509zd2_6590
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd268514zd2_6591;
																																																					BgL_cdrzd268514zd2_6591
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd268509zd2_6590));
																																																					if ((CAR(((obj_t) BgL_carzd268509zd2_6590)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_arg5289z00_6594;
																																																							obj_t
																																																								BgL_arg5290z00_6595;
																																																							obj_t
																																																								BgL_arg5291z00_6596;
																																																							BgL_arg5289z00_6594
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd268514zd2_6591));
																																																							BgL_arg5290z00_6595
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_cdrzd268514zd2_6591));
																																																							BgL_arg5291z00_6596
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_32282;
																																																								{
																																																									obj_t
																																																										BgL_argsz00_32285;
																																																									obj_t
																																																										BgL_bodyz00_32284;
																																																									obj_t
																																																										BgL_varsz00_32283;
																																																									BgL_varsz00_32283
																																																										=
																																																										BgL_arg5289z00_6594;
																																																									BgL_bodyz00_32284
																																																										=
																																																										BgL_arg5290z00_6595;
																																																									BgL_argsz00_32285
																																																										=
																																																										BgL_arg5291z00_6596;
																																																									BgL_argsz00_1824
																																																										=
																																																										BgL_argsz00_32285;
																																																									BgL_bodyz00_1823
																																																										=
																																																										BgL_bodyz00_32284;
																																																									BgL_varsz00_1822
																																																										=
																																																										BgL_varsz00_32283;
																																																									goto
																																																										BgL_tagzd2387zd2_1825;
																																																								}
																																																								BgL_auxz00_32228
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_32282);
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd268537zd2_6598;
																																																							BgL_cdrzd268537zd2_6598
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd268543zd2_6599;
																																																								BgL_cdrzd268543zd2_6599
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_carzd268509zd2_6590));
																																																								if ((CAR(((obj_t) BgL_carzd268509zd2_6590)) == ((obj_t) CNST_TABLE_REF(1))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd268549zd2_6602;
																																																										BgL_cdrzd268549zd2_6602
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_cdrzd268543zd2_6599));
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_carzd268554zd2_6603;
																																																											obj_t
																																																												BgL_cdrzd268555zd2_6604;
																																																											BgL_carzd268554zd2_6603
																																																												=
																																																												CAR
																																																												(
																																																												((obj_t) BgL_cdrzd268549zd2_6602));
																																																											BgL_cdrzd268555zd2_6604
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_cdrzd268549zd2_6602));
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268554zd2_6603))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd268555zd2_6604))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd268562zd2_6607;
																																																															BgL_carzd268562zd2_6607
																																																																=
																																																																CAR
																																																																(BgL_cdrzd268555zd2_6604);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268562zd2_6607))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (NULLP(CDR(BgL_cdrzd268555zd2_6604)))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			bool_t
																																																																				BgL_test10642z00_32313;
																																																																			{
																																																																				obj_t
																																																																					BgL_l1438z00_6640;
																																																																				BgL_l1438z00_6640
																																																																					=
																																																																					BgL_cdrzd268537zd2_6598;
																																																																			BgL_zc3z04anonymousza35314ze3z87_6641:
																																																																				if (NULLP(BgL_l1438z00_6640))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test10642z00_32313
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						bool_t
																																																																							BgL_test10644z00_32316;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							bool_t
																																																																								BgL_test10645z00_32317;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_tmpz00_32318;
																																																																								BgL_tmpz00_32318
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_l1438z00_6640));
																																																																								BgL_test10645z00_32317
																																																																									=
																																																																									PAIRP
																																																																									(BgL_tmpz00_32318);
																																																																							}
																																																																							if (BgL_test10645z00_32317)
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10644z00_32316
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									BgL_test10644z00_32316
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										1);
																																																																								}
																																																																						}
																																																																						if (BgL_test10644z00_32316)
																																																																							{
																																																																								obj_t
																																																																									BgL_l1438z00_32322;
																																																																								BgL_l1438z00_32322
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_l1438z00_6640));
																																																																								BgL_l1438z00_6640
																																																																									=
																																																																									BgL_l1438z00_32322;
																																																																								goto
																																																																									BgL_zc3z04anonymousza35314ze3z87_6641;
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10642z00_32313
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									0);
																																																																							}
																																																																					}
																																																																			}
																																																																			if (BgL_test10642z00_32313)
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_arg5304z00_6623;
																																																																					BgL_arg5304z00_6623
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd268543zd2_6599));
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32327;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_32331;
																																																																							obj_t
																																																																								BgL_proc2z00_32330;
																																																																							obj_t
																																																																								BgL_proc1z00_32329;
																																																																							obj_t
																																																																								BgL_testz00_32328;
																																																																							BgL_testz00_32328
																																																																								=
																																																																								BgL_arg5304z00_6623;
																																																																							BgL_proc1z00_32329
																																																																								=
																																																																								BgL_carzd268554zd2_6603;
																																																																							BgL_proc2z00_32330
																																																																								=
																																																																								BgL_carzd268562zd2_6607;
																																																																							BgL_argsz00_32331
																																																																								=
																																																																								BgL_cdrzd268537zd2_6598;
																																																																							BgL_argsz00_1829
																																																																								=
																																																																								BgL_argsz00_32331;
																																																																							BgL_proc2z00_1828
																																																																								=
																																																																								BgL_proc2z00_32330;
																																																																							BgL_proc1z00_1827
																																																																								=
																																																																								BgL_proc1z00_32329;
																																																																							BgL_testz00_1826
																																																																								=
																																																																								BgL_testz00_32328;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1830;
																																																																						}
																																																																						BgL_auxz00_32228
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32327);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd268586zd2_6624;
																																																																					BgL_cdrzd268586zd2_6624
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd268593zd2_6625;
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_pairz00_14559;
																																																																							BgL_pairz00_14559
																																																																								=
																																																																								CAR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							BgL_cdrzd268593zd2_6625
																																																																								=
																																																																								CDR
																																																																								(BgL_pairz00_14559);
																																																																						}
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd268600zd2_6626;
																																																																							BgL_cdrzd268600zd2_6626
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_cdrzd268593zd2_6625));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd268606zd2_6627;
																																																																								BgL_carzd268606zd2_6627
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd268600zd2_6626));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268606zd2_6627))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd268613zd2_6629;
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_pairz00_14563;
																																																																											BgL_pairz00_14563
																																																																												=
																																																																												CDR
																																																																												(
																																																																												((obj_t) BgL_cdrzd268600zd2_6626));
																																																																											BgL_carzd268613zd2_6629
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_14563);
																																																																										}
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268613zd2_6629))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd268586zd2_6624))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5308z00_6632;
																																																																														BgL_arg5308z00_6632
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd268593zd2_6625));
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_32353;
																																																																															{
																																																																																obj_t
																																																																																	BgL_argsz00_32357;
																																																																																obj_t
																																																																																	BgL_proc2z00_32356;
																																																																																obj_t
																																																																																	BgL_proc1z00_32355;
																																																																																obj_t
																																																																																	BgL_testz00_32354;
																																																																																BgL_testz00_32354
																																																																																	=
																																																																																	BgL_arg5308z00_6632;
																																																																																BgL_proc1z00_32355
																																																																																	=
																																																																																	BgL_carzd268606zd2_6627;
																																																																																BgL_proc2z00_32356
																																																																																	=
																																																																																	BgL_carzd268613zd2_6629;
																																																																																BgL_argsz00_32357
																																																																																	=
																																																																																	BgL_cdrzd268586zd2_6624;
																																																																																BgL_argsz00_1834
																																																																																	=
																																																																																	BgL_argsz00_32357;
																																																																																BgL_proc2z00_1833
																																																																																	=
																																																																																	BgL_proc2z00_32356;
																																																																																BgL_proc1z00_1832
																																																																																	=
																																																																																	BgL_proc1z00_32355;
																																																																																BgL_testz00_1831
																																																																																	=
																																																																																	BgL_testz00_32354;
																																																																																goto
																																																																																	BgL_tagzd2389zd2_1835;
																																																																															}
																																																																															BgL_auxz00_32228
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_32353);
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																															}
																																																																														else
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_32361;
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																																BgL_auxz00_32228
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_32361);
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_32365;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_32228
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_32365);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32369;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_32228
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32369);
																																																																											}
																																																																									}
																																																																							}
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					goto
																																																																						BgL_tagzd2404zd2_1859;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_32373;
																																																																					goto
																																																																						BgL_tagzd2405zd2_1860;
																																																																					BgL_auxz00_32228
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_32373);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd268889zd2_6651;
																																																																	BgL_cdrzd268889zd2_6651
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd268895zd2_6652;
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_pairz00_14567;
																																																																			BgL_pairz00_14567
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			BgL_cdrzd268895zd2_6652
																																																																				=
																																																																				CDR
																																																																				(BgL_pairz00_14567);
																																																																		}
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd268901zd2_6653;
																																																																			BgL_cdrzd268901zd2_6653
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_cdrzd268895zd2_6652));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd268906zd2_6654;
																																																																				obj_t
																																																																					BgL_cdrzd268907zd2_6655;
																																																																				BgL_carzd268906zd2_6654
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd268901zd2_6653));
																																																																				BgL_cdrzd268907zd2_6655
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd268901zd2_6653));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268906zd2_6654))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd268912zd2_6657;
																																																																						BgL_carzd268912zd2_6657
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd268907zd2_6655));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd268912zd2_6657))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(((obj_t) BgL_cdrzd268907zd2_6655))))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd268889zd2_6651))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5323z00_6662;
																																																																												BgL_arg5323z00_6662
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd268895zd2_6652));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_32400;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_32404;
																																																																														obj_t
																																																																															BgL_proc2z00_32403;
																																																																														obj_t
																																																																															BgL_proc1z00_32402;
																																																																														obj_t
																																																																															BgL_testz00_32401;
																																																																														BgL_testz00_32401
																																																																															=
																																																																															BgL_arg5323z00_6662;
																																																																														BgL_proc1z00_32402
																																																																															=
																																																																															BgL_carzd268906zd2_6654;
																																																																														BgL_proc2z00_32403
																																																																															=
																																																																															BgL_carzd268912zd2_6657;
																																																																														BgL_argsz00_32404
																																																																															=
																																																																															BgL_cdrzd268889zd2_6651;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_32404;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_32403;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_32402;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_32401;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																													BgL_auxz00_32228
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_32400);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_32408;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_32228
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_32408);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32412;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_32228
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32412);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32416;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32228
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32416);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32420;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_32228
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32420);
																																																																							}
																																																																					}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	goto
																																																																		BgL_tagzd2404zd2_1859;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_32424;
																																																																	goto
																																																																		BgL_tagzd2405zd2_1860;
																																																																	BgL_auxz00_32228
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_32424);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd269245zd2_6670;
																																																													BgL_cdrzd269245zd2_6670
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd269252zd2_6671;
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_pairz00_14576;
																																																															BgL_pairz00_14576
																																																																=
																																																																CAR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															BgL_cdrzd269252zd2_6671
																																																																=
																																																																CDR
																																																																(BgL_pairz00_14576);
																																																														}
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd269259zd2_6672;
																																																															BgL_cdrzd269259zd2_6672
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_cdrzd269252zd2_6671));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd269265zd2_6673;
																																																																obj_t
																																																																	BgL_cdrzd269266zd2_6674;
																																																																BgL_carzd269265zd2_6673
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd269259zd2_6672));
																																																																BgL_cdrzd269266zd2_6674
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd269259zd2_6672));
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269265zd2_6673))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd269266zd2_6674))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd269273zd2_6677;
																																																																				BgL_carzd269273zd2_6677
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd269266zd2_6674);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269273zd2_6677))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd269266zd2_6674)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd269245zd2_6670))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5337z00_6682;
																																																																										BgL_arg5337z00_6682
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd269252zd2_6671));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_32451;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_32455;
																																																																												obj_t
																																																																													BgL_proc2z00_32454;
																																																																												obj_t
																																																																													BgL_proc1z00_32453;
																																																																												obj_t
																																																																													BgL_testz00_32452;
																																																																												BgL_testz00_32452
																																																																													=
																																																																													BgL_arg5337z00_6682;
																																																																												BgL_proc1z00_32453
																																																																													=
																																																																													BgL_carzd269265zd2_6673;
																																																																												BgL_proc2z00_32454
																																																																													=
																																																																													BgL_carzd269273zd2_6677;
																																																																												BgL_argsz00_32455
																																																																													=
																																																																													BgL_cdrzd269245zd2_6670;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_32455;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_32454;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_32453;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_32452;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_32228
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_32451);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32459;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_32228
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32459);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32463;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32228
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32463);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32467;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_32228
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32467);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32471;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_32228
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32471);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_32475;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_32228
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_32475);
																																																																			}
																																																																	}
																																																															}
																																																														}
																																																													}
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 119 */
																																																												goto
																																																													BgL_tagzd2404zd2_1859;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_32479;
																																																												goto
																																																													BgL_tagzd2405zd2_1860;
																																																												BgL_auxz00_32228
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_32479);
																																																											}
																																																									}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10673z00_32481;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5280z00_6583;
																																																	BgL_arg5280z00_6583
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10673z00_32481
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5280z00_6583));
																																																}
																																																if (BgL_test10673z00_32481)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_32486;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_32228
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32486);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd269705zd2_6480;
																																																		BgL_carzd269705zd2_6480
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd269710zd2_6481;
																																																			BgL_cdrzd269710zd2_6481
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd269705zd2_6480));
																																																			if ((CAR(((obj_t) BgL_carzd269705zd2_6480)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5221z00_6484;
																																																					obj_t
																																																						BgL_arg5222z00_6485;
																																																					obj_t
																																																						BgL_arg5223z00_6486;
																																																					BgL_arg5221z00_6484
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd269710zd2_6481));
																																																					BgL_arg5222z00_6485
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd269710zd2_6481));
																																																					BgL_arg5223z00_6486
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_32504;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_32507;
																																																							obj_t
																																																								BgL_bodyz00_32506;
																																																							obj_t
																																																								BgL_varsz00_32505;
																																																							BgL_varsz00_32505
																																																								=
																																																								BgL_arg5221z00_6484;
																																																							BgL_bodyz00_32506
																																																								=
																																																								BgL_arg5222z00_6485;
																																																							BgL_argsz00_32507
																																																								=
																																																								BgL_arg5223z00_6486;
																																																							BgL_argsz00_1824
																																																								=
																																																								BgL_argsz00_32507;
																																																							BgL_bodyz00_1823
																																																								=
																																																								BgL_bodyz00_32506;
																																																							BgL_varsz00_1822
																																																								=
																																																								BgL_varsz00_32505;
																																																							goto
																																																								BgL_tagzd2387zd2_1825;
																																																						}
																																																						BgL_auxz00_32228
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32504);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd269733zd2_6488;
																																																					BgL_cdrzd269733zd2_6488
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_cdrzd269739zd2_6489;
																																																						BgL_cdrzd269739zd2_6489
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_carzd269705zd2_6480));
																																																						if ((CAR(((obj_t) BgL_carzd269705zd2_6480)) == ((obj_t) CNST_TABLE_REF(1))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								obj_t
																																																									BgL_cdrzd269745zd2_6492;
																																																								BgL_cdrzd269745zd2_6492
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_cdrzd269739zd2_6489));
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd269750zd2_6493;
																																																									obj_t
																																																										BgL_cdrzd269751zd2_6494;
																																																									BgL_carzd269750zd2_6493
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd269745zd2_6492));
																																																									BgL_cdrzd269751zd2_6494
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_cdrzd269745zd2_6492));
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269750zd2_6493))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (PAIRP(BgL_cdrzd269751zd2_6494))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd269758zd2_6497;
																																																													BgL_carzd269758zd2_6497
																																																														=
																																																														CAR
																																																														(BgL_cdrzd269751zd2_6494);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269758zd2_6497))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (NULLP(CDR(BgL_cdrzd269751zd2_6494)))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	bool_t
																																																																		BgL_test10680z00_32535;
																																																																	{
																																																																		obj_t
																																																																			BgL_l1441z00_6530;
																																																																		BgL_l1441z00_6530
																																																																			=
																																																																			BgL_cdrzd269733zd2_6488;
																																																																	BgL_zc3z04anonymousza35246ze3z87_6531:
																																																																		if (NULLP(BgL_l1441z00_6530))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				BgL_test10680z00_32535
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				bool_t
																																																																					BgL_test10682z00_32538;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10683z00_32539;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_tmpz00_32540;
																																																																						BgL_tmpz00_32540
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_l1441z00_6530));
																																																																						BgL_test10683z00_32539
																																																																							=
																																																																							PAIRP
																																																																							(BgL_tmpz00_32540);
																																																																					}
																																																																					if (BgL_test10683z00_32539)
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10682z00_32538
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								0);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							BgL_test10682z00_32538
																																																																								=
																																																																								(
																																																																								(bool_t)
																																																																								1);
																																																																						}
																																																																				}
																																																																				if (BgL_test10682z00_32538)
																																																																					{
																																																																						obj_t
																																																																							BgL_l1441z00_32544;
																																																																						BgL_l1441z00_32544
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_l1441z00_6530));
																																																																						BgL_l1441z00_6530
																																																																							=
																																																																							BgL_l1441z00_32544;
																																																																						goto
																																																																							BgL_zc3z04anonymousza35246ze3z87_6531;
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						BgL_test10680z00_32535
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																			}
																																																																	}
																																																																	if (BgL_test10680z00_32535)
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_arg5236z00_6513;
																																																																			BgL_arg5236z00_6513
																																																																				=
																																																																				CAR
																																																																				(
																																																																				((obj_t) BgL_cdrzd269739zd2_6489));
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_32549;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_32553;
																																																																					obj_t
																																																																						BgL_proc2z00_32552;
																																																																					obj_t
																																																																						BgL_proc1z00_32551;
																																																																					obj_t
																																																																						BgL_testz00_32550;
																																																																					BgL_testz00_32550
																																																																						=
																																																																						BgL_arg5236z00_6513;
																																																																					BgL_proc1z00_32551
																																																																						=
																																																																						BgL_carzd269750zd2_6493;
																																																																					BgL_proc2z00_32552
																																																																						=
																																																																						BgL_carzd269758zd2_6497;
																																																																					BgL_argsz00_32553
																																																																						=
																																																																						BgL_cdrzd269733zd2_6488;
																																																																					BgL_argsz00_1829
																																																																						=
																																																																						BgL_argsz00_32553;
																																																																					BgL_proc2z00_1828
																																																																						=
																																																																						BgL_proc2z00_32552;
																																																																					BgL_proc1z00_1827
																																																																						=
																																																																						BgL_proc1z00_32551;
																																																																					BgL_testz00_1826
																																																																						=
																																																																						BgL_testz00_32550;
																																																																					goto
																																																																						BgL_tagzd2388zd2_1830;
																																																																				}
																																																																				BgL_auxz00_32228
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_32549);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd269782zd2_6514;
																																																																			BgL_cdrzd269782zd2_6514
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd269789zd2_6515;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14605;
																																																																					BgL_pairz00_14605
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd269789zd2_6515
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_14605);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd269796zd2_6516;
																																																																					BgL_cdrzd269796zd2_6516
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd269789zd2_6515));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd269802zd2_6517;
																																																																						BgL_carzd269802zd2_6517
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd269796zd2_6516));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269802zd2_6517))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd269809zd2_6519;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14609;
																																																																									BgL_pairz00_14609
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd269796zd2_6516));
																																																																									BgL_carzd269809zd2_6519
																																																																										=
																																																																										CAR
																																																																										(BgL_pairz00_14609);
																																																																								}
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd269809zd2_6519))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd269782zd2_6514))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5240z00_6522;
																																																																												BgL_arg5240z00_6522
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd269789zd2_6515));
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_32575;
																																																																													{
																																																																														obj_t
																																																																															BgL_argsz00_32579;
																																																																														obj_t
																																																																															BgL_proc2z00_32578;
																																																																														obj_t
																																																																															BgL_proc1z00_32577;
																																																																														obj_t
																																																																															BgL_testz00_32576;
																																																																														BgL_testz00_32576
																																																																															=
																																																																															BgL_arg5240z00_6522;
																																																																														BgL_proc1z00_32577
																																																																															=
																																																																															BgL_carzd269802zd2_6517;
																																																																														BgL_proc2z00_32578
																																																																															=
																																																																															BgL_carzd269809zd2_6519;
																																																																														BgL_argsz00_32579
																																																																															=
																																																																															BgL_cdrzd269782zd2_6514;
																																																																														BgL_argsz00_1834
																																																																															=
																																																																															BgL_argsz00_32579;
																																																																														BgL_proc2z00_1833
																																																																															=
																																																																															BgL_proc2z00_32578;
																																																																														BgL_proc1z00_1832
																																																																															=
																																																																															BgL_proc1z00_32577;
																																																																														BgL_testz00_1831
																																																																															=
																																																																															BgL_testz00_32576;
																																																																														goto
																																																																															BgL_tagzd2389zd2_1835;
																																																																													}
																																																																													BgL_auxz00_32228
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_32575);
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																													}
																																																																												else
																																																																													{
																																																																														BgL_nodez00_bglt
																																																																															BgL_auxz00_32583;
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																														BgL_auxz00_32228
																																																																															=
																																																																															(
																																																																															(obj_t)
																																																																															BgL_auxz00_32583);
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32587;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_32228
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32587);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32591;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32228
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32591);
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_32595;
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																			BgL_auxz00_32228
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_32595);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd270085zd2_6541;
																																																															BgL_cdrzd270085zd2_6541
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd270091zd2_6542;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14613;
																																																																	BgL_pairz00_14613
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd270091zd2_6542
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14613);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd270097zd2_6543;
																																																																	BgL_cdrzd270097zd2_6543
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd270091zd2_6542));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd270102zd2_6544;
																																																																		obj_t
																																																																			BgL_cdrzd270103zd2_6545;
																																																																		BgL_carzd270102zd2_6544
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd270097zd2_6543));
																																																																		BgL_cdrzd270103zd2_6545
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd270097zd2_6543));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270102zd2_6544))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd270108zd2_6547;
																																																																				BgL_carzd270108zd2_6547
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd270103zd2_6545));
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270108zd2_6547))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd270103zd2_6545))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd270085zd2_6541))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5255z00_6552;
																																																																										BgL_arg5255z00_6552
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd270091zd2_6542));
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_32622;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_32626;
																																																																												obj_t
																																																																													BgL_proc2z00_32625;
																																																																												obj_t
																																																																													BgL_proc1z00_32624;
																																																																												obj_t
																																																																													BgL_testz00_32623;
																																																																												BgL_testz00_32623
																																																																													=
																																																																													BgL_arg5255z00_6552;
																																																																												BgL_proc1z00_32624
																																																																													=
																																																																													BgL_carzd270102zd2_6544;
																																																																												BgL_proc2z00_32625
																																																																													=
																																																																													BgL_carzd270108zd2_6547;
																																																																												BgL_argsz00_32626
																																																																													=
																																																																													BgL_cdrzd270085zd2_6541;
																																																																												BgL_argsz00_1834
																																																																													=
																																																																													BgL_argsz00_32626;
																																																																												BgL_proc2z00_1833
																																																																													=
																																																																													BgL_proc2z00_32625;
																																																																												BgL_proc1z00_1832
																																																																													=
																																																																													BgL_proc1z00_32624;
																																																																												BgL_testz00_1831
																																																																													=
																																																																													BgL_testz00_32623;
																																																																												goto
																																																																													BgL_tagzd2389zd2_1835;
																																																																											}
																																																																											BgL_auxz00_32228
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_32622);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																											}
																																																																										else
																																																																											{
																																																																												BgL_nodez00_bglt
																																																																													BgL_auxz00_32630;
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																												BgL_auxz00_32228
																																																																													=
																																																																													(
																																																																													(obj_t)
																																																																													BgL_auxz00_32630);
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32634;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32228
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32634);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32638;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_32228
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32638);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32642;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_32228
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32642);
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_32646;
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																															BgL_auxz00_32228
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_32646);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd270441zd2_6560;
																																																											BgL_cdrzd270441zd2_6560
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_cdrzd270448zd2_6561;
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_pairz00_14622;
																																																													BgL_pairz00_14622
																																																														=
																																																														CAR
																																																														(
																																																														((obj_t) BgL_expz00_21));
																																																													BgL_cdrzd270448zd2_6561
																																																														=
																																																														CDR
																																																														(BgL_pairz00_14622);
																																																												}
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd270455zd2_6562;
																																																													BgL_cdrzd270455zd2_6562
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_cdrzd270448zd2_6561));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_carzd270461zd2_6563;
																																																														obj_t
																																																															BgL_cdrzd270462zd2_6564;
																																																														BgL_carzd270461zd2_6563
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd270455zd2_6562));
																																																														BgL_cdrzd270462zd2_6564
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd270455zd2_6562));
																																																														if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270461zd2_6563))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (PAIRP(BgL_cdrzd270462zd2_6564))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd270469zd2_6567;
																																																																		BgL_carzd270469zd2_6567
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd270462zd2_6564);
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd270469zd2_6567))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (NULLP(CDR(BgL_cdrzd270462zd2_6564)))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd270441zd2_6560))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg5269z00_6572;
																																																																								BgL_arg5269z00_6572
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd270448zd2_6561));
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_32673;
																																																																									{
																																																																										obj_t
																																																																											BgL_argsz00_32677;
																																																																										obj_t
																																																																											BgL_proc2z00_32676;
																																																																										obj_t
																																																																											BgL_proc1z00_32675;
																																																																										obj_t
																																																																											BgL_testz00_32674;
																																																																										BgL_testz00_32674
																																																																											=
																																																																											BgL_arg5269z00_6572;
																																																																										BgL_proc1z00_32675
																																																																											=
																																																																											BgL_carzd270461zd2_6563;
																																																																										BgL_proc2z00_32676
																																																																											=
																																																																											BgL_carzd270469zd2_6567;
																																																																										BgL_argsz00_32677
																																																																											=
																																																																											BgL_cdrzd270441zd2_6560;
																																																																										BgL_argsz00_1834
																																																																											=
																																																																											BgL_argsz00_32677;
																																																																										BgL_proc2z00_1833
																																																																											=
																																																																											BgL_proc2z00_32676;
																																																																										BgL_proc1z00_1832
																																																																											=
																																																																											BgL_proc1z00_32675;
																																																																										BgL_testz00_1831
																																																																											=
																																																																											BgL_testz00_32674;
																																																																										goto
																																																																											BgL_tagzd2389zd2_1835;
																																																																									}
																																																																									BgL_auxz00_32228
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_32673);
																																																																								}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32681;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32228
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32681);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																							}
																																																																						else
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_32685;
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																								BgL_auxz00_32228
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_32685);
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_32689;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_32228
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_32689);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_32693;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_32228
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_32693);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_32697;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_32228
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_32697);
																																																																	}
																																																															}
																																																													}
																																																												}
																																																											}
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_32701;
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																										BgL_auxz00_32228
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_32701);
																																																									}
																																																							}
																																																					}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_cdrzd270861zd2_6695;
																																										BgL_cdrzd270861zd2_6695
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										{

																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10711z00_32705;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5362z00_6711;
																																													BgL_arg5362z00_6711
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10711z00_32705
																																														=
																																														CBOOL
																																														(BGl_letzd2symzf3z21zzast_letz00
																																														(BgL_arg5362z00_6711));
																																												}
																																												if (BgL_test10711z00_32705)
																																													{	/* Ast/sexp.scm 119 */
																																														if (PAIRP(BgL_cdrzd270861zd2_6695))
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_arg5364z00_6713;
																																																obj_t
																																																	BgL_arg5365z00_6714;
																																																BgL_arg5364z00_6713
																																																	=
																																																	CAR
																																																	(BgL_cdrzd270861zd2_6695);
																																																BgL_arg5365z00_6714
																																																	=
																																																	CDR
																																																	(BgL_cdrzd270861zd2_6695);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_32714;
																																																	{
																																																		obj_t
																																																			BgL_exprz00_32716;
																																																		obj_t
																																																			BgL_bindingsz00_32715;
																																																		BgL_bindingsz00_32715
																																																			=
																																																			BgL_arg5364z00_6713;
																																																		BgL_exprz00_32716
																																																			=
																																																			BgL_arg5365z00_6714;
																																																		BgL_exprz00_1814
																																																			=
																																																			BgL_exprz00_32716;
																																																		BgL_bindingsz00_1813
																																																			=
																																																			BgL_bindingsz00_32715;
																																																		goto
																																																			BgL_tagzd2383zd2_1815;
																																																	}
																																																	BgL_auxz00_32228
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_32714);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10713z00_32718;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5375z00_6726;
																																																	BgL_arg5375z00_6726
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10713z00_32718
																																																		=
																																																		CBOOL
																																																		(BGl_labelszd2symzf3z21zzast_labelsz00
																																																		(BgL_arg5375z00_6726));
																																																}
																																																if (BgL_test10713z00_32718)
																																																	{
																																																		BgL_letzd2funzd2_bglt
																																																			BgL_auxz00_32723;
																																																		goto
																																																			BgL_tagzd2385zd2_1817;
																																																		BgL_auxz00_32228
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32723);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		obj_t
																																																			BgL_carzd270924zd2_6717;
																																																		BgL_carzd270924zd2_6717
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_expz00_21));
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_cdrzd270929zd2_6718;
																																																			BgL_cdrzd270929zd2_6718
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_carzd270924zd2_6717));
																																																			if ((CAR(((obj_t) BgL_carzd270924zd2_6717)) == ((obj_t) CNST_TABLE_REF(3))))
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5370z00_6721;
																																																					obj_t
																																																						BgL_arg5371z00_6722;
																																																					obj_t
																																																						BgL_arg5372z00_6723;
																																																					BgL_arg5370z00_6721
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd270929zd2_6718));
																																																					BgL_arg5371z00_6722
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd270929zd2_6718));
																																																					BgL_arg5372z00_6723
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_32741;
																																																						{
																																																							obj_t
																																																								BgL_argsz00_32744;
																																																							obj_t
																																																								BgL_bodyz00_32743;
																																																							obj_t
																																																								BgL_varsz00_32742;
																																																							BgL_varsz00_32742
																																																								=
																																																								BgL_arg5370z00_6721;
																																																							BgL_bodyz00_32743
																																																								=
																																																								BgL_arg5371z00_6722;
																																																							BgL_argsz00_32744
																																																								=
																																																								BgL_arg5372z00_6723;
																																																							BgL_argsz00_1824
																																																								=
																																																								BgL_argsz00_32744;
																																																							BgL_bodyz00_1823
																																																								=
																																																								BgL_bodyz00_32743;
																																																							BgL_varsz00_1822
																																																								=
																																																								BgL_varsz00_32742;
																																																							goto
																																																								BgL_tagzd2387zd2_1825;
																																																						}
																																																						BgL_auxz00_32228
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32741);
																																																					}
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 119 */
																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																						{	/* Ast/sexp.scm 119 */
																																																							goto
																																																								BgL_tagzd2404zd2_1859;
																																																						}
																																																					else
																																																						{
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_32748;
																																																							goto
																																																								BgL_tagzd2405zd2_1860;
																																																							BgL_auxz00_32228
																																																								=
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_32748);
																																																						}
																																																				}
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10716z00_32750;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5361z00_6710;
																																															BgL_arg5361z00_6710
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10716z00_32750
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5361z00_6710));
																																														}
																																														if (BgL_test10716z00_32750)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_32755;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_32228
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32755);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																obj_t
																																																	BgL_carzd271078zd2_6701;
																																																BgL_carzd271078zd2_6701
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_expz00_21));
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_cdrzd271083zd2_6702;
																																																	BgL_cdrzd271083zd2_6702
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd271078zd2_6701));
																																																	if ((CAR(((obj_t) BgL_carzd271078zd2_6701)) == ((obj_t) CNST_TABLE_REF(3))))
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5356z00_6705;
																																																			obj_t
																																																				BgL_arg5357z00_6706;
																																																			obj_t
																																																				BgL_arg5358z00_6707;
																																																			BgL_arg5356z00_6705
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd271083zd2_6702));
																																																			BgL_arg5357z00_6706
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd271083zd2_6702));
																																																			BgL_arg5358z00_6707
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_32773;
																																																				{
																																																					obj_t
																																																						BgL_argsz00_32776;
																																																					obj_t
																																																						BgL_bodyz00_32775;
																																																					obj_t
																																																						BgL_varsz00_32774;
																																																					BgL_varsz00_32774
																																																						=
																																																						BgL_arg5356z00_6705;
																																																					BgL_bodyz00_32775
																																																						=
																																																						BgL_arg5357z00_6706;
																																																					BgL_argsz00_32776
																																																						=
																																																						BgL_arg5358z00_6707;
																																																					BgL_argsz00_1824
																																																						=
																																																						BgL_argsz00_32776;
																																																					BgL_bodyz00_1823
																																																						=
																																																						BgL_bodyz00_32775;
																																																					BgL_varsz00_1822
																																																						=
																																																						BgL_varsz00_32774;
																																																					goto
																																																						BgL_tagzd2387zd2_1825;
																																																				}
																																																				BgL_auxz00_32228
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_32773);
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 119 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 119 */
																																																					goto
																																																						BgL_tagzd2404zd2_1859;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_32780;
																																																					goto
																																																						BgL_tagzd2405zd2_1860;
																																																					BgL_auxz00_32228
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_32780);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																											}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_cdrzd271193zd2_6727;
																																								BgL_cdrzd271193zd2_6727
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_expz00_21));
																																								{

																																									{	/* Ast/sexp.scm 119 */
																																										bool_t
																																											BgL_test10719z00_32784;
																																										{	/* Ast/sexp.scm 119 */
																																											obj_t
																																												BgL_arg5382z00_6735;
																																											BgL_arg5382z00_6735
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_expz00_21));
																																											BgL_test10719z00_32784
																																												=
																																												CBOOL
																																												(BGl_letzd2symzf3z21zzast_letz00
																																												(BgL_arg5382z00_6735));
																																										}
																																										if (BgL_test10719z00_32784)
																																											{	/* Ast/sexp.scm 119 */
																																												if (PAIRP(BgL_cdrzd271193zd2_6727))
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_arg5384z00_6737;
																																														obj_t
																																															BgL_arg5385z00_6738;
																																														BgL_arg5384z00_6737
																																															=
																																															CAR
																																															(BgL_cdrzd271193zd2_6727);
																																														BgL_arg5385z00_6738
																																															=
																																															CDR
																																															(BgL_cdrzd271193zd2_6727);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_32793;
																																															{
																																																obj_t
																																																	BgL_exprz00_32795;
																																																obj_t
																																																	BgL_bindingsz00_32794;
																																																BgL_bindingsz00_32794
																																																	=
																																																	BgL_arg5384z00_6737;
																																																BgL_exprz00_32795
																																																	=
																																																	BgL_arg5385z00_6738;
																																																BgL_exprz00_1814
																																																	=
																																																	BgL_exprz00_32795;
																																																BgL_bindingsz00_1813
																																																	=
																																																	BgL_bindingsz00_32794;
																																																goto
																																																	BgL_tagzd2383zd2_1815;
																																															}
																																															BgL_auxz00_32228
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_32793);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														bool_t
																																															BgL_test10721z00_32797;
																																														{	/* Ast/sexp.scm 119 */
																																															obj_t
																																																BgL_arg5389z00_6742;
																																															BgL_arg5389z00_6742
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_expz00_21));
																																															BgL_test10721z00_32797
																																																=
																																																CBOOL
																																																(BGl_labelszd2symzf3z21zzast_labelsz00
																																																(BgL_arg5389z00_6742));
																																														}
																																														if (BgL_test10721z00_32797)
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_32802;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																BgL_auxz00_32228
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32802);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2404zd2_1859;
																																																	}
																																																else
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_32806;
																																																		goto
																																																			BgL_tagzd2405zd2_1860;
																																																		BgL_auxz00_32228
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_32806);
																																																	}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												bool_t
																																													BgL_test10723z00_32808;
																																												{	/* Ast/sexp.scm 119 */
																																													obj_t
																																														BgL_arg5381z00_6734;
																																													BgL_arg5381z00_6734
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_expz00_21));
																																													BgL_test10723z00_32808
																																														=
																																														CBOOL
																																														(BGl_labelszd2symzf3z21zzast_labelsz00
																																														(BgL_arg5381z00_6734));
																																												}
																																												if (BgL_test10723z00_32808)
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_32813;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_32228
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_32813);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 119 */
																																																goto
																																																	BgL_tagzd2404zd2_1859;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_32817;
																																																goto
																																																	BgL_tagzd2405zd2_1860;
																																																BgL_auxz00_32228
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_32817);
																																															}
																																													}
																																											}
																																									}
																																								}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_32228);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd268417zd2_6167)))
																																							{
																																								obj_t
																																									BgL_auxz00_32823;
																																								goto
																																									BgL_kapzd268419zd2_6169;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_32823);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd268417zd2_6167 == ((obj_t) CNST_TABLE_REF(19))))
																																									{
																																										obj_t
																																											BgL_auxz00_32829;
																																										goto
																																											BgL_kapzd268419zd2_6169;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_32829);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((BgL_carzd268417zd2_6167 == ((obj_t) CNST_TABLE_REF(20))))
																																											{
																																												obj_t
																																													BgL_auxz00_32835;
																																												goto
																																													BgL_kapzd268419zd2_6169;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_32835);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd268417zd2_6167)))
																																													{
																																														obj_t
																																															BgL_auxz00_32840;
																																														goto
																																															BgL_kapzd268419zd2_6169;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_32840);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														obj_t
																																															BgL_cdrzd271502zd2_6172;
																																														BgL_cdrzd271502zd2_6172
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_expz00_21));
																																														{

																																															{	/* Ast/sexp.scm 119 */
																																																bool_t
																																																	BgL_test10729z00_32844;
																																																{	/* Ast/sexp.scm 119 */
																																																	obj_t
																																																		BgL_arg5135z00_6351;
																																																	BgL_arg5135z00_6351
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_expz00_21));
																																																	BgL_test10729z00_32844
																																																		=
																																																		CBOOL
																																																		(BGl_letzd2symzf3z21zzast_letz00
																																																		(BgL_arg5135z00_6351));
																																																}
																																																if (BgL_test10729z00_32844)
																																																	{
																																																		obj_t
																																																			BgL_auxz00_32849;
																																																		if (PAIRP(BgL_cdrzd271502zd2_6172))
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_arg5137z00_6353;
																																																				obj_t
																																																					BgL_arg5138z00_6354;
																																																				BgL_arg5137z00_6353
																																																					=
																																																					CAR
																																																					(BgL_cdrzd271502zd2_6172);
																																																				BgL_arg5138z00_6354
																																																					=
																																																					CDR
																																																					(BgL_cdrzd271502zd2_6172);
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_32854;
																																																					{
																																																						obj_t
																																																							BgL_exprz00_32856;
																																																						obj_t
																																																							BgL_bindingsz00_32855;
																																																						BgL_bindingsz00_32855
																																																							=
																																																							BgL_arg5137z00_6353;
																																																						BgL_exprz00_32856
																																																							=
																																																							BgL_arg5138z00_6354;
																																																						BgL_exprz00_1814
																																																							=
																																																							BgL_exprz00_32856;
																																																						BgL_bindingsz00_1813
																																																							=
																																																							BgL_bindingsz00_32855;
																																																						goto
																																																							BgL_tagzd2383zd2_1815;
																																																					}
																																																					BgL_auxz00_32849
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_32854);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				bool_t
																																																					BgL_test10731z00_32858;
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_arg5208z00_6466;
																																																					BgL_arg5208z00_6466
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_expz00_21));
																																																					BgL_test10731z00_32858
																																																						=
																																																						CBOOL
																																																						(BGl_labelszd2symzf3z21zzast_labelsz00
																																																						(BgL_arg5208z00_6466));
																																																				}
																																																				if (BgL_test10731z00_32858)
																																																					{
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_32863;
																																																						goto
																																																							BgL_tagzd2385zd2_1817;
																																																						BgL_auxz00_32849
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_32863);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						obj_t
																																																							BgL_carzd271565zd2_6357;
																																																						BgL_carzd271565zd2_6357
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_expz00_21));
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd271570zd2_6358;
																																																							BgL_cdrzd271570zd2_6358
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd271565zd2_6357));
																																																							if ((CAR(((obj_t) BgL_carzd271565zd2_6357)) == ((obj_t) CNST_TABLE_REF(3))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd271570zd2_6358))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_arg5144z00_6362;
																																																											obj_t
																																																												BgL_arg5145z00_6363;
																																																											obj_t
																																																												BgL_arg5146z00_6364;
																																																											BgL_arg5144z00_6362
																																																												=
																																																												CAR
																																																												(BgL_cdrzd271570zd2_6358);
																																																											BgL_arg5145z00_6363
																																																												=
																																																												CDR
																																																												(BgL_cdrzd271570zd2_6358);
																																																											BgL_arg5146z00_6364
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_expz00_21));
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_32881;
																																																												{
																																																													obj_t
																																																														BgL_argsz00_32884;
																																																													obj_t
																																																														BgL_bodyz00_32883;
																																																													obj_t
																																																														BgL_varsz00_32882;
																																																													BgL_varsz00_32882
																																																														=
																																																														BgL_arg5144z00_6362;
																																																													BgL_bodyz00_32883
																																																														=
																																																														BgL_arg5145z00_6363;
																																																													BgL_argsz00_32884
																																																														=
																																																														BgL_arg5146z00_6364;
																																																													BgL_argsz00_1824
																																																														=
																																																														BgL_argsz00_32884;
																																																													BgL_bodyz00_1823
																																																														=
																																																														BgL_bodyz00_32883;
																																																													BgL_varsz00_1822
																																																														=
																																																														BgL_varsz00_32882;
																																																													goto
																																																														BgL_tagzd2387zd2_1825;
																																																												}
																																																												BgL_auxz00_32849
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_32881);
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_32888;
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																													BgL_auxz00_32849
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_32888);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_cdrzd271677zd2_6367;
																																																									BgL_cdrzd271677zd2_6367
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 119 */
																																																										obj_t
																																																											BgL_cdrzd271682zd2_6368;
																																																										BgL_cdrzd271682zd2_6368
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_carzd271565zd2_6357));
																																																										if ((CAR(((obj_t) BgL_carzd271565zd2_6357)) == ((obj_t) CNST_TABLE_REF(1))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd271682zd2_6368))
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_cdrzd271687zd2_6372;
																																																														BgL_cdrzd271687zd2_6372
																																																															=
																																																															CDR
																																																															(BgL_cdrzd271682zd2_6368);
																																																														if (PAIRP(BgL_cdrzd271687zd2_6372))
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_carzd271691zd2_6374;
																																																																obj_t
																																																																	BgL_cdrzd271692zd2_6375;
																																																																BgL_carzd271691zd2_6374
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd271687zd2_6372);
																																																																BgL_cdrzd271692zd2_6375
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd271687zd2_6372);
																																																																if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271691zd2_6374))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (PAIRP(BgL_cdrzd271692zd2_6375))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_carzd271697zd2_6378;
																																																																				BgL_carzd271697zd2_6378
																																																																					=
																																																																					CAR
																																																																					(BgL_cdrzd271692zd2_6375);
																																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271697zd2_6378))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (NULLP(CDR(BgL_cdrzd271692zd2_6375)))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10742z00_32917;
																																																																								{
																																																																									obj_t
																																																																										BgL_l1444z00_6411;
																																																																									BgL_l1444z00_6411
																																																																										=
																																																																										BgL_cdrzd271677zd2_6367;
																																																																								BgL_zc3z04anonymousza35172ze3z87_6412:
																																																																									if (NULLP(BgL_l1444z00_6411))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10742z00_32917
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											bool_t
																																																																												BgL_test10744z00_32920;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												bool_t
																																																																													BgL_test10745z00_32921;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_tmpz00_32922;
																																																																													BgL_tmpz00_32922
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_l1444z00_6411));
																																																																													BgL_test10745z00_32921
																																																																														=
																																																																														PAIRP
																																																																														(BgL_tmpz00_32922);
																																																																												}
																																																																												if (BgL_test10745z00_32921)
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10744z00_32920
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															0);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														BgL_test10744z00_32920
																																																																															=
																																																																															(
																																																																															(bool_t)
																																																																															1);
																																																																													}
																																																																											}
																																																																											if (BgL_test10744z00_32920)
																																																																												{
																																																																													obj_t
																																																																														BgL_l1444z00_32926;
																																																																													BgL_l1444z00_32926
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_l1444z00_6411));
																																																																													BgL_l1444z00_6411
																																																																														=
																																																																														BgL_l1444z00_32926;
																																																																													goto
																																																																														BgL_zc3z04anonymousza35172ze3z87_6412;
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													BgL_test10742z00_32917
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																										}
																																																																								}
																																																																								if (BgL_test10742z00_32917)
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5162z00_6394;
																																																																										BgL_arg5162z00_6394
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd271682zd2_6368);
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_32930;
																																																																											{
																																																																												obj_t
																																																																													BgL_argsz00_32934;
																																																																												obj_t
																																																																													BgL_proc2z00_32933;
																																																																												obj_t
																																																																													BgL_proc1z00_32932;
																																																																												obj_t
																																																																													BgL_testz00_32931;
																																																																												BgL_testz00_32931
																																																																													=
																																																																													BgL_arg5162z00_6394;
																																																																												BgL_proc1z00_32932
																																																																													=
																																																																													BgL_carzd271691zd2_6374;
																																																																												BgL_proc2z00_32933
																																																																													=
																																																																													BgL_carzd271697zd2_6378;
																																																																												BgL_argsz00_32934
																																																																													=
																																																																													BgL_cdrzd271677zd2_6367;
																																																																												BgL_argsz00_1829
																																																																													=
																																																																													BgL_argsz00_32934;
																																																																												BgL_proc2z00_1828
																																																																													=
																																																																													BgL_proc2z00_32933;
																																																																												BgL_proc1z00_1827
																																																																													=
																																																																													BgL_proc1z00_32932;
																																																																												BgL_testz00_1826
																																																																													=
																																																																													BgL_testz00_32931;
																																																																												goto
																																																																													BgL_tagzd2388zd2_1830;
																																																																											}
																																																																											BgL_auxz00_32849
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_32930);
																																																																										}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd271722zd2_6395;
																																																																										BgL_cdrzd271722zd2_6395
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd271730zd2_6396;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14677;
																																																																												BgL_pairz00_14677
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd271730zd2_6396
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14677);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd271738zd2_6397;
																																																																												BgL_cdrzd271738zd2_6397
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd271730zd2_6396));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_carzd271745zd2_6398;
																																																																													BgL_carzd271745zd2_6398
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd271738zd2_6397));
																																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271745zd2_6398))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_carzd271754zd2_6400;
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_pairz00_14681;
																																																																																BgL_pairz00_14681
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd271738zd2_6397));
																																																																																BgL_carzd271754zd2_6400
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_pairz00_14681);
																																																																															}
																																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd271754zd2_6400))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd271722zd2_6395))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			obj_t
																																																																																				BgL_arg5166z00_6403;
																																																																																			BgL_arg5166z00_6403
																																																																																				=
																																																																																				CAR
																																																																																				(
																																																																																				((obj_t) BgL_cdrzd271730zd2_6396));
																																																																																			{
																																																																																				BgL_nodez00_bglt
																																																																																					BgL_auxz00_32956;
																																																																																				{
																																																																																					obj_t
																																																																																						BgL_argsz00_32960;
																																																																																					obj_t
																																																																																						BgL_proc2z00_32959;
																																																																																					obj_t
																																																																																						BgL_proc1z00_32958;
																																																																																					obj_t
																																																																																						BgL_testz00_32957;
																																																																																					BgL_testz00_32957
																																																																																						=
																																																																																						BgL_arg5166z00_6403;
																																																																																					BgL_proc1z00_32958
																																																																																						=
																																																																																						BgL_carzd271745zd2_6398;
																																																																																					BgL_proc2z00_32959
																																																																																						=
																																																																																						BgL_carzd271754zd2_6400;
																																																																																					BgL_argsz00_32960
																																																																																						=
																																																																																						BgL_cdrzd271722zd2_6395;
																																																																																					BgL_argsz00_1834
																																																																																						=
																																																																																						BgL_argsz00_32960;
																																																																																					BgL_proc2z00_1833
																																																																																						=
																																																																																						BgL_proc2z00_32959;
																																																																																					BgL_proc1z00_1832
																																																																																						=
																																																																																						BgL_proc1z00_32958;
																																																																																					BgL_testz00_1831
																																																																																						=
																																																																																						BgL_testz00_32957;
																																																																																					goto
																																																																																						BgL_tagzd2389zd2_1835;
																																																																																				}
																																																																																				BgL_auxz00_32849
																																																																																					=
																																																																																					(
																																																																																					(obj_t)
																																																																																					BgL_auxz00_32956);
																																																																																			}
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																				{	/* Ast/sexp.scm 119 */
																																																																																					goto
																																																																																						BgL_tagzd2404zd2_1859;
																																																																																				}
																																																																																			else
																																																																																				{
																																																																																					BgL_nodez00_bglt
																																																																																						BgL_auxz00_32964;
																																																																																					goto
																																																																																						BgL_tagzd2405zd2_1860;
																																																																																					BgL_auxz00_32849
																																																																																						=
																																																																																						(
																																																																																						(obj_t)
																																																																																						BgL_auxz00_32964);
																																																																																				}
																																																																																		}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_32968;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_32849
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_32968);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_32972;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_32849
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_32972);
																																																																																}
																																																																														}
																																																																												}
																																																																											}
																																																																										}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																									}
																																																																								else
																																																																									{
																																																																										BgL_nodez00_bglt
																																																																											BgL_auxz00_32976;
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																										BgL_auxz00_32849
																																																																											=
																																																																											(
																																																																											(obj_t)
																																																																											BgL_auxz00_32976);
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_cdrzd272032zd2_6422;
																																																																						BgL_cdrzd272032zd2_6422
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd272039zd2_6423;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14685;
																																																																								BgL_pairz00_14685
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd272039zd2_6423
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14685);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd272046zd2_6424;
																																																																								BgL_cdrzd272046zd2_6424
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd272039zd2_6423));
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd272052zd2_6425;
																																																																									obj_t
																																																																										BgL_cdrzd272053zd2_6426;
																																																																									BgL_carzd272052zd2_6425
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_cdrzd272046zd2_6424));
																																																																									BgL_cdrzd272053zd2_6426
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd272046zd2_6424));
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272052zd2_6425))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_carzd272060zd2_6428;
																																																																											BgL_carzd272060zd2_6428
																																																																												=
																																																																												CAR
																																																																												(
																																																																												((obj_t) BgL_cdrzd272053zd2_6426));
																																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272060zd2_6428))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (NULLP(CDR(((obj_t) BgL_cdrzd272053zd2_6426))))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd272032zd2_6422))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5181z00_6433;
																																																																																	BgL_arg5181z00_6433
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd272039zd2_6423));
																																																																																	{
																																																																																		BgL_nodez00_bglt
																																																																																			BgL_auxz00_33003;
																																																																																		{
																																																																																			obj_t
																																																																																				BgL_argsz00_33007;
																																																																																			obj_t
																																																																																				BgL_proc2z00_33006;
																																																																																			obj_t
																																																																																				BgL_proc1z00_33005;
																																																																																			obj_t
																																																																																				BgL_testz00_33004;
																																																																																			BgL_testz00_33004
																																																																																				=
																																																																																				BgL_arg5181z00_6433;
																																																																																			BgL_proc1z00_33005
																																																																																				=
																																																																																				BgL_carzd272052zd2_6425;
																																																																																			BgL_proc2z00_33006
																																																																																				=
																																																																																				BgL_carzd272060zd2_6428;
																																																																																			BgL_argsz00_33007
																																																																																				=
																																																																																				BgL_cdrzd272032zd2_6422;
																																																																																			BgL_argsz00_1834
																																																																																				=
																																																																																				BgL_argsz00_33007;
																																																																																			BgL_proc2z00_1833
																																																																																				=
																																																																																				BgL_proc2z00_33006;
																																																																																			BgL_proc1z00_1832
																																																																																				=
																																																																																				BgL_proc1z00_33005;
																																																																																			BgL_testz00_1831
																																																																																				=
																																																																																				BgL_testz00_33004;
																																																																																			goto
																																																																																				BgL_tagzd2389zd2_1835;
																																																																																		}
																																																																																		BgL_auxz00_32849
																																																																																			=
																																																																																			(
																																																																																			(obj_t)
																																																																																			BgL_auxz00_33003);
																																																																																	}
																																																																																}
																																																																															else
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																		{	/* Ast/sexp.scm 119 */
																																																																																			goto
																																																																																				BgL_tagzd2404zd2_1859;
																																																																																		}
																																																																																	else
																																																																																		{
																																																																																			BgL_nodez00_bglt
																																																																																				BgL_auxz00_33011;
																																																																																			goto
																																																																																				BgL_tagzd2405zd2_1860;
																																																																																			BgL_auxz00_32849
																																																																																				=
																																																																																				(
																																																																																				(obj_t)
																																																																																				BgL_auxz00_33011);
																																																																																		}
																																																																																}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_33015;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_32849
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_33015);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_33019;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_32849
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_33019);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_33023;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_32849
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_33023);
																																																																												}
																																																																										}
																																																																								}
																																																																							}
																																																																						}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																					}
																																																																				else
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_33027;
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																						BgL_auxz00_32849
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_33027);
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_cdrzd272393zd2_6441;
																																																																		BgL_cdrzd272393zd2_6441
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd272399zd2_6442;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14694;
																																																																				BgL_pairz00_14694
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd272399zd2_6442
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14694);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd272405zd2_6443;
																																																																				BgL_cdrzd272405zd2_6443
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd272399zd2_6442));
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_carzd272410zd2_6444;
																																																																					obj_t
																																																																						BgL_cdrzd272411zd2_6445;
																																																																					BgL_carzd272410zd2_6444
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_cdrzd272405zd2_6443));
																																																																					BgL_cdrzd272411zd2_6445
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd272405zd2_6443));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272410zd2_6444))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (PAIRP(BgL_cdrzd272411zd2_6445))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_carzd272416zd2_6448;
																																																																									BgL_carzd272416zd2_6448
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd272411zd2_6445);
																																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd272416zd2_6448))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (NULLP(CDR(BgL_cdrzd272411zd2_6445)))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd272393zd2_6441))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5195z00_6453;
																																																																															BgL_arg5195z00_6453
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd272399zd2_6442));
																																																																															{
																																																																																BgL_nodez00_bglt
																																																																																	BgL_auxz00_33054;
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_33058;
																																																																																	obj_t
																																																																																		BgL_proc2z00_33057;
																																																																																	obj_t
																																																																																		BgL_proc1z00_33056;
																																																																																	obj_t
																																																																																		BgL_testz00_33055;
																																																																																	BgL_testz00_33055
																																																																																		=
																																																																																		BgL_arg5195z00_6453;
																																																																																	BgL_proc1z00_33056
																																																																																		=
																																																																																		BgL_carzd272410zd2_6444;
																																																																																	BgL_proc2z00_33057
																																																																																		=
																																																																																		BgL_carzd272416zd2_6448;
																																																																																	BgL_argsz00_33058
																																																																																		=
																																																																																		BgL_cdrzd272393zd2_6441;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_33058;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_33057;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_33056;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_33055;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																																BgL_auxz00_32849
																																																																																	=
																																																																																	(
																																																																																	(obj_t)
																																																																																	BgL_auxz00_33054);
																																																																															}
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	goto
																																																																																		BgL_tagzd2404zd2_1859;
																																																																																}
																																																																															else
																																																																																{
																																																																																	BgL_nodez00_bglt
																																																																																		BgL_auxz00_33062;
																																																																																	goto
																																																																																		BgL_tagzd2405zd2_1860;
																																																																																	BgL_auxz00_32849
																																																																																		=
																																																																																		(
																																																																																		(obj_t)
																																																																																		BgL_auxz00_33062);
																																																																																}
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															goto
																																																																																BgL_tagzd2404zd2_1859;
																																																																														}
																																																																													else
																																																																														{
																																																																															BgL_nodez00_bglt
																																																																																BgL_auxz00_33066;
																																																																															goto
																																																																																BgL_tagzd2405zd2_1860;
																																																																															BgL_auxz00_32849
																																																																																=
																																																																																(
																																																																																(obj_t)
																																																																																BgL_auxz00_33066);
																																																																														}
																																																																												}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													goto
																																																																														BgL_tagzd2404zd2_1859;
																																																																												}
																																																																											else
																																																																												{
																																																																													BgL_nodez00_bglt
																																																																														BgL_auxz00_33070;
																																																																													goto
																																																																														BgL_tagzd2405zd2_1860;
																																																																													BgL_auxz00_32849
																																																																														=
																																																																														(
																																																																														(obj_t)
																																																																														BgL_auxz00_33070);
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											goto
																																																																												BgL_tagzd2404zd2_1859;
																																																																										}
																																																																									else
																																																																										{
																																																																											BgL_nodez00_bglt
																																																																												BgL_auxz00_33074;
																																																																											goto
																																																																												BgL_tagzd2405zd2_1860;
																																																																											BgL_auxz00_32849
																																																																												=
																																																																												(
																																																																												(obj_t)
																																																																												BgL_auxz00_33074);
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									goto
																																																																										BgL_tagzd2404zd2_1859;
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_33078;
																																																																									goto
																																																																										BgL_tagzd2405zd2_1860;
																																																																									BgL_auxz00_32849
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_33078);
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_33082;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_32849
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_33082);
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																															}
																																																														else
																																																															{
																																																																BgL_nodez00_bglt
																																																																	BgL_auxz00_33086;
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																																BgL_auxz00_32849
																																																																	=
																																																																	(
																																																																	(obj_t)
																																																																	BgL_auxz00_33086);
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2404zd2_1859;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_33090;
																																																														goto
																																																															BgL_tagzd2405zd2_1860;
																																																														BgL_auxz00_32849
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_33090);
																																																													}
																																																											}
																																																									}
																																																								}
																																																						}
																																																					}
																																																			}
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_auxz00_32849);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		bool_t
																																																			BgL_test10775z00_33093;
																																																		{	/* Ast/sexp.scm 119 */
																																																			obj_t
																																																				BgL_arg5134z00_6350;
																																																			BgL_arg5134z00_6350
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_expz00_21));
																																																			BgL_test10775z00_33093
																																																				=
																																																				CBOOL
																																																				(BGl_labelszd2symzf3z21zzast_labelsz00
																																																				(BgL_arg5134z00_6350));
																																																		}
																																																		if (BgL_test10775z00_33093)
																																																			{
																																																				BgL_letzd2funzd2_bglt
																																																					BgL_auxz00_33098;
																																																				goto
																																																					BgL_tagzd2385zd2_1817;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_33098);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_carzd272979zd2_6178;
																																																				obj_t
																																																					BgL_cdrzd272980zd2_6179;
																																																				BgL_carzd272979zd2_6178
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				BgL_cdrzd272980zd2_6179
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				{	/* Ast/sexp.scm 119 */
																																																					obj_t
																																																						BgL_cdrzd272984zd2_6180;
																																																					BgL_cdrzd272984zd2_6180
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_carzd272979zd2_6178));
																																																					if ((CAR(((obj_t) BgL_carzd272979zd2_6178)) == ((obj_t) CNST_TABLE_REF(3))))
																																																						{	/* Ast/sexp.scm 119 */
																																																							if (PAIRP(BgL_cdrzd272984zd2_6180))
																																																								{	/* Ast/sexp.scm 119 */
																																																									obj_t
																																																										BgL_carzd272987zd2_6184;
																																																									obj_t
																																																										BgL_cdrzd272988zd2_6185;
																																																									BgL_carzd272987zd2_6184
																																																										=
																																																										CAR
																																																										(BgL_cdrzd272984zd2_6180);
																																																									BgL_cdrzd272988zd2_6185
																																																										=
																																																										CDR
																																																										(BgL_cdrzd272984zd2_6180);
																																																									if (PAIRP(BgL_carzd272987zd2_6184))
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (NULLP(CDR(BgL_carzd272987zd2_6184)))
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (PAIRP(BgL_cdrzd272988zd2_6185))
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_carzd272994zd2_6190;
																																																															BgL_carzd272994zd2_6190
																																																																=
																																																																CAR
																																																																(BgL_cdrzd272988zd2_6185);
																																																															if (PAIRP(BgL_carzd272994zd2_6190))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd272994zd2_6190))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd272988zd2_6185)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (PAIRP(BgL_cdrzd272980zd2_6179))
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_carzd273001zd2_6196;
																																																																							BgL_carzd273001zd2_6196
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd272980zd2_6179);
																																																																							if (PAIRP(BgL_carzd273001zd2_6196))
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd273025zd2_6198;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_pairz00_14714;
																																																																										BgL_pairz00_14714
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										BgL_cdrzd273025zd2_6198
																																																																											=
																																																																											CDR
																																																																											(BgL_pairz00_14714);
																																																																									}
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_arg5031z00_6199;
																																																																										obj_t
																																																																											BgL_arg5032z00_6200;
																																																																										obj_t
																																																																											BgL_arg5033z00_6201;
																																																																										BgL_arg5031z00_6199
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273025zd2_6198));
																																																																										BgL_arg5032z00_6200
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273025zd2_6198));
																																																																										BgL_arg5033z00_6201
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_expz00_21));
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_33147;
																																																																											obj_t
																																																																												BgL_bodyz00_33146;
																																																																											obj_t
																																																																												BgL_varsz00_33145;
																																																																											BgL_varsz00_33145
																																																																												=
																																																																												BgL_arg5031z00_6199;
																																																																											BgL_bodyz00_33146
																																																																												=
																																																																												BgL_arg5032z00_6200;
																																																																											BgL_argsz00_33147
																																																																												=
																																																																												BgL_arg5033z00_6201;
																																																																											BgL_argsz00_1824
																																																																												=
																																																																												BgL_argsz00_33147;
																																																																											BgL_bodyz00_1823
																																																																												=
																																																																												BgL_bodyz00_33146;
																																																																											BgL_varsz00_1822
																																																																												=
																																																																												BgL_varsz00_33145;
																																																																											goto
																																																																												BgL_tagzd2387zd2_1825;
																																																																										}
																																																																									}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									if (NULLP(CDR(BgL_cdrzd272980zd2_6179)))
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_arg5037z00_6205;
																																																																											BgL_arg5037z00_6205
																																																																												=
																																																																												CAR
																																																																												(BgL_carzd272987zd2_6184);
																																																																											{
																																																																												BgL_castz00_bglt
																																																																													BgL_auxz00_33152;
																																																																												{
																																																																													obj_t
																																																																														BgL_argz00_33155;
																																																																													obj_t
																																																																														BgL_bodyz00_33154;
																																																																													obj_t
																																																																														BgL_varz00_33153;
																																																																													BgL_varz00_33153
																																																																														=
																																																																														BgL_arg5037z00_6205;
																																																																													BgL_bodyz00_33154
																																																																														=
																																																																														BgL_carzd272994zd2_6190;
																																																																													BgL_argz00_33155
																																																																														=
																																																																														BgL_carzd273001zd2_6196;
																																																																													BgL_argz00_1820
																																																																														=
																																																																														BgL_argz00_33155;
																																																																													BgL_bodyz00_1819
																																																																														=
																																																																														BgL_bodyz00_33154;
																																																																													BgL_varz00_1818
																																																																														=
																																																																														BgL_varz00_33153;
																																																																													goto
																																																																														BgL_tagzd2386zd2_1821;
																																																																												}
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33152);
																																																																											}
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											obj_t
																																																																												BgL_cdrzd273052zd2_6206;
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_pairz00_14721;
																																																																												BgL_pairz00_14721
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												BgL_cdrzd273052zd2_6206
																																																																													=
																																																																													CDR
																																																																													(BgL_pairz00_14721);
																																																																											}
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5038z00_6207;
																																																																												obj_t
																																																																													BgL_arg5039z00_6208;
																																																																												obj_t
																																																																													BgL_arg5040z00_6209;
																																																																												BgL_arg5038z00_6207
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd273052zd2_6206));
																																																																												BgL_arg5039z00_6208
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_cdrzd273052zd2_6206));
																																																																												BgL_arg5040z00_6209
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_33168;
																																																																													obj_t
																																																																														BgL_bodyz00_33167;
																																																																													obj_t
																																																																														BgL_varsz00_33166;
																																																																													BgL_varsz00_33166
																																																																														=
																																																																														BgL_arg5038z00_6207;
																																																																													BgL_bodyz00_33167
																																																																														=
																																																																														BgL_arg5039z00_6208;
																																																																													BgL_argsz00_33168
																																																																														=
																																																																														BgL_arg5040z00_6209;
																																																																													BgL_argsz00_1824
																																																																														=
																																																																														BgL_argsz00_33168;
																																																																													BgL_bodyz00_1823
																																																																														=
																																																																														BgL_bodyz00_33167;
																																																																													BgL_varsz00_1822
																																																																														=
																																																																														BgL_varsz00_33166;
																																																																													goto
																																																																														BgL_tagzd2387zd2_1825;
																																																																												}
																																																																											}
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd273078zd2_6212;
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_pairz00_14726;
																																																																								BgL_pairz00_14726
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								BgL_cdrzd273078zd2_6212
																																																																									=
																																																																									CDR
																																																																									(BgL_pairz00_14726);
																																																																							}
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_arg5043z00_6213;
																																																																								obj_t
																																																																									BgL_arg5044z00_6214;
																																																																								obj_t
																																																																									BgL_arg5045z00_6215;
																																																																								BgL_arg5043z00_6213
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273078zd2_6212));
																																																																								BgL_arg5044z00_6214
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273078zd2_6212));
																																																																								BgL_arg5045z00_6215
																																																																									=
																																																																									CDR
																																																																									(
																																																																									((obj_t) BgL_expz00_21));
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_33180;
																																																																									obj_t
																																																																										BgL_bodyz00_33179;
																																																																									obj_t
																																																																										BgL_varsz00_33178;
																																																																									BgL_varsz00_33178
																																																																										=
																																																																										BgL_arg5043z00_6213;
																																																																									BgL_bodyz00_33179
																																																																										=
																																																																										BgL_arg5044z00_6214;
																																																																									BgL_argsz00_33180
																																																																										=
																																																																										BgL_arg5045z00_6215;
																																																																									BgL_argsz00_1824
																																																																										=
																																																																										BgL_argsz00_33180;
																																																																									BgL_bodyz00_1823
																																																																										=
																																																																										BgL_bodyz00_33179;
																																																																									BgL_varsz00_1822
																																																																										=
																																																																										BgL_varsz00_33178;
																																																																									goto
																																																																										BgL_tagzd2387zd2_1825;
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd273104zd2_6217;
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_pairz00_14731;
																																																																						BgL_pairz00_14731
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						BgL_cdrzd273104zd2_6217
																																																																							=
																																																																							CDR
																																																																							(BgL_pairz00_14731);
																																																																					}
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_arg5047z00_6218;
																																																																						obj_t
																																																																							BgL_arg5048z00_6219;
																																																																						obj_t
																																																																							BgL_arg5049z00_6220;
																																																																						BgL_arg5047z00_6218
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273104zd2_6217));
																																																																						BgL_arg5048z00_6219
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273104zd2_6217));
																																																																						BgL_arg5049z00_6220
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_33192;
																																																																							obj_t
																																																																								BgL_bodyz00_33191;
																																																																							obj_t
																																																																								BgL_varsz00_33190;
																																																																							BgL_varsz00_33190
																																																																								=
																																																																								BgL_arg5047z00_6218;
																																																																							BgL_bodyz00_33191
																																																																								=
																																																																								BgL_arg5048z00_6219;
																																																																							BgL_argsz00_33192
																																																																								=
																																																																								BgL_arg5049z00_6220;
																																																																							BgL_argsz00_1824
																																																																								=
																																																																								BgL_argsz00_33192;
																																																																							BgL_bodyz00_1823
																																																																								=
																																																																								BgL_bodyz00_33191;
																																																																							BgL_varsz00_1822
																																																																								=
																																																																								BgL_varsz00_33190;
																																																																							goto
																																																																								BgL_tagzd2387zd2_1825;
																																																																						}
																																																																					}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd273130zd2_6223;
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_pairz00_14736;
																																																																				BgL_pairz00_14736
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				BgL_cdrzd273130zd2_6223
																																																																					=
																																																																					CDR
																																																																					(BgL_pairz00_14736);
																																																																			}
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_arg5052z00_6224;
																																																																				obj_t
																																																																					BgL_arg5053z00_6225;
																																																																				obj_t
																																																																					BgL_arg5054z00_6226;
																																																																				BgL_arg5052z00_6224
																																																																					=
																																																																					CAR
																																																																					(
																																																																					((obj_t) BgL_cdrzd273130zd2_6223));
																																																																				BgL_arg5053z00_6225
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_cdrzd273130zd2_6223));
																																																																				BgL_arg5054z00_6226
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_33204;
																																																																					obj_t
																																																																						BgL_bodyz00_33203;
																																																																					obj_t
																																																																						BgL_varsz00_33202;
																																																																					BgL_varsz00_33202
																																																																						=
																																																																						BgL_arg5052z00_6224;
																																																																					BgL_bodyz00_33203
																																																																						=
																																																																						BgL_arg5053z00_6225;
																																																																					BgL_argsz00_33204
																																																																						=
																																																																						BgL_arg5054z00_6226;
																																																																					BgL_argsz00_1824
																																																																						=
																																																																						BgL_argsz00_33204;
																																																																					BgL_bodyz00_1823
																																																																						=
																																																																						BgL_bodyz00_33203;
																																																																					BgL_varsz00_1822
																																																																						=
																																																																						BgL_varsz00_33202;
																																																																					goto
																																																																						BgL_tagzd2387zd2_1825;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd273156zd2_6228;
																																																																	BgL_cdrzd273156zd2_6228
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_carzd272979zd2_6178));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_arg5056z00_6229;
																																																																		obj_t
																																																																			BgL_arg5057z00_6230;
																																																																		obj_t
																																																																			BgL_arg5058z00_6231;
																																																																		BgL_arg5056z00_6229
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd273156zd2_6228));
																																																																		BgL_arg5057z00_6230
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd273156zd2_6228));
																																																																		BgL_arg5058z00_6231
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_33215;
																																																																			obj_t
																																																																				BgL_bodyz00_33214;
																																																																			obj_t
																																																																				BgL_varsz00_33213;
																																																																			BgL_varsz00_33213
																																																																				=
																																																																				BgL_arg5056z00_6229;
																																																																			BgL_bodyz00_33214
																																																																				=
																																																																				BgL_arg5057z00_6230;
																																																																			BgL_argsz00_33215
																																																																				=
																																																																				BgL_arg5058z00_6231;
																																																																			BgL_argsz00_1824
																																																																				=
																																																																				BgL_argsz00_33215;
																																																																			BgL_bodyz00_1823
																																																																				=
																																																																				BgL_bodyz00_33214;
																																																																			BgL_varsz00_1822
																																																																				=
																																																																				BgL_varsz00_33213;
																																																																			goto
																																																																				BgL_tagzd2387zd2_1825;
																																																																		}
																																																																	}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd273182zd2_6233;
																																																															BgL_cdrzd273182zd2_6233
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_carzd272979zd2_6178));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_arg5060z00_6234;
																																																																obj_t
																																																																	BgL_arg5061z00_6235;
																																																																obj_t
																																																																	BgL_arg5062z00_6236;
																																																																BgL_arg5060z00_6234
																																																																	=
																																																																	CAR
																																																																	(
																																																																	((obj_t) BgL_cdrzd273182zd2_6233));
																																																																BgL_arg5061z00_6235
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_cdrzd273182zd2_6233));
																																																																BgL_arg5062z00_6236
																																																																	=
																																																																	CDR
																																																																	(
																																																																	((obj_t) BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_33226;
																																																																	obj_t
																																																																		BgL_bodyz00_33225;
																																																																	obj_t
																																																																		BgL_varsz00_33224;
																																																																	BgL_varsz00_33224
																																																																		=
																																																																		BgL_arg5060z00_6234;
																																																																	BgL_bodyz00_33225
																																																																		=
																																																																		BgL_arg5061z00_6235;
																																																																	BgL_argsz00_33226
																																																																		=
																																																																		BgL_arg5062z00_6236;
																																																																	BgL_argsz00_1824
																																																																		=
																																																																		BgL_argsz00_33226;
																																																																	BgL_bodyz00_1823
																																																																		=
																																																																		BgL_bodyz00_33225;
																																																																	BgL_varsz00_1822
																																																																		=
																																																																		BgL_varsz00_33224;
																																																																	goto
																																																																		BgL_tagzd2387zd2_1825;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_cdrzd273208zd2_6238;
																																																													BgL_cdrzd273208zd2_6238
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_carzd272979zd2_6178));
																																																													{	/* Ast/sexp.scm 119 */
																																																														obj_t
																																																															BgL_arg5064z00_6239;
																																																														obj_t
																																																															BgL_arg5065z00_6240;
																																																														obj_t
																																																															BgL_arg5066z00_6241;
																																																														BgL_arg5064z00_6239
																																																															=
																																																															CAR
																																																															(
																																																															((obj_t) BgL_cdrzd273208zd2_6238));
																																																														BgL_arg5065z00_6240
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_cdrzd273208zd2_6238));
																																																														BgL_arg5066z00_6241
																																																															=
																																																															CDR
																																																															(
																																																															((obj_t) BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_33237;
																																																															obj_t
																																																																BgL_bodyz00_33236;
																																																															obj_t
																																																																BgL_varsz00_33235;
																																																															BgL_varsz00_33235
																																																																=
																																																																BgL_arg5064z00_6239;
																																																															BgL_bodyz00_33236
																																																																=
																																																																BgL_arg5065z00_6240;
																																																															BgL_argsz00_33237
																																																																=
																																																																BgL_arg5066z00_6241;
																																																															BgL_argsz00_1824
																																																																=
																																																																BgL_argsz00_33237;
																																																															BgL_bodyz00_1823
																																																																=
																																																																BgL_bodyz00_33236;
																																																															BgL_varsz00_1822
																																																																=
																																																																BgL_varsz00_33235;
																																																															goto
																																																																BgL_tagzd2387zd2_1825;
																																																														}
																																																													}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd273234zd2_6244;
																																																											BgL_cdrzd273234zd2_6244
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_carzd272979zd2_6178));
																																																											{	/* Ast/sexp.scm 119 */
																																																												obj_t
																																																													BgL_arg5069z00_6245;
																																																												obj_t
																																																													BgL_arg5070z00_6246;
																																																												obj_t
																																																													BgL_arg5071z00_6247;
																																																												BgL_arg5069z00_6245
																																																													=
																																																													CAR
																																																													(
																																																													((obj_t) BgL_cdrzd273234zd2_6244));
																																																												BgL_arg5070z00_6246
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_cdrzd273234zd2_6244));
																																																												BgL_arg5071z00_6247
																																																													=
																																																													CDR
																																																													(
																																																													((obj_t) BgL_expz00_21));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_33248;
																																																													obj_t
																																																														BgL_bodyz00_33247;
																																																													obj_t
																																																														BgL_varsz00_33246;
																																																													BgL_varsz00_33246
																																																														=
																																																														BgL_arg5069z00_6245;
																																																													BgL_bodyz00_33247
																																																														=
																																																														BgL_arg5070z00_6246;
																																																													BgL_argsz00_33248
																																																														=
																																																														BgL_arg5071z00_6247;
																																																													BgL_argsz00_1824
																																																														=
																																																														BgL_argsz00_33248;
																																																													BgL_bodyz00_1823
																																																														=
																																																														BgL_bodyz00_33247;
																																																													BgL_varsz00_1822
																																																														=
																																																														BgL_varsz00_33246;
																																																													goto
																																																														BgL_tagzd2387zd2_1825;
																																																												}
																																																											}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_33251;
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_33251);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																										}
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 119 */
																																																							obj_t
																																																								BgL_cdrzd273372zd2_6252;
																																																							BgL_cdrzd273372zd2_6252
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_carzd272979zd2_6178));
																																																							if ((CAR(((obj_t) BgL_carzd272979zd2_6178)) == ((obj_t) CNST_TABLE_REF(1))))
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (PAIRP(BgL_cdrzd273372zd2_6252))
																																																										{	/* Ast/sexp.scm 119 */
																																																											obj_t
																																																												BgL_cdrzd273377zd2_6256;
																																																											BgL_cdrzd273377zd2_6256
																																																												=
																																																												CDR
																																																												(BgL_cdrzd273372zd2_6252);
																																																											if (PAIRP(BgL_cdrzd273377zd2_6256))
																																																												{	/* Ast/sexp.scm 119 */
																																																													obj_t
																																																														BgL_carzd273381zd2_6258;
																																																													obj_t
																																																														BgL_cdrzd273382zd2_6259;
																																																													BgL_carzd273381zd2_6258
																																																														=
																																																														CAR
																																																														(BgL_cdrzd273377zd2_6256);
																																																													BgL_cdrzd273382zd2_6259
																																																														=
																																																														CDR
																																																														(BgL_cdrzd273377zd2_6256);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273381zd2_6258))
																																																														{	/* Ast/sexp.scm 119 */
																																																															if (PAIRP(BgL_cdrzd273382zd2_6259))
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_carzd273387zd2_6262;
																																																																	BgL_carzd273387zd2_6262
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd273382zd2_6259);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273387zd2_6262))
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			if (NULLP(CDR(BgL_cdrzd273382zd2_6259)))
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					bool_t
																																																																						BgL_test10795z00_33278;
																																																																					{
																																																																						obj_t
																																																																							BgL_l1447z00_6295;
																																																																						BgL_l1447z00_6295
																																																																							=
																																																																							BgL_cdrzd272980zd2_6179;
																																																																					BgL_zc3z04anonymousza35098ze3z87_6296:
																																																																						if (NULLP(BgL_l1447z00_6295))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								BgL_test10795z00_33278
																																																																									=
																																																																									(
																																																																									(bool_t)
																																																																									1);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								bool_t
																																																																									BgL_test10797z00_33281;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									bool_t
																																																																										BgL_test10798z00_33282;
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_tmpz00_33283;
																																																																										BgL_tmpz00_33283
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_l1447z00_6295));
																																																																										BgL_test10798z00_33282
																																																																											=
																																																																											PAIRP
																																																																											(BgL_tmpz00_33283);
																																																																									}
																																																																									if (BgL_test10798z00_33282)
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10797z00_33281
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 119 */
																																																																											BgL_test10797z00_33281
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																								if (BgL_test10797z00_33281)
																																																																									{
																																																																										obj_t
																																																																											BgL_l1447z00_33287;
																																																																										BgL_l1447z00_33287
																																																																											=
																																																																											CDR
																																																																											(
																																																																											((obj_t) BgL_l1447z00_6295));
																																																																										BgL_l1447z00_6295
																																																																											=
																																																																											BgL_l1447z00_33287;
																																																																										goto
																																																																											BgL_zc3z04anonymousza35098ze3z87_6296;
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										BgL_test10795z00_33278
																																																																											=
																																																																											(
																																																																											(bool_t)
																																																																											0);
																																																																									}
																																																																							}
																																																																					}
																																																																					if (BgL_test10795z00_33278)
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_33294;
																																																																							obj_t
																																																																								BgL_proc2z00_33293;
																																																																							obj_t
																																																																								BgL_proc1z00_33292;
																																																																							obj_t
																																																																								BgL_testz00_33290;
																																																																							BgL_testz00_33290
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd273372zd2_6252);
																																																																							BgL_proc1z00_33292
																																																																								=
																																																																								BgL_carzd273381zd2_6258;
																																																																							BgL_proc2z00_33293
																																																																								=
																																																																								BgL_carzd273387zd2_6262;
																																																																							BgL_argsz00_33294
																																																																								=
																																																																								BgL_cdrzd272980zd2_6179;
																																																																							BgL_argsz00_1829
																																																																								=
																																																																								BgL_argsz00_33294;
																																																																							BgL_proc2z00_1828
																																																																								=
																																																																								BgL_proc2z00_33293;
																																																																							BgL_proc1z00_1827
																																																																								=
																																																																								BgL_proc1z00_33292;
																																																																							BgL_testz00_1826
																																																																								=
																																																																								BgL_testz00_33290;
																																																																							goto
																																																																								BgL_tagzd2388zd2_1830;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							obj_t
																																																																								BgL_cdrzd273412zd2_6279;
																																																																							BgL_cdrzd273412zd2_6279
																																																																								=
																																																																								CDR
																																																																								(
																																																																								((obj_t) BgL_expz00_21));
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd273420zd2_6280;
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_pairz00_14774;
																																																																									BgL_pairz00_14774
																																																																										=
																																																																										CAR
																																																																										(
																																																																										((obj_t) BgL_expz00_21));
																																																																									BgL_cdrzd273420zd2_6280
																																																																										=
																																																																										CDR
																																																																										(BgL_pairz00_14774);
																																																																								}
																																																																								{	/* Ast/sexp.scm 119 */
																																																																									obj_t
																																																																										BgL_cdrzd273428zd2_6281;
																																																																									BgL_cdrzd273428zd2_6281
																																																																										=
																																																																										CDR
																																																																										(
																																																																										((obj_t) BgL_cdrzd273420zd2_6280));
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_carzd273435zd2_6282;
																																																																										BgL_carzd273435zd2_6282
																																																																											=
																																																																											CAR
																																																																											(
																																																																											((obj_t) BgL_cdrzd273428zd2_6281));
																																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273435zd2_6282))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_carzd273444zd2_6284;
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_pairz00_14778;
																																																																													BgL_pairz00_14778
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd273428zd2_6281));
																																																																													BgL_carzd273444zd2_6284
																																																																														=
																																																																														CAR
																																																																														(BgL_pairz00_14778);
																																																																												}
																																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273444zd2_6284))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd273412zd2_6279))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5092z00_6287;
																																																																																BgL_arg5092z00_6287
																																																																																	=
																																																																																	CAR
																																																																																	(
																																																																																	((obj_t) BgL_cdrzd273420zd2_6280));
																																																																																{
																																																																																	obj_t
																																																																																		BgL_argsz00_33318;
																																																																																	obj_t
																																																																																		BgL_proc2z00_33317;
																																																																																	obj_t
																																																																																		BgL_proc1z00_33316;
																																																																																	obj_t
																																																																																		BgL_testz00_33315;
																																																																																	BgL_testz00_33315
																																																																																		=
																																																																																		BgL_arg5092z00_6287;
																																																																																	BgL_proc1z00_33316
																																																																																		=
																																																																																		BgL_carzd273435zd2_6282;
																																																																																	BgL_proc2z00_33317
																																																																																		=
																																																																																		BgL_carzd273444zd2_6284;
																																																																																	BgL_argsz00_33318
																																																																																		=
																																																																																		BgL_cdrzd273412zd2_6279;
																																																																																	BgL_argsz00_1834
																																																																																		=
																																																																																		BgL_argsz00_33318;
																																																																																	BgL_proc2z00_1833
																																																																																		=
																																																																																		BgL_proc2z00_33317;
																																																																																	BgL_proc1z00_1832
																																																																																		=
																																																																																		BgL_proc1z00_33316;
																																																																																	BgL_testz00_1831
																																																																																		=
																																																																																		BgL_testz00_33315;
																																																																																	goto
																																																																																		BgL_tagzd2389zd2_1835;
																																																																																}
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																																	{
																																																																																		obj_t
																																																																																			BgL_auxz00_33321;
																																																																																		goto
																																																																																			BgL_tagzd2404zd2_1859;
																																																																																		return
																																																																																			(
																																																																																			(BgL_nodez00_bglt)
																																																																																			BgL_auxz00_33321);
																																																																																	}
																																																																																else
																																																																																	{	/* Ast/sexp.scm 119 */
																																																																																		goto
																																																																																			BgL_tagzd2405zd2_1860;
																																																																																	}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_33325;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_33325);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33329;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33329);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_33333;
																																																																							goto
																																																																								BgL_tagzd2404zd2_1859;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_33333);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 119 */
																																																																							goto
																																																																								BgL_tagzd2405zd2_1860;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			obj_t
																																																																				BgL_cdrzd273722zd2_6306;
																																																																			BgL_cdrzd273722zd2_6306
																																																																				=
																																																																				CDR
																																																																				(
																																																																				((obj_t) BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd273729zd2_6307;
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_pairz00_14782;
																																																																					BgL_pairz00_14782
																																																																						=
																																																																						CAR
																																																																						(
																																																																						((obj_t) BgL_expz00_21));
																																																																					BgL_cdrzd273729zd2_6307
																																																																						=
																																																																						CDR
																																																																						(BgL_pairz00_14782);
																																																																				}
																																																																				{	/* Ast/sexp.scm 119 */
																																																																					obj_t
																																																																						BgL_cdrzd273736zd2_6308;
																																																																					BgL_cdrzd273736zd2_6308
																																																																						=
																																																																						CDR
																																																																						(
																																																																						((obj_t) BgL_cdrzd273729zd2_6307));
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd273742zd2_6309;
																																																																						obj_t
																																																																							BgL_cdrzd273743zd2_6310;
																																																																						BgL_carzd273742zd2_6309
																																																																							=
																																																																							CAR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273736zd2_6308));
																																																																						BgL_cdrzd273743zd2_6310
																																																																							=
																																																																							CDR
																																																																							(
																																																																							((obj_t) BgL_cdrzd273736zd2_6308));
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273742zd2_6309))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_carzd273750zd2_6312;
																																																																								BgL_carzd273750zd2_6312
																																																																									=
																																																																									CAR
																																																																									(
																																																																									((obj_t) BgL_cdrzd273743zd2_6310));
																																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd273750zd2_6312))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_cdrzd273743zd2_6310))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd273722zd2_6306))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_arg5107z00_6317;
																																																																														BgL_arg5107z00_6317
																																																																															=
																																																																															CAR
																																																																															(
																																																																															((obj_t) BgL_cdrzd273729zd2_6307));
																																																																														{
																																																																															obj_t
																																																																																BgL_argsz00_33363;
																																																																															obj_t
																																																																																BgL_proc2z00_33362;
																																																																															obj_t
																																																																																BgL_proc1z00_33361;
																																																																															obj_t
																																																																																BgL_testz00_33360;
																																																																															BgL_testz00_33360
																																																																																=
																																																																																BgL_arg5107z00_6317;
																																																																															BgL_proc1z00_33361
																																																																																=
																																																																																BgL_carzd273742zd2_6309;
																																																																															BgL_proc2z00_33362
																																																																																=
																																																																																BgL_carzd273750zd2_6312;
																																																																															BgL_argsz00_33363
																																																																																=
																																																																																BgL_cdrzd273722zd2_6306;
																																																																															BgL_argsz00_1834
																																																																																=
																																																																																BgL_argsz00_33363;
																																																																															BgL_proc2z00_1833
																																																																																=
																																																																																BgL_proc2z00_33362;
																																																																															BgL_proc1z00_1832
																																																																																=
																																																																																BgL_proc1z00_33361;
																																																																															BgL_testz00_1831
																																																																																=
																																																																																BgL_testz00_33360;
																																																																															goto
																																																																																BgL_tagzd2389zd2_1835;
																																																																														}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																															{
																																																																																obj_t
																																																																																	BgL_auxz00_33366;
																																																																																goto
																																																																																	BgL_tagzd2404zd2_1859;
																																																																																return
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BgL_auxz00_33366);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																goto
																																																																																	BgL_tagzd2405zd2_1860;
																																																																															}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33370;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33370);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33374;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33374);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_33378;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_33378);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																									}
																																																																							}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 119 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_33382;
																																																																			goto
																																																																				BgL_tagzd2404zd2_1859;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_33382);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 119 */
																																																																			goto
																																																																				BgL_tagzd2405zd2_1860;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															obj_t
																																																																BgL_cdrzd274083zd2_6325;
																																																															BgL_cdrzd274083zd2_6325
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 119 */
																																																																obj_t
																																																																	BgL_cdrzd274089zd2_6326;
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_pairz00_14791;
																																																																	BgL_pairz00_14791
																																																																		=
																																																																		CAR
																																																																		(
																																																																		((obj_t) BgL_expz00_21));
																																																																	BgL_cdrzd274089zd2_6326
																																																																		=
																																																																		CDR
																																																																		(BgL_pairz00_14791);
																																																																}
																																																																{	/* Ast/sexp.scm 119 */
																																																																	obj_t
																																																																		BgL_cdrzd274095zd2_6327;
																																																																	BgL_cdrzd274095zd2_6327
																																																																		=
																																																																		CDR
																																																																		(
																																																																		((obj_t) BgL_cdrzd274089zd2_6326));
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		obj_t
																																																																			BgL_carzd274100zd2_6328;
																																																																		obj_t
																																																																			BgL_cdrzd274101zd2_6329;
																																																																		BgL_carzd274100zd2_6328
																																																																			=
																																																																			CAR
																																																																			(
																																																																			((obj_t) BgL_cdrzd274095zd2_6327));
																																																																		BgL_cdrzd274101zd2_6329
																																																																			=
																																																																			CDR
																																																																			(
																																																																			((obj_t) BgL_cdrzd274095zd2_6327));
																																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd274100zd2_6328))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (PAIRP(BgL_cdrzd274101zd2_6329))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						obj_t
																																																																							BgL_carzd274106zd2_6332;
																																																																						BgL_carzd274106zd2_6332
																																																																							=
																																																																							CAR
																																																																							(BgL_cdrzd274101zd2_6329);
																																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd274106zd2_6332))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (NULLP(CDR(BgL_cdrzd274101zd2_6329)))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd274083zd2_6325))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_arg5121z00_6337;
																																																																												BgL_arg5121z00_6337
																																																																													=
																																																																													CAR
																																																																													(
																																																																													((obj_t) BgL_cdrzd274089zd2_6326));
																																																																												{
																																																																													obj_t
																																																																														BgL_argsz00_33412;
																																																																													obj_t
																																																																														BgL_proc2z00_33411;
																																																																													obj_t
																																																																														BgL_proc1z00_33410;
																																																																													obj_t
																																																																														BgL_testz00_33409;
																																																																													BgL_testz00_33409
																																																																														=
																																																																														BgL_arg5121z00_6337;
																																																																													BgL_proc1z00_33410
																																																																														=
																																																																														BgL_carzd274100zd2_6328;
																																																																													BgL_proc2z00_33411
																																																																														=
																																																																														BgL_carzd274106zd2_6332;
																																																																													BgL_argsz00_33412
																																																																														=
																																																																														BgL_cdrzd274083zd2_6325;
																																																																													BgL_argsz00_1834
																																																																														=
																																																																														BgL_argsz00_33412;
																																																																													BgL_proc2z00_1833
																																																																														=
																																																																														BgL_proc2z00_33411;
																																																																													BgL_proc1z00_1832
																																																																														=
																																																																														BgL_proc1z00_33410;
																																																																													BgL_testz00_1831
																																																																														=
																																																																														BgL_testz00_33409;
																																																																													goto
																																																																														BgL_tagzd2389zd2_1835;
																																																																												}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33415;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33415);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33419;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33419);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_33423;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_33423);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_33427;
																																																																								goto
																																																																									BgL_tagzd2404zd2_1859;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_33427);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								goto
																																																																									BgL_tagzd2405zd2_1860;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_33431;
																																																																						goto
																																																																							BgL_tagzd2404zd2_1859;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_33431);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						goto
																																																																							BgL_tagzd2405zd2_1860;
																																																																					}
																																																																			}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_33435;
																																																															goto
																																																																BgL_tagzd2404zd2_1859;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_33435);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 119 */
																																																															goto
																																																																BgL_tagzd2405zd2_1860;
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{
																																																													obj_t
																																																														BgL_auxz00_33439;
																																																													goto
																																																														BgL_tagzd2404zd2_1859;
																																																													return
																																																														(
																																																														(BgL_nodez00_bglt)
																																																														BgL_auxz00_33439);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 119 */
																																																													goto
																																																														BgL_tagzd2405zd2_1860;
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 119 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{
																																																											obj_t
																																																												BgL_auxz00_33443;
																																																											goto
																																																												BgL_tagzd2404zd2_1859;
																																																											return
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BgL_auxz00_33443);
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 119 */
																																																											goto
																																																												BgL_tagzd2405zd2_1860;
																																																										}
																																																								}
																																																						}
																																																				}
																																																			}
																																																	}
																																															}
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 119 */
																																			obj_t
																																				BgL_cdrzd274643zd2_6744;
																																			BgL_cdrzd274643zd2_6744
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_expz00_21));
																																			{

																																				if (
																																					(BgL_carzd268414zd2_6165
																																						==
																																						((obj_t) CNST_TABLE_REF(18))))
																																					{
																																						obj_t
																																							BgL_auxz00_33451;
																																					BgL_kapzd274644zd2_6745:
																																						if (PAIRP(BgL_cdrzd274643zd2_6744))
																																							{	/* Ast/sexp.scm 119 */
																																								obj_t
																																									BgL_arg5472z00_6839;
																																								obj_t
																																									BgL_arg5473z00_6840;
																																								BgL_arg5472z00_6839
																																									=
																																									CAR
																																									(BgL_cdrzd274643zd2_6744);
																																								BgL_arg5473z00_6840
																																									=
																																									CDR
																																									(BgL_cdrzd274643zd2_6744);
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_33456;
																																									{
																																										obj_t
																																											BgL_exprz00_33458;
																																										obj_t
																																											BgL_bindingsz00_33457;
																																										BgL_bindingsz00_33457
																																											=
																																											BgL_arg5472z00_6839;
																																										BgL_exprz00_33458
																																											=
																																											BgL_arg5473z00_6840;
																																										BgL_exprz00_1814
																																											=
																																											BgL_exprz00_33458;
																																										BgL_bindingsz00_1813
																																											=
																																											BgL_bindingsz00_33457;
																																										goto
																																											BgL_tagzd2383zd2_1815;
																																									}
																																									BgL_auxz00_33451
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_33456);
																																								}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_33466;
																																										goto
																																											BgL_tagzd2384zd2_1816;
																																										BgL_auxz00_33451
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_33466);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										obj_t
																																											BgL_carzd274677zd2_6843;
																																										BgL_carzd274677zd2_6843
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_expz00_21));
																																										if ((BgL_carzd274677zd2_6843 == ((obj_t) CNST_TABLE_REF(20))))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_33474;
																																												goto
																																													BgL_tagzd2385zd2_1817;
																																												BgL_auxz00_33451
																																													=
																																													(
																																													(obj_t)
																																													BgL_auxz00_33474);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd274677zd2_6843)))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_33479;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														BgL_auxz00_33451
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_33479);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_33487;
																																																goto
																																																	BgL_tagzd2390zd2_1836;
																																																BgL_auxz00_33451
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_33487);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																	{
																																																		BgL_nodez00_bglt
																																																			BgL_auxz00_33495;
																																																		goto
																																																			BgL_tagzd2391zd2_1837;
																																																		BgL_auxz00_33451
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_33495);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																			{
																																																				BgL_nodez00_bglt
																																																					BgL_auxz00_33503;
																																																				goto
																																																					BgL_tagzd2393zd2_1841;
																																																				BgL_auxz00_33451
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_33503);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																					{
																																																						BgL_nodez00_bglt
																																																							BgL_auxz00_33511;
																																																						goto
																																																							BgL_tagzd2394zd2_1842;
																																																						BgL_auxz00_33451
																																																							=
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_33511);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_33519;
																																																								goto
																																																									BgL_tagzd2396zd2_1846;
																																																								BgL_auxz00_33451
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_33519);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_33527;
																																																										goto
																																																											BgL_tagzd2397zd2_1847;
																																																										BgL_auxz00_33451
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_33527);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_33535;
																																																												goto
																																																													BgL_tagzd2398zd2_1848;
																																																												BgL_auxz00_33451
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_33535);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_33543;
																																																														goto
																																																															BgL_tagzd2399zd2_1849;
																																																														BgL_auxz00_33451
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_33543);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_33553;
																																																																		goto
																																																																			BgL_tagzd2403zd2_1858;
																																																																		BgL_auxz00_33451
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_33553);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				goto
																																																																					BgL_tagzd2404zd2_1859;
																																																																			}
																																																																		else
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_33557;
																																																																				goto
																																																																					BgL_tagzd2405zd2_1860;
																																																																				BgL_auxz00_33451
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_33557);
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		goto
																																																																			BgL_tagzd2404zd2_1859;
																																																																	}
																																																																else
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_33561;
																																																																		goto
																																																																			BgL_tagzd2405zd2_1860;
																																																																		BgL_auxz00_33451
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_33561);
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL_auxz00_33451);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 119 */
																																						if (CBOOL(BGl_letzd2symzf3z21zzast_letz00(BgL_carzd268414zd2_6165)))
																																							{
																																								obj_t
																																									BgL_auxz00_33567;
																																								goto
																																									BgL_kapzd274644zd2_6745;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_33567);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 119 */
																																								if ((BgL_carzd268414zd2_6165 == ((obj_t) CNST_TABLE_REF(19))))
																																									{
																																										obj_t
																																											BgL_auxz00_33573;
																																										goto
																																											BgL_kapzd274644zd2_6745;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_33573);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 119 */
																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(21))))
																																											{	/* Ast/sexp.scm 119 */
																																												goto
																																													BgL_tagzd2384zd2_1816;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 119 */
																																												obj_t
																																													BgL_carzd274838zd2_6749;
																																												BgL_carzd274838zd2_6749
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_expz00_21));
																																												if ((BgL_carzd274838zd2_6749 == ((obj_t) CNST_TABLE_REF(20))))
																																													{
																																														BgL_letzd2funzd2_bglt
																																															BgL_auxz00_33587;
																																														goto
																																															BgL_tagzd2385zd2_1817;
																																														return
																																															(
																																															(BgL_nodez00_bglt)
																																															BgL_auxz00_33587);
																																													}
																																												else
																																													{	/* Ast/sexp.scm 119 */
																																														if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd274838zd2_6749)))
																																															{
																																																BgL_letzd2funzd2_bglt
																																																	BgL_auxz00_33592;
																																																goto
																																																	BgL_tagzd2385zd2_1817;
																																																return
																																																	(
																																																	(BgL_nodez00_bglt)
																																																	BgL_auxz00_33592);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 119 */
																																																if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(3))))
																																																	{	/* Ast/sexp.scm 119 */
																																																		goto
																																																			BgL_tagzd2390zd2_1836;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 119 */
																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(6))))
																																																			{	/* Ast/sexp.scm 119 */
																																																				goto
																																																					BgL_tagzd2391zd2_1837;
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 119 */
																																																				obj_t
																																																					BgL_cdrzd274917zd2_6755;
																																																				BgL_cdrzd274917zd2_6755
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_expz00_21));
																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(22))))
																																																					{	/* Ast/sexp.scm 119 */
																																																						if (PAIRP(BgL_cdrzd274917zd2_6755))
																																																							{
																																																								obj_t
																																																									BgL_restz00_33618;
																																																								obj_t
																																																									BgL_effectz00_33616;
																																																								BgL_effectz00_33616
																																																									=
																																																									CAR
																																																									(BgL_cdrzd274917zd2_6755);
																																																								BgL_restz00_33618
																																																									=
																																																									CDR
																																																									(BgL_cdrzd274917zd2_6755);
																																																								BgL_restz00_1839
																																																									=
																																																									BgL_restz00_33618;
																																																								BgL_effectz00_1838
																																																									=
																																																									BgL_effectz00_33616;
																																																								goto
																																																									BgL_tagzd2392zd2_1840;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_33622;
																																																										goto
																																																											BgL_tagzd2404zd2_1859;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_33622);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2405zd2_1860;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 119 */
																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(23))))
																																																							{	/* Ast/sexp.scm 119 */
																																																								goto
																																																									BgL_tagzd2393zd2_1841;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 119 */
																																																								if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(24))))
																																																									{	/* Ast/sexp.scm 119 */
																																																										goto
																																																											BgL_tagzd2394zd2_1842;
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 119 */
																																																										if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(25))))
																																																											{	/* Ast/sexp.scm 119 */
																																																												if (PAIRP(BgL_cdrzd274917zd2_6755))
																																																													{
																																																														obj_t
																																																															BgL_restz00_33646;
																																																														obj_t
																																																															BgL_effectz00_33644;
																																																														BgL_effectz00_33644
																																																															=
																																																															CAR
																																																															(BgL_cdrzd274917zd2_6755);
																																																														BgL_restz00_33646
																																																															=
																																																															CDR
																																																															(BgL_cdrzd274917zd2_6755);
																																																														BgL_restz00_1844
																																																															=
																																																															BgL_restz00_33646;
																																																														BgL_effectz00_1843
																																																															=
																																																															BgL_effectz00_33644;
																																																														goto
																																																															BgL_tagzd2395zd2_1845;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_33650;
																																																																goto
																																																																	BgL_tagzd2404zd2_1859;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_33650);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2405zd2_1860;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 119 */
																																																												if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(26))))
																																																													{	/* Ast/sexp.scm 119 */
																																																														goto
																																																															BgL_tagzd2396zd2_1846;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 119 */
																																																														if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(27))))
																																																															{	/* Ast/sexp.scm 119 */
																																																																goto
																																																																	BgL_tagzd2397zd2_1847;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 119 */
																																																																if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(28))))
																																																																	{
																																																																		BgL_letzd2funzd2_bglt
																																																																			BgL_auxz00_33670;
																																																																		goto
																																																																			BgL_tagzd2398zd2_1848;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_33670);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 119 */
																																																																		if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(29))))
																																																																			{
																																																																				BgL_jumpzd2exzd2itz00_bglt
																																																																					BgL_auxz00_33678;
																																																																				goto
																																																																					BgL_tagzd2399zd2_1849;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_33678);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 119 */
																																																																				obj_t
																																																																					BgL_cdrzd275044zd2_6781;
																																																																				BgL_cdrzd275044zd2_6781
																																																																					=
																																																																					CDR
																																																																					(
																																																																					((obj_t) BgL_expz00_21));
																																																																				if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(31))))
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if (PAIRP(BgL_cdrzd275044zd2_6781))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								obj_t
																																																																									BgL_cdrzd275046zd2_6785;
																																																																								BgL_cdrzd275046zd2_6785
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd275044zd2_6781);
																																																																								if (PAIRP(BgL_cdrzd275046zd2_6785))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(BgL_cdrzd275046zd2_6785)))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2400zd2_1850;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33698;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33698);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33702;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33702);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																									{
																																																																										obj_t
																																																																											BgL_auxz00_33706;
																																																																										goto
																																																																											BgL_tagzd2404zd2_1859;
																																																																										return
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BgL_auxz00_33706);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										goto
																																																																											BgL_tagzd2405zd2_1860;
																																																																									}
																																																																							}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 119 */
																																																																						if ((CAR(((obj_t) BgL_expz00_21)) == ((obj_t) CNST_TABLE_REF(30))))
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (PAIRP(BgL_cdrzd275044zd2_6781))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										obj_t
																																																																											BgL_cdrzd275091zd2_6797;
																																																																										BgL_cdrzd275091zd2_6797
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd275044zd2_6781);
																																																																										if (PAIRP(BgL_cdrzd275091zd2_6797))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd275096zd2_6799;
																																																																												BgL_cdrzd275096zd2_6799
																																																																													=
																																																																													CDR
																																																																													(BgL_cdrzd275091zd2_6797);
																																																																												if ((CAR(BgL_cdrzd275091zd2_6797) == ((obj_t) CNST_TABLE_REF(32))))
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														if (PAIRP(BgL_cdrzd275096zd2_6799))
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_arg5439z00_6803;
																																																																																obj_t
																																																																																	BgL_arg5440z00_6804;
																																																																																obj_t
																																																																																	BgL_arg5441z00_6805;
																																																																																BgL_arg5439z00_6803
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd275044zd2_6781);
																																																																																BgL_arg5440z00_6804
																																																																																	=
																																																																																	CAR
																																																																																	(BgL_cdrzd275096zd2_6799);
																																																																																BgL_arg5441z00_6805
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_cdrzd275096zd2_6799);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg5439z00_6803,
																																																																																	BgL_arg5440z00_6804,
																																																																																	BgL_arg5441z00_6805,
																																																																																	BgL_stackz00_22,
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																		BgL_locz00_23),
																																																																																	BgL_sitez00_24);
																																																																															}
																																																																														else
																																																																															{	/* Ast/sexp.scm 119 */
																																																																																obj_t
																																																																																	BgL_cdrzd275109zd2_6806;
																																																																																BgL_cdrzd275109zd2_6806
																																																																																	=
																																																																																	CDR
																																																																																	(
																																																																																	((obj_t) BgL_expz00_21));
																																																																																{	/* Ast/sexp.scm 119 */
																																																																																	obj_t
																																																																																		BgL_arg5442z00_6807;
																																																																																	obj_t
																																																																																		BgL_arg5443z00_6808;
																																																																																	BgL_arg5442z00_6807
																																																																																		=
																																																																																		CAR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd275109zd2_6806));
																																																																																	BgL_arg5443z00_6808
																																																																																		=
																																																																																		CDR
																																																																																		(
																																																																																		((obj_t) BgL_cdrzd275109zd2_6806));
																																																																																	{	/* Ast/sexp.scm 564 */
																																																																																		obj_t
																																																																																			BgL_arg7648z00_14848;
																																																																																		BgL_arg7648z00_14848
																																																																																			=
																																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_locz00_23);
																																																																																		return
																																																																																			BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																			(BgL_expz00_21,
																																																																																			BgL_arg5442z00_6807,
																																																																																			((obj_t) CNST_TABLE_REF(4)), BgL_arg5443z00_6808, BgL_stackz00_22, BgL_arg7648z00_14848, BgL_sitez00_24);
																																																																																	}
																																																																																}
																																																																															}
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														obj_t
																																																																															BgL_cdrzd275124zd2_6809;
																																																																														BgL_cdrzd275124zd2_6809
																																																																															=
																																																																															CDR
																																																																															(
																																																																															((obj_t) BgL_expz00_21));
																																																																														{	/* Ast/sexp.scm 119 */
																																																																															obj_t
																																																																																BgL_arg5444z00_6810;
																																																																															obj_t
																																																																																BgL_arg5445z00_6811;
																																																																															BgL_arg5444z00_6810
																																																																																=
																																																																																CAR
																																																																																(
																																																																																((obj_t) BgL_cdrzd275124zd2_6809));
																																																																															BgL_arg5445z00_6811
																																																																																=
																																																																																CDR
																																																																																(
																																																																																((obj_t) BgL_cdrzd275124zd2_6809));
																																																																															{	/* Ast/sexp.scm 564 */
																																																																																obj_t
																																																																																	BgL_arg7648z00_14852;
																																																																																BgL_arg7648z00_14852
																																																																																	=
																																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_locz00_23);
																																																																																return
																																																																																	BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																																	(BgL_expz00_21,
																																																																																	BgL_arg5444z00_6810,
																																																																																	((obj_t) CNST_TABLE_REF(4)), BgL_arg5445z00_6811, BgL_stackz00_22, BgL_arg7648z00_14852, BgL_sitez00_24);
																																																																															}
																																																																														}
																																																																													}
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												obj_t
																																																																													BgL_cdrzd275139zd2_6813;
																																																																												BgL_cdrzd275139zd2_6813
																																																																													=
																																																																													CDR
																																																																													(
																																																																													((obj_t) BgL_expz00_21));
																																																																												{	/* Ast/sexp.scm 119 */
																																																																													obj_t
																																																																														BgL_arg5447z00_6814;
																																																																													obj_t
																																																																														BgL_arg5448z00_6815;
																																																																													BgL_arg5447z00_6814
																																																																														=
																																																																														CAR
																																																																														(
																																																																														((obj_t) BgL_cdrzd275139zd2_6813));
																																																																													BgL_arg5448z00_6815
																																																																														=
																																																																														CDR
																																																																														(
																																																																														((obj_t) BgL_cdrzd275139zd2_6813));
																																																																													{	/* Ast/sexp.scm 564 */
																																																																														obj_t
																																																																															BgL_arg7648z00_14856;
																																																																														BgL_arg7648z00_14856
																																																																															=
																																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																																															(BgL_expz00_21,
																																																																															BgL_locz00_23);
																																																																														return
																																																																															BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																															(BgL_expz00_21,
																																																																															BgL_arg5447z00_6814,
																																																																															((obj_t) CNST_TABLE_REF(4)), BgL_arg5448z00_6815, BgL_stackz00_22, BgL_arg7648z00_14856, BgL_sitez00_24);
																																																																													}
																																																																												}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33764;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33764);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 119 */
																																																																								if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(((obj_t) BgL_expz00_21)), BUNSPEC))
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (NULLP(CDR(((obj_t) BgL_expz00_21))))
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2403zd2_1858;
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																													{
																																																																														obj_t
																																																																															BgL_auxz00_33776;
																																																																														goto
																																																																															BgL_tagzd2404zd2_1859;
																																																																														return
																																																																															(
																																																																															(BgL_nodez00_bglt)
																																																																															BgL_auxz00_33776);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 119 */
																																																																														goto
																																																																															BgL_tagzd2405zd2_1860;
																																																																													}
																																																																											}
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 119 */
																																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																											{
																																																																												obj_t
																																																																													BgL_auxz00_33780;
																																																																												goto
																																																																													BgL_tagzd2404zd2_1859;
																																																																												return
																																																																													(
																																																																													(BgL_nodez00_bglt)
																																																																													BgL_auxz00_33780);
																																																																											}
																																																																										else
																																																																											{	/* Ast/sexp.scm 119 */
																																																																												goto
																																																																													BgL_tagzd2405zd2_1860;
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 119 */
										BgL_atomz00_1788 = BgL_expz00_21;
										{	/* Ast/sexp.scm 135 */
											bool_t BgL_test10881z00_33782;

											{	/* Ast/sexp.scm 135 */
												bool_t BgL_test10882z00_33783;

												{	/* Ast/sexp.scm 135 */
													obj_t BgL_classz00_10668;

													BgL_classz00_10668 = BGl_localz00zzast_varz00;
													if (BGL_OBJECTP(BgL_atomz00_1788))
														{	/* Ast/sexp.scm 135 */
															BgL_objectz00_bglt BgL_arg1858z00_10670;

															BgL_arg1858z00_10670 =
																(BgL_objectz00_bglt) (BgL_atomz00_1788);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/sexp.scm 135 */
																	long BgL_idxz00_10676;

																	BgL_idxz00_10676 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_10670);
																	BgL_test10882z00_33783 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_10676 + 2L)) ==
																		BgL_classz00_10668);
																}
															else
																{	/* Ast/sexp.scm 135 */
																	bool_t BgL_res7981z00_10701;

																	{	/* Ast/sexp.scm 135 */
																		obj_t BgL_oclassz00_10684;

																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_arg1866z00_10692;
																			long BgL_arg1867z00_10693;

																			BgL_arg1866z00_10692 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/sexp.scm 135 */
																				long BgL_arg1869z00_10694;

																				BgL_arg1869z00_10694 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_10670);
																				BgL_arg1867z00_10693 =
																					(BgL_arg1869z00_10694 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_10684 =
																				VECTOR_REF(BgL_arg1866z00_10692,
																				BgL_arg1867z00_10693);
																		}
																		{	/* Ast/sexp.scm 135 */
																			bool_t BgL__ortest_1115z00_10685;

																			BgL__ortest_1115z00_10685 =
																				(BgL_classz00_10668 ==
																				BgL_oclassz00_10684);
																			if (BgL__ortest_1115z00_10685)
																				{	/* Ast/sexp.scm 135 */
																					BgL_res7981z00_10701 =
																						BgL__ortest_1115z00_10685;
																				}
																			else
																				{	/* Ast/sexp.scm 135 */
																					long BgL_odepthz00_10686;

																					{	/* Ast/sexp.scm 135 */
																						obj_t BgL_arg1855z00_10687;

																						BgL_arg1855z00_10687 =
																							(BgL_oclassz00_10684);
																						BgL_odepthz00_10686 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_10687);
																					}
																					if ((2L < BgL_odepthz00_10686))
																						{	/* Ast/sexp.scm 135 */
																							obj_t BgL_arg1853z00_10689;

																							{	/* Ast/sexp.scm 135 */
																								obj_t BgL_arg1854z00_10690;

																								BgL_arg1854z00_10690 =
																									(BgL_oclassz00_10684);
																								BgL_arg1853z00_10689 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_10690, 2L);
																							}
																							BgL_res7981z00_10701 =
																								(BgL_arg1853z00_10689 ==
																								BgL_classz00_10668);
																						}
																					else
																						{	/* Ast/sexp.scm 135 */
																							BgL_res7981z00_10701 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test10882z00_33783 = BgL_res7981z00_10701;
																}
														}
													else
														{	/* Ast/sexp.scm 135 */
															BgL_test10882z00_33783 = ((bool_t) 0);
														}
												}
												if (BgL_test10882z00_33783)
													{	/* Ast/sexp.scm 135 */
														BgL_test10881z00_33782 = ((bool_t) 1);
													}
												else
													{	/* Ast/sexp.scm 135 */
														obj_t BgL_classz00_10702;

														BgL_classz00_10702 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_atomz00_1788))
															{	/* Ast/sexp.scm 135 */
																BgL_objectz00_bglt BgL_arg1858z00_10704;

																BgL_arg1858z00_10704 =
																	(BgL_objectz00_bglt) (BgL_atomz00_1788);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/sexp.scm 135 */
																		long BgL_idxz00_10710;

																		BgL_idxz00_10710 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_10704);
																		BgL_test10881z00_33782 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_10710 + 2L)) ==
																			BgL_classz00_10702);
																	}
																else
																	{	/* Ast/sexp.scm 135 */
																		bool_t BgL_res7982z00_10735;

																		{	/* Ast/sexp.scm 135 */
																			obj_t BgL_oclassz00_10718;

																			{	/* Ast/sexp.scm 135 */
																				obj_t BgL_arg1866z00_10726;
																				long BgL_arg1867z00_10727;

																				BgL_arg1866z00_10726 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Ast/sexp.scm 135 */
																					long BgL_arg1869z00_10728;

																					BgL_arg1869z00_10728 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_10704);
																					BgL_arg1867z00_10727 =
																						(BgL_arg1869z00_10728 -
																						OBJECT_TYPE);
																				}
																				BgL_oclassz00_10718 =
																					VECTOR_REF(BgL_arg1866z00_10726,
																					BgL_arg1867z00_10727);
																			}
																			{	/* Ast/sexp.scm 135 */
																				bool_t BgL__ortest_1115z00_10719;

																				BgL__ortest_1115z00_10719 =
																					(BgL_classz00_10702 ==
																					BgL_oclassz00_10718);
																				if (BgL__ortest_1115z00_10719)
																					{	/* Ast/sexp.scm 135 */
																						BgL_res7982z00_10735 =
																							BgL__ortest_1115z00_10719;
																					}
																				else
																					{	/* Ast/sexp.scm 135 */
																						long BgL_odepthz00_10720;

																						{	/* Ast/sexp.scm 135 */
																							obj_t BgL_arg1855z00_10721;

																							BgL_arg1855z00_10721 =
																								(BgL_oclassz00_10718);
																							BgL_odepthz00_10720 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_10721);
																						}
																						if ((2L < BgL_odepthz00_10720))
																							{	/* Ast/sexp.scm 135 */
																								obj_t BgL_arg1853z00_10723;

																								{	/* Ast/sexp.scm 135 */
																									obj_t BgL_arg1854z00_10724;

																									BgL_arg1854z00_10724 =
																										(BgL_oclassz00_10718);
																									BgL_arg1853z00_10723 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_10724, 2L);
																								}
																								BgL_res7982z00_10735 =
																									(BgL_arg1853z00_10723 ==
																									BgL_classz00_10702);
																							}
																						else
																							{	/* Ast/sexp.scm 135 */
																								BgL_res7982z00_10735 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test10881z00_33782 =
																			BgL_res7982z00_10735;
																	}
															}
														else
															{	/* Ast/sexp.scm 135 */
																BgL_test10881z00_33782 = ((bool_t) 0);
															}
													}
											}
											if (BgL_test10881z00_33782)
												{	/* Ast/sexp.scm 135 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1788, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 137 */
													bool_t BgL_test10891z00_33829;

													if (STRUCTP(BgL_atomz00_1788))
														{	/* Ast/sexp.scm 137 */
															BgL_test10891z00_33829 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (VECTORP(BgL_atomz00_1788))
																{	/* Ast/sexp.scm 138 */
																	BgL_test10891z00_33829 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 138 */
																	if (BGL_HVECTORP(BgL_atomz00_1788))
																		{	/* Ast/sexp.scm 138 */
																			BgL_test10891z00_33829 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 138 */
																			if (BGL_OBJECTP(BgL_atomz00_1788))
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10891z00_33829 = ((bool_t) 1);
																				}
																			else
																				{	/* Ast/sexp.scm 139 */
																					BgL_test10891z00_33829 =
																						PROCEDUREP(BgL_atomz00_1788);
																				}
																		}
																}
														}
													if (BgL_test10891z00_33829)
														{	/* Ast/sexp.scm 141 */
															BgL_nodez00_bglt BgL_res7983z00_10741;

															{	/* Ast/sexp.scm 735 */
																obj_t BgL_arg7755z00_10737;
																BgL_nodez00_bglt BgL_arg7756z00_10738;

																BgL_arg7755z00_10737 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg7756z00_10738 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t)
																		CNST_TABLE_REF(4)), BNIL, BgL_locz00_23,
																	((obj_t) CNST_TABLE_REF(2)));
																{	/* Ast/sexp.scm 734 */
																	obj_t BgL_list7757z00_10740;

																	BgL_list7757z00_10740 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg7756z00_10738), BNIL);
																	BgL_res7983z00_10741 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg7755z00_10737,
																			BGl_string8068z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list7757z00_10740));
																}
															}
															return BgL_res7983z00_10741;
														}
													else
														{	/* Ast/sexp.scm 137 */
															if (SYMBOLP(BgL_atomz00_1788))
																{	/* Ast/sexp.scm 147 */
																	obj_t BgL_g1121z00_9410;

																	BgL_g1121z00_9410 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1788, BgL_stackz00_22);
																	if (CBOOL(BgL_g1121z00_9410))
																		{	/* Ast/sexp.scm 147 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1121z00_9410, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 151 */
																			obj_t BgL_globalz00_9413;
																			obj_t BgL_locz00_9414;

																			BgL_globalz00_9413 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1788, BNIL);
																			BgL_locz00_9414 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_atomz00_1788, BgL_locz00_23);
																			{	/* Ast/sexp.scm 154 */
																				bool_t BgL_test10898z00_33858;

																				{	/* Ast/sexp.scm 154 */
																					obj_t BgL_classz00_10742;

																					BgL_classz00_10742 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_9413))
																						{	/* Ast/sexp.scm 154 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_10744;
																							BgL_arg1858z00_10744 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_9413);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/sexp.scm 154 */
																									long BgL_idxz00_10750;

																									BgL_idxz00_10750 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_10744);
																									BgL_test10898z00_33858 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_10750 +
																												2L)) ==
																										BgL_classz00_10742);
																								}
																							else
																								{	/* Ast/sexp.scm 154 */
																									bool_t BgL_res7984z00_10775;

																									{	/* Ast/sexp.scm 154 */
																										obj_t BgL_oclassz00_10758;

																										{	/* Ast/sexp.scm 154 */
																											obj_t
																												BgL_arg1866z00_10766;
																											long BgL_arg1867z00_10767;

																											BgL_arg1866z00_10766 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/sexp.scm 154 */
																												long
																													BgL_arg1869z00_10768;
																												BgL_arg1869z00_10768 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_10744);
																												BgL_arg1867z00_10767 =
																													(BgL_arg1869z00_10768
																													- OBJECT_TYPE);
																											}
																											BgL_oclassz00_10758 =
																												VECTOR_REF
																												(BgL_arg1866z00_10766,
																												BgL_arg1867z00_10767);
																										}
																										{	/* Ast/sexp.scm 154 */
																											bool_t
																												BgL__ortest_1115z00_10759;
																											BgL__ortest_1115z00_10759
																												=
																												(BgL_classz00_10742 ==
																												BgL_oclassz00_10758);
																											if (BgL__ortest_1115z00_10759)
																												{	/* Ast/sexp.scm 154 */
																													BgL_res7984z00_10775 =
																														BgL__ortest_1115z00_10759;
																												}
																											else
																												{	/* Ast/sexp.scm 154 */
																													long
																														BgL_odepthz00_10760;
																													{	/* Ast/sexp.scm 154 */
																														obj_t
																															BgL_arg1855z00_10761;
																														BgL_arg1855z00_10761
																															=
																															(BgL_oclassz00_10758);
																														BgL_odepthz00_10760
																															=
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_10761);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_10760))
																														{	/* Ast/sexp.scm 154 */
																															obj_t
																																BgL_arg1853z00_10763;
																															{	/* Ast/sexp.scm 154 */
																																obj_t
																																	BgL_arg1854z00_10764;
																																BgL_arg1854z00_10764
																																	=
																																	(BgL_oclassz00_10758);
																																BgL_arg1853z00_10763
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_10764,
																																	2L);
																															}
																															BgL_res7984z00_10775
																																=
																																(BgL_arg1853z00_10763
																																==
																																BgL_classz00_10742);
																														}
																													else
																														{	/* Ast/sexp.scm 154 */
																															BgL_res7984z00_10775
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test10898z00_33858 =
																										BgL_res7984z00_10775;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 154 */
																							BgL_test10898z00_33858 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test10898z00_33858)
																					{	/* Ast/sexp.scm 154 */
																						if (
																							((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_9413)))->
																									BgL_importz00) ==
																								((obj_t) CNST_TABLE_REF(10))))
																							{	/* Ast/sexp.scm 157 */
																								obj_t BgL_arg7296z00_9418;

																								{	/* Ast/sexp.scm 157 */
																									obj_t BgL_arg7297z00_9419;

																									{	/* Ast/sexp.scm 157 */
																										obj_t BgL_arg7298z00_9420;

																										{	/* Ast/sexp.scm 157 */
																											obj_t BgL_arg7299z00_9421;

																											BgL_arg7299z00_9421 =
																												MAKE_YOUNG_PAIR
																												(BgL_atomz00_1788,
																												BNIL);
																											BgL_arg7298z00_9420 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													CNST_TABLE_REF(12)),
																												BgL_arg7299z00_9421);
																										}
																										BgL_arg7297z00_9419 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg7298z00_9420,
																											BNIL);
																									}
																									BgL_arg7296z00_9418 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(10)),
																										BgL_arg7297z00_9419);
																								}
																								{
																									obj_t BgL_locz00_33896;
																									obj_t BgL_expz00_33895;

																									BgL_expz00_33895 =
																										BgL_arg7296z00_9418;
																									BgL_locz00_33896 =
																										BgL_locz00_9414;
																									BgL_locz00_23 =
																										BgL_locz00_33896;
																									BgL_expz00_21 =
																										BgL_expz00_33895;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 156 */
																								return
																									BGl_variablezd2ze3nodez31zzast_sexpz00
																									(BgL_globalz00_9413,
																									BgL_locz00_9414,
																									BgL_sitez00_24);
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 155 */
																						BgL_nodez00_bglt
																							BgL_res7985z00_10782;
																						{	/* Ast/sexp.scm 735 */
																							obj_t BgL_arg7755z00_10778;
																							BgL_nodez00_bglt
																								BgL_arg7756z00_10779;
																							BgL_arg7755z00_10778 =
																								BGl_shapez00zztools_shapez00
																								(BGl_currentzd2functionzd2zztools_errorz00
																								());
																							BgL_arg7756z00_10779 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(((obj_t) CNST_TABLE_REF(4)),
																								BNIL, BgL_locz00_9414,
																								((obj_t) CNST_TABLE_REF(2)));
																							{	/* Ast/sexp.scm 734 */
																								obj_t BgL_list7757z00_10781;

																								BgL_list7757z00_10781 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										BgL_arg7756z00_10779),
																									BNIL);
																								BgL_res7985z00_10782 =
																									((BgL_nodez00_bglt)
																									BGl_userzd2errorzf2locationz20zztools_errorz00
																									(BgL_locz00_9414,
																										BgL_arg7755z00_10778,
																										BGl_string8067z00zzast_sexpz00,
																										BgL_expz00_21,
																										BgL_list7757z00_10781));
																							}
																						}
																						return BgL_res7985z00_10782;
																					}
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 143 */
																	BgL_literalz00_bglt BgL_new1120z00_9424;

																	{	/* Ast/sexp.scm 144 */
																		BgL_literalz00_bglt BgL_new1118z00_9425;

																		BgL_new1118z00_9425 =
																			((BgL_literalz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_literalz00_bgl))));
																		{	/* Ast/sexp.scm 144 */
																			long BgL_arg7302z00_9426;

																			BgL_arg7302z00_9426 =
																				BGL_CLASS_NUM
																				(BGl_literalz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1118z00_9425),
																				BgL_arg7302z00_9426);
																		}
																		{	/* Ast/sexp.scm 144 */
																			BgL_objectz00_bglt BgL_tmpz00_33913;

																			BgL_tmpz00_33913 =
																				((BgL_objectz00_bglt)
																				BgL_new1118z00_9425);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_33913,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1118z00_9425);
																		BgL_new1120z00_9424 = BgL_new1118z00_9425;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1120z00_9424)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1120z00_9424)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1788)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt)
																						BgL_new1120z00_9424)))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1788), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1120z00_9424);
																}
														}
												}
										}
									}
							}
					}
			}
		}

	}



/* liip~0 */
	obj_t BGl_liipze70ze7zzast_sexpz00(obj_t BgL_argsz00_9839)
	{
		{	/* Ast/sexp.scm 408 */
			if (NULLP(BgL_argsz00_9839))
				{	/* Ast/sexp.scm 409 */
					return ((obj_t) CNST_TABLE_REF(4));
				}
			else
				{	/* Ast/sexp.scm 411 */
					obj_t BgL_arg7545z00_9842;

					{	/* Ast/sexp.scm 411 */
						obj_t BgL_arg7546z00_9843;
						obj_t BgL_arg7547z00_9844;

						BgL_arg7546z00_9843 = CAR(((obj_t) BgL_argsz00_9839));
						{	/* Ast/sexp.scm 412 */
							obj_t BgL_arg7548z00_9845;

							{	/* Ast/sexp.scm 412 */
								obj_t BgL_arg7549z00_9846;

								BgL_arg7549z00_9846 = CDR(((obj_t) BgL_argsz00_9839));
								BgL_arg7548z00_9845 =
									BGl_liipze70ze7zzast_sexpz00(BgL_arg7549z00_9846);
							}
							BgL_arg7547z00_9844 = MAKE_YOUNG_PAIR(BgL_arg7548z00_9845, BNIL);
						}
						BgL_arg7545z00_9842 =
							MAKE_YOUNG_PAIR(BgL_arg7546z00_9843, BgL_arg7547z00_9844);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(33)), BgL_arg7545z00_9842);
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzast_sexpz00(obj_t BgL_expz00_15817,
		obj_t BgL_locz00_15816, obj_t BgL_varsz00_9801, obj_t BgL_argsz00_9802)
	{
		{	/* Ast/sexp.scm 393 */
		BGl_loopze70ze7zzast_sexpz00:
			if (NULLP(BgL_varsz00_9801))
				{	/* Ast/sexp.scm 396 */
					if (NULLP(BgL_argsz00_9802))
						{	/* Ast/sexp.scm 397 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 397 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_15816,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string8070z00zzast_sexpz00, BgL_expz00_15817, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 396 */
					if (PAIRP(BgL_varsz00_9801))
						{	/* Ast/sexp.scm 404 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_9801)))
								{	/* Ast/sexp.scm 414 */
									obj_t BgL_argz00_9812;

									BgL_argz00_9812 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_9801));
									if (CBOOL(BgL_argz00_9812))
										{
											obj_t BgL_varsz00_33955;

											BgL_varsz00_33955 = BgL_argz00_9812;
											BgL_varsz00_9801 = BgL_varsz00_33955;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_33956;

											BgL_varsz00_33956 = BNIL;
											BgL_varsz00_9801 = BgL_varsz00_33956;
											goto BGl_loopze70ze7zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 419 */
									bool_t BgL_test10910z00_33957;

									{	/* Ast/sexp.scm 419 */
										obj_t BgL_tmpz00_33958;

										BgL_tmpz00_33958 = CAR(BgL_varsz00_9801);
										BgL_test10910z00_33957 = SYMBOLP(BgL_tmpz00_33958);
									}
									if (BgL_test10910z00_33957)
										{	/* Ast/sexp.scm 419 */
											if (NULLP(BgL_argsz00_9802))
												{	/* Ast/sexp.scm 425 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_15816,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string8070z00zzast_sexpz00, BgL_expz00_15817,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 432 */
													obj_t BgL_arg7525z00_9820;
													obj_t BgL_arg7526z00_9821;

													{	/* Ast/sexp.scm 432 */
														obj_t BgL_arg7527z00_9822;
														obj_t BgL_arg7528z00_9823;

														BgL_arg7527z00_9822 = CAR(BgL_varsz00_9801);
														BgL_arg7528z00_9823 =
															CAR(((obj_t) BgL_argsz00_9802));
														{	/* Ast/sexp.scm 432 */
															obj_t BgL_list7529z00_9824;

															{	/* Ast/sexp.scm 432 */
																obj_t BgL_arg7530z00_9825;

																BgL_arg7530z00_9825 =
																	MAKE_YOUNG_PAIR(BgL_arg7528z00_9823, BNIL);
																BgL_list7529z00_9824 =
																	MAKE_YOUNG_PAIR(BgL_arg7527z00_9822,
																	BgL_arg7530z00_9825);
															}
															BgL_arg7525z00_9820 = BgL_list7529z00_9824;
														}
													}
													{	/* Ast/sexp.scm 433 */
														obj_t BgL_arg7531z00_9826;
														obj_t BgL_arg7532z00_9827;

														BgL_arg7531z00_9826 = CDR(BgL_varsz00_9801);
														BgL_arg7532z00_9827 =
															CDR(((obj_t) BgL_argsz00_9802));
														BgL_arg7526z00_9821 =
															BGl_loopze70ze7zzast_sexpz00(BgL_expz00_15817,
															BgL_locz00_15816, BgL_arg7531z00_9826,
															BgL_arg7532z00_9827);
													}
													return
														MAKE_YOUNG_PAIR(BgL_arg7525z00_9820,
														BgL_arg7526z00_9821);
												}
										}
									else
										{	/* Ast/sexp.scm 419 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_15816,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string8071z00zzast_sexpz00, BgL_expz00_15817, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 409 */
							obj_t BgL_arg7538z00_9833;

							{	/* Ast/sexp.scm 409 */
								obj_t BgL_arg7540z00_9835;

								BgL_arg7540z00_9835 =
									BGl_liipze70ze7zzast_sexpz00(BgL_argsz00_9802);
								{	/* Ast/sexp.scm 406 */
									obj_t BgL_list7541z00_9836;

									{	/* Ast/sexp.scm 406 */
										obj_t BgL_arg7542z00_9837;

										BgL_arg7542z00_9837 =
											MAKE_YOUNG_PAIR(BgL_arg7540z00_9835, BNIL);
										BgL_list7541z00_9836 =
											MAKE_YOUNG_PAIR(BgL_varsz00_9801, BgL_arg7542z00_9837);
									}
									BgL_arg7538z00_9833 = BgL_list7541z00_9836;
								}
							}
							{	/* Ast/sexp.scm 405 */
								obj_t BgL_list7539z00_9834;

								BgL_list7539z00_9834 =
									MAKE_YOUNG_PAIR(BgL_arg7538z00_9833, BNIL);
								return BgL_list7539z00_9834;
							}
						}
				}
		}

	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_15774,
		obj_t BgL_expz00_15775, obj_t BgL_stackz00_15776, obj_t BgL_locz00_15777,
		obj_t BgL_sitez00_15778)
	{
		{	/* Ast/sexp.scm 114 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_15775, BgL_stackz00_15776,
				BgL_locz00_15777, BgL_sitez00_15778);
		}

	}



/* &<@anonymous:7555> */
	obj_t BGl_z62zc3z04anonymousza37555ze3ze5zzast_sexpz00(obj_t BgL_envz00_15779,
		obj_t BgL_objz00_15781, obj_t BgL_procz00_15782, obj_t BgL_msgz00_15783)
	{
		{	/* Ast/sexp.scm 438 */
			return
				BGl_userzd2errorzf2locationz20zztools_errorz00(PROCEDURE_REF
				(BgL_envz00_15779, (int) (0L)), BgL_objz00_15781, BgL_procz00_15782,
				BgL_msgz00_15783, BNIL);
		}

	}



/* lambda->node */
	BgL_nodez00_bglt BGl_lambdazd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_25,
		obj_t BgL_stackz00_26, obj_t BgL_locz00_27, obj_t BgL_sitez00_28,
		obj_t BgL_prefnamez00_29)
	{
		{	/* Ast/sexp.scm 583 */
			{
				obj_t BgL_argsz00_10021;
				obj_t BgL_bodyz00_10022;

				if (PAIRP(BgL_expz00_25))
					{	/* Ast/sexp.scm 584 */
						obj_t BgL_cdrzd275411zd2_10027;

						BgL_cdrzd275411zd2_10027 = CDR(((obj_t) BgL_expz00_25));
						if (PAIRP(BgL_cdrzd275411zd2_10027))
							{	/* Ast/sexp.scm 584 */
								BgL_argsz00_10021 = CAR(BgL_cdrzd275411zd2_10027);
								BgL_bodyz00_10022 = CDR(BgL_cdrzd275411zd2_10027);
								{	/* Ast/sexp.scm 586 */
									obj_t BgL_locz00_10031;
									obj_t BgL_funz00_10032;

									BgL_locz00_10031 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 587 */
										obj_t BgL_list7663z00_10042;

										BgL_list7663z00_10042 =
											MAKE_YOUNG_PAIR(BgL_prefnamez00_29, BNIL);
										BgL_funz00_10032 =
											BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_27,
											BgL_list7663z00_10042);
									}
									{	/* Ast/sexp.scm 588 */
										obj_t BgL_arg7654z00_10033;

										{	/* Ast/sexp.scm 588 */
											obj_t BgL_arg7655z00_10034;
											obj_t BgL_arg7656z00_10035;

											BgL_arg7655z00_10034 =
												BGl_labelszd2symzd2zzast_labelsz00();
											{	/* Ast/sexp.scm 588 */
												obj_t BgL_arg7657z00_10036;
												obj_t BgL_arg7658z00_10037;

												{	/* Ast/sexp.scm 588 */
													obj_t BgL_arg7659z00_10038;

													{	/* Ast/sexp.scm 588 */
														obj_t BgL_arg7660z00_10039;

														{	/* Ast/sexp.scm 588 */
															obj_t BgL_arg7661z00_10040;

															BgL_arg7661z00_10040 =
																MAKE_YOUNG_PAIR
																(BGl_normaliza7ezd2prognz75zztools_prognz00
																(BgL_bodyz00_10022), BNIL);
															BgL_arg7660z00_10039 =
																MAKE_YOUNG_PAIR(BgL_argsz00_10021,
																BgL_arg7661z00_10040);
														}
														BgL_arg7659z00_10038 =
															MAKE_YOUNG_PAIR(BgL_funz00_10032,
															BgL_arg7660z00_10039);
													}
													BgL_arg7657z00_10036 =
														MAKE_YOUNG_PAIR(BgL_arg7659z00_10038, BNIL);
												}
												BgL_arg7658z00_10037 =
													MAKE_YOUNG_PAIR(BgL_funz00_10032, BNIL);
												BgL_arg7656z00_10035 =
													MAKE_YOUNG_PAIR(BgL_arg7657z00_10036,
													BgL_arg7658z00_10037);
											}
											BgL_arg7654z00_10033 =
												MAKE_YOUNG_PAIR(BgL_arg7655z00_10034,
												BgL_arg7656z00_10035);
										}
										return
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7654z00_10033,
											BgL_stackz00_26, BgL_locz00_10031, BgL_sitez00_28);
									}
								}
							}
						else
							{	/* Ast/sexp.scm 584 */
							BgL_tagzd275404zd2_10024:
								{	/* Ast/sexp.scm 595 */
									obj_t BgL_arg7664z00_10043;

									BgL_arg7664z00_10043 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_25, BgL_locz00_27);
									{	/* Ast/sexp.scm 593 */
										BgL_nodez00_bglt BgL_res8019z00_14864;

										{	/* Ast/sexp.scm 735 */
											obj_t BgL_arg7755z00_14860;
											BgL_nodez00_bglt BgL_arg7756z00_14861;

											BgL_arg7755z00_14860 =
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00());
											BgL_arg7756z00_14861 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t)
													CNST_TABLE_REF(4)), BNIL, BgL_arg7664z00_10043,
												((obj_t) CNST_TABLE_REF(2)));
											{	/* Ast/sexp.scm 734 */
												obj_t BgL_list7757z00_14863;

												BgL_list7757z00_14863 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg7756z00_14861), BNIL);
												BgL_res8019z00_14864 =
													((BgL_nodez00_bglt)
													BGl_userzd2errorzf2locationz20zztools_errorz00
													(BgL_arg7664z00_10043, BgL_arg7755z00_14860,
														BGl_string8072z00zzast_sexpz00, BgL_expz00_25,
														BgL_list7757z00_14863));
											}
										}
										return BgL_res8019z00_14864;
									}
								}
							}
					}
				else
					{	/* Ast/sexp.scm 584 */
						goto BgL_tagzd275404zd2_10024;
					}
			}
		}

	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_30,
		obj_t BgL_locz00_31, obj_t BgL_sitez00_32)
	{
		{	/* Ast/sexp.scm 600 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_30), BgL_locz00_31, BgL_sitez00_32);
			{	/* Ast/sexp.scm 602 */
				bool_t BgL_test10914z00_34022;

				if ((BgL_sitez00_32 == ((obj_t) CNST_TABLE_REF(34))))
					{	/* Ast/sexp.scm 602 */
						BgL_test10914z00_34022 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 602 */
						BgL_valuez00_bglt BgL_arg7685z00_10071;

						BgL_arg7685z00_10071 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_valuez00);
						{	/* Ast/sexp.scm 602 */
							obj_t BgL_classz00_14869;

							BgL_classz00_14869 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 602 */
								BgL_objectz00_bglt BgL_arg1858z00_14871;

								{	/* Ast/sexp.scm 602 */
									obj_t BgL_tmpz00_34029;

									BgL_tmpz00_34029 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg7685z00_10071));
									BgL_arg1858z00_14871 =
										(BgL_objectz00_bglt) (BgL_tmpz00_34029);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 602 */
										long BgL_idxz00_14877;

										BgL_idxz00_14877 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_14871);
										BgL_test10914z00_34022 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_14877 + 2L)) == BgL_classz00_14869);
									}
								else
									{	/* Ast/sexp.scm 602 */
										bool_t BgL_res8020z00_14902;

										{	/* Ast/sexp.scm 602 */
											obj_t BgL_oclassz00_14885;

											{	/* Ast/sexp.scm 602 */
												obj_t BgL_arg1866z00_14893;
												long BgL_arg1867z00_14894;

												BgL_arg1866z00_14893 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/sexp.scm 602 */
													long BgL_arg1869z00_14895;

													BgL_arg1869z00_14895 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_14871);
													BgL_arg1867z00_14894 =
														(BgL_arg1869z00_14895 - OBJECT_TYPE);
												}
												BgL_oclassz00_14885 =
													VECTOR_REF(BgL_arg1866z00_14893,
													BgL_arg1867z00_14894);
											}
											{	/* Ast/sexp.scm 602 */
												bool_t BgL__ortest_1115z00_14886;

												BgL__ortest_1115z00_14886 =
													(BgL_classz00_14869 == BgL_oclassz00_14885);
												if (BgL__ortest_1115z00_14886)
													{	/* Ast/sexp.scm 602 */
														BgL_res8020z00_14902 = BgL__ortest_1115z00_14886;
													}
												else
													{	/* Ast/sexp.scm 602 */
														long BgL_odepthz00_14887;

														{	/* Ast/sexp.scm 602 */
															obj_t BgL_arg1855z00_14888;

															BgL_arg1855z00_14888 = (BgL_oclassz00_14885);
															BgL_odepthz00_14887 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_14888);
														}
														if ((2L < BgL_odepthz00_14887))
															{	/* Ast/sexp.scm 602 */
																obj_t BgL_arg1853z00_14890;

																{	/* Ast/sexp.scm 602 */
																	obj_t BgL_arg1854z00_14891;

																	BgL_arg1854z00_14891 = (BgL_oclassz00_14885);
																	BgL_arg1853z00_14890 =
																		BGL_CLASS_ANCESTORS_REF
																		(BgL_arg1854z00_14891, 2L);
																}
																BgL_res8020z00_14902 =
																	(BgL_arg1853z00_14890 == BgL_classz00_14869);
															}
														else
															{	/* Ast/sexp.scm 602 */
																BgL_res8020z00_14902 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test10914z00_34022 = BgL_res8020z00_14902;
									}
							}
						}
					}
				if (BgL_test10914z00_34022)
					{	/* Ast/sexp.scm 603 */
						bool_t BgL_test10919z00_34052;

						{	/* Ast/sexp.scm 603 */
							bool_t BgL_test10920z00_34053;

							{	/* Ast/sexp.scm 603 */
								obj_t BgL_classz00_14903;

								BgL_classz00_14903 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_30))
									{	/* Ast/sexp.scm 603 */
										BgL_objectz00_bglt BgL_arg1858z00_14905;

										BgL_arg1858z00_14905 = (BgL_objectz00_bglt) (BgL_vz00_30);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/sexp.scm 603 */
												long BgL_idxz00_14911;

												BgL_idxz00_14911 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_14905);
												BgL_test10920z00_34053 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_14911 + 2L)) == BgL_classz00_14903);
											}
										else
											{	/* Ast/sexp.scm 603 */
												bool_t BgL_res8021z00_14936;

												{	/* Ast/sexp.scm 603 */
													obj_t BgL_oclassz00_14919;

													{	/* Ast/sexp.scm 603 */
														obj_t BgL_arg1866z00_14927;
														long BgL_arg1867z00_14928;

														BgL_arg1866z00_14927 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Ast/sexp.scm 603 */
															long BgL_arg1869z00_14929;

															BgL_arg1869z00_14929 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_14905);
															BgL_arg1867z00_14928 =
																(BgL_arg1869z00_14929 - OBJECT_TYPE);
														}
														BgL_oclassz00_14919 =
															VECTOR_REF(BgL_arg1866z00_14927,
															BgL_arg1867z00_14928);
													}
													{	/* Ast/sexp.scm 603 */
														bool_t BgL__ortest_1115z00_14920;

														BgL__ortest_1115z00_14920 =
															(BgL_classz00_14903 == BgL_oclassz00_14919);
														if (BgL__ortest_1115z00_14920)
															{	/* Ast/sexp.scm 603 */
																BgL_res8021z00_14936 =
																	BgL__ortest_1115z00_14920;
															}
														else
															{	/* Ast/sexp.scm 603 */
																long BgL_odepthz00_14921;

																{	/* Ast/sexp.scm 603 */
																	obj_t BgL_arg1855z00_14922;

																	BgL_arg1855z00_14922 = (BgL_oclassz00_14919);
																	BgL_odepthz00_14921 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_14922);
																}
																if ((2L < BgL_odepthz00_14921))
																	{	/* Ast/sexp.scm 603 */
																		obj_t BgL_arg1853z00_14924;

																		{	/* Ast/sexp.scm 603 */
																			obj_t BgL_arg1854z00_14925;

																			BgL_arg1854z00_14925 =
																				(BgL_oclassz00_14919);
																			BgL_arg1853z00_14924 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_14925, 2L);
																		}
																		BgL_res8021z00_14936 =
																			(BgL_arg1853z00_14924 ==
																			BgL_classz00_14903);
																	}
																else
																	{	/* Ast/sexp.scm 603 */
																		BgL_res8021z00_14936 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test10920z00_34053 = BgL_res8021z00_14936;
											}
									}
								else
									{	/* Ast/sexp.scm 603 */
										BgL_test10920z00_34053 = ((bool_t) 0);
									}
							}
							if (BgL_test10920z00_34053)
								{	/* Ast/sexp.scm 604 */
									bool_t BgL_test10925z00_34076;

									{	/* Ast/sexp.scm 604 */
										BgL_valuez00_bglt BgL_arg7682z00_10066;

										BgL_arg7682z00_10066 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_30))))->
											BgL_valuez00);
										{	/* Ast/sexp.scm 604 */
											obj_t BgL_classz00_14938;

											BgL_classz00_14938 = BGl_cfunz00zzast_varz00;
											{	/* Ast/sexp.scm 604 */
												BgL_objectz00_bglt BgL_arg1858z00_14940;

												{	/* Ast/sexp.scm 604 */
													obj_t BgL_tmpz00_34080;

													BgL_tmpz00_34080 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg7682z00_10066));
													BgL_arg1858z00_14940 =
														(BgL_objectz00_bglt) (BgL_tmpz00_34080);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/sexp.scm 604 */
														long BgL_idxz00_14946;

														BgL_idxz00_14946 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_14940);
														BgL_test10925z00_34076 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_14946 + 3L)) == BgL_classz00_14938);
													}
												else
													{	/* Ast/sexp.scm 604 */
														bool_t BgL_res8022z00_14971;

														{	/* Ast/sexp.scm 604 */
															obj_t BgL_oclassz00_14954;

															{	/* Ast/sexp.scm 604 */
																obj_t BgL_arg1866z00_14962;
																long BgL_arg1867z00_14963;

																BgL_arg1866z00_14962 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/sexp.scm 604 */
																	long BgL_arg1869z00_14964;

																	BgL_arg1869z00_14964 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_14940);
																	BgL_arg1867z00_14963 =
																		(BgL_arg1869z00_14964 - OBJECT_TYPE);
																}
																BgL_oclassz00_14954 =
																	VECTOR_REF(BgL_arg1866z00_14962,
																	BgL_arg1867z00_14963);
															}
															{	/* Ast/sexp.scm 604 */
																bool_t BgL__ortest_1115z00_14955;

																BgL__ortest_1115z00_14955 =
																	(BgL_classz00_14938 == BgL_oclassz00_14954);
																if (BgL__ortest_1115z00_14955)
																	{	/* Ast/sexp.scm 604 */
																		BgL_res8022z00_14971 =
																			BgL__ortest_1115z00_14955;
																	}
																else
																	{	/* Ast/sexp.scm 604 */
																		long BgL_odepthz00_14956;

																		{	/* Ast/sexp.scm 604 */
																			obj_t BgL_arg1855z00_14957;

																			BgL_arg1855z00_14957 =
																				(BgL_oclassz00_14954);
																			BgL_odepthz00_14956 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_14957);
																		}
																		if ((3L < BgL_odepthz00_14956))
																			{	/* Ast/sexp.scm 604 */
																				obj_t BgL_arg1853z00_14959;

																				{	/* Ast/sexp.scm 604 */
																					obj_t BgL_arg1854z00_14960;

																					BgL_arg1854z00_14960 =
																						(BgL_oclassz00_14954);
																					BgL_arg1853z00_14959 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_14960, 3L);
																				}
																				BgL_res8022z00_14971 =
																					(BgL_arg1853z00_14959 ==
																					BgL_classz00_14938);
																			}
																		else
																			{	/* Ast/sexp.scm 604 */
																				BgL_res8022z00_14971 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test10925z00_34076 = BgL_res8022z00_14971;
													}
											}
										}
									}
									if (BgL_test10925z00_34076)
										{	/* Ast/sexp.scm 605 */
											bool_t BgL_test10929z00_34103;

											{	/* Ast/sexp.scm 605 */
												obj_t BgL_arg7681z00_10065;

												BgL_arg7681z00_10065 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_test10929z00_34103 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg7681z00_10065)))->
													BgL_foreignzd2closurezd2);
											}
											if (BgL_test10929z00_34103)
												{	/* Ast/sexp.scm 605 */
													BgL_test10919z00_34052 = ((bool_t) 0);
												}
											else
												{	/* Ast/sexp.scm 605 */
													if ((BgL_sitez00_32 == ((obj_t) CNST_TABLE_REF(31))))
														{	/* Ast/sexp.scm 606 */
															BgL_test10919z00_34052 = ((bool_t) 0);
														}
													else
														{	/* Ast/sexp.scm 606 */
															BgL_test10919z00_34052 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Ast/sexp.scm 604 */
											BgL_test10919z00_34052 = ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 603 */
									BgL_test10919z00_34052 = ((bool_t) 0);
								}
						}
						if (BgL_test10919z00_34052)
							{	/* Ast/sexp.scm 608 */
								obj_t BgL_arg7675z00_10054;

								{	/* Ast/sexp.scm 608 */
									obj_t BgL_arg7676z00_10055;

									{	/* Ast/sexp.scm 608 */
										obj_t BgL_arg7678z00_10057;

										BgL_arg7678z00_10057 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg7676z00_10055 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg7678z00_10057)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 608 */
										obj_t BgL_list7677z00_10056;

										BgL_list7677z00_10056 =
											MAKE_YOUNG_PAIR(BgL_arg7676z00_10055, BNIL);
										BgL_arg7675z00_10054 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string8073z00zzast_sexpz00, BgL_list7677z00_10056);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg7675z00_10054, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_31);
							}
						else
							{	/* Ast/sexp.scm 609 */
								BgL_closurez00_bglt BgL_new1149z00_10058;

								{	/* Ast/sexp.scm 610 */
									BgL_closurez00_bglt BgL_new1148z00_10060;

									BgL_new1148z00_10060 =
										((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 610 */
										long BgL_arg7680z00_10061;

										BgL_arg7680z00_10061 =
											BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1148z00_10060),
											BgL_arg7680z00_10061);
									}
									{	/* Ast/sexp.scm 610 */
										BgL_objectz00_bglt BgL_tmpz00_34121;

										BgL_tmpz00_34121 =
											((BgL_objectz00_bglt) BgL_new1148z00_10060);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34121, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1148z00_10060);
									BgL_new1149z00_10058 = BgL_new1148z00_10060;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1149z00_10058)))->
										BgL_locz00) = ((obj_t) BgL_locz00_31), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_34127;

									{	/* Ast/sexp.scm 611 */
										BgL_typez00_bglt BgL_arg7679z00_10059;

										BgL_arg7679z00_10059 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
										BgL_auxz00_34127 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg7679z00_10059);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1149z00_10058)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_34127), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1149z00_10058)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1149z00_10058);
							}
					}
				else
					{	/* Ast/sexp.scm 613 */
						BgL_refz00_bglt BgL_new1151z00_10067;

						{	/* Ast/sexp.scm 614 */
							BgL_refz00_bglt BgL_new1150z00_10069;

							BgL_new1150z00_10069 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Ast/sexp.scm 614 */
								long BgL_arg7684z00_10070;

								BgL_arg7684z00_10070 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1150z00_10069),
									BgL_arg7684z00_10070);
							}
							{	/* Ast/sexp.scm 614 */
								BgL_objectz00_bglt BgL_tmpz00_34142;

								BgL_tmpz00_34142 = ((BgL_objectz00_bglt) BgL_new1150z00_10069);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34142, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1150z00_10069);
							BgL_new1151z00_10067 = BgL_new1150z00_10069;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1151z00_10067)))->BgL_locz00) =
							((obj_t) BgL_locz00_31), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_34148;

							{	/* Ast/sexp.scm 615 */
								BgL_typez00_bglt BgL_arg7683z00_10068;

								BgL_arg7683z00_10068 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_30)))->BgL_typez00);
								BgL_auxz00_34148 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg7683z00_10068);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1151z00_10067)))->
									BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_34148), BUNSPEC);
						}
						((((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_new1151z00_10067)))->
								BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_30)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1151z00_10067);
					}
			}
		}

	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_33,
		obj_t BgL_stackz00_34, obj_t BgL_locz00_35, obj_t BgL_sitez00_36)
	{
		{	/* Ast/sexp.scm 621 */
			{	/* Ast/sexp.scm 622 */
				obj_t BgL_callerz00_10072;
				obj_t BgL_locz00_10073;

				BgL_callerz00_10072 = CAR(((obj_t) BgL_expz00_33));
				BgL_locz00_10073 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_33,
					BgL_locz00_35);
				if (SYMBOLP(BgL_callerz00_10072))
					{	/* Ast/sexp.scm 626 */
						obj_t BgL_pidz00_10075;

						BgL_pidz00_10075 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_10072,
							BgL_locz00_10073);
						{	/* Ast/sexp.scm 626 */
							obj_t BgL_idz00_10076;

							BgL_idz00_10076 = CAR(BgL_pidz00_10075);
							{	/* Ast/sexp.scm 627 */
								obj_t BgL_typez00_10077;

								BgL_typez00_10077 = CDR(BgL_pidz00_10075);
								{	/* Ast/sexp.scm 628 */

									if ((BgL_idz00_10076 == ((obj_t) CNST_TABLE_REF(6))))
										{	/* Ast/sexp.scm 629 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_10077),
												BgL_expz00_33, BgL_stackz00_34, BgL_locz00_10073,
												BgL_sitez00_36);
										}
									else
										{	/* Ast/sexp.scm 629 */
											if ((BgL_idz00_10076 == ((obj_t) CNST_TABLE_REF(22))))
												{	/* Ast/sexp.scm 633 */
													bool_t BgL_test10934z00_34177;

													{	/* Ast/sexp.scm 633 */
														obj_t BgL_tmpz00_34178;

														BgL_tmpz00_34178 = CDR(((obj_t) BgL_expz00_33));
														BgL_test10934z00_34177 = PAIRP(BgL_tmpz00_34178);
													}
													if (BgL_test10934z00_34177)
														{	/* Ast/sexp.scm 637 */
															BgL_feffectz00_bglt BgL_arg7691z00_10083;
															obj_t BgL_arg7692z00_10084;

															{	/* Ast/sexp.scm 637 */
																obj_t BgL_arg7693z00_10085;

																{	/* Ast/sexp.scm 637 */
																	obj_t BgL_pairz00_14993;

																	BgL_pairz00_14993 =
																		CDR(((obj_t) BgL_expz00_33));
																	BgL_arg7693z00_10085 = CAR(BgL_pairz00_14993);
																}
																BgL_arg7691z00_10083 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg7693z00_10085);
															}
															{	/* Ast/sexp.scm 638 */
																obj_t BgL_arg7694z00_10086;
																obj_t BgL_arg7695z00_10087;

																{	/* Ast/sexp.scm 638 */
																	obj_t BgL_arg7696z00_10088;

																	BgL_arg7696z00_10088 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) CNST_TABLE_REF(35)), BNIL);
																	BgL_arg7694z00_10086 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(36)),
																		BgL_arg7696z00_10088);
																}
																{	/* Ast/sexp.scm 638 */
																	obj_t BgL_pairz00_14997;

																	BgL_pairz00_14997 =
																		CDR(((obj_t) BgL_expz00_33));
																	BgL_arg7695z00_10087 = CDR(BgL_pairz00_14997);
																}
																BgL_arg7692z00_10084 =
																	MAKE_YOUNG_PAIR(BgL_arg7694z00_10086,
																	BgL_arg7695z00_10087);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg7691z00_10083),
																((BgL_typez00_bglt) BgL_typez00_10077),
																BgL_arg7692z00_10084, BgL_stackz00_34,
																BgL_locz00_10073, BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 636 */
															obj_t BgL_arg7697z00_10089;

															BgL_arg7697z00_10089 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_33, BgL_locz00_10073);
															{	/* Ast/sexp.scm 634 */
																BgL_nodez00_bglt BgL_res8023z00_15003;

																{	/* Ast/sexp.scm 735 */
																	obj_t BgL_arg7755z00_14999;
																	BgL_nodez00_bglt BgL_arg7756z00_15000;

																	BgL_arg7755z00_14999 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg7756z00_15000 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t)
																			CNST_TABLE_REF(4)), BNIL,
																		BgL_arg7697z00_10089,
																		((obj_t) CNST_TABLE_REF(2)));
																	{	/* Ast/sexp.scm 734 */
																		obj_t BgL_list7757z00_15002;

																		BgL_list7757z00_15002 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg7756z00_15000), BNIL);
																		BgL_res8023z00_15003 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg7697z00_10089,
																				BgL_arg7755z00_14999,
																				BGl_string8074z00zzast_sexpz00,
																				BgL_expz00_33, BgL_list7757z00_15002));
																	}
																}
																return BgL_res8023z00_15003;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 629 */
													if ((BgL_idz00_10076 == ((obj_t) CNST_TABLE_REF(23))))
														{	/* Ast/sexp.scm 629 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_10077),
																BgL_expz00_33, BgL_stackz00_34,
																BgL_locz00_10073, BgL_sitez00_36);
														}
													else
														{	/* Ast/sexp.scm 629 */
															if (
																(BgL_idz00_10076 ==
																	((obj_t) CNST_TABLE_REF(25))))
																{	/* Ast/sexp.scm 643 */
																	bool_t BgL_test10937z00_34221;

																	{	/* Ast/sexp.scm 643 */
																		obj_t BgL_tmpz00_34222;

																		BgL_tmpz00_34222 =
																			CDR(((obj_t) BgL_expz00_33));
																		BgL_test10937z00_34221 =
																			PAIRP(BgL_tmpz00_34222);
																	}
																	if (BgL_test10937z00_34221)
																		{	/* Ast/sexp.scm 647 */
																			BgL_feffectz00_bglt BgL_arg7703z00_10095;
																			obj_t BgL_arg7704z00_10096;

																			{	/* Ast/sexp.scm 647 */
																				obj_t BgL_arg7705z00_10097;

																				{	/* Ast/sexp.scm 647 */
																					obj_t BgL_pairz00_15010;

																					BgL_pairz00_15010 =
																						CDR(((obj_t) BgL_expz00_33));
																					BgL_arg7705z00_10097 =
																						CAR(BgL_pairz00_15010);
																				}
																				BgL_arg7703z00_10095 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg7705z00_10097);
																			}
																			{	/* Ast/sexp.scm 648 */
																				obj_t BgL_arg7706z00_10098;
																				obj_t BgL_arg7707z00_10099;

																				{	/* Ast/sexp.scm 648 */
																					obj_t BgL_arg7708z00_10100;

																					BgL_arg7708z00_10100 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) CNST_TABLE_REF(35)), BNIL);
																					BgL_arg7706z00_10098 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(36)),
																						BgL_arg7708z00_10100);
																				}
																				{	/* Ast/sexp.scm 648 */
																					obj_t BgL_pairz00_15014;

																					BgL_pairz00_15014 =
																						CDR(((obj_t) BgL_expz00_33));
																					BgL_arg7707z00_10099 =
																						CDR(BgL_pairz00_15014);
																				}
																				BgL_arg7704z00_10096 =
																					MAKE_YOUNG_PAIR(BgL_arg7706z00_10098,
																					BgL_arg7707z00_10099);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg7703z00_10095),
																				((BgL_typez00_bglt) BgL_typez00_10077),
																				BgL_arg7704z00_10096, BgL_stackz00_34,
																				BgL_locz00_10073, BgL_sitez00_36);
																		}
																	else
																		{	/* Ast/sexp.scm 646 */
																			obj_t BgL_arg7709z00_10101;

																			BgL_arg7709z00_10101 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_33, BgL_locz00_10073);
																			{	/* Ast/sexp.scm 644 */
																				BgL_nodez00_bglt BgL_res8024z00_15020;

																				{	/* Ast/sexp.scm 735 */
																					obj_t BgL_arg7755z00_15016;
																					BgL_nodez00_bglt BgL_arg7756z00_15017;

																					BgL_arg7755z00_15016 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg7756z00_15017 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00((
																							(obj_t) CNST_TABLE_REF(4)), BNIL,
																						BgL_arg7709z00_10101,
																						((obj_t) CNST_TABLE_REF(2)));
																					{	/* Ast/sexp.scm 734 */
																						obj_t BgL_list7757z00_15019;

																						BgL_list7757z00_15019 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg7756z00_15017),
																							BNIL);
																						BgL_res8024z00_15020 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg7709z00_10101,
																								BgL_arg7755z00_15016,
																								BGl_string8075z00zzast_sexpz00,
																								BgL_expz00_33,
																								BgL_list7757z00_15019));
																					}
																				}
																				return BgL_res8024z00_15020;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 629 */
																	if (
																		(BgL_idz00_10076 ==
																			((obj_t) CNST_TABLE_REF(3))))
																		{
																			obj_t BgL_argsz00_10104;
																			obj_t BgL_bodyz00_10105;

																			if (PAIRP(BgL_expz00_33))
																				{	/* Ast/sexp.scm 651 */
																					obj_t BgL_cdrzd275426zd2_10110;

																					BgL_cdrzd275426zd2_10110 =
																						CDR(((obj_t) BgL_expz00_33));
																					if (PAIRP(BgL_cdrzd275426zd2_10110))
																						{	/* Ast/sexp.scm 651 */
																							BgL_argsz00_10104 =
																								CAR(BgL_cdrzd275426zd2_10110);
																							BgL_bodyz00_10105 =
																								CDR(BgL_cdrzd275426zd2_10110);
																							{	/* Ast/sexp.scm 653 */
																								obj_t BgL_locz00_10114;

																								BgL_locz00_10114 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_33,
																									BgL_locz00_10073);
																								{	/* Ast/sexp.scm 653 */
																									obj_t BgL_funz00_10115;

																									BgL_funz00_10115 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(((obj_t)
																												CNST_TABLE_REF(3))));
																									{	/* Ast/sexp.scm 654 */
																										obj_t BgL_tfunz00_10116;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_10077)))
																											{	/* Ast/sexp.scm 656 */
																												obj_t
																													BgL_arg7726z00_10127;
																												BgL_arg7726z00_10127 =
																													(((BgL_typez00_bglt)
																														COBJECT((
																																(BgL_typez00_bglt)
																																BgL_typez00_10077)))->
																													BgL_idz00);
																												BgL_tfunz00_10116 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_10115,
																													BgL_arg7726z00_10127);
																											}
																										else
																											{	/* Ast/sexp.scm 655 */
																												BgL_tfunz00_10116 =
																													BgL_funz00_10115;
																											}
																										{	/* Ast/sexp.scm 655 */

																											{	/* Ast/sexp.scm 659 */
																												obj_t
																													BgL_arg7716z00_10117;
																												{	/* Ast/sexp.scm 659 */
																													obj_t
																														BgL_arg7717z00_10118;
																													obj_t
																														BgL_arg7718z00_10119;
																													BgL_arg7717z00_10118 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 659 */
																														obj_t
																															BgL_arg7719z00_10120;
																														obj_t
																															BgL_arg7720z00_10121;
																														{	/* Ast/sexp.scm 659 */
																															obj_t
																																BgL_arg7721z00_10122;
																															{	/* Ast/sexp.scm 659 */
																																obj_t
																																	BgL_arg7722z00_10123;
																																{	/* Ast/sexp.scm 659 */
																																	obj_t
																																		BgL_arg7723z00_10124;
																																	BgL_arg7723z00_10124
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_10105),
																																		BNIL);
																																	BgL_arg7722z00_10123
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_argsz00_10104,
																																		BgL_arg7723z00_10124);
																																}
																																BgL_arg7721z00_10122
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tfunz00_10116,
																																	BgL_arg7722z00_10123);
																															}
																															BgL_arg7719z00_10120
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg7721z00_10122,
																																BNIL);
																														}
																														BgL_arg7720z00_10121
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_funz00_10115,
																															BNIL);
																														BgL_arg7718z00_10119
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg7719z00_10120,
																															BgL_arg7720z00_10121);
																													}
																													BgL_arg7716z00_10117 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg7717z00_10118,
																														BgL_arg7718z00_10119);
																												}
																												BGL_TAIL return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg7716z00_10117,
																													BgL_stackz00_34,
																													BgL_locz00_10114,
																													BgL_sitez00_36);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 651 */
																						BgL_tagzd275419zd2_10107:
																							{	/* Ast/sexp.scm 665 */
																								BgL_nodez00_bglt
																									BgL_res8025z00_15028;
																								{	/* Ast/sexp.scm 735 */
																									obj_t BgL_arg7755z00_15024;
																									BgL_nodez00_bglt
																										BgL_arg7756z00_15025;
																									BgL_arg7755z00_15024 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg7756z00_15025 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(((obj_t)
																											CNST_TABLE_REF(4)), BNIL,
																										BgL_locz00_10073,
																										((obj_t)
																											CNST_TABLE_REF(2)));
																									{	/* Ast/sexp.scm 734 */
																										obj_t BgL_list7757z00_15027;

																										BgL_list7757z00_15027 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7756z00_15025),
																											BNIL);
																										BgL_res8025z00_15028 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_10073,
																												BgL_arg7755z00_15024,
																												BGl_string8076z00zzast_sexpz00,
																												BgL_expz00_33,
																												BgL_list7757z00_15027));
																									}
																								}
																								return BgL_res8025z00_15028;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 651 */
																					goto BgL_tagzd275419zd2_10107;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 629 */
																			BGL_TAIL return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_33, BgL_stackz00_34,
																				BgL_locz00_10073, BgL_sitez00_36);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 624 */
						BGL_TAIL return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_33,
							BgL_stackz00_34, BgL_locz00_10073, BgL_sitez00_36);
					}
			}
		}

	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_37, obj_t BgL_stackz00_38, obj_t BgL_locz00_39,
		obj_t BgL_sitez00_40)
	{
		{	/* Ast/sexp.scm 673 */
			{
				obj_t BgL_expsz00_10131;
				obj_t BgL_resz00_10132;
				obj_t BgL_locz00_10133;

				BgL_expsz00_10131 = BgL_expza2za2_37;
				BgL_resz00_10132 = BNIL;
				BgL_locz00_10133 = BgL_locz00_39;
			BgL_zc3z04anonymousza37728ze3z87_10134:
				if (NULLP(BgL_expsz00_10131))
					{	/* Ast/sexp.scm 679 */
						BgL_nodez00_bglt BgL_res8026z00_15037;

						{	/* Ast/sexp.scm 735 */
							obj_t BgL_arg7755z00_15033;
							BgL_nodez00_bglt BgL_arg7756z00_15034;

							BgL_arg7755z00_15033 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg7756z00_15034 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t) CNST_TABLE_REF(4)),
								BNIL, BgL_locz00_10133, ((obj_t) CNST_TABLE_REF(2)));
							{	/* Ast/sexp.scm 734 */
								obj_t BgL_list7757z00_15036;

								BgL_list7757z00_15036 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg7756z00_15034), BNIL);
								BgL_res8026z00_15037 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_10133, BgL_arg7755z00_15033,
										BGl_string8077z00zzast_sexpz00, BgL_expsz00_10131,
										BgL_list7757z00_15036));
							}
						}
						return ((obj_t) BgL_res8026z00_15037);
					}
				else
					{	/* Ast/sexp.scm 678 */
						if (NULLP(CDR(((obj_t) BgL_expsz00_10131))))
							{	/* Ast/sexp.scm 681 */
								obj_t BgL_locz00_10138;
								obj_t BgL_nsitez00_10139;

								{	/* Ast/sexp.scm 681 */
									obj_t BgL_arg7735z00_10143;
									obj_t BgL_arg7736z00_10144;

									BgL_arg7735z00_10143 = CAR(((obj_t) BgL_expsz00_10131));
									BgL_arg7736z00_10144 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_10131, BgL_locz00_10133);
									BgL_locz00_10138 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7735z00_10143, BgL_arg7736z00_10144);
								}
								if ((BgL_sitez00_40 == ((obj_t) CNST_TABLE_REF(34))))
									{	/* Ast/sexp.scm 683 */
										BgL_nsitez00_10139 = ((obj_t) CNST_TABLE_REF(2));
									}
								else
									{	/* Ast/sexp.scm 683 */
										BgL_nsitez00_10139 = BgL_sitez00_40;
									}
								{	/* Ast/sexp.scm 684 */
									obj_t BgL_arg7732z00_10140;

									{	/* Ast/sexp.scm 684 */
										BgL_nodez00_bglt BgL_arg7733z00_10141;

										{	/* Ast/sexp.scm 684 */
											obj_t BgL_arg7734z00_10142;

											BgL_arg7734z00_10142 = CAR(((obj_t) BgL_expsz00_10131));
											BgL_arg7733z00_10141 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7734z00_10142,
												BgL_stackz00_38, BgL_locz00_10138, BgL_nsitez00_10139);
										}
										BgL_arg7732z00_10140 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7733z00_10141), BgL_resz00_10132);
									}
									return bgl_reverse_bang(BgL_arg7732z00_10140);
								}
							}
						else
							{	/* Ast/sexp.scm 686 */
								obj_t BgL_locz00_10145;

								{	/* Ast/sexp.scm 686 */
									obj_t BgL_arg7741z00_10150;
									obj_t BgL_arg7742z00_10151;

									BgL_arg7741z00_10150 = CAR(((obj_t) BgL_expsz00_10131));
									BgL_arg7742z00_10151 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expsz00_10131, BgL_locz00_10133);
									BgL_locz00_10145 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg7741z00_10150, BgL_arg7742z00_10151);
								}
								{	/* Ast/sexp.scm 688 */
									obj_t BgL_arg7737z00_10146;
									obj_t BgL_arg7738z00_10147;

									BgL_arg7737z00_10146 = CDR(((obj_t) BgL_expsz00_10131));
									{	/* Ast/sexp.scm 689 */
										BgL_nodez00_bglt BgL_arg7739z00_10148;

										{	/* Ast/sexp.scm 689 */
											obj_t BgL_arg7740z00_10149;

											BgL_arg7740z00_10149 = CAR(((obj_t) BgL_expsz00_10131));
											BgL_arg7739z00_10148 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7740z00_10149,
												BgL_stackz00_38, BgL_locz00_10145,
												((obj_t) CNST_TABLE_REF(2)));
										}
										BgL_arg7738z00_10147 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg7739z00_10148), BgL_resz00_10132);
									}
									{
										obj_t BgL_locz00_34350;
										obj_t BgL_resz00_34349;
										obj_t BgL_expsz00_34348;

										BgL_expsz00_34348 = BgL_arg7737z00_10146;
										BgL_resz00_34349 = BgL_arg7738z00_10147;
										BgL_locz00_34350 = BgL_locz00_10145;
										BgL_locz00_10133 = BgL_locz00_34350;
										BgL_resz00_10132 = BgL_resz00_34349;
										BgL_expsz00_10131 = BgL_expsz00_34348;
										goto BgL_zc3z04anonymousza37728ze3z87_10134;
									}
								}
							}
					}
			}
		}

	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_15786,
		obj_t BgL_expza2za2_15787, obj_t BgL_stackz00_15788, obj_t BgL_locz00_15789,
		obj_t BgL_sitez00_15790)
	{
		{	/* Ast/sexp.scm 673 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_15787,
				BgL_stackz00_15788, BgL_locz00_15789, BgL_sitez00_15790);
		}

	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_41,
		obj_t BgL_stackz00_42)
	{
		{	/* Ast/sexp.scm 702 */
			{	/* Ast/sexp.scm 703 */
				bool_t BgL_test10945z00_34352;

				if ((BgL_namez00_41 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 703 */
						BgL_test10945z00_34352 =
							(BgL_stackz00_42 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 703 */
						BgL_test10945z00_34352 = ((bool_t) 0);
					}
				if (BgL_test10945z00_34352)
					{	/* Ast/sexp.scm 703 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 703 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_41;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_42;
						{
							obj_t BgL_stackz00_10156;

							BgL_stackz00_10156 = BgL_stackz00_42;
						BgL_zc3z04anonymousza37745ze3z87_10157:
							if (NULLP(BgL_stackz00_10156))
								{	/* Ast/sexp.scm 710 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 710 */
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_stackz00_10156))))))->
												BgL_idz00) == BgL_namez00_41))
										{	/* Ast/sexp.scm 713 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(((obj_t) BgL_stackz00_10156));
											return CAR(((obj_t) BgL_stackz00_10156));
										}
									else
										{	/* Ast/sexp.scm 717 */
											obj_t BgL_arg7750z00_10162;

											BgL_arg7750z00_10162 = CDR(((obj_t) BgL_stackz00_10156));
											{
												obj_t BgL_stackz00_34371;

												BgL_stackz00_34371 = BgL_arg7750z00_10162;
												BgL_stackz00_10156 = BgL_stackz00_34371;
												goto BgL_zc3z04anonymousza37745ze3z87_10157;
											}
										}
								}
						}
					}
			}
		}

	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_15791,
		obj_t BgL_namez00_15792, obj_t BgL_stackz00_15793)
	{
		{	/* Ast/sexp.scm 702 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_15792, BgL_stackz00_15793);
		}

	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_43,
		obj_t BgL_locz00_44, obj_t BgL_sitez00_45)
	{
		{	/* Ast/sexp.scm 722 */
			if ((BgL_sitez00_45 == ((obj_t) CNST_TABLE_REF(7))))
				{	/* Ast/sexp.scm 725 */
					obj_t BgL_vz00_15050;

					BgL_vz00_15050 = ((obj_t) CNST_TABLE_REF(37));
					((((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_accessz00) =
						((obj_t) BgL_vz00_15050), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 724 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 726 */
				BgL_valuez00_bglt BgL_valz00_10166;

				BgL_valz00_10166 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_43))->BgL_valuez00);
				{	/* Ast/sexp.scm 727 */
					bool_t BgL_test10950z00_34381;

					if ((BgL_sitez00_45 == ((obj_t) CNST_TABLE_REF(7))))
						{	/* Ast/sexp.scm 727 */
							obj_t BgL_classz00_15052;

							BgL_classz00_15052 = BGl_funz00zzast_varz00;
							{	/* Ast/sexp.scm 727 */
								BgL_objectz00_bglt BgL_arg1858z00_15054;

								{	/* Ast/sexp.scm 727 */
									obj_t BgL_tmpz00_34386;

									BgL_tmpz00_34386 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_10166));
									BgL_arg1858z00_15054 =
										(BgL_objectz00_bglt) (BgL_tmpz00_34386);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 727 */
										long BgL_idxz00_15060;

										BgL_idxz00_15060 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15054);
										BgL_test10950z00_34381 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_15060 + 2L)) == BgL_classz00_15052);
									}
								else
									{	/* Ast/sexp.scm 727 */
										bool_t BgL_res8027z00_15085;

										{	/* Ast/sexp.scm 727 */
											obj_t BgL_oclassz00_15068;

											{	/* Ast/sexp.scm 727 */
												obj_t BgL_arg1866z00_15076;
												long BgL_arg1867z00_15077;

												BgL_arg1866z00_15076 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/sexp.scm 727 */
													long BgL_arg1869z00_15078;

													BgL_arg1869z00_15078 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15054);
													BgL_arg1867z00_15077 =
														(BgL_arg1869z00_15078 - OBJECT_TYPE);
												}
												BgL_oclassz00_15068 =
													VECTOR_REF(BgL_arg1866z00_15076,
													BgL_arg1867z00_15077);
											}
											{	/* Ast/sexp.scm 727 */
												bool_t BgL__ortest_1115z00_15069;

												BgL__ortest_1115z00_15069 =
													(BgL_classz00_15052 == BgL_oclassz00_15068);
												if (BgL__ortest_1115z00_15069)
													{	/* Ast/sexp.scm 727 */
														BgL_res8027z00_15085 = BgL__ortest_1115z00_15069;
													}
												else
													{	/* Ast/sexp.scm 727 */
														long BgL_odepthz00_15070;

														{	/* Ast/sexp.scm 727 */
															obj_t BgL_arg1855z00_15071;

															BgL_arg1855z00_15071 = (BgL_oclassz00_15068);
															BgL_odepthz00_15070 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_15071);
														}
														if ((2L < BgL_odepthz00_15070))
															{	/* Ast/sexp.scm 727 */
																obj_t BgL_arg1853z00_15073;

																{	/* Ast/sexp.scm 727 */
																	obj_t BgL_arg1854z00_15074;

																	BgL_arg1854z00_15074 = (BgL_oclassz00_15068);
																	BgL_arg1853z00_15073 =
																		BGL_CLASS_ANCESTORS_REF
																		(BgL_arg1854z00_15074, 2L);
																}
																BgL_res8027z00_15085 =
																	(BgL_arg1853z00_15073 == BgL_classz00_15052);
															}
														else
															{	/* Ast/sexp.scm 727 */
																BgL_res8027z00_15085 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test10950z00_34381 = BgL_res8027z00_15085;
									}
							}
						}
					else
						{	/* Ast/sexp.scm 727 */
							BgL_test10950z00_34381 = ((bool_t) 0);
						}
					if (BgL_test10950z00_34381)
						{	/* Ast/sexp.scm 728 */
							obj_t BgL_arg7754z00_10168;

							BgL_arg7754z00_10168 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_43));
							{	/* Ast/sexp.scm 728 */
								BgL_nodez00_bglt BgL_res8028z00_15091;

								{	/* Ast/sexp.scm 735 */
									obj_t BgL_arg7755z00_15087;
									BgL_nodez00_bglt BgL_arg7756z00_15088;

									BgL_arg7755z00_15087 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg7756z00_15088 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t)
											CNST_TABLE_REF(4)), BNIL, BgL_locz00_44,
										((obj_t) CNST_TABLE_REF(2)));
									{	/* Ast/sexp.scm 734 */
										obj_t BgL_list7757z00_15090;

										BgL_list7757z00_15090 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg7756z00_15088), BNIL);
										BgL_res8028z00_15091 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_44, BgL_arg7755z00_15087,
												BGl_string8078z00zzast_sexpz00, BgL_arg7754z00_10168,
												BgL_list7757z00_15090));
									}
								}
								return ((obj_t) BgL_res8028z00_15091);
							}
						}
					else
						{	/* Ast/sexp.scm 727 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_15794,
		obj_t BgL_varz00_15795, obj_t BgL_locz00_15796, obj_t BgL_sitez00_15797)
	{
		{	/* Ast/sexp.scm 722 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_15795), BgL_locz00_15796,
				BgL_sitez00_15797);
		}

	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_46,
		obj_t BgL_expz00_47, obj_t BgL_locz00_48)
	{
		{	/* Ast/sexp.scm 733 */
			{	/* Ast/sexp.scm 735 */
				obj_t BgL_arg7755z00_10169;
				BgL_nodez00_bglt BgL_arg7756z00_10170;

				BgL_arg7755z00_10169 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg7756z00_10170 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(((obj_t) CNST_TABLE_REF(4)), BNIL,
					BgL_locz00_48, ((obj_t) CNST_TABLE_REF(2)));
				{	/* Ast/sexp.scm 734 */
					obj_t BgL_list7757z00_10171;

					BgL_list7757z00_10171 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg7756z00_10170), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_48,
							BgL_arg7755z00_10169, BgL_msgz00_46, BgL_expz00_47,
							BgL_list7757z00_10171));
				}
			}
		}

	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_15798, obj_t BgL_msgz00_15799, obj_t BgL_expz00_15800,
		obj_t BgL_locz00_15801)
	{
		{	/* Ast/sexp.scm 733 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_15799,
				BgL_expz00_15800, BgL_locz00_15801);
		}

	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_49, BgL_nodez00_bglt BgL_refz00_50)
	{
		{	/* Ast/sexp.scm 743 */
			{	/* Ast/sexp.scm 744 */
				BgL_nodez00_bglt BgL_funz00_10173;

				BgL_funz00_10173 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(
					((obj_t)
						CNST_TABLE_REF(38)), BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(34)));
				{	/* Ast/sexp.scm 745 */
					bool_t BgL_test10955z00_34442;

					{	/* Ast/sexp.scm 745 */
						obj_t BgL_classz00_15092;

						BgL_classz00_15092 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 745 */
							BgL_objectz00_bglt BgL_arg1858z00_15094;

							{	/* Ast/sexp.scm 745 */
								obj_t BgL_tmpz00_34443;

								BgL_tmpz00_34443 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10173));
								BgL_arg1858z00_15094 = (BgL_objectz00_bglt) (BgL_tmpz00_34443);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 745 */
									long BgL_idxz00_15100;

									BgL_idxz00_15100 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15094);
									BgL_test10955z00_34442 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15100 + 2L)) == BgL_classz00_15092);
								}
							else
								{	/* Ast/sexp.scm 745 */
									bool_t BgL_res8029z00_15125;

									{	/* Ast/sexp.scm 745 */
										obj_t BgL_oclassz00_15108;

										{	/* Ast/sexp.scm 745 */
											obj_t BgL_arg1866z00_15116;
											long BgL_arg1867z00_15117;

											BgL_arg1866z00_15116 =
												(BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/sexp.scm 745 */
												long BgL_arg1869z00_15118;

												BgL_arg1869z00_15118 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15094);
												BgL_arg1867z00_15117 =
													(BgL_arg1869z00_15118 - OBJECT_TYPE);
											}
											BgL_oclassz00_15108 =
												VECTOR_REF(BgL_arg1866z00_15116, BgL_arg1867z00_15117);
										}
										{	/* Ast/sexp.scm 745 */
											bool_t BgL__ortest_1115z00_15109;

											BgL__ortest_1115z00_15109 =
												(BgL_classz00_15092 == BgL_oclassz00_15108);
											if (BgL__ortest_1115z00_15109)
												{	/* Ast/sexp.scm 745 */
													BgL_res8029z00_15125 = BgL__ortest_1115z00_15109;
												}
											else
												{	/* Ast/sexp.scm 745 */
													long BgL_odepthz00_15110;

													{	/* Ast/sexp.scm 745 */
														obj_t BgL_arg1855z00_15111;

														BgL_arg1855z00_15111 = (BgL_oclassz00_15108);
														BgL_odepthz00_15110 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_15111);
													}
													if ((2L < BgL_odepthz00_15110))
														{	/* Ast/sexp.scm 745 */
															obj_t BgL_arg1853z00_15113;

															{	/* Ast/sexp.scm 745 */
																obj_t BgL_arg1854z00_15114;

																BgL_arg1854z00_15114 = (BgL_oclassz00_15108);
																BgL_arg1853z00_15113 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_15114,
																	2L);
															}
															BgL_res8029z00_15125 =
																(BgL_arg1853z00_15113 == BgL_classz00_15092);
														}
													else
														{	/* Ast/sexp.scm 745 */
															BgL_res8029z00_15125 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10955z00_34442 = BgL_res8029z00_15125;
								}
						}
					}
					if (BgL_test10955z00_34442)
						{	/* Ast/sexp.scm 746 */
							BgL_appz00_bglt BgL_new1154z00_10175;

							{	/* Ast/sexp.scm 746 */
								BgL_appz00_bglt BgL_new1153z00_10182;

								BgL_new1153z00_10182 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 746 */
									long BgL_arg7766z00_10183;

									BgL_arg7766z00_10183 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1153z00_10182),
										BgL_arg7766z00_10183);
								}
								{	/* Ast/sexp.scm 746 */
									BgL_objectz00_bglt BgL_tmpz00_34470;

									BgL_tmpz00_34470 =
										((BgL_objectz00_bglt) BgL_new1153z00_10182);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34470, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1153z00_10182);
								BgL_new1154z00_10175 = BgL_new1153z00_10182;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1154z00_10175)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1154z00_10175)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1154z00_10175)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1154z00_10175)))->BgL_keyz00) =
								((obj_t) BINT((-1L))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_10175))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10173)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_34486;

								{	/* Ast/sexp.scm 749 */
									BgL_nodez00_bglt BgL_arg7760z00_10176;

									{	/* Ast/sexp.scm 749 */
										obj_t BgL_arg7763z00_10179;

										{	/* Ast/sexp.scm 749 */
											obj_t BgL_arg7764z00_10180;

											{	/* Ast/sexp.scm 749 */
												obj_t BgL_arg7765z00_10181;

												BgL_arg7765z00_10181 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_49)))->
													BgL_idz00);
												BgL_arg7764z00_10180 =
													MAKE_YOUNG_PAIR(BgL_arg7765z00_10181, BNIL);
											}
											BgL_arg7763z00_10179 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(12)), BgL_arg7764z00_10180);
										}
										BgL_arg7760z00_10176 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7763z00_10179,
											BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
									}
									{	/* Ast/sexp.scm 749 */
										obj_t BgL_list7761z00_10177;

										{	/* Ast/sexp.scm 749 */
											obj_t BgL_arg7762z00_10178;

											BgL_arg7762z00_10178 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_refz00_50), BNIL);
											BgL_list7761z00_10177 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7760z00_10176), BgL_arg7762z00_10178);
										}
										BgL_auxz00_34486 = BgL_list7761z00_10177;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_10175))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_34486), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_10175))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1154z00_10175);
						}
					else
						{	/* Ast/sexp.scm 745 */
							return BgL_funz00_10173;
						}
				}
			}
		}

	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15802, obj_t BgL_globalz00_15803, obj_t BgL_refz00_15804)
	{
		{	/* Ast/sexp.scm 743 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15803),
				((BgL_nodez00_bglt) BgL_refz00_15804));
		}

	}



/* define-primop-ref/src->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_51, BgL_nodez00_bglt BgL_refz00_52, obj_t BgL_srcz00_53)
	{
		{	/* Ast/sexp.scm 755 */
			if (EPAIRP(BgL_srcz00_53))
				{
					obj_t BgL_fnamez00_10185;
					obj_t BgL_locz00_10186;

					{	/* Ast/sexp.scm 758 */
						obj_t BgL_ezd275435zd2_10189;

						BgL_ezd275435zd2_10189 = CER(((obj_t) BgL_srcz00_53));
						if (PAIRP(BgL_ezd275435zd2_10189))
							{	/* Ast/sexp.scm 758 */
								obj_t BgL_cdrzd275441zd2_10191;

								BgL_cdrzd275441zd2_10191 = CDR(BgL_ezd275435zd2_10189);
								if (
									(CAR(BgL_ezd275435zd2_10189) == ((obj_t) CNST_TABLE_REF(40))))
									{	/* Ast/sexp.scm 758 */
										if (PAIRP(BgL_cdrzd275441zd2_10191))
											{	/* Ast/sexp.scm 758 */
												obj_t BgL_cdrzd275445zd2_10195;

												BgL_cdrzd275445zd2_10195 =
													CDR(BgL_cdrzd275441zd2_10191);
												if (PAIRP(BgL_cdrzd275445zd2_10195))
													{	/* Ast/sexp.scm 758 */
														if (NULLP(CDR(BgL_cdrzd275445zd2_10195)))
															{	/* Ast/sexp.scm 758 */
																BgL_fnamez00_10185 =
																	CAR(BgL_cdrzd275441zd2_10191);
																BgL_locz00_10186 =
																	CAR(BgL_cdrzd275445zd2_10195);
																{	/* Ast/sexp.scm 760 */
																	BgL_nodez00_bglt BgL_funz00_10203;

																	BgL_funz00_10203 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00(
																		((obj_t)
																			CNST_TABLE_REF(39)), BNIL, BFALSE,
																		((obj_t) CNST_TABLE_REF(34)));
																	{	/* Ast/sexp.scm 761 */
																		bool_t BgL_test10965z00_34531;

																		{	/* Ast/sexp.scm 761 */
																			obj_t BgL_classz00_15132;

																			BgL_classz00_15132 =
																				BGl_varz00zzast_nodez00;
																			{	/* Ast/sexp.scm 761 */
																				BgL_objectz00_bglt BgL_arg1858z00_15134;

																				{	/* Ast/sexp.scm 761 */
																					obj_t BgL_tmpz00_34532;

																					BgL_tmpz00_34532 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_funz00_10203));
																					BgL_arg1858z00_15134 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_34532);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Ast/sexp.scm 761 */
																						long BgL_idxz00_15140;

																						BgL_idxz00_15140 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_15134);
																						BgL_test10965z00_34531 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_15140 + 2L)) ==
																							BgL_classz00_15132);
																					}
																				else
																					{	/* Ast/sexp.scm 761 */
																						bool_t BgL_res8031z00_15165;

																						{	/* Ast/sexp.scm 761 */
																							obj_t BgL_oclassz00_15148;

																							{	/* Ast/sexp.scm 761 */
																								obj_t BgL_arg1866z00_15156;
																								long BgL_arg1867z00_15157;

																								BgL_arg1866z00_15156 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Ast/sexp.scm 761 */
																									long BgL_arg1869z00_15158;

																									BgL_arg1869z00_15158 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_15134);
																									BgL_arg1867z00_15157 =
																										(BgL_arg1869z00_15158 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_15148 =
																									VECTOR_REF
																									(BgL_arg1866z00_15156,
																									BgL_arg1867z00_15157);
																							}
																							{	/* Ast/sexp.scm 761 */
																								bool_t
																									BgL__ortest_1115z00_15149;
																								BgL__ortest_1115z00_15149 =
																									(BgL_classz00_15132 ==
																									BgL_oclassz00_15148);
																								if (BgL__ortest_1115z00_15149)
																									{	/* Ast/sexp.scm 761 */
																										BgL_res8031z00_15165 =
																											BgL__ortest_1115z00_15149;
																									}
																								else
																									{	/* Ast/sexp.scm 761 */
																										long BgL_odepthz00_15150;

																										{	/* Ast/sexp.scm 761 */
																											obj_t
																												BgL_arg1855z00_15151;
																											BgL_arg1855z00_15151 =
																												(BgL_oclassz00_15148);
																											BgL_odepthz00_15150 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_15151);
																										}
																										if (
																											(2L <
																												BgL_odepthz00_15150))
																											{	/* Ast/sexp.scm 761 */
																												obj_t
																													BgL_arg1853z00_15153;
																												{	/* Ast/sexp.scm 761 */
																													obj_t
																														BgL_arg1854z00_15154;
																													BgL_arg1854z00_15154 =
																														(BgL_oclassz00_15148);
																													BgL_arg1853z00_15153 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_15154,
																														2L);
																												}
																												BgL_res8031z00_15165 =
																													(BgL_arg1853z00_15153
																													==
																													BgL_classz00_15132);
																											}
																										else
																											{	/* Ast/sexp.scm 761 */
																												BgL_res8031z00_15165 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test10965z00_34531 =
																							BgL_res8031z00_15165;
																					}
																			}
																		}
																		if (BgL_test10965z00_34531)
																			{	/* Ast/sexp.scm 762 */
																				BgL_appz00_bglt BgL_new1156z00_10205;

																				{	/* Ast/sexp.scm 762 */
																					BgL_appz00_bglt BgL_new1155z00_10216;

																					BgL_new1155z00_10216 =
																						((BgL_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_appz00_bgl))));
																					{	/* Ast/sexp.scm 762 */
																						long BgL_arg7790z00_10217;

																						BgL_arg7790z00_10217 =
																							BGL_CLASS_NUM
																							(BGl_appz00zzast_nodez00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1155z00_10216),
																							BgL_arg7790z00_10217);
																					}
																					{	/* Ast/sexp.scm 762 */
																						BgL_objectz00_bglt BgL_tmpz00_34559;

																						BgL_tmpz00_34559 =
																							((BgL_objectz00_bglt)
																							BgL_new1155z00_10216);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_34559, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1155z00_10216);
																					BgL_new1156z00_10205 =
																						BgL_new1155z00_10216;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1156z00_10205)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1156z00_10205)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BGl_za2_za2z00zztype_cachez00)),
																					BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1156z00_10205)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1156z00_10205)))->
																						BgL_keyz00) =
																					((obj_t) BINT((-1L))), BUNSPEC);
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1156z00_10205))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) ((BgL_varz00_bglt)
																							BgL_funz00_10203)), BUNSPEC);
																				{
																					obj_t BgL_auxz00_34575;

																					{	/* Ast/sexp.scm 766 */
																						BgL_nodez00_bglt
																							BgL_arg7780z00_10206;
																						BgL_nodez00_bglt
																							BgL_arg7781z00_10207;
																						BgL_nodez00_bglt
																							BgL_arg7782z00_10208;
																						{	/* Ast/sexp.scm 766 */
																							obj_t BgL_arg7787z00_10213;

																							{	/* Ast/sexp.scm 766 */
																								obj_t BgL_arg7788z00_10214;

																								{	/* Ast/sexp.scm 766 */
																									obj_t BgL_arg7789z00_10215;

																									BgL_arg7789z00_10215 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_globalz00_51)))->
																										BgL_idz00);
																									BgL_arg7788z00_10214 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg7789z00_10215,
																										BNIL);
																								}
																								BgL_arg7787z00_10213 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(12)),
																									BgL_arg7788z00_10214);
																							}
																							BgL_arg7780z00_10206 =
																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																								(BgL_arg7787z00_10213, BNIL,
																								BFALSE,
																								((obj_t) CNST_TABLE_REF(2)));
																						}
																						BgL_arg7781z00_10207 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_fnamez00_10185, BNIL, BFALSE,
																							((obj_t) CNST_TABLE_REF(2)));
																						BgL_arg7782z00_10208 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_locz00_10186, BNIL, BFALSE,
																							((obj_t) CNST_TABLE_REF(2)));
																						{	/* Ast/sexp.scm 765 */
																							obj_t BgL_list7783z00_10209;

																							{	/* Ast/sexp.scm 765 */
																								obj_t BgL_arg7784z00_10210;

																								{	/* Ast/sexp.scm 765 */
																									obj_t BgL_arg7785z00_10211;

																									{	/* Ast/sexp.scm 765 */
																										obj_t BgL_arg7786z00_10212;

																										BgL_arg7786z00_10212 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												BgL_arg7782z00_10208),
																											BNIL);
																										BgL_arg7785z00_10211 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												BgL_arg7781z00_10207),
																											BgL_arg7786z00_10212);
																									}
																									BgL_arg7784z00_10210 =
																										MAKE_YOUNG_PAIR(
																										((obj_t) BgL_refz00_52),
																										BgL_arg7785z00_10211);
																								}
																								BgL_list7783z00_10209 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										BgL_arg7780z00_10206),
																									BgL_arg7784z00_10210);
																							}
																							BgL_auxz00_34575 =
																								BgL_list7783z00_10209;
																					}}
																					((((BgL_appz00_bglt)
																								COBJECT(BgL_new1156z00_10205))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_34575),
																						BUNSPEC);
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1156z00_10205))->
																						BgL_stackablez00) =
																					((obj_t) BFALSE), BUNSPEC);
																				return ((BgL_nodez00_bglt)
																					BgL_new1156z00_10205);
																			}
																		else
																			{	/* Ast/sexp.scm 761 */
																				return BgL_funz00_10203;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 758 */
																return
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(BgL_globalz00_51, BgL_refz00_52);
															}
													}
												else
													{	/* Ast/sexp.scm 758 */
														return
															BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
															(BgL_globalz00_51, BgL_refz00_52);
													}
											}
										else
											{	/* Ast/sexp.scm 758 */
												return
													BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
													(BgL_globalz00_51, BgL_refz00_52);
											}
									}
								else
									{	/* Ast/sexp.scm 758 */
										return
											BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
											(BgL_globalz00_51, BgL_refz00_52);
									}
							}
						else
							{	/* Ast/sexp.scm 758 */
								return
									BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
									(BgL_globalz00_51, BgL_refz00_52);
							}
					}
				}
			else
				{	/* Ast/sexp.scm 756 */
					return
						BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
						(BgL_globalz00_51, BgL_refz00_52);
				}
		}

	}



/* &define-primop-ref/src->node */
	BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzf2srczd2ze3nodeza1zzast_sexpz00(obj_t
		BgL_envz00_15805, obj_t BgL_globalz00_15806, obj_t BgL_refz00_15807,
		obj_t BgL_srcz00_15808)
	{
		{	/* Ast/sexp.scm 755 */
			return
				BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15806),
				((BgL_nodez00_bglt) BgL_refz00_15807), BgL_srcz00_15808);
		}

	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_54)
	{
		{	/* Ast/sexp.scm 777 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_54), BFALSE,
				((obj_t) CNST_TABLE_REF(2)));
			{	/* Ast/sexp.scm 779 */
				BgL_nodez00_bglt BgL_funz00_10218;

				BgL_funz00_10218 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(
					((obj_t)
						CNST_TABLE_REF(41)), BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(34)));
				{	/* Ast/sexp.scm 780 */
					bool_t BgL_test10969z00_34622;

					{	/* Ast/sexp.scm 780 */
						obj_t BgL_classz00_15179;

						BgL_classz00_15179 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 780 */
							BgL_objectz00_bglt BgL_arg1858z00_15181;

							{	/* Ast/sexp.scm 780 */
								obj_t BgL_tmpz00_34623;

								BgL_tmpz00_34623 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10218));
								BgL_arg1858z00_15181 = (BgL_objectz00_bglt) (BgL_tmpz00_34623);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 780 */
									long BgL_idxz00_15187;

									BgL_idxz00_15187 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15181);
									BgL_test10969z00_34622 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15187 + 2L)) == BgL_classz00_15179);
								}
							else
								{	/* Ast/sexp.scm 780 */
									bool_t BgL_res8033z00_15212;

									{	/* Ast/sexp.scm 780 */
										obj_t BgL_oclassz00_15195;

										{	/* Ast/sexp.scm 780 */
											obj_t BgL_arg1866z00_15203;
											long BgL_arg1867z00_15204;

											BgL_arg1866z00_15203 =
												(BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/sexp.scm 780 */
												long BgL_arg1869z00_15205;

												BgL_arg1869z00_15205 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15181);
												BgL_arg1867z00_15204 =
													(BgL_arg1869z00_15205 - OBJECT_TYPE);
											}
											BgL_oclassz00_15195 =
												VECTOR_REF(BgL_arg1866z00_15203, BgL_arg1867z00_15204);
										}
										{	/* Ast/sexp.scm 780 */
											bool_t BgL__ortest_1115z00_15196;

											BgL__ortest_1115z00_15196 =
												(BgL_classz00_15179 == BgL_oclassz00_15195);
											if (BgL__ortest_1115z00_15196)
												{	/* Ast/sexp.scm 780 */
													BgL_res8033z00_15212 = BgL__ortest_1115z00_15196;
												}
											else
												{	/* Ast/sexp.scm 780 */
													long BgL_odepthz00_15197;

													{	/* Ast/sexp.scm 780 */
														obj_t BgL_arg1855z00_15198;

														BgL_arg1855z00_15198 = (BgL_oclassz00_15195);
														BgL_odepthz00_15197 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_15198);
													}
													if ((2L < BgL_odepthz00_15197))
														{	/* Ast/sexp.scm 780 */
															obj_t BgL_arg1853z00_15200;

															{	/* Ast/sexp.scm 780 */
																obj_t BgL_arg1854z00_15201;

																BgL_arg1854z00_15201 = (BgL_oclassz00_15195);
																BgL_arg1853z00_15200 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_15201,
																	2L);
															}
															BgL_res8033z00_15212 =
																(BgL_arg1853z00_15200 == BgL_classz00_15179);
														}
													else
														{	/* Ast/sexp.scm 780 */
															BgL_res8033z00_15212 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10969z00_34622 = BgL_res8033z00_15212;
								}
						}
					}
					if (BgL_test10969z00_34622)
						{	/* Ast/sexp.scm 781 */
							BgL_appz00_bglt BgL_new1158z00_10220;

							{	/* Ast/sexp.scm 781 */
								BgL_appz00_bglt BgL_new1157z00_10228;

								BgL_new1157z00_10228 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 781 */
									long BgL_arg7799z00_10229;

									BgL_arg7799z00_10229 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1157z00_10228),
										BgL_arg7799z00_10229);
								}
								{	/* Ast/sexp.scm 781 */
									BgL_objectz00_bglt BgL_tmpz00_34650;

									BgL_tmpz00_34650 =
										((BgL_objectz00_bglt) BgL_new1157z00_10228);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34650, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1157z00_10228);
								BgL_new1158z00_10220 = BgL_new1157z00_10228;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1158z00_10220)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1158z00_10220)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_10220)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1158z00_10220)))->BgL_keyz00) =
								((obj_t) BINT((-1L))), BUNSPEC);
							((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10220))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10218)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_34666;

								{	/* Ast/sexp.scm 784 */
									BgL_nodez00_bglt BgL_arg7792z00_10221;
									BgL_nodez00_bglt BgL_arg7793z00_10222;

									{	/* Ast/sexp.scm 784 */
										obj_t BgL_arg7796z00_10225;

										{	/* Ast/sexp.scm 784 */
											obj_t BgL_arg7797z00_10226;

											{	/* Ast/sexp.scm 784 */
												obj_t BgL_arg7798z00_10227;

												BgL_arg7798z00_10227 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_54)))->
													BgL_idz00);
												BgL_arg7797z00_10226 =
													MAKE_YOUNG_PAIR(BgL_arg7798z00_10227, BNIL);
											}
											BgL_arg7796z00_10225 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(12)), BgL_arg7797z00_10226);
										}
										BgL_arg7792z00_10221 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7796z00_10225,
											BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
									}
									BgL_arg7793z00_10222 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_54), BNIL, BFALSE,
										((obj_t) CNST_TABLE_REF(2)));
									{	/* Ast/sexp.scm 784 */
										obj_t BgL_list7794z00_10223;

										{	/* Ast/sexp.scm 784 */
											obj_t BgL_arg7795z00_10224;

											BgL_arg7795z00_10224 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7793z00_10222), BNIL);
											BgL_list7794z00_10223 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg7792z00_10221), BgL_arg7795z00_10224);
										}
										BgL_auxz00_34666 = BgL_list7794z00_10223;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10220))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_34666), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1158z00_10220))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1158z00_10220);
						}
					else
						{	/* Ast/sexp.scm 780 */
							return BgL_funz00_10218;
						}
				}
			}
		}

	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_15809, obj_t BgL_globalz00_15810)
	{
		{	/* Ast/sexp.scm 777 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15810));
		}

	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_55)
	{
		{	/* Ast/sexp.scm 791 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_55), BFALSE,
				((obj_t) CNST_TABLE_REF(2)));
			{	/* Ast/sexp.scm 793 */
				BgL_nodez00_bglt BgL_funz00_10230;

				BgL_funz00_10230 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(
					((obj_t)
						CNST_TABLE_REF(42)), BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(34)));
				{	/* Ast/sexp.scm 794 */
					bool_t BgL_test10973z00_34698;

					{	/* Ast/sexp.scm 794 */
						obj_t BgL_classz00_15219;

						BgL_classz00_15219 = BGl_varz00zzast_nodez00;
						{	/* Ast/sexp.scm 794 */
							BgL_objectz00_bglt BgL_arg1858z00_15221;

							{	/* Ast/sexp.scm 794 */
								obj_t BgL_tmpz00_34699;

								BgL_tmpz00_34699 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_10230));
								BgL_arg1858z00_15221 = (BgL_objectz00_bglt) (BgL_tmpz00_34699);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/sexp.scm 794 */
									long BgL_idxz00_15227;

									BgL_idxz00_15227 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15221);
									BgL_test10973z00_34698 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_15227 + 2L)) == BgL_classz00_15219);
								}
							else
								{	/* Ast/sexp.scm 794 */
									bool_t BgL_res8035z00_15252;

									{	/* Ast/sexp.scm 794 */
										obj_t BgL_oclassz00_15235;

										{	/* Ast/sexp.scm 794 */
											obj_t BgL_arg1866z00_15243;
											long BgL_arg1867z00_15244;

											BgL_arg1866z00_15243 =
												(BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/sexp.scm 794 */
												long BgL_arg1869z00_15245;

												BgL_arg1869z00_15245 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15221);
												BgL_arg1867z00_15244 =
													(BgL_arg1869z00_15245 - OBJECT_TYPE);
											}
											BgL_oclassz00_15235 =
												VECTOR_REF(BgL_arg1866z00_15243, BgL_arg1867z00_15244);
										}
										{	/* Ast/sexp.scm 794 */
											bool_t BgL__ortest_1115z00_15236;

											BgL__ortest_1115z00_15236 =
												(BgL_classz00_15219 == BgL_oclassz00_15235);
											if (BgL__ortest_1115z00_15236)
												{	/* Ast/sexp.scm 794 */
													BgL_res8035z00_15252 = BgL__ortest_1115z00_15236;
												}
											else
												{	/* Ast/sexp.scm 794 */
													long BgL_odepthz00_15237;

													{	/* Ast/sexp.scm 794 */
														obj_t BgL_arg1855z00_15238;

														BgL_arg1855z00_15238 = (BgL_oclassz00_15235);
														BgL_odepthz00_15237 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_15238);
													}
													if ((2L < BgL_odepthz00_15237))
														{	/* Ast/sexp.scm 794 */
															obj_t BgL_arg1853z00_15240;

															{	/* Ast/sexp.scm 794 */
																obj_t BgL_arg1854z00_15241;

																BgL_arg1854z00_15241 = (BgL_oclassz00_15235);
																BgL_arg1853z00_15240 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_15241,
																	2L);
															}
															BgL_res8035z00_15252 =
																(BgL_arg1853z00_15240 == BgL_classz00_15219);
														}
													else
														{	/* Ast/sexp.scm 794 */
															BgL_res8035z00_15252 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test10973z00_34698 = BgL_res8035z00_15252;
								}
						}
					}
					if (BgL_test10973z00_34698)
						{	/* Ast/sexp.scm 795 */
							obj_t BgL_exprz00_10232;

							{	/* Ast/sexp.scm 795 */
								bool_t BgL_test10977z00_34722;

								{	/* Ast/sexp.scm 795 */
									obj_t BgL_arg7808z00_10242;

									BgL_arg7808z00_10242 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_test10977z00_34722 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg7808z00_10242)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_test10977z00_34722)
									{	/* Ast/sexp.scm 796 */
										obj_t BgL_arg7806z00_10240;

										{	/* Ast/sexp.scm 796 */
											obj_t BgL_arg7807z00_10241;

											BgL_arg7807z00_10241 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_55), BNIL);
											BgL_arg7806z00_10240 =
												MAKE_YOUNG_PAIR(BGl_string8079z00zzast_sexpz00,
												BgL_arg7807z00_10241);
										}
										BgL_exprz00_10232 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(43)), BgL_arg7806z00_10240);
									}
								else
									{	/* Ast/sexp.scm 795 */
										BgL_exprz00_10232 = ((obj_t) BgL_globalz00_55);
									}
							}
							{	/* Ast/sexp.scm 798 */
								BgL_appz00_bglt BgL_new1160z00_10233;

								{	/* Ast/sexp.scm 798 */
									BgL_appz00_bglt BgL_new1159z00_10236;

									BgL_new1159z00_10236 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 798 */
										long BgL_arg7803z00_10237;

										BgL_arg7803z00_10237 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1159z00_10236),
											BgL_arg7803z00_10237);
									}
									{	/* Ast/sexp.scm 798 */
										BgL_objectz00_bglt BgL_tmpz00_34737;

										BgL_tmpz00_34737 =
											((BgL_objectz00_bglt) BgL_new1159z00_10236);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34737, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1159z00_10236);
									BgL_new1160z00_10233 = BgL_new1159z00_10236;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1160z00_10233)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1160z00_10233)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1160z00_10233)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1160z00_10233)))->BgL_keyz00) =
									((obj_t) BINT((-1L))), BUNSPEC);
								((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_10233))->
										BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_10230)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_34755;

									{	/* Ast/sexp.scm 801 */
										BgL_nodez00_bglt BgL_arg7801z00_10234;

										BgL_arg7801z00_10234 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_10232,
											BNIL, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
										{	/* Ast/sexp.scm 801 */
											obj_t BgL_list7802z00_10235;

											BgL_list7802z00_10235 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg7801z00_10234), BNIL);
											BgL_auxz00_34755 = BgL_list7802z00_10235;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_10233))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_34755), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1160z00_10233))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1160z00_10233);
							}
						}
					else
						{	/* Ast/sexp.scm 794 */
							return BgL_funz00_10230;
						}
				}
			}
		}

	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_15811, obj_t BgL_globalz00_15812)
	{
		{	/* Ast/sexp.scm 791 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_15812));
		}

	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_56, obj_t BgL_prefz00_57)
	{
		{	/* Ast/sexp.scm 807 */
			{	/* Ast/sexp.scm 808 */
				obj_t BgL_prefz00_10243;

				{	/* Ast/sexp.scm 808 */
					bool_t BgL_test10978z00_34766;

					if (PAIRP(BgL_prefz00_57))
						{	/* Ast/sexp.scm 808 */
							obj_t BgL_tmpz00_34769;

							BgL_tmpz00_34769 = CAR(BgL_prefz00_57);
							BgL_test10978z00_34766 = STRINGP(BgL_tmpz00_34769);
						}
					else
						{	/* Ast/sexp.scm 808 */
							BgL_test10978z00_34766 = ((bool_t) 0);
						}
					if (BgL_test10978z00_34766)
						{	/* Ast/sexp.scm 808 */
							BgL_prefz00_10243 = CAR(BgL_prefz00_57);
						}
					else
						{	/* Ast/sexp.scm 808 */
							BgL_prefz00_10243 = BGl_string8056z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 811 */
					bool_t BgL_test10980z00_34773;

					if (STRUCTP(BgL_locz00_56))
						{	/* Ast/sexp.scm 811 */
							BgL_test10980z00_34773 =
								(STRUCT_KEY(BgL_locz00_56) == ((obj_t) CNST_TABLE_REF(44)));
						}
					else
						{	/* Ast/sexp.scm 811 */
							BgL_test10980z00_34773 = ((bool_t) 0);
						}
					if (BgL_test10980z00_34773)
						{	/* Ast/sexp.scm 812 */
							obj_t BgL_filez00_10245;
							obj_t BgL_linez00_10246;
							obj_t BgL_basez00_10247;

							BgL_filez00_10245 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_56);
							BgL_linez00_10246 = STRUCT_REF(BgL_locz00_56, (int) (2L));
							{	/* Ast/sexp.scm 814 */
								obj_t BgL_arg7838z00_10288;

								BgL_arg7838z00_10288 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string8080z00zzast_sexpz00, BgL_prefz00_10243,
										BGl_string8081z00zzast_sexpz00));
								{	/* Ast/sexp.scm 814 */
									obj_t BgL_arg1486z00_15267;

									BgL_arg1486z00_15267 = SYMBOL_TO_STRING(BgL_arg7838z00_10288);
									BgL_basez00_10247 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_15267);
							}}
							{	/* Ast/sexp.scm 816 */
								bool_t BgL_test10982z00_34787;

								{	/* Ast/sexp.scm 816 */

									BgL_test10982z00_34787 =
										CBOOL(BGl_stringzd2containszd2zz__r4_strings_6_7z00
										(BgL_prefz00_10243, BGl_string8080z00zzast_sexpz00,
											(int) (0L)));
								}
								if (BgL_test10982z00_34787)
									{	/* Ast/sexp.scm 817 */
										obj_t BgL_arg7811z00_10252;

										{	/* Ast/sexp.scm 817 */
											obj_t BgL_arg7812z00_10253;
											obj_t BgL_arg7813z00_10254;

											{	/* Ast/sexp.scm 817 */
												obj_t BgL_arg7814z00_10255;

												BgL_arg7814z00_10255 =
													bstring_to_symbol(((obj_t) BgL_prefz00_10243));
												{	/* Ast/sexp.scm 817 */
													obj_t BgL_arg1486z00_15270;

													BgL_arg1486z00_15270 =
														SYMBOL_TO_STRING(BgL_arg7814z00_10255);
													BgL_arg7812z00_10253 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_15270);
												}
											}
											{	/* Ast/sexp.scm 817 */
												obj_t BgL_arg7815z00_10256;

												BgL_arg7815z00_10256 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(45)));
												{	/* Ast/sexp.scm 817 */
													obj_t BgL_arg1486z00_15272;

													BgL_arg1486z00_15272 =
														SYMBOL_TO_STRING(BgL_arg7815z00_10256);
													BgL_arg7813z00_10254 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_15272);
												}
											}
											BgL_arg7811z00_10252 =
												string_append(BgL_arg7812z00_10253,
												BgL_arg7813z00_10254);
										}
										return bstring_to_symbol(BgL_arg7811z00_10252);
									}
								else
									{	/* Ast/sexp.scm 818 */
										bool_t BgL_test10983z00_34802;

										{	/* Ast/sexp.scm 818 */
											bool_t BgL_test10984z00_34803;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													>= 1L))
												{	/* Ast/sexp.scm 819 */
													obj_t BgL_arg7836z00_10283;

													{	/* Ast/sexp.scm 819 */
														obj_t BgL_arg7837z00_10284;

														BgL_arg7837z00_10284 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg7836z00_10283 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg7837z00_10284)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test10984z00_34803 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t)
																CNST_TABLE_REF(46)), BgL_arg7836z00_10283));
												}
											else
												{	/* Ast/sexp.scm 818 */
													BgL_test10984z00_34803 = ((bool_t) 0);
												}
											if (BgL_test10984z00_34803)
												{	/* Ast/sexp.scm 818 */
													BgL_test10983z00_34802 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 818 */
													BgL_test10983z00_34802 =
														(
														(long)
														CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
														>= 1L);
										}}
										if (BgL_test10983z00_34802)
											{	/* Ast/sexp.scm 821 */
												obj_t BgL_filez00_10265;

												if (bigloo_strncmp(BgL_filez00_10245,
														BGl_string8082z00zzast_sexpz00, 2L))
													{	/* Ast/sexp.scm 821 */
														BgL_filez00_10265 =
															c_substring(BgL_filez00_10245, 2L,
															STRING_LENGTH(BgL_filez00_10245));
													}
												else
													{	/* Ast/sexp.scm 821 */
														BgL_filez00_10265 = BgL_filez00_10245;
													}
												{	/* Ast/sexp.scm 826 */
													obj_t BgL_arg7823z00_10266;

													{	/* Ast/sexp.scm 826 */
														obj_t BgL_arg7824z00_10267;
														obj_t BgL_arg7825z00_10268;

														BgL_arg7824z00_10267 =
															BGl_stringzd2replacezd2zz__r4_strings_6_7z00
															(BgL_filez00_10265,
															(char) (((unsigned char) '.')),
															(char) (((unsigned char) ',')));
														{	/* Ast/sexp.scm 827 */

															BgL_arg7825z00_10268 =
																BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
																(BgL_linez00_10246, BINT(10L));
														}
														{	/* Ast/sexp.scm 825 */
															obj_t BgL_list7826z00_10269;

															{	/* Ast/sexp.scm 825 */
																obj_t BgL_arg7827z00_10270;

																{	/* Ast/sexp.scm 825 */
																	obj_t BgL_arg7828z00_10271;

																	{	/* Ast/sexp.scm 825 */
																		obj_t BgL_arg7829z00_10272;

																		{	/* Ast/sexp.scm 825 */
																			obj_t BgL_arg7830z00_10273;

																			{	/* Ast/sexp.scm 825 */
																				obj_t BgL_arg7831z00_10274;

																				BgL_arg7831z00_10274 =
																					MAKE_YOUNG_PAIR
																					(BGl_string8083z00zzast_sexpz00,
																					BNIL);
																				BgL_arg7830z00_10273 =
																					MAKE_YOUNG_PAIR(BgL_arg7825z00_10268,
																					BgL_arg7831z00_10274);
																			}
																			BgL_arg7829z00_10272 =
																				MAKE_YOUNG_PAIR
																				(BGl_string8081z00zzast_sexpz00,
																				BgL_arg7830z00_10273);
																		}
																		BgL_arg7828z00_10271 =
																			MAKE_YOUNG_PAIR(BgL_arg7824z00_10267,
																			BgL_arg7829z00_10272);
																	}
																	BgL_arg7827z00_10270 =
																		MAKE_YOUNG_PAIR
																		(BGl_string8081z00zzast_sexpz00,
																		BgL_arg7828z00_10271);
																}
																BgL_list7826z00_10269 =
																	MAKE_YOUNG_PAIR(BgL_basez00_10247,
																	BgL_arg7827z00_10270);
															}
															BgL_arg7823z00_10266 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list7826z00_10269);
													}}
													return bstring_to_symbol(BgL_arg7823z00_10266);
												}
											}
										else
											{	/* Ast/sexp.scm 830 */
												obj_t BgL_arg7834z00_10279;

												BgL_arg7834z00_10279 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(string_append(BgL_basez00_10247,
														BGl_string8084z00zzast_sexpz00),
													(char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												return bstring_to_symbol(((obj_t)
														BgL_arg7834z00_10279));
											}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 831 */
							obj_t BgL_arg7840z00_10290;

							{	/* Ast/sexp.scm 831 */
								obj_t BgL_arg7841z00_10291;
								obj_t BgL_arg7842z00_10292;

								{	/* Ast/sexp.scm 831 */
									obj_t BgL_arg7843z00_10293;

									BgL_arg7843z00_10293 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string8080z00zzast_sexpz00, BgL_prefz00_10243,
											BGl_string8085z00zzast_sexpz00));
									{	/* Ast/sexp.scm 831 */
										obj_t BgL_arg1486z00_15285;

										BgL_arg1486z00_15285 =
											SYMBOL_TO_STRING(BgL_arg7843z00_10293);
										BgL_arg7841z00_10291 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_15285);
									}
								}
								{	/* Ast/sexp.scm 831 */
									obj_t BgL_symbolz00_15286;

									BgL_symbolz00_15286 = ((obj_t) CNST_TABLE_REF(47));
									{	/* Ast/sexp.scm 831 */
										obj_t BgL_arg1486z00_15287;

										BgL_arg1486z00_15287 =
											SYMBOL_TO_STRING(BgL_symbolz00_15286);
										BgL_arg7842z00_10292 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_15287);
									}
								}
								BgL_arg7840z00_10290 =
									string_append(BgL_arg7841z00_10291, BgL_arg7842z00_10292);
							}
							return bstring_to_symbol(BgL_arg7840z00_10290);
						}
				}
			}
		}

	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_15813,
		obj_t BgL_locz00_15814, obj_t BgL_prefz00_15815)
	{
		{	/* Ast/sexp.scm 807 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_15814,
				BgL_prefz00_15815);
		}

	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_58, obj_t BgL_mutexz00_59, obj_t BgL_prelockz00_60,
		obj_t BgL_bodyz00_61, obj_t BgL_stackz00_62, obj_t BgL_locz00_63,
		obj_t BgL_sitez00_64)
	{
		{	/* Ast/sexp.scm 836 */
			if (SYMBOLP(BgL_mutexz00_59))
				{	/* Ast/sexp.scm 838 */
					BgL_syncz00_bglt BgL_new1162z00_10301;

					{	/* Ast/sexp.scm 839 */
						BgL_syncz00_bglt BgL_new1161z00_10303;

						BgL_new1161z00_10303 =
							((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 839 */
							long BgL_arg7851z00_10304;

							BgL_arg7851z00_10304 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1161z00_10303),
								BgL_arg7851z00_10304);
						}
						{	/* Ast/sexp.scm 839 */
							BgL_objectz00_bglt BgL_tmpz00_34856;

							BgL_tmpz00_34856 = ((BgL_objectz00_bglt) BgL_new1161z00_10303);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_34856, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1161z00_10303);
						BgL_new1162z00_10301 = BgL_new1161z00_10303;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1162z00_10301)))->BgL_locz00) =
						((obj_t) BgL_locz00_63), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1162z00_10301)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1162z00_10301))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_59,
								BgL_stackz00_62, BgL_locz00_63, ((obj_t) CNST_TABLE_REF(2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(BgL_new1162z00_10301))->
							BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_60,
								BgL_stackz00_62, BgL_locz00_63, ((obj_t) CNST_TABLE_REF(2)))),
						BUNSPEC);
					{
						BgL_nodez00_bglt BgL_auxz00_34873;

						{	/* Ast/sexp.scm 843 */
							obj_t BgL_arg7850z00_10302;

							BgL_arg7850z00_10302 =
								BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_61);
							BgL_auxz00_34873 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg7850z00_10302,
								BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
						}
						((((BgL_syncz00_bglt) COBJECT(BgL_new1162z00_10301))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_34873), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_new1162z00_10301);
				}
			else
				{	/* Ast/sexp.scm 844 */
					obj_t BgL_vz00_10305;

					BgL_vz00_10305 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(48))));
					{	/* Ast/sexp.scm 844 */
						obj_t BgL_varz00_10306;

						BgL_varz00_10306 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_10305,
							((obj_t) CNST_TABLE_REF(48)));
						{	/* Ast/sexp.scm 845 */
							obj_t BgL_nexpz00_10307;

							{	/* Ast/sexp.scm 846 */
								obj_t BgL_arg7859z00_10315;

								{	/* Ast/sexp.scm 846 */
									obj_t BgL_arg7860z00_10316;

									BgL_arg7860z00_10316 =
										MAKE_YOUNG_PAIR(BgL_vz00_10305, BgL_bodyz00_61);
									BgL_arg7859z00_10315 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(30)), BgL_arg7860z00_10316);
								}
								BgL_nexpz00_10307 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg7859z00_10315,
									BgL_expz00_58);
							}
							{	/* Ast/sexp.scm 846 */

								{	/* Ast/sexp.scm 847 */
									obj_t BgL_arg7852z00_10308;

									{	/* Ast/sexp.scm 847 */
										obj_t BgL_arg7853z00_10309;
										obj_t BgL_arg7854z00_10310;

										BgL_arg7853z00_10309 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 847 */
											obj_t BgL_arg7855z00_10311;
											obj_t BgL_arg7856z00_10312;

											{	/* Ast/sexp.scm 847 */
												obj_t BgL_arg7857z00_10313;

												{	/* Ast/sexp.scm 847 */
													obj_t BgL_arg7858z00_10314;

													BgL_arg7858z00_10314 =
														MAKE_YOUNG_PAIR(BgL_mutexz00_59, BNIL);
													BgL_arg7857z00_10313 =
														MAKE_YOUNG_PAIR(BgL_varz00_10306,
														BgL_arg7858z00_10314);
												}
												BgL_arg7855z00_10311 =
													MAKE_YOUNG_PAIR(BgL_arg7857z00_10313, BNIL);
											}
											BgL_arg7856z00_10312 =
												MAKE_YOUNG_PAIR(BgL_nexpz00_10307, BNIL);
											BgL_arg7854z00_10310 =
												MAKE_YOUNG_PAIR(BgL_arg7855z00_10311,
												BgL_arg7856z00_10312);
										}
										BgL_arg7852z00_10308 =
											MAKE_YOUNG_PAIR(BgL_arg7853z00_10309,
											BgL_arg7854z00_10310);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_58,
										BgL_arg7852z00_10308);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_58,
									BgL_stackz00_62, BgL_locz00_63, BgL_sitez00_64);
							}
						}
					}
				}
		}

	}



/* not-test */
	obj_t BGl_notzd2testzd2zzast_sexpz00(obj_t BgL_testz00_65)
	{
		{	/* Ast/sexp.scm 856 */
			{
				obj_t BgL_bindingsz00_10322;
				obj_t BgL_exprz00_10323;

				if (PAIRP(BgL_testz00_65))
					{	/* Ast/sexp.scm 857 */
						obj_t BgL_cdrzd275461zd2_10328;

						BgL_cdrzd275461zd2_10328 = CDR(((obj_t) BgL_testz00_65));
						if ((CAR(((obj_t) BgL_testz00_65)) == ((obj_t) CNST_TABLE_REF(1))))
							{	/* Ast/sexp.scm 857 */
								if (PAIRP(BgL_cdrzd275461zd2_10328))
									{	/* Ast/sexp.scm 857 */
										obj_t BgL_cdrzd275464zd2_10332;

										BgL_cdrzd275464zd2_10332 = CDR(BgL_cdrzd275461zd2_10328);
										if (PAIRP(BgL_cdrzd275464zd2_10332))
											{	/* Ast/sexp.scm 857 */
												obj_t BgL_cdrzd275467zd2_10334;

												BgL_cdrzd275467zd2_10334 =
													CDR(BgL_cdrzd275464zd2_10332);
												if ((CAR(BgL_cdrzd275464zd2_10332) == BFALSE))
													{	/* Ast/sexp.scm 857 */
														if (PAIRP(BgL_cdrzd275467zd2_10334))
															{	/* Ast/sexp.scm 857 */
																if ((CAR(BgL_cdrzd275467zd2_10334) == BTRUE))
																	{	/* Ast/sexp.scm 857 */
																		if (NULLP(CDR(BgL_cdrzd275467zd2_10334)))
																			{	/* Ast/sexp.scm 857 */
																				return CAR(BgL_cdrzd275461zd2_10328);
																			}
																		else
																			{	/* Ast/sexp.scm 857 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Ast/sexp.scm 857 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 857 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 857 */
										return BFALSE;
									}
							}
						else
							{	/* Ast/sexp.scm 857 */
								if (
									(CAR(
											((obj_t) BgL_testz00_65)) ==
										((obj_t) CNST_TABLE_REF(49))))
									{	/* Ast/sexp.scm 857 */
										if (PAIRP(BgL_cdrzd275461zd2_10328))
											{	/* Ast/sexp.scm 857 */
												if (NULLP(CDR(BgL_cdrzd275461zd2_10328)))
													{	/* Ast/sexp.scm 857 */
														return CAR(BgL_cdrzd275461zd2_10328);
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/sexp.scm 857 */
										obj_t BgL_cdrzd275541zd2_10354;

										BgL_cdrzd275541zd2_10354 = CDR(((obj_t) BgL_testz00_65));
										if (
											(CAR(
													((obj_t) BgL_testz00_65)) ==
												((obj_t) CNST_TABLE_REF(18))))
											{	/* Ast/sexp.scm 857 */
												if (PAIRP(BgL_cdrzd275541zd2_10354))
													{	/* Ast/sexp.scm 857 */
														obj_t BgL_cdrzd275545zd2_10358;

														BgL_cdrzd275545zd2_10358 =
															CDR(BgL_cdrzd275541zd2_10354);
														if (PAIRP(BgL_cdrzd275545zd2_10358))
															{	/* Ast/sexp.scm 857 */
																if (NULLP(CDR(BgL_cdrzd275545zd2_10358)))
																	{	/* Ast/sexp.scm 857 */
																		BgL_bindingsz00_10322 =
																			CAR(BgL_cdrzd275541zd2_10354);
																		BgL_exprz00_10323 =
																			CAR(BgL_cdrzd275545zd2_10358);
																		{	/* Ast/sexp.scm 863 */
																			obj_t BgL_ntz00_10368;

																			BgL_ntz00_10368 =
																				BGl_notzd2testzd2zzast_sexpz00
																				(BgL_exprz00_10323);
																			if (CBOOL(BgL_ntz00_10368))
																				{	/* Ast/sexp.scm 865 */
																					obj_t BgL_arg7897z00_10369;

																					{	/* Ast/sexp.scm 865 */
																						obj_t BgL_arg7898z00_10370;

																						{	/* Ast/sexp.scm 865 */
																							obj_t BgL_arg7899z00_10371;

																							BgL_arg7899z00_10371 =
																								MAKE_YOUNG_PAIR(BgL_ntz00_10368,
																								BNIL);
																							BgL_arg7898z00_10370 =
																								MAKE_YOUNG_PAIR
																								(BgL_bindingsz00_10322,
																								BgL_arg7899z00_10371);
																						}
																						BgL_arg7897z00_10369 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(18)),
																							BgL_arg7898z00_10370);
																					}
																					return
																						BGl_epairifyzd2reczd2zztools_miscz00
																						(BgL_arg7897z00_10369,
																						BgL_testz00_65);
																				}
																			else
																				{	/* Ast/sexp.scm 864 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 857 */
																		return BFALSE;
																	}
															}
														else
															{	/* Ast/sexp.scm 857 */
																return BFALSE;
															}
													}
												else
													{	/* Ast/sexp.scm 857 */
														return BFALSE;
													}
											}
										else
											{	/* Ast/sexp.scm 857 */
												return BFALSE;
											}
									}
							}
					}
				else
					{	/* Ast/sexp.scm 857 */
						return BFALSE;
					}
			}
		}

	}



/* used-in? */
	bool_t BGl_usedzd2inzf3z21zzast_sexpz00(obj_t BgL_idz00_66,
		obj_t BgL_exprz00_67)
	{
		{	/* Ast/sexp.scm 874 */
			if ((BgL_idz00_66 == BgL_exprz00_67))
				{	/* Ast/sexp.scm 876 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 876 */
					if (PAIRP(BgL_exprz00_67))
						{	/* Ast/sexp.scm 877 */
							if ((CAR(BgL_exprz00_67) == ((obj_t) CNST_TABLE_REF(12))))
								{	/* Ast/sexp.scm 878 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/sexp.scm 878 */
									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
										(BgL_exprz00_67))
										{
											obj_t BgL_list1451z00_10387;

											{	/* Ast/sexp.scm 880 */
												obj_t BgL_tmpz00_34977;

												BgL_list1451z00_10387 = BgL_exprz00_67;
											BgL_zc3z04anonymousza37909ze3z87_10388:
												if (PAIRP(BgL_list1451z00_10387))
													{	/* Ast/sexp.scm 880 */
														if (BGl_usedzd2inzf3z21zzast_sexpz00(BgL_idz00_66,
																CAR(BgL_list1451z00_10387)))
															{	/* Ast/sexp.scm 880 */
																BgL_tmpz00_34977 = CAR(BgL_list1451z00_10387);
															}
														else
															{
																obj_t BgL_list1451z00_34984;

																BgL_list1451z00_34984 =
																	CDR(BgL_list1451z00_10387);
																BgL_list1451z00_10387 = BgL_list1451z00_34984;
																goto BgL_zc3z04anonymousza37909ze3z87_10388;
															}
													}
												else
													{	/* Ast/sexp.scm 880 */
														BgL_tmpz00_34977 = BFALSE;
													}
												return CBOOL(BgL_tmpz00_34977);
											}
										}
									else
										{	/* Ast/sexp.scm 879 */
											return ((bool_t) 0);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 877 */
							return ((bool_t) 0);
						}
				}
		}

	}



/* test-nestable? */
	obj_t BGl_testzd2nestablezf3z21zzast_sexpz00(BgL_nodez00_bglt BgL_exprz00_68)
	{
		{	/* Ast/sexp.scm 889 */
			{	/* Ast/sexp.scm 890 */
				bool_t BgL__ortest_1163z00_10395;

				{	/* Ast/sexp.scm 890 */
					obj_t BgL_classz00_15315;

					BgL_classz00_15315 = BGl_varz00zzast_nodez00;
					{	/* Ast/sexp.scm 890 */
						BgL_objectz00_bglt BgL_arg1858z00_15317;

						{	/* Ast/sexp.scm 890 */
							obj_t BgL_tmpz00_34987;

							BgL_tmpz00_34987 =
								((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_68));
							BgL_arg1858z00_15317 = (BgL_objectz00_bglt) (BgL_tmpz00_34987);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/sexp.scm 890 */
								long BgL_idxz00_15323;

								BgL_idxz00_15323 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15317);
								BgL__ortest_1163z00_10395 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_15323 + 2L)) == BgL_classz00_15315);
							}
						else
							{	/* Ast/sexp.scm 890 */
								bool_t BgL_res8038z00_15348;

								{	/* Ast/sexp.scm 890 */
									obj_t BgL_oclassz00_15331;

									{	/* Ast/sexp.scm 890 */
										obj_t BgL_arg1866z00_15339;
										long BgL_arg1867z00_15340;

										BgL_arg1866z00_15339 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/sexp.scm 890 */
											long BgL_arg1869z00_15341;

											BgL_arg1869z00_15341 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15317);
											BgL_arg1867z00_15340 =
												(BgL_arg1869z00_15341 - OBJECT_TYPE);
										}
										BgL_oclassz00_15331 =
											VECTOR_REF(BgL_arg1866z00_15339, BgL_arg1867z00_15340);
									}
									{	/* Ast/sexp.scm 890 */
										bool_t BgL__ortest_1115z00_15332;

										BgL__ortest_1115z00_15332 =
											(BgL_classz00_15315 == BgL_oclassz00_15331);
										if (BgL__ortest_1115z00_15332)
											{	/* Ast/sexp.scm 890 */
												BgL_res8038z00_15348 = BgL__ortest_1115z00_15332;
											}
										else
											{	/* Ast/sexp.scm 890 */
												long BgL_odepthz00_15333;

												{	/* Ast/sexp.scm 890 */
													obj_t BgL_arg1855z00_15334;

													BgL_arg1855z00_15334 = (BgL_oclassz00_15331);
													BgL_odepthz00_15333 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_15334);
												}
												if ((2L < BgL_odepthz00_15333))
													{	/* Ast/sexp.scm 890 */
														obj_t BgL_arg1853z00_15336;

														{	/* Ast/sexp.scm 890 */
															obj_t BgL_arg1854z00_15337;

															BgL_arg1854z00_15337 = (BgL_oclassz00_15331);
															BgL_arg1853z00_15336 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_15337,
																2L);
														}
														BgL_res8038z00_15348 =
															(BgL_arg1853z00_15336 == BgL_classz00_15315);
													}
												else
													{	/* Ast/sexp.scm 890 */
														BgL_res8038z00_15348 = ((bool_t) 0);
													}
											}
									}
								}
								BgL__ortest_1163z00_10395 = BgL_res8038z00_15348;
							}
					}
				}
				if (BgL__ortest_1163z00_10395)
					{	/* Ast/sexp.scm 890 */
						return BBOOL(BgL__ortest_1163z00_10395);
					}
				else
					{	/* Ast/sexp.scm 891 */
						bool_t BgL_test11014z00_35012;

						{	/* Ast/sexp.scm 891 */
							obj_t BgL_classz00_15349;

							BgL_classz00_15349 = BGl_appz00zzast_nodez00;
							{	/* Ast/sexp.scm 891 */
								BgL_objectz00_bglt BgL_arg1858z00_15351;

								{	/* Ast/sexp.scm 891 */
									obj_t BgL_tmpz00_35013;

									BgL_tmpz00_35013 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_68));
									BgL_arg1858z00_15351 =
										(BgL_objectz00_bglt) (BgL_tmpz00_35013);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/sexp.scm 891 */
										long BgL_idxz00_15357;

										BgL_idxz00_15357 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15351);
										BgL_test11014z00_35012 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_15357 + 3L)) == BgL_classz00_15349);
									}
								else
									{	/* Ast/sexp.scm 891 */
										bool_t BgL_res8039z00_15382;

										{	/* Ast/sexp.scm 891 */
											obj_t BgL_oclassz00_15365;

											{	/* Ast/sexp.scm 891 */
												obj_t BgL_arg1866z00_15373;
												long BgL_arg1867z00_15374;

												BgL_arg1866z00_15373 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/sexp.scm 891 */
													long BgL_arg1869z00_15375;

													BgL_arg1869z00_15375 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15351);
													BgL_arg1867z00_15374 =
														(BgL_arg1869z00_15375 - OBJECT_TYPE);
												}
												BgL_oclassz00_15365 =
													VECTOR_REF(BgL_arg1866z00_15373,
													BgL_arg1867z00_15374);
											}
											{	/* Ast/sexp.scm 891 */
												bool_t BgL__ortest_1115z00_15366;

												BgL__ortest_1115z00_15366 =
													(BgL_classz00_15349 == BgL_oclassz00_15365);
												if (BgL__ortest_1115z00_15366)
													{	/* Ast/sexp.scm 891 */
														BgL_res8039z00_15382 = BgL__ortest_1115z00_15366;
													}
												else
													{	/* Ast/sexp.scm 891 */
														long BgL_odepthz00_15367;

														{	/* Ast/sexp.scm 891 */
															obj_t BgL_arg1855z00_15368;

															BgL_arg1855z00_15368 = (BgL_oclassz00_15365);
															BgL_odepthz00_15367 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_15368);
														}
														if ((3L < BgL_odepthz00_15367))
															{	/* Ast/sexp.scm 891 */
																obj_t BgL_arg1853z00_15370;

																{	/* Ast/sexp.scm 891 */
																	obj_t BgL_arg1854z00_15371;

																	BgL_arg1854z00_15371 = (BgL_oclassz00_15365);
																	BgL_arg1853z00_15370 =
																		BGL_CLASS_ANCESTORS_REF
																		(BgL_arg1854z00_15371, 3L);
																}
																BgL_res8039z00_15382 =
																	(BgL_arg1853z00_15370 == BgL_classz00_15349);
															}
														else
															{	/* Ast/sexp.scm 891 */
																BgL_res8039z00_15382 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test11014z00_35012 = BgL_res8039z00_15382;
									}
							}
						}
						if (BgL_test11014z00_35012)
							{	/* Ast/sexp.scm 892 */
								BgL_variablez00_bglt BgL_varz00_10397;

								BgL_varz00_10397 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_exprz00_68)))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Ast/sexp.scm 893 */
									bool_t BgL_test11018z00_35039;

									{	/* Ast/sexp.scm 893 */
										obj_t BgL_classz00_15385;

										BgL_classz00_15385 = BGl_globalz00zzast_varz00;
										{	/* Ast/sexp.scm 893 */
											BgL_objectz00_bglt BgL_arg1858z00_15387;

											{	/* Ast/sexp.scm 893 */
												obj_t BgL_tmpz00_35040;

												BgL_tmpz00_35040 =
													((obj_t) ((BgL_objectz00_bglt) BgL_varz00_10397));
												BgL_arg1858z00_15387 =
													(BgL_objectz00_bglt) (BgL_tmpz00_35040);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/sexp.scm 893 */
													long BgL_idxz00_15393;

													BgL_idxz00_15393 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_15387);
													BgL_test11018z00_35039 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_15393 + 2L)) == BgL_classz00_15385);
												}
											else
												{	/* Ast/sexp.scm 893 */
													bool_t BgL_res8040z00_15418;

													{	/* Ast/sexp.scm 893 */
														obj_t BgL_oclassz00_15401;

														{	/* Ast/sexp.scm 893 */
															obj_t BgL_arg1866z00_15409;
															long BgL_arg1867z00_15410;

															BgL_arg1866z00_15409 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/sexp.scm 893 */
																long BgL_arg1869z00_15411;

																BgL_arg1869z00_15411 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_15387);
																BgL_arg1867z00_15410 =
																	(BgL_arg1869z00_15411 - OBJECT_TYPE);
															}
															BgL_oclassz00_15401 =
																VECTOR_REF(BgL_arg1866z00_15409,
																BgL_arg1867z00_15410);
														}
														{	/* Ast/sexp.scm 893 */
															bool_t BgL__ortest_1115z00_15402;

															BgL__ortest_1115z00_15402 =
																(BgL_classz00_15385 == BgL_oclassz00_15401);
															if (BgL__ortest_1115z00_15402)
																{	/* Ast/sexp.scm 893 */
																	BgL_res8040z00_15418 =
																		BgL__ortest_1115z00_15402;
																}
															else
																{	/* Ast/sexp.scm 893 */
																	long BgL_odepthz00_15403;

																	{	/* Ast/sexp.scm 893 */
																		obj_t BgL_arg1855z00_15404;

																		BgL_arg1855z00_15404 =
																			(BgL_oclassz00_15401);
																		BgL_odepthz00_15403 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_15404);
																	}
																	if ((2L < BgL_odepthz00_15403))
																		{	/* Ast/sexp.scm 893 */
																			obj_t BgL_arg1853z00_15406;

																			{	/* Ast/sexp.scm 893 */
																				obj_t BgL_arg1854z00_15407;

																				BgL_arg1854z00_15407 =
																					(BgL_oclassz00_15401);
																				BgL_arg1853z00_15406 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_15407, 2L);
																			}
																			BgL_res8040z00_15418 =
																				(BgL_arg1853z00_15406 ==
																				BgL_classz00_15385);
																		}
																	else
																		{	/* Ast/sexp.scm 893 */
																			BgL_res8040z00_15418 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test11018z00_35039 = BgL_res8040z00_15418;
												}
										}
									}
									if (BgL_test11018z00_35039)
										{	/* Ast/sexp.scm 893 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															CNST_TABLE_REF(50)),
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_varz00_10397)))->
															BgL_pragmaz00))))
												{	/* Ast/sexp.scm 894 */
													return
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															CNST_TABLE_REF(51)),
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_varz00_10397)))->
															BgL_pragmaz00));
												}
											else
												{	/* Ast/sexp.scm 894 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/sexp.scm 893 */
											return BFALSE;
										}
								}
							}
						else
							{	/* Ast/sexp.scm 891 */
								return BFALSE;
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00(void)
	{
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(428035925L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(156774043L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(129879154L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(469204197L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(419066125L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(277780830L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(520121776L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string8086z00zzast_sexpz00));
		}

	}

#ifdef __cplusplus
}
#endif
