/*===========================================================================*/
/*   (Ast/var.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/var.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_VAR_TYPE_DEFINITIONS
#define BGL_AST_VAR_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


#endif													// BGL_AST_VAR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1846z62zzast_varz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1927z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1766z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1847z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1767z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2volatilezd2setz12z12zzast_varz00(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt);
	static BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda1693z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1936z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1694z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1777z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1778z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1859z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_varz00 = BUNSPEC;
	static BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62lambda1941z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1942z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62lambda1947z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1786z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1787z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_funz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2qualifiedzd2typezd2namezd2setz12z12zzast_varz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	static obj_t
		BGl_z62globalzd2qualifiedzd2typezd2namezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1955z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1956z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1877z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1878z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1963z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1964z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sfunz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda1887z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1888z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1969z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t);
	static obj_t BGl_z62lambda1970z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1894z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1895z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1977z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t, obj_t);
	static obj_t
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, long, obj_t, bool_t);
	static obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda1983z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1984z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00(void);
	static obj_t BGl_genericzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt,
		bool_t);
	static obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2qualifiedzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza31957ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1990z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1991z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_localzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzast_varz00(obj_t);
	static BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62valuezf3z91zzast_varz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_variablezf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt, obj_t);
	static obj_t BGl_z62globalzd2qualifiedzd2typezd2namezb0zzast_varz00(obj_t,
		obj_t);
	static obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt);
	static BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t);
	static BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_varz00(void);
	static obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32045ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31406ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32135ze3ze5zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_makezd2variablezd2zzast_varz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00(void);
	static BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32071ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31334ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2000z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2001z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt, obj_t);
	static obj_t BGl_z62lambda2008z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	static obj_t BGl_z62lambda2014z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2015z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t BGl_feffectzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt);
	static BgL_cfunz00_bglt BGl_z62lambda2023z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2104z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62lambda2025z62zzast_varz00(obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2106z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt);
	static obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt);
	static obj_t BGl_z62lambda2112z62zzast_varz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2032z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2113z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2033z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62localzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2037z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2038z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2119z62zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzd2volatilezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2121z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2043z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2044z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2127z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2128z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_cfunz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda2051z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1404z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2052z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2133z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1405z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2134z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1327z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt);
	static BgL_svarz00_bglt BGl_z62lambda2060z62zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62lambda2141z62zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1332z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt);
	static BgL_svarz00_bglt BGl_z62lambda2062z62zzast_varz00(obj_t);
	static BgL_feffectz00_bglt BGl_z62lambda2143z62zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1418z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1419z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda2069z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt);
	static obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62lambda2150z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2070z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2151z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1342z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t);
	static BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_feffectz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62lambda2157z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2077z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2158z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzast_varz00(void);
	static BgL_scnstz00_bglt BGl_z62lambda2079z62zzast_varz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00(void);
	static obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_scnstz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_varz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_varz00(void);
	static obj_t BGl_z62zc3z04anonymousza31804ze3ze5zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1514z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1515z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31359ze3ze5zzast_varz00(obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda1356z62zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2085z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2086z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t,
		bool_t);
	static obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	static obj_t BGl_z62svarzf3z91zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda2090z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31546ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda2091z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1606z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1607z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1365z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		long);
	static obj_t BGl_z62lambda1366z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2096z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2volatilezd2zzast_varz00(BgL_localz00_bglt);
	static obj_t BGl_z62lambda2097z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32098ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		bool_t, obj_t);
	static obj_t BGl_z62localzd2volatilezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1377z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1378z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt, obj_t);
	static obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00(void);
	BGL_EXPORTED_DECL int
		BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31718ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda1544z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31629ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1545z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1384z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1627z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1385z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1628z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t,
		obj_t, BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valuez00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf3zf3zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt, obj_t);
	static obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static BgL_valuez00_bglt BGl_z62lambda1391z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31638ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1392z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1716z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31379ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62lambda1636z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1717z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1637z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00(void);
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_variablez00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt);
	static BgL_funz00_bglt BGl_z62lambda1800z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_funz00_bglt BGl_z62lambda1802z62zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1481z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1482z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1650z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1651z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long, obj_t,
		obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1491z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1815z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1492z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1816z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1575z62zzast_varz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1658z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1659z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1578z62zzast_varz00(obj_t);
	static obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62lambda1901z62zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1902z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda1826z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1827z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1747z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1909z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda1749z62zzast_varz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_valuezf3zf3zzast_varz00(obj_t);
	static obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalz00zzast_varz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt, long);
	static obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_variablezd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62lambda1591z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1592z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1916z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1674z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1917z62zzast_varz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1675z62zzast_varz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cvarz00zzast_varz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00(void);
	static obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt);
	static obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62lambda1681z62zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1682z62zzast_varz00(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1925z62zzast_varz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt);
	static obj_t __cnst[77];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cvarza7d2macroza72375za7,
		BGl_z62cvarzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2va2376z00,
		BGl_z62variablezd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2optionalzd2arityzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2optiona2377z00,
		BGl_z62funzd2optionalzd2arityz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2378za7,
		BGl_z62cfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2importzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2impo2379z00, BGl_z62globalzd2importzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22380za7,
		BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2381za7,
		BGl_z62zc3z04anonymousza31493ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzast_varz00,
		BgL_bgl_za762lambda1492za7622382z00, BGl_z62lambda1492z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzast_varz00,
		BgL_bgl_za762lambda1491za7622383z00, BGl_z62lambda1491z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2384za7,
		BGl_z62zc3z04anonymousza31516ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzast_varz00,
		BgL_bgl_za762lambda1515za7622385z00, BGl_z62lambda1515z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzast_varz00,
		BgL_bgl_za762lambda1514za7622386z00, BGl_z62lambda1514z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2387za7,
		BGl_z62zc3z04anonymousza31546ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzast_varz00,
		BgL_bgl_za762lambda1545za7622388z00, BGl_z62lambda1545z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzast_varz00,
		BgL_bgl_za762lambda1544za7622389z00, BGl_z62lambda1544z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2390za7,
		BGl_z62zc3z04anonymousza31359ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22391za7,
		BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2392za7,
		BGl_z62cfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22393za7,
		BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2qualifiedzd2typezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2qual2394z00,
		BGl_z62globalzd2qualifiedzd2typezd2namezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2395za7,
		BGl_z62sfunzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzast_varz00,
		BgL_bgl_za762lambda1356za7622396z00, BGl_z62lambda1356z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2effectza72397za7, BGl_z62funzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzast_varz00,
		BgL_bgl_za762lambda1342za7622398z00, BGl_z62lambda1342z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzast_varz00,
		BgL_bgl_za762lambda1592za7622399z00, BGl_z62lambda1592z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzast_varz00,
		BgL_bgl_za762lambda1591za7622400z00, BGl_z62lambda1591z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzast_varz00,
		BgL_bgl_za762lambda1607za7622401z00, BGl_z62lambda1607z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzast_varz00,
		BgL_bgl_za762lambda1606za7622402z00, BGl_z62lambda1606z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2403za7,
		BGl_z62zc3z04anonymousza31629ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_varz00,
		BgL_bgl_za762lambda1628za7622404z00, BGl_z62lambda1628z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzast_varz00,
		BgL_bgl_za762lambda1627za7622405z00, BGl_z62lambda1627z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2406z00,
		BGl_z62funzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2407za7,
		BGl_z62zc3z04anonymousza31638ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2408z00,
		BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2name2409z00, BGl_z62globalzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzast_varz00,
		BgL_bgl_za762lambda1977za7622410z00, BGl_z62lambda1977z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzast_varz00,
		BgL_bgl_za762lambda1976za7622411z00, BGl_z62lambda1976z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzast_varz00,
		BgL_bgl_za762lambda1637za7622412z00, BGl_z62lambda1637z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2413za7,
		BGl_z62zc3z04anonymousza31985ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzast_varz00,
		BgL_bgl_za762lambda1636za7622414z00, BGl_z62lambda1636z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2keysza7b2415za7, BGl_z62sfunzd2keyszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2idza7b02416za7, BGl_z62localzd2idzb0zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzast_varz00,
		BgL_bgl_za762lambda1984za7622417z00, BGl_z62lambda1984z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2418za7,
		BGl_z62zc3z04anonymousza31652ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzast_varz00,
		BgL_bgl_za762lambda1983za7622419z00, BGl_z62lambda1983z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzast_varz00,
		BgL_bgl_za762lambda1651za7622420z00, BGl_z62lambda1651z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2421za7,
		BGl_z62zc3z04anonymousza31992ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzast_varz00,
		BgL_bgl_za762lambda1650za7622422z00, BGl_z62lambda1650z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzast_varz00,
		BgL_bgl_za762lambda1991za7622423z00, BGl_z62lambda1991z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2424za7,
		BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzast_varz00,
		BgL_bgl_za762lambda1990za7622425z00, BGl_z62lambda1990z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzast_varz00,
		BgL_bgl_za762lambda1659za7622426z00, BGl_z62lambda1659z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2427za7,
		BGl_z62zc3z04anonymousza32002ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzast_varz00,
		BgL_bgl_za762lambda1658za7622428z00, BGl_z62lambda1658z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzast_varz00,
		BgL_bgl_za762lambda2001za7622429z00, BGl_z62lambda2001z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzast_varz00,
		BgL_bgl_za762lambda1675za7622430z00, BGl_z62lambda1675z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzast_varz00,
		BgL_bgl_za762lambda1674za7622431z00, BGl_z62lambda1674z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2value2432z00, BGl_z62localzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nameza72433za7, BGl_z62localzd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762svarza7d2locza7d22434za7,
		BGl_z62svarzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzast_varz00,
		BgL_bgl_za762lambda2000za7622435z00, BGl_z62lambda2000z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2436za7,
		BGl_z62zc3z04anonymousza32009ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzast_varz00,
		BgL_bgl_za762lambda1682za7622437z00, BGl_z62lambda1682z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzast_varz00,
		BgL_bgl_za762lambda2008za7622438z00, BGl_z62lambda2008z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzast_varz00,
		BgL_bgl_za762lambda1681za7622439z00, BGl_z62lambda1681z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzast_varz00,
		BgL_bgl_za762lambda2007za7622440z00, BGl_z62lambda2007z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2441za7,
		BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sfunza7b2442za7, BGl_z62makezd2sfunzb0zzast_varz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2443za7,
		BGl_z62zc3z04anonymousza32016ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzast_varz00,
		BgL_bgl_za762lambda1694za7622444z00, BGl_z62lambda1694z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2class2445z00,
		BGl_z62scnstzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzast_varz00,
		BgL_bgl_za762lambda2015za7622446z00, BGl_z62lambda2015z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzast_varz00,
		BgL_bgl_za762lambda1693za7622447z00, BGl_z62lambda1693z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzast_varz00,
		BgL_bgl_za762lambda2014za7622448z00, BGl_z62lambda2014z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2449za7,
		BGl_z62zc3z04anonymousza31718ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2450za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzast_varz00,
		BgL_bgl_za762lambda1717za7622451z00, BGl_z62lambda1717z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzast_varz00,
		BgL_bgl_za762lambda1927za7622452z00, BGl_z62lambda1927z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzast_varz00,
		BgL_bgl_za762lambda1716za7622453z00, BGl_z62lambda1716z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzast_varz00,
		BgL_bgl_za762lambda1925za7622454z00, BGl_z62lambda1925z62zzast_varz00, 0L,
		BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2455za7,
		BGl_z62zc3z04anonymousza31582ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzast_varz00,
		BgL_bgl_za762lambda1578za7622456z00, BGl_z62lambda1578z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2arityza72457za7, BGl_z62sfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2stackablezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2458z00, BGl_z62sfunzd2stackablezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22459za7,
		BGl_z62sfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2typezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2460za7,
		BGl_z62cfunzd2argszd2typez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2readzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2461z00,
		BGl_z62feffectzd2readzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2infixzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72462za7,
		BGl_z62cfunzd2infixzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2method2463z00, BGl_z62cfunzd2methodzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2arityza7b2464za7, BGl_z62funzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzast_varz00,
		BgL_bgl_za762lambda2033za7622465z00, BGl_z62lambda2033z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzast_varz00,
		BgL_bgl_za762lambda2032za7622466z00, BGl_z62lambda2032z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzast_varz00,
		BgL_bgl_za762lambda1575za7622467z00, BGl_z62lambda1575z62zzast_varz00, 0L,
		BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzast_varz00,
		BgL_bgl_za762lambda2038za7622468z00, BGl_z62lambda2038z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzast_varz00,
		BgL_bgl_za762lambda1767za7622469z00, BGl_z62lambda1767z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzast_varz00,
		BgL_bgl_za762lambda2037za7622470z00, BGl_z62lambda2037z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzast_varz00,
		BgL_bgl_za762lambda1766za7622471z00, BGl_z62lambda1766z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evaluablezf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2472z00,
		BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2473za7,
		BGl_z62zc3z04anonymousza32045ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2474za7,
		BGl_z62zc3z04anonymousza31779ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2475za7,
		BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2qualifiedzd2typezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2qual2476z00,
		BGl_z62globalzd2qualifiedzd2typezd2namezd2setz12z70zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzast_varz00,
		BgL_bgl_za762lambda2044za7622477z00, BGl_z62lambda2044z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzast_varz00,
		BgL_bgl_za762lambda1778za7622478z00, BGl_z62lambda1778z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzast_varz00,
		BgL_bgl_za762lambda2043za7622479z00, BGl_z62lambda2043z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzast_varz00,
		BgL_bgl_za762lambda1777za7622480z00, BGl_z62lambda1777z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2481za7,
		BGl_z62zc3z04anonymousza32053ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2482za7,
		BGl_z62zc3z04anonymousza31788ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzast_varz00,
		BgL_bgl_za762lambda2052za7622483z00, BGl_z62lambda2052z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzast_varz00,
		BgL_bgl_za762lambda1787za7622484z00, BGl_z62lambda1787z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzast_varz00,
		BgL_bgl_za762lambda2051za7622485z00, BGl_z62lambda2051z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzast_varz00,
		BgL_bgl_za762lambda1786za7622486z00, BGl_z62lambda1786z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2class2487z00, BGl_z62scnstzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2488za7,
		BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2value2489z00,
		BGl_z62localzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2490z00,
		BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2argszd2safezf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2args2491z00,
		BGl_z62globalzd2argszd2safezf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2type2492z00,
		BGl_z62globalzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2idzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2id2493z00, BGl_z62variablezd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2keyzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2keyza7b2494za7, BGl_z62localzd2keyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2setzd2readzd2onlyz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2setza72495za7,
		BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2496za7,
		BGl_z62zc3z04anonymousza32027ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2497z00,
		BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzast_varz00,
		BgL_bgl_za762lambda2025za7622498z00, BGl_z62lambda2025z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzast_varz00,
		BgL_bgl_za762lambda1749za7622499z00, BGl_z62lambda1749z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzast_varz00,
		BgL_bgl_za762lambda2023za7622500z00, BGl_z62lambda2023z62zzast_varz00, 0L,
		BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzast_varz00,
		BgL_bgl_za762lambda1747za7622501z00, BGl_z62lambda1747z62zzast_varz00, 0L,
		BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2502za7,
		BGl_z62zc3z04anonymousza32071ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzast_varz00,
		BgL_bgl_za762lambda1816za7622503z00, BGl_z62lambda1816z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzast_varz00,
		BgL_bgl_za762lambda2070za7622504z00, BGl_z62lambda2070z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzast_varz00,
		BgL_bgl_za762lambda1815za7622505z00, BGl_z62lambda1815z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2acces2506z00, BGl_z62localzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzast_varz00,
		BgL_bgl_za762lambda2069za7622507z00, BGl_z62lambda2069z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2508za7,
		BGl_z62zc3z04anonymousza31828ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2509za7,
		BGl_z62zc3z04anonymousza32064ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzast_varz00,
		BgL_bgl_za762lambda1827za7622510z00, BGl_z62lambda1827z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22511za7,
		BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzast_varz00,
		BgL_bgl_za762lambda2062za7622512z00, BGl_z62lambda2062z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzast_varz00,
		BgL_bgl_za762lambda1826za7622513z00, BGl_z62lambda1826z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzast_varz00,
		BgL_bgl_za762lambda2060za7622514z00, BGl_z62lambda2060z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2515za7,
		BGl_z62zc3z04anonymousza31848ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evaluablezf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2516z00,
		BGl_z62globalzd2evaluablezf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzast_varz00,
		BgL_bgl_za762lambda2086za7622517z00, BGl_z62lambda2086z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzast_varz00,
		BgL_bgl_za762lambda1847za7622518z00, BGl_z62lambda1847z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzast_varz00,
		BgL_bgl_za762lambda1846za7622519z00, BGl_z62lambda1846z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2520za7,
		BGl_z62zc3z04anonymousza31334ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2typezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ty2521z00, BGl_z62variablezd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7b2522za7, BGl_z62scnstzd2loczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22523za7,
		BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ac2524z00,
		BGl_z62variablezd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzast_varz00,
		BgL_bgl_za762lambda2085za7622525z00, BGl_z62lambda2085z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzast_varz00,
		BgL_bgl_za762lambda2091za7622526z00, BGl_z62lambda2091z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2527za7,
		BGl_z62zc3z04anonymousza31860ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzast_varz00,
		BgL_bgl_za762lambda2090za7622528z00, BGl_z62lambda2090z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzast_varz00,
		BgL_bgl_za762lambda1859za7622529z00, BGl_z62lambda1859z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzast_varz00,
		BgL_bgl_za762lambda1332za7622530z00, BGl_z62lambda1332z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2531za7,
		BGl_z62zc3z04anonymousza32098ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzast_varz00,
		BgL_bgl_za762lambda1858za7622532z00, BGl_z62lambda1858z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzast_varz00,
		BgL_bgl_za762lambda1327za7622533z00, BGl_z62lambda1327z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzast_varz00,
		BgL_bgl_za762lambda2097za7622534z00, BGl_z62lambda2097z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2535za7,
		BGl_z62zc3z04anonymousza31879ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzast_varz00,
		BgL_bgl_za762lambda1366za7622536z00, BGl_z62lambda1366z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzast_varz00,
		BgL_bgl_za762lambda2096za7622537z00, BGl_z62lambda2096z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzast_varz00,
		BgL_bgl_za762lambda1878za7622538z00, BGl_z62lambda1878z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzast_varz00,
		BgL_bgl_za762lambda1365za7622539z00, BGl_z62lambda1365z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2540za7,
		BGl_z62zc3z04anonymousza32081ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzast_varz00,
		BgL_bgl_za762lambda1877za7622541z00, BGl_z62lambda1877z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2542za7,
		BGl_z62zc3z04anonymousza31379ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzast_varz00,
		BgL_bgl_za762lambda2079za7622543z00, BGl_z62lambda2079z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2544za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzast_varz00,
		BgL_bgl_za762lambda1378za7622545z00, BGl_z62lambda1378z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzast_varz00,
		BgL_bgl_za762lambda2077za7622546z00, BGl_z62lambda2077z62zzast_varz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzast_varz00,
		BgL_bgl_za762lambda1888za7622547z00, BGl_z62lambda1888z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzast_varz00,
		BgL_bgl_za762lambda1377za7622548z00, BGl_z62lambda1377z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzast_varz00,
		BgL_bgl_za762lambda2113za7622549z00, BGl_z62lambda2113z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzast_varz00,
		BgL_bgl_za762lambda1887za7622550z00, BGl_z62lambda1887z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzast_varz00,
		BgL_bgl_za762lambda1385za7622551z00, BGl_z62lambda1385z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2552za7,
		BGl_z62zc3z04anonymousza31896ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzast_varz00,
		BgL_bgl_za762lambda1384za7622553z00, BGl_z62lambda1384z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzast_varz00,
		BgL_bgl_za762lambda1392za7622554z00, BGl_z62lambda1392z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2volatilezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2volat2555z00,
		BGl_z62localzd2volatilezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762localza7d2userza72556za7,
		BGl_z62localzd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72557za7,
		BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72558za7,
		BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2strengthzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2559z00, BGl_z62sfunzd2strengthzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2locza7b02560za7, BGl_z62svarzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72561za7,
		BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzast_varz00,
		BgL_bgl_za762lambda2112za7622562z00, BGl_z62lambda2112z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2563za7,
		BGl_z62zc3z04anonymousza32108ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzast_varz00,
		BgL_bgl_za762lambda1895za7622564z00, BGl_z62lambda1895z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzast_varz00,
		BgL_bgl_za762lambda2106za7622565z00, BGl_z62lambda2106z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzast_varz00,
		BgL_bgl_za762lambda1894za7622566z00, BGl_z62lambda1894z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzast_varz00,
		BgL_bgl_za762lambda1391za7622567z00, BGl_z62lambda1391z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzast_varz00,
		BgL_bgl_za762lambda2104za7622568z00, BGl_z62lambda2104z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2569za7,
		BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2570za7,
		BGl_z62zc3z04anonymousza31406ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzast_varz00,
		BgL_bgl_za762lambda2128za7622571z00, BGl_z62lambda2128z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzast_varz00,
		BgL_bgl_za762lambda1902za7622572z00, BGl_z62lambda1902z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzast_varz00,
		BgL_bgl_za762lambda1405za7622573z00, BGl_z62lambda1405z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzast_varz00,
		BgL_bgl_za762lambda2127za7622574z00, BGl_z62lambda2127z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzast_varz00,
		BgL_bgl_za762lambda1901za7622575z00, BGl_z62lambda1901z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzast_varz00,
		BgL_bgl_za762lambda1404za7622576z00, BGl_z62lambda1404z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2577za7,
		BGl_z62zc3z04anonymousza32135ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2578za7,
		BGl_z62zc3z04anonymousza31910ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2579za7,
		BGl_z62zc3z04anonymousza31420ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzast_varz00,
		BgL_bgl_za762lambda2134za7622580z00, BGl_z62lambda2134z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzast_varz00,
		BgL_bgl_za762lambda1909za7622581z00, BGl_z62lambda1909z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzast_varz00,
		BgL_bgl_za762lambda1419za7622582z00, BGl_z62lambda1419z62zzast_varz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2ty2583z00,
		BGl_z62variablezd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzast_varz00,
		BgL_bgl_za762lambda2133za7622584z00, BGl_z62lambda2133z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzast_varz00,
		BgL_bgl_za762lambda1908za7622585z00, BGl_z62lambda1908z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzast_varz00,
		BgL_bgl_za762lambda1418za7622586z00, BGl_z62lambda1418z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2587za7,
		BGl_z62zc3z04anonymousza32123ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2588za7,
		BGl_z62zc3z04anonymousza31918ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2589za7,
		BGl_z62zc3z04anonymousza31483ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzast_varz00,
		BgL_bgl_za762lambda1917za7622590z00, BGl_z62lambda1917z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzast_varz00,
		BgL_bgl_za762lambda1482za7622591z00, BGl_z62lambda1482z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzast_varz00,
		BgL_bgl_za762lambda1481za7622592z00, BGl_z62lambda1481z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2typeza72593za7,
		BGl_z62localzd2typezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2valuezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2valu2594z00,
		BGl_z62globalzd2valuezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2pragmazd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2prag2595z00, BGl_z62globalzd2pragmazb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2valu2596z00, BGl_z62globalzd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2global2597z00, BGl_z62makezd2globalzb0zzast_varz00,
		0L, BUNSPEC, 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2keyza72598za7,
		BGl_z62globalzd2keyzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2valueza72599za7, BGl_z62makezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzast_varz00,
		BgL_bgl_za762lambda2121za7622600z00, BGl_z62lambda2121z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzast_varz00,
		BgL_bgl_za762lambda2119za7622601z00, BGl_z62lambda2119z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzast_varz00,
		BgL_bgl_za762lambda1916za7622602z00, BGl_z62lambda1916z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2603za7,
		BGl_z62zc3z04anonymousza32152ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2604za7,
		BGl_z62zc3z04anonymousza31804ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2detachedzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2605z00,
		BGl_z62sexitzd2detachedzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762variableza7d2us2606z00,
		BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzast_varz00,
		BgL_bgl_za762lambda2151za7622607z00, BGl_z62lambda2151z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzast_varz00,
		BgL_bgl_za762lambda1802za7622608z00, BGl_z62lambda1802z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sexitza7f3za791za7za72609za7, BGl_z62sexitzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2init2610z00,
		BGl_z62globalzd2initzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzast_varz00,
		BgL_bgl_za762lambda2150za7622611z00, BGl_z62lambda2150z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzast_varz00,
		BgL_bgl_za762lambda1800za7622612z00, BGl_z62lambda1800z62zzast_varz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STRING(BGl_string2371z00zzast_varz00,
		BgL_bgl_string2371za700za7za7a2613za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2614za7,
		BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2615za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2616z00,
		BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2372z00zzast_varz00,
		BgL_bgl_string2372za700za7za7a2617za7, "ast_var", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzast_varz00,
		BgL_bgl_za762lambda2158za7622618z00, BGl_z62lambda2158z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzast_varz00,
		BgL_bgl_za762lambda1936za7622619z00, BGl_z62lambda1936z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2373z00zzast_varz00,
		BgL_bgl_string2373za700za7za7a2620za7,
		"now \077\077? _ feffect write read sexit detached? handler cvar scnst node svar cfun pair-nil method infix? macro? args-type sfun stackable strength the-closure-global keys optionals loc dsssl-keywords class body args-name args property fun args-retescape args-noescape failsafe effect the-closure top? stack-allocator predicate-of side-effect arity local volatile val-noescape key global alias init bstring qualified-type-name src pragma library eval? evaluable? import module variable bool user? occurrencew long occurrence removable fast-alpha access type obj name symbol id ast_var value args-safe read-only ",
		606);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzast_varz00,
		BgL_bgl_za762lambda2157za7622621z00, BGl_z62lambda2157z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzast_varz00,
		BgL_bgl_za762lambda1935za7622622z00, BGl_z62lambda1935z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2623za7,
		BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzast_varz00,
		BgL_bgl_za762lambda1942za7622624z00, BGl_z62lambda1942z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzast_varz00,
		BgL_bgl_za762lambda2143za7622625z00, BGl_z62lambda2143z62zzast_varz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzast_varz00,
		BgL_bgl_za762lambda1941za7622626z00, BGl_z62lambda1941z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzast_varz00,
		BgL_bgl_za762lambda1947za7622627z00, BGl_z62lambda1947z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cvarza7d2nilza7b02628za7, BGl_z62cvarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2629z00,
		BGl_z62variablezd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762funza7d2effectza72630za7,
		BGl_z62funzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2modulezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2modu2631z00, BGl_z62globalzd2modulezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzast_varz00,
		BgL_bgl_za762lambda2141za7622632z00, BGl_z62lambda2141z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzast_varz00,
		BgL_bgl_za762lambda1946za7622633z00, BGl_z62lambda1946z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2634za7,
		BGl_z62zc3z04anonymousza31957ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzast_varz00,
		BgL_bgl_za762lambda1956za7622635z00, BGl_z62lambda1956z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzast_varz00,
		BgL_bgl_za762lambda1955za7622636z00, BGl_z62lambda1955z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzast_varz00,
		BgL_bgl_za762lambda1964za7622637z00, BGl_z62lambda1964z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzast_varz00,
		BgL_bgl_za762lambda1963za7622638z00, BGl_z62lambda1963z62zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2639za7,
		BGl_z62zc3z04anonymousza31971ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzast_varz00,
		BgL_bgl_za762lambda1970za7622640z00, BGl_z62lambda1970z62zzast_varz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzast_varz00,
		BgL_bgl_za762lambda1969za7622641z00, BGl_z62lambda1969z62zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2oc2642z00,
		BGl_z62variablezd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzast_varz00,
		BgL_bgl_za762za7c3za704anonymo2643za7,
		BGl_z62zc3z04anonymousza31978ze3ze5zzast_varz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2644z00,
		BGl_z62cfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2option2645z00, BGl_z62sfunzd2optionalszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2namezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2646za7,
		BGl_z62sfunzd2argszd2namez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2evalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2eval2647z00, BGl_z62globalzd2evalzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2infixzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2infixza72648za7,
		BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2649za7,
		BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2funza7b02650za7, BGl_z62makezd2funzb0zzast_varz00, 0L,
		BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2valzd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2651za7,
		BGl_z62localzd2valzd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nodezd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nodeza72652za7, BGl_z62scnstzd2nodezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_feffectzd2writezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2653z00,
		BGl_z62feffectzd2writezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22654za7,
		BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2libraryzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2libr2655z00,
		BGl_z62globalzd2libraryzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762valueza7d2nilza7b2656za7, BGl_z62valuezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2fastza72657za7,
		BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2failsa2658z00, BGl_z62cfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencewzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2659z00,
		BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2occur2660z00,
		BGl_z62localzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2user2661z00, BGl_z62globalzd2userzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valuezf3zd2envz21zzast_varz00,
		BgL_bgl_za762valueza7f3za791za7za72662za7, BGl_z62valuezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2type2663z00, BGl_z62globalzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2664z00, BGl_z62sfunzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2predica2665z00,
		BGl_z62funzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762scnstza7d2locza7d2666za7,
		BGl_z62scnstzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762globalza7d2fast2667z00,
		BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2typezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2typeza72668za7, BGl_z62localzd2typezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2occu2669z00,
		BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf3zd2envz21zzast_varz00,
		BgL_bgl_za762localza7f3za791za7za72670za7, BGl_z62localzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2nilza7b02671za7, BGl_z62sfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2stackza72672za7,
		BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762variableza7d2fa2673z00,
		BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762localza7d2userza72674za7,
		BGl_z62localzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2occurrencezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2oc2675z00,
		BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7b2676za7, BGl_z62sfunzd2bodyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72677za7,
		BGl_z62globalzd2srczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2678z00,
		BGl_z62localzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32679za7,
		BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2aliaszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2alia2680z00, BGl_z62globalzd2aliaszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf3zd2envz21zzast_varz00,
		BgL_bgl_za762scnstza7f3za791za7za72681za7, BGl_z62scnstzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2pragmazd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2prag2682z00,
		BGl_z62globalzd2pragmazd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2683za7,
		BGl_z62sfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2variablezd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2variab2684z00, BGl_z62makezd2variablezb0zzast_varz00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2handlerzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2685z00,
		BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2aliaszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2alia2686z00,
		BGl_z62globalzd2aliaszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2svarza7b2687za7, BGl_z62makezd2svarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2remo2688z00,
		BGl_z62globalzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7b2689za7, BGl_z62sfunzd2argszb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72690za7,
		BGl_z62sfunzd2classzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2stackza7d2691za7,
		BGl_z62funzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2thezd2closurezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2692za7,
		BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2remo2693z00,
		BGl_z62globalzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2nilza72694za7, BGl_z62globalzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2acces2695z00,
		BGl_z62localzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2696za7,
		BGl_z62sfunzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzf3zd2envz21zzast_varz00,
		BgL_bgl_za762funza7f3za791za7za7as2697za7, BGl_z62funzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cfunza7f3za791za7za7a2698za7, BGl_z62cfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2predic2699z00,
		BGl_z62cfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2acce2700z00, BGl_z62globalzd2accesszb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2keyzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2keyza7f32701za7, BGl_z62sfunzd2keyzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2sideza7d2702za7,
		BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762variableza7d2fa2703z00,
		BGl_z62variablezd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2userzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2user2704z00,
		BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzf3zd2envz21zzast_varz00,
		BgL_bgl_za762sfunza7f3za791za7za7a2705za7, BGl_z62sfunzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2predicatezd2ofzd2envzd2zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2706z00,
		BGl_z62sfunzd2predicatezd2ofz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2sidezd2effectzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2sideza7d2707za7,
		BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencezd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2708z00,
		BGl_z62globalzd2occurrencezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2readzd2onlyzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7d2read2709z00,
		BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2valzd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762localza7d2valza7d2710za7,
		BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2feffectzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2feffec2711z00, BGl_z62makezd2feffectzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2theza7d2c2712za7,
		BGl_z62funzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762funza7d2predica2713z00,
		BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72714z00, BGl_z62funzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2re2715z00,
		BGl_z62variablezd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2dssslzd2keywordszd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2dssslza72716za7,
		BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2thezd2closurezd2globalzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2theza7d22717za7,
		BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2removablezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2remov2718z00,
		BGl_z62localzd2removablezb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cfunza7b2719za7, BGl_z62makezd2cfunzb0zzast_varz00,
		0L, BUNSPEC, 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2arityzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2arityza72720za7, BGl_z62cfunzd2arityzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762funza7d2topza7f3za72721z00,
		BGl_z62funzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2thezd2closurezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2theza7d22722za7,
		BGl_z62cfunzd2thezd2closurez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2effect2723z00, BGl_z62cfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2macrozf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2macroza72724za7,
		BGl_z62cfunzd2macrozf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2failsafezd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2failsaf2725z00, BGl_z62funzd2failsafezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2libraryzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2libr2726z00, BGl_z62globalzd2libraryzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2727z00, BGl_z62sfunzd2effectzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2occur2728z00,
		BGl_z62localzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762funza7d2nilza7b0za72729z00, BGl_z62funzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2accesszd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ac2730z00,
		BGl_z62variablezd2accesszb0zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2remov2731z00,
		BGl_z62localzd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf3zd2envz21zzast_varz00,
		BgL_bgl_za762globalza7f3za791za72732z00, BGl_z62globalzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2ni2733z00, BGl_z62variablezd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sexitzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2sexitza72734za7, BGl_z62makezd2sexitzb0zzast_varz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2retescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2735za7,
		BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2propertyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2736z00,
		BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2idzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2idza7b2737za7, BGl_z62globalzd2idzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzf3zd2envz21zzast_varz00,
		BgL_bgl_za762feffectza7f3za7912738za7, BGl_z62feffectzf3z91zzast_varz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2initzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2init2739z00, BGl_z62globalzd2initzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2importzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2impo2740z00,
		BGl_z62globalzd2importzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2predicatezd2ofzd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2predic2741z00,
		BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2volatilezd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2volat2742z00, BGl_z62localzd2volatilezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762localza7d2fastza72743za7,
		BGl_z62localzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2name2744z00,
		BGl_z62globalzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2modulezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2modu2745z00,
		BGl_z62globalzd2modulezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22746za7,
		BGl_z62funzd2argszd2retescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2propertyzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2proper2747z00, BGl_z62sfunzd2propertyzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2argszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2748za7,
		BGl_z62sfunzd2argszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2valuezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2va2749z00, BGl_z62variablezd2valuezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762localza7d2nilza7b2750za7, BGl_z62localzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2argsza7d22751za7,
		BGl_z62funzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7d22752za7,
		BGl_z62sfunzd2loczd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2nil2753z00, BGl_z62feffectzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2srczd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2srcza72754za7, BGl_z62globalzd2srczb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2strengthzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2streng2755z00,
		BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762scnstza7d2nilza7b2756za7, BGl_z62scnstzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2nilza7b2757za7, BGl_z62sexitzd2nilzb0zzast_varz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzd2detachedzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sexitza7d2detac2758z00,
		BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2option2759z00,
		BGl_z62sfunzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2na2760z00,
		BGl_z62variablezd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2namezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762localza7d2nameza72761za7,
		BGl_z62localzd2namezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2failsafezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2failsa2762z00,
		BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2fastzd2alphazd2envzd2zzast_varz00,
		BgL_bgl_za762globalza7d2fast2763z00,
		BGl_z62globalzd2fastzd2alphaz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2optionalzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762globalza7d2opti2764z00,
		BGl_z62globalzd2optionalzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2accesszd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762globalza7d2acce2765z00,
		BGl_z62globalzd2accesszd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762svarza7d2nilza7b02766za7, BGl_z62svarzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2bodyzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2bodyza7d2767za7,
		BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezf3zd2envz21zzast_varz00,
		BgL_bgl_za762variableza7f3za792768za7, BGl_z62variablezf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2effectzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2effect2769z00,
		BGl_z62sfunzd2effectzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2userzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762variableza7d2us2770z00,
		BGl_z62variablezd2userzf3z43zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2loczd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2locza7b02771za7, BGl_z62sfunzd2loczb0zzast_varz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_variablezd2removablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762variableza7d2re2772z00,
		BGl_z62variablezd2removablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2writezd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2wri2773z00, BGl_z62feffectzd2writezb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2stackablezd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762sfunza7d2stacka2774z00,
		BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_variablezd2namezd2envz00zzast_varz00,
		BgL_bgl_za762variableza7d2na2775z00, BGl_z62variablezd2namezb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2localzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2localza72776za7, BGl_z62makezd2localzb0zzast_varz00,
		0L, BUNSPEC, 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2777za7,
		BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2classzd2envz00zzast_varz00,
		BgL_bgl_za762sfunza7d2classza72778za7, BGl_z62sfunzd2classzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2evalzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762globalza7d2eval2779z00,
		BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762cvarza7f3za791za7za7a2780za7, BGl_z62cvarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sfunzd2argszd2noescapezd2setz12zd2envz12zzast_varz00,
		BgL_bgl_za762sfunza7d2argsza7d2781za7,
		BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2scnstzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2scnstza72782za7, BGl_z62makezd2scnstzb0zzast_varz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf3zd2envz21zzast_varz00,
		BgL_bgl_za762svarza7f3za791za7za7a2783za7, BGl_z62svarzf3z91zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2nilzd2envz00zzast_varz00,
		BgL_bgl_za762cfunza7d2nilza7b02784za7, BGl_z62cfunzd2nilzb0zzast_varz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzd2stackzd2allocatorzd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2stackza72785za7,
		BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2occurrencewzd2envz00zzast_varz00,
		BgL_bgl_za762globalza7d2occu2786z00,
		BGl_z62globalzd2occurrencewzb0zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzd2handlerzd2envz00zzast_varz00,
		BgL_bgl_za762sexitza7d2handl2787z00, BGl_z62sexitzd2handlerzb0zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2argszd2noescapezd2envzd2zzast_varz00,
		BgL_bgl_za762cfunza7d2argsza7d2788za7,
		BGl_z62cfunzd2argszd2noescapez62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762cfunza7d2topza7f32789za7, BGl_z62cfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzd2methodzd2setz12zd2envzc0zzast_varz00,
		BgL_bgl_za762cfunza7d2method2790z00,
		BGl_z62cfunzd2methodzd2setz12z70zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2setz12zd2envz33zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32791za7,
		BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funzd2sidezd2effectzd2envzd2zzast_varz00,
		BgL_bgl_za762funza7d2sideza7d22792za7,
		BGl_z62funzd2sidezd2effectz62zzast_varz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzd2envz00zzast_varz00,
		BgL_bgl_za762makeza7d2cvarza7b2793za7, BGl_z62makezd2cvarzb0zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sfunzd2topzf3zd2envzf3zzast_varz00,
		BgL_bgl_za762sfunza7d2topza7f32794za7, BGl_z62sfunzd2topzf3z43zzast_varz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectzd2readzd2envz00zzast_varz00,
		BgL_bgl_za762feffectza7d2rea2795z00, BGl_z62feffectzd2readzb0zzast_varz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_varz00));
		     ADD_ROOT((void *) (&BGl_funz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_sexitz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_svarz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cfunz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_localz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_feffectz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_scnstz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_valuez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_variablez00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_globalz00zzast_varz00));
		     ADD_ROOT((void *) (&BGl_cvarz00zzast_varz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long
		BgL_checksumz00_4237, char *BgL_fromz00_4238)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_varz00))
				{
					BGl_requirezd2initializa7ationz75zzast_varz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_varz00();
					BGl_libraryzd2moduleszd2initz00zzast_varz00();
					BGl_cnstzd2initzd2zzast_varz00();
					BGl_importedzd2moduleszd2initz00zzast_varz00();
					BGl_objectzd2initzd2zzast_varz00();
					return BGl_methodzd2initzd2zzast_varz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_var");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_var");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_var");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 14 */
				obj_t BgL_cportz00_3754;

				{	/* Ast/var.scm 14 */
					obj_t BgL_stringz00_3761;

					BgL_stringz00_3761 = BGl_string2373z00zzast_varz00;
					{	/* Ast/var.scm 14 */
						obj_t BgL_startz00_3762;

						BgL_startz00_3762 = BINT(0L);
						{	/* Ast/var.scm 14 */
							obj_t BgL_endz00_3763;

							BgL_endz00_3763 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3761)));
							{	/* Ast/var.scm 14 */

								BgL_cportz00_3754 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3761, BgL_startz00_3762, BgL_endz00_3763);
				}}}}
				{
					long BgL_iz00_3755;

					BgL_iz00_3755 = 76L;
				BgL_loopz00_3756:
					if ((BgL_iz00_3755 == (-1L)))
						{	/* Ast/var.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/var.scm 14 */
							{	/* Ast/var.scm 14 */
								obj_t BgL_arg2374z00_3757;

								{	/* Ast/var.scm 14 */

									{	/* Ast/var.scm 14 */
										obj_t BgL_locationz00_3759;

										BgL_locationz00_3759 = BBOOL(((bool_t) 0));
										{	/* Ast/var.scm 14 */

											BgL_arg2374z00_3757 =
												BGl_readz00zz__readerz00(BgL_cportz00_3754,
												BgL_locationz00_3759);
										}
									}
								}
								{	/* Ast/var.scm 14 */
									int BgL_tmpz00_4265;

									BgL_tmpz00_4265 = (int) (BgL_iz00_3755);
									CNST_TABLE_SET(BgL_tmpz00_4265, BgL_arg2374z00_3757);
							}}
							{	/* Ast/var.scm 14 */
								int BgL_auxz00_3760;

								BgL_auxz00_3760 = (int) ((BgL_iz00_3755 - 1L));
								{
									long BgL_iz00_4270;

									BgL_iz00_4270 = (long) (BgL_auxz00_3760);
									BgL_iz00_3755 = BgL_iz00_4270;
									goto BgL_loopz00_3756;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* make-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_makezd2valuezd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 280 */
			{	/* Ast/var.sch 280 */
				BgL_valuez00_bglt BgL_new1187z00_3765;

				{	/* Ast/var.sch 280 */
					BgL_valuez00_bglt BgL_new1186z00_3766;

					BgL_new1186z00_3766 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.sch 280 */
						long BgL_arg1280z00_3767;

						BgL_arg1280z00_3767 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1186z00_3766), BgL_arg1280z00_3767);
					}
					BgL_new1187z00_3765 = BgL_new1186z00_3766;
				}
				return BgL_new1187z00_3765;
			}
		}

	}



/* &make-value */
	BgL_valuez00_bglt BGl_z62makezd2valuezb0zzast_varz00(obj_t BgL_envz00_2476)
	{
		{	/* Ast/var.sch 280 */
			return BGl_makezd2valuezd2zzast_varz00();
		}

	}



/* value? */
	BGL_EXPORTED_DEF bool_t BGl_valuezf3zf3zzast_varz00(obj_t BgL_objz00_3)
	{
		{	/* Ast/var.sch 281 */
			{	/* Ast/var.sch 281 */
				obj_t BgL_classz00_3768;

				BgL_classz00_3768 = BGl_valuez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* Ast/var.sch 281 */
						BgL_objectz00_bglt BgL_arg1858z00_3769;

						BgL_arg1858z00_3769 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 281 */
								long BgL_idxz00_3770;

								BgL_idxz00_3770 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3769);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3770 + 1L)) == BgL_classz00_3768);
							}
						else
							{	/* Ast/var.sch 281 */
								bool_t BgL_res2161z00_3773;

								{	/* Ast/var.sch 281 */
									obj_t BgL_oclassz00_3774;

									{	/* Ast/var.sch 281 */
										obj_t BgL_arg1866z00_3775;
										long BgL_arg1867z00_3776;

										BgL_arg1866z00_3775 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 281 */
											long BgL_arg1869z00_3777;

											BgL_arg1869z00_3777 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3769);
											BgL_arg1867z00_3776 = (BgL_arg1869z00_3777 - OBJECT_TYPE);
										}
										BgL_oclassz00_3774 =
											VECTOR_REF(BgL_arg1866z00_3775, BgL_arg1867z00_3776);
									}
									{	/* Ast/var.sch 281 */
										bool_t BgL__ortest_1115z00_3778;

										BgL__ortest_1115z00_3778 =
											(BgL_classz00_3768 == BgL_oclassz00_3774);
										if (BgL__ortest_1115z00_3778)
											{	/* Ast/var.sch 281 */
												BgL_res2161z00_3773 = BgL__ortest_1115z00_3778;
											}
										else
											{	/* Ast/var.sch 281 */
												long BgL_odepthz00_3779;

												{	/* Ast/var.sch 281 */
													obj_t BgL_arg1855z00_3780;

													BgL_arg1855z00_3780 = (BgL_oclassz00_3774);
													BgL_odepthz00_3779 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3780);
												}
												if ((1L < BgL_odepthz00_3779))
													{	/* Ast/var.sch 281 */
														obj_t BgL_arg1853z00_3781;

														{	/* Ast/var.sch 281 */
															obj_t BgL_arg1854z00_3782;

															BgL_arg1854z00_3782 = (BgL_oclassz00_3774);
															BgL_arg1853z00_3781 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3782,
																1L);
														}
														BgL_res2161z00_3773 =
															(BgL_arg1853z00_3781 == BgL_classz00_3768);
													}
												else
													{	/* Ast/var.sch 281 */
														BgL_res2161z00_3773 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2161z00_3773;
							}
					}
				else
					{	/* Ast/var.sch 281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &value? */
	obj_t BGl_z62valuezf3z91zzast_varz00(obj_t BgL_envz00_2477,
		obj_t BgL_objz00_2478)
	{
		{	/* Ast/var.sch 281 */
			return BBOOL(BGl_valuezf3zf3zzast_varz00(BgL_objz00_2478));
		}

	}



/* value-nil */
	BGL_EXPORTED_DEF BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 282 */
			{	/* Ast/var.sch 282 */
				obj_t BgL_classz00_1618;

				BgL_classz00_1618 = BGl_valuez00zzast_varz00;
				{	/* Ast/var.sch 282 */
					obj_t BgL__ortest_1117z00_1619;

					BgL__ortest_1117z00_1619 = BGL_CLASS_NIL(BgL_classz00_1618);
					if (CBOOL(BgL__ortest_1117z00_1619))
						{	/* Ast/var.sch 282 */
							return ((BgL_valuez00_bglt) BgL__ortest_1117z00_1619);
						}
					else
						{	/* Ast/var.sch 282 */
							return
								((BgL_valuez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1618));
						}
				}
			}
		}

	}



/* &value-nil */
	BgL_valuez00_bglt BGl_z62valuezd2nilzb0zzast_varz00(obj_t BgL_envz00_2479)
	{
		{	/* Ast/var.sch 282 */
			return BGl_valuezd2nilzd2zzast_varz00();
		}

	}



/* make-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_makezd2variablezd2zzast_varz00(obj_t
		BgL_id1284z00_4, obj_t BgL_name1285z00_5,
		BgL_typez00_bglt BgL_type1286z00_6, BgL_valuez00_bglt BgL_value1287z00_7,
		obj_t BgL_access1288z00_8, obj_t BgL_fastzd2alpha1289zd2_9,
		obj_t BgL_removable1290z00_10, long BgL_occurrence1291z00_11,
		long BgL_occurrencew1292z00_12, bool_t BgL_userzf31293zf3_13)
	{
		{	/* Ast/var.sch 285 */
			{	/* Ast/var.sch 285 */
				BgL_variablez00_bglt BgL_new1189z00_3783;

				{	/* Ast/var.sch 285 */
					BgL_variablez00_bglt BgL_new1188z00_3784;

					BgL_new1188z00_3784 =
						((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_variablez00_bgl))));
					{	/* Ast/var.sch 285 */
						long BgL_arg1281z00_3785;

						BgL_arg1281z00_3785 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1188z00_3784), BgL_arg1281z00_3785);
					}
					BgL_new1189z00_3783 = BgL_new1188z00_3784;
				}
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->BgL_idz00) =
					((obj_t) BgL_id1284z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->BgL_namez00) =
					((obj_t) BgL_name1285z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1286z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1287z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_accessz00) = ((obj_t) BgL_access1288z00_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1289zd2_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_removablez00) = ((obj_t) BgL_removable1290z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_occurrencez00) = ((long) BgL_occurrence1291z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_occurrencewz00) = ((long) BgL_occurrencew1292z00_12), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(BgL_new1189z00_3783))->
						BgL_userzf3zf3) = ((bool_t) BgL_userzf31293zf3_13), BUNSPEC);
				return BgL_new1189z00_3783;
			}
		}

	}



/* &make-variable */
	BgL_variablez00_bglt BGl_z62makezd2variablezb0zzast_varz00(obj_t
		BgL_envz00_2480, obj_t BgL_id1284z00_2481, obj_t BgL_name1285z00_2482,
		obj_t BgL_type1286z00_2483, obj_t BgL_value1287z00_2484,
		obj_t BgL_access1288z00_2485, obj_t BgL_fastzd2alpha1289zd2_2486,
		obj_t BgL_removable1290z00_2487, obj_t BgL_occurrence1291z00_2488,
		obj_t BgL_occurrencew1292z00_2489, obj_t BgL_userzf31293zf3_2490)
	{
		{	/* Ast/var.sch 285 */
			return
				BGl_makezd2variablezd2zzast_varz00(BgL_id1284z00_2481,
				BgL_name1285z00_2482, ((BgL_typez00_bglt) BgL_type1286z00_2483),
				((BgL_valuez00_bglt) BgL_value1287z00_2484), BgL_access1288z00_2485,
				BgL_fastzd2alpha1289zd2_2486, BgL_removable1290z00_2487,
				(long) CINT(BgL_occurrence1291z00_2488),
				(long) CINT(BgL_occurrencew1292z00_2489),
				CBOOL(BgL_userzf31293zf3_2490));
		}

	}



/* variable? */
	BGL_EXPORTED_DEF bool_t BGl_variablezf3zf3zzast_varz00(obj_t BgL_objz00_14)
	{
		{	/* Ast/var.sch 286 */
			{	/* Ast/var.sch 286 */
				obj_t BgL_classz00_3786;

				BgL_classz00_3786 = BGl_variablez00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_14))
					{	/* Ast/var.sch 286 */
						BgL_objectz00_bglt BgL_arg1858z00_3787;

						BgL_arg1858z00_3787 = (BgL_objectz00_bglt) (BgL_objz00_14);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 286 */
								long BgL_idxz00_3788;

								BgL_idxz00_3788 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3787);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3788 + 1L)) == BgL_classz00_3786);
							}
						else
							{	/* Ast/var.sch 286 */
								bool_t BgL_res2162z00_3791;

								{	/* Ast/var.sch 286 */
									obj_t BgL_oclassz00_3792;

									{	/* Ast/var.sch 286 */
										obj_t BgL_arg1866z00_3793;
										long BgL_arg1867z00_3794;

										BgL_arg1866z00_3793 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 286 */
											long BgL_arg1869z00_3795;

											BgL_arg1869z00_3795 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3787);
											BgL_arg1867z00_3794 = (BgL_arg1869z00_3795 - OBJECT_TYPE);
										}
										BgL_oclassz00_3792 =
											VECTOR_REF(BgL_arg1866z00_3793, BgL_arg1867z00_3794);
									}
									{	/* Ast/var.sch 286 */
										bool_t BgL__ortest_1115z00_3796;

										BgL__ortest_1115z00_3796 =
											(BgL_classz00_3786 == BgL_oclassz00_3792);
										if (BgL__ortest_1115z00_3796)
											{	/* Ast/var.sch 286 */
												BgL_res2162z00_3791 = BgL__ortest_1115z00_3796;
											}
										else
											{	/* Ast/var.sch 286 */
												long BgL_odepthz00_3797;

												{	/* Ast/var.sch 286 */
													obj_t BgL_arg1855z00_3798;

													BgL_arg1855z00_3798 = (BgL_oclassz00_3792);
													BgL_odepthz00_3797 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3798);
												}
												if ((1L < BgL_odepthz00_3797))
													{	/* Ast/var.sch 286 */
														obj_t BgL_arg1853z00_3799;

														{	/* Ast/var.sch 286 */
															obj_t BgL_arg1854z00_3800;

															BgL_arg1854z00_3800 = (BgL_oclassz00_3792);
															BgL_arg1853z00_3799 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3800,
																1L);
														}
														BgL_res2162z00_3791 =
															(BgL_arg1853z00_3799 == BgL_classz00_3786);
													}
												else
													{	/* Ast/var.sch 286 */
														BgL_res2162z00_3791 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2162z00_3791;
							}
					}
				else
					{	/* Ast/var.sch 286 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &variable? */
	obj_t BGl_z62variablezf3z91zzast_varz00(obj_t BgL_envz00_2491,
		obj_t BgL_objz00_2492)
	{
		{	/* Ast/var.sch 286 */
			return BBOOL(BGl_variablezf3zf3zzast_varz00(BgL_objz00_2492));
		}

	}



/* variable-nil */
	BGL_EXPORTED_DEF BgL_variablez00_bglt BGl_variablezd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 287 */
			{	/* Ast/var.sch 287 */
				obj_t BgL_classz00_1660;

				BgL_classz00_1660 = BGl_variablez00zzast_varz00;
				{	/* Ast/var.sch 287 */
					obj_t BgL__ortest_1117z00_1661;

					BgL__ortest_1117z00_1661 = BGL_CLASS_NIL(BgL_classz00_1660);
					if (CBOOL(BgL__ortest_1117z00_1661))
						{	/* Ast/var.sch 287 */
							return ((BgL_variablez00_bglt) BgL__ortest_1117z00_1661);
						}
					else
						{	/* Ast/var.sch 287 */
							return
								((BgL_variablez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1660));
						}
				}
			}
		}

	}



/* &variable-nil */
	BgL_variablez00_bglt BGl_z62variablezd2nilzb0zzast_varz00(obj_t
		BgL_envz00_2493)
	{
		{	/* Ast/var.sch 287 */
			return BGl_variablezd2nilzd2zzast_varz00();
		}

	}



/* variable-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_variablezd2userzf3z21zzast_varz00(BgL_variablez00_bglt BgL_oz00_15)
	{
		{	/* Ast/var.sch 288 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_15))->BgL_userzf3zf3);
		}

	}



/* &variable-user? */
	obj_t BGl_z62variablezd2userzf3z43zzast_varz00(obj_t BgL_envz00_2494,
		obj_t BgL_oz00_2495)
	{
		{	/* Ast/var.sch 288 */
			return
				BBOOL(BGl_variablezd2userzf3z21zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2495)));
		}

	}



/* variable-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_16, bool_t BgL_vz00_17)
	{
		{	/* Ast/var.sch 289 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_16))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_17), BUNSPEC);
		}

	}



/* &variable-user?-set! */
	obj_t BGl_z62variablezd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2496,
		obj_t BgL_oz00_2497, obj_t BgL_vz00_2498)
	{
		{	/* Ast/var.sch 289 */
			return
				BGl_variablezd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2497), CBOOL(BgL_vz00_2498));
		}

	}



/* variable-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencewzd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_18)
	{
		{	/* Ast/var.sch 290 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_18))->BgL_occurrencewz00);
		}

	}



/* &variable-occurrencew */
	obj_t BGl_z62variablezd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2499,
		obj_t BgL_oz00_2500)
	{
		{	/* Ast/var.sch 290 */
			return
				BINT(BGl_variablezd2occurrencewzd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2500)));
		}

	}



/* variable-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_19, long BgL_vz00_20)
	{
		{	/* Ast/var.sch 291 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_19))->BgL_occurrencewz00) =
				((long) BgL_vz00_20), BUNSPEC);
		}

	}



/* &variable-occurrencew-set! */
	obj_t BGl_z62variablezd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2501, obj_t BgL_oz00_2502, obj_t BgL_vz00_2503)
	{
		{	/* Ast/var.sch 291 */
			return
				BGl_variablezd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2502), (long) CINT(BgL_vz00_2503));
		}

	}



/* variable-occurrence */
	BGL_EXPORTED_DEF long
		BGl_variablezd2occurrencezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_21)
	{
		{	/* Ast/var.sch 292 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_21))->BgL_occurrencez00);
		}

	}



/* &variable-occurrence */
	obj_t BGl_z62variablezd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2504,
		obj_t BgL_oz00_2505)
	{
		{	/* Ast/var.sch 292 */
			return
				BINT(BGl_variablezd2occurrencezd2zzast_varz00(
					((BgL_variablez00_bglt) BgL_oz00_2505)));
		}

	}



/* variable-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2occurrencezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_22, long BgL_vz00_23)
	{
		{	/* Ast/var.sch 293 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_22))->BgL_occurrencez00) =
				((long) BgL_vz00_23), BUNSPEC);
		}

	}



/* &variable-occurrence-set! */
	obj_t BGl_z62variablezd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2506, obj_t BgL_oz00_2507, obj_t BgL_vz00_2508)
	{
		{	/* Ast/var.sch 293 */
			return
				BGl_variablezd2occurrencezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2507), (long) CINT(BgL_vz00_2508));
		}

	}



/* variable-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_24)
	{
		{	/* Ast/var.sch 294 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_24))->BgL_removablez00);
		}

	}



/* &variable-removable */
	obj_t BGl_z62variablezd2removablezb0zzast_varz00(obj_t BgL_envz00_2509,
		obj_t BgL_oz00_2510)
	{
		{	/* Ast/var.sch 294 */
			return
				BGl_variablezd2removablezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2510));
		}

	}



/* variable-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2removablezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		{	/* Ast/var.sch 295 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_25))->BgL_removablez00) =
				((obj_t) BgL_vz00_26), BUNSPEC);
		}

	}



/* &variable-removable-set! */
	obj_t BGl_z62variablezd2removablezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2511, obj_t BgL_oz00_2512, obj_t BgL_vz00_2513)
	{
		{	/* Ast/var.sch 295 */
			return
				BGl_variablezd2removablezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2512), BgL_vz00_2513);
		}

	}



/* variable-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphaz00zzast_varz00(BgL_variablez00_bglt BgL_oz00_27)
	{
		{	/* Ast/var.sch 296 */
			return
				(((BgL_variablez00_bglt) COBJECT(BgL_oz00_27))->BgL_fastzd2alphazd2);
		}

	}



/* &variable-fast-alpha */
	obj_t BGl_z62variablezd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2514,
		obj_t BgL_oz00_2515)
	{
		{	/* Ast/var.sch 296 */
			return
				BGl_variablezd2fastzd2alphaz00zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2515));
		}

	}



/* variable-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_28, obj_t BgL_vz00_29)
	{
		{	/* Ast/var.sch 297 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_28))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_29), BUNSPEC);
		}

	}



/* &variable-fast-alpha-set! */
	obj_t BGl_z62variablezd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2516, obj_t BgL_oz00_2517, obj_t BgL_vz00_2518)
	{
		{	/* Ast/var.sch 297 */
			return
				BGl_variablezd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2517), BgL_vz00_2518);
		}

	}



/* variable-access */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_30)
	{
		{	/* Ast/var.sch 298 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_30))->BgL_accessz00);
		}

	}



/* &variable-access */
	obj_t BGl_z62variablezd2accesszb0zzast_varz00(obj_t BgL_envz00_2519,
		obj_t BgL_oz00_2520)
	{
		{	/* Ast/var.sch 298 */
			return
				BGl_variablezd2accesszd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2520));
		}

	}



/* variable-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2accesszd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		{	/* Ast/var.sch 299 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_31))->BgL_accessz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &variable-access-set! */
	obj_t BGl_z62variablezd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2521,
		obj_t BgL_oz00_2522, obj_t BgL_vz00_2523)
	{
		{	/* Ast/var.sch 299 */
			return
				BGl_variablezd2accesszd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2522), BgL_vz00_2523);
		}

	}



/* variable-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_variablezd2valuezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_33)
	{
		{	/* Ast/var.sch 300 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_33))->BgL_valuez00);
		}

	}



/* &variable-value */
	BgL_valuez00_bglt BGl_z62variablezd2valuezb0zzast_varz00(obj_t
		BgL_envz00_2524, obj_t BgL_oz00_2525)
	{
		{	/* Ast/var.sch 300 */
			return
				BGl_variablezd2valuezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2525));
		}

	}



/* variable-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2valuezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_34, BgL_valuez00_bglt BgL_vz00_35)
	{
		{	/* Ast/var.sch 301 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_34))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &variable-value-set! */
	obj_t BGl_z62variablezd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2526,
		obj_t BgL_oz00_2527, obj_t BgL_vz00_2528)
	{
		{	/* Ast/var.sch 301 */
			return
				BGl_variablezd2valuezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2527),
				((BgL_valuez00_bglt) BgL_vz00_2528));
		}

	}



/* variable-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_variablezd2typezd2zzast_varz00(BgL_variablez00_bglt BgL_oz00_36)
	{
		{	/* Ast/var.sch 302 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_36))->BgL_typez00);
		}

	}



/* &variable-type */
	BgL_typez00_bglt BGl_z62variablezd2typezb0zzast_varz00(obj_t BgL_envz00_2529,
		obj_t BgL_oz00_2530)
	{
		{	/* Ast/var.sch 302 */
			return
				BGl_variablezd2typezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2530));
		}

	}



/* variable-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2typezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_37, BgL_typez00_bglt BgL_vz00_38)
	{
		{	/* Ast/var.sch 303 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_37))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_38), BUNSPEC);
		}

	}



/* &variable-type-set! */
	obj_t BGl_z62variablezd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2531,
		obj_t BgL_oz00_2532, obj_t BgL_vz00_2533)
	{
		{	/* Ast/var.sch 303 */
			return
				BGl_variablezd2typezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2532),
				((BgL_typez00_bglt) BgL_vz00_2533));
		}

	}



/* variable-name */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2namezd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_39)
	{
		{	/* Ast/var.sch 304 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_39))->BgL_namez00);
		}

	}



/* &variable-name */
	obj_t BGl_z62variablezd2namezb0zzast_varz00(obj_t BgL_envz00_2534,
		obj_t BgL_oz00_2535)
	{
		{	/* Ast/var.sch 304 */
			return
				BGl_variablezd2namezd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2535));
		}

	}



/* variable-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_variablezd2namezd2setz12z12zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* Ast/var.sch 305 */
			return
				((((BgL_variablez00_bglt) COBJECT(BgL_oz00_40))->BgL_namez00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &variable-name-set! */
	obj_t BGl_z62variablezd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2536,
		obj_t BgL_oz00_2537, obj_t BgL_vz00_2538)
	{
		{	/* Ast/var.sch 305 */
			return
				BGl_variablezd2namezd2setz12z12zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2537), BgL_vz00_2538);
		}

	}



/* variable-id */
	BGL_EXPORTED_DEF obj_t BGl_variablezd2idzd2zzast_varz00(BgL_variablez00_bglt
		BgL_oz00_42)
	{
		{	/* Ast/var.sch 306 */
			return (((BgL_variablez00_bglt) COBJECT(BgL_oz00_42))->BgL_idz00);
		}

	}



/* &variable-id */
	obj_t BGl_z62variablezd2idzb0zzast_varz00(obj_t BgL_envz00_2539,
		obj_t BgL_oz00_2540)
	{
		{	/* Ast/var.sch 306 */
			return
				BGl_variablezd2idzd2zzast_varz00(
				((BgL_variablez00_bglt) BgL_oz00_2540));
		}

	}



/* make-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t
		BgL_id1263z00_45, obj_t BgL_name1264z00_46,
		BgL_typez00_bglt BgL_type1265z00_47, BgL_valuez00_bglt BgL_value1266z00_48,
		obj_t BgL_access1267z00_49, obj_t BgL_fastzd2alpha1268zd2_50,
		obj_t BgL_removable1269z00_51, long BgL_occurrence1270z00_52,
		long BgL_occurrencew1271z00_53, bool_t BgL_userzf31272zf3_54,
		obj_t BgL_module1273z00_55, obj_t BgL_import1274z00_56,
		bool_t BgL_evaluablezf31275zf3_57, bool_t BgL_evalzf31276zf3_58,
		obj_t BgL_library1277z00_59, obj_t BgL_pragma1278z00_60,
		obj_t BgL_src1279z00_61, obj_t BgL_qualifiedzd2typezd2name1280z00_62,
		obj_t BgL_init1281z00_63, obj_t BgL_alias1282z00_64)
	{
		{	/* Ast/var.sch 310 */
			{	/* Ast/var.sch 310 */
				BgL_globalz00_bglt BgL_new1192z00_3801;

				{	/* Ast/var.sch 310 */
					BgL_globalz00_bglt BgL_new1191z00_3802;

					BgL_new1191z00_3802 =
						((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalz00_bgl))));
					{	/* Ast/var.sch 310 */
						long BgL_arg1282z00_3803;

						BgL_arg1282z00_3803 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1191z00_3802), BgL_arg1282z00_3803);
					}
					{	/* Ast/var.sch 310 */
						BgL_objectz00_bglt BgL_tmpz00_4429;

						BgL_tmpz00_4429 = ((BgL_objectz00_bglt) BgL_new1191z00_3802);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4429, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1191z00_3802);
					BgL_new1192z00_3801 = BgL_new1191z00_3802;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1192z00_3801)))->BgL_idz00) =
					((obj_t) BgL_id1263z00_45), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_namez00) =
					((obj_t) BgL_name1264z00_46), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1265z00_47), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1266z00_48), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_accessz00) =
					((obj_t) BgL_access1267z00_49), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1268zd2_50), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_removablez00) =
					((obj_t) BgL_removable1269z00_51), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_occurrencez00) =
					((long) BgL_occurrence1270z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1271z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1192z00_3801)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31272zf3_54), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_modulez00) =
					((obj_t) BgL_module1273z00_55), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_importz00) =
					((obj_t) BgL_import1274z00_56), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->
						BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31275zf3_57), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31276zf3_58), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_libraryz00) =
					((obj_t) BgL_library1277z00_59), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1278z00_60), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_srcz00) =
					((obj_t) BgL_src1279z00_61), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->
						BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BgL_qualifiedzd2typezd2name1280z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_initz00) =
					((obj_t) BgL_init1281z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(BgL_new1192z00_3801))->BgL_aliasz00) =
					((obj_t) BgL_alias1282z00_64), BUNSPEC);
				return BgL_new1192z00_3801;
			}
		}

	}



/* &make-global */
	BgL_globalz00_bglt BGl_z62makezd2globalzb0zzast_varz00(obj_t BgL_envz00_2541,
		obj_t BgL_id1263z00_2542, obj_t BgL_name1264z00_2543,
		obj_t BgL_type1265z00_2544, obj_t BgL_value1266z00_2545,
		obj_t BgL_access1267z00_2546, obj_t BgL_fastzd2alpha1268zd2_2547,
		obj_t BgL_removable1269z00_2548, obj_t BgL_occurrence1270z00_2549,
		obj_t BgL_occurrencew1271z00_2550, obj_t BgL_userzf31272zf3_2551,
		obj_t BgL_module1273z00_2552, obj_t BgL_import1274z00_2553,
		obj_t BgL_evaluablezf31275zf3_2554, obj_t BgL_evalzf31276zf3_2555,
		obj_t BgL_library1277z00_2556, obj_t BgL_pragma1278z00_2557,
		obj_t BgL_src1279z00_2558, obj_t BgL_qualifiedzd2typezd2name1280z00_2559,
		obj_t BgL_init1281z00_2560, obj_t BgL_alias1282z00_2561)
	{
		{	/* Ast/var.sch 310 */
			return
				BGl_makezd2globalzd2zzast_varz00(BgL_id1263z00_2542,
				BgL_name1264z00_2543, ((BgL_typez00_bglt) BgL_type1265z00_2544),
				((BgL_valuez00_bglt) BgL_value1266z00_2545), BgL_access1267z00_2546,
				BgL_fastzd2alpha1268zd2_2547, BgL_removable1269z00_2548,
				(long) CINT(BgL_occurrence1270z00_2549),
				(long) CINT(BgL_occurrencew1271z00_2550),
				CBOOL(BgL_userzf31272zf3_2551), BgL_module1273z00_2552,
				BgL_import1274z00_2553, CBOOL(BgL_evaluablezf31275zf3_2554),
				CBOOL(BgL_evalzf31276zf3_2555), BgL_library1277z00_2556,
				BgL_pragma1278z00_2557, BgL_src1279z00_2558,
				BgL_qualifiedzd2typezd2name1280z00_2559, BgL_init1281z00_2560,
				BgL_alias1282z00_2561);
		}

	}



/* global? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf3zf3zzast_varz00(obj_t BgL_objz00_65)
	{
		{	/* Ast/var.sch 311 */
			{	/* Ast/var.sch 311 */
				obj_t BgL_classz00_3804;

				BgL_classz00_3804 = BGl_globalz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_65))
					{	/* Ast/var.sch 311 */
						BgL_objectz00_bglt BgL_arg1858z00_3805;

						BgL_arg1858z00_3805 = (BgL_objectz00_bglt) (BgL_objz00_65);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 311 */
								long BgL_idxz00_3806;

								BgL_idxz00_3806 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3805);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3806 + 2L)) == BgL_classz00_3804);
							}
						else
							{	/* Ast/var.sch 311 */
								bool_t BgL_res2163z00_3809;

								{	/* Ast/var.sch 311 */
									obj_t BgL_oclassz00_3810;

									{	/* Ast/var.sch 311 */
										obj_t BgL_arg1866z00_3811;
										long BgL_arg1867z00_3812;

										BgL_arg1866z00_3811 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 311 */
											long BgL_arg1869z00_3813;

											BgL_arg1869z00_3813 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3805);
											BgL_arg1867z00_3812 = (BgL_arg1869z00_3813 - OBJECT_TYPE);
										}
										BgL_oclassz00_3810 =
											VECTOR_REF(BgL_arg1866z00_3811, BgL_arg1867z00_3812);
									}
									{	/* Ast/var.sch 311 */
										bool_t BgL__ortest_1115z00_3814;

										BgL__ortest_1115z00_3814 =
											(BgL_classz00_3804 == BgL_oclassz00_3810);
										if (BgL__ortest_1115z00_3814)
											{	/* Ast/var.sch 311 */
												BgL_res2163z00_3809 = BgL__ortest_1115z00_3814;
											}
										else
											{	/* Ast/var.sch 311 */
												long BgL_odepthz00_3815;

												{	/* Ast/var.sch 311 */
													obj_t BgL_arg1855z00_3816;

													BgL_arg1855z00_3816 = (BgL_oclassz00_3810);
													BgL_odepthz00_3815 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3816);
												}
												if ((2L < BgL_odepthz00_3815))
													{	/* Ast/var.sch 311 */
														obj_t BgL_arg1853z00_3817;

														{	/* Ast/var.sch 311 */
															obj_t BgL_arg1854z00_3818;

															BgL_arg1854z00_3818 = (BgL_oclassz00_3810);
															BgL_arg1853z00_3817 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3818,
																2L);
														}
														BgL_res2163z00_3809 =
															(BgL_arg1853z00_3817 == BgL_classz00_3804);
													}
												else
													{	/* Ast/var.sch 311 */
														BgL_res2163z00_3809 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2163z00_3809;
							}
					}
				else
					{	/* Ast/var.sch 311 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global? */
	obj_t BGl_z62globalzf3z91zzast_varz00(obj_t BgL_envz00_2562,
		obj_t BgL_objz00_2563)
	{
		{	/* Ast/var.sch 311 */
			return BBOOL(BGl_globalzf3zf3zzast_varz00(BgL_objz00_2563));
		}

	}



/* global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_globalzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 312 */
			{	/* Ast/var.sch 312 */
				obj_t BgL_classz00_1703;

				BgL_classz00_1703 = BGl_globalz00zzast_varz00;
				{	/* Ast/var.sch 312 */
					obj_t BgL__ortest_1117z00_1704;

					BgL__ortest_1117z00_1704 = BGL_CLASS_NIL(BgL_classz00_1703);
					if (CBOOL(BgL__ortest_1117z00_1704))
						{	/* Ast/var.sch 312 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_1704);
						}
					else
						{	/* Ast/var.sch 312 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1703));
						}
				}
			}
		}

	}



/* &global-nil */
	BgL_globalz00_bglt BGl_z62globalzd2nilzb0zzast_varz00(obj_t BgL_envz00_2564)
	{
		{	/* Ast/var.sch 312 */
			return BGl_globalzd2nilzd2zzast_varz00();
		}

	}



/* global-alias */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2aliaszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_66)
	{
		{	/* Ast/var.sch 313 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_66))->BgL_aliasz00);
		}

	}



/* &global-alias */
	obj_t BGl_z62globalzd2aliaszb0zzast_varz00(obj_t BgL_envz00_2565,
		obj_t BgL_oz00_2566)
	{
		{	/* Ast/var.sch 313 */
			return
				BGl_globalzd2aliaszd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2566));
		}

	}



/* global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2aliaszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_67,
		obj_t BgL_vz00_68)
	{
		{	/* Ast/var.sch 314 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_67))->BgL_aliasz00) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}

	}



/* &global-alias-set! */
	obj_t BGl_z62globalzd2aliaszd2setz12z70zzast_varz00(obj_t BgL_envz00_2567,
		obj_t BgL_oz00_2568, obj_t BgL_vz00_2569)
	{
		{	/* Ast/var.sch 314 */
			return
				BGl_globalzd2aliaszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2568), BgL_vz00_2569);
		}

	}



/* global-init */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2initzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_69)
	{
		{	/* Ast/var.sch 315 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_69))->BgL_initz00);
		}

	}



/* &global-init */
	obj_t BGl_z62globalzd2initzb0zzast_varz00(obj_t BgL_envz00_2570,
		obj_t BgL_oz00_2571)
	{
		{	/* Ast/var.sch 315 */
			return
				BGl_globalzd2initzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2571));
		}

	}



/* global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2initzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_70,
		obj_t BgL_vz00_71)
	{
		{	/* Ast/var.sch 316 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_70))->BgL_initz00) =
				((obj_t) BgL_vz00_71), BUNSPEC);
		}

	}



/* &global-init-set! */
	obj_t BGl_z62globalzd2initzd2setz12z70zzast_varz00(obj_t BgL_envz00_2572,
		obj_t BgL_oz00_2573, obj_t BgL_vz00_2574)
	{
		{	/* Ast/var.sch 316 */
			return
				BGl_globalzd2initzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2573), BgL_vz00_2574);
		}

	}



/* global-qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2qualifiedzd2typezd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_72)
	{
		{	/* Ast/var.sch 317 */
			return
				(((BgL_globalz00_bglt) COBJECT(BgL_oz00_72))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &global-qualified-type-name */
	obj_t BGl_z62globalzd2qualifiedzd2typezd2namezb0zzast_varz00(obj_t
		BgL_envz00_2575, obj_t BgL_oz00_2576)
	{
		{	/* Ast/var.sch 317 */
			return
				BGl_globalzd2qualifiedzd2typezd2namezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2576));
		}

	}



/* global-qualified-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2qualifiedzd2typezd2namezd2setz12z12zzast_varz00
		(BgL_globalz00_bglt BgL_oz00_73, obj_t BgL_vz00_74)
	{
		{	/* Ast/var.sch 318 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_73))->
					BgL_qualifiedzd2typezd2namez00) = ((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &global-qualified-type-name-set! */
	obj_t BGl_z62globalzd2qualifiedzd2typezd2namezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2577, obj_t BgL_oz00_2578, obj_t BgL_vz00_2579)
	{
		{	/* Ast/var.sch 318 */
			return
				BGl_globalzd2qualifiedzd2typezd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2578), BgL_vz00_2579);
		}

	}



/* global-src */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2srczd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_75)
	{
		{	/* Ast/var.sch 319 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_75))->BgL_srcz00);
		}

	}



/* &global-src */
	obj_t BGl_z62globalzd2srczb0zzast_varz00(obj_t BgL_envz00_2580,
		obj_t BgL_oz00_2581)
	{
		{	/* Ast/var.sch 319 */
			return
				BGl_globalzd2srczd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2581));
		}

	}



/* global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2srczd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_76,
		obj_t BgL_vz00_77)
	{
		{	/* Ast/var.sch 320 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_76))->BgL_srcz00) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}

	}



/* &global-src-set! */
	obj_t BGl_z62globalzd2srczd2setz12z70zzast_varz00(obj_t BgL_envz00_2582,
		obj_t BgL_oz00_2583, obj_t BgL_vz00_2584)
	{
		{	/* Ast/var.sch 320 */
			return
				BGl_globalzd2srczd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2583), BgL_vz00_2584);
		}

	}



/* global-pragma */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2pragmazd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_78)
	{
		{	/* Ast/var.sch 321 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_78))->BgL_pragmaz00);
		}

	}



/* &global-pragma */
	obj_t BGl_z62globalzd2pragmazb0zzast_varz00(obj_t BgL_envz00_2585,
		obj_t BgL_oz00_2586)
	{
		{	/* Ast/var.sch 321 */
			return
				BGl_globalzd2pragmazd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2586));
		}

	}



/* global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2pragmazd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_79,
		obj_t BgL_vz00_80)
	{
		{	/* Ast/var.sch 322 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_79))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}

	}



/* &global-pragma-set! */
	obj_t BGl_z62globalzd2pragmazd2setz12z70zzast_varz00(obj_t BgL_envz00_2587,
		obj_t BgL_oz00_2588, obj_t BgL_vz00_2589)
	{
		{	/* Ast/var.sch 322 */
			return
				BGl_globalzd2pragmazd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2588), BgL_vz00_2589);
		}

	}



/* global-library */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2libraryzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_81)
	{
		{	/* Ast/var.sch 323 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_81))->BgL_libraryz00);
		}

	}



/* &global-library */
	obj_t BGl_z62globalzd2libraryzb0zzast_varz00(obj_t BgL_envz00_2590,
		obj_t BgL_oz00_2591)
	{
		{	/* Ast/var.sch 323 */
			return
				BGl_globalzd2libraryzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2591));
		}

	}



/* global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2libraryzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_82,
		obj_t BgL_vz00_83)
	{
		{	/* Ast/var.sch 324 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_82))->BgL_libraryz00) =
				((obj_t) BgL_vz00_83), BUNSPEC);
		}

	}



/* &global-library-set! */
	obj_t BGl_z62globalzd2libraryzd2setz12z70zzast_varz00(obj_t BgL_envz00_2592,
		obj_t BgL_oz00_2593, obj_t BgL_vz00_2594)
	{
		{	/* Ast/var.sch 324 */
			return
				BGl_globalzd2libraryzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2593), BgL_vz00_2594);
		}

	}



/* global-eval? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2evalzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/var.sch 325 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_84))->BgL_evalzf3zf3);
		}

	}



/* &global-eval? */
	obj_t BGl_z62globalzd2evalzf3z43zzast_varz00(obj_t BgL_envz00_2595,
		obj_t BgL_oz00_2596)
	{
		{	/* Ast/var.sch 325 */
			return
				BBOOL(BGl_globalzd2evalzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2596)));
		}

	}



/* global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_85,
		bool_t BgL_vz00_86)
	{
		{	/* Ast/var.sch 326 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_85))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_86), BUNSPEC);
		}

	}



/* &global-eval?-set! */
	obj_t BGl_z62globalzd2evalzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2597,
		obj_t BgL_oz00_2598, obj_t BgL_vz00_2599)
	{
		{	/* Ast/var.sch 326 */
			return
				BGl_globalzd2evalzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2598), CBOOL(BgL_vz00_2599));
		}

	}



/* global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2evaluablezf3z21zzast_varz00(BgL_globalz00_bglt BgL_oz00_87)
	{
		{	/* Ast/var.sch 327 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_87))->BgL_evaluablezf3zf3);
		}

	}



/* &global-evaluable? */
	obj_t BGl_z62globalzd2evaluablezf3z43zzast_varz00(obj_t BgL_envz00_2600,
		obj_t BgL_oz00_2601)
	{
		{	/* Ast/var.sch 327 */
			return
				BBOOL(BGl_globalzd2evaluablezf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2601)));
		}

	}



/* global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_88, bool_t BgL_vz00_89)
	{
		{	/* Ast/var.sch 328 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_88))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_89), BUNSPEC);
		}

	}



/* &global-evaluable?-set! */
	obj_t BGl_z62globalzd2evaluablezf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_2602, obj_t BgL_oz00_2603, obj_t BgL_vz00_2604)
	{
		{	/* Ast/var.sch 328 */
			return
				BGl_globalzd2evaluablezf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2603), CBOOL(BgL_vz00_2604));
		}

	}



/* global-import */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2importzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_90)
	{
		{	/* Ast/var.sch 329 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_90))->BgL_importz00);
		}

	}



/* &global-import */
	obj_t BGl_z62globalzd2importzb0zzast_varz00(obj_t BgL_envz00_2605,
		obj_t BgL_oz00_2606)
	{
		{	/* Ast/var.sch 329 */
			return
				BGl_globalzd2importzd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2606));
		}

	}



/* global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2importzd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_91,
		obj_t BgL_vz00_92)
	{
		{	/* Ast/var.sch 330 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_91))->BgL_importz00) =
				((obj_t) BgL_vz00_92), BUNSPEC);
		}

	}



/* &global-import-set! */
	obj_t BGl_z62globalzd2importzd2setz12z70zzast_varz00(obj_t BgL_envz00_2607,
		obj_t BgL_oz00_2608, obj_t BgL_vz00_2609)
	{
		{	/* Ast/var.sch 330 */
			return
				BGl_globalzd2importzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2608), BgL_vz00_2609);
		}

	}



/* global-module */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2modulezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_93)
	{
		{	/* Ast/var.sch 331 */
			return (((BgL_globalz00_bglt) COBJECT(BgL_oz00_93))->BgL_modulez00);
		}

	}



/* &global-module */
	obj_t BGl_z62globalzd2modulezb0zzast_varz00(obj_t BgL_envz00_2610,
		obj_t BgL_oz00_2611)
	{
		{	/* Ast/var.sch 331 */
			return
				BGl_globalzd2modulezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2611));
		}

	}



/* global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2modulezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_94,
		obj_t BgL_vz00_95)
	{
		{	/* Ast/var.sch 332 */
			return
				((((BgL_globalz00_bglt) COBJECT(BgL_oz00_94))->BgL_modulez00) =
				((obj_t) BgL_vz00_95), BUNSPEC);
		}

	}



/* &global-module-set! */
	obj_t BGl_z62globalzd2modulezd2setz12z70zzast_varz00(obj_t BgL_envz00_2612,
		obj_t BgL_oz00_2613, obj_t BgL_vz00_2614)
	{
		{	/* Ast/var.sch 332 */
			return
				BGl_globalzd2modulezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2613), BgL_vz00_2614);
		}

	}



/* global-user? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2userzf3z21zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_96)
	{
		{	/* Ast/var.sch 333 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_96)))->BgL_userzf3zf3);
		}

	}



/* &global-user? */
	obj_t BGl_z62globalzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2615,
		obj_t BgL_oz00_2616)
	{
		{	/* Ast/var.sch 333 */
			return
				BBOOL(BGl_globalzd2userzf3z21zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2616)));
		}

	}



/* global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(BgL_globalz00_bglt BgL_oz00_97,
		bool_t BgL_vz00_98)
	{
		{	/* Ast/var.sch 334 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_97)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_98), BUNSPEC);
		}

	}



/* &global-user?-set! */
	obj_t BGl_z62globalzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2617,
		obj_t BgL_oz00_2618, obj_t BgL_vz00_2619)
	{
		{	/* Ast/var.sch 334 */
			return
				BGl_globalzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2618), CBOOL(BgL_vz00_2619));
		}

	}



/* global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencewzd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_99)
	{
		{	/* Ast/var.sch 335 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_99)))->BgL_occurrencewz00);
		}

	}



/* &global-occurrencew */
	obj_t BGl_z62globalzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2620,
		obj_t BgL_oz00_2621)
	{
		{	/* Ast/var.sch 335 */
			return
				BINT(BGl_globalzd2occurrencewzd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2621)));
		}

	}



/* global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_100, long BgL_vz00_101)
	{
		{	/* Ast/var.sch 336 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_100)))->BgL_occurrencewz00) =
				((long) BgL_vz00_101), BUNSPEC);
		}

	}



/* &global-occurrencew-set! */
	obj_t BGl_z62globalzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2622, obj_t BgL_oz00_2623, obj_t BgL_vz00_2624)
	{
		{	/* Ast/var.sch 336 */
			return
				BGl_globalzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2623), (long) CINT(BgL_vz00_2624));
		}

	}



/* global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzd2occurrencezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_102)
	{
		{	/* Ast/var.sch 337 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_102)))->BgL_occurrencez00);
		}

	}



/* &global-occurrence */
	obj_t BGl_z62globalzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2625,
		obj_t BgL_oz00_2626)
	{
		{	/* Ast/var.sch 337 */
			return
				BINT(BGl_globalzd2occurrencezd2zzast_varz00(
					((BgL_globalz00_bglt) BgL_oz00_2626)));
		}

	}



/* global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2occurrencezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_103, long BgL_vz00_104)
	{
		{	/* Ast/var.sch 338 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_occurrencez00) =
				((long) BgL_vz00_104), BUNSPEC);
		}

	}



/* &global-occurrence-set! */
	obj_t BGl_z62globalzd2occurrencezd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2627, obj_t BgL_oz00_2628, obj_t BgL_vz00_2629)
	{
		{	/* Ast/var.sch 338 */
			return
				BGl_globalzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2628), (long) CINT(BgL_vz00_2629));
		}

	}



/* global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_105)
	{
		{	/* Ast/var.sch 339 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_105)))->BgL_removablez00);
		}

	}



/* &global-removable */
	obj_t BGl_z62globalzd2removablezb0zzast_varz00(obj_t BgL_envz00_2630,
		obj_t BgL_oz00_2631)
	{
		{	/* Ast/var.sch 339 */
			return
				BGl_globalzd2removablezd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2631));
		}

	}



/* global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2removablezd2setz12z12zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_106, obj_t BgL_vz00_107)
	{
		{	/* Ast/var.sch 340 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_removablez00) =
				((obj_t) BgL_vz00_107), BUNSPEC);
		}

	}



/* &global-removable-set! */
	obj_t BGl_z62globalzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2632,
		obj_t BgL_oz00_2633, obj_t BgL_vz00_2634)
	{
		{	/* Ast/var.sch 340 */
			return
				BGl_globalzd2removablezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2633), BgL_vz00_2634);
		}

	}



/* global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphaz00zzast_varz00(BgL_globalz00_bglt BgL_oz00_108)
	{
		{	/* Ast/var.sch 341 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_108)))->BgL_fastzd2alphazd2);
		}

	}



/* &global-fast-alpha */
	obj_t BGl_z62globalzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2635,
		obj_t BgL_oz00_2636)
	{
		{	/* Ast/var.sch 341 */
			return
				BGl_globalzd2fastzd2alphaz00zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2636));
		}

	}



/* global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_109, obj_t BgL_vz00_110)
	{
		{	/* Ast/var.sch 342 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_110), BUNSPEC);
		}

	}



/* &global-fast-alpha-set! */
	obj_t BGl_z62globalzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2637, obj_t BgL_oz00_2638, obj_t BgL_vz00_2639)
	{
		{	/* Ast/var.sch 342 */
			return
				BGl_globalzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2638), BgL_vz00_2639);
		}

	}



/* global-access */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2accesszd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_111)
	{
		{	/* Ast/var.sch 343 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_111)))->BgL_accessz00);
		}

	}



/* &global-access */
	obj_t BGl_z62globalzd2accesszb0zzast_varz00(obj_t BgL_envz00_2640,
		obj_t BgL_oz00_2641)
	{
		{	/* Ast/var.sch 343 */
			return
				BGl_globalzd2accesszd2zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2641));
		}

	}



/* global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2accesszd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_112,
		obj_t BgL_vz00_113)
	{
		{	/* Ast/var.sch 344 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_accessz00) =
				((obj_t) BgL_vz00_113), BUNSPEC);
		}

	}



/* &global-access-set! */
	obj_t BGl_z62globalzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2642,
		obj_t BgL_oz00_2643, obj_t BgL_vz00_2644)
	{
		{	/* Ast/var.sch 344 */
			return
				BGl_globalzd2accesszd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2643), BgL_vz00_2644);
		}

	}



/* global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzd2valuezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_114)
	{
		{	/* Ast/var.sch 345 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_114)))->BgL_valuez00);
		}

	}



/* &global-value */
	BgL_valuez00_bglt BGl_z62globalzd2valuezb0zzast_varz00(obj_t BgL_envz00_2645,
		obj_t BgL_oz00_2646)
	{
		{	/* Ast/var.sch 345 */
			return
				BGl_globalzd2valuezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2646));
		}

	}



/* global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2valuezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_115,
		BgL_valuez00_bglt BgL_vz00_116)
	{
		{	/* Ast/var.sch 346 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_116), BUNSPEC);
		}

	}



/* &global-value-set! */
	obj_t BGl_z62globalzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2647,
		obj_t BgL_oz00_2648, obj_t BgL_vz00_2649)
	{
		{	/* Ast/var.sch 346 */
			return
				BGl_globalzd2valuezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2648),
				((BgL_valuez00_bglt) BgL_vz00_2649));
		}

	}



/* global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzd2typezd2zzast_varz00(BgL_globalz00_bglt BgL_oz00_117)
	{
		{	/* Ast/var.sch 347 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_117)))->BgL_typez00);
		}

	}



/* &global-type */
	BgL_typez00_bglt BGl_z62globalzd2typezb0zzast_varz00(obj_t BgL_envz00_2650,
		obj_t BgL_oz00_2651)
	{
		{	/* Ast/var.sch 347 */
			return
				BGl_globalzd2typezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2651));
		}

	}



/* global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2typezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_118,
		BgL_typez00_bglt BgL_vz00_119)
	{
		{	/* Ast/var.sch 348 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_119), BUNSPEC);
		}

	}



/* &global-type-set! */
	obj_t BGl_z62globalzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2652,
		obj_t BgL_oz00_2653, obj_t BgL_vz00_2654)
	{
		{	/* Ast/var.sch 348 */
			return
				BGl_globalzd2typezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2653),
				((BgL_typez00_bglt) BgL_vz00_2654));
		}

	}



/* global-name */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2namezd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_120)
	{
		{	/* Ast/var.sch 349 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_120)))->BgL_namez00);
		}

	}



/* &global-name */
	obj_t BGl_z62globalzd2namezb0zzast_varz00(obj_t BgL_envz00_2655,
		obj_t BgL_oz00_2656)
	{
		{	/* Ast/var.sch 349 */
			return
				BGl_globalzd2namezd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2656));
		}

	}



/* global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2namezd2setz12z12zzast_varz00(BgL_globalz00_bglt BgL_oz00_121,
		obj_t BgL_vz00_122)
	{
		{	/* Ast/var.sch 350 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_namez00) =
				((obj_t) BgL_vz00_122), BUNSPEC);
		}

	}



/* &global-name-set! */
	obj_t BGl_z62globalzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2657,
		obj_t BgL_oz00_2658, obj_t BgL_vz00_2659)
	{
		{	/* Ast/var.sch 350 */
			return
				BGl_globalzd2namezd2setz12z12zzast_varz00(
				((BgL_globalz00_bglt) BgL_oz00_2658), BgL_vz00_2659);
		}

	}



/* global-id */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2idzd2zzast_varz00(BgL_globalz00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/var.sch 351 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_123)))->BgL_idz00);
		}

	}



/* &global-id */
	obj_t BGl_z62globalzd2idzb0zzast_varz00(obj_t BgL_envz00_2660,
		obj_t BgL_oz00_2661)
	{
		{	/* Ast/var.sch 351 */
			return
				BGl_globalzd2idzd2zzast_varz00(((BgL_globalz00_bglt) BgL_oz00_2661));
		}

	}



/* make-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t
		BgL_id1249z00_126, obj_t BgL_name1250z00_127,
		BgL_typez00_bglt BgL_type1251z00_128,
		BgL_valuez00_bglt BgL_value1252z00_129, obj_t BgL_access1253z00_130,
		obj_t BgL_fastzd2alpha1254zd2_131, obj_t BgL_removable1255z00_132,
		long BgL_occurrence1256z00_133, long BgL_occurrencew1257z00_134,
		bool_t BgL_userzf31258zf3_135, long BgL_key1259z00_136,
		obj_t BgL_valzd2noescape1260zd2_137, bool_t BgL_volatile1261z00_138)
	{
		{	/* Ast/var.sch 355 */
			{	/* Ast/var.sch 355 */
				BgL_localz00_bglt BgL_new1194z00_3819;

				{	/* Ast/var.sch 355 */
					BgL_localz00_bglt BgL_new1193z00_3820;

					BgL_new1193z00_3820 =
						((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localz00_bgl))));
					{	/* Ast/var.sch 355 */
						long BgL_arg1284z00_3821;

						BgL_arg1284z00_3821 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1193z00_3820), BgL_arg1284z00_3821);
					}
					{	/* Ast/var.sch 355 */
						BgL_objectz00_bglt BgL_tmpz00_4654;

						BgL_tmpz00_4654 = ((BgL_objectz00_bglt) BgL_new1193z00_3820);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4654, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1193z00_3820);
					BgL_new1194z00_3819 = BgL_new1193z00_3820;
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1194z00_3819)))->BgL_idz00) =
					((obj_t) BgL_id1249z00_126), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_namez00) =
					((obj_t) BgL_name1250z00_127), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1251z00_128), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1252z00_129), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_accessz00) =
					((obj_t) BgL_access1253z00_130), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1254zd2_131), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_removablez00) =
					((obj_t) BgL_removable1255z00_132), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_occurrencez00) =
					((long) BgL_occurrence1256z00_133), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1257z00_134), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1194z00_3819)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31258zf3_135), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1194z00_3819))->BgL_keyz00) =
					((long) BgL_key1259z00_136), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1194z00_3819))->
						BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1260zd2_137), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(BgL_new1194z00_3819))->BgL_volatilez00) =
					((bool_t) BgL_volatile1261z00_138), BUNSPEC);
				return BgL_new1194z00_3819;
			}
		}

	}



/* &make-local */
	BgL_localz00_bglt BGl_z62makezd2localzb0zzast_varz00(obj_t BgL_envz00_2662,
		obj_t BgL_id1249z00_2663, obj_t BgL_name1250z00_2664,
		obj_t BgL_type1251z00_2665, obj_t BgL_value1252z00_2666,
		obj_t BgL_access1253z00_2667, obj_t BgL_fastzd2alpha1254zd2_2668,
		obj_t BgL_removable1255z00_2669, obj_t BgL_occurrence1256z00_2670,
		obj_t BgL_occurrencew1257z00_2671, obj_t BgL_userzf31258zf3_2672,
		obj_t BgL_key1259z00_2673, obj_t BgL_valzd2noescape1260zd2_2674,
		obj_t BgL_volatile1261z00_2675)
	{
		{	/* Ast/var.sch 355 */
			return
				BGl_makezd2localzd2zzast_varz00(BgL_id1249z00_2663,
				BgL_name1250z00_2664, ((BgL_typez00_bglt) BgL_type1251z00_2665),
				((BgL_valuez00_bglt) BgL_value1252z00_2666), BgL_access1253z00_2667,
				BgL_fastzd2alpha1254zd2_2668, BgL_removable1255z00_2669,
				(long) CINT(BgL_occurrence1256z00_2670),
				(long) CINT(BgL_occurrencew1257z00_2671),
				CBOOL(BgL_userzf31258zf3_2672), (long) CINT(BgL_key1259z00_2673),
				BgL_valzd2noescape1260zd2_2674, CBOOL(BgL_volatile1261z00_2675));
		}

	}



/* local? */
	BGL_EXPORTED_DEF bool_t BGl_localzf3zf3zzast_varz00(obj_t BgL_objz00_139)
	{
		{	/* Ast/var.sch 356 */
			{	/* Ast/var.sch 356 */
				obj_t BgL_classz00_3822;

				BgL_classz00_3822 = BGl_localz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_139))
					{	/* Ast/var.sch 356 */
						BgL_objectz00_bglt BgL_arg1858z00_3823;

						BgL_arg1858z00_3823 = (BgL_objectz00_bglt) (BgL_objz00_139);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 356 */
								long BgL_idxz00_3824;

								BgL_idxz00_3824 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3823);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3824 + 2L)) == BgL_classz00_3822);
							}
						else
							{	/* Ast/var.sch 356 */
								bool_t BgL_res2164z00_3827;

								{	/* Ast/var.sch 356 */
									obj_t BgL_oclassz00_3828;

									{	/* Ast/var.sch 356 */
										obj_t BgL_arg1866z00_3829;
										long BgL_arg1867z00_3830;

										BgL_arg1866z00_3829 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 356 */
											long BgL_arg1869z00_3831;

											BgL_arg1869z00_3831 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3823);
											BgL_arg1867z00_3830 = (BgL_arg1869z00_3831 - OBJECT_TYPE);
										}
										BgL_oclassz00_3828 =
											VECTOR_REF(BgL_arg1866z00_3829, BgL_arg1867z00_3830);
									}
									{	/* Ast/var.sch 356 */
										bool_t BgL__ortest_1115z00_3832;

										BgL__ortest_1115z00_3832 =
											(BgL_classz00_3822 == BgL_oclassz00_3828);
										if (BgL__ortest_1115z00_3832)
											{	/* Ast/var.sch 356 */
												BgL_res2164z00_3827 = BgL__ortest_1115z00_3832;
											}
										else
											{	/* Ast/var.sch 356 */
												long BgL_odepthz00_3833;

												{	/* Ast/var.sch 356 */
													obj_t BgL_arg1855z00_3834;

													BgL_arg1855z00_3834 = (BgL_oclassz00_3828);
													BgL_odepthz00_3833 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3834);
												}
												if ((2L < BgL_odepthz00_3833))
													{	/* Ast/var.sch 356 */
														obj_t BgL_arg1853z00_3835;

														{	/* Ast/var.sch 356 */
															obj_t BgL_arg1854z00_3836;

															BgL_arg1854z00_3836 = (BgL_oclassz00_3828);
															BgL_arg1853z00_3835 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3836,
																2L);
														}
														BgL_res2164z00_3827 =
															(BgL_arg1853z00_3835 == BgL_classz00_3822);
													}
												else
													{	/* Ast/var.sch 356 */
														BgL_res2164z00_3827 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2164z00_3827;
							}
					}
				else
					{	/* Ast/var.sch 356 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local? */
	obj_t BGl_z62localzf3z91zzast_varz00(obj_t BgL_envz00_2676,
		obj_t BgL_objz00_2677)
	{
		{	/* Ast/var.sch 356 */
			return BBOOL(BGl_localzf3zf3zzast_varz00(BgL_objz00_2677));
		}

	}



/* local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt BGl_localzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 357 */
			{	/* Ast/var.sch 357 */
				obj_t BgL_classz00_1746;

				BgL_classz00_1746 = BGl_localz00zzast_varz00;
				{	/* Ast/var.sch 357 */
					obj_t BgL__ortest_1117z00_1747;

					BgL__ortest_1117z00_1747 = BGL_CLASS_NIL(BgL_classz00_1746);
					if (CBOOL(BgL__ortest_1117z00_1747))
						{	/* Ast/var.sch 357 */
							return ((BgL_localz00_bglt) BgL__ortest_1117z00_1747);
						}
					else
						{	/* Ast/var.sch 357 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1746));
						}
				}
			}
		}

	}



/* &local-nil */
	BgL_localz00_bglt BGl_z62localzd2nilzb0zzast_varz00(obj_t BgL_envz00_2678)
	{
		{	/* Ast/var.sch 357 */
			return BGl_localzd2nilzd2zzast_varz00();
		}

	}



/* local-volatile */
	BGL_EXPORTED_DEF bool_t BGl_localzd2volatilezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_140)
	{
		{	/* Ast/var.sch 358 */
			return (((BgL_localz00_bglt) COBJECT(BgL_oz00_140))->BgL_volatilez00);
		}

	}



/* &local-volatile */
	obj_t BGl_z62localzd2volatilezb0zzast_varz00(obj_t BgL_envz00_2679,
		obj_t BgL_oz00_2680)
	{
		{	/* Ast/var.sch 358 */
			return
				BBOOL(BGl_localzd2volatilezd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2680)));
		}

	}



/* local-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2volatilezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_141,
		bool_t BgL_vz00_142)
	{
		{	/* Ast/var.sch 359 */
			return
				((((BgL_localz00_bglt) COBJECT(BgL_oz00_141))->BgL_volatilez00) =
				((bool_t) BgL_vz00_142), BUNSPEC);
		}

	}



/* &local-volatile-set! */
	obj_t BGl_z62localzd2volatilezd2setz12z70zzast_varz00(obj_t BgL_envz00_2681,
		obj_t BgL_oz00_2682, obj_t BgL_vz00_2683)
	{
		{	/* Ast/var.sch 359 */
			return
				BGl_localzd2volatilezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2682), CBOOL(BgL_vz00_2683));
		}

	}



/* local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapez00zzast_varz00(BgL_localz00_bglt BgL_oz00_143)
	{
		{	/* Ast/var.sch 360 */
			return
				(((BgL_localz00_bglt) COBJECT(BgL_oz00_143))->BgL_valzd2noescapezd2);
		}

	}



/* &local-val-noescape */
	obj_t BGl_z62localzd2valzd2noescapez62zzast_varz00(obj_t BgL_envz00_2684,
		obj_t BgL_oz00_2685)
	{
		{	/* Ast/var.sch 360 */
			return
				BGl_localzd2valzd2noescapez00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2685));
		}

	}



/* local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_144, obj_t BgL_vz00_145)
	{
		{	/* Ast/var.sch 361 */
			return
				((((BgL_localz00_bglt) COBJECT(BgL_oz00_144))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_145), BUNSPEC);
		}

	}



/* &local-val-noescape-set! */
	obj_t BGl_z62localzd2valzd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2686, obj_t BgL_oz00_2687, obj_t BgL_vz00_2688)
	{
		{	/* Ast/var.sch 361 */
			return
				BGl_localzd2valzd2noescapezd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2687), BgL_vz00_2688);
		}

	}



/* local-key */
	BGL_EXPORTED_DEF long BGl_localzd2keyzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_146)
	{
		{	/* Ast/var.sch 362 */
			return (((BgL_localz00_bglt) COBJECT(BgL_oz00_146))->BgL_keyz00);
		}

	}



/* &local-key */
	obj_t BGl_z62localzd2keyzb0zzast_varz00(obj_t BgL_envz00_2689,
		obj_t BgL_oz00_2690)
	{
		{	/* Ast/var.sch 362 */
			return
				BINT(BGl_localzd2keyzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2690)));
		}

	}



/* local-user? */
	BGL_EXPORTED_DEF bool_t BGl_localzd2userzf3z21zzast_varz00(BgL_localz00_bglt
		BgL_oz00_149)
	{
		{	/* Ast/var.sch 364 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_149)))->BgL_userzf3zf3);
		}

	}



/* &local-user? */
	obj_t BGl_z62localzd2userzf3z43zzast_varz00(obj_t BgL_envz00_2691,
		obj_t BgL_oz00_2692)
	{
		{	/* Ast/var.sch 364 */
			return
				BBOOL(BGl_localzd2userzf3z21zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2692)));
		}

	}



/* local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2userzf3zd2setz12ze1zzast_varz00(BgL_localz00_bglt BgL_oz00_150,
		bool_t BgL_vz00_151)
	{
		{	/* Ast/var.sch 365 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_150)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_151), BUNSPEC);
		}

	}



/* &local-user?-set! */
	obj_t BGl_z62localzd2userzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2693,
		obj_t BgL_oz00_2694, obj_t BgL_vz00_2695)
	{
		{	/* Ast/var.sch 365 */
			return
				BGl_localzd2userzf3zd2setz12ze1zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2694), CBOOL(BgL_vz00_2695));
		}

	}



/* local-occurrencew */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencewzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_152)
	{
		{	/* Ast/var.sch 366 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_152)))->BgL_occurrencewz00);
		}

	}



/* &local-occurrencew */
	obj_t BGl_z62localzd2occurrencewzb0zzast_varz00(obj_t BgL_envz00_2696,
		obj_t BgL_oz00_2697)
	{
		{	/* Ast/var.sch 366 */
			return
				BINT(BGl_localzd2occurrencewzd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2697)));
		}

	}



/* local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencewzd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_153, long BgL_vz00_154)
	{
		{	/* Ast/var.sch 367 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_153)))->BgL_occurrencewz00) =
				((long) BgL_vz00_154), BUNSPEC);
		}

	}



/* &local-occurrencew-set! */
	obj_t BGl_z62localzd2occurrencewzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2698, obj_t BgL_oz00_2699, obj_t BgL_vz00_2700)
	{
		{	/* Ast/var.sch 367 */
			return
				BGl_localzd2occurrencewzd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2699), (long) CINT(BgL_vz00_2700));
		}

	}



/* local-occurrence */
	BGL_EXPORTED_DEF long BGl_localzd2occurrencezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_155)
	{
		{	/* Ast/var.sch 368 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_155)))->BgL_occurrencez00);
		}

	}



/* &local-occurrence */
	obj_t BGl_z62localzd2occurrencezb0zzast_varz00(obj_t BgL_envz00_2701,
		obj_t BgL_oz00_2702)
	{
		{	/* Ast/var.sch 368 */
			return
				BINT(BGl_localzd2occurrencezd2zzast_varz00(
					((BgL_localz00_bglt) BgL_oz00_2702)));
		}

	}



/* local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2occurrencezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_156, long BgL_vz00_157)
	{
		{	/* Ast/var.sch 369 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_156)))->BgL_occurrencez00) =
				((long) BgL_vz00_157), BUNSPEC);
		}

	}



/* &local-occurrence-set! */
	obj_t BGl_z62localzd2occurrencezd2setz12z70zzast_varz00(obj_t BgL_envz00_2703,
		obj_t BgL_oz00_2704, obj_t BgL_vz00_2705)
	{
		{	/* Ast/var.sch 369 */
			return
				BGl_localzd2occurrencezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2704), (long) CINT(BgL_vz00_2705));
		}

	}



/* local-removable */
	BGL_EXPORTED_DEF obj_t BGl_localzd2removablezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_158)
	{
		{	/* Ast/var.sch 370 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_158)))->BgL_removablez00);
		}

	}



/* &local-removable */
	obj_t BGl_z62localzd2removablezb0zzast_varz00(obj_t BgL_envz00_2706,
		obj_t BgL_oz00_2707)
	{
		{	/* Ast/var.sch 370 */
			return
				BGl_localzd2removablezd2zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2707));
		}

	}



/* local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2removablezd2setz12z12zzast_varz00(BgL_localz00_bglt
		BgL_oz00_159, obj_t BgL_vz00_160)
	{
		{	/* Ast/var.sch 371 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_159)))->BgL_removablez00) =
				((obj_t) BgL_vz00_160), BUNSPEC);
		}

	}



/* &local-removable-set! */
	obj_t BGl_z62localzd2removablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2708,
		obj_t BgL_oz00_2709, obj_t BgL_vz00_2710)
	{
		{	/* Ast/var.sch 371 */
			return
				BGl_localzd2removablezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2709), BgL_vz00_2710);
		}

	}



/* local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphaz00zzast_varz00(BgL_localz00_bglt BgL_oz00_161)
	{
		{	/* Ast/var.sch 372 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_161)))->BgL_fastzd2alphazd2);
		}

	}



/* &local-fast-alpha */
	obj_t BGl_z62localzd2fastzd2alphaz62zzast_varz00(obj_t BgL_envz00_2711,
		obj_t BgL_oz00_2712)
	{
		{	/* Ast/var.sch 372 */
			return
				BGl_localzd2fastzd2alphaz00zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2712));
		}

	}



/* local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(BgL_localz00_bglt
		BgL_oz00_162, obj_t BgL_vz00_163)
	{
		{	/* Ast/var.sch 373 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_162)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_163), BUNSPEC);
		}

	}



/* &local-fast-alpha-set! */
	obj_t BGl_z62localzd2fastzd2alphazd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2713, obj_t BgL_oz00_2714, obj_t BgL_vz00_2715)
	{
		{	/* Ast/var.sch 373 */
			return
				BGl_localzd2fastzd2alphazd2setz12zc0zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2714), BgL_vz00_2715);
		}

	}



/* local-access */
	BGL_EXPORTED_DEF obj_t BGl_localzd2accesszd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_164)
	{
		{	/* Ast/var.sch 374 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_164)))->BgL_accessz00);
		}

	}



/* &local-access */
	obj_t BGl_z62localzd2accesszb0zzast_varz00(obj_t BgL_envz00_2716,
		obj_t BgL_oz00_2717)
	{
		{	/* Ast/var.sch 374 */
			return
				BGl_localzd2accesszd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2717));
		}

	}



/* local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2accesszd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_165,
		obj_t BgL_vz00_166)
	{
		{	/* Ast/var.sch 375 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_165)))->BgL_accessz00) =
				((obj_t) BgL_vz00_166), BUNSPEC);
		}

	}



/* &local-access-set! */
	obj_t BGl_z62localzd2accesszd2setz12z70zzast_varz00(obj_t BgL_envz00_2718,
		obj_t BgL_oz00_2719, obj_t BgL_vz00_2720)
	{
		{	/* Ast/var.sch 375 */
			return
				BGl_localzd2accesszd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2719), BgL_vz00_2720);
		}

	}



/* local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzd2valuezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_167)
	{
		{	/* Ast/var.sch 376 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_167)))->BgL_valuez00);
		}

	}



/* &local-value */
	BgL_valuez00_bglt BGl_z62localzd2valuezb0zzast_varz00(obj_t BgL_envz00_2721,
		obj_t BgL_oz00_2722)
	{
		{	/* Ast/var.sch 376 */
			return
				BGl_localzd2valuezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2722));
		}

	}



/* local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2valuezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_168,
		BgL_valuez00_bglt BgL_vz00_169)
	{
		{	/* Ast/var.sch 377 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_168)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_169), BUNSPEC);
		}

	}



/* &local-value-set! */
	obj_t BGl_z62localzd2valuezd2setz12z70zzast_varz00(obj_t BgL_envz00_2723,
		obj_t BgL_oz00_2724, obj_t BgL_vz00_2725)
	{
		{	/* Ast/var.sch 377 */
			return
				BGl_localzd2valuezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2724),
				((BgL_valuez00_bglt) BgL_vz00_2725));
		}

	}



/* local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzd2typezd2zzast_varz00(BgL_localz00_bglt BgL_oz00_170)
	{
		{	/* Ast/var.sch 378 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_170)))->BgL_typez00);
		}

	}



/* &local-type */
	BgL_typez00_bglt BGl_z62localzd2typezb0zzast_varz00(obj_t BgL_envz00_2726,
		obj_t BgL_oz00_2727)
	{
		{	/* Ast/var.sch 378 */
			return
				BGl_localzd2typezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2727));
		}

	}



/* local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2typezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_171,
		BgL_typez00_bglt BgL_vz00_172)
	{
		{	/* Ast/var.sch 379 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_171)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_172), BUNSPEC);
		}

	}



/* &local-type-set! */
	obj_t BGl_z62localzd2typezd2setz12z70zzast_varz00(obj_t BgL_envz00_2728,
		obj_t BgL_oz00_2729, obj_t BgL_vz00_2730)
	{
		{	/* Ast/var.sch 379 */
			return
				BGl_localzd2typezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2729),
				((BgL_typez00_bglt) BgL_vz00_2730));
		}

	}



/* local-name */
	BGL_EXPORTED_DEF obj_t BGl_localzd2namezd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_173)
	{
		{	/* Ast/var.sch 380 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_173)))->BgL_namez00);
		}

	}



/* &local-name */
	obj_t BGl_z62localzd2namezb0zzast_varz00(obj_t BgL_envz00_2731,
		obj_t BgL_oz00_2732)
	{
		{	/* Ast/var.sch 380 */
			return
				BGl_localzd2namezd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2732));
		}

	}



/* local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzd2namezd2setz12z12zzast_varz00(BgL_localz00_bglt BgL_oz00_174,
		obj_t BgL_vz00_175)
	{
		{	/* Ast/var.sch 381 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_174)))->BgL_namez00) =
				((obj_t) BgL_vz00_175), BUNSPEC);
		}

	}



/* &local-name-set! */
	obj_t BGl_z62localzd2namezd2setz12z70zzast_varz00(obj_t BgL_envz00_2733,
		obj_t BgL_oz00_2734, obj_t BgL_vz00_2735)
	{
		{	/* Ast/var.sch 381 */
			return
				BGl_localzd2namezd2setz12z12zzast_varz00(
				((BgL_localz00_bglt) BgL_oz00_2734), BgL_vz00_2735);
		}

	}



/* local-id */
	BGL_EXPORTED_DEF obj_t BGl_localzd2idzd2zzast_varz00(BgL_localz00_bglt
		BgL_oz00_176)
	{
		{	/* Ast/var.sch 382 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_176)))->BgL_idz00);
		}

	}



/* &local-id */
	obj_t BGl_z62localzd2idzb0zzast_varz00(obj_t BgL_envz00_2736,
		obj_t BgL_oz00_2737)
	{
		{	/* Ast/var.sch 382 */
			return BGl_localzd2idzd2zzast_varz00(((BgL_localz00_bglt) BgL_oz00_2737));
		}

	}



/* make-fun */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_makezd2funzd2zzast_varz00(long
		BgL_arity1238z00_179, obj_t BgL_sidezd2effect1239zd2_180,
		obj_t BgL_predicatezd2of1240zd2_181, obj_t BgL_stackzd2allocator1241zd2_182,
		bool_t BgL_topzf31242zf3_183, obj_t BgL_thezd2closure1243zd2_184,
		obj_t BgL_effect1244z00_185, obj_t BgL_failsafe1245z00_186,
		obj_t BgL_argszd2noescape1246zd2_187, obj_t BgL_argszd2retescape1247zd2_188)
	{
		{	/* Ast/var.sch 386 */
			{	/* Ast/var.sch 386 */
				BgL_funz00_bglt BgL_new1196z00_3837;

				{	/* Ast/var.sch 386 */
					BgL_funz00_bglt BgL_new1195z00_3838;

					BgL_new1195z00_3838 =
						((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funz00_bgl))));
					{	/* Ast/var.sch 386 */
						long BgL_arg1285z00_3839;

						BgL_arg1285z00_3839 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_3838), BgL_arg1285z00_3839);
					}
					BgL_new1196z00_3837 = BgL_new1195z00_3838;
				}
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->BgL_arityz00) =
					((long) BgL_arity1238z00_179), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1239zd2_180), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1240zd2_181), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1241zd2_182), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31242zf3_183), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1243zd2_184), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->BgL_effectz00) =
					((obj_t) BgL_effect1244z00_185), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->BgL_failsafez00) =
					((obj_t) BgL_failsafe1245z00_186), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1246zd2_187), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(BgL_new1196z00_3837))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1247zd2_188), BUNSPEC);
				return BgL_new1196z00_3837;
			}
		}

	}



/* &make-fun */
	BgL_funz00_bglt BGl_z62makezd2funzb0zzast_varz00(obj_t BgL_envz00_2738,
		obj_t BgL_arity1238z00_2739, obj_t BgL_sidezd2effect1239zd2_2740,
		obj_t BgL_predicatezd2of1240zd2_2741,
		obj_t BgL_stackzd2allocator1241zd2_2742, obj_t BgL_topzf31242zf3_2743,
		obj_t BgL_thezd2closure1243zd2_2744, obj_t BgL_effect1244z00_2745,
		obj_t BgL_failsafe1245z00_2746, obj_t BgL_argszd2noescape1246zd2_2747,
		obj_t BgL_argszd2retescape1247zd2_2748)
	{
		{	/* Ast/var.sch 386 */
			return
				BGl_makezd2funzd2zzast_varz00(
				(long) CINT(BgL_arity1238z00_2739), BgL_sidezd2effect1239zd2_2740,
				BgL_predicatezd2of1240zd2_2741, BgL_stackzd2allocator1241zd2_2742,
				CBOOL(BgL_topzf31242zf3_2743), BgL_thezd2closure1243zd2_2744,
				BgL_effect1244z00_2745, BgL_failsafe1245z00_2746,
				BgL_argszd2noescape1246zd2_2747, BgL_argszd2retescape1247zd2_2748);
		}

	}



/* fun? */
	BGL_EXPORTED_DEF bool_t BGl_funzf3zf3zzast_varz00(obj_t BgL_objz00_189)
	{
		{	/* Ast/var.sch 387 */
			{	/* Ast/var.sch 387 */
				obj_t BgL_classz00_3840;

				BgL_classz00_3840 = BGl_funz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_189))
					{	/* Ast/var.sch 387 */
						BgL_objectz00_bglt BgL_arg1858z00_3841;

						BgL_arg1858z00_3841 = (BgL_objectz00_bglt) (BgL_objz00_189);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 387 */
								long BgL_idxz00_3842;

								BgL_idxz00_3842 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3841);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3842 + 2L)) == BgL_classz00_3840);
							}
						else
							{	/* Ast/var.sch 387 */
								bool_t BgL_res2165z00_3845;

								{	/* Ast/var.sch 387 */
									obj_t BgL_oclassz00_3846;

									{	/* Ast/var.sch 387 */
										obj_t BgL_arg1866z00_3847;
										long BgL_arg1867z00_3848;

										BgL_arg1866z00_3847 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 387 */
											long BgL_arg1869z00_3849;

											BgL_arg1869z00_3849 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3841);
											BgL_arg1867z00_3848 = (BgL_arg1869z00_3849 - OBJECT_TYPE);
										}
										BgL_oclassz00_3846 =
											VECTOR_REF(BgL_arg1866z00_3847, BgL_arg1867z00_3848);
									}
									{	/* Ast/var.sch 387 */
										bool_t BgL__ortest_1115z00_3850;

										BgL__ortest_1115z00_3850 =
											(BgL_classz00_3840 == BgL_oclassz00_3846);
										if (BgL__ortest_1115z00_3850)
											{	/* Ast/var.sch 387 */
												BgL_res2165z00_3845 = BgL__ortest_1115z00_3850;
											}
										else
											{	/* Ast/var.sch 387 */
												long BgL_odepthz00_3851;

												{	/* Ast/var.sch 387 */
													obj_t BgL_arg1855z00_3852;

													BgL_arg1855z00_3852 = (BgL_oclassz00_3846);
													BgL_odepthz00_3851 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3852);
												}
												if ((2L < BgL_odepthz00_3851))
													{	/* Ast/var.sch 387 */
														obj_t BgL_arg1853z00_3853;

														{	/* Ast/var.sch 387 */
															obj_t BgL_arg1854z00_3854;

															BgL_arg1854z00_3854 = (BgL_oclassz00_3846);
															BgL_arg1853z00_3853 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3854,
																2L);
														}
														BgL_res2165z00_3845 =
															(BgL_arg1853z00_3853 == BgL_classz00_3840);
													}
												else
													{	/* Ast/var.sch 387 */
														BgL_res2165z00_3845 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2165z00_3845;
							}
					}
				else
					{	/* Ast/var.sch 387 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fun? */
	obj_t BGl_z62funzf3z91zzast_varz00(obj_t BgL_envz00_2749,
		obj_t BgL_objz00_2750)
	{
		{	/* Ast/var.sch 387 */
			return BBOOL(BGl_funzf3zf3zzast_varz00(BgL_objz00_2750));
		}

	}



/* fun-nil */
	BGL_EXPORTED_DEF BgL_funz00_bglt BGl_funzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 388 */
			{	/* Ast/var.sch 388 */
				obj_t BgL_classz00_1788;

				BgL_classz00_1788 = BGl_funz00zzast_varz00;
				{	/* Ast/var.sch 388 */
					obj_t BgL__ortest_1117z00_1789;

					BgL__ortest_1117z00_1789 = BGL_CLASS_NIL(BgL_classz00_1788);
					if (CBOOL(BgL__ortest_1117z00_1789))
						{	/* Ast/var.sch 388 */
							return ((BgL_funz00_bglt) BgL__ortest_1117z00_1789);
						}
					else
						{	/* Ast/var.sch 388 */
							return
								((BgL_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1788));
						}
				}
			}
		}

	}



/* &fun-nil */
	BgL_funz00_bglt BGl_z62funzd2nilzb0zzast_varz00(obj_t BgL_envz00_2751)
	{
		{	/* Ast/var.sch 388 */
			return BGl_funzd2nilzd2zzast_varz00();
		}

	}



/* fun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_190)
	{
		{	/* Ast/var.sch 389 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_190))->BgL_argszd2retescapezd2);
		}

	}



/* &fun-args-retescape */
	obj_t BGl_z62funzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2752,
		obj_t BgL_oz00_2753)
	{
		{	/* Ast/var.sch 389 */
			return
				BGl_funzd2argszd2retescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2753));
		}

	}



/* fun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_191, obj_t BgL_vz00_192)
	{
		{	/* Ast/var.sch 390 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_191))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_192), BUNSPEC);
		}

	}



/* &fun-args-retescape-set! */
	obj_t BGl_z62funzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2754, obj_t BgL_oz00_2755, obj_t BgL_vz00_2756)
	{
		{	/* Ast/var.sch 390 */
			return
				BGl_funzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2755), BgL_vz00_2756);
		}

	}



/* fun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapez00zzast_varz00(BgL_funz00_bglt BgL_oz00_193)
	{
		{	/* Ast/var.sch 391 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_193))->BgL_argszd2noescapezd2);
		}

	}



/* &fun-args-noescape */
	obj_t BGl_z62funzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2757,
		obj_t BgL_oz00_2758)
	{
		{	/* Ast/var.sch 391 */
			return
				BGl_funzd2argszd2noescapez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2758));
		}

	}



/* fun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_194, obj_t BgL_vz00_195)
	{
		{	/* Ast/var.sch 392 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_194))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_195), BUNSPEC);
		}

	}



/* &fun-args-noescape-set! */
	obj_t BGl_z62funzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2759, obj_t BgL_oz00_2760, obj_t BgL_vz00_2761)
	{
		{	/* Ast/var.sch 392 */
			return
				BGl_funzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2760), BgL_vz00_2761);
		}

	}



/* fun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_funzd2failsafezd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_196)
	{
		{	/* Ast/var.sch 393 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_196))->BgL_failsafez00);
		}

	}



/* &fun-failsafe */
	obj_t BGl_z62funzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2762,
		obj_t BgL_oz00_2763)
	{
		{	/* Ast/var.sch 393 */
			return
				BGl_funzd2failsafezd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2763));
		}

	}



/* fun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2failsafezd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_197,
		obj_t BgL_vz00_198)
	{
		{	/* Ast/var.sch 394 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_197))->BgL_failsafez00) =
				((obj_t) BgL_vz00_198), BUNSPEC);
		}

	}



/* &fun-failsafe-set! */
	obj_t BGl_z62funzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2764,
		obj_t BgL_oz00_2765, obj_t BgL_vz00_2766)
	{
		{	/* Ast/var.sch 394 */
			return
				BGl_funzd2failsafezd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2765), BgL_vz00_2766);
		}

	}



/* fun-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2effectzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_199)
	{
		{	/* Ast/var.sch 395 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_199))->BgL_effectz00);
		}

	}



/* &fun-effect */
	obj_t BGl_z62funzd2effectzb0zzast_varz00(obj_t BgL_envz00_2767,
		obj_t BgL_oz00_2768)
	{
		{	/* Ast/var.sch 395 */
			return BGl_funzd2effectzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2768));
		}

	}



/* fun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2effectzd2setz12z12zzast_varz00(BgL_funz00_bglt BgL_oz00_200,
		obj_t BgL_vz00_201)
	{
		{	/* Ast/var.sch 396 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_200))->BgL_effectz00) =
				((obj_t) BgL_vz00_201), BUNSPEC);
		}

	}



/* &fun-effect-set! */
	obj_t BGl_z62funzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2769,
		obj_t BgL_oz00_2770, obj_t BgL_vz00_2771)
	{
		{	/* Ast/var.sch 396 */
			return
				BGl_funzd2effectzd2setz12z12zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2770), BgL_vz00_2771);
		}

	}



/* fun-the-closure */
	BGL_EXPORTED_DEF obj_t BGl_funzd2thezd2closurez00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_202)
	{
		{	/* Ast/var.sch 397 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_202))->BgL_thezd2closurezd2);
		}

	}



/* &fun-the-closure */
	obj_t BGl_z62funzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2772,
		obj_t BgL_oz00_2773)
	{
		{	/* Ast/var.sch 397 */
			return
				BGl_funzd2thezd2closurez00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2773));
		}

	}



/* fun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* Ast/var.sch 398 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_203))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &fun-the-closure-set! */
	obj_t BGl_z62funzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2774, obj_t BgL_oz00_2775, obj_t BgL_vz00_2776)
	{
		{	/* Ast/var.sch 398 */
			return
				BGl_funzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2775), BgL_vz00_2776);
		}

	}



/* fun-top? */
	BGL_EXPORTED_DEF bool_t BGl_funzd2topzf3z21zzast_varz00(BgL_funz00_bglt
		BgL_oz00_205)
	{
		{	/* Ast/var.sch 399 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_205))->BgL_topzf3zf3);
		}

	}



/* &fun-top? */
	obj_t BGl_z62funzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2777,
		obj_t BgL_oz00_2778)
	{
		{	/* Ast/var.sch 399 */
			return
				BBOOL(BGl_funzd2topzf3z21zzast_varz00(
					((BgL_funz00_bglt) BgL_oz00_2778)));
		}

	}



/* fun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2topzf3zd2setz12ze1zzast_varz00(BgL_funz00_bglt BgL_oz00_206,
		bool_t BgL_vz00_207)
	{
		{	/* Ast/var.sch 400 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_206))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_207), BUNSPEC);
		}

	}



/* &fun-top?-set! */
	obj_t BGl_z62funzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2779,
		obj_t BgL_oz00_2780, obj_t BgL_vz00_2781)
	{
		{	/* Ast/var.sch 400 */
			return
				BGl_funzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2780), CBOOL(BgL_vz00_2781));
		}

	}



/* fun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorz00zzast_varz00(BgL_funz00_bglt BgL_oz00_208)
	{
		{	/* Ast/var.sch 401 */
			return
				(((BgL_funz00_bglt) COBJECT(BgL_oz00_208))->BgL_stackzd2allocatorzd2);
		}

	}



/* &fun-stack-allocator */
	obj_t BGl_z62funzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2782,
		obj_t BgL_oz00_2783)
	{
		{	/* Ast/var.sch 401 */
			return
				BGl_funzd2stackzd2allocatorz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2783));
		}

	}



/* fun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Ast/var.sch 402 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_209))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &fun-stack-allocator-set! */
	obj_t BGl_z62funzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2784, obj_t BgL_oz00_2785, obj_t BgL_vz00_2786)
	{
		{	/* Ast/var.sch 402 */
			return
				BGl_funzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2785), BgL_vz00_2786);
		}

	}



/* fun-predicate-of */
	BGL_EXPORTED_DEF obj_t BGl_funzd2predicatezd2ofz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_211)
	{
		{	/* Ast/var.sch 403 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_211))->BgL_predicatezd2ofzd2);
		}

	}



/* &fun-predicate-of */
	obj_t BGl_z62funzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2787,
		obj_t BgL_oz00_2788)
	{
		{	/* Ast/var.sch 403 */
			return
				BGl_funzd2predicatezd2ofz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2788));
		}

	}



/* fun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* Ast/var.sch 404 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_212))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &fun-predicate-of-set! */
	obj_t BGl_z62funzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2789, obj_t BgL_oz00_2790, obj_t BgL_vz00_2791)
	{
		{	/* Ast/var.sch 404 */
			return
				BGl_funzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2790), BgL_vz00_2791);
		}

	}



/* fun-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_funzd2sidezd2effectz00zzast_varz00(BgL_funz00_bglt
		BgL_oz00_214)
	{
		{	/* Ast/var.sch 405 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_214))->BgL_sidezd2effectzd2);
		}

	}



/* &fun-side-effect */
	obj_t BGl_z62funzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2792,
		obj_t BgL_oz00_2793)
	{
		{	/* Ast/var.sch 405 */
			return
				BGl_funzd2sidezd2effectz00zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2793));
		}

	}



/* fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_funz00_bglt
		BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Ast/var.sch 406 */
			return
				((((BgL_funz00_bglt) COBJECT(BgL_oz00_215))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &fun-side-effect-set! */
	obj_t BGl_z62funzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2794, obj_t BgL_oz00_2795, obj_t BgL_vz00_2796)
	{
		{	/* Ast/var.sch 406 */
			return
				BGl_funzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_funz00_bglt) BgL_oz00_2795), BgL_vz00_2796);
		}

	}



/* fun-arity */
	BGL_EXPORTED_DEF long BGl_funzd2arityzd2zzast_varz00(BgL_funz00_bglt
		BgL_oz00_217)
	{
		{	/* Ast/var.sch 407 */
			return (((BgL_funz00_bglt) COBJECT(BgL_oz00_217))->BgL_arityz00);
		}

	}



/* &fun-arity */
	obj_t BGl_z62funzd2arityzb0zzast_varz00(obj_t BgL_envz00_2797,
		obj_t BgL_oz00_2798)
	{
		{	/* Ast/var.sch 407 */
			return
				BINT(BGl_funzd2arityzd2zzast_varz00(((BgL_funz00_bglt) BgL_oz00_2798)));
		}

	}



/* make-sfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long
		BgL_arity1215z00_220, obj_t BgL_sidezd2effect1216zd2_221,
		obj_t BgL_predicatezd2of1217zd2_222, obj_t BgL_stackzd2allocator1218zd2_223,
		bool_t BgL_topzf31219zf3_224, obj_t BgL_thezd2closure1220zd2_225,
		obj_t BgL_effect1221z00_226, obj_t BgL_failsafe1222z00_227,
		obj_t BgL_argszd2noescape1223zd2_228, obj_t BgL_argszd2retescape1224zd2_229,
		obj_t BgL_property1225z00_230, obj_t BgL_args1226z00_231,
		obj_t BgL_argszd2name1227zd2_232, obj_t BgL_body1228z00_233,
		obj_t BgL_class1229z00_234, obj_t BgL_dssslzd2keywords1230zd2_235,
		obj_t BgL_loc1231z00_236, obj_t BgL_optionals1232z00_237,
		obj_t BgL_keys1233z00_238, obj_t BgL_thezd2closurezd2global1234z00_239,
		obj_t BgL_strength1235z00_240, obj_t BgL_stackable1236z00_241)
	{
		{	/* Ast/var.sch 411 */
			{	/* Ast/var.sch 411 */
				BgL_sfunz00_bglt BgL_new1198z00_3855;

				{	/* Ast/var.sch 411 */
					BgL_sfunz00_bglt BgL_new1197z00_3856;

					BgL_new1197z00_3856 =
						((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunz00_bgl))));
					{	/* Ast/var.sch 411 */
						long BgL_arg1287z00_3857;

						BgL_arg1287z00_3857 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_3856), BgL_arg1287z00_3857);
					}
					{	/* Ast/var.sch 411 */
						BgL_objectz00_bglt BgL_tmpz00_4934;

						BgL_tmpz00_4934 = ((BgL_objectz00_bglt) BgL_new1197z00_3856);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4934, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1197z00_3856);
					BgL_new1198z00_3855 = BgL_new1197z00_3856;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1198z00_3855)))->BgL_arityz00) =
					((long) BgL_arity1215z00_220), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1216zd2_221), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1217zd2_222), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1218zd2_223), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31219zf3_224), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1220zd2_225), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_effectz00) = ((obj_t) BgL_effect1221z00_226), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1222z00_227), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1223zd2_228), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1198z00_3855)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1224zd2_229), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_propertyz00) =
					((obj_t) BgL_property1225z00_230), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_argsz00) =
					((obj_t) BgL_args1226z00_231), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->
						BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1227zd2_232), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_bodyz00) =
					((obj_t) BgL_body1228z00_233), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_classz00) =
					((obj_t) BgL_class1229z00_234), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1230zd2_235), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_locz00) =
					((obj_t) BgL_loc1231z00_236), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1232z00_237), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_keysz00) =
					((obj_t) BgL_keys1233z00_238), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1234z00_239), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_strengthz00) =
					((obj_t) BgL_strength1235z00_240), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(BgL_new1198z00_3855))->BgL_stackablez00) =
					((obj_t) BgL_stackable1236z00_241), BUNSPEC);
				return BgL_new1198z00_3855;
			}
		}

	}



/* &make-sfun */
	BgL_sfunz00_bglt BGl_z62makezd2sfunzb0zzast_varz00(obj_t BgL_envz00_2799,
		obj_t BgL_arity1215z00_2800, obj_t BgL_sidezd2effect1216zd2_2801,
		obj_t BgL_predicatezd2of1217zd2_2802,
		obj_t BgL_stackzd2allocator1218zd2_2803, obj_t BgL_topzf31219zf3_2804,
		obj_t BgL_thezd2closure1220zd2_2805, obj_t BgL_effect1221z00_2806,
		obj_t BgL_failsafe1222z00_2807, obj_t BgL_argszd2noescape1223zd2_2808,
		obj_t BgL_argszd2retescape1224zd2_2809, obj_t BgL_property1225z00_2810,
		obj_t BgL_args1226z00_2811, obj_t BgL_argszd2name1227zd2_2812,
		obj_t BgL_body1228z00_2813, obj_t BgL_class1229z00_2814,
		obj_t BgL_dssslzd2keywords1230zd2_2815, obj_t BgL_loc1231z00_2816,
		obj_t BgL_optionals1232z00_2817, obj_t BgL_keys1233z00_2818,
		obj_t BgL_thezd2closurezd2global1234z00_2819,
		obj_t BgL_strength1235z00_2820, obj_t BgL_stackable1236z00_2821)
	{
		{	/* Ast/var.sch 411 */
			return
				BGl_makezd2sfunzd2zzast_varz00(
				(long) CINT(BgL_arity1215z00_2800), BgL_sidezd2effect1216zd2_2801,
				BgL_predicatezd2of1217zd2_2802, BgL_stackzd2allocator1218zd2_2803,
				CBOOL(BgL_topzf31219zf3_2804), BgL_thezd2closure1220zd2_2805,
				BgL_effect1221z00_2806, BgL_failsafe1222z00_2807,
				BgL_argszd2noescape1223zd2_2808, BgL_argszd2retescape1224zd2_2809,
				BgL_property1225z00_2810, BgL_args1226z00_2811,
				BgL_argszd2name1227zd2_2812, BgL_body1228z00_2813,
				BgL_class1229z00_2814, BgL_dssslzd2keywords1230zd2_2815,
				BgL_loc1231z00_2816, BgL_optionals1232z00_2817, BgL_keys1233z00_2818,
				BgL_thezd2closurezd2global1234z00_2819, BgL_strength1235z00_2820,
				BgL_stackable1236z00_2821);
		}

	}



/* sfun? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzf3zf3zzast_varz00(obj_t BgL_objz00_242)
	{
		{	/* Ast/var.sch 412 */
			{	/* Ast/var.sch 412 */
				obj_t BgL_classz00_3858;

				BgL_classz00_3858 = BGl_sfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_242))
					{	/* Ast/var.sch 412 */
						BgL_objectz00_bglt BgL_arg1858z00_3859;

						BgL_arg1858z00_3859 = (BgL_objectz00_bglt) (BgL_objz00_242);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 412 */
								long BgL_idxz00_3860;

								BgL_idxz00_3860 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3859);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3860 + 3L)) == BgL_classz00_3858);
							}
						else
							{	/* Ast/var.sch 412 */
								bool_t BgL_res2166z00_3863;

								{	/* Ast/var.sch 412 */
									obj_t BgL_oclassz00_3864;

									{	/* Ast/var.sch 412 */
										obj_t BgL_arg1866z00_3865;
										long BgL_arg1867z00_3866;

										BgL_arg1866z00_3865 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 412 */
											long BgL_arg1869z00_3867;

											BgL_arg1869z00_3867 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3859);
											BgL_arg1867z00_3866 = (BgL_arg1869z00_3867 - OBJECT_TYPE);
										}
										BgL_oclassz00_3864 =
											VECTOR_REF(BgL_arg1866z00_3865, BgL_arg1867z00_3866);
									}
									{	/* Ast/var.sch 412 */
										bool_t BgL__ortest_1115z00_3868;

										BgL__ortest_1115z00_3868 =
											(BgL_classz00_3858 == BgL_oclassz00_3864);
										if (BgL__ortest_1115z00_3868)
											{	/* Ast/var.sch 412 */
												BgL_res2166z00_3863 = BgL__ortest_1115z00_3868;
											}
										else
											{	/* Ast/var.sch 412 */
												long BgL_odepthz00_3869;

												{	/* Ast/var.sch 412 */
													obj_t BgL_arg1855z00_3870;

													BgL_arg1855z00_3870 = (BgL_oclassz00_3864);
													BgL_odepthz00_3869 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3870);
												}
												if ((3L < BgL_odepthz00_3869))
													{	/* Ast/var.sch 412 */
														obj_t BgL_arg1853z00_3871;

														{	/* Ast/var.sch 412 */
															obj_t BgL_arg1854z00_3872;

															BgL_arg1854z00_3872 = (BgL_oclassz00_3864);
															BgL_arg1853z00_3871 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3872,
																3L);
														}
														BgL_res2166z00_3863 =
															(BgL_arg1853z00_3871 == BgL_classz00_3858);
													}
												else
													{	/* Ast/var.sch 412 */
														BgL_res2166z00_3863 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2166z00_3863;
							}
					}
				else
					{	/* Ast/var.sch 412 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun? */
	obj_t BGl_z62sfunzf3z91zzast_varz00(obj_t BgL_envz00_2822,
		obj_t BgL_objz00_2823)
	{
		{	/* Ast/var.sch 412 */
			return BBOOL(BGl_sfunzf3zf3zzast_varz00(BgL_objz00_2823));
		}

	}



/* sfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_sfunzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 413 */
			{	/* Ast/var.sch 413 */
				obj_t BgL_classz00_1831;

				BgL_classz00_1831 = BGl_sfunz00zzast_varz00;
				{	/* Ast/var.sch 413 */
					obj_t BgL__ortest_1117z00_1832;

					BgL__ortest_1117z00_1832 = BGL_CLASS_NIL(BgL_classz00_1831);
					if (CBOOL(BgL__ortest_1117z00_1832))
						{	/* Ast/var.sch 413 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1117z00_1832);
						}
					else
						{	/* Ast/var.sch 413 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1831));
						}
				}
			}
		}

	}



/* &sfun-nil */
	BgL_sfunz00_bglt BGl_z62sfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2824)
	{
		{	/* Ast/var.sch 413 */
			return BGl_sfunzd2nilzd2zzast_varz00();
		}

	}



/* sfun-stackable */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2stackablezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_243)
	{
		{	/* Ast/var.sch 414 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_243))->BgL_stackablez00);
		}

	}



/* &sfun-stackable */
	obj_t BGl_z62sfunzd2stackablezb0zzast_varz00(obj_t BgL_envz00_2825,
		obj_t BgL_oz00_2826)
	{
		{	/* Ast/var.sch 414 */
			return
				BGl_sfunzd2stackablezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2826));
		}

	}



/* sfun-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackablezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_244,
		obj_t BgL_vz00_245)
	{
		{	/* Ast/var.sch 415 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_244))->BgL_stackablez00) =
				((obj_t) BgL_vz00_245), BUNSPEC);
		}

	}



/* &sfun-stackable-set! */
	obj_t BGl_z62sfunzd2stackablezd2setz12z70zzast_varz00(obj_t BgL_envz00_2827,
		obj_t BgL_oz00_2828, obj_t BgL_vz00_2829)
	{
		{	/* Ast/var.sch 415 */
			return
				BGl_sfunzd2stackablezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2828), BgL_vz00_2829);
		}

	}



/* sfun-strength */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2strengthzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_246)
	{
		{	/* Ast/var.sch 416 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_246))->BgL_strengthz00);
		}

	}



/* &sfun-strength */
	obj_t BGl_z62sfunzd2strengthzb0zzast_varz00(obj_t BgL_envz00_2830,
		obj_t BgL_oz00_2831)
	{
		{	/* Ast/var.sch 416 */
			return
				BGl_sfunzd2strengthzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2831));
		}

	}



/* sfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2strengthzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_247,
		obj_t BgL_vz00_248)
	{
		{	/* Ast/var.sch 417 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_247))->BgL_strengthz00) =
				((obj_t) BgL_vz00_248), BUNSPEC);
		}

	}



/* &sfun-strength-set! */
	obj_t BGl_z62sfunzd2strengthzd2setz12z70zzast_varz00(obj_t BgL_envz00_2832,
		obj_t BgL_oz00_2833, obj_t BgL_vz00_2834)
	{
		{	/* Ast/var.sch 417 */
			return
				BGl_sfunzd2strengthzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2833), BgL_vz00_2834);
		}

	}



/* sfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_249)
	{
		{	/* Ast/var.sch 418 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_249))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &sfun-the-closure-global */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzb0zzast_varz00(obj_t
		BgL_envz00_2835, obj_t BgL_oz00_2836)
	{
		{	/* Ast/var.sch 418 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2836));
		}

	}



/* sfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_250, obj_t BgL_vz00_251)
	{
		{	/* Ast/var.sch 419 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_250))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_251), BUNSPEC);
		}

	}



/* &sfun-the-closure-global-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2globalzd2setz12z70zzast_varz00(obj_t
		BgL_envz00_2837, obj_t BgL_oz00_2838, obj_t BgL_vz00_2839)
	{
		{	/* Ast/var.sch 419 */
			return
				BGl_sfunzd2thezd2closurezd2globalzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2838), BgL_vz00_2839);
		}

	}



/* sfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2keyszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_252)
	{
		{	/* Ast/var.sch 420 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_252))->BgL_keysz00);
		}

	}



/* &sfun-keys */
	obj_t BGl_z62sfunzd2keyszb0zzast_varz00(obj_t BgL_envz00_2840,
		obj_t BgL_oz00_2841)
	{
		{	/* Ast/var.sch 420 */
			return BGl_sfunzd2keyszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2841));
		}

	}



/* sfun-optionals */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2optionalszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_255)
	{
		{	/* Ast/var.sch 422 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_255))->BgL_optionalsz00);
		}

	}



/* &sfun-optionals */
	obj_t BGl_z62sfunzd2optionalszb0zzast_varz00(obj_t BgL_envz00_2842,
		obj_t BgL_oz00_2843)
	{
		{	/* Ast/var.sch 422 */
			return
				BGl_sfunzd2optionalszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2843));
		}

	}



/* sfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_258)
	{
		{	/* Ast/var.sch 424 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_258))->BgL_locz00);
		}

	}



/* &sfun-loc */
	obj_t BGl_z62sfunzd2loczb0zzast_varz00(obj_t BgL_envz00_2844,
		obj_t BgL_oz00_2845)
	{
		{	/* Ast/var.sch 424 */
			return BGl_sfunzd2loczd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2845));
		}

	}



/* sfun-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2loczd2setz12z12zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_259, obj_t BgL_vz00_260)
	{
		{	/* Ast/var.sch 425 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_259))->BgL_locz00) =
				((obj_t) BgL_vz00_260), BUNSPEC);
		}

	}



/* &sfun-loc-set! */
	obj_t BGl_z62sfunzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847, obj_t BgL_vz00_2848)
	{
		{	/* Ast/var.sch 425 */
			return
				BGl_sfunzd2loczd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2847), BgL_vz00_2848);
		}

	}



/* sfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_261)
	{
		{	/* Ast/var.sch 426 */
			return
				(((BgL_sfunz00_bglt) COBJECT(BgL_oz00_261))->BgL_dssslzd2keywordszd2);
		}

	}



/* &sfun-dsssl-keywords */
	obj_t BGl_z62sfunzd2dssslzd2keywordsz62zzast_varz00(obj_t BgL_envz00_2849,
		obj_t BgL_oz00_2850)
	{
		{	/* Ast/var.sch 426 */
			return
				BGl_sfunzd2dssslzd2keywordsz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2850));
		}

	}



/* sfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_262, obj_t BgL_vz00_263)
	{
		{	/* Ast/var.sch 427 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_262))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_263), BUNSPEC);
		}

	}



/* &sfun-dsssl-keywords-set! */
	obj_t BGl_z62sfunzd2dssslzd2keywordszd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2851, obj_t BgL_oz00_2852, obj_t BgL_vz00_2853)
	{
		{	/* Ast/var.sch 427 */
			return
				BGl_sfunzd2dssslzd2keywordszd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2852), BgL_vz00_2853);
		}

	}



/* sfun-class */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2classzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_264)
	{
		{	/* Ast/var.sch 428 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_264))->BgL_classz00);
		}

	}



/* &sfun-class */
	obj_t BGl_z62sfunzd2classzb0zzast_varz00(obj_t BgL_envz00_2854,
		obj_t BgL_oz00_2855)
	{
		{	/* Ast/var.sch 428 */
			return
				BGl_sfunzd2classzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2855));
		}

	}



/* sfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2classzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_265,
		obj_t BgL_vz00_266)
	{
		{	/* Ast/var.sch 429 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_265))->BgL_classz00) =
				((obj_t) BgL_vz00_266), BUNSPEC);
		}

	}



/* &sfun-class-set! */
	obj_t BGl_z62sfunzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857, obj_t BgL_vz00_2858)
	{
		{	/* Ast/var.sch 429 */
			return
				BGl_sfunzd2classzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2857), BgL_vz00_2858);
		}

	}



/* sfun-body */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2bodyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_267)
	{
		{	/* Ast/var.sch 430 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_267))->BgL_bodyz00);
		}

	}



/* &sfun-body */
	obj_t BGl_z62sfunzd2bodyzb0zzast_varz00(obj_t BgL_envz00_2859,
		obj_t BgL_oz00_2860)
	{
		{	/* Ast/var.sch 430 */
			return BGl_sfunzd2bodyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2860));
		}

	}



/* sfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2bodyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_268,
		obj_t BgL_vz00_269)
	{
		{	/* Ast/var.sch 431 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_268))->BgL_bodyz00) =
				((obj_t) BgL_vz00_269), BUNSPEC);
		}

	}



/* &sfun-body-set! */
	obj_t BGl_z62sfunzd2bodyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2861,
		obj_t BgL_oz00_2862, obj_t BgL_vz00_2863)
	{
		{	/* Ast/var.sch 431 */
			return
				BGl_sfunzd2bodyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2862), BgL_vz00_2863);
		}

	}



/* sfun-args-name */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2namez00zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_270)
	{
		{	/* Ast/var.sch 432 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_270))->BgL_argszd2namezd2);
		}

	}



/* &sfun-args-name */
	obj_t BGl_z62sfunzd2argszd2namez62zzast_varz00(obj_t BgL_envz00_2864,
		obj_t BgL_oz00_2865)
	{
		{	/* Ast/var.sch 432 */
			return
				BGl_sfunzd2argszd2namez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2865));
		}

	}



/* sfun-args */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2argszd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_273)
	{
		{	/* Ast/var.sch 434 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_273))->BgL_argsz00);
		}

	}



/* &sfun-args */
	obj_t BGl_z62sfunzd2argszb0zzast_varz00(obj_t BgL_envz00_2866,
		obj_t BgL_oz00_2867)
	{
		{	/* Ast/var.sch 434 */
			return BGl_sfunzd2argszd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2867));
		}

	}



/* sfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_274,
		obj_t BgL_vz00_275)
	{
		{	/* Ast/var.sch 435 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_274))->BgL_argsz00) =
				((obj_t) BgL_vz00_275), BUNSPEC);
		}

	}



/* &sfun-args-set! */
	obj_t BGl_z62sfunzd2argszd2setz12z70zzast_varz00(obj_t BgL_envz00_2868,
		obj_t BgL_oz00_2869, obj_t BgL_vz00_2870)
	{
		{	/* Ast/var.sch 435 */
			return
				BGl_sfunzd2argszd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2869), BgL_vz00_2870);
		}

	}



/* sfun-property */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2propertyzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_276)
	{
		{	/* Ast/var.sch 436 */
			return (((BgL_sfunz00_bglt) COBJECT(BgL_oz00_276))->BgL_propertyz00);
		}

	}



/* &sfun-property */
	obj_t BGl_z62sfunzd2propertyzb0zzast_varz00(obj_t BgL_envz00_2871,
		obj_t BgL_oz00_2872)
	{
		{	/* Ast/var.sch 436 */
			return
				BGl_sfunzd2propertyzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2872));
		}

	}



/* sfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2propertyzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_277,
		obj_t BgL_vz00_278)
	{
		{	/* Ast/var.sch 437 */
			return
				((((BgL_sfunz00_bglt) COBJECT(BgL_oz00_277))->BgL_propertyz00) =
				((obj_t) BgL_vz00_278), BUNSPEC);
		}

	}



/* &sfun-property-set! */
	obj_t BGl_z62sfunzd2propertyzd2setz12z70zzast_varz00(obj_t BgL_envz00_2873,
		obj_t BgL_oz00_2874, obj_t BgL_vz00_2875)
	{
		{	/* Ast/var.sch 437 */
			return
				BGl_sfunzd2propertyzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2874), BgL_vz00_2875);
		}

	}



/* sfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_279)
	{
		{	/* Ast/var.sch 438 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_279)))->BgL_argszd2retescapezd2);
		}

	}



/* &sfun-args-retescape */
	obj_t BGl_z62sfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2876,
		obj_t BgL_oz00_2877)
	{
		{	/* Ast/var.sch 438 */
			return
				BGl_sfunzd2argszd2retescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2877));
		}

	}



/* sfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_280, obj_t BgL_vz00_281)
	{
		{	/* Ast/var.sch 439 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_280)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}

	}



/* &sfun-args-retescape-set! */
	obj_t BGl_z62sfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2878, obj_t BgL_oz00_2879, obj_t BgL_vz00_2880)
	{
		{	/* Ast/var.sch 439 */
			return
				BGl_sfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2879), BgL_vz00_2880);
		}

	}



/* sfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_282)
	{
		{	/* Ast/var.sch 440 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_282)))->BgL_argszd2noescapezd2);
		}

	}



/* &sfun-args-noescape */
	obj_t BGl_z62sfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2881,
		obj_t BgL_oz00_2882)
	{
		{	/* Ast/var.sch 440 */
			return
				BGl_sfunzd2argszd2noescapez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2882));
		}

	}



/* sfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_283, obj_t BgL_vz00_284)
	{
		{	/* Ast/var.sch 441 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_283)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_284), BUNSPEC);
		}

	}



/* &sfun-args-noescape-set! */
	obj_t BGl_z62sfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2883, obj_t BgL_oz00_2884, obj_t BgL_vz00_2885)
	{
		{	/* Ast/var.sch 441 */
			return
				BGl_sfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2884), BgL_vz00_2885);
		}

	}



/* sfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2failsafezd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_285)
	{
		{	/* Ast/var.sch 442 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_285)))->BgL_failsafez00);
		}

	}



/* &sfun-failsafe */
	obj_t BGl_z62sfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2886,
		obj_t BgL_oz00_2887)
	{
		{	/* Ast/var.sch 442 */
			return
				BGl_sfunzd2failsafezd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2887));
		}

	}



/* sfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2failsafezd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_286,
		obj_t BgL_vz00_287)
	{
		{	/* Ast/var.sch 443 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_286)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_287), BUNSPEC);
		}

	}



/* &sfun-failsafe-set! */
	obj_t BGl_z62sfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2888,
		obj_t BgL_oz00_2889, obj_t BgL_vz00_2890)
	{
		{	/* Ast/var.sch 443 */
			return
				BGl_sfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2889), BgL_vz00_2890);
		}

	}



/* sfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_sfunzd2effectzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_288)
	{
		{	/* Ast/var.sch 444 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_288)))->BgL_effectz00);
		}

	}



/* &sfun-effect */
	obj_t BGl_z62sfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2891,
		obj_t BgL_oz00_2892)
	{
		{	/* Ast/var.sch 444 */
			return
				BGl_sfunzd2effectzd2zzast_varz00(((BgL_sfunz00_bglt) BgL_oz00_2892));
		}

	}



/* sfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2effectzd2setz12z12zzast_varz00(BgL_sfunz00_bglt BgL_oz00_289,
		obj_t BgL_vz00_290)
	{
		{	/* Ast/var.sch 445 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_289)))->BgL_effectz00) =
				((obj_t) BgL_vz00_290), BUNSPEC);
		}

	}



/* &sfun-effect-set! */
	obj_t BGl_z62sfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2893,
		obj_t BgL_oz00_2894, obj_t BgL_vz00_2895)
	{
		{	/* Ast/var.sch 445 */
			return
				BGl_sfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2894), BgL_vz00_2895);
		}

	}



/* sfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurez00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_291)
	{
		{	/* Ast/var.sch 446 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_291)))->BgL_thezd2closurezd2);
		}

	}



/* &sfun-the-closure */
	obj_t BGl_z62sfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2896,
		obj_t BgL_oz00_2897)
	{
		{	/* Ast/var.sch 446 */
			return
				BGl_sfunzd2thezd2closurez00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2897));
		}

	}



/* sfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_292, obj_t BgL_vz00_293)
	{
		{	/* Ast/var.sch 447 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_292)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_293), BUNSPEC);
		}

	}



/* &sfun-the-closure-set! */
	obj_t BGl_z62sfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2898, obj_t BgL_oz00_2899, obj_t BgL_vz00_2900)
	{
		{	/* Ast/var.sch 447 */
			return
				BGl_sfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2899), BgL_vz00_2900);
		}

	}



/* sfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2topzf3z21zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_294)
	{
		{	/* Ast/var.sch 448 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_294)))->BgL_topzf3zf3);
		}

	}



/* &sfun-top? */
	obj_t BGl_z62sfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2901,
		obj_t BgL_oz00_2902)
	{
		{	/* Ast/var.sch 448 */
			return
				BBOOL(BGl_sfunzd2topzf3z21zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2902)));
		}

	}



/* sfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_sfunz00_bglt BgL_oz00_295,
		bool_t BgL_vz00_296)
	{
		{	/* Ast/var.sch 449 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_295)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_296), BUNSPEC);
		}

	}



/* &sfun-top?-set! */
	obj_t BGl_z62sfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2903,
		obj_t BgL_oz00_2904, obj_t BgL_vz00_2905)
	{
		{	/* Ast/var.sch 449 */
			return
				BGl_sfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2904), CBOOL(BgL_vz00_2905));
		}

	}



/* sfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_297)
	{
		{	/* Ast/var.sch 450 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_297)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &sfun-stack-allocator */
	obj_t BGl_z62sfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2906,
		obj_t BgL_oz00_2907)
	{
		{	/* Ast/var.sch 450 */
			return
				BGl_sfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2907));
		}

	}



/* sfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_298, obj_t BgL_vz00_299)
	{
		{	/* Ast/var.sch 451 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_298)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_299), BUNSPEC);
		}

	}



/* &sfun-stack-allocator-set! */
	obj_t BGl_z62sfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2908, obj_t BgL_oz00_2909, obj_t BgL_vz00_2910)
	{
		{	/* Ast/var.sch 451 */
			return
				BGl_sfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2909), BgL_vz00_2910);
		}

	}



/* sfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_300)
	{
		{	/* Ast/var.sch 452 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_300)))->BgL_predicatezd2ofzd2);
		}

	}



/* &sfun-predicate-of */
	obj_t BGl_z62sfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2911,
		obj_t BgL_oz00_2912)
	{
		{	/* Ast/var.sch 452 */
			return
				BGl_sfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2912));
		}

	}



/* sfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_301, obj_t BgL_vz00_302)
	{
		{	/* Ast/var.sch 453 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_301)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_302), BUNSPEC);
		}

	}



/* &sfun-predicate-of-set! */
	obj_t BGl_z62sfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2913, obj_t BgL_oz00_2914, obj_t BgL_vz00_2915)
	{
		{	/* Ast/var.sch 453 */
			return
				BGl_sfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2914), BgL_vz00_2915);
		}

	}



/* sfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectz00zzast_varz00(BgL_sfunz00_bglt BgL_oz00_303)
	{
		{	/* Ast/var.sch 454 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_303)))->BgL_sidezd2effectzd2);
		}

	}



/* &sfun-side-effect */
	obj_t BGl_z62sfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2916,
		obj_t BgL_oz00_2917)
	{
		{	/* Ast/var.sch 454 */
			return
				BGl_sfunzd2sidezd2effectz00zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2917));
		}

	}



/* sfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_304, obj_t BgL_vz00_305)
	{
		{	/* Ast/var.sch 455 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_304)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_305), BUNSPEC);
		}

	}



/* &sfun-side-effect-set! */
	obj_t BGl_z62sfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2918, obj_t BgL_oz00_2919, obj_t BgL_vz00_2920)
	{
		{	/* Ast/var.sch 455 */
			return
				BGl_sfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_sfunz00_bglt) BgL_oz00_2919), BgL_vz00_2920);
		}

	}



/* sfun-arity */
	BGL_EXPORTED_DEF long BGl_sfunzd2arityzd2zzast_varz00(BgL_sfunz00_bglt
		BgL_oz00_306)
	{
		{	/* Ast/var.sch 456 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_306)))->BgL_arityz00);
		}

	}



/* &sfun-arity */
	obj_t BGl_z62sfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_2921,
		obj_t BgL_oz00_2922)
	{
		{	/* Ast/var.sch 456 */
			return
				BINT(BGl_sfunzd2arityzd2zzast_varz00(
					((BgL_sfunz00_bglt) BgL_oz00_2922)));
		}

	}



/* make-cfun */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_makezd2cfunzd2zzast_varz00(long
		BgL_arity1198z00_309, obj_t BgL_sidezd2effect1199zd2_310,
		obj_t BgL_predicatezd2of1200zd2_311, obj_t BgL_stackzd2allocator1201zd2_312,
		bool_t BgL_topzf31202zf3_313, obj_t BgL_thezd2closure1203zd2_314,
		obj_t BgL_effect1204z00_315, obj_t BgL_failsafe1205z00_316,
		obj_t BgL_argszd2noescape1206zd2_317, obj_t BgL_argszd2retescape1207zd2_318,
		obj_t BgL_argszd2type1208zd2_319, bool_t BgL_macrozf31209zf3_320,
		bool_t BgL_infixzf31210zf3_321, obj_t BgL_method1213z00_322)
	{
		{	/* Ast/var.sch 460 */
			{	/* Ast/var.sch 460 */
				BgL_cfunz00_bglt BgL_new1200z00_3873;

				{	/* Ast/var.sch 460 */
					BgL_cfunz00_bglt BgL_new1199z00_3874;

					BgL_new1199z00_3874 =
						((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunz00_bgl))));
					{	/* Ast/var.sch 460 */
						long BgL_arg1288z00_3875;

						BgL_arg1288z00_3875 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_3874), BgL_arg1288z00_3875);
					}
					{	/* Ast/var.sch 460 */
						BgL_objectz00_bglt BgL_tmpz00_5150;

						BgL_tmpz00_5150 = ((BgL_objectz00_bglt) BgL_new1199z00_3874);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5150, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1199z00_3874);
					BgL_new1200z00_3873 = BgL_new1199z00_3874;
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1200z00_3873)))->BgL_arityz00) =
					((long) BgL_arity1198z00_309), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1199zd2_310), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1200zd2_311), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1201zd2_312), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31202zf3_313), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1203zd2_314), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_effectz00) = ((obj_t) BgL_effect1204z00_315), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1205z00_316), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1206zd2_317), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1200z00_3873)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1207zd2_318), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1200z00_3873))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1208zd2_319), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1200z00_3873))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31209zf3_320), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1200z00_3873))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31210zf3_321), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(BgL_new1200z00_3873))->BgL_methodz00) =
					((obj_t) BgL_method1213z00_322), BUNSPEC);
				return BgL_new1200z00_3873;
			}
		}

	}



/* &make-cfun */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzb0zzast_varz00(obj_t BgL_envz00_2923,
		obj_t BgL_arity1198z00_2924, obj_t BgL_sidezd2effect1199zd2_2925,
		obj_t BgL_predicatezd2of1200zd2_2926,
		obj_t BgL_stackzd2allocator1201zd2_2927, obj_t BgL_topzf31202zf3_2928,
		obj_t BgL_thezd2closure1203zd2_2929, obj_t BgL_effect1204z00_2930,
		obj_t BgL_failsafe1205z00_2931, obj_t BgL_argszd2noescape1206zd2_2932,
		obj_t BgL_argszd2retescape1207zd2_2933, obj_t BgL_argszd2type1208zd2_2934,
		obj_t BgL_macrozf31209zf3_2935, obj_t BgL_infixzf31210zf3_2936,
		obj_t BgL_method1213z00_2937)
	{
		{	/* Ast/var.sch 460 */
			return
				BGl_makezd2cfunzd2zzast_varz00(
				(long) CINT(BgL_arity1198z00_2924), BgL_sidezd2effect1199zd2_2925,
				BgL_predicatezd2of1200zd2_2926, BgL_stackzd2allocator1201zd2_2927,
				CBOOL(BgL_topzf31202zf3_2928), BgL_thezd2closure1203zd2_2929,
				BgL_effect1204z00_2930, BgL_failsafe1205z00_2931,
				BgL_argszd2noescape1206zd2_2932, BgL_argszd2retescape1207zd2_2933,
				BgL_argszd2type1208zd2_2934, CBOOL(BgL_macrozf31209zf3_2935),
				CBOOL(BgL_infixzf31210zf3_2936), BgL_method1213z00_2937);
		}

	}



/* cfun? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf3zf3zzast_varz00(obj_t BgL_objz00_323)
	{
		{	/* Ast/var.sch 461 */
			{	/* Ast/var.sch 461 */
				obj_t BgL_classz00_3876;

				BgL_classz00_3876 = BGl_cfunz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_323))
					{	/* Ast/var.sch 461 */
						BgL_objectz00_bglt BgL_arg1858z00_3877;

						BgL_arg1858z00_3877 = (BgL_objectz00_bglt) (BgL_objz00_323);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 461 */
								long BgL_idxz00_3878;

								BgL_idxz00_3878 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3877);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3878 + 3L)) == BgL_classz00_3876);
							}
						else
							{	/* Ast/var.sch 461 */
								bool_t BgL_res2167z00_3881;

								{	/* Ast/var.sch 461 */
									obj_t BgL_oclassz00_3882;

									{	/* Ast/var.sch 461 */
										obj_t BgL_arg1866z00_3883;
										long BgL_arg1867z00_3884;

										BgL_arg1866z00_3883 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 461 */
											long BgL_arg1869z00_3885;

											BgL_arg1869z00_3885 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3877);
											BgL_arg1867z00_3884 = (BgL_arg1869z00_3885 - OBJECT_TYPE);
										}
										BgL_oclassz00_3882 =
											VECTOR_REF(BgL_arg1866z00_3883, BgL_arg1867z00_3884);
									}
									{	/* Ast/var.sch 461 */
										bool_t BgL__ortest_1115z00_3886;

										BgL__ortest_1115z00_3886 =
											(BgL_classz00_3876 == BgL_oclassz00_3882);
										if (BgL__ortest_1115z00_3886)
											{	/* Ast/var.sch 461 */
												BgL_res2167z00_3881 = BgL__ortest_1115z00_3886;
											}
										else
											{	/* Ast/var.sch 461 */
												long BgL_odepthz00_3887;

												{	/* Ast/var.sch 461 */
													obj_t BgL_arg1855z00_3888;

													BgL_arg1855z00_3888 = (BgL_oclassz00_3882);
													BgL_odepthz00_3887 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3888);
												}
												if ((3L < BgL_odepthz00_3887))
													{	/* Ast/var.sch 461 */
														obj_t BgL_arg1853z00_3889;

														{	/* Ast/var.sch 461 */
															obj_t BgL_arg1854z00_3890;

															BgL_arg1854z00_3890 = (BgL_oclassz00_3882);
															BgL_arg1853z00_3889 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3890,
																3L);
														}
														BgL_res2167z00_3881 =
															(BgL_arg1853z00_3889 == BgL_classz00_3876);
													}
												else
													{	/* Ast/var.sch 461 */
														BgL_res2167z00_3881 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2167z00_3881;
							}
					}
				else
					{	/* Ast/var.sch 461 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun? */
	obj_t BGl_z62cfunzf3z91zzast_varz00(obj_t BgL_envz00_2938,
		obj_t BgL_objz00_2939)
	{
		{	/* Ast/var.sch 461 */
			return BBOOL(BGl_cfunzf3zf3zzast_varz00(BgL_objz00_2939));
		}

	}



/* cfun-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_cfunzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 462 */
			{	/* Ast/var.sch 462 */
				obj_t BgL_classz00_1874;

				BgL_classz00_1874 = BGl_cfunz00zzast_varz00;
				{	/* Ast/var.sch 462 */
					obj_t BgL__ortest_1117z00_1875;

					BgL__ortest_1117z00_1875 = BGL_CLASS_NIL(BgL_classz00_1874);
					if (CBOOL(BgL__ortest_1117z00_1875))
						{	/* Ast/var.sch 462 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1117z00_1875);
						}
					else
						{	/* Ast/var.sch 462 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1874));
						}
				}
			}
		}

	}



/* &cfun-nil */
	BgL_cfunz00_bglt BGl_z62cfunzd2nilzb0zzast_varz00(obj_t BgL_envz00_2940)
	{
		{	/* Ast/var.sch 462 */
			return BGl_cfunzd2nilzd2zzast_varz00();
		}

	}



/* cfun-method */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2methodzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_324)
	{
		{	/* Ast/var.sch 463 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_324))->BgL_methodz00);
		}

	}



/* &cfun-method */
	obj_t BGl_z62cfunzd2methodzb0zzast_varz00(obj_t BgL_envz00_2941,
		obj_t BgL_oz00_2942)
	{
		{	/* Ast/var.sch 463 */
			return
				BGl_cfunzd2methodzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2942));
		}

	}



/* cfun-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2methodzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_325,
		obj_t BgL_vz00_326)
	{
		{	/* Ast/var.sch 464 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_325))->BgL_methodz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &cfun-method-set! */
	obj_t BGl_z62cfunzd2methodzd2setz12z70zzast_varz00(obj_t BgL_envz00_2943,
		obj_t BgL_oz00_2944, obj_t BgL_vz00_2945)
	{
		{	/* Ast/var.sch 464 */
			return
				BGl_cfunzd2methodzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2944), BgL_vz00_2945);
		}

	}



/* cfun-infix? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2infixzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_327)
	{
		{	/* Ast/var.sch 465 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_327))->BgL_infixzf3zf3);
		}

	}



/* &cfun-infix? */
	obj_t BGl_z62cfunzd2infixzf3z43zzast_varz00(obj_t BgL_envz00_2946,
		obj_t BgL_oz00_2947)
	{
		{	/* Ast/var.sch 465 */
			return
				BBOOL(BGl_cfunzd2infixzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2947)));
		}

	}



/* cfun-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_328,
		bool_t BgL_vz00_329)
	{
		{	/* Ast/var.sch 466 */
			return
				((((BgL_cfunz00_bglt) COBJECT(BgL_oz00_328))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &cfun-infix?-set! */
	obj_t BGl_z62cfunzd2infixzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2948,
		obj_t BgL_oz00_2949, obj_t BgL_vz00_2950)
	{
		{	/* Ast/var.sch 466 */
			return
				BGl_cfunzd2infixzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2949), CBOOL(BgL_vz00_2950));
		}

	}



/* cfun-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2macrozf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_330)
	{
		{	/* Ast/var.sch 467 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_330))->BgL_macrozf3zf3);
		}

	}



/* &cfun-macro? */
	obj_t BGl_z62cfunzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_2951,
		obj_t BgL_oz00_2952)
	{
		{	/* Ast/var.sch 467 */
			return
				BBOOL(BGl_cfunzd2macrozf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2952)));
		}

	}



/* cfun-args-type */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2argszd2typez00zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_333)
	{
		{	/* Ast/var.sch 469 */
			return (((BgL_cfunz00_bglt) COBJECT(BgL_oz00_333))->BgL_argszd2typezd2);
		}

	}



/* &cfun-args-type */
	obj_t BGl_z62cfunzd2argszd2typez62zzast_varz00(obj_t BgL_envz00_2953,
		obj_t BgL_oz00_2954)
	{
		{	/* Ast/var.sch 469 */
			return
				BGl_cfunzd2argszd2typez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2954));
		}

	}



/* cfun-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_336)
	{
		{	/* Ast/var.sch 471 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_336)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun-args-retescape */
	obj_t BGl_z62cfunzd2argszd2retescapez62zzast_varz00(obj_t BgL_envz00_2955,
		obj_t BgL_oz00_2956)
	{
		{	/* Ast/var.sch 471 */
			return
				BGl_cfunzd2argszd2retescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2956));
		}

	}



/* cfun-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_337, obj_t BgL_vz00_338)
	{
		{	/* Ast/var.sch 472 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_337)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_338), BUNSPEC);
		}

	}



/* &cfun-args-retescape-set! */
	obj_t BGl_z62cfunzd2argszd2retescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2957, obj_t BgL_oz00_2958, obj_t BgL_vz00_2959)
	{
		{	/* Ast/var.sch 472 */
			return
				BGl_cfunzd2argszd2retescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2958), BgL_vz00_2959);
		}

	}



/* cfun-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_339)
	{
		{	/* Ast/var.sch 473 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_339)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun-args-noescape */
	obj_t BGl_z62cfunzd2argszd2noescapez62zzast_varz00(obj_t BgL_envz00_2960,
		obj_t BgL_oz00_2961)
	{
		{	/* Ast/var.sch 473 */
			return
				BGl_cfunzd2argszd2noescapez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2961));
		}

	}



/* cfun-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_340, obj_t BgL_vz00_341)
	{
		{	/* Ast/var.sch 474 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_340)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_341), BUNSPEC);
		}

	}



/* &cfun-args-noescape-set! */
	obj_t BGl_z62cfunzd2argszd2noescapezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2962, obj_t BgL_oz00_2963, obj_t BgL_vz00_2964)
	{
		{	/* Ast/var.sch 474 */
			return
				BGl_cfunzd2argszd2noescapezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2963), BgL_vz00_2964);
		}

	}



/* cfun-failsafe */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2failsafezd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_342)
	{
		{	/* Ast/var.sch 475 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_342)))->BgL_failsafez00);
		}

	}



/* &cfun-failsafe */
	obj_t BGl_z62cfunzd2failsafezb0zzast_varz00(obj_t BgL_envz00_2965,
		obj_t BgL_oz00_2966)
	{
		{	/* Ast/var.sch 475 */
			return
				BGl_cfunzd2failsafezd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2966));
		}

	}



/* cfun-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2failsafezd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_343,
		obj_t BgL_vz00_344)
	{
		{	/* Ast/var.sch 476 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_343)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_344), BUNSPEC);
		}

	}



/* &cfun-failsafe-set! */
	obj_t BGl_z62cfunzd2failsafezd2setz12z70zzast_varz00(obj_t BgL_envz00_2967,
		obj_t BgL_oz00_2968, obj_t BgL_vz00_2969)
	{
		{	/* Ast/var.sch 476 */
			return
				BGl_cfunzd2failsafezd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2968), BgL_vz00_2969);
		}

	}



/* cfun-effect */
	BGL_EXPORTED_DEF obj_t BGl_cfunzd2effectzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_345)
	{
		{	/* Ast/var.sch 477 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_345)))->BgL_effectz00);
		}

	}



/* &cfun-effect */
	obj_t BGl_z62cfunzd2effectzb0zzast_varz00(obj_t BgL_envz00_2970,
		obj_t BgL_oz00_2971)
	{
		{	/* Ast/var.sch 477 */
			return
				BGl_cfunzd2effectzd2zzast_varz00(((BgL_cfunz00_bglt) BgL_oz00_2971));
		}

	}



/* cfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2effectzd2setz12z12zzast_varz00(BgL_cfunz00_bglt BgL_oz00_346,
		obj_t BgL_vz00_347)
	{
		{	/* Ast/var.sch 478 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_346)))->BgL_effectz00) =
				((obj_t) BgL_vz00_347), BUNSPEC);
		}

	}



/* &cfun-effect-set! */
	obj_t BGl_z62cfunzd2effectzd2setz12z70zzast_varz00(obj_t BgL_envz00_2972,
		obj_t BgL_oz00_2973, obj_t BgL_vz00_2974)
	{
		{	/* Ast/var.sch 478 */
			return
				BGl_cfunzd2effectzd2setz12z12zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2973), BgL_vz00_2974);
		}

	}



/* cfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurez00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_348)
	{
		{	/* Ast/var.sch 479 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_348)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun-the-closure */
	obj_t BGl_z62cfunzd2thezd2closurez62zzast_varz00(obj_t BgL_envz00_2975,
		obj_t BgL_oz00_2976)
	{
		{	/* Ast/var.sch 479 */
			return
				BGl_cfunzd2thezd2closurez00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2976));
		}

	}



/* cfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_349, obj_t BgL_vz00_350)
	{
		{	/* Ast/var.sch 480 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_349)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_350), BUNSPEC);
		}

	}



/* &cfun-the-closure-set! */
	obj_t BGl_z62cfunzd2thezd2closurezd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2977, obj_t BgL_oz00_2978, obj_t BgL_vz00_2979)
	{
		{	/* Ast/var.sch 480 */
			return
				BGl_cfunzd2thezd2closurezd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2978), BgL_vz00_2979);
		}

	}



/* cfun-top? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzd2topzf3z21zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_351)
	{
		{	/* Ast/var.sch 481 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_351)))->BgL_topzf3zf3);
		}

	}



/* &cfun-top? */
	obj_t BGl_z62cfunzd2topzf3z43zzast_varz00(obj_t BgL_envz00_2980,
		obj_t BgL_oz00_2981)
	{
		{	/* Ast/var.sch 481 */
			return
				BBOOL(BGl_cfunzd2topzf3z21zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_2981)));
		}

	}



/* cfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(BgL_cfunz00_bglt BgL_oz00_352,
		bool_t BgL_vz00_353)
	{
		{	/* Ast/var.sch 482 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_352)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_353), BUNSPEC);
		}

	}



/* &cfun-top?-set! */
	obj_t BGl_z62cfunzd2topzf3zd2setz12z83zzast_varz00(obj_t BgL_envz00_2982,
		obj_t BgL_oz00_2983, obj_t BgL_vz00_2984)
	{
		{	/* Ast/var.sch 482 */
			return
				BGl_cfunzd2topzf3zd2setz12ze1zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2983), CBOOL(BgL_vz00_2984));
		}

	}



/* cfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_354)
	{
		{	/* Ast/var.sch 483 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_354)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun-stack-allocator */
	obj_t BGl_z62cfunzd2stackzd2allocatorz62zzast_varz00(obj_t BgL_envz00_2985,
		obj_t BgL_oz00_2986)
	{
		{	/* Ast/var.sch 483 */
			return
				BGl_cfunzd2stackzd2allocatorz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2986));
		}

	}



/* cfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_355, obj_t BgL_vz00_356)
	{
		{	/* Ast/var.sch 484 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_355)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_356), BUNSPEC);
		}

	}



/* &cfun-stack-allocator-set! */
	obj_t BGl_z62cfunzd2stackzd2allocatorzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2987, obj_t BgL_oz00_2988, obj_t BgL_vz00_2989)
	{
		{	/* Ast/var.sch 484 */
			return
				BGl_cfunzd2stackzd2allocatorzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2988), BgL_vz00_2989);
		}

	}



/* cfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_357)
	{
		{	/* Ast/var.sch 485 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_357)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun-predicate-of */
	obj_t BGl_z62cfunzd2predicatezd2ofz62zzast_varz00(obj_t BgL_envz00_2990,
		obj_t BgL_oz00_2991)
	{
		{	/* Ast/var.sch 485 */
			return
				BGl_cfunzd2predicatezd2ofz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2991));
		}

	}



/* cfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_358, obj_t BgL_vz00_359)
	{
		{	/* Ast/var.sch 486 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_358)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_359), BUNSPEC);
		}

	}



/* &cfun-predicate-of-set! */
	obj_t BGl_z62cfunzd2predicatezd2ofzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2992, obj_t BgL_oz00_2993, obj_t BgL_vz00_2994)
	{
		{	/* Ast/var.sch 486 */
			return
				BGl_cfunzd2predicatezd2ofzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2993), BgL_vz00_2994);
		}

	}



/* cfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectz00zzast_varz00(BgL_cfunz00_bglt BgL_oz00_360)
	{
		{	/* Ast/var.sch 487 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_360)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun-side-effect */
	obj_t BGl_z62cfunzd2sidezd2effectz62zzast_varz00(obj_t BgL_envz00_2995,
		obj_t BgL_oz00_2996)
	{
		{	/* Ast/var.sch 487 */
			return
				BGl_cfunzd2sidezd2effectz00zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2996));
		}

	}



/* cfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_361, obj_t BgL_vz00_362)
	{
		{	/* Ast/var.sch 488 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_361)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_362), BUNSPEC);
		}

	}



/* &cfun-side-effect-set! */
	obj_t BGl_z62cfunzd2sidezd2effectzd2setz12za2zzast_varz00(obj_t
		BgL_envz00_2997, obj_t BgL_oz00_2998, obj_t BgL_vz00_2999)
	{
		{	/* Ast/var.sch 488 */
			return
				BGl_cfunzd2sidezd2effectzd2setz12zc0zzast_varz00(
				((BgL_cfunz00_bglt) BgL_oz00_2998), BgL_vz00_2999);
		}

	}



/* cfun-arity */
	BGL_EXPORTED_DEF long BGl_cfunzd2arityzd2zzast_varz00(BgL_cfunz00_bglt
		BgL_oz00_363)
	{
		{	/* Ast/var.sch 489 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_363)))->BgL_arityz00);
		}

	}



/* &cfun-arity */
	obj_t BGl_z62cfunzd2arityzb0zzast_varz00(obj_t BgL_envz00_3000,
		obj_t BgL_oz00_3001)
	{
		{	/* Ast/var.sch 489 */
			return
				BINT(BGl_cfunzd2arityzd2zzast_varz00(
					((BgL_cfunz00_bglt) BgL_oz00_3001)));
		}

	}



/* make-svar */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t
		BgL_loc1196z00_366)
	{
		{	/* Ast/var.sch 493 */
			{	/* Ast/var.sch 493 */
				BgL_svarz00_bglt BgL_new1202z00_3891;

				{	/* Ast/var.sch 493 */
					BgL_svarz00_bglt BgL_new1201z00_3892;

					BgL_new1201z00_3892 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.sch 493 */
						long BgL_arg1289z00_3893;

						BgL_arg1289z00_3893 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_3892), BgL_arg1289z00_3893);
					}
					{	/* Ast/var.sch 493 */
						BgL_objectz00_bglt BgL_tmpz00_5318;

						BgL_tmpz00_5318 = ((BgL_objectz00_bglt) BgL_new1201z00_3892);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5318, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1201z00_3892);
					BgL_new1202z00_3891 = BgL_new1201z00_3892;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1202z00_3891))->BgL_locz00) =
					((obj_t) BgL_loc1196z00_366), BUNSPEC);
				return BgL_new1202z00_3891;
			}
		}

	}



/* &make-svar */
	BgL_svarz00_bglt BGl_z62makezd2svarzb0zzast_varz00(obj_t BgL_envz00_3002,
		obj_t BgL_loc1196z00_3003)
	{
		{	/* Ast/var.sch 493 */
			return BGl_makezd2svarzd2zzast_varz00(BgL_loc1196z00_3003);
		}

	}



/* svar? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf3zf3zzast_varz00(obj_t BgL_objz00_367)
	{
		{	/* Ast/var.sch 494 */
			{	/* Ast/var.sch 494 */
				obj_t BgL_classz00_3894;

				BgL_classz00_3894 = BGl_svarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_367))
					{	/* Ast/var.sch 494 */
						BgL_objectz00_bglt BgL_arg1858z00_3895;

						BgL_arg1858z00_3895 = (BgL_objectz00_bglt) (BgL_objz00_367);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 494 */
								long BgL_idxz00_3896;

								BgL_idxz00_3896 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3895);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3896 + 2L)) == BgL_classz00_3894);
							}
						else
							{	/* Ast/var.sch 494 */
								bool_t BgL_res2168z00_3899;

								{	/* Ast/var.sch 494 */
									obj_t BgL_oclassz00_3900;

									{	/* Ast/var.sch 494 */
										obj_t BgL_arg1866z00_3901;
										long BgL_arg1867z00_3902;

										BgL_arg1866z00_3901 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 494 */
											long BgL_arg1869z00_3903;

											BgL_arg1869z00_3903 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3895);
											BgL_arg1867z00_3902 = (BgL_arg1869z00_3903 - OBJECT_TYPE);
										}
										BgL_oclassz00_3900 =
											VECTOR_REF(BgL_arg1866z00_3901, BgL_arg1867z00_3902);
									}
									{	/* Ast/var.sch 494 */
										bool_t BgL__ortest_1115z00_3904;

										BgL__ortest_1115z00_3904 =
											(BgL_classz00_3894 == BgL_oclassz00_3900);
										if (BgL__ortest_1115z00_3904)
											{	/* Ast/var.sch 494 */
												BgL_res2168z00_3899 = BgL__ortest_1115z00_3904;
											}
										else
											{	/* Ast/var.sch 494 */
												long BgL_odepthz00_3905;

												{	/* Ast/var.sch 494 */
													obj_t BgL_arg1855z00_3906;

													BgL_arg1855z00_3906 = (BgL_oclassz00_3900);
													BgL_odepthz00_3905 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3906);
												}
												if ((2L < BgL_odepthz00_3905))
													{	/* Ast/var.sch 494 */
														obj_t BgL_arg1853z00_3907;

														{	/* Ast/var.sch 494 */
															obj_t BgL_arg1854z00_3908;

															BgL_arg1854z00_3908 = (BgL_oclassz00_3900);
															BgL_arg1853z00_3907 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3908,
																2L);
														}
														BgL_res2168z00_3899 =
															(BgL_arg1853z00_3907 == BgL_classz00_3894);
													}
												else
													{	/* Ast/var.sch 494 */
														BgL_res2168z00_3899 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2168z00_3899;
							}
					}
				else
					{	/* Ast/var.sch 494 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar? */
	obj_t BGl_z62svarzf3z91zzast_varz00(obj_t BgL_envz00_3004,
		obj_t BgL_objz00_3005)
	{
		{	/* Ast/var.sch 494 */
			return BBOOL(BGl_svarzf3zf3zzast_varz00(BgL_objz00_3005));
		}

	}



/* svar-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_svarzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 495 */
			{	/* Ast/var.sch 495 */
				obj_t BgL_classz00_1917;

				BgL_classz00_1917 = BGl_svarz00zzast_varz00;
				{	/* Ast/var.sch 495 */
					obj_t BgL__ortest_1117z00_1918;

					BgL__ortest_1117z00_1918 = BGL_CLASS_NIL(BgL_classz00_1917);
					if (CBOOL(BgL__ortest_1117z00_1918))
						{	/* Ast/var.sch 495 */
							return ((BgL_svarz00_bglt) BgL__ortest_1117z00_1918);
						}
					else
						{	/* Ast/var.sch 495 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1917));
						}
				}
			}
		}

	}



/* &svar-nil */
	BgL_svarz00_bglt BGl_z62svarzd2nilzb0zzast_varz00(obj_t BgL_envz00_3006)
	{
		{	/* Ast/var.sch 495 */
			return BGl_svarzd2nilzd2zzast_varz00();
		}

	}



/* svar-loc */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_368)
	{
		{	/* Ast/var.sch 496 */
			return (((BgL_svarz00_bglt) COBJECT(BgL_oz00_368))->BgL_locz00);
		}

	}



/* &svar-loc */
	obj_t BGl_z62svarzd2loczb0zzast_varz00(obj_t BgL_envz00_3007,
		obj_t BgL_oz00_3008)
	{
		{	/* Ast/var.sch 496 */
			return BGl_svarzd2loczd2zzast_varz00(((BgL_svarz00_bglt) BgL_oz00_3008));
		}

	}



/* svar-loc-set! */
	BGL_EXPORTED_DEF obj_t BGl_svarzd2loczd2setz12z12zzast_varz00(BgL_svarz00_bglt
		BgL_oz00_369, obj_t BgL_vz00_370)
	{
		{	/* Ast/var.sch 497 */
			return
				((((BgL_svarz00_bglt) COBJECT(BgL_oz00_369))->BgL_locz00) =
				((obj_t) BgL_vz00_370), BUNSPEC);
		}

	}



/* &svar-loc-set! */
	obj_t BGl_z62svarzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_3009,
		obj_t BgL_oz00_3010, obj_t BgL_vz00_3011)
	{
		{	/* Ast/var.sch 497 */
			return
				BGl_svarzd2loczd2setz12z12zzast_varz00(
				((BgL_svarz00_bglt) BgL_oz00_3010), BgL_vz00_3011);
		}

	}



/* make-scnst */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_makezd2scnstzd2zzast_varz00(obj_t
		BgL_node1192z00_371, obj_t BgL_class1193z00_372, obj_t BgL_loc1194z00_373)
	{
		{	/* Ast/var.sch 500 */
			{	/* Ast/var.sch 500 */
				BgL_scnstz00_bglt BgL_new1204z00_3909;

				{	/* Ast/var.sch 500 */
					BgL_scnstz00_bglt BgL_new1203z00_3910;

					BgL_new1203z00_3910 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.sch 500 */
						long BgL_arg1291z00_3911;

						BgL_arg1291z00_3911 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_3910), BgL_arg1291z00_3911);
					}
					{	/* Ast/var.sch 500 */
						BgL_objectz00_bglt BgL_tmpz00_5365;

						BgL_tmpz00_5365 = ((BgL_objectz00_bglt) BgL_new1203z00_3910);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5365, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1203z00_3910);
					BgL_new1204z00_3909 = BgL_new1203z00_3910;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1204z00_3909))->BgL_nodez00) =
					((obj_t) BgL_node1192z00_371), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1204z00_3909))->BgL_classz00) =
					((obj_t) BgL_class1193z00_372), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1204z00_3909))->BgL_locz00) =
					((obj_t) BgL_loc1194z00_373), BUNSPEC);
				return BgL_new1204z00_3909;
			}
		}

	}



/* &make-scnst */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzb0zzast_varz00(obj_t BgL_envz00_3012,
		obj_t BgL_node1192z00_3013, obj_t BgL_class1193z00_3014,
		obj_t BgL_loc1194z00_3015)
	{
		{	/* Ast/var.sch 500 */
			return
				BGl_makezd2scnstzd2zzast_varz00(BgL_node1192z00_3013,
				BgL_class1193z00_3014, BgL_loc1194z00_3015);
		}

	}



/* scnst? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf3zf3zzast_varz00(obj_t BgL_objz00_374)
	{
		{	/* Ast/var.sch 501 */
			{	/* Ast/var.sch 501 */
				obj_t BgL_classz00_3912;

				BgL_classz00_3912 = BGl_scnstz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_374))
					{	/* Ast/var.sch 501 */
						BgL_objectz00_bglt BgL_arg1858z00_3913;

						BgL_arg1858z00_3913 = (BgL_objectz00_bglt) (BgL_objz00_374);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 501 */
								long BgL_idxz00_3914;

								BgL_idxz00_3914 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3913);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3914 + 2L)) == BgL_classz00_3912);
							}
						else
							{	/* Ast/var.sch 501 */
								bool_t BgL_res2169z00_3917;

								{	/* Ast/var.sch 501 */
									obj_t BgL_oclassz00_3918;

									{	/* Ast/var.sch 501 */
										obj_t BgL_arg1866z00_3919;
										long BgL_arg1867z00_3920;

										BgL_arg1866z00_3919 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 501 */
											long BgL_arg1869z00_3921;

											BgL_arg1869z00_3921 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3913);
											BgL_arg1867z00_3920 = (BgL_arg1869z00_3921 - OBJECT_TYPE);
										}
										BgL_oclassz00_3918 =
											VECTOR_REF(BgL_arg1866z00_3919, BgL_arg1867z00_3920);
									}
									{	/* Ast/var.sch 501 */
										bool_t BgL__ortest_1115z00_3922;

										BgL__ortest_1115z00_3922 =
											(BgL_classz00_3912 == BgL_oclassz00_3918);
										if (BgL__ortest_1115z00_3922)
											{	/* Ast/var.sch 501 */
												BgL_res2169z00_3917 = BgL__ortest_1115z00_3922;
											}
										else
											{	/* Ast/var.sch 501 */
												long BgL_odepthz00_3923;

												{	/* Ast/var.sch 501 */
													obj_t BgL_arg1855z00_3924;

													BgL_arg1855z00_3924 = (BgL_oclassz00_3918);
													BgL_odepthz00_3923 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3924);
												}
												if ((2L < BgL_odepthz00_3923))
													{	/* Ast/var.sch 501 */
														obj_t BgL_arg1853z00_3925;

														{	/* Ast/var.sch 501 */
															obj_t BgL_arg1854z00_3926;

															BgL_arg1854z00_3926 = (BgL_oclassz00_3918);
															BgL_arg1853z00_3925 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3926,
																2L);
														}
														BgL_res2169z00_3917 =
															(BgL_arg1853z00_3925 == BgL_classz00_3912);
													}
												else
													{	/* Ast/var.sch 501 */
														BgL_res2169z00_3917 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2169z00_3917;
							}
					}
				else
					{	/* Ast/var.sch 501 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst? */
	obj_t BGl_z62scnstzf3z91zzast_varz00(obj_t BgL_envz00_3016,
		obj_t BgL_objz00_3017)
	{
		{	/* Ast/var.sch 501 */
			return BBOOL(BGl_scnstzf3zf3zzast_varz00(BgL_objz00_3017));
		}

	}



/* scnst-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt BGl_scnstzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 502 */
			{	/* Ast/var.sch 502 */
				obj_t BgL_classz00_1960;

				BgL_classz00_1960 = BGl_scnstz00zzast_varz00;
				{	/* Ast/var.sch 502 */
					obj_t BgL__ortest_1117z00_1961;

					BgL__ortest_1117z00_1961 = BGL_CLASS_NIL(BgL_classz00_1960);
					if (CBOOL(BgL__ortest_1117z00_1961))
						{	/* Ast/var.sch 502 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1117z00_1961);
						}
					else
						{	/* Ast/var.sch 502 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1960));
						}
				}
			}
		}

	}



/* &scnst-nil */
	BgL_scnstz00_bglt BGl_z62scnstzd2nilzb0zzast_varz00(obj_t BgL_envz00_3018)
	{
		{	/* Ast/var.sch 502 */
			return BGl_scnstzd2nilzd2zzast_varz00();
		}

	}



/* scnst-loc */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2loczd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_375)
	{
		{	/* Ast/var.sch 503 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_375))->BgL_locz00);
		}

	}



/* &scnst-loc */
	obj_t BGl_z62scnstzd2loczb0zzast_varz00(obj_t BgL_envz00_3019,
		obj_t BgL_oz00_3020)
	{
		{	/* Ast/var.sch 503 */
			return
				BGl_scnstzd2loczd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_3020));
		}

	}



/* scnst-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2loczd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_376,
		obj_t BgL_vz00_377)
	{
		{	/* Ast/var.sch 504 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_376))->BgL_locz00) =
				((obj_t) BgL_vz00_377), BUNSPEC);
		}

	}



/* &scnst-loc-set! */
	obj_t BGl_z62scnstzd2loczd2setz12z70zzast_varz00(obj_t BgL_envz00_3021,
		obj_t BgL_oz00_3022, obj_t BgL_vz00_3023)
	{
		{	/* Ast/var.sch 504 */
			return
				BGl_scnstzd2loczd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_3022), BgL_vz00_3023);
		}

	}



/* scnst-class */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2classzd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_378)
	{
		{	/* Ast/var.sch 505 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_378))->BgL_classz00);
		}

	}



/* &scnst-class */
	obj_t BGl_z62scnstzd2classzb0zzast_varz00(obj_t BgL_envz00_3024,
		obj_t BgL_oz00_3025)
	{
		{	/* Ast/var.sch 505 */
			return
				BGl_scnstzd2classzd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_3025));
		}

	}



/* scnst-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzd2classzd2setz12z12zzast_varz00(BgL_scnstz00_bglt BgL_oz00_379,
		obj_t BgL_vz00_380)
	{
		{	/* Ast/var.sch 506 */
			return
				((((BgL_scnstz00_bglt) COBJECT(BgL_oz00_379))->BgL_classz00) =
				((obj_t) BgL_vz00_380), BUNSPEC);
		}

	}



/* &scnst-class-set! */
	obj_t BGl_z62scnstzd2classzd2setz12z70zzast_varz00(obj_t BgL_envz00_3026,
		obj_t BgL_oz00_3027, obj_t BgL_vz00_3028)
	{
		{	/* Ast/var.sch 506 */
			return
				BGl_scnstzd2classzd2setz12z12zzast_varz00(
				((BgL_scnstz00_bglt) BgL_oz00_3027), BgL_vz00_3028);
		}

	}



/* scnst-node */
	BGL_EXPORTED_DEF obj_t BGl_scnstzd2nodezd2zzast_varz00(BgL_scnstz00_bglt
		BgL_oz00_381)
	{
		{	/* Ast/var.sch 507 */
			return (((BgL_scnstz00_bglt) COBJECT(BgL_oz00_381))->BgL_nodez00);
		}

	}



/* &scnst-node */
	obj_t BGl_z62scnstzd2nodezb0zzast_varz00(obj_t BgL_envz00_3029,
		obj_t BgL_oz00_3030)
	{
		{	/* Ast/var.sch 507 */
			return
				BGl_scnstzd2nodezd2zzast_varz00(((BgL_scnstz00_bglt) BgL_oz00_3030));
		}

	}



/* make-cvar */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_makezd2cvarzd2zzast_varz00(bool_t
		BgL_macrozf31190zf3_384)
	{
		{	/* Ast/var.sch 511 */
			{	/* Ast/var.sch 511 */
				BgL_cvarz00_bglt BgL_new1206z00_3927;

				{	/* Ast/var.sch 511 */
					BgL_cvarz00_bglt BgL_new1205z00_3928;

					BgL_new1205z00_3928 =
						((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarz00_bgl))));
					{	/* Ast/var.sch 511 */
						long BgL_arg1292z00_3929;

						BgL_arg1292z00_3929 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_3928), BgL_arg1292z00_3929);
					}
					{	/* Ast/var.sch 511 */
						BgL_objectz00_bglt BgL_tmpz00_5423;

						BgL_tmpz00_5423 = ((BgL_objectz00_bglt) BgL_new1205z00_3928);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5423, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1205z00_3928);
					BgL_new1206z00_3927 = BgL_new1205z00_3928;
				}
				((((BgL_cvarz00_bglt) COBJECT(BgL_new1206z00_3927))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31190zf3_384), BUNSPEC);
				return BgL_new1206z00_3927;
			}
		}

	}



/* &make-cvar */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzb0zzast_varz00(obj_t BgL_envz00_3031,
		obj_t BgL_macrozf31190zf3_3032)
	{
		{	/* Ast/var.sch 511 */
			return BGl_makezd2cvarzd2zzast_varz00(CBOOL(BgL_macrozf31190zf3_3032));
		}

	}



/* cvar? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf3zf3zzast_varz00(obj_t BgL_objz00_385)
	{
		{	/* Ast/var.sch 512 */
			{	/* Ast/var.sch 512 */
				obj_t BgL_classz00_3930;

				BgL_classz00_3930 = BGl_cvarz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_385))
					{	/* Ast/var.sch 512 */
						BgL_objectz00_bglt BgL_arg1858z00_3931;

						BgL_arg1858z00_3931 = (BgL_objectz00_bglt) (BgL_objz00_385);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 512 */
								long BgL_idxz00_3932;

								BgL_idxz00_3932 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3931);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3932 + 2L)) == BgL_classz00_3930);
							}
						else
							{	/* Ast/var.sch 512 */
								bool_t BgL_res2170z00_3935;

								{	/* Ast/var.sch 512 */
									obj_t BgL_oclassz00_3936;

									{	/* Ast/var.sch 512 */
										obj_t BgL_arg1866z00_3937;
										long BgL_arg1867z00_3938;

										BgL_arg1866z00_3937 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 512 */
											long BgL_arg1869z00_3939;

											BgL_arg1869z00_3939 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3931);
											BgL_arg1867z00_3938 = (BgL_arg1869z00_3939 - OBJECT_TYPE);
										}
										BgL_oclassz00_3936 =
											VECTOR_REF(BgL_arg1866z00_3937, BgL_arg1867z00_3938);
									}
									{	/* Ast/var.sch 512 */
										bool_t BgL__ortest_1115z00_3940;

										BgL__ortest_1115z00_3940 =
											(BgL_classz00_3930 == BgL_oclassz00_3936);
										if (BgL__ortest_1115z00_3940)
											{	/* Ast/var.sch 512 */
												BgL_res2170z00_3935 = BgL__ortest_1115z00_3940;
											}
										else
											{	/* Ast/var.sch 512 */
												long BgL_odepthz00_3941;

												{	/* Ast/var.sch 512 */
													obj_t BgL_arg1855z00_3942;

													BgL_arg1855z00_3942 = (BgL_oclassz00_3936);
													BgL_odepthz00_3941 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3942);
												}
												if ((2L < BgL_odepthz00_3941))
													{	/* Ast/var.sch 512 */
														obj_t BgL_arg1853z00_3943;

														{	/* Ast/var.sch 512 */
															obj_t BgL_arg1854z00_3944;

															BgL_arg1854z00_3944 = (BgL_oclassz00_3936);
															BgL_arg1853z00_3943 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3944,
																2L);
														}
														BgL_res2170z00_3935 =
															(BgL_arg1853z00_3943 == BgL_classz00_3930);
													}
												else
													{	/* Ast/var.sch 512 */
														BgL_res2170z00_3935 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2170z00_3935;
							}
					}
				else
					{	/* Ast/var.sch 512 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar? */
	obj_t BGl_z62cvarzf3z91zzast_varz00(obj_t BgL_envz00_3033,
		obj_t BgL_objz00_3034)
	{
		{	/* Ast/var.sch 512 */
			return BBOOL(BGl_cvarzf3zf3zzast_varz00(BgL_objz00_3034));
		}

	}



/* cvar-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_cvarzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 513 */
			{	/* Ast/var.sch 513 */
				obj_t BgL_classz00_2003;

				BgL_classz00_2003 = BGl_cvarz00zzast_varz00;
				{	/* Ast/var.sch 513 */
					obj_t BgL__ortest_1117z00_2004;

					BgL__ortest_1117z00_2004 = BGL_CLASS_NIL(BgL_classz00_2003);
					if (CBOOL(BgL__ortest_1117z00_2004))
						{	/* Ast/var.sch 513 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1117z00_2004);
						}
					else
						{	/* Ast/var.sch 513 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2003));
						}
				}
			}
		}

	}



/* &cvar-nil */
	BgL_cvarz00_bglt BGl_z62cvarzd2nilzb0zzast_varz00(obj_t BgL_envz00_3035)
	{
		{	/* Ast/var.sch 513 */
			return BGl_cvarzd2nilzd2zzast_varz00();
		}

	}



/* cvar-macro? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzd2macrozf3z21zzast_varz00(BgL_cvarz00_bglt
		BgL_oz00_386)
	{
		{	/* Ast/var.sch 514 */
			return (((BgL_cvarz00_bglt) COBJECT(BgL_oz00_386))->BgL_macrozf3zf3);
		}

	}



/* &cvar-macro? */
	obj_t BGl_z62cvarzd2macrozf3z43zzast_varz00(obj_t BgL_envz00_3036,
		obj_t BgL_oz00_3037)
	{
		{	/* Ast/var.sch 514 */
			return
				BBOOL(BGl_cvarzd2macrozf3z21zzast_varz00(
					((BgL_cvarz00_bglt) BgL_oz00_3037)));
		}

	}



/* make-sexit */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t
		BgL_handler1187z00_389, bool_t BgL_detachedzf31188zf3_390)
	{
		{	/* Ast/var.sch 518 */
			{	/* Ast/var.sch 518 */
				BgL_sexitz00_bglt BgL_new1208z00_3945;

				{	/* Ast/var.sch 518 */
					BgL_sexitz00_bglt BgL_new1207z00_3946;

					BgL_new1207z00_3946 =
						((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitz00_bgl))));
					{	/* Ast/var.sch 518 */
						long BgL_arg1293z00_3947;

						BgL_arg1293z00_3947 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_3946), BgL_arg1293z00_3947);
					}
					{	/* Ast/var.sch 518 */
						BgL_objectz00_bglt BgL_tmpz00_5469;

						BgL_tmpz00_5469 = ((BgL_objectz00_bglt) BgL_new1207z00_3946);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5469, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1207z00_3946);
					BgL_new1208z00_3945 = BgL_new1207z00_3946;
				}
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1208z00_3945))->BgL_handlerz00) =
					((obj_t) BgL_handler1187z00_389), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(BgL_new1208z00_3945))->
						BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31188zf3_390), BUNSPEC);
				return BgL_new1208z00_3945;
			}
		}

	}



/* &make-sexit */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzb0zzast_varz00(obj_t BgL_envz00_3038,
		obj_t BgL_handler1187z00_3039, obj_t BgL_detachedzf31188zf3_3040)
	{
		{	/* Ast/var.sch 518 */
			return
				BGl_makezd2sexitzd2zzast_varz00(BgL_handler1187z00_3039,
				CBOOL(BgL_detachedzf31188zf3_3040));
		}

	}



/* sexit? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf3zf3zzast_varz00(obj_t BgL_objz00_391)
	{
		{	/* Ast/var.sch 519 */
			{	/* Ast/var.sch 519 */
				obj_t BgL_classz00_3948;

				BgL_classz00_3948 = BGl_sexitz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_391))
					{	/* Ast/var.sch 519 */
						BgL_objectz00_bglt BgL_arg1858z00_3949;

						BgL_arg1858z00_3949 = (BgL_objectz00_bglt) (BgL_objz00_391);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 519 */
								long BgL_idxz00_3950;

								BgL_idxz00_3950 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3949);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3950 + 2L)) == BgL_classz00_3948);
							}
						else
							{	/* Ast/var.sch 519 */
								bool_t BgL_res2171z00_3953;

								{	/* Ast/var.sch 519 */
									obj_t BgL_oclassz00_3954;

									{	/* Ast/var.sch 519 */
										obj_t BgL_arg1866z00_3955;
										long BgL_arg1867z00_3956;

										BgL_arg1866z00_3955 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 519 */
											long BgL_arg1869z00_3957;

											BgL_arg1869z00_3957 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3949);
											BgL_arg1867z00_3956 = (BgL_arg1869z00_3957 - OBJECT_TYPE);
										}
										BgL_oclassz00_3954 =
											VECTOR_REF(BgL_arg1866z00_3955, BgL_arg1867z00_3956);
									}
									{	/* Ast/var.sch 519 */
										bool_t BgL__ortest_1115z00_3958;

										BgL__ortest_1115z00_3958 =
											(BgL_classz00_3948 == BgL_oclassz00_3954);
										if (BgL__ortest_1115z00_3958)
											{	/* Ast/var.sch 519 */
												BgL_res2171z00_3953 = BgL__ortest_1115z00_3958;
											}
										else
											{	/* Ast/var.sch 519 */
												long BgL_odepthz00_3959;

												{	/* Ast/var.sch 519 */
													obj_t BgL_arg1855z00_3960;

													BgL_arg1855z00_3960 = (BgL_oclassz00_3954);
													BgL_odepthz00_3959 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3960);
												}
												if ((2L < BgL_odepthz00_3959))
													{	/* Ast/var.sch 519 */
														obj_t BgL_arg1853z00_3961;

														{	/* Ast/var.sch 519 */
															obj_t BgL_arg1854z00_3962;

															BgL_arg1854z00_3962 = (BgL_oclassz00_3954);
															BgL_arg1853z00_3961 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3962,
																2L);
														}
														BgL_res2171z00_3953 =
															(BgL_arg1853z00_3961 == BgL_classz00_3948);
													}
												else
													{	/* Ast/var.sch 519 */
														BgL_res2171z00_3953 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2171z00_3953;
							}
					}
				else
					{	/* Ast/var.sch 519 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit? */
	obj_t BGl_z62sexitzf3z91zzast_varz00(obj_t BgL_envz00_3041,
		obj_t BgL_objz00_3042)
	{
		{	/* Ast/var.sch 519 */
			return BBOOL(BGl_sexitzf3zf3zzast_varz00(BgL_objz00_3042));
		}

	}



/* sexit-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt BGl_sexitzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 520 */
			{	/* Ast/var.sch 520 */
				obj_t BgL_classz00_2046;

				BgL_classz00_2046 = BGl_sexitz00zzast_varz00;
				{	/* Ast/var.sch 520 */
					obj_t BgL__ortest_1117z00_2047;

					BgL__ortest_1117z00_2047 = BGL_CLASS_NIL(BgL_classz00_2046);
					if (CBOOL(BgL__ortest_1117z00_2047))
						{	/* Ast/var.sch 520 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1117z00_2047);
						}
					else
						{	/* Ast/var.sch 520 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2046));
						}
				}
			}
		}

	}



/* &sexit-nil */
	BgL_sexitz00_bglt BGl_z62sexitzd2nilzb0zzast_varz00(obj_t BgL_envz00_3043)
	{
		{	/* Ast/var.sch 520 */
			return BGl_sexitzd2nilzd2zzast_varz00();
		}

	}



/* sexit-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzd2detachedzf3z21zzast_varz00(BgL_sexitz00_bglt BgL_oz00_392)
	{
		{	/* Ast/var.sch 521 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_392))->BgL_detachedzf3zf3);
		}

	}



/* &sexit-detached? */
	obj_t BGl_z62sexitzd2detachedzf3z43zzast_varz00(obj_t BgL_envz00_3044,
		obj_t BgL_oz00_3045)
	{
		{	/* Ast/var.sch 521 */
			return
				BBOOL(BGl_sexitzd2detachedzf3z21zzast_varz00(
					((BgL_sexitz00_bglt) BgL_oz00_3045)));
		}

	}



/* sexit-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_393, bool_t BgL_vz00_394)
	{
		{	/* Ast/var.sch 522 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_393))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_394), BUNSPEC);
		}

	}



/* &sexit-detached?-set! */
	obj_t BGl_z62sexitzd2detachedzf3zd2setz12z83zzast_varz00(obj_t
		BgL_envz00_3046, obj_t BgL_oz00_3047, obj_t BgL_vz00_3048)
	{
		{	/* Ast/var.sch 522 */
			return
				BGl_sexitzd2detachedzf3zd2setz12ze1zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_3047), CBOOL(BgL_vz00_3048));
		}

	}



/* sexit-handler */
	BGL_EXPORTED_DEF obj_t BGl_sexitzd2handlerzd2zzast_varz00(BgL_sexitz00_bglt
		BgL_oz00_395)
	{
		{	/* Ast/var.sch 523 */
			return (((BgL_sexitz00_bglt) COBJECT(BgL_oz00_395))->BgL_handlerz00);
		}

	}



/* &sexit-handler */
	obj_t BGl_z62sexitzd2handlerzb0zzast_varz00(obj_t BgL_envz00_3049,
		obj_t BgL_oz00_3050)
	{
		{	/* Ast/var.sch 523 */
			return
				BGl_sexitzd2handlerzd2zzast_varz00(((BgL_sexitz00_bglt) BgL_oz00_3050));
		}

	}



/* sexit-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzd2handlerzd2setz12z12zzast_varz00(BgL_sexitz00_bglt BgL_oz00_396,
		obj_t BgL_vz00_397)
	{
		{	/* Ast/var.sch 524 */
			return
				((((BgL_sexitz00_bglt) COBJECT(BgL_oz00_396))->BgL_handlerz00) =
				((obj_t) BgL_vz00_397), BUNSPEC);
		}

	}



/* &sexit-handler-set! */
	obj_t BGl_z62sexitzd2handlerzd2setz12z70zzast_varz00(obj_t BgL_envz00_3051,
		obj_t BgL_oz00_3052, obj_t BgL_vz00_3053)
	{
		{	/* Ast/var.sch 524 */
			return
				BGl_sexitzd2handlerzd2setz12z12zzast_varz00(
				((BgL_sexitz00_bglt) BgL_oz00_3052), BgL_vz00_3053);
		}

	}



/* make-feffect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_makezd2feffectzd2zzast_varz00(obj_t
		BgL_read1184z00_398, obj_t BgL_write1185z00_399)
	{
		{	/* Ast/var.sch 527 */
			{	/* Ast/var.sch 527 */
				BgL_feffectz00_bglt BgL_new1210z00_3963;

				{	/* Ast/var.sch 527 */
					BgL_feffectz00_bglt BgL_new1209z00_3964;

					BgL_new1209z00_3964 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.sch 527 */
						long BgL_arg1294z00_3965;

						BgL_arg1294z00_3965 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_3964), BgL_arg1294z00_3965);
					}
					BgL_new1210z00_3963 = BgL_new1209z00_3964;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1210z00_3963))->BgL_readz00) =
					((obj_t) BgL_read1184z00_398), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1210z00_3963))->BgL_writez00) =
					((obj_t) BgL_write1185z00_399), BUNSPEC);
				return BgL_new1210z00_3963;
			}
		}

	}



/* &make-feffect */
	BgL_feffectz00_bglt BGl_z62makezd2feffectzb0zzast_varz00(obj_t
		BgL_envz00_3054, obj_t BgL_read1184z00_3055, obj_t BgL_write1185z00_3056)
	{
		{	/* Ast/var.sch 527 */
			return
				BGl_makezd2feffectzd2zzast_varz00(BgL_read1184z00_3055,
				BgL_write1185z00_3056);
		}

	}



/* feffect? */
	BGL_EXPORTED_DEF bool_t BGl_feffectzf3zf3zzast_varz00(obj_t BgL_objz00_400)
	{
		{	/* Ast/var.sch 528 */
			{	/* Ast/var.sch 528 */
				obj_t BgL_classz00_3966;

				BgL_classz00_3966 = BGl_feffectz00zzast_varz00;
				if (BGL_OBJECTP(BgL_objz00_400))
					{	/* Ast/var.sch 528 */
						BgL_objectz00_bglt BgL_arg1858z00_3967;

						BgL_arg1858z00_3967 = (BgL_objectz00_bglt) (BgL_objz00_400);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.sch 528 */
								long BgL_idxz00_3968;

								BgL_idxz00_3968 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3967);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3968 + 1L)) == BgL_classz00_3966);
							}
						else
							{	/* Ast/var.sch 528 */
								bool_t BgL_res2172z00_3971;

								{	/* Ast/var.sch 528 */
									obj_t BgL_oclassz00_3972;

									{	/* Ast/var.sch 528 */
										obj_t BgL_arg1866z00_3973;
										long BgL_arg1867z00_3974;

										BgL_arg1866z00_3973 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.sch 528 */
											long BgL_arg1869z00_3975;

											BgL_arg1869z00_3975 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3967);
											BgL_arg1867z00_3974 = (BgL_arg1869z00_3975 - OBJECT_TYPE);
										}
										BgL_oclassz00_3972 =
											VECTOR_REF(BgL_arg1866z00_3973, BgL_arg1867z00_3974);
									}
									{	/* Ast/var.sch 528 */
										bool_t BgL__ortest_1115z00_3976;

										BgL__ortest_1115z00_3976 =
											(BgL_classz00_3966 == BgL_oclassz00_3972);
										if (BgL__ortest_1115z00_3976)
											{	/* Ast/var.sch 528 */
												BgL_res2172z00_3971 = BgL__ortest_1115z00_3976;
											}
										else
											{	/* Ast/var.sch 528 */
												long BgL_odepthz00_3977;

												{	/* Ast/var.sch 528 */
													obj_t BgL_arg1855z00_3978;

													BgL_arg1855z00_3978 = (BgL_oclassz00_3972);
													BgL_odepthz00_3977 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3978);
												}
												if ((1L < BgL_odepthz00_3977))
													{	/* Ast/var.sch 528 */
														obj_t BgL_arg1853z00_3979;

														{	/* Ast/var.sch 528 */
															obj_t BgL_arg1854z00_3980;

															BgL_arg1854z00_3980 = (BgL_oclassz00_3972);
															BgL_arg1853z00_3979 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3980,
																1L);
														}
														BgL_res2172z00_3971 =
															(BgL_arg1853z00_3979 == BgL_classz00_3966);
													}
												else
													{	/* Ast/var.sch 528 */
														BgL_res2172z00_3971 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2172z00_3971;
							}
					}
				else
					{	/* Ast/var.sch 528 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &feffect? */
	obj_t BGl_z62feffectzf3z91zzast_varz00(obj_t BgL_envz00_3057,
		obj_t BgL_objz00_3058)
	{
		{	/* Ast/var.sch 528 */
			return BBOOL(BGl_feffectzf3zf3zzast_varz00(BgL_objz00_3058));
		}

	}



/* feffect-nil */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt BGl_feffectzd2nilzd2zzast_varz00(void)
	{
		{	/* Ast/var.sch 529 */
			{	/* Ast/var.sch 529 */
				obj_t BgL_classz00_2088;

				BgL_classz00_2088 = BGl_feffectz00zzast_varz00;
				{	/* Ast/var.sch 529 */
					obj_t BgL__ortest_1117z00_2089;

					BgL__ortest_1117z00_2089 = BGL_CLASS_NIL(BgL_classz00_2088);
					if (CBOOL(BgL__ortest_1117z00_2089))
						{	/* Ast/var.sch 529 */
							return ((BgL_feffectz00_bglt) BgL__ortest_1117z00_2089);
						}
					else
						{	/* Ast/var.sch 529 */
							return
								((BgL_feffectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2088));
						}
				}
			}
		}

	}



/* &feffect-nil */
	BgL_feffectz00_bglt BGl_z62feffectzd2nilzb0zzast_varz00(obj_t BgL_envz00_3059)
	{
		{	/* Ast/var.sch 529 */
			return BGl_feffectzd2nilzd2zzast_varz00();
		}

	}



/* feffect-write */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2writezd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_401)
	{
		{	/* Ast/var.sch 530 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_401))->BgL_writez00);
		}

	}



/* &feffect-write */
	obj_t BGl_z62feffectzd2writezb0zzast_varz00(obj_t BgL_envz00_3060,
		obj_t BgL_oz00_3061)
	{
		{	/* Ast/var.sch 530 */
			return
				BGl_feffectzd2writezd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3061));
		}

	}



/* feffect-write-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2writezd2setz12z12zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_402, obj_t BgL_vz00_403)
	{
		{	/* Ast/var.sch 531 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_402))->BgL_writez00) =
				((obj_t) BgL_vz00_403), BUNSPEC);
		}

	}



/* &feffect-write-set! */
	obj_t BGl_z62feffectzd2writezd2setz12z70zzast_varz00(obj_t BgL_envz00_3062,
		obj_t BgL_oz00_3063, obj_t BgL_vz00_3064)
	{
		{	/* Ast/var.sch 531 */
			return
				BGl_feffectzd2writezd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3063), BgL_vz00_3064);
		}

	}



/* feffect-read */
	BGL_EXPORTED_DEF obj_t BGl_feffectzd2readzd2zzast_varz00(BgL_feffectz00_bglt
		BgL_oz00_404)
	{
		{	/* Ast/var.sch 532 */
			return (((BgL_feffectz00_bglt) COBJECT(BgL_oz00_404))->BgL_readz00);
		}

	}



/* &feffect-read */
	obj_t BGl_z62feffectzd2readzb0zzast_varz00(obj_t BgL_envz00_3065,
		obj_t BgL_oz00_3066)
	{
		{	/* Ast/var.sch 532 */
			return
				BGl_feffectzd2readzd2zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3066));
		}

	}



/* feffect-read-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_feffectzd2readzd2setz12z12zzast_varz00(BgL_feffectz00_bglt BgL_oz00_405,
		obj_t BgL_vz00_406)
	{
		{	/* Ast/var.sch 533 */
			return
				((((BgL_feffectz00_bglt) COBJECT(BgL_oz00_405))->BgL_readz00) =
				((obj_t) BgL_vz00_406), BUNSPEC);
		}

	}



/* &feffect-read-set! */
	obj_t BGl_z62feffectzd2readzd2setz12z70zzast_varz00(obj_t BgL_envz00_3067,
		obj_t BgL_oz00_3068, obj_t BgL_vz00_3069)
	{
		{	/* Ast/var.sch 533 */
			return
				BGl_feffectzd2readzd2setz12z12zzast_varz00(
				((BgL_feffectz00_bglt) BgL_oz00_3068), BgL_vz00_3069);
		}

	}



/* global-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_407)
	{
		{	/* Ast/var.scm 194 */
			{	/* Ast/var.scm 196 */
				obj_t BgL_tmpz00_5572;

				BgL_tmpz00_5572 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						CNST_TABLE_REF(0)),
					(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_407))->BgL_pragmaz00));
				return PAIRP(BgL_tmpz00_5572);
			}
		}

	}



/* &global-read-only? */
	obj_t BGl_z62globalzd2readzd2onlyzf3z91zzast_varz00(obj_t BgL_envz00_3070,
		obj_t BgL_globalz00_3071)
	{
		{	/* Ast/var.scm 194 */
			return
				BBOOL(BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3071)));
		}

	}



/* global-set-read-only! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_408)
	{
		{	/* Ast/var.scm 201 */
			{
				obj_t BgL_auxz00_5581;

				{	/* Ast/var.scm 203 */
					obj_t BgL_arg1297z00_523;

					BgL_arg1297z00_523 =
						(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_408))->BgL_pragmaz00);
					BgL_auxz00_5581 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BgL_arg1297z00_523);
				}
				return
					((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_408))->BgL_pragmaz00) =
					((obj_t) BgL_auxz00_5581), BUNSPEC);
			}
		}

	}



/* &global-set-read-only! */
	obj_t BGl_z62globalzd2setzd2readzd2onlyz12za2zzast_varz00(obj_t
		BgL_envz00_3072, obj_t BgL_globalz00_3073)
	{
		{	/* Ast/var.scm 201 */
			return
				BGl_globalzd2setzd2readzd2onlyz12zc0zzast_varz00(
				((BgL_globalz00_bglt) BgL_globalz00_3073));
		}

	}



/* global-args-safe? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzd2argszd2safezf3zf3zzast_varz00(BgL_globalz00_bglt
		BgL_globalz00_409)
	{
		{	/* Ast/var.scm 208 */
			{	/* Ast/var.scm 210 */
				bool_t BgL__ortest_1214z00_525;

				{	/* Ast/var.scm 210 */
					bool_t BgL_test2858z00_5589;

					{	/* Ast/var.scm 210 */
						BgL_valuez00_bglt BgL_arg1309z00_533;

						BgL_arg1309z00_533 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_409)))->BgL_valuez00);
						{	/* Ast/var.scm 210 */
							obj_t BgL_classz00_2090;

							BgL_classz00_2090 = BGl_cfunz00zzast_varz00;
							{	/* Ast/var.scm 210 */
								BgL_objectz00_bglt BgL_arg1858z00_2092;

								{	/* Ast/var.scm 210 */
									obj_t BgL_tmpz00_5592;

									BgL_tmpz00_5592 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1309z00_533));
									BgL_arg1858z00_2092 = (BgL_objectz00_bglt) (BgL_tmpz00_5592);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/var.scm 210 */
										long BgL_idxz00_2098;

										BgL_idxz00_2098 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2092);
										BgL_test2858z00_5589 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2098 + 3L)) == BgL_classz00_2090);
									}
								else
									{	/* Ast/var.scm 210 */
										bool_t BgL_res2173z00_2123;

										{	/* Ast/var.scm 210 */
											obj_t BgL_oclassz00_2106;

											{	/* Ast/var.scm 210 */
												obj_t BgL_arg1866z00_2114;
												long BgL_arg1867z00_2115;

												BgL_arg1866z00_2114 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/var.scm 210 */
													long BgL_arg1869z00_2116;

													BgL_arg1869z00_2116 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2092);
													BgL_arg1867z00_2115 =
														(BgL_arg1869z00_2116 - OBJECT_TYPE);
												}
												BgL_oclassz00_2106 =
													VECTOR_REF(BgL_arg1866z00_2114, BgL_arg1867z00_2115);
											}
											{	/* Ast/var.scm 210 */
												bool_t BgL__ortest_1115z00_2107;

												BgL__ortest_1115z00_2107 =
													(BgL_classz00_2090 == BgL_oclassz00_2106);
												if (BgL__ortest_1115z00_2107)
													{	/* Ast/var.scm 210 */
														BgL_res2173z00_2123 = BgL__ortest_1115z00_2107;
													}
												else
													{	/* Ast/var.scm 210 */
														long BgL_odepthz00_2108;

														{	/* Ast/var.scm 210 */
															obj_t BgL_arg1855z00_2109;

															BgL_arg1855z00_2109 = (BgL_oclassz00_2106);
															BgL_odepthz00_2108 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2109);
														}
														if ((3L < BgL_odepthz00_2108))
															{	/* Ast/var.scm 210 */
																obj_t BgL_arg1853z00_2111;

																{	/* Ast/var.scm 210 */
																	obj_t BgL_arg1854z00_2112;

																	BgL_arg1854z00_2112 = (BgL_oclassz00_2106);
																	BgL_arg1853z00_2111 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2112,
																		3L);
																}
																BgL_res2173z00_2123 =
																	(BgL_arg1853z00_2111 == BgL_classz00_2090);
															}
														else
															{	/* Ast/var.scm 210 */
																BgL_res2173z00_2123 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2858z00_5589 = BgL_res2173z00_2123;
									}
							}
						}
					}
					if (BgL_test2858z00_5589)
						{	/* Ast/var.scm 210 */
							BgL__ortest_1214z00_525 = ((bool_t) 0);
						}
					else
						{	/* Ast/var.scm 210 */
							BgL__ortest_1214z00_525 = ((bool_t) 1);
						}
				}
				if (BgL__ortest_1214z00_525)
					{	/* Ast/var.scm 210 */
						return BgL__ortest_1214z00_525;
					}
				else
					{	/* Ast/var.scm 211 */
						bool_t BgL__ortest_1215z00_526;

						if (
							(((BgL_cfunz00_bglt) COBJECT(
										((BgL_cfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_409)))->
												BgL_valuez00))))->BgL_macrozf3zf3))
							{	/* Ast/var.scm 211 */
								BgL__ortest_1215z00_526 = ((bool_t) 0);
							}
						else
							{	/* Ast/var.scm 211 */
								BgL__ortest_1215z00_526 = ((bool_t) 1);
							}
						if (BgL__ortest_1215z00_526)
							{	/* Ast/var.scm 211 */
								return BgL__ortest_1215z00_526;
							}
						else
							{	/* Ast/var.scm 211 */
								return
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t)
											CNST_TABLE_REF(1)),
										(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_409))->
											BgL_pragmaz00)));
							}
					}
			}
		}

	}



/* &global-args-safe? */
	obj_t BGl_z62globalzd2argszd2safezf3z91zzast_varz00(obj_t BgL_envz00_3074,
		obj_t BgL_globalz00_3075)
	{
		{	/* Ast/var.scm 208 */
			return
				BBOOL(BGl_globalzd2argszd2safezf3zf3zzast_varz00(
					((BgL_globalz00_bglt) BgL_globalz00_3075)));
		}

	}



/* fun-optional-arity */
	BGL_EXPORTED_DEF int BGl_funzd2optionalzd2arityz00zzast_varz00(BgL_funz00_bglt
		BgL_funz00_410)
	{
		{	/* Ast/var.scm 217 */
			{	/* Ast/var.scm 219 */
				bool_t BgL_test2865z00_5630;

				{	/* Ast/var.scm 219 */
					obj_t BgL_classz00_2125;

					BgL_classz00_2125 = BGl_sfunz00zzast_varz00;
					{	/* Ast/var.scm 219 */
						BgL_objectz00_bglt BgL_arg1858z00_2127;

						{	/* Ast/var.scm 219 */
							obj_t BgL_tmpz00_5631;

							BgL_tmpz00_5631 = ((obj_t) BgL_funz00_410);
							BgL_arg1858z00_2127 = (BgL_objectz00_bglt) (BgL_tmpz00_5631);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/var.scm 219 */
								long BgL_idxz00_2133;

								BgL_idxz00_2133 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2127);
								BgL_test2865z00_5630 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2133 + 3L)) == BgL_classz00_2125);
							}
						else
							{	/* Ast/var.scm 219 */
								bool_t BgL_res2174z00_2158;

								{	/* Ast/var.scm 219 */
									obj_t BgL_oclassz00_2141;

									{	/* Ast/var.scm 219 */
										obj_t BgL_arg1866z00_2149;
										long BgL_arg1867z00_2150;

										BgL_arg1866z00_2149 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/var.scm 219 */
											long BgL_arg1869z00_2151;

											BgL_arg1869z00_2151 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2127);
											BgL_arg1867z00_2150 = (BgL_arg1869z00_2151 - OBJECT_TYPE);
										}
										BgL_oclassz00_2141 =
											VECTOR_REF(BgL_arg1866z00_2149, BgL_arg1867z00_2150);
									}
									{	/* Ast/var.scm 219 */
										bool_t BgL__ortest_1115z00_2142;

										BgL__ortest_1115z00_2142 =
											(BgL_classz00_2125 == BgL_oclassz00_2141);
										if (BgL__ortest_1115z00_2142)
											{	/* Ast/var.scm 219 */
												BgL_res2174z00_2158 = BgL__ortest_1115z00_2142;
											}
										else
											{	/* Ast/var.scm 219 */
												long BgL_odepthz00_2143;

												{	/* Ast/var.scm 219 */
													obj_t BgL_arg1855z00_2144;

													BgL_arg1855z00_2144 = (BgL_oclassz00_2141);
													BgL_odepthz00_2143 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2144);
												}
												if ((3L < BgL_odepthz00_2143))
													{	/* Ast/var.scm 219 */
														obj_t BgL_arg1853z00_2146;

														{	/* Ast/var.scm 219 */
															obj_t BgL_arg1854z00_2147;

															BgL_arg1854z00_2147 = (BgL_oclassz00_2141);
															BgL_arg1853z00_2146 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2147,
																3L);
														}
														BgL_res2174z00_2158 =
															(BgL_arg1853z00_2146 == BgL_classz00_2125);
													}
												else
													{	/* Ast/var.scm 219 */
														BgL_res2174z00_2158 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2865z00_5630 = BgL_res2174z00_2158;
							}
					}
				}
				if (BgL_test2865z00_5630)
					{	/* Ast/var.scm 221 */
						bool_t BgL_test2869z00_5653;

						{	/* Ast/var.scm 221 */
							obj_t BgL_tmpz00_5654;

							BgL_tmpz00_5654 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_410)))->BgL_optionalsz00);
							BgL_test2869z00_5653 = PAIRP(BgL_tmpz00_5654);
						}
						if (BgL_test2869z00_5653)
							{	/* Ast/var.scm 221 */
								return
									(int) (
									((((BgL_funz00_bglt) COBJECT(BgL_funz00_410))->BgL_arityz00) +
										1L));
							}
						else
							{	/* Ast/var.scm 221 */
								return
									(int) (
									(((BgL_funz00_bglt) COBJECT(BgL_funz00_410))->BgL_arityz00));
					}}
				else
					{	/* Ast/var.scm 219 */
						return
							(int) (
							(((BgL_funz00_bglt) COBJECT(BgL_funz00_410))->BgL_arityz00));
		}}}

	}



/* &fun-optional-arity */
	obj_t BGl_z62funzd2optionalzd2arityz62zzast_varz00(obj_t BgL_envz00_3076,
		obj_t BgL_funz00_3077)
	{
		{	/* Ast/var.scm 217 */
			return
				BINT(BGl_funzd2optionalzd2arityz00zzast_varz00(
					((BgL_funz00_bglt) BgL_funz00_3077)));
		}

	}



/* global-optional? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t
		BgL_gz00_411)
	{
		{	/* Ast/var.scm 229 */
			{	/* Ast/var.scm 230 */
				bool_t BgL_test2870z00_5668;

				{	/* Ast/var.scm 230 */
					obj_t BgL_classz00_2160;

					BgL_classz00_2160 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_411))
						{	/* Ast/var.scm 230 */
							BgL_objectz00_bglt BgL_arg1858z00_2162;

							BgL_arg1858z00_2162 = (BgL_objectz00_bglt) (BgL_gz00_411);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 230 */
									long BgL_idxz00_2168;

									BgL_idxz00_2168 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2162);
									BgL_test2870z00_5668 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2168 + 2L)) == BgL_classz00_2160);
								}
							else
								{	/* Ast/var.scm 230 */
									bool_t BgL_res2175z00_2193;

									{	/* Ast/var.scm 230 */
										obj_t BgL_oclassz00_2176;

										{	/* Ast/var.scm 230 */
											obj_t BgL_arg1866z00_2184;
											long BgL_arg1867z00_2185;

											BgL_arg1866z00_2184 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/var.scm 230 */
												long BgL_arg1869z00_2186;

												BgL_arg1869z00_2186 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2162);
												BgL_arg1867z00_2185 =
													(BgL_arg1869z00_2186 - OBJECT_TYPE);
											}
											BgL_oclassz00_2176 =
												VECTOR_REF(BgL_arg1866z00_2184, BgL_arg1867z00_2185);
										}
										{	/* Ast/var.scm 230 */
											bool_t BgL__ortest_1115z00_2177;

											BgL__ortest_1115z00_2177 =
												(BgL_classz00_2160 == BgL_oclassz00_2176);
											if (BgL__ortest_1115z00_2177)
												{	/* Ast/var.scm 230 */
													BgL_res2175z00_2193 = BgL__ortest_1115z00_2177;
												}
											else
												{	/* Ast/var.scm 230 */
													long BgL_odepthz00_2178;

													{	/* Ast/var.scm 230 */
														obj_t BgL_arg1855z00_2179;

														BgL_arg1855z00_2179 = (BgL_oclassz00_2176);
														BgL_odepthz00_2178 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2179);
													}
													if ((2L < BgL_odepthz00_2178))
														{	/* Ast/var.scm 230 */
															obj_t BgL_arg1853z00_2181;

															{	/* Ast/var.scm 230 */
																obj_t BgL_arg1854z00_2182;

																BgL_arg1854z00_2182 = (BgL_oclassz00_2176);
																BgL_arg1853z00_2181 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2182,
																	2L);
															}
															BgL_res2175z00_2193 =
																(BgL_arg1853z00_2181 == BgL_classz00_2160);
														}
													else
														{	/* Ast/var.scm 230 */
															BgL_res2175z00_2193 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2870z00_5668 = BgL_res2175z00_2193;
								}
						}
					else
						{	/* Ast/var.scm 230 */
							BgL_test2870z00_5668 = ((bool_t) 0);
						}
				}
				if (BgL_test2870z00_5668)
					{	/* Ast/var.scm 230 */
						BGL_TAIL return
							BGl_sfunzd2optionalzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_411))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 230 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-optional? */
	obj_t BGl_z62globalzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3078,
		obj_t BgL_gz00_3079)
	{
		{	/* Ast/var.scm 229 */
			return BBOOL(BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_3079));
		}

	}



/* sfun-optional? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2optionalzf3z21zzast_varz00(obj_t
		BgL_funz00_412)
	{
		{	/* Ast/var.scm 237 */
			{	/* Ast/var.scm 238 */
				bool_t BgL_test2875z00_5698;

				{	/* Ast/var.scm 238 */
					obj_t BgL_classz00_2195;

					BgL_classz00_2195 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_412))
						{	/* Ast/var.scm 238 */
							BgL_objectz00_bglt BgL_arg1858z00_2197;

							BgL_arg1858z00_2197 = (BgL_objectz00_bglt) (BgL_funz00_412);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 238 */
									long BgL_idxz00_2203;

									BgL_idxz00_2203 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2197);
									BgL_test2875z00_5698 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2203 + 3L)) == BgL_classz00_2195);
								}
							else
								{	/* Ast/var.scm 238 */
									bool_t BgL_res2176z00_2228;

									{	/* Ast/var.scm 238 */
										obj_t BgL_oclassz00_2211;

										{	/* Ast/var.scm 238 */
											obj_t BgL_arg1866z00_2219;
											long BgL_arg1867z00_2220;

											BgL_arg1866z00_2219 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/var.scm 238 */
												long BgL_arg1869z00_2221;

												BgL_arg1869z00_2221 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2197);
												BgL_arg1867z00_2220 =
													(BgL_arg1869z00_2221 - OBJECT_TYPE);
											}
											BgL_oclassz00_2211 =
												VECTOR_REF(BgL_arg1866z00_2219, BgL_arg1867z00_2220);
										}
										{	/* Ast/var.scm 238 */
											bool_t BgL__ortest_1115z00_2212;

											BgL__ortest_1115z00_2212 =
												(BgL_classz00_2195 == BgL_oclassz00_2211);
											if (BgL__ortest_1115z00_2212)
												{	/* Ast/var.scm 238 */
													BgL_res2176z00_2228 = BgL__ortest_1115z00_2212;
												}
											else
												{	/* Ast/var.scm 238 */
													long BgL_odepthz00_2213;

													{	/* Ast/var.scm 238 */
														obj_t BgL_arg1855z00_2214;

														BgL_arg1855z00_2214 = (BgL_oclassz00_2211);
														BgL_odepthz00_2213 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2214);
													}
													if ((3L < BgL_odepthz00_2213))
														{	/* Ast/var.scm 238 */
															obj_t BgL_arg1853z00_2216;

															{	/* Ast/var.scm 238 */
																obj_t BgL_arg1854z00_2217;

																BgL_arg1854z00_2217 = (BgL_oclassz00_2211);
																BgL_arg1853z00_2216 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2217,
																	3L);
															}
															BgL_res2176z00_2228 =
																(BgL_arg1853z00_2216 == BgL_classz00_2195);
														}
													else
														{	/* Ast/var.scm 238 */
															BgL_res2176z00_2228 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2875z00_5698 = BgL_res2176z00_2228;
								}
						}
					else
						{	/* Ast/var.scm 238 */
							BgL_test2875z00_5698 = ((bool_t) 0);
						}
				}
				if (BgL_test2875z00_5698)
					{	/* Ast/var.scm 238 */
						obj_t BgL_tmpz00_5721;

						BgL_tmpz00_5721 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_412)))->BgL_optionalsz00);
						return PAIRP(BgL_tmpz00_5721);
					}
				else
					{	/* Ast/var.scm 238 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-optional? */
	obj_t BGl_z62sfunzd2optionalzf3z43zzast_varz00(obj_t BgL_envz00_3080,
		obj_t BgL_funz00_3081)
	{
		{	/* Ast/var.scm 237 */
			return BBOOL(BGl_sfunzd2optionalzf3z21zzast_varz00(BgL_funz00_3081));
		}

	}



/* global-key? */
	BGL_EXPORTED_DEF bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t BgL_gz00_413)
	{
		{	/* Ast/var.scm 243 */
			{	/* Ast/var.scm 244 */
				bool_t BgL_test2880z00_5727;

				{	/* Ast/var.scm 244 */
					obj_t BgL_classz00_2230;

					BgL_classz00_2230 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_gz00_413))
						{	/* Ast/var.scm 244 */
							BgL_objectz00_bglt BgL_arg1858z00_2232;

							BgL_arg1858z00_2232 = (BgL_objectz00_bglt) (BgL_gz00_413);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 244 */
									long BgL_idxz00_2238;

									BgL_idxz00_2238 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2232);
									BgL_test2880z00_5727 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2238 + 2L)) == BgL_classz00_2230);
								}
							else
								{	/* Ast/var.scm 244 */
									bool_t BgL_res2177z00_2263;

									{	/* Ast/var.scm 244 */
										obj_t BgL_oclassz00_2246;

										{	/* Ast/var.scm 244 */
											obj_t BgL_arg1866z00_2254;
											long BgL_arg1867z00_2255;

											BgL_arg1866z00_2254 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/var.scm 244 */
												long BgL_arg1869z00_2256;

												BgL_arg1869z00_2256 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2232);
												BgL_arg1867z00_2255 =
													(BgL_arg1869z00_2256 - OBJECT_TYPE);
											}
											BgL_oclassz00_2246 =
												VECTOR_REF(BgL_arg1866z00_2254, BgL_arg1867z00_2255);
										}
										{	/* Ast/var.scm 244 */
											bool_t BgL__ortest_1115z00_2247;

											BgL__ortest_1115z00_2247 =
												(BgL_classz00_2230 == BgL_oclassz00_2246);
											if (BgL__ortest_1115z00_2247)
												{	/* Ast/var.scm 244 */
													BgL_res2177z00_2263 = BgL__ortest_1115z00_2247;
												}
											else
												{	/* Ast/var.scm 244 */
													long BgL_odepthz00_2248;

													{	/* Ast/var.scm 244 */
														obj_t BgL_arg1855z00_2249;

														BgL_arg1855z00_2249 = (BgL_oclassz00_2246);
														BgL_odepthz00_2248 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2249);
													}
													if ((2L < BgL_odepthz00_2248))
														{	/* Ast/var.scm 244 */
															obj_t BgL_arg1853z00_2251;

															{	/* Ast/var.scm 244 */
																obj_t BgL_arg1854z00_2252;

																BgL_arg1854z00_2252 = (BgL_oclassz00_2246);
																BgL_arg1853z00_2251 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2252,
																	2L);
															}
															BgL_res2177z00_2263 =
																(BgL_arg1853z00_2251 == BgL_classz00_2230);
														}
													else
														{	/* Ast/var.scm 244 */
															BgL_res2177z00_2263 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2880z00_5727 = BgL_res2177z00_2263;
								}
						}
					else
						{	/* Ast/var.scm 244 */
							BgL_test2880z00_5727 = ((bool_t) 0);
						}
				}
				if (BgL_test2880z00_5727)
					{	/* Ast/var.scm 244 */
						BGL_TAIL return
							BGl_sfunzd2keyzf3z21zzast_varz00(
							((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_413))))->BgL_valuez00)));
					}
				else
					{	/* Ast/var.scm 244 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global-key? */
	obj_t BGl_z62globalzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3082,
		obj_t BgL_gz00_3083)
	{
		{	/* Ast/var.scm 243 */
			return BBOOL(BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_3083));
		}

	}



/* sfun-key? */
	BGL_EXPORTED_DEF bool_t BGl_sfunzd2keyzf3z21zzast_varz00(obj_t BgL_funz00_414)
	{
		{	/* Ast/var.scm 251 */
			{	/* Ast/var.scm 252 */
				bool_t BgL_test2885z00_5757;

				{	/* Ast/var.scm 252 */
					obj_t BgL_classz00_2265;

					BgL_classz00_2265 = BGl_sfunz00zzast_varz00;
					if (BGL_OBJECTP(BgL_funz00_414))
						{	/* Ast/var.scm 252 */
							BgL_objectz00_bglt BgL_arg1858z00_2267;

							BgL_arg1858z00_2267 = (BgL_objectz00_bglt) (BgL_funz00_414);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/var.scm 252 */
									long BgL_idxz00_2273;

									BgL_idxz00_2273 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2267);
									BgL_test2885z00_5757 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2273 + 3L)) == BgL_classz00_2265);
								}
							else
								{	/* Ast/var.scm 252 */
									bool_t BgL_res2178z00_2298;

									{	/* Ast/var.scm 252 */
										obj_t BgL_oclassz00_2281;

										{	/* Ast/var.scm 252 */
											obj_t BgL_arg1866z00_2289;
											long BgL_arg1867z00_2290;

											BgL_arg1866z00_2289 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/var.scm 252 */
												long BgL_arg1869z00_2291;

												BgL_arg1869z00_2291 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2267);
												BgL_arg1867z00_2290 =
													(BgL_arg1869z00_2291 - OBJECT_TYPE);
											}
											BgL_oclassz00_2281 =
												VECTOR_REF(BgL_arg1866z00_2289, BgL_arg1867z00_2290);
										}
										{	/* Ast/var.scm 252 */
											bool_t BgL__ortest_1115z00_2282;

											BgL__ortest_1115z00_2282 =
												(BgL_classz00_2265 == BgL_oclassz00_2281);
											if (BgL__ortest_1115z00_2282)
												{	/* Ast/var.scm 252 */
													BgL_res2178z00_2298 = BgL__ortest_1115z00_2282;
												}
											else
												{	/* Ast/var.scm 252 */
													long BgL_odepthz00_2283;

													{	/* Ast/var.scm 252 */
														obj_t BgL_arg1855z00_2284;

														BgL_arg1855z00_2284 = (BgL_oclassz00_2281);
														BgL_odepthz00_2283 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2284);
													}
													if ((3L < BgL_odepthz00_2283))
														{	/* Ast/var.scm 252 */
															obj_t BgL_arg1853z00_2286;

															{	/* Ast/var.scm 252 */
																obj_t BgL_arg1854z00_2287;

																BgL_arg1854z00_2287 = (BgL_oclassz00_2281);
																BgL_arg1853z00_2286 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2287,
																	3L);
															}
															BgL_res2178z00_2298 =
																(BgL_arg1853z00_2286 == BgL_classz00_2265);
														}
													else
														{	/* Ast/var.scm 252 */
															BgL_res2178z00_2298 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2885z00_5757 = BgL_res2178z00_2298;
								}
						}
					else
						{	/* Ast/var.scm 252 */
							BgL_test2885z00_5757 = ((bool_t) 0);
						}
				}
				if (BgL_test2885z00_5757)
					{	/* Ast/var.scm 252 */
						obj_t BgL_tmpz00_5780;

						BgL_tmpz00_5780 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_414)))->BgL_keysz00);
						return PAIRP(BgL_tmpz00_5780);
					}
				else
					{	/* Ast/var.scm 252 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sfun-key? */
	obj_t BGl_z62sfunzd2keyzf3z43zzast_varz00(obj_t BgL_envz00_3084,
		obj_t BgL_funz00_3085)
	{
		{	/* Ast/var.scm 251 */
			return BBOOL(BGl_sfunzd2keyzf3z21zzast_varz00(BgL_funz00_3085));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			{	/* Ast/var.scm 21 */
				obj_t BgL_arg1322z00_552;
				obj_t BgL_arg1326z00_553;

				{	/* Ast/var.scm 21 */
					obj_t BgL_v1251z00_563;

					BgL_v1251z00_563 = create_vector(0L);
					BgL_arg1322z00_552 = BgL_v1251z00_563;
				}
				{	/* Ast/var.scm 21 */
					obj_t BgL_v1252z00_564;

					BgL_v1252z00_564 = create_vector(0L);
					BgL_arg1326z00_553 = BgL_v1252z00_564;
				}
				BGl_valuez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(2)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_objectz00zz__objectz00, 3894L,
					BGl_proc2181z00zzast_varz00, BGl_proc2180z00zzast_varz00, BFALSE,
					BGl_proc2179z00zzast_varz00, BFALSE, BgL_arg1322z00_552,
					BgL_arg1326z00_553);
			}
			{	/* Ast/var.scm 23 */
				obj_t BgL_arg1340z00_571;
				obj_t BgL_arg1341z00_572;

				{	/* Ast/var.scm 23 */
					obj_t BgL_v1253z00_592;

					BgL_v1253z00_592 = create_vector(10L);
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1360z00_593;

						BgL_arg1360z00_593 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc2183z00zzast_varz00,
							BGl_proc2182z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1253z00_592, 0L, BgL_arg1360z00_593);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1367z00_603;

						BgL_arg1367z00_603 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc2186z00zzast_varz00,
							BGl_proc2185z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2184z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1253z00_592, 1L, BgL_arg1367z00_603);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1380z00_616;

						BgL_arg1380z00_616 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc2188z00zzast_varz00,
							BGl_proc2187z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1253z00_592, 2L, BgL_arg1380z00_616);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1386z00_626;

						BgL_arg1386z00_626 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc2190z00zzast_varz00,
							BGl_proc2189z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_valuez00zzast_varz00);
						VECTOR_SET(BgL_v1253z00_592, 3L, BgL_arg1386z00_626);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1400z00_636;

						BgL_arg1400z00_636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc2193z00zzast_varz00,
							BGl_proc2192z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2191z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1253z00_592, 4L, BgL_arg1400z00_636);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1414z00_649;

						BgL_arg1414z00_649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc2196z00zzast_varz00,
							BGl_proc2195z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2194z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1253z00_592, 5L, BgL_arg1414z00_649);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1446z00_662;

						BgL_arg1446z00_662 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc2199z00zzast_varz00,
							BGl_proc2198z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2197z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1253z00_592, 6L, BgL_arg1446z00_662);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1484z00_675;

						BgL_arg1484z00_675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc2202z00zzast_varz00,
							BGl_proc2201z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2200z00zzast_varz00, ((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1253z00_592, 7L, BgL_arg1484z00_675);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1506z00_688;

						BgL_arg1506z00_688 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(14)), BGl_proc2205z00zzast_varz00,
							BGl_proc2204z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2203z00zzast_varz00, ((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1253z00_592, 8L, BgL_arg1506z00_688);
					}
					{	/* Ast/var.scm 23 */
						obj_t BgL_arg1530z00_701;

						BgL_arg1530z00_701 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2208z00zzast_varz00,
							BGl_proc2207z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2206z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1253z00_592, 9L, BgL_arg1530z00_701);
					}
					BgL_arg1340z00_571 = BgL_v1253z00_592;
				}
				{	/* Ast/var.scm 23 */
					obj_t BgL_v1254z00_714;

					BgL_v1254z00_714 = create_vector(0L);
					BgL_arg1341z00_572 = BgL_v1254z00_714;
				}
				BGl_variablez00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(17)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_objectz00zz__objectz00, 41390L,
					BGl_proc2211z00zzast_varz00, BGl_proc2210z00zzast_varz00, BFALSE,
					BGl_proc2209z00zzast_varz00, BFALSE, BgL_arg1340z00_571,
					BgL_arg1341z00_572);
			}
			{	/* Ast/var.scm 46 */
				obj_t BgL_arg1560z00_721;
				obj_t BgL_arg1574z00_722;

				{	/* Ast/var.scm 46 */
					obj_t BgL_v1255z00_752;

					BgL_v1255z00_752 = create_vector(10L);
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1587z00_753;

						BgL_arg1587z00_753 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc2213z00zzast_varz00,
							BGl_proc2212z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1255z00_752, 0L, BgL_arg1587z00_753);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1593z00_763;

						BgL_arg1593z00_763 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(19)), BGl_proc2215z00zzast_varz00,
							BGl_proc2214z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 1L, BgL_arg1593z00_763);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1611z00_773;

						BgL_arg1611z00_773 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc2218z00zzast_varz00,
							BGl_proc2217z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2216z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1255z00_752, 2L, BgL_arg1611z00_773);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1631z00_786;

						BgL_arg1631z00_786 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2221z00zzast_varz00,
							BGl_proc2220z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2219z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1255z00_752, 3L, BgL_arg1631z00_786);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1642z00_799;

						BgL_arg1642z00_799 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc2224z00zzast_varz00,
							BGl_proc2223z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2222z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 4L, BgL_arg1642z00_799);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1653z00_812;

						BgL_arg1653z00_812 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc2227z00zzast_varz00,
							BGl_proc2226z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2225z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 5L, BgL_arg1653z00_812);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1663z00_825;

						BgL_arg1663z00_825 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(24)), BGl_proc2229z00zzast_varz00,
							BGl_proc2228z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 6L, BgL_arg1663z00_825);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1677z00_835;

						BgL_arg1677z00_835 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc2231z00zzast_varz00,
							BGl_proc2230z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(26)));
						VECTOR_SET(BgL_v1255z00_752, 7L, BgL_arg1677z00_835);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1685z00_845;

						BgL_arg1685z00_845 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc2234z00zzast_varz00,
							BGl_proc2233z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2232z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 8L, BgL_arg1685z00_845);
					}
					{	/* Ast/var.scm 46 */
						obj_t BgL_arg1696z00_858;

						BgL_arg1696z00_858 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc2237z00zzast_varz00,
							BGl_proc2236z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2235z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1255z00_752, 9L, BgL_arg1696z00_858);
					}
					BgL_arg1560z00_721 = BgL_v1255z00_752;
				}
				{	/* Ast/var.scm 46 */
					obj_t BgL_v1256z00_871;

					BgL_v1256z00_871 = create_vector(0L);
					BgL_arg1574z00_722 = BgL_v1256z00_871;
				}
				BGl_globalz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(29)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_variablez00zzast_varz00, 53323L,
					BGl_proc2240z00zzast_varz00, BGl_proc2239z00zzast_varz00, BFALSE,
					BGl_proc2238z00zzast_varz00, BFALSE, BgL_arg1560z00_721,
					BgL_arg1574z00_722);
			}
			{	/* Ast/var.scm 75 */
				obj_t BgL_arg1730z00_878;
				obj_t BgL_arg1746z00_879;

				{	/* Ast/var.scm 75 */
					obj_t BgL_v1257z00_902;

					BgL_v1257z00_902 = create_vector(3L);
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1757z00_903;

						BgL_arg1757z00_903 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(30)), BGl_proc2242z00zzast_varz00,
							BGl_proc2241z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1257z00_902, 0L, BgL_arg1757z00_903);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1768z00_913;

						BgL_arg1768z00_913 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc2245z00zzast_varz00,
							BGl_proc2244z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2243z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1257z00_902, 1L, BgL_arg1768z00_913);
					}
					{	/* Ast/var.scm 75 */
						obj_t BgL_arg1782z00_926;

						BgL_arg1782z00_926 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(32)), BGl_proc2248z00zzast_varz00,
							BGl_proc2247z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2246z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1257z00_902, 2L, BgL_arg1782z00_926);
					}
					BgL_arg1730z00_878 = BgL_v1257z00_902;
				}
				{	/* Ast/var.scm 75 */
					obj_t BgL_v1258z00_939;

					BgL_v1258z00_939 = create_vector(0L);
					BgL_arg1746z00_879 = BgL_v1258z00_939;
				}
				BGl_localz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(33)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_variablez00zzast_varz00, 825L,
					BGl_proc2251z00zzast_varz00, BGl_proc2250z00zzast_varz00, BFALSE,
					BGl_proc2249z00zzast_varz00, BFALSE, BgL_arg1730z00_878,
					BgL_arg1746z00_879);
			}
			{	/* Ast/var.scm 84 */
				obj_t BgL_arg1797z00_946;
				obj_t BgL_arg1799z00_947;

				{	/* Ast/var.scm 84 */
					obj_t BgL_v1259z00_967;

					BgL_v1259z00_967 = create_vector(10L);
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1810z00_968;

						BgL_arg1810z00_968 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(34)), BGl_proc2253z00zzast_varz00,
							BGl_proc2252z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1259z00_967, 0L, BgL_arg1810z00_968);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1818z00_978;

						BgL_arg1818z00_978 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(35)), BGl_proc2256z00zzast_varz00,
							BGl_proc2255z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2254z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 1L, BgL_arg1818z00_978);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1829z00_991;

						BgL_arg1829z00_991 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(36)), BGl_proc2259z00zzast_varz00,
							BGl_proc2258z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2257z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 2L, BgL_arg1829z00_991);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1851z00_1004;

						BgL_arg1851z00_1004 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(37)), BGl_proc2262z00zzast_varz00,
							BGl_proc2261z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2260z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 3L, BgL_arg1851z00_1004);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1865z00_1017;

						BgL_arg1865z00_1017 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(38)), BGl_proc2265z00zzast_varz00,
							BGl_proc2264z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2263z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1259z00_967, 4L, BgL_arg1865z00_1017);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1882z00_1030;

						BgL_arg1882z00_1030 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(39)), BGl_proc2268z00zzast_varz00,
							BGl_proc2267z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2266z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 5L, BgL_arg1882z00_1030);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1890z00_1043;

						BgL_arg1890z00_1043 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(40)), BGl_proc2271z00zzast_varz00,
							BGl_proc2270z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2269z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 6L, BgL_arg1890z00_1043);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1897z00_1056;

						BgL_arg1897z00_1056 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc2274z00zzast_varz00,
							BGl_proc2273z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2272z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 7L, BgL_arg1897z00_1056);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1904z00_1069;

						BgL_arg1904z00_1069 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(42)), BGl_proc2277z00zzast_varz00,
							BGl_proc2276z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2275z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 8L, BgL_arg1904z00_1069);
					}
					{	/* Ast/var.scm 84 */
						obj_t BgL_arg1911z00_1082;

						BgL_arg1911z00_1082 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(43)), BGl_proc2280z00zzast_varz00,
							BGl_proc2279z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2278z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1259z00_967, 9L, BgL_arg1911z00_1082);
					}
					BgL_arg1797z00_946 = BgL_v1259z00_967;
				}
				{	/* Ast/var.scm 84 */
					obj_t BgL_v1260z00_1095;

					BgL_v1260z00_1095 = create_vector(0L);
					BgL_arg1799z00_947 = BgL_v1260z00_1095;
				}
				BGl_funz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(44)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_valuez00zzast_varz00, 55727L,
					BGl_proc2283z00zzast_varz00, BGl_proc2282z00zzast_varz00, BFALSE,
					BGl_proc2281z00zzast_varz00, BFALSE, BgL_arg1797z00_946,
					BgL_arg1799z00_947);
			}
			{	/* Ast/var.scm 116 */
				obj_t BgL_arg1923z00_1102;
				obj_t BgL_arg1924z00_1103;

				{	/* Ast/var.scm 116 */
					obj_t BgL_v1261z00_1135;

					BgL_v1261z00_1135 = create_vector(12L);
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1930z00_1136;

						BgL_arg1930z00_1136 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(45)), BGl_proc2286z00zzast_varz00,
							BGl_proc2285z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2284z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 0L, BgL_arg1930z00_1136);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1938z00_1149;

						BgL_arg1938z00_1149 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(46)), BGl_proc2288z00zzast_varz00,
							BGl_proc2287z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 1L, BgL_arg1938z00_1149);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1943z00_1159;

						BgL_arg1943z00_1159 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(47)), BGl_proc2290z00zzast_varz00,
							BGl_proc2289z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 2L, BgL_arg1943z00_1159);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1948z00_1169;

						BgL_arg1948z00_1169 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(48)), BGl_proc2293z00zzast_varz00,
							BGl_proc2292z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2291z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 3L, BgL_arg1948z00_1169);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1960z00_1182;

						BgL_arg1960z00_1182 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc2295z00zzast_varz00,
							BGl_proc2294z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 4L, BgL_arg1960z00_1182);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1965z00_1192;

						BgL_arg1965z00_1192 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc2298z00zzast_varz00,
							BGl_proc2297z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2296z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 5L, BgL_arg1965z00_1192);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1972z00_1205;

						BgL_arg1972z00_1205 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(51)), BGl_proc2301z00zzast_varz00,
							BGl_proc2300z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2299z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 6L, BgL_arg1972z00_1205);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1979z00_1218;

						BgL_arg1979z00_1218 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(52)), BGl_proc2304z00zzast_varz00,
							BGl_proc2303z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2302z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 7L, BgL_arg1979z00_1218);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1986z00_1231;

						BgL_arg1986z00_1231 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(53)), BGl_proc2307z00zzast_varz00,
							BGl_proc2306z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc2305z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 8L, BgL_arg1986z00_1231);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg1994z00_1244;

						BgL_arg1994z00_1244 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(54)), BGl_proc2310z00zzast_varz00,
							BGl_proc2309z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2308z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 9L, BgL_arg1994z00_1244);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2003z00_1257;

						BgL_arg2003z00_1257 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(55)), BGl_proc2313z00zzast_varz00,
							BGl_proc2312z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2311z00zzast_varz00, ((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1261z00_1135, 10L, BgL_arg2003z00_1257);
					}
					{	/* Ast/var.scm 116 */
						obj_t BgL_arg2010z00_1270;

						BgL_arg2010z00_1270 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(56)), BGl_proc2316z00zzast_varz00,
							BGl_proc2315z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2314z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1261z00_1135, 11L, BgL_arg2010z00_1270);
					}
					BgL_arg1923z00_1102 = BgL_v1261z00_1135;
				}
				{	/* Ast/var.scm 116 */
					obj_t BgL_v1262z00_1283;

					BgL_v1262z00_1283 = create_vector(0L);
					BgL_arg1924z00_1103 = BgL_v1262z00_1283;
				}
				BGl_sfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(57)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_funz00zzast_varz00, 64266L,
					BGl_proc2319z00zzast_varz00, BGl_proc2318z00zzast_varz00, BFALSE,
					BGl_proc2317z00zzast_varz00, BFALSE, BgL_arg1923z00_1102,
					BgL_arg1924z00_1103);
			}
			{	/* Ast/var.scm 146 */
				obj_t BgL_arg2021z00_1290;
				obj_t BgL_arg2022z00_1291;

				{	/* Ast/var.scm 146 */
					obj_t BgL_v1263z00_1315;

					BgL_v1263z00_1315 = create_vector(4L);
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2028z00_1316;

						BgL_arg2028z00_1316 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(58)), BGl_proc2321z00zzast_varz00,
							BGl_proc2320z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1263z00_1315, 0L, BgL_arg2028z00_1316);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2034z00_1326;

						BgL_arg2034z00_1326 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(59)), BGl_proc2323z00zzast_varz00,
							BGl_proc2322z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1263z00_1315, 1L, BgL_arg2034z00_1326);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2039z00_1336;

						BgL_arg2039z00_1336 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(60)), BGl_proc2326z00zzast_varz00,
							BGl_proc2325z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2324z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1263z00_1315, 2L, BgL_arg2039z00_1336);
					}
					{	/* Ast/var.scm 146 */
						obj_t BgL_arg2046z00_1349;

						BgL_arg2046z00_1349 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(61)), BGl_proc2329z00zzast_varz00,
							BGl_proc2328z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2327z00zzast_varz00, ((obj_t) CNST_TABLE_REF(62)));
						VECTOR_SET(BgL_v1263z00_1315, 3L, BgL_arg2046z00_1349);
					}
					BgL_arg2021z00_1290 = BgL_v1263z00_1315;
				}
				{	/* Ast/var.scm 146 */
					obj_t BgL_v1264z00_1362;

					BgL_v1264z00_1362 = create_vector(0L);
					BgL_arg2022z00_1291 = BgL_v1264z00_1362;
				}
				BGl_cfunz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(63)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_funz00zzast_varz00, 20445L,
					BGl_proc2332z00zzast_varz00, BGl_proc2331z00zzast_varz00, BFALSE,
					BGl_proc2330z00zzast_varz00, BFALSE, BgL_arg2021z00_1290,
					BgL_arg2022z00_1291);
			}
			{	/* Ast/var.scm 156 */
				obj_t BgL_arg2058z00_1369;
				obj_t BgL_arg2059z00_1370;

				{	/* Ast/var.scm 156 */
					obj_t BgL_v1265z00_1381;

					BgL_v1265z00_1381 = create_vector(1L);
					{	/* Ast/var.scm 156 */
						obj_t BgL_arg2065z00_1382;

						BgL_arg2065z00_1382 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(51)), BGl_proc2335z00zzast_varz00,
							BGl_proc2334z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2333z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1265z00_1381, 0L, BgL_arg2065z00_1382);
					}
					BgL_arg2058z00_1369 = BgL_v1265z00_1381;
				}
				{	/* Ast/var.scm 156 */
					obj_t BgL_v1266z00_1395;

					BgL_v1266z00_1395 = create_vector(0L);
					BgL_arg2059z00_1370 = BgL_v1266z00_1395;
				}
				BGl_svarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(64)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_valuez00zzast_varz00, 12471L,
					BGl_proc2338z00zzast_varz00, BGl_proc2337z00zzast_varz00, BFALSE,
					BGl_proc2336z00zzast_varz00, BFALSE, BgL_arg2058z00_1369,
					BgL_arg2059z00_1370);
			}
			{	/* Ast/var.scm 160 */
				obj_t BgL_arg2075z00_1402;
				obj_t BgL_arg2076z00_1403;

				{	/* Ast/var.scm 160 */
					obj_t BgL_v1267z00_1416;

					BgL_v1267z00_1416 = create_vector(3L);
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2082z00_1417;

						BgL_arg2082z00_1417 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(65)), BGl_proc2340z00zzast_varz00,
							BGl_proc2339z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1267z00_1416, 0L, BgL_arg2082z00_1417);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2087z00_1427;

						BgL_arg2087z00_1427 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc2342z00zzast_varz00,
							BGl_proc2341z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1267z00_1416, 1L, BgL_arg2087z00_1427);
					}
					{	/* Ast/var.scm 160 */
						obj_t BgL_arg2092z00_1437;

						BgL_arg2092z00_1437 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(51)), BGl_proc2345z00zzast_varz00,
							BGl_proc2344z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2343z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1267z00_1416, 2L, BgL_arg2092z00_1437);
					}
					BgL_arg2075z00_1402 = BgL_v1267z00_1416;
				}
				{	/* Ast/var.scm 160 */
					obj_t BgL_v1268z00_1450;

					BgL_v1268z00_1450 = create_vector(0L);
					BgL_arg2076z00_1403 = BgL_v1268z00_1450;
				}
				BGl_scnstz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(66)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_valuez00zzast_varz00, 22055L,
					BGl_proc2348z00zzast_varz00, BGl_proc2347z00zzast_varz00, BFALSE,
					BGl_proc2346z00zzast_varz00, BFALSE, BgL_arg2075z00_1402,
					BgL_arg2076z00_1403);
			}
			{	/* Ast/var.scm 168 */
				obj_t BgL_arg2102z00_1457;
				obj_t BgL_arg2103z00_1458;

				{	/* Ast/var.scm 168 */
					obj_t BgL_v1269z00_1469;

					BgL_v1269z00_1469 = create_vector(1L);
					{	/* Ast/var.scm 168 */
						obj_t BgL_arg2109z00_1470;

						BgL_arg2109z00_1470 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(59)), BGl_proc2350z00zzast_varz00,
							BGl_proc2349z00zzast_varz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1269z00_1469, 0L, BgL_arg2109z00_1470);
					}
					BgL_arg2102z00_1457 = BgL_v1269z00_1469;
				}
				{	/* Ast/var.scm 168 */
					obj_t BgL_v1270z00_1480;

					BgL_v1270z00_1480 = create_vector(0L);
					BgL_arg2103z00_1458 = BgL_v1270z00_1480;
				}
				BGl_cvarz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(67)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_valuez00zzast_varz00, 53457L,
					BGl_proc2353z00zzast_varz00, BGl_proc2352z00zzast_varz00, BFALSE,
					BGl_proc2351z00zzast_varz00, BFALSE, BgL_arg2102z00_1457,
					BgL_arg2103z00_1458);
			}
			{	/* Ast/var.scm 172 */
				obj_t BgL_arg2117z00_1487;
				obj_t BgL_arg2118z00_1488;

				{	/* Ast/var.scm 172 */
					obj_t BgL_v1271z00_1500;

					BgL_v1271z00_1500 = create_vector(2L);
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2124z00_1501;

						BgL_arg2124z00_1501 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(68)), BGl_proc2355z00zzast_varz00,
							BGl_proc2354z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1271z00_1500, 0L, BgL_arg2124z00_1501);
					}
					{	/* Ast/var.scm 172 */
						obj_t BgL_arg2129z00_1511;

						BgL_arg2129z00_1511 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(69)), BGl_proc2358z00zzast_varz00,
							BGl_proc2357z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2356z00zzast_varz00, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1271z00_1500, 1L, BgL_arg2129z00_1511);
					}
					BgL_arg2117z00_1487 = BgL_v1271z00_1500;
				}
				{	/* Ast/var.scm 172 */
					obj_t BgL_v1272z00_1524;

					BgL_v1272z00_1524 = create_vector(0L);
					BgL_arg2118z00_1488 = BgL_v1272z00_1524;
				}
				BGl_sexitz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(70)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_valuez00zzast_varz00, 19916L,
					BGl_proc2361z00zzast_varz00, BGl_proc2360z00zzast_varz00, BFALSE,
					BGl_proc2359z00zzast_varz00, BFALSE, BgL_arg2117z00_1487,
					BgL_arg2118z00_1488);
			}
			{	/* Ast/var.scm 178 */
				obj_t BgL_arg2139z00_1531;
				obj_t BgL_arg2140z00_1532;

				{	/* Ast/var.scm 178 */
					obj_t BgL_v1273z00_1544;

					BgL_v1273z00_1544 = create_vector(2L);
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2146z00_1545;

						BgL_arg2146z00_1545 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(71)), BGl_proc2364z00zzast_varz00,
							BGl_proc2363z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2362z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1273z00_1544, 0L, BgL_arg2146z00_1545);
					}
					{	/* Ast/var.scm 178 */
						obj_t BgL_arg2153z00_1558;

						BgL_arg2153z00_1558 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(72)), BGl_proc2367z00zzast_varz00,
							BGl_proc2366z00zzast_varz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc2365z00zzast_varz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1273z00_1544, 1L, BgL_arg2153z00_1558);
					}
					BgL_arg2139z00_1531 = BgL_v1273z00_1544;
				}
				{	/* Ast/var.scm 178 */
					obj_t BgL_v1274z00_1571;

					BgL_v1274z00_1571 = create_vector(0L);
					BgL_arg2140z00_1532 = BgL_v1274z00_1571;
				}
				return (BGl_feffectz00zzast_varz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(73)),
						((obj_t)
							CNST_TABLE_REF(3)), BGl_objectz00zz__objectz00, 59103L,
						BGl_proc2370z00zzast_varz00, BGl_proc2369z00zzast_varz00, BFALSE,
						BGl_proc2368z00zzast_varz00, BFALSE, BgL_arg2139z00_1531,
						BgL_arg2140z00_1532), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2145> */
	obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzast_varz00(obj_t BgL_envz00_3278,
		obj_t BgL_new1183z00_3279)
	{
		{	/* Ast/var.scm 178 */
			{
				BgL_feffectz00_bglt BgL_auxz00_6214;

				((((BgL_feffectz00_bglt) COBJECT(
								((BgL_feffectz00_bglt) BgL_new1183z00_3279)))->BgL_readz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(((BgL_feffectz00_bglt)
									BgL_new1183z00_3279)))->BgL_writez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6214 = ((BgL_feffectz00_bglt) BgL_new1183z00_3279);
				return ((obj_t) BgL_auxz00_6214);
			}
		}

	}



/* &lambda2143 */
	BgL_feffectz00_bglt BGl_z62lambda2143z62zzast_varz00(obj_t BgL_envz00_3280)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1182z00_3982;

				BgL_new1182z00_3982 =
					((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_feffectz00_bgl))));
				{	/* Ast/var.scm 178 */
					long BgL_arg2144z00_3983;

					BgL_arg2144z00_3983 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1182z00_3982), BgL_arg2144z00_3983);
				}
				return BgL_new1182z00_3982;
			}
		}

	}



/* &lambda2141 */
	BgL_feffectz00_bglt BGl_z62lambda2141z62zzast_varz00(obj_t BgL_envz00_3281,
		obj_t BgL_read1180z00_3282, obj_t BgL_write1181z00_3283)
	{
		{	/* Ast/var.scm 178 */
			{	/* Ast/var.scm 178 */
				BgL_feffectz00_bglt BgL_new1248z00_3984;

				{	/* Ast/var.scm 178 */
					BgL_feffectz00_bglt BgL_new1247z00_3985;

					BgL_new1247z00_3985 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 178 */
						long BgL_arg2142z00_3986;

						BgL_arg2142z00_3986 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_3985), BgL_arg2142z00_3986);
					}
					BgL_new1248z00_3984 = BgL_new1247z00_3985;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_3984))->BgL_readz00) =
					((obj_t) BgL_read1180z00_3282), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_3984))->BgL_writez00) =
					((obj_t) BgL_write1181z00_3283), BUNSPEC);
				return BgL_new1248z00_3984;
			}
		}

	}



/* &<@anonymous:2159> */
	obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzast_varz00(obj_t BgL_envz00_3284)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2158 */
	obj_t BGl_z62lambda2158z62zzast_varz00(obj_t BgL_envz00_3285,
		obj_t BgL_oz00_3286, obj_t BgL_vz00_3287)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3286)))->BgL_writez00) =
				((obj_t) BgL_vz00_3287), BUNSPEC);
		}

	}



/* &lambda2157 */
	obj_t BGl_z62lambda2157z62zzast_varz00(obj_t BgL_envz00_3288,
		obj_t BgL_oz00_3289)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3289)))->BgL_writez00);
		}

	}



/* &<@anonymous:2152> */
	obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzast_varz00(obj_t BgL_envz00_3290)
	{
		{	/* Ast/var.scm 178 */
			return BNIL;
		}

	}



/* &lambda2151 */
	obj_t BGl_z62lambda2151z62zzast_varz00(obj_t BgL_envz00_3291,
		obj_t BgL_oz00_3292, obj_t BgL_vz00_3293)
	{
		{	/* Ast/var.scm 178 */
			return
				((((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_oz00_3292)))->BgL_readz00) =
				((obj_t) BgL_vz00_3293), BUNSPEC);
		}

	}



/* &lambda2150 */
	obj_t BGl_z62lambda2150z62zzast_varz00(obj_t BgL_envz00_3294,
		obj_t BgL_oz00_3295)
	{
		{	/* Ast/var.scm 178 */
			return
				(((BgL_feffectz00_bglt) COBJECT(
						((BgL_feffectz00_bglt) BgL_oz00_3295)))->BgL_readz00);
		}

	}



/* &<@anonymous:2123> */
	obj_t BGl_z62zc3z04anonymousza32123ze3ze5zzast_varz00(obj_t BgL_envz00_3296,
		obj_t BgL_new1178z00_3297)
	{
		{	/* Ast/var.scm 172 */
			{
				BgL_sexitz00_bglt BgL_auxz00_6239;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1178z00_3297)))->BgL_handlerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1178z00_3297)))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6239 = ((BgL_sexitz00_bglt) BgL_new1178z00_3297);
				return ((obj_t) BgL_auxz00_6239);
			}
		}

	}



/* &lambda2121 */
	BgL_sexitz00_bglt BGl_z62lambda2121z62zzast_varz00(obj_t BgL_envz00_3298)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				BgL_sexitz00_bglt BgL_new1176z00_3992;

				BgL_new1176z00_3992 =
					((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitz00_bgl))));
				{	/* Ast/var.scm 172 */
					long BgL_arg2122z00_3993;

					BgL_arg2122z00_3993 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1176z00_3992), BgL_arg2122z00_3993);
				}
				{	/* Ast/var.scm 172 */
					BgL_objectz00_bglt BgL_tmpz00_6250;

					BgL_tmpz00_6250 = ((BgL_objectz00_bglt) BgL_new1176z00_3992);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6250, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1176z00_3992);
				return BgL_new1176z00_3992;
			}
		}

	}



/* &lambda2119 */
	BgL_sexitz00_bglt BGl_z62lambda2119z62zzast_varz00(obj_t BgL_envz00_3299,
		obj_t BgL_handler1174z00_3300, obj_t BgL_detachedzf31175zf3_3301)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_detachedzf31175zf3_3994;

				BgL_detachedzf31175zf3_3994 = CBOOL(BgL_detachedzf31175zf3_3301);
				{	/* Ast/var.scm 172 */
					BgL_sexitz00_bglt BgL_new1244z00_3995;

					{	/* Ast/var.scm 172 */
						BgL_sexitz00_bglt BgL_new1243z00_3996;

						BgL_new1243z00_3996 =
							((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitz00_bgl))));
						{	/* Ast/var.scm 172 */
							long BgL_arg2120z00_3997;

							BgL_arg2120z00_3997 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1243z00_3996),
								BgL_arg2120z00_3997);
						}
						{	/* Ast/var.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_6259;

							BgL_tmpz00_6259 = ((BgL_objectz00_bglt) BgL_new1243z00_3996);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6259, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1243z00_3996);
						BgL_new1244z00_3995 = BgL_new1243z00_3996;
					}
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1244z00_3995))->
							BgL_handlerz00) = ((obj_t) BgL_handler1174z00_3300), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(BgL_new1244z00_3995))->
							BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31175zf3_3994), BUNSPEC);
					return BgL_new1244z00_3995;
				}
			}
		}

	}



/* &<@anonymous:2135> */
	obj_t BGl_z62zc3z04anonymousza32135ze3ze5zzast_varz00(obj_t BgL_envz00_3302)
	{
		{	/* Ast/var.scm 172 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2134 */
	obj_t BGl_z62lambda2134z62zzast_varz00(obj_t BgL_envz00_3303,
		obj_t BgL_oz00_3304, obj_t BgL_vz00_3305)
	{
		{	/* Ast/var.scm 172 */
			{	/* Ast/var.scm 172 */
				bool_t BgL_vz00_3999;

				BgL_vz00_3999 = CBOOL(BgL_vz00_3305);
				return
					((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_oz00_3304)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_vz00_3999), BUNSPEC);
			}
		}

	}



/* &lambda2133 */
	obj_t BGl_z62lambda2133z62zzast_varz00(obj_t BgL_envz00_3306,
		obj_t BgL_oz00_3307)
	{
		{	/* Ast/var.scm 172 */
			return
				BBOOL(
				(((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3307)))->BgL_detachedzf3zf3));
		}

	}



/* &lambda2128 */
	obj_t BGl_z62lambda2128z62zzast_varz00(obj_t BgL_envz00_3308,
		obj_t BgL_oz00_3309, obj_t BgL_vz00_3310)
	{
		{	/* Ast/var.scm 172 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_3309)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_3310), BUNSPEC);
		}

	}



/* &lambda2127 */
	obj_t BGl_z62lambda2127z62zzast_varz00(obj_t BgL_envz00_3311,
		obj_t BgL_oz00_3312)
	{
		{	/* Ast/var.scm 172 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_3312)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:2108> */
	obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzast_varz00(obj_t BgL_envz00_3313,
		obj_t BgL_new1172z00_3314)
	{
		{	/* Ast/var.scm 168 */
			{
				BgL_cvarz00_bglt BgL_auxz00_6276;

				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1172z00_3314)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6276 = ((BgL_cvarz00_bglt) BgL_new1172z00_3314);
				return ((obj_t) BgL_auxz00_6276);
			}
		}

	}



/* &lambda2106 */
	BgL_cvarz00_bglt BGl_z62lambda2106z62zzast_varz00(obj_t BgL_envz00_3315)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				BgL_cvarz00_bglt BgL_new1171z00_4004;

				BgL_new1171z00_4004 =
					((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarz00_bgl))));
				{	/* Ast/var.scm 168 */
					long BgL_arg2107z00_4005;

					BgL_arg2107z00_4005 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_4004), BgL_arg2107z00_4005);
				}
				{	/* Ast/var.scm 168 */
					BgL_objectz00_bglt BgL_tmpz00_6285;

					BgL_tmpz00_6285 = ((BgL_objectz00_bglt) BgL_new1171z00_4004);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6285, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1171z00_4004);
				return BgL_new1171z00_4004;
			}
		}

	}



/* &lambda2104 */
	BgL_cvarz00_bglt BGl_z62lambda2104z62zzast_varz00(obj_t BgL_envz00_3316,
		obj_t BgL_macrozf31170zf3_3317)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_macrozf31170zf3_4006;

				BgL_macrozf31170zf3_4006 = CBOOL(BgL_macrozf31170zf3_3317);
				{	/* Ast/var.scm 168 */
					BgL_cvarz00_bglt BgL_new1242z00_4007;

					{	/* Ast/var.scm 168 */
						BgL_cvarz00_bglt BgL_new1241z00_4008;

						BgL_new1241z00_4008 =
							((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cvarz00_bgl))));
						{	/* Ast/var.scm 168 */
							long BgL_arg2105z00_4009;

							BgL_arg2105z00_4009 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1241z00_4008),
								BgL_arg2105z00_4009);
						}
						{	/* Ast/var.scm 168 */
							BgL_objectz00_bglt BgL_tmpz00_6294;

							BgL_tmpz00_6294 = ((BgL_objectz00_bglt) BgL_new1241z00_4008);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6294, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1241z00_4008);
						BgL_new1242z00_4007 = BgL_new1241z00_4008;
					}
					((((BgL_cvarz00_bglt) COBJECT(BgL_new1242z00_4007))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31170zf3_4006), BUNSPEC);
					return BgL_new1242z00_4007;
				}
			}
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzast_varz00(obj_t BgL_envz00_3318,
		obj_t BgL_oz00_3319, obj_t BgL_vz00_3320)
	{
		{	/* Ast/var.scm 168 */
			{	/* Ast/var.scm 168 */
				bool_t BgL_vz00_4011;

				BgL_vz00_4011 = CBOOL(BgL_vz00_3320);
				return
					((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_oz00_3319)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_4011), BUNSPEC);
			}
		}

	}



/* &lambda2112 */
	obj_t BGl_z62lambda2112z62zzast_varz00(obj_t BgL_envz00_3321,
		obj_t BgL_oz00_3322)
	{
		{	/* Ast/var.scm 168 */
			return
				BBOOL(
				(((BgL_cvarz00_bglt) COBJECT(
							((BgL_cvarz00_bglt) BgL_oz00_3322)))->BgL_macrozf3zf3));
		}

	}



/* &<@anonymous:2081> */
	obj_t BGl_z62zc3z04anonymousza32081ze3ze5zzast_varz00(obj_t BgL_envz00_3323,
		obj_t BgL_new1168z00_3324)
	{
		{	/* Ast/var.scm 160 */
			{
				BgL_scnstz00_bglt BgL_auxz00_6305;

				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1168z00_3324)))->BgL_nodez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1168z00_3324)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1168z00_3324)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6305 = ((BgL_scnstz00_bglt) BgL_new1168z00_3324);
				return ((obj_t) BgL_auxz00_6305);
			}
		}

	}



/* &lambda2079 */
	BgL_scnstz00_bglt BGl_z62lambda2079z62zzast_varz00(obj_t BgL_envz00_3325)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1167z00_4014;

				BgL_new1167z00_4014 =
					((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_scnstz00_bgl))));
				{	/* Ast/var.scm 160 */
					long BgL_arg2080z00_4015;

					BgL_arg2080z00_4015 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1167z00_4014), BgL_arg2080z00_4015);
				}
				{	/* Ast/var.scm 160 */
					BgL_objectz00_bglt BgL_tmpz00_6318;

					BgL_tmpz00_6318 = ((BgL_objectz00_bglt) BgL_new1167z00_4014);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6318, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1167z00_4014);
				return BgL_new1167z00_4014;
			}
		}

	}



/* &lambda2077 */
	BgL_scnstz00_bglt BGl_z62lambda2077z62zzast_varz00(obj_t BgL_envz00_3326,
		obj_t BgL_node1164z00_3327, obj_t BgL_class1165z00_3328,
		obj_t BgL_loc1166z00_3329)
	{
		{	/* Ast/var.scm 160 */
			{	/* Ast/var.scm 160 */
				BgL_scnstz00_bglt BgL_new1240z00_4016;

				{	/* Ast/var.scm 160 */
					BgL_scnstz00_bglt BgL_new1239z00_4017;

					BgL_new1239z00_4017 =
						((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstz00_bgl))));
					{	/* Ast/var.scm 160 */
						long BgL_arg2078z00_4018;

						BgL_arg2078z00_4018 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_4017), BgL_arg2078z00_4018);
					}
					{	/* Ast/var.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_6326;

						BgL_tmpz00_6326 = ((BgL_objectz00_bglt) BgL_new1239z00_4017);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6326, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1239z00_4017);
					BgL_new1240z00_4016 = BgL_new1239z00_4017;
				}
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1240z00_4016))->BgL_nodez00) =
					((obj_t) BgL_node1164z00_3327), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1240z00_4016))->BgL_classz00) =
					((obj_t) BgL_class1165z00_3328), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(BgL_new1240z00_4016))->BgL_locz00) =
					((obj_t) BgL_loc1166z00_3329), BUNSPEC);
				return BgL_new1240z00_4016;
			}
		}

	}



/* &<@anonymous:2098> */
	obj_t BGl_z62zc3z04anonymousza32098ze3ze5zzast_varz00(obj_t BgL_envz00_3330)
	{
		{	/* Ast/var.scm 160 */
			return BUNSPEC;
		}

	}



/* &lambda2097 */
	obj_t BGl_z62lambda2097z62zzast_varz00(obj_t BgL_envz00_3331,
		obj_t BgL_oz00_3332, obj_t BgL_vz00_3333)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3332)))->BgL_locz00) =
				((obj_t) BgL_vz00_3333), BUNSPEC);
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzast_varz00(obj_t BgL_envz00_3334,
		obj_t BgL_oz00_3335)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3335)))->BgL_locz00);
		}

	}



/* &lambda2091 */
	obj_t BGl_z62lambda2091z62zzast_varz00(obj_t BgL_envz00_3336,
		obj_t BgL_oz00_3337, obj_t BgL_vz00_3338)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3337)))->BgL_classz00) =
				((obj_t) BgL_vz00_3338), BUNSPEC);
		}

	}



/* &lambda2090 */
	obj_t BGl_z62lambda2090z62zzast_varz00(obj_t BgL_envz00_3339,
		obj_t BgL_oz00_3340)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3340)))->BgL_classz00);
		}

	}



/* &lambda2086 */
	obj_t BGl_z62lambda2086z62zzast_varz00(obj_t BgL_envz00_3341,
		obj_t BgL_oz00_3342, obj_t BgL_vz00_3343)
	{
		{	/* Ast/var.scm 160 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_3342)))->BgL_nodez00) =
				((obj_t) BgL_vz00_3343), BUNSPEC);
		}

	}



/* &lambda2085 */
	obj_t BGl_z62lambda2085z62zzast_varz00(obj_t BgL_envz00_3344,
		obj_t BgL_oz00_3345)
	{
		{	/* Ast/var.scm 160 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_3345)))->BgL_nodez00);
		}

	}



/* &<@anonymous:2064> */
	obj_t BGl_z62zc3z04anonymousza32064ze3ze5zzast_varz00(obj_t BgL_envz00_3346,
		obj_t BgL_new1162z00_3347)
	{
		{	/* Ast/var.scm 156 */
			{
				BgL_svarz00_bglt BgL_auxz00_6345;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1162z00_3347)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6345 = ((BgL_svarz00_bglt) BgL_new1162z00_3347);
				return ((obj_t) BgL_auxz00_6345);
			}
		}

	}



/* &lambda2062 */
	BgL_svarz00_bglt BGl_z62lambda2062z62zzast_varz00(obj_t BgL_envz00_3348)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1161z00_4026;

				BgL_new1161z00_4026 =
					((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarz00_bgl))));
				{	/* Ast/var.scm 156 */
					long BgL_arg2063z00_4027;

					BgL_arg2063z00_4027 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1161z00_4026), BgL_arg2063z00_4027);
				}
				{	/* Ast/var.scm 156 */
					BgL_objectz00_bglt BgL_tmpz00_6354;

					BgL_tmpz00_6354 = ((BgL_objectz00_bglt) BgL_new1161z00_4026);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6354, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1161z00_4026);
				return BgL_new1161z00_4026;
			}
		}

	}



/* &lambda2060 */
	BgL_svarz00_bglt BGl_z62lambda2060z62zzast_varz00(obj_t BgL_envz00_3349,
		obj_t BgL_loc1160z00_3350)
	{
		{	/* Ast/var.scm 156 */
			{	/* Ast/var.scm 156 */
				BgL_svarz00_bglt BgL_new1238z00_4028;

				{	/* Ast/var.scm 156 */
					BgL_svarz00_bglt BgL_new1237z00_4029;

					BgL_new1237z00_4029 =
						((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarz00_bgl))));
					{	/* Ast/var.scm 156 */
						long BgL_arg2061z00_4030;

						BgL_arg2061z00_4030 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_4029), BgL_arg2061z00_4030);
					}
					{	/* Ast/var.scm 156 */
						BgL_objectz00_bglt BgL_tmpz00_6362;

						BgL_tmpz00_6362 = ((BgL_objectz00_bglt) BgL_new1237z00_4029);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6362, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1237z00_4029);
					BgL_new1238z00_4028 = BgL_new1237z00_4029;
				}
				((((BgL_svarz00_bglt) COBJECT(BgL_new1238z00_4028))->BgL_locz00) =
					((obj_t) BgL_loc1160z00_3350), BUNSPEC);
				return BgL_new1238z00_4028;
			}
		}

	}



/* &<@anonymous:2071> */
	obj_t BGl_z62zc3z04anonymousza32071ze3ze5zzast_varz00(obj_t BgL_envz00_3351)
	{
		{	/* Ast/var.scm 156 */
			return BUNSPEC;
		}

	}



/* &lambda2070 */
	obj_t BGl_z62lambda2070z62zzast_varz00(obj_t BgL_envz00_3352,
		obj_t BgL_oz00_3353, obj_t BgL_vz00_3354)
	{
		{	/* Ast/var.scm 156 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_3353)))->BgL_locz00) =
				((obj_t) BgL_vz00_3354), BUNSPEC);
		}

	}



/* &lambda2069 */
	obj_t BGl_z62lambda2069z62zzast_varz00(obj_t BgL_envz00_3355,
		obj_t BgL_oz00_3356)
	{
		{	/* Ast/var.scm 156 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_3356)))->BgL_locz00);
		}

	}



/* &<@anonymous:2027> */
	obj_t BGl_z62zc3z04anonymousza32027ze3ze5zzast_varz00(obj_t BgL_envz00_3357,
		obj_t BgL_new1158z00_3358)
	{
		{	/* Ast/var.scm 146 */
			{
				BgL_cfunz00_bglt BgL_auxz00_6371;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_new1158z00_3358))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1158z00_3358))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1158z00_3358)))->BgL_argszd2typezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1158z00_3358)))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1158z00_3358)))->BgL_infixzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1158z00_3358)))->BgL_methodz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_6371 = ((BgL_cfunz00_bglt) BgL_new1158z00_3358);
				return ((obj_t) BgL_auxz00_6371);
			}
		}

	}



/* &lambda2025 */
	BgL_cfunz00_bglt BGl_z62lambda2025z62zzast_varz00(obj_t BgL_envz00_3359)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				BgL_cfunz00_bglt BgL_new1157z00_4034;

				BgL_new1157z00_4034 =
					((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cfunz00_bgl))));
				{	/* Ast/var.scm 146 */
					long BgL_arg2026z00_4035;

					BgL_arg2026z00_4035 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1157z00_4034), BgL_arg2026z00_4035);
				}
				{	/* Ast/var.scm 146 */
					BgL_objectz00_bglt BgL_tmpz00_6416;

					BgL_tmpz00_6416 = ((BgL_objectz00_bglt) BgL_new1157z00_4034);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6416, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1157z00_4034);
				return BgL_new1157z00_4034;
			}
		}

	}



/* &lambda2023 */
	BgL_cfunz00_bglt BGl_z62lambda2023z62zzast_varz00(obj_t BgL_envz00_3360,
		obj_t BgL_arity1143z00_3361, obj_t BgL_sidezd2effect1144zd2_3362,
		obj_t BgL_predicatezd2of1145zd2_3363,
		obj_t BgL_stackzd2allocator1146zd2_3364, obj_t BgL_topzf31147zf3_3365,
		obj_t BgL_thezd2closure1148zd2_3366, obj_t BgL_effect1149z00_3367,
		obj_t BgL_failsafe1150z00_3368, obj_t BgL_argszd2noescape1151zd2_3369,
		obj_t BgL_argszd2retescape1152zd2_3370, obj_t BgL_argszd2type1153zd2_3371,
		obj_t BgL_macrozf31154zf3_3372, obj_t BgL_infixzf31155zf3_3373,
		obj_t BgL_method1156z00_3374)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				long BgL_arity1143z00_4036;
				bool_t BgL_topzf31147zf3_4037;
				bool_t BgL_macrozf31154zf3_4038;
				bool_t BgL_infixzf31155zf3_4039;

				BgL_arity1143z00_4036 = (long) CINT(BgL_arity1143z00_3361);
				BgL_topzf31147zf3_4037 = CBOOL(BgL_topzf31147zf3_3365);
				BgL_macrozf31154zf3_4038 = CBOOL(BgL_macrozf31154zf3_3372);
				BgL_infixzf31155zf3_4039 = CBOOL(BgL_infixzf31155zf3_3373);
				{	/* Ast/var.scm 146 */
					BgL_cfunz00_bglt BgL_new1236z00_4041;

					{	/* Ast/var.scm 146 */
						BgL_cfunz00_bglt BgL_new1235z00_4042;

						BgL_new1235z00_4042 =
							((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunz00_bgl))));
						{	/* Ast/var.scm 146 */
							long BgL_arg2024z00_4043;

							BgL_arg2024z00_4043 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1235z00_4042),
								BgL_arg2024z00_4043);
						}
						{	/* Ast/var.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_6428;

							BgL_tmpz00_6428 = ((BgL_objectz00_bglt) BgL_new1235z00_4042);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6428, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1235z00_4042);
						BgL_new1236z00_4041 = BgL_new1235z00_4042;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1236z00_4041)))->BgL_arityz00) =
						((long) BgL_arity1143z00_4036), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1144zd2_3362), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1145zd2_3363), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1146zd2_3364), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31147zf3_4037), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1148zd2_3366), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_effectz00) =
						((obj_t) BgL_effect1149z00_3367), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1150z00_3368), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1151zd2_3369), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1236z00_4041)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1152zd2_3370), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1236z00_4041))->
							BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1153zd2_3371), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1236z00_4041))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31154zf3_4038), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1236z00_4041))->
							BgL_infixzf3zf3) = ((bool_t) BgL_infixzf31155zf3_4039), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(BgL_new1236z00_4041))->BgL_methodz00) =
						((obj_t) ((obj_t) BgL_method1156z00_3374)), BUNSPEC);
					return BgL_new1236z00_4041;
				}
			}
		}

	}



/* &<@anonymous:2053> */
	obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzast_varz00(obj_t BgL_envz00_3375)
	{
		{	/* Ast/var.scm 146 */
			return BNIL;
		}

	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zzast_varz00(obj_t BgL_envz00_3376,
		obj_t BgL_oz00_3377, obj_t BgL_vz00_3378)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3377)))->BgL_methodz00) = ((obj_t)
					((obj_t) BgL_vz00_3378)), BUNSPEC);
		}

	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zzast_varz00(obj_t BgL_envz00_3379,
		obj_t BgL_oz00_3380)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3380)))->BgL_methodz00);
		}

	}



/* &<@anonymous:2045> */
	obj_t BGl_z62zc3z04anonymousza32045ze3ze5zzast_varz00(obj_t BgL_envz00_3381)
	{
		{	/* Ast/var.scm 146 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zzast_varz00(obj_t BgL_envz00_3382,
		obj_t BgL_oz00_3383, obj_t BgL_vz00_3384)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_4048;

				BgL_vz00_4048 = CBOOL(BgL_vz00_3384);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3383)))->BgL_infixzf3zf3) =
					((bool_t) BgL_vz00_4048), BUNSPEC);
			}
		}

	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zzast_varz00(obj_t BgL_envz00_3385,
		obj_t BgL_oz00_3386)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3386)))->BgL_infixzf3zf3));
		}

	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zzast_varz00(obj_t BgL_envz00_3387,
		obj_t BgL_oz00_3388, obj_t BgL_vz00_3389)
	{
		{	/* Ast/var.scm 146 */
			{	/* Ast/var.scm 146 */
				bool_t BgL_vz00_4051;

				BgL_vz00_4051 = CBOOL(BgL_vz00_3389);
				return
					((((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_oz00_3388)))->BgL_macrozf3zf3) =
					((bool_t) BgL_vz00_4051), BUNSPEC);
			}
		}

	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zzast_varz00(obj_t BgL_envz00_3390,
		obj_t BgL_oz00_3391)
	{
		{	/* Ast/var.scm 146 */
			return
				BBOOL(
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3391)))->BgL_macrozf3zf3));
		}

	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zzast_varz00(obj_t BgL_envz00_3392,
		obj_t BgL_oz00_3393, obj_t BgL_vz00_3394)
	{
		{	/* Ast/var.scm 146 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_3393)))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_3394), BUNSPEC);
		}

	}



/* &lambda2032 */
	obj_t BGl_z62lambda2032z62zzast_varz00(obj_t BgL_envz00_3395,
		obj_t BgL_oz00_3396)
	{
		{	/* Ast/var.scm 146 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_3396)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzast_varz00(obj_t BgL_envz00_3397,
		obj_t BgL_new1141z00_3398)
	{
		{	/* Ast/var.scm 116 */
			{
				BgL_sfunz00_bglt BgL_auxz00_6479;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1141z00_3398))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1141z00_3398))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(74))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1141z00_3398)))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6479 = ((BgL_sfunz00_bglt) BgL_new1141z00_3398);
				return ((obj_t) BgL_auxz00_6479);
			}
		}

	}



/* &lambda1927 */
	BgL_sfunz00_bglt BGl_z62lambda1927z62zzast_varz00(obj_t BgL_envz00_3399)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				BgL_sfunz00_bglt BgL_new1140z00_4056;

				BgL_new1140z00_4056 =
					((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunz00_bgl))));
				{	/* Ast/var.scm 116 */
					long BgL_arg1928z00_4057;

					BgL_arg1928z00_4057 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1140z00_4056), BgL_arg1928z00_4057);
				}
				{	/* Ast/var.scm 116 */
					BgL_objectz00_bglt BgL_tmpz00_6542;

					BgL_tmpz00_6542 = ((BgL_objectz00_bglt) BgL_new1140z00_4056);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6542, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1140z00_4056);
				return BgL_new1140z00_4056;
			}
		}

	}



/* &lambda1925 */
	BgL_sfunz00_bglt BGl_z62lambda1925z62zzast_varz00(obj_t BgL_envz00_3400,
		obj_t BgL_arity1118z00_3401, obj_t BgL_sidezd2effect1119zd2_3402,
		obj_t BgL_predicatezd2of1120zd2_3403,
		obj_t BgL_stackzd2allocator1121zd2_3404, obj_t BgL_topzf31122zf3_3405,
		obj_t BgL_thezd2closure1123zd2_3406, obj_t BgL_effect1124z00_3407,
		obj_t BgL_failsafe1125z00_3408, obj_t BgL_argszd2noescape1126zd2_3409,
		obj_t BgL_argszd2retescape1127zd2_3410, obj_t BgL_property1128z00_3411,
		obj_t BgL_args1129z00_3412, obj_t BgL_argszd2name1130zd2_3413,
		obj_t BgL_body1131z00_3414, obj_t BgL_class1132z00_3415,
		obj_t BgL_dssslzd2keywords1133zd2_3416, obj_t BgL_loc1134z00_3417,
		obj_t BgL_optionals1135z00_3418, obj_t BgL_keys1136z00_3419,
		obj_t BgL_thezd2closurezd2global1137z00_3420,
		obj_t BgL_strength1138z00_3421, obj_t BgL_stackable1139z00_3422)
	{
		{	/* Ast/var.scm 116 */
			{	/* Ast/var.scm 116 */
				long BgL_arity1118z00_4058;
				bool_t BgL_topzf31122zf3_4059;

				BgL_arity1118z00_4058 = (long) CINT(BgL_arity1118z00_3401);
				BgL_topzf31122zf3_4059 = CBOOL(BgL_topzf31122zf3_3405);
				{	/* Ast/var.scm 116 */
					BgL_sfunz00_bglt BgL_new1234z00_4061;

					{	/* Ast/var.scm 116 */
						BgL_sfunz00_bglt BgL_new1233z00_4062;

						BgL_new1233z00_4062 =
							((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunz00_bgl))));
						{	/* Ast/var.scm 116 */
							long BgL_arg1926z00_4063;

							BgL_arg1926z00_4063 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1233z00_4062),
								BgL_arg1926z00_4063);
						}
						{	/* Ast/var.scm 116 */
							BgL_objectz00_bglt BgL_tmpz00_6552;

							BgL_tmpz00_6552 = ((BgL_objectz00_bglt) BgL_new1233z00_4062);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6552, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1233z00_4062);
						BgL_new1234z00_4061 = BgL_new1233z00_4062;
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1234z00_4061)))->BgL_arityz00) =
						((long) BgL_arity1118z00_4058), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1119zd2_3402), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1120zd2_3403), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1121zd2_3404), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31122zf3_4059), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1123zd2_3406), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_effectz00) =
						((obj_t) BgL_effect1124z00_3407), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1125z00_3408), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1126zd2_3409), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1234z00_4061)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1127zd2_3410), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_propertyz00) = ((obj_t) BgL_property1128z00_3411), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->BgL_argsz00) =
						((obj_t) BgL_args1129z00_3412), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1130zd2_3413), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->BgL_bodyz00) =
						((obj_t) BgL_body1131z00_3414), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->BgL_classz00) =
						((obj_t) BgL_class1132z00_3415), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1133zd2_3416), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->BgL_locz00) =
						((obj_t) BgL_loc1134z00_3417), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_optionalsz00) = ((obj_t) BgL_optionals1135z00_3418), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->BgL_keysz00) =
						((obj_t) BgL_keys1136z00_3419), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1137z00_3420), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1138z00_3421)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(BgL_new1234z00_4061))->
							BgL_stackablez00) = ((obj_t) BgL_stackable1139z00_3422), BUNSPEC);
					return BgL_new1234z00_4061;
				}
			}
		}

	}



/* &<@anonymous:2016> */
	obj_t BGl_z62zc3z04anonymousza32016ze3ze5zzast_varz00(obj_t BgL_envz00_3423)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda2015 */
	obj_t BGl_z62lambda2015z62zzast_varz00(obj_t BgL_envz00_3424,
		obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3425)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_3426), BUNSPEC);
		}

	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zzast_varz00(obj_t BgL_envz00_3427,
		obj_t BgL_oz00_3428)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3428)))->BgL_stackablez00);
		}

	}



/* &<@anonymous:2009> */
	obj_t BGl_z62zc3z04anonymousza32009ze3ze5zzast_varz00(obj_t BgL_envz00_3429)
	{
		{	/* Ast/var.scm 116 */
			return ((obj_t) CNST_TABLE_REF(75));
		}

	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zzast_varz00(obj_t BgL_envz00_3430,
		obj_t BgL_oz00_3431, obj_t BgL_vz00_3432)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3431)))->BgL_strengthz00) = ((obj_t)
					((obj_t) BgL_vz00_3432)), BUNSPEC);
		}

	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zzast_varz00(obj_t BgL_envz00_3433,
		obj_t BgL_oz00_3434)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3434)))->BgL_strengthz00);
		}

	}



/* &<@anonymous:2002> */
	obj_t BGl_z62zc3z04anonymousza32002ze3ze5zzast_varz00(obj_t BgL_envz00_3435)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zzast_varz00(obj_t BgL_envz00_3436,
		obj_t BgL_oz00_3437, obj_t BgL_vz00_3438)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3437)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_3438), BUNSPEC);
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zzast_varz00(obj_t BgL_envz00_3439,
		obj_t BgL_oz00_3440)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3440)))->
				BgL_thezd2closurezd2globalz00);
		}

	}



/* &<@anonymous:1992> */
	obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzast_varz00(obj_t BgL_envz00_3441)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zzast_varz00(obj_t BgL_envz00_3442,
		obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3443)))->BgL_keysz00) =
				((obj_t) BgL_vz00_3444), BUNSPEC);
		}

	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zzast_varz00(obj_t BgL_envz00_3445,
		obj_t BgL_oz00_3446)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3446)))->BgL_keysz00);
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzast_varz00(obj_t BgL_envz00_3447)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zzast_varz00(obj_t BgL_envz00_3448,
		obj_t BgL_oz00_3449, obj_t BgL_vz00_3450)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3449)))->BgL_optionalsz00) =
				((obj_t) BgL_vz00_3450), BUNSPEC);
		}

	}



/* &lambda1983 */
	obj_t BGl_z62lambda1983z62zzast_varz00(obj_t BgL_envz00_3451,
		obj_t BgL_oz00_3452)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3452)))->BgL_optionalsz00);
		}

	}



/* &<@anonymous:1978> */
	obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzast_varz00(obj_t BgL_envz00_3453)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zzast_varz00(obj_t BgL_envz00_3454,
		obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3455)))->BgL_locz00) =
				((obj_t) BgL_vz00_3456), BUNSPEC);
		}

	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zzast_varz00(obj_t BgL_envz00_3457,
		obj_t BgL_oz00_3458)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3458)))->BgL_locz00);
		}

	}



/* &<@anonymous:1971> */
	obj_t BGl_z62zc3z04anonymousza31971ze3ze5zzast_varz00(obj_t BgL_envz00_3459)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1970 */
	obj_t BGl_z62lambda1970z62zzast_varz00(obj_t BgL_envz00_3460,
		obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3461)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_3462), BUNSPEC);
		}

	}



/* &lambda1969 */
	obj_t BGl_z62lambda1969z62zzast_varz00(obj_t BgL_envz00_3463,
		obj_t BgL_oz00_3464)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3464)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zzast_varz00(obj_t BgL_envz00_3465,
		obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3466)))->BgL_classz00) =
				((obj_t) BgL_vz00_3467), BUNSPEC);
		}

	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zzast_varz00(obj_t BgL_envz00_3468,
		obj_t BgL_oz00_3469)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3469)))->BgL_classz00);
		}

	}



/* &<@anonymous:1957> */
	obj_t BGl_z62zc3z04anonymousza31957ze3ze5zzast_varz00(obj_t BgL_envz00_3470)
	{
		{	/* Ast/var.scm 116 */
			return BUNSPEC;
		}

	}



/* &lambda1956 */
	obj_t BGl_z62lambda1956z62zzast_varz00(obj_t BgL_envz00_3471,
		obj_t BgL_oz00_3472, obj_t BgL_vz00_3473)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3472)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_3473), BUNSPEC);
		}

	}



/* &lambda1955 */
	obj_t BGl_z62lambda1955z62zzast_varz00(obj_t BgL_envz00_3474,
		obj_t BgL_oz00_3475)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3475)))->BgL_bodyz00);
		}

	}



/* &lambda1947 */
	obj_t BGl_z62lambda1947z62zzast_varz00(obj_t BgL_envz00_3476,
		obj_t BgL_oz00_3477, obj_t BgL_vz00_3478)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3477)))->BgL_argszd2namezd2) =
				((obj_t) BgL_vz00_3478), BUNSPEC);
		}

	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zzast_varz00(obj_t BgL_envz00_3479,
		obj_t BgL_oz00_3480)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3480)))->BgL_argszd2namezd2);
		}

	}



/* &lambda1942 */
	obj_t BGl_z62lambda1942z62zzast_varz00(obj_t BgL_envz00_3481,
		obj_t BgL_oz00_3482, obj_t BgL_vz00_3483)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3482)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3483), BUNSPEC);
		}

	}



/* &lambda1941 */
	obj_t BGl_z62lambda1941z62zzast_varz00(obj_t BgL_envz00_3484,
		obj_t BgL_oz00_3485)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3485)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzast_varz00(obj_t BgL_envz00_3486)
	{
		{	/* Ast/var.scm 116 */
			return BNIL;
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zzast_varz00(obj_t BgL_envz00_3487,
		obj_t BgL_oz00_3488, obj_t BgL_vz00_3489)
	{
		{	/* Ast/var.scm 116 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_3488)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_3489), BUNSPEC);
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zzast_varz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491)
	{
		{	/* Ast/var.scm 116 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_3491)))->BgL_propertyz00);
		}

	}



/* &<@anonymous:1804> */
	obj_t BGl_z62zc3z04anonymousza31804ze3ze5zzast_varz00(obj_t BgL_envz00_3492,
		obj_t BgL_new1116z00_3493)
	{
		{	/* Ast/var.scm 84 */
			{
				BgL_funz00_bglt BgL_auxz00_6640;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1116z00_3493)))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_argszd2noescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1116z00_3493)))->
						BgL_argszd2retescapezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6640 = ((BgL_funz00_bglt) BgL_new1116z00_3493);
				return ((obj_t) BgL_auxz00_6640);
			}
		}

	}



/* &lambda1802 */
	BgL_funz00_bglt BGl_z62lambda1802z62zzast_varz00(obj_t BgL_envz00_3494)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				BgL_funz00_bglt BgL_new1115z00_4090;

				BgL_new1115z00_4090 =
					((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_funz00_bgl))));
				{	/* Ast/var.scm 84 */
					long BgL_arg1803z00_4091;

					BgL_arg1803z00_4091 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1115z00_4090), BgL_arg1803z00_4091);
				}
				return BgL_new1115z00_4090;
			}
		}

	}



/* &lambda1800 */
	BgL_funz00_bglt BGl_z62lambda1800z62zzast_varz00(obj_t BgL_envz00_3495,
		obj_t BgL_arity1104z00_3496, obj_t BgL_sidezd2effect1105zd2_3497,
		obj_t BgL_predicatezd2of1106zd2_3498,
		obj_t BgL_stackzd2allocator1107zd2_3499, obj_t BgL_topzf31108zf3_3500,
		obj_t BgL_thezd2closure1109zd2_3501, obj_t BgL_effect1110z00_3502,
		obj_t BgL_failsafe1111z00_3503, obj_t BgL_argszd2noescape1112zd2_3504,
		obj_t BgL_argszd2retescape1113zd2_3505)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_arity1104z00_4092;
				bool_t BgL_topzf31108zf3_4093;

				BgL_arity1104z00_4092 = (long) CINT(BgL_arity1104z00_3496);
				BgL_topzf31108zf3_4093 = CBOOL(BgL_topzf31108zf3_3500);
				{	/* Ast/var.scm 84 */
					BgL_funz00_bglt BgL_new1232z00_4094;

					{	/* Ast/var.scm 84 */
						BgL_funz00_bglt BgL_new1231z00_4095;

						BgL_new1231z00_4095 =
							((BgL_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funz00_bgl))));
						{	/* Ast/var.scm 84 */
							long BgL_arg1801z00_4096;

							BgL_arg1801z00_4096 = BGL_CLASS_NUM(BGl_funz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1231z00_4095),
								BgL_arg1801z00_4096);
						}
						BgL_new1232z00_4094 = BgL_new1231z00_4095;
					}
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->BgL_arityz00) =
						((long) BgL_arity1104z00_4092), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_3497), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1106zd2_3498), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1107zd2_3499), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31108zf3_4093), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1109zd2_3501), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->BgL_effectz00) =
						((obj_t) BgL_effect1110z00_3502), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1111z00_3503), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1112zd2_3504), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(BgL_new1232z00_4094))->
							BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1113zd2_3505), BUNSPEC);
					return BgL_new1232z00_4094;
				}
			}
		}

	}



/* &<@anonymous:1918> */
	obj_t BGl_z62zc3z04anonymousza31918ze3ze5zzast_varz00(obj_t BgL_envz00_3506)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zzast_varz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3508)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_3509), BUNSPEC);
		}

	}



/* &lambda1916 */
	obj_t BGl_z62lambda1916z62zzast_varz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3511)))->BgL_argszd2retescapezd2);
		}

	}



/* &<@anonymous:1910> */
	obj_t BGl_z62zc3z04anonymousza31910ze3ze5zzast_varz00(obj_t BgL_envz00_3512)
	{
		{	/* Ast/var.scm 84 */
			return BNIL;
		}

	}



/* &lambda1909 */
	obj_t BGl_z62lambda1909z62zzast_varz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3514)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_3515), BUNSPEC);
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zzast_varz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3517)))->BgL_argszd2noescapezd2);
		}

	}



/* &<@anonymous:1903> */
	obj_t BGl_z62zc3z04anonymousza31903ze3ze5zzast_varz00(obj_t BgL_envz00_3518)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zzast_varz00(obj_t BgL_envz00_3519,
		obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3520)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_3521), BUNSPEC);
		}

	}



/* &lambda1901 */
	obj_t BGl_z62lambda1901z62zzast_varz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3523)))->BgL_failsafez00);
		}

	}



/* &<@anonymous:1896> */
	obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzast_varz00(obj_t BgL_envz00_3524)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1895 */
	obj_t BGl_z62lambda1895z62zzast_varz00(obj_t BgL_envz00_3525,
		obj_t BgL_oz00_3526, obj_t BgL_vz00_3527)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3526)))->BgL_effectz00) =
				((obj_t) BgL_vz00_3527), BUNSPEC);
		}

	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zzast_varz00(obj_t BgL_envz00_3528,
		obj_t BgL_oz00_3529)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3529)))->BgL_effectz00);
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzast_varz00(obj_t BgL_envz00_3530)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1888 */
	obj_t BGl_z62lambda1888z62zzast_varz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532, obj_t BgL_vz00_3533)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3532)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_3533), BUNSPEC);
		}

	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zzast_varz00(obj_t BgL_envz00_3534,
		obj_t BgL_oz00_3535)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3535)))->BgL_thezd2closurezd2);
		}

	}



/* &<@anonymous:1879> */
	obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzast_varz00(obj_t BgL_envz00_3536)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zzast_varz00(obj_t BgL_envz00_3537,
		obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				bool_t BgL_vz00_4108;

				BgL_vz00_4108 = CBOOL(BgL_vz00_3539);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3538)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_4108), BUNSPEC);
			}
		}

	}



/* &lambda1877 */
	obj_t BGl_z62lambda1877z62zzast_varz00(obj_t BgL_envz00_3540,
		obj_t BgL_oz00_3541)
	{
		{	/* Ast/var.scm 84 */
			return
				BBOOL(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3541)))->BgL_topzf3zf3));
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzast_varz00(obj_t BgL_envz00_3542)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1859 */
	obj_t BGl_z62lambda1859z62zzast_varz00(obj_t BgL_envz00_3543,
		obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3544)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_3545), BUNSPEC);
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzast_varz00(obj_t BgL_envz00_3546,
		obj_t BgL_oz00_3547)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3547)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &<@anonymous:1848> */
	obj_t BGl_z62zc3z04anonymousza31848ze3ze5zzast_varz00(obj_t BgL_envz00_3548)
	{
		{	/* Ast/var.scm 84 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1847 */
	obj_t BGl_z62lambda1847z62zzast_varz00(obj_t BgL_envz00_3549,
		obj_t BgL_oz00_3550, obj_t BgL_vz00_3551)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3550)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_3551), BUNSPEC);
		}

	}



/* &lambda1846 */
	obj_t BGl_z62lambda1846z62zzast_varz00(obj_t BgL_envz00_3552,
		obj_t BgL_oz00_3553)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3553)))->BgL_predicatezd2ofzd2);
		}

	}



/* &<@anonymous:1828> */
	obj_t BGl_z62zc3z04anonymousza31828ze3ze5zzast_varz00(obj_t BgL_envz00_3554)
	{
		{	/* Ast/var.scm 84 */
			return BUNSPEC;
		}

	}



/* &lambda1827 */
	obj_t BGl_z62lambda1827z62zzast_varz00(obj_t BgL_envz00_3555,
		obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
	{
		{	/* Ast/var.scm 84 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3556)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_3557), BUNSPEC);
		}

	}



/* &lambda1826 */
	obj_t BGl_z62lambda1826z62zzast_varz00(obj_t BgL_envz00_3558,
		obj_t BgL_oz00_3559)
	{
		{	/* Ast/var.scm 84 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_3559)))->BgL_sidezd2effectzd2);
		}

	}



/* &lambda1816 */
	obj_t BGl_z62lambda1816z62zzast_varz00(obj_t BgL_envz00_3560,
		obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
	{
		{	/* Ast/var.scm 84 */
			{	/* Ast/var.scm 84 */
				long BgL_vz00_4117;

				BgL_vz00_4117 = (long) CINT(BgL_vz00_3562);
				return
					((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_oz00_3561)))->BgL_arityz00) =
					((long) BgL_vz00_4117), BUNSPEC);
		}}

	}



/* &lambda1815 */
	obj_t BGl_z62lambda1815z62zzast_varz00(obj_t BgL_envz00_3563,
		obj_t BgL_oz00_3564)
	{
		{	/* Ast/var.scm 84 */
			return
				BINT(
				(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_3564)))->BgL_arityz00));
		}

	}



/* &<@anonymous:1756> */
	obj_t BGl_z62zc3z04anonymousza31756ze3ze5zzast_varz00(obj_t BgL_envz00_3565,
		obj_t BgL_new1102z00_3566)
	{
		{	/* Ast/var.scm 75 */
			{
				BgL_localz00_bglt BgL_auxz00_6730;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1102z00_3566))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6739;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4120;

						BgL_classz00_4120 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1117z00_4121;

							BgL__ortest_1117z00_4121 = BGL_CLASS_NIL(BgL_classz00_4120);
							if (CBOOL(BgL__ortest_1117z00_4121))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6739 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4121);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6739 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4120));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1102z00_3566))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6739), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6749;

					{	/* Ast/var.scm 75 */
						obj_t BgL_classz00_4122;

						BgL_classz00_4122 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 75 */
							obj_t BgL__ortest_1117z00_4123;

							BgL__ortest_1117z00_4123 = BGL_CLASS_NIL(BgL_classz00_4122);
							if (CBOOL(BgL__ortest_1117z00_4123))
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6749 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4123);
								}
							else
								{	/* Ast/var.scm 75 */
									BgL_auxz00_6749 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4122));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1102z00_3566))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6749), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1102z00_3566))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1102z00_3566))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3566)))->BgL_keyz00) = ((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3566)))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1102z00_3566)))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_6730 = ((BgL_localz00_bglt) BgL_new1102z00_3566);
				return ((obj_t) BgL_auxz00_6730);
			}
		}

	}



/* &lambda1749 */
	BgL_localz00_bglt BGl_z62lambda1749z62zzast_varz00(obj_t BgL_envz00_3567)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				BgL_localz00_bglt BgL_new1101z00_4124;

				BgL_new1101z00_4124 =
					((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				{	/* Ast/var.scm 75 */
					long BgL_arg1755z00_4125;

					BgL_arg1755z00_4125 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1101z00_4124), BgL_arg1755z00_4125);
				}
				{	/* Ast/var.scm 75 */
					BgL_objectz00_bglt BgL_tmpz00_6789;

					BgL_tmpz00_6789 = ((BgL_objectz00_bglt) BgL_new1101z00_4124);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6789, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1101z00_4124);
				return BgL_new1101z00_4124;
			}
		}

	}



/* &lambda1747 */
	BgL_localz00_bglt BGl_z62lambda1747z62zzast_varz00(obj_t BgL_envz00_3568,
		obj_t BgL_id1088z00_3569, obj_t BgL_name1089z00_3570,
		obj_t BgL_type1090z00_3571, obj_t BgL_value1091z00_3572,
		obj_t BgL_access1092z00_3573, obj_t BgL_fastzd2alpha1093zd2_3574,
		obj_t BgL_removable1094z00_3575, obj_t BgL_occurrence1095z00_3576,
		obj_t BgL_occurrencew1096z00_3577, obj_t BgL_userzf31097zf3_3578,
		obj_t BgL_key1098z00_3579, obj_t BgL_valzd2noescape1099zd2_3580,
		obj_t BgL_volatile1100z00_3581)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_occurrence1095z00_4129;
				long BgL_occurrencew1096z00_4130;
				bool_t BgL_userzf31097zf3_4131;
				long BgL_key1098z00_4132;
				bool_t BgL_volatile1100z00_4133;

				BgL_occurrence1095z00_4129 = (long) CINT(BgL_occurrence1095z00_3576);
				BgL_occurrencew1096z00_4130 = (long) CINT(BgL_occurrencew1096z00_3577);
				BgL_userzf31097zf3_4131 = CBOOL(BgL_userzf31097zf3_3578);
				BgL_key1098z00_4132 = (long) CINT(BgL_key1098z00_3579);
				BgL_volatile1100z00_4133 = CBOOL(BgL_volatile1100z00_3581);
				{	/* Ast/var.scm 75 */
					BgL_localz00_bglt BgL_new1230z00_4134;

					{	/* Ast/var.scm 75 */
						BgL_localz00_bglt BgL_new1229z00_4135;

						BgL_new1229z00_4135 =
							((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						{	/* Ast/var.scm 75 */
							long BgL_arg1748z00_4136;

							BgL_arg1748z00_4136 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1229z00_4135),
								BgL_arg1748z00_4136);
						}
						{	/* Ast/var.scm 75 */
							BgL_objectz00_bglt BgL_tmpz00_6802;

							BgL_tmpz00_6802 = ((BgL_objectz00_bglt) BgL_new1229z00_4135);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6802, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1229z00_4135);
						BgL_new1230z00_4134 = BgL_new1229z00_4135;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1230z00_4134)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1088z00_3569)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_namez00) =
						((obj_t) BgL_name1089z00_3570), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1090z00_3571)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1091z00_3572)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_accessz00) =
						((obj_t) BgL_access1092z00_3573), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1093zd2_3574), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_removablez00) =
						((obj_t) BgL_removable1094z00_3575), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_occurrencez00) =
						((long) BgL_occurrence1095z00_4129), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1096z00_4130), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1230z00_4134)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31097zf3_4131), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1230z00_4134))->BgL_keyz00) =
						((long) BgL_key1098z00_4132), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1230z00_4134))->
							BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1099zd2_3580), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(BgL_new1230z00_4134))->
							BgL_volatilez00) = ((bool_t) BgL_volatile1100z00_4133), BUNSPEC);
					return BgL_new1230z00_4134;
				}
			}
		}

	}



/* &<@anonymous:1788> */
	obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzast_varz00(obj_t BgL_envz00_3582)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1787 */
	obj_t BGl_z62lambda1787z62zzast_varz00(obj_t BgL_envz00_3583,
		obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				bool_t BgL_vz00_4138;

				BgL_vz00_4138 = CBOOL(BgL_vz00_3585);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3584)))->BgL_volatilez00) =
					((bool_t) BgL_vz00_4138), BUNSPEC);
			}
		}

	}



/* &lambda1786 */
	obj_t BGl_z62lambda1786z62zzast_varz00(obj_t BgL_envz00_3586,
		obj_t BgL_oz00_3587)
	{
		{	/* Ast/var.scm 75 */
			return
				BBOOL(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3587)))->BgL_volatilez00));
		}

	}



/* &<@anonymous:1779> */
	obj_t BGl_z62zc3z04anonymousza31779ze3ze5zzast_varz00(obj_t BgL_envz00_3588)
	{
		{	/* Ast/var.scm 75 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1778 */
	obj_t BGl_z62lambda1778z62zzast_varz00(obj_t BgL_envz00_3589,
		obj_t BgL_oz00_3590, obj_t BgL_vz00_3591)
	{
		{	/* Ast/var.scm 75 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3590)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_3591), BUNSPEC);
		}

	}



/* &lambda1777 */
	obj_t BGl_z62lambda1777z62zzast_varz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593)
	{
		{	/* Ast/var.scm 75 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_3593)))->BgL_valzd2noescapezd2);
		}

	}



/* &lambda1767 */
	obj_t BGl_z62lambda1767z62zzast_varz00(obj_t BgL_envz00_3594,
		obj_t BgL_oz00_3595, obj_t BgL_vz00_3596)
	{
		{	/* Ast/var.scm 75 */
			{	/* Ast/var.scm 75 */
				long BgL_vz00_4143;

				BgL_vz00_4143 = (long) CINT(BgL_vz00_3596);
				return
					((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_oz00_3595)))->BgL_keyz00) =
					((long) BgL_vz00_4143), BUNSPEC);
		}}

	}



/* &lambda1766 */
	obj_t BGl_z62lambda1766z62zzast_varz00(obj_t BgL_envz00_3597,
		obj_t BgL_oz00_3598)
	{
		{	/* Ast/var.scm 75 */
			return
				BINT(
				(((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_3598)))->BgL_keyz00));
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzast_varz00(obj_t BgL_envz00_3599,
		obj_t BgL_new1086z00_3600)
	{
		{	/* Ast/var.scm 46 */
			{
				BgL_globalz00_bglt BgL_auxz00_6850;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1086z00_3600))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(74))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_6859;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4146;

						BgL_classz00_4146 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1117z00_4147;

							BgL__ortest_1117z00_4147 = BGL_CLASS_NIL(BgL_classz00_4146);
							if (CBOOL(BgL__ortest_1117z00_4147))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6859 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4147);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6859 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4146));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1086z00_3600))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6859), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_6869;

					{	/* Ast/var.scm 46 */
						obj_t BgL_classz00_4148;

						BgL_classz00_4148 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 46 */
							obj_t BgL__ortest_1117z00_4149;

							BgL__ortest_1117z00_4149 = BGL_CLASS_NIL(BgL_classz00_4148);
							if (CBOOL(BgL__ortest_1117z00_4149))
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6869 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4149);
								}
							else
								{	/* Ast/var.scm 46 */
									BgL_auxz00_6869 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4148));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1086z00_3600))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_6869), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1086z00_3600))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1086z00_3600))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(74))), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string2371z00zzast_varz00), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1086z00_3600)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_6850 = ((BgL_globalz00_bglt) BgL_new1086z00_3600);
				return ((obj_t) BgL_auxz00_6850);
			}
		}

	}



/* &lambda1578 */
	BgL_globalz00_bglt BGl_z62lambda1578z62zzast_varz00(obj_t BgL_envz00_3601)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				BgL_globalz00_bglt BgL_new1085z00_4150;

				BgL_new1085z00_4150 =
					((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				{	/* Ast/var.scm 46 */
					long BgL_arg1581z00_4151;

					BgL_arg1581z00_4151 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1085z00_4150), BgL_arg1581z00_4151);
				}
				{	/* Ast/var.scm 46 */
					BgL_objectz00_bglt BgL_tmpz00_6925;

					BgL_tmpz00_6925 = ((BgL_objectz00_bglt) BgL_new1085z00_4150);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6925, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1085z00_4150);
				return BgL_new1085z00_4150;
			}
		}

	}



/* &lambda1575 */
	BgL_globalz00_bglt BGl_z62lambda1575z62zzast_varz00(obj_t BgL_envz00_3602,
		obj_t BgL_id1065z00_3603, obj_t BgL_name1066z00_3604,
		obj_t BgL_type1067z00_3605, obj_t BgL_value1068z00_3606,
		obj_t BgL_access1069z00_3607, obj_t BgL_fastzd2alpha1070zd2_3608,
		obj_t BgL_removable1071z00_3609, obj_t BgL_occurrence1072z00_3610,
		obj_t BgL_occurrencew1073z00_3611, obj_t BgL_userzf31074zf3_3612,
		obj_t BgL_module1075z00_3613, obj_t BgL_import1076z00_3614,
		obj_t BgL_evaluablezf31077zf3_3615, obj_t BgL_evalzf31078zf3_3616,
		obj_t BgL_library1079z00_3617, obj_t BgL_pragma1080z00_3618,
		obj_t BgL_src1081z00_3619, obj_t BgL_qualifiedzd2typezd2name1082z00_3620,
		obj_t BgL_init1083z00_3621, obj_t BgL_alias1084z00_3622)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				long BgL_occurrence1072z00_4155;
				long BgL_occurrencew1073z00_4156;
				bool_t BgL_userzf31074zf3_4157;
				bool_t BgL_evaluablezf31077zf3_4159;
				bool_t BgL_evalzf31078zf3_4160;

				BgL_occurrence1072z00_4155 = (long) CINT(BgL_occurrence1072z00_3610);
				BgL_occurrencew1073z00_4156 = (long) CINT(BgL_occurrencew1073z00_3611);
				BgL_userzf31074zf3_4157 = CBOOL(BgL_userzf31074zf3_3612);
				BgL_evaluablezf31077zf3_4159 = CBOOL(BgL_evaluablezf31077zf3_3615);
				BgL_evalzf31078zf3_4160 = CBOOL(BgL_evalzf31078zf3_3616);
				{	/* Ast/var.scm 46 */
					BgL_globalz00_bglt BgL_new1227z00_4162;

					{	/* Ast/var.scm 46 */
						BgL_globalz00_bglt BgL_new1226z00_4163;

						BgL_new1226z00_4163 =
							((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						{	/* Ast/var.scm 46 */
							long BgL_arg1577z00_4164;

							BgL_arg1577z00_4164 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1226z00_4163),
								BgL_arg1577z00_4164);
						}
						{	/* Ast/var.scm 46 */
							BgL_objectz00_bglt BgL_tmpz00_6938;

							BgL_tmpz00_6938 = ((BgL_objectz00_bglt) BgL_new1226z00_4163);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6938, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1226z00_4163);
						BgL_new1227z00_4162 = BgL_new1226z00_4163;
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1227z00_4162)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1065z00_3603)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_namez00) =
						((obj_t) BgL_name1066z00_3604), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1067z00_3605)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1068z00_3606)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_accessz00) =
						((obj_t) BgL_access1069z00_3607), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1070zd2_3608), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_removablez00) =
						((obj_t) BgL_removable1071z00_3609), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_occurrencez00) =
						((long) BgL_occurrence1072z00_4155), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1073z00_4156), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1227z00_4162)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31074zf3_4157), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1075z00_3613)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_importz00) = ((obj_t) BgL_import1076z00_3614), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31077zf3_4159), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_evalzf3zf3) = ((bool_t) BgL_evalzf31078zf3_4160), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_libraryz00) = ((obj_t) BgL_library1079z00_3617), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_pragmaz00) = ((obj_t) BgL_pragma1080z00_3618), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->BgL_srcz00) =
						((obj_t) BgL_src1081z00_3619), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->
							BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1082z00_3620)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->BgL_initz00) =
						((obj_t) BgL_init1083z00_3621), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(BgL_new1227z00_4162))->BgL_aliasz00) =
						((obj_t) BgL_alias1084z00_3622), BUNSPEC);
					return BgL_new1227z00_4162;
				}
			}
		}

	}



/* &<@anonymous:1718> */
	obj_t BGl_z62zc3z04anonymousza31718ze3ze5zzast_varz00(obj_t BgL_envz00_3623)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1717 */
	obj_t BGl_z62lambda1717z62zzast_varz00(obj_t BgL_envz00_3624,
		obj_t BgL_oz00_3625, obj_t BgL_vz00_3626)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3625)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_3626), BUNSPEC);
		}

	}



/* &lambda1716 */
	obj_t BGl_z62lambda1716z62zzast_varz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3628)))->BgL_aliasz00);
		}

	}



/* &<@anonymous:1695> */
	obj_t BGl_z62zc3z04anonymousza31695ze3ze5zzast_varz00(obj_t BgL_envz00_3629)
	{
		{	/* Ast/var.scm 46 */
			return BUNSPEC;
		}

	}



/* &lambda1694 */
	obj_t BGl_z62lambda1694z62zzast_varz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3631)))->BgL_initz00) =
				((obj_t) BgL_vz00_3632), BUNSPEC);
		}

	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zzast_varz00(obj_t BgL_envz00_3633,
		obj_t BgL_oz00_3634)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3634)))->BgL_initz00);
		}

	}



/* &lambda1682 */
	obj_t BGl_z62lambda1682z62zzast_varz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3636)))->
					BgL_qualifiedzd2typezd2namez00) =
				((obj_t) ((obj_t) BgL_vz00_3637)), BUNSPEC);
		}

	}



/* &lambda1681 */
	obj_t BGl_z62lambda1681z62zzast_varz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3639)))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &lambda1675 */
	obj_t BGl_z62lambda1675z62zzast_varz00(obj_t BgL_envz00_3640,
		obj_t BgL_oz00_3641, obj_t BgL_vz00_3642)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3641)))->BgL_srcz00) =
				((obj_t) BgL_vz00_3642), BUNSPEC);
		}

	}



/* &lambda1674 */
	obj_t BGl_z62lambda1674z62zzast_varz00(obj_t BgL_envz00_3643,
		obj_t BgL_oz00_3644)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3644)))->BgL_srcz00);
		}

	}



/* &<@anonymous:1660> */
	obj_t BGl_z62zc3z04anonymousza31660ze3ze5zzast_varz00(obj_t BgL_envz00_3645)
	{
		{	/* Ast/var.scm 46 */
			return BNIL;
		}

	}



/* &lambda1659 */
	obj_t BGl_z62lambda1659z62zzast_varz00(obj_t BgL_envz00_3646,
		obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3647)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_3648), BUNSPEC);
		}

	}



/* &lambda1658 */
	obj_t BGl_z62lambda1658z62zzast_varz00(obj_t BgL_envz00_3649,
		obj_t BgL_oz00_3650)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3650)))->BgL_pragmaz00);
		}

	}



/* &<@anonymous:1652> */
	obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzast_varz00(obj_t BgL_envz00_3651)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1651 */
	obj_t BGl_z62lambda1651z62zzast_varz00(obj_t BgL_envz00_3652,
		obj_t BgL_oz00_3653, obj_t BgL_vz00_3654)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3653)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_3654), BUNSPEC);
		}

	}



/* &lambda1650 */
	obj_t BGl_z62lambda1650z62zzast_varz00(obj_t BgL_envz00_3655,
		obj_t BgL_oz00_3656)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3656)))->BgL_libraryz00);
		}

	}



/* &<@anonymous:1638> */
	obj_t BGl_z62zc3z04anonymousza31638ze3ze5zzast_varz00(obj_t BgL_envz00_3657)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1637 */
	obj_t BGl_z62lambda1637z62zzast_varz00(obj_t BgL_envz00_3658,
		obj_t BgL_oz00_3659, obj_t BgL_vz00_3660)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4179;

				BgL_vz00_4179 = CBOOL(BgL_vz00_3660);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3659)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_4179), BUNSPEC);
			}
		}

	}



/* &lambda1636 */
	obj_t BGl_z62lambda1636z62zzast_varz00(obj_t BgL_envz00_3661,
		obj_t BgL_oz00_3662)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3662)))->BgL_evalzf3zf3));
		}

	}



/* &<@anonymous:1629> */
	obj_t BGl_z62zc3z04anonymousza31629ze3ze5zzast_varz00(obj_t BgL_envz00_3663)
	{
		{	/* Ast/var.scm 46 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1628 */
	obj_t BGl_z62lambda1628z62zzast_varz00(obj_t BgL_envz00_3664,
		obj_t BgL_oz00_3665, obj_t BgL_vz00_3666)
	{
		{	/* Ast/var.scm 46 */
			{	/* Ast/var.scm 46 */
				bool_t BgL_vz00_4182;

				BgL_vz00_4182 = CBOOL(BgL_vz00_3666);
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_oz00_3665)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_4182), BUNSPEC);
			}
		}

	}



/* &lambda1627 */
	obj_t BGl_z62lambda1627z62zzast_varz00(obj_t BgL_envz00_3667,
		obj_t BgL_oz00_3668)
	{
		{	/* Ast/var.scm 46 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3668)))->BgL_evaluablezf3zf3));
		}

	}



/* &lambda1607 */
	obj_t BGl_z62lambda1607z62zzast_varz00(obj_t BgL_envz00_3669,
		obj_t BgL_oz00_3670, obj_t BgL_vz00_3671)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3670)))->BgL_importz00) =
				((obj_t) BgL_vz00_3671), BUNSPEC);
		}

	}



/* &lambda1606 */
	obj_t BGl_z62lambda1606z62zzast_varz00(obj_t BgL_envz00_3672,
		obj_t BgL_oz00_3673)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3673)))->BgL_importz00);
		}

	}



/* &lambda1592 */
	obj_t BGl_z62lambda1592z62zzast_varz00(obj_t BgL_envz00_3674,
		obj_t BgL_oz00_3675, obj_t BgL_vz00_3676)
	{
		{	/* Ast/var.scm 46 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_3675)))->BgL_modulez00) = ((obj_t)
					((obj_t) BgL_vz00_3676)), BUNSPEC);
		}

	}



/* &lambda1591 */
	obj_t BGl_z62lambda1591z62zzast_varz00(obj_t BgL_envz00_3677,
		obj_t BgL_oz00_3678)
	{
		{	/* Ast/var.scm 46 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_3678)))->BgL_modulez00);
		}

	}



/* &<@anonymous:1359> */
	obj_t BGl_z62zc3z04anonymousza31359ze3ze5zzast_varz00(obj_t BgL_envz00_3679,
		obj_t BgL_new1063z00_3680)
	{
		{	/* Ast/var.scm 23 */
			{
				BgL_variablez00_bglt BgL_auxz00_7027;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1063z00_3680)))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(74))), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7034;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4190;

						BgL_classz00_4190 = BGl_typez00zztype_typez00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1117z00_4191;

							BgL__ortest_1117z00_4191 = BGL_CLASS_NIL(BgL_classz00_4190);
							if (CBOOL(BgL__ortest_1117z00_4191))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_7034 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_4191);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_7034 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4190));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1063z00_3680)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7034), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_7043;

					{	/* Ast/var.scm 23 */
						obj_t BgL_classz00_4192;

						BgL_classz00_4192 = BGl_valuez00zzast_varz00;
						{	/* Ast/var.scm 23 */
							obj_t BgL__ortest_1117z00_4193;

							BgL__ortest_1117z00_4193 = BGL_CLASS_NIL(BgL_classz00_4192);
							if (CBOOL(BgL__ortest_1117z00_4193))
								{	/* Ast/var.scm 23 */
									BgL_auxz00_7043 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_4193);
								}
							else
								{	/* Ast/var.scm 23 */
									BgL_auxz00_7043 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4192));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1063z00_3680)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_7043), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1063z00_3680)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1063z00_3680)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_7027 = ((BgL_variablez00_bglt) BgL_new1063z00_3680);
				return ((obj_t) BgL_auxz00_7027);
			}
		}

	}



/* &lambda1356 */
	BgL_variablez00_bglt BGl_z62lambda1356z62zzast_varz00(obj_t BgL_envz00_3681)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				BgL_variablez00_bglt BgL_new1062z00_4194;

				BgL_new1062z00_4194 =
					((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_variablez00_bgl))));
				{	/* Ast/var.scm 23 */
					long BgL_arg1358z00_4195;

					BgL_arg1358z00_4195 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4194), BgL_arg1358z00_4195);
				}
				return BgL_new1062z00_4194;
			}
		}

	}



/* &lambda1342 */
	BgL_variablez00_bglt BGl_z62lambda1342z62zzast_varz00(obj_t BgL_envz00_3682,
		obj_t BgL_id1052z00_3683, obj_t BgL_name1053z00_3684,
		obj_t BgL_type1054z00_3685, obj_t BgL_value1055z00_3686,
		obj_t BgL_access1056z00_3687, obj_t BgL_fastzd2alpha1057zd2_3688,
		obj_t BgL_removable1058z00_3689, obj_t BgL_occurrence1059z00_3690,
		obj_t BgL_occurrencew1060z00_3691, obj_t BgL_userzf31061zf3_3692)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_occurrence1059z00_4199;
				long BgL_occurrencew1060z00_4200;
				bool_t BgL_userzf31061zf3_4201;

				BgL_occurrence1059z00_4199 = (long) CINT(BgL_occurrence1059z00_3690);
				BgL_occurrencew1060z00_4200 = (long) CINT(BgL_occurrencew1060z00_3691);
				BgL_userzf31061zf3_4201 = CBOOL(BgL_userzf31061zf3_3692);
				{	/* Ast/var.scm 23 */
					BgL_variablez00_bglt BgL_new1225z00_4202;

					{	/* Ast/var.scm 23 */
						BgL_variablez00_bglt BgL_new1224z00_4203;

						BgL_new1224z00_4203 =
							((BgL_variablez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_variablez00_bgl))));
						{	/* Ast/var.scm 23 */
							long BgL_arg1355z00_4204;

							BgL_arg1355z00_4204 = BGL_CLASS_NUM(BGl_variablez00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1224z00_4203),
								BgL_arg1355z00_4204);
						}
						BgL_new1225z00_4202 = BgL_new1224z00_4203;
					}
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1052z00_3683)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_namez00) = ((obj_t) BgL_name1053z00_3684), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1054z00_3685)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1055z00_3686)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_accessz00) = ((obj_t) BgL_access1056z00_3687), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1057zd2_3688), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_removablez00) = ((obj_t) BgL_removable1058z00_3689), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_occurrencez00) =
						((long) BgL_occurrence1059z00_4199), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_occurrencewz00) =
						((long) BgL_occurrencew1060z00_4200), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(BgL_new1225z00_4202))->
							BgL_userzf3zf3) = ((bool_t) BgL_userzf31061zf3_4201), BUNSPEC);
					return BgL_new1225z00_4202;
				}
			}
		}

	}



/* &<@anonymous:1546> */
	obj_t BGl_z62zc3z04anonymousza31546ze3ze5zzast_varz00(obj_t BgL_envz00_3693)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1545 */
	obj_t BGl_z62lambda1545z62zzast_varz00(obj_t BgL_envz00_3694,
		obj_t BgL_oz00_3695, obj_t BgL_vz00_3696)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				bool_t BgL_vz00_4206;

				BgL_vz00_4206 = CBOOL(BgL_vz00_3696);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3695)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_4206), BUNSPEC);
			}
		}

	}



/* &lambda1544 */
	obj_t BGl_z62lambda1544z62zzast_varz00(obj_t BgL_envz00_3697,
		obj_t BgL_oz00_3698)
	{
		{	/* Ast/var.scm 23 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3698)))->BgL_userzf3zf3));
		}

	}



/* &<@anonymous:1516> */
	obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzast_varz00(obj_t BgL_envz00_3699)
	{
		{	/* Ast/var.scm 23 */
			return BINT(0L);
		}

	}



/* &lambda1515 */
	obj_t BGl_z62lambda1515z62zzast_varz00(obj_t BgL_envz00_3700,
		obj_t BgL_oz00_3701, obj_t BgL_vz00_3702)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4209;

				BgL_vz00_4209 = (long) CINT(BgL_vz00_3702);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3701)))->BgL_occurrencewz00) =
					((long) BgL_vz00_4209), BUNSPEC);
		}}

	}



/* &lambda1514 */
	obj_t BGl_z62lambda1514z62zzast_varz00(obj_t BgL_envz00_3703,
		obj_t BgL_oz00_3704)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3704)))->BgL_occurrencewz00));
		}

	}



/* &<@anonymous:1493> */
	obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzast_varz00(obj_t BgL_envz00_3705)
	{
		{	/* Ast/var.scm 23 */
			return BINT(0L);
		}

	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zzast_varz00(obj_t BgL_envz00_3706,
		obj_t BgL_oz00_3707, obj_t BgL_vz00_3708)
	{
		{	/* Ast/var.scm 23 */
			{	/* Ast/var.scm 23 */
				long BgL_vz00_4212;

				BgL_vz00_4212 = (long) CINT(BgL_vz00_3708);
				return
					((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_oz00_3707)))->BgL_occurrencez00) =
					((long) BgL_vz00_4212), BUNSPEC);
		}}

	}



/* &lambda1491 */
	obj_t BGl_z62lambda1491z62zzast_varz00(obj_t BgL_envz00_3709,
		obj_t BgL_oz00_3710)
	{
		{	/* Ast/var.scm 23 */
			return
				BINT(
				(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3710)))->BgL_occurrencez00));
		}

	}



/* &<@anonymous:1483> */
	obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzast_varz00(obj_t BgL_envz00_3711)
	{
		{	/* Ast/var.scm 23 */
			return ((obj_t) CNST_TABLE_REF(76));
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zzast_varz00(obj_t BgL_envz00_3712,
		obj_t BgL_oz00_3713, obj_t BgL_vz00_3714)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3713)))->BgL_removablez00) =
				((obj_t) BgL_vz00_3714), BUNSPEC);
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zzast_varz00(obj_t BgL_envz00_3715,
		obj_t BgL_oz00_3716)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3716)))->BgL_removablez00);
		}

	}



/* &<@anonymous:1420> */
	obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzast_varz00(obj_t BgL_envz00_3717)
	{
		{	/* Ast/var.scm 23 */
			return BUNSPEC;
		}

	}



/* &lambda1419 */
	obj_t BGl_z62lambda1419z62zzast_varz00(obj_t BgL_envz00_3718,
		obj_t BgL_oz00_3719, obj_t BgL_vz00_3720)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3719)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_3720), BUNSPEC);
		}

	}



/* &lambda1418 */
	obj_t BGl_z62lambda1418z62zzast_varz00(obj_t BgL_envz00_3721,
		obj_t BgL_oz00_3722)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3722)))->BgL_fastzd2alphazd2);
		}

	}



/* &<@anonymous:1406> */
	obj_t BGl_z62zc3z04anonymousza31406ze3ze5zzast_varz00(obj_t BgL_envz00_3723)
	{
		{	/* Ast/var.scm 23 */
			return ((obj_t) CNST_TABLE_REF(71));
		}

	}



/* &lambda1405 */
	obj_t BGl_z62lambda1405z62zzast_varz00(obj_t BgL_envz00_3724,
		obj_t BgL_oz00_3725, obj_t BgL_vz00_3726)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3725)))->BgL_accessz00) =
				((obj_t) BgL_vz00_3726), BUNSPEC);
		}

	}



/* &lambda1404 */
	obj_t BGl_z62lambda1404z62zzast_varz00(obj_t BgL_envz00_3727,
		obj_t BgL_oz00_3728)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3728)))->BgL_accessz00);
		}

	}



/* &lambda1392 */
	obj_t BGl_z62lambda1392z62zzast_varz00(obj_t BgL_envz00_3729,
		obj_t BgL_oz00_3730, obj_t BgL_vz00_3731)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3730)))->BgL_valuez00) =
				((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_vz00_3731)), BUNSPEC);
		}

	}



/* &lambda1391 */
	BgL_valuez00_bglt BGl_z62lambda1391z62zzast_varz00(obj_t BgL_envz00_3732,
		obj_t BgL_oz00_3733)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3733)))->BgL_valuez00);
		}

	}



/* &lambda1385 */
	obj_t BGl_z62lambda1385z62zzast_varz00(obj_t BgL_envz00_3734,
		obj_t BgL_oz00_3735, obj_t BgL_vz00_3736)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3735)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_3736)), BUNSPEC);
		}

	}



/* &lambda1384 */
	BgL_typez00_bglt BGl_z62lambda1384z62zzast_varz00(obj_t BgL_envz00_3737,
		obj_t BgL_oz00_3738)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3738)))->BgL_typez00);
		}

	}



/* &<@anonymous:1379> */
	obj_t BGl_z62zc3z04anonymousza31379ze3ze5zzast_varz00(obj_t BgL_envz00_3739)
	{
		{	/* Ast/var.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1378 */
	obj_t BGl_z62lambda1378z62zzast_varz00(obj_t BgL_envz00_3740,
		obj_t BgL_oz00_3741, obj_t BgL_vz00_3742)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3741)))->BgL_namez00) =
				((obj_t) BgL_vz00_3742), BUNSPEC);
		}

	}



/* &lambda1377 */
	obj_t BGl_z62lambda1377z62zzast_varz00(obj_t BgL_envz00_3743,
		obj_t BgL_oz00_3744)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3744)))->BgL_namez00);
		}

	}



/* &lambda1366 */
	obj_t BGl_z62lambda1366z62zzast_varz00(obj_t BgL_envz00_3745,
		obj_t BgL_oz00_3746, obj_t BgL_vz00_3747)
	{
		{	/* Ast/var.scm 23 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_3746)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_3747)), BUNSPEC);
		}

	}



/* &lambda1365 */
	obj_t BGl_z62lambda1365z62zzast_varz00(obj_t BgL_envz00_3748,
		obj_t BgL_oz00_3749)
	{
		{	/* Ast/var.scm 23 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_3749)))->BgL_idz00);
		}

	}



/* &<@anonymous:1334> */
	obj_t BGl_z62zc3z04anonymousza31334ze3ze5zzast_varz00(obj_t BgL_envz00_3750,
		obj_t BgL_new1050z00_3751)
	{
		{	/* Ast/var.scm 21 */
			return ((obj_t) ((BgL_valuez00_bglt) BgL_new1050z00_3751));
		}

	}



/* &lambda1332 */
	BgL_valuez00_bglt BGl_z62lambda1332z62zzast_varz00(obj_t BgL_envz00_3752)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1049z00_4232;

				BgL_new1049z00_4232 =
					((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valuez00_bgl))));
				{	/* Ast/var.scm 21 */
					long BgL_arg1333z00_4233;

					BgL_arg1333z00_4233 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1049z00_4232), BgL_arg1333z00_4233);
				}
				return BgL_new1049z00_4232;
			}
		}

	}



/* &lambda1327 */
	BgL_valuez00_bglt BGl_z62lambda1327z62zzast_varz00(obj_t BgL_envz00_3753)
	{
		{	/* Ast/var.scm 21 */
			{	/* Ast/var.scm 21 */
				BgL_valuez00_bglt BgL_new1223z00_4234;

				{	/* Ast/var.scm 21 */
					BgL_valuez00_bglt BgL_new1222z00_4235;

					BgL_new1222z00_4235 =
						((BgL_valuez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valuez00_bgl))));
					{	/* Ast/var.scm 21 */
						long BgL_arg1331z00_4236;

						BgL_arg1331z00_4236 = BGL_CLASS_NUM(BGl_valuez00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1222z00_4235), BgL_arg1331z00_4236);
					}
					BgL_new1223z00_4234 = BgL_new1222z00_4235;
				}
				return BgL_new1223z00_4234;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_varz00(void)
	{
		{	/* Ast/var.scm 14 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2372z00zzast_varz00));
			return
				BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2372z00zzast_varz00));
		}

	}

#ifdef __cplusplus
}
#endif
