/*===========================================================================*/
/*   (BackEnd/backend.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/backend.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_BACKEND_TYPE_DEFINITIONS
#define BGL_BACKEND_BACKEND_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_BACKEND_BACKEND_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31595ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2n1067zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2compilezd2func1061z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31114ze3ze5zzbackend_backendz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2forcezd2registerzd2gczd2rootsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2forcezd2registerzd2gczd2rootsz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2initializa7ez121057z05zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compile1059zb0zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31132ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t
		BGl_z62backendzd2forcezd2registerzd2gczd2rootszd2setz12za2zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2boxedzd2fixnumsz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2forcezd2registerzd2gczd2rootszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_za2backendsza2z00zzbackend_backendz00 = BUNSPEC;
	static obj_t BGl_z62backendzd2linkzd2objects1069z62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2strictzd2typezd2castzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31161ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_backendz00(void);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31243ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31406ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2boxedzd2fixnumsz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31180ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31148ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31229ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static BgL_backendz00_bglt BGl_z62lambda1111z62zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2boxedzd2fixnumszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1130z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1131z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd21071zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1300z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2stringzd2literalzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1306z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1307z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1146z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1227z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1147z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1228z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2strictzd2typezd2castzb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2boxedzd2fixnumszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1314z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31363ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1315z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2stringzd2literalzd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1159z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62lambda1321z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1160z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1241z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1322z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1073z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1242z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1404z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t BGl_z62lambda1405z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1248z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1249z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1333z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31373ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1334z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2link1063zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31195ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1256z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1418z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1257z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1419z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1178z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1179z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2strictzd2typezd2castzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1341z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31277ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1268z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_z62lambda1269z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62lambda1514z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1515z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1193z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1194z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1275z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1276z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_backendz00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1361z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1362z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31546ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1283z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1284z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2stringzd2literalzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31563ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1613z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1371z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1614z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1372z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31385ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1292z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1293z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1299z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2stringzd2literalzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1544z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1383z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1545z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1384z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2gczd2init1075z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1633z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31395ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1634z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1393z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1394z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1561z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1481z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1562z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2strictzd2typezd2castzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1482z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1491z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1492z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1582z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2subtypezf31065z43zzbackend_backendz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1593z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1594z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t __cnst[52];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1843z00,
		BGl_z62backendzd2typeszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2stringzd2literalzd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2str1844z00,
		BGl_z62backendzd2stringzd2literalzd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2envzb2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff1845z00,
		BGl_z62backendzd2effectzb2z02zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2backendzd2envz00zzbackend_backendz00,
		BgL_bgl_za762theza7d2backend1846z00,
		BGl_z62thezd2backendzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1847z00,
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzf3zd2envz21zzbackend_backendz00,
		BgL_bgl_za762backendza7f3za7911848za7,
		BGl_z62backendzf3z91zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1849z00,
		BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1850z00,
		BGl_z62backendzd2callcczb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2nilzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nil1851z00,
		BGl_z62backendzd2nilzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1852z00,
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1853z00,
		BGl_z62backendzd2functionszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1854z00,
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1855z00,
		BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1856z00,
		BGl_z62backendzd2typedzb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1857z00,
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1858z00,
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1859z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2forcezd2registerzd2gczd2rootszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1860z00,
		BGl_z62backendzd2forcezd2registerzd2gczd2rootsz62zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1861z00,
		BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1862z00,
		BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre1863z00,
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1709z00zzbackend_backendz00,
		BgL_bgl_string1709za700za7za7b1864za7, "backend", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1865z00,
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1866z00,
		BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1710z00zzbackend_backendz00,
		BgL_bgl_string1710za700za7za7b1867za7, "Unimplemented target language", 29);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1868z00,
		BGl_z62backendzd2compilezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1869z00,
		BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1711z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1870za7,
		BGl_z62zc3z04anonymousza31132ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1712z00zzbackend_backendz00,
		BgL_bgl_za762lambda1131za7621871z00,
		BGl_z62lambda1131z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1713z00zzbackend_backendz00,
		BgL_bgl_za762lambda1130za7621872z00,
		BGl_z62lambda1130z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1714z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1873za7,
		BGl_z62zc3z04anonymousza31148ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1715z00zzbackend_backendz00,
		BgL_bgl_za762lambda1147za7621874z00,
		BGl_z62lambda1147z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1716z00zzbackend_backendz00,
		BgL_bgl_za762lambda1146za7621875z00,
		BGl_z62lambda1146z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1717z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1876za7,
		BGl_z62zc3z04anonymousza31161ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1718z00zzbackend_backendz00,
		BgL_bgl_za762lambda1160za7621877z00,
		BGl_z62lambda1160z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1719z00zzbackend_backendz00,
		BgL_bgl_za762lambda1159za7621878z00,
		BGl_z62lambda1159z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1879z00,
		BGl_z62backendzd2linkzb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzbackend_backendz00,
		BgL_bgl_za762lambda1561za7621880z00,
		BGl_z62lambda1561z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1881za7,
		BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1720z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1882za7,
		BGl_z62zc3z04anonymousza31180ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzbackend_backendz00,
		BgL_bgl_za762lambda1583za7621883z00,
		BGl_z62lambda1583z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1721z00zzbackend_backendz00,
		BgL_bgl_za762lambda1179za7621884z00,
		BGl_z62lambda1179z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzbackend_backendz00,
		BgL_bgl_za762lambda1582za7621885z00,
		BGl_z62lambda1582z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1722z00zzbackend_backendz00,
		BgL_bgl_za762lambda1178za7621886z00,
		BGl_z62lambda1178z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1887za7,
		BGl_z62zc3z04anonymousza31595ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1723z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1888za7,
		BGl_z62zc3z04anonymousza31195ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1889z00,
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua1890z00,
		BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzbackend_backendz00,
		BgL_bgl_za762lambda1594za7621891z00,
		BGl_z62lambda1594z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1724z00zzbackend_backendz00,
		BgL_bgl_za762lambda1194za7621892z00,
		BGl_z62lambda1194z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzbackend_backendz00,
		BgL_bgl_za762lambda1593za7621893z00,
		BGl_z62lambda1593z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1725z00zzbackend_backendz00,
		BgL_bgl_za762lambda1193za7621894z00,
		BGl_z62lambda1193z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1895za7,
		BGl_z62zc3z04anonymousza31615ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1726z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1896za7,
		BGl_z62zc3z04anonymousza31229ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzbackend_backendz00,
		BgL_bgl_za762lambda1614za7621897z00,
		BGl_z62lambda1614z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1727z00zzbackend_backendz00,
		BgL_bgl_za762lambda1228za7621898z00,
		BGl_z62lambda1228z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1815z00zzbackend_backendz00,
		BgL_bgl_string1815za700za7za7b1899za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzbackend_backendz00,
		BgL_bgl_za762lambda1613za7621900z00,
		BGl_z62lambda1613z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1728z00zzbackend_backendz00,
		BgL_bgl_za762lambda1227za7621901z00,
		BGl_z62lambda1227z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1816z00zzbackend_backendz00,
		BgL_bgl_string1816za700za7za7b1902za7, "heap", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1729z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1903za7,
		BGl_z62zc3z04anonymousza31243ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1817z00zzbackend_backendz00,
		BgL_bgl_string1817za700za7za7b1904za7, "dummy", 5);
	      DEFINE_STRING(BGl_string1819z00zzbackend_backendz00,
		BgL_bgl_string1819za700za7za7b1905za7, "backend-initialize!1057", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1906z00,
		BGl_z62backendzd2namezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762setza7d2backend1907z00,
		BGl_z62setzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1908z00,
		BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1909za7,
		BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzbackend_backendz00,
		BgL_bgl_za762lambda1634za7621910z00,
		BGl_z62lambda1634z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1730z00zzbackend_backendz00,
		BgL_bgl_za762lambda1242za7621911z00,
		BGl_z62lambda1242z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzbackend_backendz00,
		BgL_bgl_za762lambda1633za7621912z00,
		BGl_z62lambda1633z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzbackend_backendz00,
		BgL_bgl_za762lambda1241za7621913z00,
		BGl_z62lambda1241z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1914za7,
		BGl_z62zc3z04anonymousza31114ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1915za7,
		BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzbackend_backendz00,
		BgL_bgl_za762lambda1111za7621916z00,
		BGl_z62lambda1111z62zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzbackend_backendz00,
		BgL_bgl_za762lambda1249za7621917z00,
		BGl_z62lambda1249z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1821z00zzbackend_backendz00,
		BgL_bgl_string1821za700za7za7b1918za7, "backend-compile1059", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzbackend_backendz00,
		BgL_bgl_za762lambda1248za7621919z00,
		BGl_z62lambda1248z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1920za7,
		BGl_z62zc3z04anonymousza31258ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1823z00zzbackend_backendz00,
		BgL_bgl_string1823za700za7za7b1921za7, "backend-compile-func1061", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzbackend_backendz00,
		BgL_bgl_za762lambda1257za7621922z00,
		BGl_z62lambda1257z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1923z00,
		BGl_z62backendzd2initializa7ez121057z05zzbackend_backendz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzbackend_backendz00,
		BgL_bgl_za762lambda1256za7621924z00,
		BGl_z62lambda1256z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1825z00zzbackend_backendz00,
		BgL_bgl_string1825za700za7za7b1925za7, "backend-link1063", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1926za7,
		BGl_z62zc3z04anonymousza31270ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzbackend_backendz00,
		BgL_bgl_za762lambda1269za7621927z00,
		BGl_z62lambda1269z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1928z00,
		BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1827z00zzbackend_backendz00,
		BgL_bgl_string1827za700za7za7b1929za7, "backend-subtype?1065", 20);
	      DEFINE_STRING(BGl_string1829z00zzbackend_backendz00,
		BgL_bgl_string1829za700za7za7b1930za7, "backend-cnst-table-n1067", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1931z00,
		BGl_z62backendzd2typezd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1932z00,
		BGl_z62backendzd2compile1059zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzbackend_backendz00,
		BgL_bgl_za762lambda1268za7621933z00,
		BGl_z62lambda1268z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1934z00,
		BGl_z62backendzd2compilezd2func1061z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1935za7,
		BGl_z62zc3z04anonymousza31277ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzbackend_backendz00,
		BgL_bgl_za762lambda1276za7621936z00,
		BGl_z62lambda1276z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1937z00,
		BGl_z62backendzd2link1063zb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzbackend_backendz00,
		BgL_bgl_za762lambda1275za7621938z00,
		BGl_z62lambda1275z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1831z00zzbackend_backendz00,
		BgL_bgl_string1831za700za7za7b1939za7, "backend-link-objects1069", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1940za7,
		BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub1941z00,
		BGl_z62backendzd2subtypezf31065z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zzbackend_backendz00,
		BgL_bgl_za762lambda1284za7621942z00,
		BGl_z62lambda1284z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1833z00zzbackend_backendz00,
		BgL_bgl_string1833za700za7za7b1943za7, "backend-instr-reset-1071", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zzbackend_backendz00,
		BgL_bgl_za762lambda1283za7621944z00,
		BGl_z62lambda1283z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1945z00,
		BGl_z62backendzd2cnstzd2tablezd2n1067zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1946za7,
		BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1835z00zzbackend_backendz00,
		BgL_bgl_string1835za700za7za7b1947za7, "backend-check-inline1073", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zzbackend_backendz00,
		BgL_bgl_za762lambda1293za7621948z00,
		BGl_z62lambda1293z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zzbackend_backendz00,
		BgL_bgl_za762lambda1292za7621949z00,
		BGl_z62lambda1292z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1950z00,
		BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1837z00zzbackend_backendz00,
		BgL_bgl_string1837za700za7za7b1951za7, "backend-gc-init1075", 19);
	      DEFINE_STRING(BGl_string1838z00zzbackend_backendz00,
		BgL_bgl_string1838za700za7za7b1952za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1839z00zzbackend_backendz00,
		BgL_bgl_string1839za700za7za7b1953za7, "backend_backend", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1954z00,
		BGl_z62backendzd2linkzd2objects1069z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1955za7,
		BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1956z00,
		BGl_z62backendzd2instrzd2resetzd21071zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zzbackend_backendz00,
		BgL_bgl_za762lambda1300za7621957z00,
		BGl_z62lambda1300z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzbackend_backendz00,
		BgL_bgl_za762lambda1299za7621958z00,
		BGl_z62lambda1299z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1840z00zzbackend_backendz00,
		BgL_bgl_string1840za700za7za7b1959za7,
		"backend-compile1059 backend-compile-func1061 backend-link1063 backend-subtype?1065 backend-cnst-table-n1067 backend-link-objects1069 none native (foreign extern) (c bdb module) _ backend_backend backend typed-closures boxed-fixnums string-literal-support force-register-gc-roots strict-type-cast typed-funcall type-check bound-check pregisters registers require-tailc tvector-descr-support pragma-support debug-support pair-nil foreign-clause-support trace-support typed-eq foreign-closure remove-empty-let effect+ qualified-types callcc heap-compatible heap-suffix bool typed types functions variables extern-types extern-functions obj extern-variables bstring name srfi0 symbol language ",
		689);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1960z00,
		BGl_z62backendzd2checkzd2inline1073z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1961za7,
		BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzbackend_backendz00,
		BgL_bgl_za762lambda1307za7621962z00,
		BGl_z62lambda1307z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza71963za7,
		BGl_z62backendzd2gczd2init1075z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zzbackend_backendz00,
		BgL_bgl_za762lambda1306za7621964z00,
		BGl_z62lambda1306z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1965za7,
		BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1966z00,
		BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zzbackend_backendz00,
		BgL_bgl_za762lambda1315za7621967z00,
		BGl_z62lambda1315z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zzbackend_backendz00,
		BgL_bgl_za762lambda1314za7621968z00,
		BGl_z62lambda1314z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1759z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1969za7,
		BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1970z00,
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzbackend_backendz00,
		BgL_bgl_za762lambda1322za7621971z00,
		BGl_z62lambda1322z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzbackend_backendz00,
		BgL_bgl_za762lambda1321za7621972z00,
		BGl_z62lambda1321z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1973z00,
		BGl_z62backendzd2externzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1974za7,
		BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zzbackend_backendz00,
		BgL_bgl_za762lambda1334za7621975z00,
		BGl_z62lambda1334z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzbackend_backendz00,
		BgL_bgl_za762lambda1333za7621976z00,
		BGl_z62lambda1333z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1977za7,
		BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzbackend_backendz00,
		BgL_bgl_za762lambda1342za7621978z00,
		BGl_z62lambda1342z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzbackend_backendz00,
		BgL_bgl_za762lambda1341za7621979z00,
		BGl_z62lambda1341z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1980za7,
		BGl_z62zc3z04anonymousza31363ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzbackend_backendz00,
		BgL_bgl_za762lambda1362za7621981z00,
		BGl_z62lambda1362z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2strictzd2typezd2castzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2str1982z00,
		BGl_z62backendzd2strictzd2typezd2castzb0zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boxedzd2fixnumszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2box1983z00,
		BGl_z62backendzd2boxedzd2fixnumszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1984z00,
		BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1985z00,
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzbackend_backendz00,
		BgL_bgl_za762lambda1361za7621986z00,
		BGl_z62lambda1361z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1987z00,
		BGl_z62backendzd2registerszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1988za7,
		BGl_z62zc3z04anonymousza31373ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzbackend_backendz00,
		BgL_bgl_za762lambda1372za7621989z00,
		BGl_z62lambda1372z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzbackend_backendz00,
		BgL_bgl_za762lambda1371za7621990z00,
		BGl_z62lambda1371z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1991za7,
		BGl_z62zc3z04anonymousza31385ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzbackend_backendz00,
		BgL_bgl_za762lambda1384za7621992z00,
		BGl_z62lambda1384z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzbackend_backendz00,
		BgL_bgl_za762lambda1383za7621993z00,
		BGl_z62lambda1383z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1994za7,
		BGl_z62zc3z04anonymousza31395ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzbackend_backendz00,
		BgL_bgl_za762lambda1394za7621995z00,
		BGl_z62lambda1394z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzbackend_backendz00,
		BgL_bgl_za762lambda1393za7621996z00,
		BGl_z62lambda1393z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1997z00,
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1998z00,
		BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1999za7,
		BGl_z62zc3z04anonymousza31406ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzbackend_backendz00,
		BgL_bgl_za762lambda1405za7622000z00,
		BGl_z62lambda1405z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2strictzd2typezd2castzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2str2001z00,
		BGl_z62backendzd2strictzd2typezd2castzd2setz12z70zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzbackend_backendz00,
		BgL_bgl_za762lambda1404za7622002z00,
		BGl_z62lambda1404z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2003za7,
		BGl_z62zc3z04anonymousza31420ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzbackend_backendz00,
		BgL_bgl_za762lambda1419za7622004z00,
		BGl_z62lambda1419z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzbackend_backendz00,
		BgL_bgl_za762lambda1418za7622005z00,
		BGl_z62lambda1418z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2006za7,
		BGl_z62zc3z04anonymousza31483ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzbackend_backendz00,
		BgL_bgl_za762lambda1482za7622007z00,
		BGl_z62lambda1482z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzbackend_backendz00,
		BgL_bgl_za762lambda1481za7622008z00,
		BGl_z62lambda1481z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2009za7,
		BGl_z62zc3z04anonymousza31493ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf2010z00,
		BGl_z62backendzd2srfi0zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com2011z00,
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req2012z00,
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra2013z00,
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzbackend_backendz00,
		BgL_bgl_za762lambda1492za7622014z00,
		BGl_z62lambda1492z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzbackend_backendz00,
		BgL_bgl_za762lambda1491za7622015z00,
		BGl_z62lambda1491z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2namezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam2016z00,
		BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2017za7,
		BGl_z62zc3z04anonymousza31516ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzbackend_backendz00,
		BgL_bgl_za762lambda1515za7622018z00,
		BGl_z62lambda1515z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzbackend_backendz00,
		BgL_bgl_za762lambda1514za7622019z00,
		BGl_z62lambda1514z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2020za7,
		BGl_z62zc3z04anonymousza31546ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzbackend_backendz00,
		BgL_bgl_za762lambda1545za7622021z00,
		BGl_z62lambda1545z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzbackend_backendz00,
		BgL_bgl_za762lambda1544za7622022z00,
		BGl_z62lambda1544z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2023za7,
		BGl_z62zc3z04anonymousza31563ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzbackend_backendz00,
		BgL_bgl_za762lambda1562za7622024z00,
		BGl_z62lambda1562z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra2025z00,
		BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns2026z00,
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra2027z00,
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve2028z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2029z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou2030z00,
		BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2forcezd2registerzd2gczd2rootszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2031z00,
		BGl_z62backendzd2forcezd2registerzd2gczd2rootszd2setz12za2zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem2032z00,
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2033z00,
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext2034z00,
		BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2035z00,
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2036z00,
		BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan2037z00,
		BGl_z62backendzd2languagezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2038z00,
		BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2039z00,
		BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2stringzd2literalzd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2str2040z00,
		BGl_z62backendzd2stringzd2literalzd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762registerza7d2ba2041z00,
		BGl_z62registerzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2042z00,
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua2043z00,
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2setz12zd2envz72zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff2044z00,
		BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2045z00,
		BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2046z00,
		BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2047z00,
		BGl_z62backendzd2variableszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2048z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub2049z00,
		BGl_z62backendzd2subtypezf3z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req2050z00,
		BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext2051z00,
		BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre2052z00,
		BGl_z62backendzd2pregisterszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza72053za7,
		BGl_z62backendzd2gczd2initz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2054z00,
		BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boxedzd2fixnumszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2box2055z00,
		BGl_z62backendzd2boxedzd2fixnumsz62zzbackend_backendz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2thezd2backendza2zd2zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2backendsza2z00zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_backendz00zzbackend_backendz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long
		BgL_checksumz00_1723, char *BgL_fromz00_1724)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_backendz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_backendz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_backendz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_backendz00();
					BGl_cnstzd2initzd2zzbackend_backendz00();
					BGl_importedzd2moduleszd2initz00zzbackend_backendz00();
					BGl_objectzd2initzd2zzbackend_backendz00();
					BGl_genericzd2initzd2zzbackend_backendz00();
					return BGl_toplevelzd2initzd2zzbackend_backendz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_backend");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 15 */
				obj_t BgL_cportz00_1583;

				{	/* BackEnd/backend.scm 15 */
					obj_t BgL_stringz00_1590;

					BgL_stringz00_1590 = BGl_string1840z00zzbackend_backendz00;
					{	/* BackEnd/backend.scm 15 */
						obj_t BgL_startz00_1591;

						BgL_startz00_1591 = BINT(0L);
						{	/* BackEnd/backend.scm 15 */
							obj_t BgL_endz00_1592;

							BgL_endz00_1592 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1590)));
							{	/* BackEnd/backend.scm 15 */

								BgL_cportz00_1583 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1590, BgL_startz00_1591, BgL_endz00_1592);
				}}}}
				{
					long BgL_iz00_1584;

					BgL_iz00_1584 = 51L;
				BgL_loopz00_1585:
					if ((BgL_iz00_1584 == (-1L)))
						{	/* BackEnd/backend.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/backend.scm 15 */
							{	/* BackEnd/backend.scm 15 */
								obj_t BgL_arg1842z00_1586;

								{	/* BackEnd/backend.scm 15 */

									{	/* BackEnd/backend.scm 15 */
										obj_t BgL_locationz00_1588;

										BgL_locationz00_1588 = BBOOL(((bool_t) 0));
										{	/* BackEnd/backend.scm 15 */

											BgL_arg1842z00_1586 =
												BGl_readz00zz__readerz00(BgL_cportz00_1583,
												BgL_locationz00_1588);
										}
									}
								}
								{	/* BackEnd/backend.scm 15 */
									int BgL_tmpz00_1755;

									BgL_tmpz00_1755 = (int) (BgL_iz00_1584);
									CNST_TABLE_SET(BgL_tmpz00_1755, BgL_arg1842z00_1586);
							}}
							{	/* BackEnd/backend.scm 15 */
								int BgL_auxz00_1589;

								BgL_auxz00_1589 = (int) ((BgL_iz00_1584 - 1L));
								{
									long BgL_iz00_1760;

									BgL_iz00_1760 = (long) (BgL_auxz00_1589);
									BgL_iz00_1584 = BgL_iz00_1760;
									goto BgL_loopz00_1585;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
			BGl_za2backendsza2z00zzbackend_backendz00 = BNIL;
			return BUNSPEC;
		}

	}



/* backend? */
	BGL_EXPORTED_DEF bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t
		BgL_objz00_3)
	{
		{	/* BackEnd/backend.sch 86 */
			{	/* BackEnd/backend.sch 86 */
				obj_t BgL_classz00_1594;

				BgL_classz00_1594 = BGl_backendz00zzbackend_backendz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/backend.sch 86 */
						BgL_objectz00_bglt BgL_arg1858z00_1595;

						BgL_arg1858z00_1595 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/backend.sch 86 */
								long BgL_idxz00_1596;

								BgL_idxz00_1596 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1595);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1596 + 1L)) == BgL_classz00_1594);
							}
						else
							{	/* BackEnd/backend.sch 86 */
								bool_t BgL_res1658z00_1599;

								{	/* BackEnd/backend.sch 86 */
									obj_t BgL_oclassz00_1600;

									{	/* BackEnd/backend.sch 86 */
										obj_t BgL_arg1866z00_1601;
										long BgL_arg1867z00_1602;

										BgL_arg1866z00_1601 = (BGl_za2classesza2z00zz__objectz00);
										{	/* BackEnd/backend.sch 86 */
											long BgL_arg1869z00_1603;

											BgL_arg1869z00_1603 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1595);
											BgL_arg1867z00_1602 = (BgL_arg1869z00_1603 - OBJECT_TYPE);
										}
										BgL_oclassz00_1600 =
											VECTOR_REF(BgL_arg1866z00_1601, BgL_arg1867z00_1602);
									}
									{	/* BackEnd/backend.sch 86 */
										bool_t BgL__ortest_1115z00_1604;

										BgL__ortest_1115z00_1604 =
											(BgL_classz00_1594 == BgL_oclassz00_1600);
										if (BgL__ortest_1115z00_1604)
											{	/* BackEnd/backend.sch 86 */
												BgL_res1658z00_1599 = BgL__ortest_1115z00_1604;
											}
										else
											{	/* BackEnd/backend.sch 86 */
												long BgL_odepthz00_1605;

												{	/* BackEnd/backend.sch 86 */
													obj_t BgL_arg1855z00_1606;

													BgL_arg1855z00_1606 = (BgL_oclassz00_1600);
													BgL_odepthz00_1605 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1606);
												}
												if ((1L < BgL_odepthz00_1605))
													{	/* BackEnd/backend.sch 86 */
														obj_t BgL_arg1853z00_1607;

														{	/* BackEnd/backend.sch 86 */
															obj_t BgL_arg1854z00_1608;

															BgL_arg1854z00_1608 = (BgL_oclassz00_1600);
															BgL_arg1853z00_1607 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1608,
																1L);
														}
														BgL_res1658z00_1599 =
															(BgL_arg1853z00_1607 == BgL_classz00_1594);
													}
												else
													{	/* BackEnd/backend.sch 86 */
														BgL_res1658z00_1599 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1658z00_1599;
							}
					}
				else
					{	/* BackEnd/backend.sch 86 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &backend? */
	obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t BgL_envz00_1036,
		obj_t BgL_objz00_1037)
	{
		{	/* BackEnd/backend.sch 86 */
			return BBOOL(BGl_backendzf3zf3zzbackend_backendz00(BgL_objz00_1037));
		}

	}



/* backend-nil */
	BGL_EXPORTED_DEF BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.sch 87 */
			{	/* BackEnd/backend.sch 87 */
				obj_t BgL_classz00_685;

				BgL_classz00_685 = BGl_backendz00zzbackend_backendz00;
				{	/* BackEnd/backend.sch 87 */
					obj_t BgL__ortest_1117z00_686;

					BgL__ortest_1117z00_686 = BGL_CLASS_NIL(BgL_classz00_685);
					if (CBOOL(BgL__ortest_1117z00_686))
						{	/* BackEnd/backend.sch 87 */
							return ((BgL_backendz00_bglt) BgL__ortest_1117z00_686);
						}
					else
						{	/* BackEnd/backend.sch 87 */
							return
								((BgL_backendz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_685));
						}
				}
			}
		}

	}



/* &backend-nil */
	BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t
		BgL_envz00_1038)
	{
		{	/* BackEnd/backend.sch 87 */
			return BGl_backendzd2nilzd2zzbackend_backendz00();
		}

	}



/* backend-boxed-fixnums */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2boxedzd2fixnumsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_4)
	{
		{	/* BackEnd/backend.sch 88 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_4))->BgL_boxedzd2fixnumszd2);
		}

	}



/* &backend-boxed-fixnums */
	obj_t BGl_z62backendzd2boxedzd2fixnumsz62zzbackend_backendz00(obj_t
		BgL_envz00_1039, obj_t BgL_oz00_1040)
	{
		{	/* BackEnd/backend.sch 88 */
			return
				BBOOL(BGl_backendzd2boxedzd2fixnumsz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1040)));
		}

	}



/* backend-boxed-fixnums-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2boxedzd2fixnumszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_5))->BgL_boxedzd2fixnumszd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &backend-boxed-fixnums-set! */
	obj_t BGl_z62backendzd2boxedzd2fixnumszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1041, obj_t BgL_oz00_1042, obj_t BgL_vz00_1043)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				BGl_backendzd2boxedzd2fixnumszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1042), CBOOL(BgL_vz00_1043));
		}

	}



/* backend-string-literal-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2stringzd2literalzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_7)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_7))->
				BgL_stringzd2literalzd2supportz00);
		}

	}



/* &backend-string-literal-support */
	obj_t BGl_z62backendzd2stringzd2literalzd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1044, obj_t BgL_oz00_1045)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				BBOOL(BGl_backendzd2stringzd2literalzd2supportzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1045)));
		}

	}



/* backend-string-literal-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2stringzd2literalzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_8))->
					BgL_stringzd2literalzd2supportz00) = ((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &backend-string-literal-support-set! */
	obj_t
		BGl_z62backendzd2stringzd2literalzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1046, obj_t BgL_oz00_1047, obj_t BgL_vz00_1048)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				BGl_backendzd2stringzd2literalzd2supportzd2setz12z12zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1047), CBOOL(BgL_vz00_1048));
		}

	}



/* backend-force-register-gc-roots */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2forcezd2registerzd2gczd2rootsz00zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_10)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_10))->
				BgL_forcezd2registerzd2gczd2rootszd2);
		}

	}



/* &backend-force-register-gc-roots */
	obj_t
		BGl_z62backendzd2forcezd2registerzd2gczd2rootsz62zzbackend_backendz00(obj_t
		BgL_envz00_1049, obj_t BgL_oz00_1050)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				BBOOL(BGl_backendzd2forcezd2registerzd2gczd2rootsz00zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1050)));
		}

	}



/* backend-force-register-gc-roots-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2forcezd2registerzd2gczd2rootszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_11))->
					BgL_forcezd2registerzd2gczd2rootszd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &backend-force-register-gc-roots-set! */
	obj_t
		BGl_z62backendzd2forcezd2registerzd2gczd2rootszd2setz12za2zzbackend_backendz00
		(obj_t BgL_envz00_1051, obj_t BgL_oz00_1052, obj_t BgL_vz00_1053)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				BGl_backendzd2forcezd2registerzd2gczd2rootszd2setz12zc0zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1052), CBOOL(BgL_vz00_1053));
		}

	}



/* backend-strict-type-cast */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2strictzd2typezd2castzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_13)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_13))->
				BgL_strictzd2typezd2castz00);
		}

	}



/* &backend-strict-type-cast */
	obj_t BGl_z62backendzd2strictzd2typezd2castzb0zzbackend_backendz00(obj_t
		BgL_envz00_1054, obj_t BgL_oz00_1055)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				BBOOL(BGl_backendzd2strictzd2typezd2castzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1055)));
		}

	}



/* backend-strict-type-cast-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2strictzd2typezd2castzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_14, bool_t BgL_vz00_15)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_14))->
					BgL_strictzd2typezd2castz00) = ((bool_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &backend-strict-type-cast-set! */
	obj_t
		BGl_z62backendzd2strictzd2typezd2castzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1056, obj_t BgL_oz00_1057, obj_t BgL_vz00_1058)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				BGl_backendzd2strictzd2typezd2castzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1057), CBOOL(BgL_vz00_1058));
		}

	}



/* backend-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_16))->BgL_typedzd2funcallzd2);
		}

	}



/* &backend-typed-funcall */
	obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t
		BgL_envz00_1059, obj_t BgL_oz00_1060)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				BBOOL(BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1060)));
		}

	}



/* backend-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_17, bool_t BgL_vz00_18)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_17))->
					BgL_typedzd2funcallzd2) = ((bool_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &backend-typed-funcall-set! */
	obj_t BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1061, obj_t BgL_oz00_1062, obj_t BgL_vz00_1063)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1062), CBOOL(BgL_vz00_1063));
		}

	}



/* backend-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_19)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_19))->BgL_typezd2checkzd2);
		}

	}



/* &backend-type-check */
	obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1064, obj_t BgL_oz00_1065)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				BBOOL(BGl_backendzd2typezd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1065)));
		}

	}



/* backend-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_20))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &backend-type-check-set! */
	obj_t BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1066, obj_t BgL_oz00_1067, obj_t BgL_vz00_1068)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1067), CBOOL(BgL_vz00_1068));
		}

	}



/* backend-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_22)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_22))->BgL_boundzd2checkzd2);
		}

	}



/* &backend-bound-check */
	obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1069, obj_t BgL_oz00_1070)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				BBOOL(BGl_backendzd2boundzd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1070)));
		}

	}



/* backend-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_23))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &backend-bound-check-set! */
	obj_t BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1071, obj_t BgL_oz00_1072, obj_t BgL_vz00_1073)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1072), CBOOL(BgL_vz00_1073));
		}

	}



/* backend-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_25)
	{
		{	/* BackEnd/backend.sch 102 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_25))->BgL_pregistersz00);
		}

	}



/* &backend-pregisters */
	obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t
		BgL_envz00_1074, obj_t BgL_oz00_1075)
	{
		{	/* BackEnd/backend.sch 102 */
			return
				BGl_backendzd2pregisterszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1075));
		}

	}



/* backend-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_26))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &backend-pregisters-set! */
	obj_t BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1076, obj_t BgL_oz00_1077, obj_t BgL_vz00_1078)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1077), BgL_vz00_1078);
		}

	}



/* backend-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_28)
	{
		{	/* BackEnd/backend.sch 104 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_28))->BgL_registersz00);
		}

	}



/* &backend-registers */
	obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t BgL_envz00_1079,
		obj_t BgL_oz00_1080)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				BGl_backendzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1080));
		}

	}



/* backend-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_29))->BgL_registersz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &backend-registers-set! */
	obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1081, obj_t BgL_oz00_1082, obj_t BgL_vz00_1083)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1082), BgL_vz00_1083);
		}

	}



/* backend-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_31)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_31))->BgL_requirezd2tailczd2);
		}

	}



/* &backend-require-tailc */
	obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t
		BgL_envz00_1084, obj_t BgL_oz00_1085)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				BBOOL(BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1085)));
		}

	}



/* backend-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_32, bool_t BgL_vz00_33)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_32))->
					BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &backend-require-tailc-set! */
	obj_t BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1086, obj_t BgL_oz00_1087, obj_t BgL_vz00_1088)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1087), CBOOL(BgL_vz00_1088));
		}

	}



/* backend-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_34)
	{
		{	/* BackEnd/backend.sch 108 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_34))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &backend-tvector-descr-support */
	obj_t BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1089, obj_t BgL_oz00_1090)
	{
		{	/* BackEnd/backend.sch 108 */
			return
				BBOOL(BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1090)));
		}

	}



/* backend-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_35))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &backend-tvector-descr-support-set! */
	obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1091, obj_t BgL_oz00_1092, obj_t BgL_vz00_1093)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1092), CBOOL(BgL_vz00_1093));
		}

	}



/* backend-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_37)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_37))->BgL_pragmazd2supportzd2);
		}

	}



/* &backend-pragma-support */
	obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1094, obj_t BgL_oz00_1095)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				BBOOL(BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1095)));
		}

	}



/* backend-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_38))->
					BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &backend-pragma-support-set! */
	obj_t BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1096, obj_t BgL_oz00_1097, obj_t BgL_vz00_1098)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1097), CBOOL(BgL_vz00_1098));
		}

	}



/* backend-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_40)
	{
		{	/* BackEnd/backend.sch 112 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_40))->BgL_debugzd2supportzd2);
		}

	}



/* &backend-debug-support */
	obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1099, obj_t BgL_oz00_1100)
	{
		{	/* BackEnd/backend.sch 112 */
			return
				BGl_backendzd2debugzd2supportz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1100));
		}

	}



/* backend-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_41, obj_t BgL_vz00_42)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_41))->
					BgL_debugzd2supportzd2) = ((obj_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &backend-debug-support-set! */
	obj_t BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1101, obj_t BgL_oz00_1102, obj_t BgL_vz00_1103)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1102), BgL_vz00_1103);
		}

	}



/* backend-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_43))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &backend-foreign-clause-support */
	obj_t BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1104, obj_t BgL_oz00_1105)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1105));
		}

	}



/* backend-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_44))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &backend-foreign-clause-support-set! */
	obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1106, obj_t BgL_oz00_1107, obj_t BgL_vz00_1108)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1107), BgL_vz00_1108);
		}

	}



/* backend-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_46))->BgL_tracezd2supportzd2);
		}

	}



/* &backend-trace-support */
	obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1109, obj_t BgL_oz00_1110)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				BBOOL(BGl_backendzd2tracezd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1110)));
		}

	}



/* backend-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_47))->
					BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &backend-trace-support-set! */
	obj_t BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1111, obj_t BgL_oz00_1112, obj_t BgL_vz00_1113)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1112), CBOOL(BgL_vz00_1113));
		}

	}



/* backend-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/backend.sch 118 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_49))->BgL_typedzd2eqzd2);
		}

	}



/* &backend-typed-eq */
	obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t
		BgL_envz00_1114, obj_t BgL_oz00_1115)
	{
		{	/* BackEnd/backend.sch 118 */
			return
				BBOOL(BGl_backendzd2typedzd2eqz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1115)));
		}

	}



/* backend-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_50))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &backend-typed-eq-set! */
	obj_t BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1116, obj_t BgL_oz00_1117, obj_t BgL_vz00_1118)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1117), CBOOL(BgL_vz00_1118));
		}

	}



/* backend-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_52)
	{
		{	/* BackEnd/backend.sch 120 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_52))->
				BgL_foreignzd2closurezd2);
		}

	}



/* &backend-foreign-closure */
	obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t
		BgL_envz00_1119, obj_t BgL_oz00_1120)
	{
		{	/* BackEnd/backend.sch 120 */
			return
				BBOOL(BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1120)));
		}

	}



/* backend-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_53, bool_t BgL_vz00_54)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_53))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &backend-foreign-closure-set! */
	obj_t BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1121, obj_t BgL_oz00_1122, obj_t BgL_vz00_1123)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1122), CBOOL(BgL_vz00_1123));
		}

	}



/* backend-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_55)
	{
		{	/* BackEnd/backend.sch 122 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_55))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &backend-remove-empty-let */
	obj_t BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t
		BgL_envz00_1124, obj_t BgL_oz00_1125)
	{
		{	/* BackEnd/backend.sch 122 */
			return
				BBOOL(BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1125)));
		}

	}



/* backend-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_56, bool_t BgL_vz00_57)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_56))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &backend-remove-empty-let-set! */
	obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1126, obj_t BgL_oz00_1127, obj_t BgL_vz00_1128)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1127), CBOOL(BgL_vz00_1128));
		}

	}



/* backend-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_58)
	{
		{	/* BackEnd/backend.sch 124 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_58))->BgL_effectzb2zb2);
		}

	}



/* &backend-effect+ */
	obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t BgL_envz00_1129,
		obj_t BgL_oz00_1130)
	{
		{	/* BackEnd/backend.sch 124 */
			return
				BBOOL(BGl_backendzd2effectzb2z60zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1130)));
		}

	}



/* backend-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_59, bool_t BgL_vz00_60)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_59))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &backend-effect+-set! */
	obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t
		BgL_envz00_1131, obj_t BgL_oz00_1132, obj_t BgL_vz00_1133)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1132), CBOOL(BgL_vz00_1133));
		}

	}



/* backend-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_61)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_61))->
				BgL_qualifiedzd2typeszd2);
		}

	}



/* &backend-qualified-types */
	obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1134, obj_t BgL_oz00_1135)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				BBOOL(BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1135)));
		}

	}



/* backend-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_62, bool_t BgL_vz00_63)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_62))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &backend-qualified-types-set! */
	obj_t BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1136, obj_t BgL_oz00_1137, obj_t BgL_vz00_1138)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1137), CBOOL(BgL_vz00_1138));
		}

	}



/* backend-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_64)
	{
		{	/* BackEnd/backend.sch 128 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_64))->BgL_callccz00);
		}

	}



/* &backend-callcc */
	obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t BgL_envz00_1139,
		obj_t BgL_oz00_1140)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				BBOOL(BGl_backendzd2callcczd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1140)));
		}

	}



/* backend-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_65, bool_t BgL_vz00_66)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_65))->BgL_callccz00) =
				((bool_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &backend-callcc-set! */
	obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1141, obj_t BgL_oz00_1142, obj_t BgL_vz00_1143)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1142), CBOOL(BgL_vz00_1143));
		}

	}



/* backend-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_67))->
				BgL_heapzd2compatiblezd2);
		}

	}



/* &backend-heap-compatible */
	obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t
		BgL_envz00_1144, obj_t BgL_oz00_1145)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1145));
		}

	}



/* backend-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_68))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &backend-heap-compatible-set! */
	obj_t BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1146, obj_t BgL_oz00_1147, obj_t BgL_vz00_1148)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1147), BgL_vz00_1148);
		}

	}



/* backend-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/backend.sch 132 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_70))->BgL_heapzd2suffixzd2);
		}

	}



/* &backend-heap-suffix */
	obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t
		BgL_envz00_1149, obj_t BgL_oz00_1150)
	{
		{	/* BackEnd/backend.sch 132 */
			return
				BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1150));
		}

	}



/* backend-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_71))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &backend-heap-suffix-set! */
	obj_t BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1151, obj_t BgL_oz00_1152, obj_t BgL_vz00_1153)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1152), BgL_vz00_1153);
		}

	}



/* backend-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_73)
	{
		{	/* BackEnd/backend.sch 134 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_73))->BgL_typedz00);
		}

	}



/* &backend-typed */
	obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t BgL_envz00_1154,
		obj_t BgL_oz00_1155)
	{
		{	/* BackEnd/backend.sch 134 */
			return
				BBOOL(BGl_backendzd2typedzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1155)));
		}

	}



/* backend-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_74, bool_t BgL_vz00_75)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_74))->BgL_typedz00) =
				((bool_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &backend-typed-set! */
	obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1156, obj_t BgL_oz00_1157, obj_t BgL_vz00_1158)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1157), CBOOL(BgL_vz00_1158));
		}

	}



/* backend-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_76)
	{
		{	/* BackEnd/backend.sch 136 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_76))->BgL_typesz00);
		}

	}



/* &backend-types */
	obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t BgL_envz00_1159,
		obj_t BgL_oz00_1160)
	{
		{	/* BackEnd/backend.sch 136 */
			return
				BGl_backendzd2typeszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1160));
		}

	}



/* backend-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_77))->BgL_typesz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &backend-types-set! */
	obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1161, obj_t BgL_oz00_1162, obj_t BgL_vz00_1163)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1162), BgL_vz00_1163);
		}

	}



/* backend-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/backend.sch 138 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_79))->BgL_functionsz00);
		}

	}



/* &backend-functions */
	obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t BgL_envz00_1164,
		obj_t BgL_oz00_1165)
	{
		{	/* BackEnd/backend.sch 138 */
			return
				BGl_backendzd2functionszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1165));
		}

	}



/* backend-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/backend.sch 139 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_80))->BgL_functionsz00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &backend-functions-set! */
	obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1166, obj_t BgL_oz00_1167, obj_t BgL_vz00_1168)
	{
		{	/* BackEnd/backend.sch 139 */
			return
				BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1167), BgL_vz00_1168);
		}

	}



/* backend-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_82)
	{
		{	/* BackEnd/backend.sch 140 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_82))->BgL_variablesz00);
		}

	}



/* &backend-variables */
	obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t BgL_envz00_1169,
		obj_t BgL_oz00_1170)
	{
		{	/* BackEnd/backend.sch 140 */
			return
				BGl_backendzd2variableszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1170));
		}

	}



/* backend-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/backend.sch 141 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_83))->BgL_variablesz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &backend-variables-set! */
	obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1171, obj_t BgL_oz00_1172, obj_t BgL_vz00_1173)
	{
		{	/* BackEnd/backend.sch 141 */
			return
				BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1172), BgL_vz00_1173);
		}

	}



/* backend-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_85)
	{
		{	/* BackEnd/backend.sch 142 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_85))->BgL_externzd2typeszd2);
		}

	}



/* &backend-extern-types */
	obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1174, obj_t BgL_oz00_1175)
	{
		{	/* BackEnd/backend.sch 142 */
			return
				BGl_backendzd2externzd2typesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1175));
		}

	}



/* backend-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/backend.sch 143 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_86))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &backend-extern-types-set! */
	obj_t BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1176, obj_t BgL_oz00_1177, obj_t BgL_vz00_1178)
	{
		{	/* BackEnd/backend.sch 143 */
			return
				BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1177), BgL_vz00_1178);
		}

	}



/* backend-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/backend.sch 144 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_88))->
				BgL_externzd2functionszd2);
		}

	}



/* &backend-extern-functions */
	obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1179, obj_t BgL_oz00_1180)
	{
		{	/* BackEnd/backend.sch 144 */
			return
				BGl_backendzd2externzd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1180));
		}

	}



/* backend-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* BackEnd/backend.sch 145 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_89))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &backend-extern-functions-set! */
	obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1181, obj_t BgL_oz00_1182, obj_t BgL_vz00_1183)
	{
		{	/* BackEnd/backend.sch 145 */
			return
				BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1182), BgL_vz00_1183);
		}

	}



/* backend-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_91)
	{
		{	/* BackEnd/backend.sch 146 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_91))->
				BgL_externzd2variableszd2);
		}

	}



/* &backend-extern-variables */
	obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t
		BgL_envz00_1184, obj_t BgL_oz00_1185)
	{
		{	/* BackEnd/backend.sch 146 */
			return
				BGl_backendzd2externzd2variablesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1185));
		}

	}



/* backend-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_92, obj_t BgL_vz00_93)
	{
		{	/* BackEnd/backend.sch 147 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_92))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_93), BUNSPEC);
		}

	}



/* &backend-extern-variables-set! */
	obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1186, obj_t BgL_oz00_1187, obj_t BgL_vz00_1188)
	{
		{	/* BackEnd/backend.sch 147 */
			return
				BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1187), BgL_vz00_1188);
		}

	}



/* backend-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_94)
	{
		{	/* BackEnd/backend.sch 148 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_94))->BgL_namez00);
		}

	}



/* &backend-name */
	obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t BgL_envz00_1189,
		obj_t BgL_oz00_1190)
	{
		{	/* BackEnd/backend.sch 148 */
			return
				BGl_backendzd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1190));
		}

	}



/* backend-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		{	/* BackEnd/backend.sch 149 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_95))->BgL_namez00) =
				((obj_t) BgL_vz00_96), BUNSPEC);
		}

	}



/* &backend-name-set! */
	obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1191, obj_t BgL_oz00_1192, obj_t BgL_vz00_1193)
	{
		{	/* BackEnd/backend.sch 149 */
			return
				BGl_backendzd2namezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1192), BgL_vz00_1193);
		}

	}



/* backend-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_97)
	{
		{	/* BackEnd/backend.sch 150 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_97))->BgL_srfi0z00);
		}

	}



/* &backend-srfi0 */
	obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t BgL_envz00_1194,
		obj_t BgL_oz00_1195)
	{
		{	/* BackEnd/backend.sch 150 */
			return
				BGl_backendzd2srfi0zd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1195));
		}

	}



/* backend-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* BackEnd/backend.sch 151 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_98))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}

	}



/* &backend-srfi0-set! */
	obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1196, obj_t BgL_oz00_1197, obj_t BgL_vz00_1198)
	{
		{	/* BackEnd/backend.sch 151 */
			return
				BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1197), BgL_vz00_1198);
		}

	}



/* backend-language */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_100)
	{
		{	/* BackEnd/backend.sch 152 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_100))->BgL_languagez00);
		}

	}



/* &backend-language */
	obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t BgL_envz00_1199,
		obj_t BgL_oz00_1200)
	{
		{	/* BackEnd/backend.sch 152 */
			return
				BGl_backendzd2languagezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1200));
		}

	}



/* backend-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		{	/* BackEnd/backend.sch 153 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_101))->BgL_languagez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}

	}



/* &backend-language-set! */
	obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1201, obj_t BgL_oz00_1202, obj_t BgL_vz00_1203)
	{
		{	/* BackEnd/backend.sch 153 */
			return
				BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1202), BgL_vz00_1203);
		}

	}



/* set-backend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_languagez00_103)
	{
		{	/* BackEnd/backend.scm 81 */
			{	/* BackEnd/backend.scm 82 */
				obj_t BgL_cz00_131;

				BgL_cz00_131 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_languagez00_103,
					BGl_za2backendsza2z00zzbackend_backendz00);
				if (PAIRP(BgL_cz00_131))
					{	/* BackEnd/backend.scm 85 */
						obj_t BgL_fun1097z00_133;

						BgL_fun1097z00_133 = CDR(BgL_cz00_131);
						return (BGl_za2thezd2backendza2zd2zzbackend_backendz00 =
							BGL_PROCEDURE_CALL0(BgL_fun1097z00_133), BUNSPEC);
					}
				else
					{	/* BackEnd/backend.scm 83 */
						return
							BGl_errorz00zz__errorz00(BGl_string1709z00zzbackend_backendz00,
							BGl_string1710z00zzbackend_backendz00, BgL_languagez00_103);
					}
			}
		}

	}



/* &set-backend! */
	obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t BgL_envz00_1204,
		obj_t BgL_languagez00_1205)
	{
		{	/* BackEnd/backend.scm 81 */
			return BGl_setzd2backendz12zc0zzbackend_backendz00(BgL_languagez00_1205);
		}

	}



/* the-backend */
	BGL_EXPORTED_DEF obj_t BGl_thezd2backendzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 90 */
			return BGl_za2thezd2backendza2zd2zzbackend_backendz00;
		}

	}



/* &the-backend */
	obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t BgL_envz00_1206)
	{
		{	/* BackEnd/backend.scm 90 */
			return BGl_thezd2backendzd2zzbackend_backendz00();
		}

	}



/* register-backend! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_idz00_104, obj_t BgL_builderz00_105)
	{
		{	/* BackEnd/backend.scm 101 */
			{	/* BackEnd/backend.scm 102 */
				obj_t BgL_arg1098z00_688;

				BgL_arg1098z00_688 = MAKE_YOUNG_PAIR(BgL_idz00_104, BgL_builderz00_105);
				return (BGl_za2backendsza2z00zzbackend_backendz00 =
					MAKE_YOUNG_PAIR(BgL_arg1098z00_688,
						BGl_za2backendsza2z00zzbackend_backendz00), BUNSPEC);
			}
		}

	}



/* &register-backend! */
	obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1207, obj_t BgL_idz00_1208, obj_t BgL_builderz00_1209)
	{
		{	/* BackEnd/backend.scm 101 */
			return
				BGl_registerzd2backendz12zc0zzbackend_backendz00(BgL_idz00_1208,
				BgL_builderz00_1209);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 21 */
				obj_t BgL_arg1105z00_137;
				obj_t BgL_arg1110z00_138;

				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1055z00_144;

					BgL_v1055z00_144 = create_vector(34L);
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1115z00_145;

						BgL_arg1115z00_145 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc1713z00zzbackend_backendz00,
							BGl_proc1712z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1711z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1055z00_144, 0L, BgL_arg1115z00_145);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1134z00_158;

						BgL_arg1134z00_158 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc1716z00zzbackend_backendz00,
							BGl_proc1715z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1714z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1055z00_144, 1L, BgL_arg1134z00_158);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1153z00_171;

						BgL_arg1153z00_171 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc1719z00zzbackend_backendz00,
							BGl_proc1718z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1717z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1055z00_144, 2L, BgL_arg1153z00_171);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1172z00_184;

						BgL_arg1172z00_184 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc1722z00zzbackend_backendz00,
							BGl_proc1721z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1720z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 3L, BgL_arg1172z00_184);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1183z00_197;

						BgL_arg1183z00_197 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc1725z00zzbackend_backendz00,
							BGl_proc1724z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1723z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 4L, BgL_arg1183z00_197);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1207z00_210;

						BgL_arg1207z00_210 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc1728z00zzbackend_backendz00,
							BGl_proc1727z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1726z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 5L, BgL_arg1207z00_210);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1235z00_223;

						BgL_arg1235z00_223 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc1731z00zzbackend_backendz00,
							BGl_proc1730z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1729z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 6L, BgL_arg1235z00_223);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1244z00_236;

						BgL_arg1244z00_236 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc1734z00zzbackend_backendz00,
							BGl_proc1733z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1732z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 7L, BgL_arg1244z00_236);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1252z00_249;

						BgL_arg1252z00_249 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(11)), BGl_proc1737z00zzbackend_backendz00,
							BGl_proc1736z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1735z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(6)));
						VECTOR_SET(BgL_v1055z00_144, 8L, BgL_arg1252z00_249);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1260z00_262;

						BgL_arg1260z00_262 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc1740z00zzbackend_backendz00,
							BGl_proc1739z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1738z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 9L, BgL_arg1260z00_262);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1271z00_275;

						BgL_arg1271z00_275 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(14)), BGl_proc1743z00zzbackend_backendz00,
							BGl_proc1742z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1741z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1055z00_144, 10L, BgL_arg1271z00_275);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1279z00_288;

						BgL_arg1279z00_288 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc1746z00zzbackend_backendz00,
							BGl_proc1745z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1744z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1055z00_144, 11L, BgL_arg1279z00_288);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1287z00_301;

						BgL_arg1287z00_301 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(16)), BGl_proc1749z00zzbackend_backendz00,
							BGl_proc1748z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1747z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 12L, BgL_arg1287z00_301);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1295z00_314;

						BgL_arg1295z00_314 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc1752z00zzbackend_backendz00,
							BGl_proc1751z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1750z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 13L, BgL_arg1295z00_314);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1302z00_327;

						BgL_arg1302z00_327 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc1755z00zzbackend_backendz00,
							BGl_proc1754z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1753z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 14L, BgL_arg1302z00_327);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1309z00_340;

						BgL_arg1309z00_340 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(19)), BGl_proc1758z00zzbackend_backendz00,
							BGl_proc1757z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1756z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 15L, BgL_arg1309z00_340);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1317z00_353;

						BgL_arg1317z00_353 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc1761z00zzbackend_backendz00,
							BGl_proc1760z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1759z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 16L, BgL_arg1317z00_353);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1326z00_366;

						BgL_arg1326z00_366 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc1764z00zzbackend_backendz00,
							BGl_proc1763z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1762z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 17L, BgL_arg1326z00_366);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1336z00_379;

						BgL_arg1336z00_379 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(22)), BGl_proc1767z00zzbackend_backendz00,
							BGl_proc1766z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1765z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 18L, BgL_arg1336z00_379);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1355z00_392;

						BgL_arg1355z00_392 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc1770z00zzbackend_backendz00,
							BGl_proc1769z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1768z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1055z00_144, 19L, BgL_arg1355z00_392);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1364z00_405;

						BgL_arg1364z00_405 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc1773z00zzbackend_backendz00,
							BGl_proc1772z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1771z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1055z00_144, 20L, BgL_arg1364z00_405);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1376z00_418;

						BgL_arg1376z00_418 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc1776z00zzbackend_backendz00,
							BGl_proc1775z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1774z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 21L, BgL_arg1376z00_418);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1386z00_431;

						BgL_arg1386z00_431 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc1779z00zzbackend_backendz00,
							BGl_proc1778z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1777z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 22L, BgL_arg1386z00_431);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1400z00_444;

						BgL_arg1400z00_444 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc1782z00zzbackend_backendz00,
							BGl_proc1781z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1780z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 23L, BgL_arg1400z00_444);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1414z00_457;

						BgL_arg1414z00_457 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc1785z00zzbackend_backendz00,
							BGl_proc1784z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1783z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1055z00_144, 24L, BgL_arg1414z00_457);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1446z00_470;

						BgL_arg1446z00_470 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(30)), BGl_proc1788z00zzbackend_backendz00,
							BGl_proc1787z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1786z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1055z00_144, 25L, BgL_arg1446z00_470);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1484z00_483;

						BgL_arg1484z00_483 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc1791z00zzbackend_backendz00,
							BGl_proc1790z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1789z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 26L, BgL_arg1484z00_483);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1506z00_496;

						BgL_arg1506z00_496 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(32)), BGl_proc1794z00zzbackend_backendz00,
							BGl_proc1793z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1792z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 27L, BgL_arg1506z00_496);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1530z00_509;

						BgL_arg1530z00_509 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc1797z00zzbackend_backendz00,
							BGl_proc1796z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1795z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 28L, BgL_arg1530z00_509);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1553z00_522;

						BgL_arg1553z00_522 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(34)), BGl_proc1800z00zzbackend_backendz00,
							BGl_proc1799z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1798z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 29L, BgL_arg1553z00_522);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1574z00_535;

						BgL_arg1574z00_535 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(35)), BGl_proc1803z00zzbackend_backendz00,
							BGl_proc1802z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1801z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 30L, BgL_arg1574z00_535);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1587z00_548;

						BgL_arg1587z00_548 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(36)), BGl_proc1806z00zzbackend_backendz00,
							BGl_proc1805z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1804z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 31L, BgL_arg1587z00_548);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1597z00_561;

						BgL_arg1597z00_561 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(37)), BGl_proc1809z00zzbackend_backendz00,
							BGl_proc1808z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1807z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 32L, BgL_arg1597z00_561);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1625z00_574;

						BgL_arg1625z00_574 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(38)), BGl_proc1812z00zzbackend_backendz00,
							BGl_proc1811z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1810z00zzbackend_backendz00,
							((obj_t) CNST_TABLE_REF(13)));
						VECTOR_SET(BgL_v1055z00_144, 33L, BgL_arg1625z00_574);
					}
					BgL_arg1105z00_137 = BgL_v1055z00_144;
				}
				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1056z00_587;

					BgL_v1056z00_587 = create_vector(0L);
					BgL_arg1110z00_138 = BgL_v1056z00_587;
				}
				return (BGl_backendz00zzbackend_backendz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(39)),
						((obj_t)
							CNST_TABLE_REF(40)), BGl_objectz00zz__objectz00, 21737L, BFALSE,
						BGl_proc1814z00zzbackend_backendz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1813z00zzbackend_backendz00, BFALSE, BgL_arg1105z00_137,
						BgL_arg1110z00_138), BUNSPEC);
			}
		}

	}



/* &<@anonymous:1114> */
	obj_t BGl_z62zc3z04anonymousza31114ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1314, obj_t BgL_new1049z00_1315)
	{
		{	/* BackEnd/backend.scm 21 */
			{
				BgL_backendz00_bglt BgL_auxz00_2252;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1049z00_1315)))->
						BgL_languagez00) = ((obj_t) ((obj_t) CNST_TABLE_REF(41))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(41))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_namez00) =
					((obj_t) BGl_string1815z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1815z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_heapzd2compatiblezd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(41))), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_strictzd2typezd2castz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_stringzd2literalzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_boxedzd2fixnumszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1315)))->BgL_typedzd2closureszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2252 = ((BgL_backendz00_bglt) BgL_new1049z00_1315);
				return ((obj_t) BgL_auxz00_2252);
			}
		}

	}



/* &lambda1111 */
	BgL_backendz00_bglt BGl_z62lambda1111z62zzbackend_backendz00(obj_t
		BgL_envz00_1316)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				BgL_backendz00_bglt BgL_new1048z00_1610;

				BgL_new1048z00_1610 =
					((BgL_backendz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_backendz00_bgl))));
				{	/* BackEnd/backend.scm 21 */
					long BgL_arg1113z00_1611;

					BgL_arg1113z00_1611 =
						BGL_CLASS_NUM(BGl_backendz00zzbackend_backendz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1048z00_1610), BgL_arg1113z00_1611);
				}
				return BgL_new1048z00_1610;
			}
		}

	}



/* &<@anonymous:1635> */
	obj_t BGl_z62zc3z04anonymousza31635ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1317)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zzbackend_backendz00(obj_t BgL_envz00_1318,
		obj_t BgL_oz00_1319, obj_t BgL_vz00_1320)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1613;

				BgL_vz00_1613 = CBOOL(BgL_vz00_1320);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1319)))->
						BgL_typedzd2closureszd2) = ((bool_t) BgL_vz00_1613), BUNSPEC);
			}
		}

	}



/* &lambda1633 */
	obj_t BGl_z62lambda1633z62zzbackend_backendz00(obj_t BgL_envz00_1321,
		obj_t BgL_oz00_1322)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1322)))->
					BgL_typedzd2closureszd2));
		}

	}



/* &<@anonymous:1615> */
	obj_t BGl_z62zc3z04anonymousza31615ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1323)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zzbackend_backendz00(obj_t BgL_envz00_1324,
		obj_t BgL_oz00_1325, obj_t BgL_vz00_1326)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1616;

				BgL_vz00_1616 = CBOOL(BgL_vz00_1326);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1325)))->
						BgL_boxedzd2fixnumszd2) = ((bool_t) BgL_vz00_1616), BUNSPEC);
			}
		}

	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zzbackend_backendz00(obj_t BgL_envz00_1327,
		obj_t BgL_oz00_1328)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1328)))->BgL_boxedzd2fixnumszd2));
		}

	}



/* &<@anonymous:1595> */
	obj_t BGl_z62zc3z04anonymousza31595ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1329)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1594 */
	obj_t BGl_z62lambda1594z62zzbackend_backendz00(obj_t BgL_envz00_1330,
		obj_t BgL_oz00_1331, obj_t BgL_vz00_1332)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1619;

				BgL_vz00_1619 = CBOOL(BgL_vz00_1332);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1331)))->
						BgL_stringzd2literalzd2supportz00) =
					((bool_t) BgL_vz00_1619), BUNSPEC);
			}
		}

	}



/* &lambda1593 */
	obj_t BGl_z62lambda1593z62zzbackend_backendz00(obj_t BgL_envz00_1333,
		obj_t BgL_oz00_1334)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1334)))->
					BgL_stringzd2literalzd2supportz00));
		}

	}



/* &<@anonymous:1584> */
	obj_t BGl_z62zc3z04anonymousza31584ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1335)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1583 */
	obj_t BGl_z62lambda1583z62zzbackend_backendz00(obj_t BgL_envz00_1336,
		obj_t BgL_oz00_1337, obj_t BgL_vz00_1338)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1622;

				BgL_vz00_1622 = CBOOL(BgL_vz00_1338);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1337)))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) BgL_vz00_1622), BUNSPEC);
			}
		}

	}



/* &lambda1582 */
	obj_t BGl_z62lambda1582z62zzbackend_backendz00(obj_t BgL_envz00_1339,
		obj_t BgL_oz00_1340)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1340)))->
					BgL_forcezd2registerzd2gczd2rootszd2));
		}

	}



/* &<@anonymous:1563> */
	obj_t BGl_z62zc3z04anonymousza31563ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1341)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1562 */
	obj_t BGl_z62lambda1562z62zzbackend_backendz00(obj_t BgL_envz00_1342,
		obj_t BgL_oz00_1343, obj_t BgL_vz00_1344)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1625;

				BgL_vz00_1625 = CBOOL(BgL_vz00_1344);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1343)))->
						BgL_strictzd2typezd2castz00) = ((bool_t) BgL_vz00_1625), BUNSPEC);
			}
		}

	}



/* &lambda1561 */
	obj_t BGl_z62lambda1561z62zzbackend_backendz00(obj_t BgL_envz00_1345,
		obj_t BgL_oz00_1346)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1346)))->
					BgL_strictzd2typezd2castz00));
		}

	}



/* &<@anonymous:1546> */
	obj_t BGl_z62zc3z04anonymousza31546ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1347)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1545 */
	obj_t BGl_z62lambda1545z62zzbackend_backendz00(obj_t BgL_envz00_1348,
		obj_t BgL_oz00_1349, obj_t BgL_vz00_1350)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1628;

				BgL_vz00_1628 = CBOOL(BgL_vz00_1350);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1349)))->
						BgL_typedzd2funcallzd2) = ((bool_t) BgL_vz00_1628), BUNSPEC);
			}
		}

	}



/* &lambda1544 */
	obj_t BGl_z62lambda1544z62zzbackend_backendz00(obj_t BgL_envz00_1351,
		obj_t BgL_oz00_1352)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1352)))->BgL_typedzd2funcallzd2));
		}

	}



/* &<@anonymous:1516> */
	obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1353)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1515 */
	obj_t BGl_z62lambda1515z62zzbackend_backendz00(obj_t BgL_envz00_1354,
		obj_t BgL_oz00_1355, obj_t BgL_vz00_1356)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1631;

				BgL_vz00_1631 = CBOOL(BgL_vz00_1356);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1355)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_vz00_1631), BUNSPEC);
			}
		}

	}



/* &lambda1514 */
	obj_t BGl_z62lambda1514z62zzbackend_backendz00(obj_t BgL_envz00_1357,
		obj_t BgL_oz00_1358)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1358)))->BgL_typezd2checkzd2));
		}

	}



/* &<@anonymous:1493> */
	obj_t BGl_z62zc3z04anonymousza31493ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1359)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zzbackend_backendz00(obj_t BgL_envz00_1360,
		obj_t BgL_oz00_1361, obj_t BgL_vz00_1362)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1634;

				BgL_vz00_1634 = CBOOL(BgL_vz00_1362);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1361)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_vz00_1634), BUNSPEC);
			}
		}

	}



/* &lambda1491 */
	obj_t BGl_z62lambda1491z62zzbackend_backendz00(obj_t BgL_envz00_1363,
		obj_t BgL_oz00_1364)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1364)))->BgL_boundzd2checkzd2));
		}

	}



/* &<@anonymous:1483> */
	obj_t BGl_z62zc3z04anonymousza31483ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1365)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zzbackend_backendz00(obj_t BgL_envz00_1366,
		obj_t BgL_oz00_1367, obj_t BgL_vz00_1368)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1367)))->BgL_pregistersz00) =
				((obj_t) ((obj_t) BgL_vz00_1368)), BUNSPEC);
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zzbackend_backendz00(obj_t BgL_envz00_1369,
		obj_t BgL_oz00_1370)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1370)))->BgL_pregistersz00);
		}

	}



/* &<@anonymous:1420> */
	obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1371)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1419 */
	obj_t BGl_z62lambda1419z62zzbackend_backendz00(obj_t BgL_envz00_1372,
		obj_t BgL_oz00_1373, obj_t BgL_vz00_1374)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1373)))->BgL_registersz00) =
				((obj_t) ((obj_t) BgL_vz00_1374)), BUNSPEC);
		}

	}



/* &lambda1418 */
	obj_t BGl_z62lambda1418z62zzbackend_backendz00(obj_t BgL_envz00_1375,
		obj_t BgL_oz00_1376)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1376)))->BgL_registersz00);
		}

	}



/* &<@anonymous:1406> */
	obj_t BGl_z62zc3z04anonymousza31406ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1377)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1405 */
	obj_t BGl_z62lambda1405z62zzbackend_backendz00(obj_t BgL_envz00_1378,
		obj_t BgL_oz00_1379, obj_t BgL_vz00_1380)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1643;

				BgL_vz00_1643 = CBOOL(BgL_vz00_1380);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1379)))->
						BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_1643), BUNSPEC);
			}
		}

	}



/* &lambda1404 */
	obj_t BGl_z62lambda1404z62zzbackend_backendz00(obj_t BgL_envz00_1381,
		obj_t BgL_oz00_1382)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1382)))->BgL_requirezd2tailczd2));
		}

	}



/* &<@anonymous:1395> */
	obj_t BGl_z62zc3z04anonymousza31395ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1383)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1394 */
	obj_t BGl_z62lambda1394z62zzbackend_backendz00(obj_t BgL_envz00_1384,
		obj_t BgL_oz00_1385, obj_t BgL_vz00_1386)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1646;

				BgL_vz00_1646 = CBOOL(BgL_vz00_1386);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1385)))->
						BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_vz00_1646), BUNSPEC);
			}
		}

	}



/* &lambda1393 */
	obj_t BGl_z62lambda1393z62zzbackend_backendz00(obj_t BgL_envz00_1387,
		obj_t BgL_oz00_1388)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1388)))->
					BgL_tvectorzd2descrzd2supportz00));
		}

	}



/* &<@anonymous:1385> */
	obj_t BGl_z62zc3z04anonymousza31385ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1389)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1384 */
	obj_t BGl_z62lambda1384z62zzbackend_backendz00(obj_t BgL_envz00_1390,
		obj_t BgL_oz00_1391, obj_t BgL_vz00_1392)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1649;

				BgL_vz00_1649 = CBOOL(BgL_vz00_1392);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1391)))->
						BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_1649), BUNSPEC);
			}
		}

	}



/* &lambda1383 */
	obj_t BGl_z62lambda1383z62zzbackend_backendz00(obj_t BgL_envz00_1393,
		obj_t BgL_oz00_1394)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1394)))->
					BgL_pragmazd2supportzd2));
		}

	}



/* &<@anonymous:1373> */
	obj_t BGl_z62zc3z04anonymousza31373ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1395)
	{
		{	/* BackEnd/backend.scm 21 */
			return ((obj_t) CNST_TABLE_REF(42));
		}

	}



/* &lambda1372 */
	obj_t BGl_z62lambda1372z62zzbackend_backendz00(obj_t BgL_envz00_1396,
		obj_t BgL_oz00_1397, obj_t BgL_vz00_1398)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1397)))->BgL_debugzd2supportzd2) =
				((obj_t) ((obj_t) BgL_vz00_1398)), BUNSPEC);
		}

	}



/* &lambda1371 */
	obj_t BGl_z62lambda1371z62zzbackend_backendz00(obj_t BgL_envz00_1399,
		obj_t BgL_oz00_1400)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1400)))->BgL_debugzd2supportzd2);
		}

	}



/* &<@anonymous:1363> */
	obj_t BGl_z62zc3z04anonymousza31363ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1401)
	{
		{	/* BackEnd/backend.scm 21 */
			return ((obj_t) CNST_TABLE_REF(43));
		}

	}



/* &lambda1362 */
	obj_t BGl_z62lambda1362z62zzbackend_backendz00(obj_t BgL_envz00_1402,
		obj_t BgL_oz00_1403, obj_t BgL_vz00_1404)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1403)))->
					BgL_foreignzd2clausezd2supportz00) =
				((obj_t) ((obj_t) BgL_vz00_1404)), BUNSPEC);
		}

	}



/* &lambda1361 */
	obj_t BGl_z62lambda1361z62zzbackend_backendz00(obj_t BgL_envz00_1405,
		obj_t BgL_oz00_1406)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1406)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &<@anonymous:1343> */
	obj_t BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1407)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1342 */
	obj_t BGl_z62lambda1342z62zzbackend_backendz00(obj_t BgL_envz00_1408,
		obj_t BgL_oz00_1409, obj_t BgL_vz00_1410)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1658;

				BgL_vz00_1658 = CBOOL(BgL_vz00_1410);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1409)))->
						BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_1658), BUNSPEC);
			}
		}

	}



/* &lambda1341 */
	obj_t BGl_z62lambda1341z62zzbackend_backendz00(obj_t BgL_envz00_1411,
		obj_t BgL_oz00_1412)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1412)))->BgL_tracezd2supportzd2));
		}

	}



/* &<@anonymous:1335> */
	obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1413)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1334 */
	obj_t BGl_z62lambda1334z62zzbackend_backendz00(obj_t BgL_envz00_1414,
		obj_t BgL_oz00_1415, obj_t BgL_vz00_1416)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1661;

				BgL_vz00_1661 = CBOOL(BgL_vz00_1416);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1415)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_vz00_1661), BUNSPEC);
			}
		}

	}



/* &lambda1333 */
	obj_t BGl_z62lambda1333z62zzbackend_backendz00(obj_t BgL_envz00_1417,
		obj_t BgL_oz00_1418)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1418)))->BgL_typedzd2eqzd2));
		}

	}



/* &<@anonymous:1323> */
	obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1419)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1322 */
	obj_t BGl_z62lambda1322z62zzbackend_backendz00(obj_t BgL_envz00_1420,
		obj_t BgL_oz00_1421, obj_t BgL_vz00_1422)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1664;

				BgL_vz00_1664 = CBOOL(BgL_vz00_1422);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1421)))->
						BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_1664), BUNSPEC);
			}
		}

	}



/* &lambda1321 */
	obj_t BGl_z62lambda1321z62zzbackend_backendz00(obj_t BgL_envz00_1423,
		obj_t BgL_oz00_1424)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1424)))->
					BgL_foreignzd2closurezd2));
		}

	}



/* &<@anonymous:1316> */
	obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1425)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1315 */
	obj_t BGl_z62lambda1315z62zzbackend_backendz00(obj_t BgL_envz00_1426,
		obj_t BgL_oz00_1427, obj_t BgL_vz00_1428)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1667;

				BgL_vz00_1667 = CBOOL(BgL_vz00_1428);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1427)))->
						BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_1667), BUNSPEC);
			}
		}

	}



/* &lambda1314 */
	obj_t BGl_z62lambda1314z62zzbackend_backendz00(obj_t BgL_envz00_1429,
		obj_t BgL_oz00_1430)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1430)))->
					BgL_removezd2emptyzd2letz00));
		}

	}



/* &<@anonymous:1308> */
	obj_t BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1431)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1307 */
	obj_t BGl_z62lambda1307z62zzbackend_backendz00(obj_t BgL_envz00_1432,
		obj_t BgL_oz00_1433, obj_t BgL_vz00_1434)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1670;

				BgL_vz00_1670 = CBOOL(BgL_vz00_1434);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1433)))->BgL_effectzb2zb2) =
					((bool_t) BgL_vz00_1670), BUNSPEC);
			}
		}

	}



/* &lambda1306 */
	obj_t BGl_z62lambda1306z62zzbackend_backendz00(obj_t BgL_envz00_1435,
		obj_t BgL_oz00_1436)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1436)))->BgL_effectzb2zb2));
		}

	}



/* &<@anonymous:1301> */
	obj_t BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1437)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1300 */
	obj_t BGl_z62lambda1300z62zzbackend_backendz00(obj_t BgL_envz00_1438,
		obj_t BgL_oz00_1439, obj_t BgL_vz00_1440)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1673;

				BgL_vz00_1673 = CBOOL(BgL_vz00_1440);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1439)))->
						BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_1673), BUNSPEC);
			}
		}

	}



/* &lambda1299 */
	obj_t BGl_z62lambda1299z62zzbackend_backendz00(obj_t BgL_envz00_1441,
		obj_t BgL_oz00_1442)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1442)))->
					BgL_qualifiedzd2typeszd2));
		}

	}



/* &<@anonymous:1294> */
	obj_t BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1443)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1293 */
	obj_t BGl_z62lambda1293z62zzbackend_backendz00(obj_t BgL_envz00_1444,
		obj_t BgL_oz00_1445, obj_t BgL_vz00_1446)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1676;

				BgL_vz00_1676 = CBOOL(BgL_vz00_1446);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1445)))->BgL_callccz00) =
					((bool_t) BgL_vz00_1676), BUNSPEC);
			}
		}

	}



/* &lambda1292 */
	obj_t BGl_z62lambda1292z62zzbackend_backendz00(obj_t BgL_envz00_1447,
		obj_t BgL_oz00_1448)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1448)))->BgL_callccz00));
		}

	}



/* &<@anonymous:1285> */
	obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1449)
	{
		{	/* BackEnd/backend.scm 21 */
			return ((obj_t) CNST_TABLE_REF(44));
		}

	}



/* &lambda1284 */
	obj_t BGl_z62lambda1284z62zzbackend_backendz00(obj_t BgL_envz00_1450,
		obj_t BgL_oz00_1451, obj_t BgL_vz00_1452)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1451)))->
					BgL_heapzd2compatiblezd2) =
				((obj_t) ((obj_t) BgL_vz00_1452)), BUNSPEC);
		}

	}



/* &lambda1283 */
	obj_t BGl_z62lambda1283z62zzbackend_backendz00(obj_t BgL_envz00_1453,
		obj_t BgL_oz00_1454)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1454)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &<@anonymous:1277> */
	obj_t BGl_z62zc3z04anonymousza31277ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1455)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1816z00zzbackend_backendz00;
		}

	}



/* &lambda1276 */
	obj_t BGl_z62lambda1276z62zzbackend_backendz00(obj_t BgL_envz00_1456,
		obj_t BgL_oz00_1457, obj_t BgL_vz00_1458)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1457)))->BgL_heapzd2suffixzd2) =
				((obj_t) ((obj_t) BgL_vz00_1458)), BUNSPEC);
		}

	}



/* &lambda1275 */
	obj_t BGl_z62lambda1275z62zzbackend_backendz00(obj_t BgL_envz00_1459,
		obj_t BgL_oz00_1460)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1460)))->BgL_heapzd2suffixzd2);
		}

	}



/* &<@anonymous:1270> */
	obj_t BGl_z62zc3z04anonymousza31270ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1461)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1269 */
	obj_t BGl_z62lambda1269z62zzbackend_backendz00(obj_t BgL_envz00_1462,
		obj_t BgL_oz00_1463, obj_t BgL_vz00_1464)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1685;

				BgL_vz00_1685 = CBOOL(BgL_vz00_1464);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1463)))->BgL_typedz00) =
					((bool_t) BgL_vz00_1685), BUNSPEC);
			}
		}

	}



/* &lambda1268 */
	obj_t BGl_z62lambda1268z62zzbackend_backendz00(obj_t BgL_envz00_1465,
		obj_t BgL_oz00_1466)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1466)))->BgL_typedz00));
		}

	}



/* &<@anonymous:1258> */
	obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1467)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1257 */
	obj_t BGl_z62lambda1257z62zzbackend_backendz00(obj_t BgL_envz00_1468,
		obj_t BgL_oz00_1469, obj_t BgL_vz00_1470)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1469)))->BgL_typesz00) =
				((obj_t) BgL_vz00_1470), BUNSPEC);
		}

	}



/* &lambda1256 */
	obj_t BGl_z62lambda1256z62zzbackend_backendz00(obj_t BgL_envz00_1471,
		obj_t BgL_oz00_1472)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1472)))->BgL_typesz00);
		}

	}



/* &<@anonymous:1250> */
	obj_t BGl_z62zc3z04anonymousza31250ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1473)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1249 */
	obj_t BGl_z62lambda1249z62zzbackend_backendz00(obj_t BgL_envz00_1474,
		obj_t BgL_oz00_1475, obj_t BgL_vz00_1476)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1475)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_1476), BUNSPEC);
		}

	}



/* &lambda1248 */
	obj_t BGl_z62lambda1248z62zzbackend_backendz00(obj_t BgL_envz00_1477,
		obj_t BgL_oz00_1478)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1478)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:1243> */
	obj_t BGl_z62zc3z04anonymousza31243ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1479)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1242 */
	obj_t BGl_z62lambda1242z62zzbackend_backendz00(obj_t BgL_envz00_1480,
		obj_t BgL_oz00_1481, obj_t BgL_vz00_1482)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1481)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_1482), BUNSPEC);
		}

	}



/* &lambda1241 */
	obj_t BGl_z62lambda1241z62zzbackend_backendz00(obj_t BgL_envz00_1483,
		obj_t BgL_oz00_1484)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1484)))->BgL_variablesz00);
		}

	}



/* &<@anonymous:1229> */
	obj_t BGl_z62zc3z04anonymousza31229ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1485)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1228 */
	obj_t BGl_z62lambda1228z62zzbackend_backendz00(obj_t BgL_envz00_1486,
		obj_t BgL_oz00_1487, obj_t BgL_vz00_1488)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1487)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_1488), BUNSPEC);
		}

	}



/* &lambda1227 */
	obj_t BGl_z62lambda1227z62zzbackend_backendz00(obj_t BgL_envz00_1489,
		obj_t BgL_oz00_1490)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1490)))->BgL_externzd2typeszd2);
		}

	}



/* &<@anonymous:1195> */
	obj_t BGl_z62zc3z04anonymousza31195ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1491)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1194 */
	obj_t BGl_z62lambda1194z62zzbackend_backendz00(obj_t BgL_envz00_1492,
		obj_t BgL_oz00_1493, obj_t BgL_vz00_1494)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1493)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_1494), BUNSPEC);
		}

	}



/* &lambda1193 */
	obj_t BGl_z62lambda1193z62zzbackend_backendz00(obj_t BgL_envz00_1495,
		obj_t BgL_oz00_1496)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1496)))->BgL_externzd2functionszd2);
		}

	}



/* &<@anonymous:1180> */
	obj_t BGl_z62zc3z04anonymousza31180ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1497)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1179 */
	obj_t BGl_z62lambda1179z62zzbackend_backendz00(obj_t BgL_envz00_1498,
		obj_t BgL_oz00_1499, obj_t BgL_vz00_1500)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1499)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_1500), BUNSPEC);
		}

	}



/* &lambda1178 */
	obj_t BGl_z62lambda1178z62zzbackend_backendz00(obj_t BgL_envz00_1501,
		obj_t BgL_oz00_1502)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1502)))->BgL_externzd2variableszd2);
		}

	}



/* &<@anonymous:1161> */
	obj_t BGl_z62zc3z04anonymousza31161ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1503)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1817z00zzbackend_backendz00;
		}

	}



/* &lambda1160 */
	obj_t BGl_z62lambda1160z62zzbackend_backendz00(obj_t BgL_envz00_1504,
		obj_t BgL_oz00_1505, obj_t BgL_vz00_1506)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1505)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_1506)), BUNSPEC);
		}

	}



/* &lambda1159 */
	obj_t BGl_z62lambda1159z62zzbackend_backendz00(obj_t BgL_envz00_1507,
		obj_t BgL_oz00_1508)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1508)))->BgL_namez00);
		}

	}



/* &<@anonymous:1148> */
	obj_t BGl_z62zc3z04anonymousza31148ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1509)
	{
		{	/* BackEnd/backend.scm 21 */
			return ((obj_t) CNST_TABLE_REF(45));
		}

	}



/* &lambda1147 */
	obj_t BGl_z62lambda1147z62zzbackend_backendz00(obj_t BgL_envz00_1510,
		obj_t BgL_oz00_1511, obj_t BgL_vz00_1512)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1511)))->BgL_srfi0z00) = ((obj_t)
					((obj_t) BgL_vz00_1512)), BUNSPEC);
		}

	}



/* &lambda1146 */
	obj_t BGl_z62lambda1146z62zzbackend_backendz00(obj_t BgL_envz00_1513,
		obj_t BgL_oz00_1514)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1514)))->BgL_srfi0z00);
		}

	}



/* &<@anonymous:1132> */
	obj_t BGl_z62zc3z04anonymousza31132ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1515)
	{
		{	/* BackEnd/backend.scm 21 */
			return ((obj_t) CNST_TABLE_REF(45));
		}

	}



/* &lambda1131 */
	obj_t BGl_z62lambda1131z62zzbackend_backendz00(obj_t BgL_envz00_1516,
		obj_t BgL_oz00_1517, obj_t BgL_vz00_1518)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1517)))->BgL_languagez00) =
				((obj_t) ((obj_t) BgL_vz00_1518)), BUNSPEC);
		}

	}



/* &lambda1130 */
	obj_t BGl_z62lambda1130z62zzbackend_backendz00(obj_t BgL_envz00_1519,
		obj_t BgL_oz00_1520)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1520)))->BgL_languagez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
				BGl_proc1818z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1819z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_proc1820z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1821z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
				BGl_proc1822z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1823z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_proc1824z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1825z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_proc1826z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1827z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_proc1828z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1829z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_proc1830z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1831z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
				BGl_proc1832z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1833z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_proc1834z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1835z00zzbackend_backendz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_proc1836z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1837z00zzbackend_backendz00);
		}

	}



/* &backend-gc-init1075 */
	obj_t BGl_z62backendzd2gczd2init1075z62zzbackend_backendz00(obj_t
		BgL_envz00_1533, obj_t BgL_bz00_1534)
	{
		{	/* BackEnd/backend.scm 156 */
			return BUNSPEC;
		}

	}



/* &backend-check-inline1073 */
	obj_t BGl_z62backendzd2checkzd2inline1073z62zzbackend_backendz00(obj_t
		BgL_envz00_1535, obj_t BgL_bz00_1536)
	{
		{	/* BackEnd/backend.scm 150 */
			return BUNSPEC;
		}

	}



/* &backend-instr-reset-1071 */
	obj_t BGl_z62backendzd2instrzd2resetzd21071zb0zzbackend_backendz00(obj_t
		BgL_envz00_1537, obj_t BgL_bz00_1538, obj_t BgL_iz00_1539)
	{
		{	/* BackEnd/backend.scm 143 */
			{	/* BackEnd/backend.scm 145 */
				obj_t BgL_val1_1052z00_1711;
				obj_t BgL_val2_1053z00_1712;
				obj_t BgL_val3_1054z00_1713;

				BgL_val1_1052z00_1711 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1538)))->BgL_registersz00);
				BgL_val2_1053z00_1712 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1538)))->BgL_registersz00);
				BgL_val3_1054z00_1713 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1538)))->BgL_registersz00);
				{	/* BackEnd/backend.scm 145 */
					int BgL_tmpz00_2561;

					BgL_tmpz00_2561 = (int) (4L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2561);
				}
				{	/* BackEnd/backend.scm 145 */
					int BgL_tmpz00_2564;

					BgL_tmpz00_2564 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2564, BgL_val1_1052z00_1711);
				}
				{	/* BackEnd/backend.scm 145 */
					int BgL_tmpz00_2567;

					BgL_tmpz00_2567 = (int) (2L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2567, BgL_val2_1053z00_1712);
				}
				{	/* BackEnd/backend.scm 145 */
					int BgL_tmpz00_2570;

					BgL_tmpz00_2570 = (int) (3L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2570, BgL_val3_1054z00_1713);
				}
				return BNIL;
			}
		}

	}



/* &backend-link-objects1069 */
	obj_t BGl_z62backendzd2linkzd2objects1069z62zzbackend_backendz00(obj_t
		BgL_envz00_1540, obj_t BgL_bz00_1541, obj_t BgL_lz00_1542)
	{
		{	/* BackEnd/backend.scm 138 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(46)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1541)));
		}

	}



/* &backend-cnst-table-n1067 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1067zb0zzbackend_backendz00(obj_t
		BgL_envz00_1543, obj_t BgL_bz00_1544, obj_t BgL_oz00_1545)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(47)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1544)));
		}

	}



/* &backend-subtype?1065 */
	obj_t BGl_z62backendzd2subtypezf31065z43zzbackend_backendz00(obj_t
		BgL_envz00_1546, obj_t BgL_bz00_1547, obj_t BgL_t1z00_1548,
		obj_t BgL_t2z00_1549)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(48)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1547)));
		}

	}



/* &backend-link1063 */
	obj_t BGl_z62backendzd2link1063zb0zzbackend_backendz00(obj_t BgL_envz00_1550,
		obj_t BgL_bz00_1551, obj_t BgL_resultz00_1552)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(49)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1551)));
		}

	}



/* &backend-compile-func1061 */
	obj_t BGl_z62backendzd2compilezd2func1061z62zzbackend_backendz00(obj_t
		BgL_envz00_1553, obj_t BgL_bz00_1554)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(50)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1554)));
		}

	}



/* &backend-compile1059 */
	obj_t BGl_z62backendzd2compile1059zb0zzbackend_backendz00(obj_t
		BgL_envz00_1555, obj_t BgL_bz00_1556)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(51)), BGl_string1838z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1556)));
		}

	}



/* &backend-initialize!1057 */
	obj_t BGl_z62backendzd2initializa7ez121057z05zzbackend_backendz00(obj_t
		BgL_envz00_1557, obj_t BgL_bz00_1558)
	{
		{	/* BackEnd/backend.scm 107 */
			return BUNSPEC;
		}

	}



/* backend-initialize! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_106)
	{
		{	/* BackEnd/backend.scm 107 */
			{	/* BackEnd/backend.scm 107 */
				obj_t BgL_method1058z00_641;

				{	/* BackEnd/backend.scm 107 */
					obj_t BgL_res1663z00_756;

					{	/* BackEnd/backend.scm 107 */
						long BgL_objzd2classzd2numz00_727;

						BgL_objzd2classzd2numz00_727 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* BackEnd/backend.scm 107 */
							obj_t BgL_arg1862z00_728;

							BgL_arg1862z00_728 =
								PROCEDURE_REF
								(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 107 */
								int BgL_offsetz00_731;

								BgL_offsetz00_731 = (int) (BgL_objzd2classzd2numz00_727);
								{	/* BackEnd/backend.scm 107 */
									long BgL_offsetz00_732;

									BgL_offsetz00_732 =
										((long) (BgL_offsetz00_731) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 107 */
										long BgL_modz00_733;

										BgL_modz00_733 =
											(BgL_offsetz00_732 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 107 */
											long BgL_restz00_735;

											BgL_restz00_735 =
												(BgL_offsetz00_732 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 107 */

												{	/* BackEnd/backend.scm 107 */
													obj_t BgL_bucketz00_737;

													BgL_bucketz00_737 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_728), BgL_modz00_733);
													BgL_res1663z00_756 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_737), BgL_restz00_735);
					}}}}}}}}
					BgL_method1058z00_641 = BgL_res1663z00_756;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1058z00_641, ((obj_t) BgL_bz00_106));
			}
		}

	}



/* &backend-initialize! */
	obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t
		BgL_envz00_1521, obj_t BgL_bz00_1522)
	{
		{	/* BackEnd/backend.scm 107 */
			return
				BGl_backendzd2initializa7ez12z67zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1522));
		}

	}



/* backend-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_107)
	{
		{	/* BackEnd/backend.scm 113 */
			{	/* BackEnd/backend.scm 113 */
				obj_t BgL_method1060z00_642;

				{	/* BackEnd/backend.scm 113 */
					obj_t BgL_res1668z00_787;

					{	/* BackEnd/backend.scm 113 */
						long BgL_objzd2classzd2numz00_758;

						BgL_objzd2classzd2numz00_758 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_107));
						{	/* BackEnd/backend.scm 113 */
							obj_t BgL_arg1862z00_759;

							BgL_arg1862z00_759 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 113 */
								int BgL_offsetz00_762;

								BgL_offsetz00_762 = (int) (BgL_objzd2classzd2numz00_758);
								{	/* BackEnd/backend.scm 113 */
									long BgL_offsetz00_763;

									BgL_offsetz00_763 =
										((long) (BgL_offsetz00_762) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 113 */
										long BgL_modz00_764;

										BgL_modz00_764 =
											(BgL_offsetz00_763 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 113 */
											long BgL_restz00_766;

											BgL_restz00_766 =
												(BgL_offsetz00_763 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 113 */

												{	/* BackEnd/backend.scm 113 */
													obj_t BgL_bucketz00_768;

													BgL_bucketz00_768 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_759), BgL_modz00_764);
													BgL_res1668z00_787 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_768), BgL_restz00_766);
					}}}}}}}}
					BgL_method1060z00_642 = BgL_res1668z00_787;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1060z00_642, ((obj_t) BgL_bz00_107));
			}
		}

	}



/* &backend-compile */
	obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t BgL_envz00_1559,
		obj_t BgL_bz00_1560)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_backendzd2compilezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1560));
		}

	}



/* backend-compile-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_108)
	{
		{	/* BackEnd/backend.scm 118 */
			{	/* BackEnd/backend.scm 118 */
				obj_t BgL_method1062z00_643;

				{	/* BackEnd/backend.scm 118 */
					obj_t BgL_res1673z00_818;

					{	/* BackEnd/backend.scm 118 */
						long BgL_objzd2classzd2numz00_789;

						BgL_objzd2classzd2numz00_789 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_108));
						{	/* BackEnd/backend.scm 118 */
							obj_t BgL_arg1862z00_790;

							BgL_arg1862z00_790 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 118 */
								int BgL_offsetz00_793;

								BgL_offsetz00_793 = (int) (BgL_objzd2classzd2numz00_789);
								{	/* BackEnd/backend.scm 118 */
									long BgL_offsetz00_794;

									BgL_offsetz00_794 =
										((long) (BgL_offsetz00_793) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 118 */
										long BgL_modz00_795;

										BgL_modz00_795 =
											(BgL_offsetz00_794 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 118 */
											long BgL_restz00_797;

											BgL_restz00_797 =
												(BgL_offsetz00_794 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 118 */

												{	/* BackEnd/backend.scm 118 */
													obj_t BgL_bucketz00_799;

													BgL_bucketz00_799 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_790), BgL_modz00_795);
													BgL_res1673z00_818 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_799), BgL_restz00_797);
					}}}}}}}}
					BgL_method1062z00_643 = BgL_res1673z00_818;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1062z00_643, ((obj_t) BgL_bz00_108));
			}
		}

	}



/* &backend-compile-functions */
	obj_t BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1561, obj_t BgL_bz00_1562)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1562));
		}

	}



/* backend-link */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_bz00_109,
		obj_t BgL_resultz00_110)
	{
		{	/* BackEnd/backend.scm 123 */
			{	/* BackEnd/backend.scm 123 */
				obj_t BgL_method1064z00_644;

				{	/* BackEnd/backend.scm 123 */
					obj_t BgL_res1678z00_849;

					{	/* BackEnd/backend.scm 123 */
						long BgL_objzd2classzd2numz00_820;

						BgL_objzd2classzd2numz00_820 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_109));
						{	/* BackEnd/backend.scm 123 */
							obj_t BgL_arg1862z00_821;

							BgL_arg1862z00_821 =
								PROCEDURE_REF(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 123 */
								int BgL_offsetz00_824;

								BgL_offsetz00_824 = (int) (BgL_objzd2classzd2numz00_820);
								{	/* BackEnd/backend.scm 123 */
									long BgL_offsetz00_825;

									BgL_offsetz00_825 =
										((long) (BgL_offsetz00_824) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 123 */
										long BgL_modz00_826;

										BgL_modz00_826 =
											(BgL_offsetz00_825 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 123 */
											long BgL_restz00_828;

											BgL_restz00_828 =
												(BgL_offsetz00_825 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 123 */

												{	/* BackEnd/backend.scm 123 */
													obj_t BgL_bucketz00_830;

													BgL_bucketz00_830 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_821), BgL_modz00_826);
													BgL_res1678z00_849 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_830), BgL_restz00_828);
					}}}}}}}}
					BgL_method1064z00_644 = BgL_res1678z00_849;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1064z00_644,
					((obj_t) BgL_bz00_109), BgL_resultz00_110);
			}
		}

	}



/* &backend-link */
	obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t BgL_envz00_1563,
		obj_t BgL_bz00_1564, obj_t BgL_resultz00_1565)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_backendzd2linkzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1564), BgL_resultz00_1565);
		}

	}



/* backend-subtype? */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_111, obj_t BgL_t1z00_112, obj_t BgL_t2z00_113)
	{
		{	/* BackEnd/backend.scm 128 */
			{	/* BackEnd/backend.scm 128 */
				obj_t BgL_method1066z00_645;

				{	/* BackEnd/backend.scm 128 */
					obj_t BgL_res1683z00_880;

					{	/* BackEnd/backend.scm 128 */
						long BgL_objzd2classzd2numz00_851;

						BgL_objzd2classzd2numz00_851 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_111));
						{	/* BackEnd/backend.scm 128 */
							obj_t BgL_arg1862z00_852;

							BgL_arg1862z00_852 =
								PROCEDURE_REF
								(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 128 */
								int BgL_offsetz00_855;

								BgL_offsetz00_855 = (int) (BgL_objzd2classzd2numz00_851);
								{	/* BackEnd/backend.scm 128 */
									long BgL_offsetz00_856;

									BgL_offsetz00_856 =
										((long) (BgL_offsetz00_855) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 128 */
										long BgL_modz00_857;

										BgL_modz00_857 =
											(BgL_offsetz00_856 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 128 */
											long BgL_restz00_859;

											BgL_restz00_859 =
												(BgL_offsetz00_856 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 128 */

												{	/* BackEnd/backend.scm 128 */
													obj_t BgL_bucketz00_861;

													BgL_bucketz00_861 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_852), BgL_modz00_857);
													BgL_res1683z00_880 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_861), BgL_restz00_859);
					}}}}}}}}
					BgL_method1066z00_645 = BgL_res1683z00_880;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1066z00_645,
					((obj_t) BgL_bz00_111), BgL_t1z00_112, BgL_t2z00_113);
			}
		}

	}



/* &backend-subtype? */
	obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t
		BgL_envz00_1566, obj_t BgL_bz00_1567, obj_t BgL_t1z00_1568,
		obj_t BgL_t2z00_1569)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_backendzd2subtypezf3z21zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1567), BgL_t1z00_1568, BgL_t2z00_1569);
		}

	}



/* backend-cnst-table-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_114, int BgL_oz00_115)
	{
		{	/* BackEnd/backend.scm 133 */
			{	/* BackEnd/backend.scm 133 */
				obj_t BgL_method1068z00_646;

				{	/* BackEnd/backend.scm 133 */
					obj_t BgL_res1688z00_911;

					{	/* BackEnd/backend.scm 133 */
						long BgL_objzd2classzd2numz00_882;

						BgL_objzd2classzd2numz00_882 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_114));
						{	/* BackEnd/backend.scm 133 */
							obj_t BgL_arg1862z00_883;

							BgL_arg1862z00_883 =
								PROCEDURE_REF
								(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 133 */
								int BgL_offsetz00_886;

								BgL_offsetz00_886 = (int) (BgL_objzd2classzd2numz00_882);
								{	/* BackEnd/backend.scm 133 */
									long BgL_offsetz00_887;

									BgL_offsetz00_887 =
										((long) (BgL_offsetz00_886) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 133 */
										long BgL_modz00_888;

										BgL_modz00_888 =
											(BgL_offsetz00_887 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 133 */
											long BgL_restz00_890;

											BgL_restz00_890 =
												(BgL_offsetz00_887 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 133 */

												{	/* BackEnd/backend.scm 133 */
													obj_t BgL_bucketz00_892;

													BgL_bucketz00_892 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_883), BgL_modz00_888);
													BgL_res1688z00_911 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_892), BgL_restz00_890);
					}}}}}}}}
					BgL_method1068z00_646 = BgL_res1688z00_911;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1068z00_646,
					((obj_t) BgL_bz00_114), BINT(BgL_oz00_115));
			}
		}

	}



/* &backend-cnst-table-name */
	obj_t BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t
		BgL_envz00_1570, obj_t BgL_bz00_1571, obj_t BgL_oz00_1572)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1571), CINT(BgL_oz00_1572));
		}

	}



/* backend-link-objects */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_116, obj_t BgL_lz00_117)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 138 */
				obj_t BgL_method1070z00_647;

				{	/* BackEnd/backend.scm 138 */
					obj_t BgL_res1693z00_942;

					{	/* BackEnd/backend.scm 138 */
						long BgL_objzd2classzd2numz00_913;

						BgL_objzd2classzd2numz00_913 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_116));
						{	/* BackEnd/backend.scm 138 */
							obj_t BgL_arg1862z00_914;

							BgL_arg1862z00_914 =
								PROCEDURE_REF
								(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 138 */
								int BgL_offsetz00_917;

								BgL_offsetz00_917 = (int) (BgL_objzd2classzd2numz00_913);
								{	/* BackEnd/backend.scm 138 */
									long BgL_offsetz00_918;

									BgL_offsetz00_918 =
										((long) (BgL_offsetz00_917) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 138 */
										long BgL_modz00_919;

										BgL_modz00_919 =
											(BgL_offsetz00_918 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 138 */
											long BgL_restz00_921;

											BgL_restz00_921 =
												(BgL_offsetz00_918 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 138 */

												{	/* BackEnd/backend.scm 138 */
													obj_t BgL_bucketz00_923;

													BgL_bucketz00_923 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_914), BgL_modz00_919);
													BgL_res1693z00_942 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_923), BgL_restz00_921);
					}}}}}}}}
					BgL_method1070z00_647 = BgL_res1693z00_942;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1070z00_647,
					((obj_t) BgL_bz00_116), BgL_lz00_117);
			}
		}

	}



/* &backend-link-objects */
	obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t
		BgL_envz00_1573, obj_t BgL_bz00_1574, obj_t BgL_lz00_1575)
	{
		{	/* BackEnd/backend.scm 138 */
			return
				BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1574), BgL_lz00_1575);
		}

	}



/* backend-instr-reset-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_bz00_118, obj_t BgL_iz00_119)
	{
		{	/* BackEnd/backend.scm 143 */
			{	/* BackEnd/backend.scm 143 */
				obj_t BgL_method1072z00_648;

				{	/* BackEnd/backend.scm 143 */
					obj_t BgL_res1698z00_973;

					{	/* BackEnd/backend.scm 143 */
						long BgL_objzd2classzd2numz00_944;

						BgL_objzd2classzd2numz00_944 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_118));
						{	/* BackEnd/backend.scm 143 */
							obj_t BgL_arg1862z00_945;

							BgL_arg1862z00_945 =
								PROCEDURE_REF
								(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 143 */
								int BgL_offsetz00_948;

								BgL_offsetz00_948 = (int) (BgL_objzd2classzd2numz00_944);
								{	/* BackEnd/backend.scm 143 */
									long BgL_offsetz00_949;

									BgL_offsetz00_949 =
										((long) (BgL_offsetz00_948) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 143 */
										long BgL_modz00_950;

										BgL_modz00_950 =
											(BgL_offsetz00_949 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 143 */
											long BgL_restz00_952;

											BgL_restz00_952 =
												(BgL_offsetz00_949 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 143 */

												{	/* BackEnd/backend.scm 143 */
													obj_t BgL_bucketz00_954;

													BgL_bucketz00_954 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_945), BgL_modz00_950);
													BgL_res1698z00_973 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_954), BgL_restz00_952);
					}}}}}}}}
					BgL_method1072z00_648 = BgL_res1698z00_973;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1072z00_648,
					((obj_t) BgL_bz00_118), BgL_iz00_119);
			}
		}

	}



/* &backend-instr-reset-registers */
	obj_t BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t
		BgL_envz00_1576, obj_t BgL_bz00_1577, obj_t BgL_iz00_1578)
	{
		{	/* BackEnd/backend.scm 143 */
			return
				BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1577), BgL_iz00_1578);
		}

	}



/* backend-check-inlines */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_120)
	{
		{	/* BackEnd/backend.scm 150 */
			{	/* BackEnd/backend.scm 150 */
				obj_t BgL_method1074z00_649;

				{	/* BackEnd/backend.scm 150 */
					obj_t BgL_res1703z00_1004;

					{	/* BackEnd/backend.scm 150 */
						long BgL_objzd2classzd2numz00_975;

						BgL_objzd2classzd2numz00_975 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_120));
						{	/* BackEnd/backend.scm 150 */
							obj_t BgL_arg1862z00_976;

							BgL_arg1862z00_976 =
								PROCEDURE_REF
								(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 150 */
								int BgL_offsetz00_979;

								BgL_offsetz00_979 = (int) (BgL_objzd2classzd2numz00_975);
								{	/* BackEnd/backend.scm 150 */
									long BgL_offsetz00_980;

									BgL_offsetz00_980 =
										((long) (BgL_offsetz00_979) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 150 */
										long BgL_modz00_981;

										BgL_modz00_981 =
											(BgL_offsetz00_980 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 150 */
											long BgL_restz00_983;

											BgL_restz00_983 =
												(BgL_offsetz00_980 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 150 */

												{	/* BackEnd/backend.scm 150 */
													obj_t BgL_bucketz00_985;

													BgL_bucketz00_985 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_976), BgL_modz00_981);
													BgL_res1703z00_1004 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_985), BgL_restz00_983);
					}}}}}}}}
					BgL_method1074z00_649 = BgL_res1703z00_1004;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1074z00_649, ((obj_t) BgL_bz00_120));
			}
		}

	}



/* &backend-check-inlines */
	obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t
		BgL_envz00_1579, obj_t BgL_bz00_1580)
	{
		{	/* BackEnd/backend.scm 150 */
			return
				BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1580));
		}

	}



/* backend-gc-init */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_121)
	{
		{	/* BackEnd/backend.scm 156 */
			{	/* BackEnd/backend.scm 156 */
				obj_t BgL_method1076z00_650;

				{	/* BackEnd/backend.scm 156 */
					obj_t BgL_res1708z00_1035;

					{	/* BackEnd/backend.scm 156 */
						long BgL_objzd2classzd2numz00_1006;

						BgL_objzd2classzd2numz00_1006 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_121));
						{	/* BackEnd/backend.scm 156 */
							obj_t BgL_arg1862z00_1007;

							BgL_arg1862z00_1007 =
								PROCEDURE_REF
								(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 156 */
								int BgL_offsetz00_1010;

								BgL_offsetz00_1010 = (int) (BgL_objzd2classzd2numz00_1006);
								{	/* BackEnd/backend.scm 156 */
									long BgL_offsetz00_1011;

									BgL_offsetz00_1011 =
										((long) (BgL_offsetz00_1010) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 156 */
										long BgL_modz00_1012;

										BgL_modz00_1012 =
											(BgL_offsetz00_1011 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 156 */
											long BgL_restz00_1014;

											BgL_restz00_1014 =
												(BgL_offsetz00_1011 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 156 */

												{	/* BackEnd/backend.scm 156 */
													obj_t BgL_bucketz00_1016;

													BgL_bucketz00_1016 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1007), BgL_modz00_1012);
													BgL_res1708z00_1035 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1016), BgL_restz00_1014);
					}}}}}}}}
					BgL_method1076z00_650 = BgL_res1708z00_1035;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1076z00_650, ((obj_t) BgL_bz00_121));
			}
		}

	}



/* &backend-gc-init */
	obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t BgL_envz00_1581,
		obj_t BgL_bz00_1582)
	{
		{	/* BackEnd/backend.scm 156 */
			return
				BGl_backendzd2gczd2initz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1582));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1839z00zzbackend_backendz00));
		}

	}

#ifdef __cplusplus
}
#endif
