/*===========================================================================*/
/*   (BackEnd/c_proto.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/c_proto.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_C_PROTOTYPE_TYPE_DEFINITIONS
#define BGL_BACKEND_C_PROTOTYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_copz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}             *BgL_copz00_bglt;

	typedef struct BgL_cpragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_formatz00;
		obj_t BgL_argsz00;
	}                 *BgL_cpragmaz00_bglt;


#endif													// BGL_BACKEND_C_PROTOTYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza31579ze3ze5zzbackend_c_prototypez00(obj_t, obj_t);
	extern obj_t
		BGl_makezd2typedzd2declarationz00zztype_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00 =
		BUNSPEC;
	static obj_t
		BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00
		(BgL_valuez00_bglt, obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2sfun1418z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_typezd2nullzd2valuez00zzbackend_c_prototypez00(BgL_typez00_bglt);
	extern obj_t BGl_za2czd2splitzd2stringza2z00zzengine_paramz00;
	static obj_t
		BGl_getzd2czd2scopez00zzbackend_c_prototypez00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzbackend_c_prototypez00(void);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_c_prototypez00(void);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzbackend_c_prototypez00(void);
	extern obj_t BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00(BGL_LONGLONG_T);
	static obj_t BGl_z62getzd2czd2scope1423z62zzbackend_c_prototypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00(obj_t,
		obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cpragmaz00zzcgen_copz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62getzd2czd2scopezd2local1428zb0zzbackend_c_prototypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2prototypeszd2zzbackend_c_prototypez00(void);
	static obj_t BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_c_prototypez00(void);
	static obj_t BGl_crosszd2namezd2zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_emitzd2slotze70z35zzbackend_c_prototypez00(obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62emitzd2prototypezd2svar1414z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00
		(BgL_variablez00_bglt);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2staticzd2pragmasz00zzast_pragmaz00(void);
	static obj_t
		BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	static obj_t BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62emitzd2prototype1411zb0zzbackend_c_prototypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t
		BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza31532ze3ze5zzbackend_c_prototypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_untrigraphz00zzbackend_c_emitz00(obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t
		BGl_z62emitzd2prototypezd2cfun1420z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern bool_t BGl_emitzd2copzd2zzcgen_emitzd2copzd2(BgL_copz00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t
		BGl_z62getzd2czd2scopezd2global1426zb0zzbackend_c_prototypez00(obj_t,
		obj_t);
	static obj_t BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_c_prototypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00(void);
	static obj_t
		BGl_z62emitzd2prototypezd2scnst1416z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_c_prototypez00(void);
	BGL_IMPORT obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00(void);
	extern obj_t BGl_typezd2classzd2namez00zzobject_classz00(BgL_typez00_bglt);
	extern obj_t BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(BgL_typez00_bglt);
	static obj_t BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00(obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_emitzd2cnstzd2zzbackend_c_prototypez00(BgL_scnstz00_bglt,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(obj_t);
	static obj_t BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	static obj_t BGl_loopze70ze7zzbackend_c_prototypez00(long, obj_t);
	static obj_t BGl_loopze71ze7zzbackend_c_prototypez00(obj_t);
	static obj_t BGl_loopze72ze7zzbackend_c_prototypez00(obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62emitzd2prototypezd2cvar1422z62zzbackend_c_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00(obj_t,
		BgL_globalz00_bglt);
	extern obj_t BGl_cvarz00zzast_varz00;
	static obj_t __cnst[23];


	   
		 
		DEFINE_STRING(BGl_string2300z00zzbackend_c_prototypez00,
		BgL_bgl_string2300za700za7za7b2359za7, "DEFINE_REAL( ", 13);
	      DEFINE_STRING(BGl_string2301z00zzbackend_c_prototypez00,
		BgL_bgl_string2301za700za7za7b2360za7, "DEFINE_ELONG( ", 14);
	      DEFINE_STRING(BGl_string2302z00zzbackend_c_prototypez00,
		BgL_bgl_string2302za700za7za7b2361za7, "DEFINE_LLONG( ", 14);
	      DEFINE_STRING(BGl_string2303z00zzbackend_c_prototypez00,
		BgL_bgl_string2303za700za7za7b2362za7, "DEFINE_INT32( ", 14);
	      DEFINE_STRING(BGl_string2304z00zzbackend_c_prototypez00,
		BgL_bgl_string2304za700za7za7b2363za7, "DEFINE_UINT32( ", 15);
	      DEFINE_STRING(BGl_string2305z00zzbackend_c_prototypez00,
		BgL_bgl_string2305za700za7za7b2364za7, "DEFINE_INT64( ", 14);
	      DEFINE_STRING(BGl_string2306z00zzbackend_c_prototypez00,
		BgL_bgl_string2306za700za7za7b2365za7, "DEFINE_UINT64( ", 15);
	      DEFINE_STRING(BGl_string2307z00zzbackend_c_prototypez00,
		BgL_bgl_string2307za700za7za7b2366za7, "DEFINE_STATIC_BGL_", 18);
	      DEFINE_STRING(BGl_string2308z00zzbackend_c_prototypez00,
		BgL_bgl_string2308za700za7za7b2367za7, "( ", 2);
	      DEFINE_STRING(BGl_string2309z00zzbackend_c_prototypez00,
		BgL_bgl_string2309za700za7za7b2368za7, "DEFINE_EXPORT_BGL_", 18);
	      DEFINE_STRING(BGl_string2310z00zzbackend_c_prototypez00,
		BgL_bgl_string2310za700za7za7b2369za7, ", opt_generic_entry", 19);
	      DEFINE_STRING(BGl_string2311z00zzbackend_c_prototypez00,
		BgL_bgl_string2311za700za7za7b2370za7, ", BFALSE, ", 10);
	      DEFINE_STRING(BGl_string2312z00zzbackend_c_prototypez00,
		BgL_bgl_string2312za700za7za7b2371za7, ", 0L, BUNSPEC, ", 15);
	      DEFINE_STRING(BGl_string2313z00zzbackend_c_prototypez00,
		BgL_bgl_string2313za700za7za7b2372za7, ", bgl_va_stack_entry", 20);
	      DEFINE_STRING(BGl_string2314z00zzbackend_c_prototypez00,
		BgL_bgl_string2314za700za7za7b2373za7, ", va_generic_entry", 18);
	      DEFINE_STRING(BGl_string2315z00zzbackend_c_prototypez00,
		BgL_bgl_string2315za700za7za7b2374za7, ", BUNSPEC, ", 11);
	      DEFINE_STRING(BGl_string2316z00zzbackend_c_prototypez00,
		BgL_bgl_string2316za700za7za7b2375za7, "static obj_t ", 13);
	      DEFINE_STRING(BGl_string2317z00zzbackend_c_prototypez00,
		BgL_bgl_string2317za700za7za7b2376za7, "DEFINE_BGL_L_PROCEDURE(", 23);
	      DEFINE_STRING(BGl_string2318z00zzbackend_c_prototypez00,
		BgL_bgl_string2318za700za7za7b2377za7, "DEFINE_TVECTOR_START( ", 22);
	      DEFINE_STRING(BGl_string2319z00zzbackend_c_prototypez00,
		BgL_bgl_string2319za700za7za7b2378za7, " ) ", 3);
	      DEFINE_STRING(BGl_string2320z00zzbackend_c_prototypez00,
		BgL_bgl_string2320za700za7za7b2379za7, " DEFINE_TVECTOR_STOP( ", 22);
	      DEFINE_STRING(BGl_string2321z00zzbackend_c_prototypez00,
		BgL_bgl_string2321za700za7za7b2380za7, "typedef ", 8);
	      DEFINE_STRING(BGl_string2322z00zzbackend_c_prototypez00,
		BgL_bgl_string2322za700za7za7b2381za7, " {", 2);
	      DEFINE_STRING(BGl_string2323z00zzbackend_c_prototypez00,
		BgL_bgl_string2323za700za7za7b2382za7, "   char dummy;", 14);
	      DEFINE_STRING(BGl_string2324z00zzbackend_c_prototypez00,
		BgL_bgl_string2324za700za7za7b2383za7, "} *", 3);
	      DEFINE_STRING(BGl_string2325z00zzbackend_c_prototypez00,
		BgL_bgl_string2325za700za7za7b2384za7, ";\n", 2);
	      DEFINE_STRING(BGl_string2326z00zzbackend_c_prototypez00,
		BgL_bgl_string2326za700za7za7b2385za7, "   header_t header;", 19);
	      DEFINE_STRING(BGl_string2327z00zzbackend_c_prototypez00,
		BgL_bgl_string2327za700za7za7b2386za7, "   obj_t widening;", 18);
	      DEFINE_STRING(BGl_string2328z00zzbackend_c_prototypez00,
		BgL_bgl_string2328za700za7za7b2387za7, "/* object type definitions */", 29);
	      DEFINE_STRING(BGl_string2329z00zzbackend_c_prototypez00,
		BgL_bgl_string2329za700za7za7b2388za7, "   ", 3);
	      DEFINE_STRING(BGl_string2330z00zzbackend_c_prototypez00,
		BgL_bgl_string2330za700za7za7b2389za7, " ", 1);
	      DEFINE_STRING(BGl_string2331z00zzbackend_c_prototypez00,
		BgL_bgl_string2331za700za7za7b2390za7, " *", 2);
	      DEFINE_STRING(BGl_string2333z00zzbackend_c_prototypez00,
		BgL_bgl_string2333za700za7za7b2391za7, "emit-prototype1411", 18);
	      DEFINE_STRING(BGl_string2335z00zzbackend_c_prototypez00,
		BgL_bgl_string2335za700za7za7b2392za7, "get-c-scope1423", 15);
	      DEFINE_STRING(BGl_string2336z00zzbackend_c_prototypez00,
		BgL_bgl_string2336za700za7za7b2393za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2338z00zzbackend_c_prototypez00,
		BgL_bgl_string2338za700za7za7b2394za7, "emit-prototype", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2395z00,
		BGl_z62emitzd2prototype1411zb0zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2396za7,
		BGl_z62getzd2czd2scope1423z62zzbackend_c_prototypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2397z00,
		BGl_z62emitzd2prototypezd2svar1414z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2344z00zzbackend_c_prototypez00,
		BgL_bgl_string2344za700za7za7b2398za7, "get-c-scope", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2399z00,
		BGl_z62emitzd2prototypezd2scnst1416z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2346z00zzbackend_c_prototypez00,
		BgL_bgl_string2346za700za7za7b2400za7, "BGL_IMPORT", 10);
	      DEFINE_STRING(BGl_string2347z00zzbackend_c_prototypez00,
		BgL_bgl_string2347za700za7za7b2401za7, "extern", 6);
	      DEFINE_STRING(BGl_string2348z00zzbackend_c_prototypez00,
		BgL_bgl_string2348za700za7za7b2402za7, "BGL_EXPORTED_DECL", 17);
	      DEFINE_STRING(BGl_string2267z00zzbackend_c_prototypez00,
		BgL_bgl_string2267za700za7za7b2403za7, "static BGL_THREAD_DECL", 22);
	      DEFINE_STRING(BGl_string2349z00zzbackend_c_prototypez00,
		BgL_bgl_string2349za700za7za7b2404za7, "Unknown importation", 19);
	      DEFINE_STRING(BGl_string2268z00zzbackend_c_prototypez00,
		BgL_bgl_string2268za700za7za7b2405za7, "static", 6);
	      DEFINE_STRING(BGl_string2269z00zzbackend_c_prototypez00,
		BgL_bgl_string2269za700za7za7b2406za7, "BGL_THREAD_DECL ", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2407z00,
		BGl_z62emitzd2prototypezd2sfun1418z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2408z00,
		BGl_z62emitzd2prototypezd2cfun1420z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2409z00,
		BGl_z62emitzd2prototypezd2cvar1422z62zzbackend_c_prototypez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2410za7,
		BGl_z62getzd2czd2scopezd2global1426zb0zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2350z00zzbackend_c_prototypez00,
		BgL_bgl_string2350za700za7za7b2411za7, " BGL_THREAD_DECL", 16);
	      DEFINE_STRING(BGl_string2351z00zzbackend_c_prototypez00,
		BgL_bgl_string2351za700za7za7b2412za7, "BGL_IMPORT ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2413za7,
		BGl_z62getzd2czd2scopezd2local1428zb0zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2270z00zzbackend_c_prototypez00,
		BgL_bgl_string2270za700za7za7b2414za7, "BGL_EXPORTED_DEF ", 17);
	      DEFINE_STRING(BGl_string2352z00zzbackend_c_prototypez00,
		BgL_bgl_string2352za700za7za7b2415za7, "extern ", 7);
	      DEFINE_STRING(BGl_string2271z00zzbackend_c_prototypez00,
		BgL_bgl_string2271za700za7za7b2416za7, ";", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzbackend_c_prototypez00,
		BgL_bgl_za762za7c3za704anonymo2417za7,
		BGl_z62zc3z04anonymousza31532ze3ze5zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2353z00zzbackend_c_prototypez00,
		BgL_bgl_string2353za700za7za7b2418za7, "void)", 5);
	      DEFINE_STRING(BGl_string2272z00zzbackend_c_prototypez00,
		BgL_bgl_string2272za700za7za7b2419za7, " = ", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzbackend_c_prototypez00,
		BgL_bgl_za762za7c3za704anonymo2420za7,
		BGl_z62zc3z04anonymousza31579ze3ze5zzbackend_c_prototypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2354z00zzbackend_c_prototypez00,
		BgL_bgl_string2354za700za7za7b2421za7, ", ...)", 6);
	      DEFINE_STRING(BGl_string2273z00zzbackend_c_prototypez00,
		BgL_bgl_string2273za700za7za7b2422za7, " = BUNSPEC;", 11);
	      DEFINE_STRING(BGl_string2355z00zzbackend_c_prototypez00,
		BgL_bgl_string2355za700za7za7b2423za7, "...)", 4);
	      DEFINE_STRING(BGl_string2274z00zzbackend_c_prototypez00,
		BgL_bgl_string2274za700za7za7b2424za7, "(", 1);
	      DEFINE_STRING(BGl_string2356z00zzbackend_c_prototypez00,
		BgL_bgl_string2356za700za7za7b2425za7, "backend_c_prototype", 19);
	      DEFINE_STRING(BGl_string2275z00zzbackend_c_prototypez00,
		BgL_bgl_string2275za700za7za7b2426za7, ")", 1);
	      DEFINE_STRING(BGl_string2357z00zzbackend_c_prototypez00,
		BgL_bgl_string2357za700za7za7b2427za7,
		"emit-prototype1411 get-c-scope1423 * import stvector slfun selfun sgfun sfun suint64 sint64 suint32 sint32 sllong selong sreal sstring thread-local bigloo-initialized! __param never export static ",
		196);
	      DEFINE_STRING(BGl_string2276z00zzbackend_c_prototypez00,
		BgL_bgl_string2276za700za7za7b2428za7, ", ", 2);
	      DEFINE_STRING(BGl_string2277z00zzbackend_c_prototypez00,
		BgL_bgl_string2277za700za7za7b2429za7, "(void)", 6);
	      DEFINE_STRING(BGl_string2278z00zzbackend_c_prototypez00,
		BgL_bgl_string2278za700za7za7b2430za7, "PROCEDURE", 9);
	      DEFINE_STRING(BGl_string2279z00zzbackend_c_prototypez00,
		BgL_bgl_string2279za700za7za7b2431za7, "GENERIC", 7);
	      DEFINE_STRING(BGl_string2280z00zzbackend_c_prototypez00,
		BgL_bgl_string2280za700za7za7b2432za7, "Unknown cnst class \"~a\"", 23);
	      DEFINE_STRING(BGl_string2281z00zzbackend_c_prototypez00,
		BgL_bgl_string2281za700za7za7b2433za7, "backend:emit-cnst", 17);
	      DEFINE_STRING(BGl_string2282z00zzbackend_c_prototypez00,
		BgL_bgl_string2282za700za7za7b2434za7, "DEFINE_STRING_START( ", 21);
	      DEFINE_STRING(BGl_string2283z00zzbackend_c_prototypez00,
		BgL_bgl_string2283za700za7za7b2435za7, "), ", 3);
	      DEFINE_STRING(BGl_string2284z00zzbackend_c_prototypez00,
		BgL_bgl_string2284za700za7za7b2436za7, "{", 1);
	      DEFINE_STRING(BGl_string2285z00zzbackend_c_prototypez00,
		BgL_bgl_string2285za700za7za7b2437za7, "0 } \n", 5);
	      DEFINE_STRING(BGl_string2286z00zzbackend_c_prototypez00,
		BgL_bgl_string2286za700za7za7b2438za7, "DEFINE_STRING_STOP( ", 20);
	      DEFINE_STRING(BGl_string2287z00zzbackend_c_prototypez00,
		BgL_bgl_string2287za700za7za7b2439za7, ");", 2);
	      DEFINE_STRING(BGl_string2288z00zzbackend_c_prototypez00,
		BgL_bgl_string2288za700za7za7b2440za7, ",", 1);
	      DEFINE_STRING(BGl_string2289z00zzbackend_c_prototypez00,
		BgL_bgl_string2289za700za7za7b2441za7, "DEFINE_STRING( ", 15);
	      DEFINE_STRING(BGl_string2290z00zzbackend_c_prototypez00,
		BgL_bgl_string2290za700za7za7b2442za7, ", \"", 3);
	      DEFINE_STRING(BGl_string2291z00zzbackend_c_prototypez00,
		BgL_bgl_string2291za700za7za7b2443za7, "\", ", 3);
	      DEFINE_STRING(BGl_string2292z00zzbackend_c_prototypez00,
		BgL_bgl_string2292za700za7za7b2444za7, " );", 3);
	      DEFINE_STRING(BGl_string2293z00zzbackend_c_prototypez00,
		BgL_bgl_string2293za700za7za7b2445za7, "emit-cnst-string", 16);
	      DEFINE_STRING(BGl_string2294z00zzbackend_c_prototypez00,
		BgL_bgl_string2294za700za7za7b2446za7, "Can't emit string", 17);
	      DEFINE_STRING(BGl_string2295z00zzbackend_c_prototypez00,
		BgL_bgl_string2295za700za7za7b2447za7, "\"\n\"", 3);
	      DEFINE_STRING(BGl_string2296z00zzbackend_c_prototypez00,
		BgL_bgl_string2296za700za7za7b2448za7, "#define ", 8);
	      DEFINE_STRING(BGl_string2297z00zzbackend_c_prototypez00,
		BgL_bgl_string2297za700za7za7b2449za7, " bigloo_nan", 11);
	      DEFINE_STRING(BGl_string2298z00zzbackend_c_prototypez00,
		BgL_bgl_string2298za700za7za7b2450za7, " bigloo_infinity", 16);
	      DEFINE_STRING(BGl_string2299z00zzbackend_c_prototypez00,
		BgL_bgl_string2299za700za7za7b2451za7, " bigloo_minfinity", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_requirezd2prototypezf3zd2envzf3zzbackend_c_prototypez00,
		BgL_bgl_za762requireza7d2pro2452z00,
		BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2cnstszd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2cnstsza72453za7,
		BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2454z00,
		BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2classzd2typeszd2envzd2zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2classza72455za7,
		BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2prototypeszd2envz00zzbackend_c_prototypez00,
		BgL_bgl_za762emitza7d2protot2456z00,
		BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
		BgL_bgl_za762getza7d2cza7d2sco2457za7,
		BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long
		BgL_checksumz00_4215, char *BgL_fromz00_4216)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_c_prototypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_c_prototypez00();
					BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00();
					BGl_cnstzd2initzd2zzbackend_c_prototypez00();
					BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00();
					BGl_genericzd2initzd2zzbackend_c_prototypez00();
					BGl_methodzd2initzd2zzbackend_c_prototypez00();
					return BGl_toplevelzd2initzd2zzbackend_c_prototypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L,
				"backend_c_prototype");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "backend_c_prototype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			{	/* BackEnd/c_proto.scm 15 */
				obj_t BgL_cportz00_4118;

				{	/* BackEnd/c_proto.scm 15 */
					obj_t BgL_stringz00_4125;

					BgL_stringz00_4125 = BGl_string2357z00zzbackend_c_prototypez00;
					{	/* BackEnd/c_proto.scm 15 */
						obj_t BgL_startz00_4126;

						BgL_startz00_4126 = BINT(0L);
						{	/* BackEnd/c_proto.scm 15 */
							obj_t BgL_endz00_4127;

							BgL_endz00_4127 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4125)));
							{	/* BackEnd/c_proto.scm 15 */

								BgL_cportz00_4118 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4125, BgL_startz00_4126, BgL_endz00_4127);
				}}}}
				{
					long BgL_iz00_4119;

					BgL_iz00_4119 = 22L;
				BgL_loopz00_4120:
					if ((BgL_iz00_4119 == (-1L)))
						{	/* BackEnd/c_proto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/c_proto.scm 15 */
							{	/* BackEnd/c_proto.scm 15 */
								obj_t BgL_arg2358z00_4121;

								{	/* BackEnd/c_proto.scm 15 */

									{	/* BackEnd/c_proto.scm 15 */
										obj_t BgL_locationz00_4123;

										BgL_locationz00_4123 = BBOOL(((bool_t) 0));
										{	/* BackEnd/c_proto.scm 15 */

											BgL_arg2358z00_4121 =
												BGl_readz00zz__readerz00(BgL_cportz00_4118,
												BgL_locationz00_4123);
										}
									}
								}
								{	/* BackEnd/c_proto.scm 15 */
									int BgL_tmpz00_4253;

									BgL_tmpz00_4253 = (int) (BgL_iz00_4119);
									CNST_TABLE_SET(BgL_tmpz00_4253, BgL_arg2358z00_4121);
							}}
							{	/* BackEnd/c_proto.scm 15 */
								int BgL_auxz00_4124;

								BgL_auxz00_4124 = (int) ((BgL_iz00_4119 - 1L));
								{
									long BgL_iz00_4258;

									BgL_iz00_4258 = (long) (BgL_auxz00_4124);
									BgL_iz00_4119 = BgL_iz00_4258;
									goto BgL_loopz00_4120;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			return BUNSPEC;
		}

	}



/* require-prototype? */
	BGL_EXPORTED_DEF bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt
		BgL_globalz00_13)
	{
		{	/* BackEnd/c_proto.scm 49 */
			{	/* BackEnd/c_proto.scm 50 */
				bool_t BgL_test2460z00_4261;

				{	/* BackEnd/c_proto.scm 50 */
					bool_t BgL__ortest_1139z00_2142;

					{	/* BackEnd/c_proto.scm 50 */
						obj_t BgL_arg1516z00_2146;

						BgL_arg1516z00_2146 =
							(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->BgL_modulez00);
						BgL__ortest_1139z00_2142 =
							(BgL_arg1516z00_2146 == BGl_za2moduleza2z00zzmodule_modulez00);
					}
					if (BgL__ortest_1139z00_2142)
						{	/* BackEnd/c_proto.scm 50 */
							BgL_test2460z00_4261 = BgL__ortest_1139z00_2142;
						}
					else
						{	/* BackEnd/c_proto.scm 50 */
							if (
								((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
										BgL_importz00) == ((obj_t) CNST_TABLE_REF(0))))
								{	/* BackEnd/c_proto.scm 51 */
									BgL_test2460z00_4261 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/c_proto.scm 51 */
									BgL_test2460z00_4261 = ((bool_t) 1);
								}
						}
				}
				if (BgL_test2460z00_4261)
					{	/* BackEnd/c_proto.scm 52 */
						bool_t BgL__ortest_1140z00_2135;

						{	/* BackEnd/c_proto.scm 52 */
							bool_t BgL_test2463z00_4270;

							{	/* BackEnd/c_proto.scm 52 */
								obj_t BgL_arg1511z00_2141;

								BgL_arg1511z00_2141 =
									(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
									BgL_modulez00);
								BgL_test2463z00_4270 =
									(BgL_arg1511z00_2141 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2463z00_4270)
								{	/* BackEnd/c_proto.scm 52 */
									BgL__ortest_1140z00_2135 =
										(
										(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_13))->
											BgL_importz00) == ((obj_t) CNST_TABLE_REF(1)));
								}
							else
								{	/* BackEnd/c_proto.scm 52 */
									BgL__ortest_1140z00_2135 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1140z00_2135)
							{	/* BackEnd/c_proto.scm 52 */
								return BgL__ortest_1140z00_2135;
							}
						else
							{	/* BackEnd/c_proto.scm 54 */
								bool_t BgL__ortest_1141z00_2136;

								BgL__ortest_1141z00_2136 =
									(
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_globalz00_13)))->
										BgL_occurrencez00) > 0L);
								if (BgL__ortest_1141z00_2136)
									{	/* BackEnd/c_proto.scm 54 */
										return BgL__ortest_1141z00_2136;
									}
								else
									{	/* BackEnd/c_proto.scm 54 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_13)))->
												BgL_removablez00) == ((obj_t) CNST_TABLE_REF(2)));
									}
							}
					}
				else
					{	/* BackEnd/c_proto.scm 50 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &require-prototype? */
	obj_t BGl_z62requirezd2prototypezf3z43zzbackend_c_prototypez00(obj_t
		BgL_envz00_4064, obj_t BgL_globalz00_4065)
	{
		{	/* BackEnd/c_proto.scm 49 */
			return
				BBOOL(BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
					((BgL_globalz00_bglt) BgL_globalz00_4065)));
		}

	}



/* emit-prototypes */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 60 */
			{	/* BackEnd/c_proto.scm 63 */
				obj_t BgL_initz00_2147;

				{	/* BackEnd/c_proto.scm 63 */
					obj_t BgL_list1517z00_2148;

					BgL_list1517z00_2148 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
					BgL_initz00_2147 =
						BGl_findzd2globalzd2zzast_envz00(
						((obj_t) CNST_TABLE_REF(4)), BgL_list1517z00_2148);
				}
				if (CBOOL(BgL_initz00_2147))
					{	/* BackEnd/c_proto.scm 64 */
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
							((BgL_variablez00_bglt) BgL_initz00_2147));
					}
				else
					{	/* BackEnd/c_proto.scm 64 */
						BFALSE;
					}
			}
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc2265z00zzbackend_c_prototypez00, BNIL);
			{	/* BackEnd/c_proto.scm 74 */
				obj_t BgL_cnstzd2initzd2_2163;

				BgL_cnstzd2initzd2_2163 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* BackEnd/c_proto.scm 75 */
					BgL_valuez00_bglt BgL_arg1554z00_2164;

					BgL_arg1554z00_2164 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_cnstzd2initzd2_2163))))->
						BgL_valuez00);
					BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_arg1554z00_2164,
						((BgL_variablez00_bglt) BgL_cnstzd2initzd2_2163));
				}
			}
			{	/* BackEnd/c_proto.scm 77 */
				obj_t BgL_pragmasz00_2165;

				BgL_pragmasz00_2165 = BGl_getzd2staticzd2pragmasz00zzast_pragmaz00();
				if (NULLP(BgL_pragmasz00_2165))
					{	/* BackEnd/c_proto.scm 78 */
						BFALSE;
					}
				else
					{	/* BackEnd/c_proto.scm 78 */
						{
							obj_t BgL_l1365z00_2168;

							BgL_l1365z00_2168 = BgL_pragmasz00_2165;
						BgL_zc3z04anonymousza31556ze3z87_2169:
							if (PAIRP(BgL_l1365z00_2168))
								{	/* BackEnd/c_proto.scm 79 */
									{	/* BackEnd/c_proto.scm 80 */
										BgL_pragmaz00_bglt BgL_pz00_2171;

										BgL_pz00_2171 =
											((BgL_pragmaz00_bglt) CAR(BgL_l1365z00_2168));
										{	/* BackEnd/c_proto.scm 80 */
											BgL_cpragmaz00_bglt BgL_arg1558z00_2172;

											{	/* BackEnd/c_proto.scm 80 */
												BgL_cpragmaz00_bglt BgL_new1144z00_2173;

												{	/* BackEnd/c_proto.scm 83 */
													BgL_cpragmaz00_bglt BgL_new1143z00_2174;

													BgL_new1143z00_2174 =
														((BgL_cpragmaz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_cpragmaz00_bgl))));
													{	/* BackEnd/c_proto.scm 83 */
														long BgL_arg1560z00_2175;

														BgL_arg1560z00_2175 =
															BGL_CLASS_NUM(BGl_cpragmaz00zzcgen_copz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1143z00_2174),
															BgL_arg1560z00_2175);
													}
													BgL_new1144z00_2173 = BgL_new1143z00_2174;
												}
												((((BgL_copz00_bglt) COBJECT(
																((BgL_copz00_bglt) BgL_new1144z00_2173)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) BgL_pz00_2171)))->
															BgL_locz00)), BUNSPEC);
												((((BgL_copz00_bglt) COBJECT(((BgL_copz00_bglt)
																	BgL_new1144z00_2173)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
												((((BgL_cpragmaz00_bglt) COBJECT(BgL_new1144z00_2173))->
														BgL_formatz00) =
													((obj_t) (((BgL_pragmaz00_bglt)
																COBJECT(BgL_pz00_2171))->BgL_formatz00)),
													BUNSPEC);
												((((BgL_cpragmaz00_bglt) COBJECT(BgL_new1144z00_2173))->
														BgL_argsz00) =
													((obj_t) (((BgL_externz00_bglt)
																COBJECT(((BgL_externz00_bglt) BgL_pz00_2171)))->
															BgL_exprza2za2)), BUNSPEC);
												BgL_arg1558z00_2172 = BgL_new1144z00_2173;
											}
											BGl_emitzd2copzd2zzcgen_emitzd2copzd2(
												((BgL_copz00_bglt) BgL_arg1558z00_2172));
									}}
									{
										obj_t BgL_l1365z00_4332;

										BgL_l1365z00_4332 = CDR(BgL_l1365z00_2168);
										BgL_l1365z00_2168 = BgL_l1365z00_4332;
										goto BgL_zc3z04anonymousza31556ze3z87_2169;
									}
								}
							else
								{	/* BackEnd/c_proto.scm 79 */
									((bool_t) 1);
								}
						}
						bgl_display_char(((unsigned char) 10),
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			}}
			BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00
				(BGl_za2czd2portza2zd2zzbackend_c_emitz00);
			return bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-prototypes */
	obj_t BGl_z62emitzd2prototypeszb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_4067)
	{
		{	/* BackEnd/c_proto.scm 60 */
			return BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
		}

	}



/* &<@anonymous:1532> */
	obj_t BGl_z62zc3z04anonymousza31532ze3ze5zzbackend_c_prototypez00(obj_t
		BgL_envz00_4068, obj_t BgL_globalz00_4069)
	{
		{	/* BackEnd/c_proto.scm 67 */
			{	/* BackEnd/c_proto.scm 68 */
				bool_t BgL_test2469z00_4338;

				if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
						((BgL_globalz00_bglt) BgL_globalz00_4069)))
					{	/* BackEnd/c_proto.scm 69 */
						bool_t BgL_test2471z00_4342;

						{	/* BackEnd/c_proto.scm 69 */
							BgL_valuez00_bglt BgL_arg1553z00_4129;

							BgL_arg1553z00_4129 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_4069))))->
								BgL_valuez00);
							{	/* BackEnd/c_proto.scm 69 */
								obj_t BgL_classz00_4130;

								BgL_classz00_4130 = BGl_scnstz00zzast_varz00;
								{	/* BackEnd/c_proto.scm 69 */
									BgL_objectz00_bglt BgL_arg1858z00_4131;

									{	/* BackEnd/c_proto.scm 69 */
										obj_t BgL_tmpz00_4346;

										BgL_tmpz00_4346 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1553z00_4129));
										BgL_arg1858z00_4131 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4346);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* BackEnd/c_proto.scm 69 */
											long BgL_idxz00_4132;

											BgL_idxz00_4132 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4131);
											BgL_test2471z00_4342 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4132 + 2L)) == BgL_classz00_4130);
										}
									else
										{	/* BackEnd/c_proto.scm 69 */
											bool_t BgL_res2239z00_4135;

											{	/* BackEnd/c_proto.scm 69 */
												obj_t BgL_oclassz00_4136;

												{	/* BackEnd/c_proto.scm 69 */
													obj_t BgL_arg1866z00_4137;
													long BgL_arg1867z00_4138;

													BgL_arg1866z00_4137 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* BackEnd/c_proto.scm 69 */
														long BgL_arg1869z00_4139;

														BgL_arg1869z00_4139 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4131);
														BgL_arg1867z00_4138 =
															(BgL_arg1869z00_4139 - OBJECT_TYPE);
													}
													BgL_oclassz00_4136 =
														VECTOR_REF(BgL_arg1866z00_4137,
														BgL_arg1867z00_4138);
												}
												{	/* BackEnd/c_proto.scm 69 */
													bool_t BgL__ortest_1115z00_4140;

													BgL__ortest_1115z00_4140 =
														(BgL_classz00_4130 == BgL_oclassz00_4136);
													if (BgL__ortest_1115z00_4140)
														{	/* BackEnd/c_proto.scm 69 */
															BgL_res2239z00_4135 = BgL__ortest_1115z00_4140;
														}
													else
														{	/* BackEnd/c_proto.scm 69 */
															long BgL_odepthz00_4141;

															{	/* BackEnd/c_proto.scm 69 */
																obj_t BgL_arg1855z00_4142;

																BgL_arg1855z00_4142 = (BgL_oclassz00_4136);
																BgL_odepthz00_4141 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4142);
															}
															if ((2L < BgL_odepthz00_4141))
																{	/* BackEnd/c_proto.scm 69 */
																	obj_t BgL_arg1853z00_4143;

																	{	/* BackEnd/c_proto.scm 69 */
																		obj_t BgL_arg1854z00_4144;

																		BgL_arg1854z00_4144 = (BgL_oclassz00_4136);
																		BgL_arg1853z00_4143 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4144, 2L);
																	}
																	BgL_res2239z00_4135 =
																		(BgL_arg1853z00_4143 == BgL_classz00_4130);
																}
															else
																{	/* BackEnd/c_proto.scm 69 */
																	BgL_res2239z00_4135 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2471z00_4342 = BgL_res2239z00_4135;
										}
								}
							}
						}
						if (BgL_test2471z00_4342)
							{	/* BackEnd/c_proto.scm 69 */
								BgL_test2469z00_4338 = ((bool_t) 0);
							}
						else
							{	/* BackEnd/c_proto.scm 69 */
								BgL_test2469z00_4338 = ((bool_t) 1);
							}
					}
				else
					{	/* BackEnd/c_proto.scm 68 */
						BgL_test2469z00_4338 = ((bool_t) 0);
					}
				if (BgL_test2469z00_4338)
					{	/* BackEnd/c_proto.scm 70 */
						BgL_valuez00_bglt BgL_arg1545z00_4145;

						BgL_arg1545z00_4145 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_4069))))->BgL_valuez00);
						return
							BGl_emitzd2prototypezd2zzbackend_c_prototypez00
							(BgL_arg1545z00_4145,
							((BgL_variablez00_bglt) BgL_globalz00_4069));
					}
				else
					{	/* BackEnd/c_proto.scm 68 */
						return BFALSE;
					}
			}
		}

	}



/* emit-cnsts */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 95 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc2266z00zzbackend_c_prototypez00, BNIL);
			return bgl_display_char(((unsigned char) 10),
				BGl_za2czd2portza2zd2zzbackend_c_emitz00);
		}

	}



/* &emit-cnsts */
	obj_t BGl_z62emitzd2cnstszb0zzbackend_c_prototypez00(obj_t BgL_envz00_4071)
	{
		{	/* BackEnd/c_proto.scm 95 */
			return BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
		}

	}



/* &<@anonymous:1579> */
	obj_t BGl_z62zc3z04anonymousza31579ze3ze5zzbackend_c_prototypez00(obj_t
		BgL_envz00_4072, obj_t BgL_globalz00_4073)
	{
		{	/* BackEnd/c_proto.scm 97 */
			{	/* BackEnd/c_proto.scm 98 */
				bool_t BgL_test2475z00_4377;

				if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
						((BgL_globalz00_bglt) BgL_globalz00_4073)))
					{	/* BackEnd/c_proto.scm 99 */
						BgL_valuez00_bglt BgL_arg1588z00_4146;

						BgL_arg1588z00_4146 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_4073))))->BgL_valuez00);
						{	/* BackEnd/c_proto.scm 99 */
							obj_t BgL_classz00_4147;

							BgL_classz00_4147 = BGl_scnstz00zzast_varz00;
							{	/* BackEnd/c_proto.scm 99 */
								BgL_objectz00_bglt BgL_arg1858z00_4148;

								{	/* BackEnd/c_proto.scm 99 */
									obj_t BgL_tmpz00_4384;

									BgL_tmpz00_4384 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1588z00_4146));
									BgL_arg1858z00_4148 = (BgL_objectz00_bglt) (BgL_tmpz00_4384);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* BackEnd/c_proto.scm 99 */
										long BgL_idxz00_4149;

										BgL_idxz00_4149 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4148);
										BgL_test2475z00_4377 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4149 + 2L)) == BgL_classz00_4147);
									}
								else
									{	/* BackEnd/c_proto.scm 99 */
										bool_t BgL_res2240z00_4152;

										{	/* BackEnd/c_proto.scm 99 */
											obj_t BgL_oclassz00_4153;

											{	/* BackEnd/c_proto.scm 99 */
												obj_t BgL_arg1866z00_4154;
												long BgL_arg1867z00_4155;

												BgL_arg1866z00_4154 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* BackEnd/c_proto.scm 99 */
													long BgL_arg1869z00_4156;

													BgL_arg1869z00_4156 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4148);
													BgL_arg1867z00_4155 =
														(BgL_arg1869z00_4156 - OBJECT_TYPE);
												}
												BgL_oclassz00_4153 =
													VECTOR_REF(BgL_arg1866z00_4154, BgL_arg1867z00_4155);
											}
											{	/* BackEnd/c_proto.scm 99 */
												bool_t BgL__ortest_1115z00_4157;

												BgL__ortest_1115z00_4157 =
													(BgL_classz00_4147 == BgL_oclassz00_4153);
												if (BgL__ortest_1115z00_4157)
													{	/* BackEnd/c_proto.scm 99 */
														BgL_res2240z00_4152 = BgL__ortest_1115z00_4157;
													}
												else
													{	/* BackEnd/c_proto.scm 99 */
														long BgL_odepthz00_4158;

														{	/* BackEnd/c_proto.scm 99 */
															obj_t BgL_arg1855z00_4159;

															BgL_arg1855z00_4159 = (BgL_oclassz00_4153);
															BgL_odepthz00_4158 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4159);
														}
														if ((2L < BgL_odepthz00_4158))
															{	/* BackEnd/c_proto.scm 99 */
																obj_t BgL_arg1853z00_4160;

																{	/* BackEnd/c_proto.scm 99 */
																	obj_t BgL_arg1854z00_4161;

																	BgL_arg1854z00_4161 = (BgL_oclassz00_4153);
																	BgL_arg1853z00_4160 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4161,
																		2L);
																}
																BgL_res2240z00_4152 =
																	(BgL_arg1853z00_4160 == BgL_classz00_4147);
															}
														else
															{	/* BackEnd/c_proto.scm 99 */
																BgL_res2240z00_4152 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2475z00_4377 = BgL_res2240z00_4152;
									}
							}
						}
					}
				else
					{	/* BackEnd/c_proto.scm 98 */
						BgL_test2475z00_4377 = ((bool_t) 0);
					}
				if (BgL_test2475z00_4377)
					{	/* BackEnd/c_proto.scm 100 */
						BgL_valuez00_bglt BgL_arg1587z00_4162;

						BgL_arg1587z00_4162 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_4073))))->BgL_valuez00);
						return
							BGl_emitzd2cnstzd2zzbackend_c_prototypez00(
							((BgL_scnstz00_bglt) BgL_arg1587z00_4162),
							((BgL_globalz00_bglt) BgL_globalz00_4073));
					}
				else
					{	/* BackEnd/c_proto.scm 98 */
						return BFALSE;
					}
			}
		}

	}



/* emit-prototype/svar/scnst */
	obj_t
		BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00
		(BgL_valuez00_bglt BgL_valuez00_20, obj_t BgL_variablez00_21)
	{
		{	/* BackEnd/c_proto.scm 123 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_21));
			if (
				((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_variablez00_21)))->BgL_importz00) ==
					((obj_t) CNST_TABLE_REF(0))))
				{	/* BackEnd/c_proto.scm 128 */
					obj_t BgL_port1367z00_2192;

					BgL_port1367z00_2192 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 129 */
						obj_t BgL_arg1592z00_2193;

						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										CNST_TABLE_REF(5)),
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_variablez00_21)))->
										BgL_pragmaz00))))
							{	/* BackEnd/c_proto.scm 129 */
								BgL_arg1592z00_2193 = BGl_string2267z00zzbackend_c_prototypez00;
							}
						else
							{	/* BackEnd/c_proto.scm 129 */
								BgL_arg1592z00_2193 = BGl_string2268z00zzbackend_c_prototypez00;
							}
						bgl_display_obj(BgL_arg1592z00_2193, BgL_port1367z00_2192);
					}
					{	/* BackEnd/c_proto.scm 128 */
						obj_t BgL_tmpz00_4429;

						BgL_tmpz00_4429 = ((obj_t) BgL_port1367z00_2192);
						bgl_display_char(((unsigned char) ' '), BgL_tmpz00_4429);
					}
					{	/* BackEnd/c_proto.scm 133 */
						obj_t BgL_arg1605z00_2197;

						{	/* BackEnd/c_proto.scm 133 */
							BgL_typez00_bglt BgL_arg1611z00_2198;
							obj_t BgL_arg1612z00_2199;

							BgL_arg1611z00_2198 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_21)))->BgL_typez00);
							BgL_arg1612z00_2199 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_21)))->BgL_namez00);
							BgL_arg1605z00_2197 =
								BGl_makezd2typedzd2declarationz00zztype_toolsz00
								(BgL_arg1611z00_2198, BgL_arg1612z00_2199);
						}
						bgl_display_obj(BgL_arg1605z00_2197, BgL_port1367z00_2192);
					}
					{	/* BackEnd/c_proto.scm 134 */
						obj_t BgL_arg1625z00_2200;

						{	/* BackEnd/c_proto.scm 134 */
							BgL_typez00_bglt BgL_arg1626z00_2201;

							BgL_arg1626z00_2201 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_21)))->BgL_typez00);
							BgL_arg1625z00_2200 =
								BGl_typezd2nullzd2valuez00zzbackend_c_prototypez00
								(BgL_arg1626z00_2201);
						}
						bgl_display_obj(BgL_arg1625z00_2200, BgL_port1367z00_2192);
					}
					{	/* BackEnd/c_proto.scm 128 */
						obj_t BgL_tmpz00_4442;

						BgL_tmpz00_4442 = ((obj_t) BgL_port1367z00_2192);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4442);
				}}
			else
				{	/* BackEnd/c_proto.scm 127 */
					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_variablez00_21)))->
								BgL_importz00) == ((obj_t) CNST_TABLE_REF(1))))
						{	/* BackEnd/c_proto.scm 136 */
							obj_t BgL_port1368z00_2204;

							BgL_port1368z00_2204 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 137 */
								obj_t BgL_arg1633z00_2205;

								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t)
												CNST_TABLE_REF(5)),
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_21)))->
												BgL_pragmaz00))))
									{	/* BackEnd/c_proto.scm 137 */
										BgL_arg1633z00_2205 =
											BGl_string2269z00zzbackend_c_prototypez00;
									}
								else
									{	/* BackEnd/c_proto.scm 137 */
										BgL_arg1633z00_2205 =
											BGl_string2270z00zzbackend_c_prototypez00;
									}
								bgl_display_obj(BgL_arg1633z00_2205, BgL_port1368z00_2204);
							}
							{	/* BackEnd/c_proto.scm 140 */
								obj_t BgL_arg1642z00_2209;

								{	/* BackEnd/c_proto.scm 140 */
									BgL_typez00_bglt BgL_arg1643z00_2210;
									obj_t BgL_arg1648z00_2211;

									BgL_arg1643z00_2210 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_21)))->
										BgL_typez00);
									BgL_arg1648z00_2211 =
										(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_variablez00_21)))->BgL_namez00);
									BgL_arg1642z00_2209 =
										BGl_makezd2typedzd2declarationz00zztype_toolsz00
										(BgL_arg1643z00_2210, BgL_arg1648z00_2211);
								}
								bgl_display_obj(BgL_arg1642z00_2209, BgL_port1368z00_2204);
							}
							{	/* BackEnd/c_proto.scm 141 */
								obj_t BgL_arg1649z00_2212;

								{	/* BackEnd/c_proto.scm 141 */
									BgL_typez00_bglt BgL_arg1650z00_2213;

									BgL_arg1650z00_2213 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_21)))->
										BgL_typez00);
									BgL_arg1649z00_2212 =
										BGl_typezd2nullzd2valuez00zzbackend_c_prototypez00
										(BgL_arg1650z00_2213);
								}
								bgl_display_obj(BgL_arg1649z00_2212, BgL_port1368z00_2204);
							}
							{	/* BackEnd/c_proto.scm 136 */
								obj_t BgL_tmpz00_4469;

								BgL_tmpz00_4469 = ((obj_t) BgL_port1368z00_2204);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4469);
						}}
					else
						{	/* BackEnd/c_proto.scm 143 */
							obj_t BgL_port1369z00_2214;

							BgL_port1369z00_2214 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 144 */
								obj_t BgL_arg1653z00_2215;

								BgL_arg1653z00_2215 =
									BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
									((BgL_variablez00_bglt) BgL_variablez00_21));
								bgl_display_obj(BgL_arg1653z00_2215, BgL_port1369z00_2214);
							}
							{	/* BackEnd/c_proto.scm 143 */
								obj_t BgL_tmpz00_4475;

								BgL_tmpz00_4475 = ((obj_t) BgL_port1369z00_2214);
								bgl_display_char(((unsigned char) ' '), BgL_tmpz00_4475);
							}
							{	/* BackEnd/c_proto.scm 146 */
								obj_t BgL_arg1655z00_2216;

								{	/* BackEnd/c_proto.scm 146 */
									BgL_typez00_bglt BgL_arg1656z00_2217;
									obj_t BgL_arg1657z00_2218;

									BgL_arg1656z00_2217 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_variablez00_21)))->
										BgL_typez00);
									BgL_arg1657z00_2218 =
										(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_variablez00_21)))->BgL_namez00);
									BgL_arg1655z00_2216 =
										BGl_makezd2typedzd2declarationz00zztype_toolsz00
										(BgL_arg1656z00_2217, BgL_arg1657z00_2218);
								}
								bgl_display_obj(BgL_arg1655z00_2216, BgL_port1369z00_2214);
							}
							{	/* BackEnd/c_proto.scm 143 */
								obj_t BgL_tmpz00_4484;

								BgL_tmpz00_4484 = ((obj_t) BgL_port1369z00_2214);
								bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
									BgL_tmpz00_4484);
							}
							{	/* BackEnd/c_proto.scm 143 */
								obj_t BgL_tmpz00_4487;

								BgL_tmpz00_4487 = ((obj_t) BgL_port1369z00_2214);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4487);
		}}}}

	}



/* type-null-value */
	obj_t BGl_typezd2nullzd2valuez00zzbackend_c_prototypez00(BgL_typez00_bglt
		BgL_tz00_22)
	{
		{	/* BackEnd/c_proto.scm 152 */
			{
				BgL_typez00_bglt BgL_tz00_2232;
				BgL_typez00_bglt BgL_tz00_2224;

				if (BGl_subzd2typezf3z21zztype_envz00(BgL_tz00_22,
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00)))
					{	/* BackEnd/c_proto.scm 166 */
						BgL_tz00_2224 = BgL_tz00_22;
						{	/* BackEnd/c_proto.scm 156 */
							bool_t BgL_test2485z00_4493;

							{	/* BackEnd/c_proto.scm 156 */
								obj_t BgL_arg1679z00_2231;

								BgL_arg1679z00_2231 =
									(((BgL_typez00_bglt) COBJECT(BgL_tz00_2224))->BgL_nullz00);
								{	/* BackEnd/c_proto.scm 156 */
									obj_t BgL_classz00_3109;

									BgL_classz00_3109 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1679z00_2231))
										{	/* BackEnd/c_proto.scm 156 */
											BgL_objectz00_bglt BgL_arg1858z00_3111;

											BgL_arg1858z00_3111 =
												(BgL_objectz00_bglt) (BgL_arg1679z00_2231);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* BackEnd/c_proto.scm 156 */
													long BgL_idxz00_3117;

													BgL_idxz00_3117 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3111);
													BgL_test2485z00_4493 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3117 + 2L)) == BgL_classz00_3109);
												}
											else
												{	/* BackEnd/c_proto.scm 156 */
													bool_t BgL_res2241z00_3142;

													{	/* BackEnd/c_proto.scm 156 */
														obj_t BgL_oclassz00_3125;

														{	/* BackEnd/c_proto.scm 156 */
															obj_t BgL_arg1866z00_3133;
															long BgL_arg1867z00_3134;

															BgL_arg1866z00_3133 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* BackEnd/c_proto.scm 156 */
																long BgL_arg1869z00_3135;

																BgL_arg1869z00_3135 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3111);
																BgL_arg1867z00_3134 =
																	(BgL_arg1869z00_3135 - OBJECT_TYPE);
															}
															BgL_oclassz00_3125 =
																VECTOR_REF(BgL_arg1866z00_3133,
																BgL_arg1867z00_3134);
														}
														{	/* BackEnd/c_proto.scm 156 */
															bool_t BgL__ortest_1115z00_3126;

															BgL__ortest_1115z00_3126 =
																(BgL_classz00_3109 == BgL_oclassz00_3125);
															if (BgL__ortest_1115z00_3126)
																{	/* BackEnd/c_proto.scm 156 */
																	BgL_res2241z00_3142 =
																		BgL__ortest_1115z00_3126;
																}
															else
																{	/* BackEnd/c_proto.scm 156 */
																	long BgL_odepthz00_3127;

																	{	/* BackEnd/c_proto.scm 156 */
																		obj_t BgL_arg1855z00_3128;

																		BgL_arg1855z00_3128 = (BgL_oclassz00_3125);
																		BgL_odepthz00_3127 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3128);
																	}
																	if ((2L < BgL_odepthz00_3127))
																		{	/* BackEnd/c_proto.scm 156 */
																			obj_t BgL_arg1853z00_3130;

																			{	/* BackEnd/c_proto.scm 156 */
																				obj_t BgL_arg1854z00_3131;

																				BgL_arg1854z00_3131 =
																					(BgL_oclassz00_3125);
																				BgL_arg1853z00_3130 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3131, 2L);
																			}
																			BgL_res2241z00_3142 =
																				(BgL_arg1853z00_3130 ==
																				BgL_classz00_3109);
																		}
																	else
																		{	/* BackEnd/c_proto.scm 156 */
																			BgL_res2241z00_3142 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2485z00_4493 = BgL_res2241z00_3142;
												}
										}
									else
										{	/* BackEnd/c_proto.scm 156 */
											BgL_test2485z00_4493 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2485z00_4493)
								{	/* BackEnd/c_proto.scm 157 */
									obj_t BgL_arg1675z00_2229;

									BgL_arg1675z00_2229 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													(((BgL_typez00_bglt) COBJECT(BgL_tz00_2224))->
														BgL_nullz00))))->BgL_namez00);
									return
										string_append_3(BGl_string2272z00zzbackend_c_prototypez00,
										BgL_arg1675z00_2229,
										BGl_string2271z00zzbackend_c_prototypez00);
								}
							else
								{	/* BackEnd/c_proto.scm 156 */
									return BGl_string2273z00zzbackend_c_prototypez00;
								}
						}
					}
				else
					{	/* BackEnd/c_proto.scm 166 */
						BgL_tz00_2232 = BgL_tz00_22;
						{	/* BackEnd/c_proto.scm 162 */
							bool_t BgL_test2490z00_4521;

							{	/* BackEnd/c_proto.scm 162 */
								obj_t BgL_arg1693z00_2239;

								BgL_arg1693z00_2239 =
									(((BgL_typez00_bglt) COBJECT(BgL_tz00_2232))->BgL_nullz00);
								{	/* BackEnd/c_proto.scm 162 */
									obj_t BgL_classz00_3144;

									BgL_classz00_3144 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1693z00_2239))
										{	/* BackEnd/c_proto.scm 162 */
											BgL_objectz00_bglt BgL_arg1858z00_3146;

											BgL_arg1858z00_3146 =
												(BgL_objectz00_bglt) (BgL_arg1693z00_2239);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* BackEnd/c_proto.scm 162 */
													long BgL_idxz00_3152;

													BgL_idxz00_3152 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3146);
													BgL_test2490z00_4521 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3152 + 2L)) == BgL_classz00_3144);
												}
											else
												{	/* BackEnd/c_proto.scm 162 */
													bool_t BgL_res2242z00_3177;

													{	/* BackEnd/c_proto.scm 162 */
														obj_t BgL_oclassz00_3160;

														{	/* BackEnd/c_proto.scm 162 */
															obj_t BgL_arg1866z00_3168;
															long BgL_arg1867z00_3169;

															BgL_arg1866z00_3168 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* BackEnd/c_proto.scm 162 */
																long BgL_arg1869z00_3170;

																BgL_arg1869z00_3170 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3146);
																BgL_arg1867z00_3169 =
																	(BgL_arg1869z00_3170 - OBJECT_TYPE);
															}
															BgL_oclassz00_3160 =
																VECTOR_REF(BgL_arg1866z00_3168,
																BgL_arg1867z00_3169);
														}
														{	/* BackEnd/c_proto.scm 162 */
															bool_t BgL__ortest_1115z00_3161;

															BgL__ortest_1115z00_3161 =
																(BgL_classz00_3144 == BgL_oclassz00_3160);
															if (BgL__ortest_1115z00_3161)
																{	/* BackEnd/c_proto.scm 162 */
																	BgL_res2242z00_3177 =
																		BgL__ortest_1115z00_3161;
																}
															else
																{	/* BackEnd/c_proto.scm 162 */
																	long BgL_odepthz00_3162;

																	{	/* BackEnd/c_proto.scm 162 */
																		obj_t BgL_arg1855z00_3163;

																		BgL_arg1855z00_3163 = (BgL_oclassz00_3160);
																		BgL_odepthz00_3162 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3163);
																	}
																	if ((2L < BgL_odepthz00_3162))
																		{	/* BackEnd/c_proto.scm 162 */
																			obj_t BgL_arg1853z00_3165;

																			{	/* BackEnd/c_proto.scm 162 */
																				obj_t BgL_arg1854z00_3166;

																				BgL_arg1854z00_3166 =
																					(BgL_oclassz00_3160);
																				BgL_arg1853z00_3165 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3166, 2L);
																			}
																			BgL_res2242z00_3177 =
																				(BgL_arg1853z00_3165 ==
																				BgL_classz00_3144);
																		}
																	else
																		{	/* BackEnd/c_proto.scm 162 */
																			BgL_res2242z00_3177 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2490z00_4521 = BgL_res2242z00_3177;
												}
										}
									else
										{	/* BackEnd/c_proto.scm 162 */
											BgL_test2490z00_4521 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2490z00_4521)
								{	/* BackEnd/c_proto.scm 163 */
									obj_t BgL_arg1691z00_2237;

									BgL_arg1691z00_2237 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													(((BgL_typez00_bglt) COBJECT(BgL_tz00_2232))->
														BgL_nullz00))))->BgL_namez00);
									return
										string_append_3(BGl_string2272z00zzbackend_c_prototypez00,
										BgL_arg1691z00_2237,
										BGl_string2271z00zzbackend_c_prototypez00);
								}
							else
								{	/* BackEnd/c_proto.scm 162 */
									return BGl_string2271z00zzbackend_c_prototypez00;
								}
						}
					}
			}
		}

	}



/* emit-prototype-formal-types */
	obj_t BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00(obj_t
		BgL_typesz00_25)
	{
		{	/* BackEnd/c_proto.scm 192 */
			return
				string_append(BGl_string2274z00zzbackend_c_prototypez00,
				BGl_loopze72ze7zzbackend_c_prototypez00(BgL_typesz00_25));
		}

	}



/* loop~2 */
	obj_t BGl_loopze72ze7zzbackend_c_prototypez00(obj_t BgL_typesz00_2245)
	{
		{	/* BackEnd/c_proto.scm 197 */
			if (NULLP(CDR(((obj_t) BgL_typesz00_2245))))
				{	/* BackEnd/c_proto.scm 199 */
					obj_t BgL_arg1703z00_2249;

					{	/* BackEnd/c_proto.scm 199 */
						obj_t BgL_arg1715z00_2250;

						BgL_arg1715z00_2250 = CAR(((obj_t) BgL_typesz00_2245));
						BgL_arg1703z00_2249 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg1715z00_2250));
					}
					return
						string_append(BgL_arg1703z00_2249,
						BGl_string2275z00zzbackend_c_prototypez00);
				}
			else
				{	/* BackEnd/c_proto.scm 201 */
					obj_t BgL_arg1716z00_2251;
					obj_t BgL_arg1717z00_2252;

					{	/* BackEnd/c_proto.scm 201 */
						obj_t BgL_arg1720z00_2253;

						BgL_arg1720z00_2253 = CAR(((obj_t) BgL_typesz00_2245));
						BgL_arg1716z00_2251 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg1720z00_2253));
					}
					{	/* BackEnd/c_proto.scm 202 */
						obj_t BgL_arg1724z00_2254;

						BgL_arg1724z00_2254 = CDR(((obj_t) BgL_typesz00_2245));
						BgL_arg1717z00_2252 =
							BGl_loopze72ze7zzbackend_c_prototypez00(BgL_arg1724z00_2254);
					}
					return
						string_append_3(BgL_arg1716z00_2251,
						BGl_string2276z00zzbackend_c_prototypez00, BgL_arg1717z00_2252);
				}
		}

	}



/* emit-prototype-formals */
	obj_t BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00(obj_t
		BgL_argsz00_26)
	{
		{	/* BackEnd/c_proto.scm 207 */
			if (NULLP(BgL_argsz00_26))
				{	/* BackEnd/c_proto.scm 208 */
					return BGl_string2277z00zzbackend_c_prototypez00;
				}
			else
				{	/* BackEnd/c_proto.scm 208 */
					return
						string_append(BGl_string2274z00zzbackend_c_prototypez00,
						BGl_loopze71ze7zzbackend_c_prototypez00(BgL_argsz00_26));
				}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzbackend_c_prototypez00(obj_t BgL_argsz00_2260)
	{
		{	/* BackEnd/c_proto.scm 212 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_2260))))
				{	/* BackEnd/c_proto.scm 214 */
					BgL_localz00_bglt BgL_i1149z00_2264;

					BgL_i1149z00_2264 =
						((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_2260)));
					{	/* BackEnd/c_proto.scm 215 */
						obj_t BgL_arg1755z00_2265;

						{	/* BackEnd/c_proto.scm 215 */
							BgL_typez00_bglt BgL_arg1756z00_2266;

							BgL_arg1756z00_2266 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1149z00_2264)))->BgL_typez00);
							BgL_arg1755z00_2265 =
								BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
								(BgL_arg1756z00_2266);
						}
						return
							string_append(BgL_arg1755z00_2265,
							BGl_string2275z00zzbackend_c_prototypez00);
					}
				}
			else
				{	/* BackEnd/c_proto.scm 216 */
					BgL_localz00_bglt BgL_i1150z00_2267;

					BgL_i1150z00_2267 =
						((BgL_localz00_bglt) CAR(((obj_t) BgL_argsz00_2260)));
					{	/* BackEnd/c_proto.scm 217 */
						obj_t BgL_arg1757z00_2268;
						obj_t BgL_arg1763z00_2269;

						{	/* BackEnd/c_proto.scm 217 */
							BgL_typez00_bglt BgL_arg1765z00_2270;

							BgL_arg1765z00_2270 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1150z00_2267)))->BgL_typez00);
							BgL_arg1757z00_2268 =
								BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
								(BgL_arg1765z00_2270);
						}
						{	/* BackEnd/c_proto.scm 218 */
							obj_t BgL_arg1768z00_2271;

							BgL_arg1768z00_2271 = CDR(((obj_t) BgL_argsz00_2260));
							BgL_arg1763z00_2269 =
								BGl_loopze71ze7zzbackend_c_prototypez00(BgL_arg1768z00_2271);
						}
						return
							string_append_3(BgL_arg1757z00_2268,
							BGl_string2276z00zzbackend_c_prototypez00, BgL_arg1763z00_2269);
					}
				}
		}

	}



/* emit-cnst */
	obj_t BGl_emitzd2cnstzd2zzbackend_c_prototypez00(BgL_scnstz00_bglt
		BgL_valuez00_31, BgL_globalz00_bglt BgL_variablez00_32)
	{
		{	/* BackEnd/c_proto.scm 266 */
			{	/* BackEnd/c_proto.scm 268 */
				obj_t BgL_casezd2valuezd2_2275;

				BgL_casezd2valuezd2_2275 =
					(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_classz00);
				if ((BgL_casezd2valuezd2_2275 == ((obj_t) CNST_TABLE_REF(6))))
					{	/* BackEnd/c_proto.scm 268 */
						return
							BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(
							(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_nodez00),
							BgL_variablez00_32);
					}
				else
					{	/* BackEnd/c_proto.scm 268 */
						if ((BgL_casezd2valuezd2_2275 == ((obj_t) CNST_TABLE_REF(7))))
							{	/* BackEnd/c_proto.scm 268 */
								return
									BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(
									(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_nodez00),
									BgL_variablez00_32);
							}
						else
							{	/* BackEnd/c_proto.scm 268 */
								if ((BgL_casezd2valuezd2_2275 == ((obj_t) CNST_TABLE_REF(8))))
									{	/* BackEnd/c_proto.scm 268 */
										return
											BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(
											(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->
												BgL_nodez00), BgL_variablez00_32);
									}
								else
									{	/* BackEnd/c_proto.scm 268 */
										if (
											(BgL_casezd2valuezd2_2275 == ((obj_t) CNST_TABLE_REF(9))))
											{	/* BackEnd/c_proto.scm 268 */
												return
													BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(
													(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->
														BgL_nodez00), BgL_variablez00_32);
											}
										else
											{	/* BackEnd/c_proto.scm 268 */
												if (
													(BgL_casezd2valuezd2_2275 ==
														((obj_t) CNST_TABLE_REF(10))))
													{	/* BackEnd/c_proto.scm 268 */
														return
															BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00
															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->
																BgL_nodez00), BgL_variablez00_32);
													}
												else
													{	/* BackEnd/c_proto.scm 268 */
														if (
															(BgL_casezd2valuezd2_2275 ==
																((obj_t) CNST_TABLE_REF(11))))
															{	/* BackEnd/c_proto.scm 268 */
																return
																	BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00
																	((((BgL_scnstz00_bglt)
																			COBJECT(BgL_valuez00_31))->BgL_nodez00),
																	BgL_variablez00_32);
															}
														else
															{	/* BackEnd/c_proto.scm 268 */
																if (
																	(BgL_casezd2valuezd2_2275 ==
																		((obj_t) CNST_TABLE_REF(12))))
																	{	/* BackEnd/c_proto.scm 268 */
																		return
																			BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00
																			((((BgL_scnstz00_bglt)
																					COBJECT(BgL_valuez00_31))->
																				BgL_nodez00), BgL_variablez00_32);
																	}
																else
																	{	/* BackEnd/c_proto.scm 268 */
																		if (
																			(BgL_casezd2valuezd2_2275 ==
																				((obj_t) CNST_TABLE_REF(13))))
																			{	/* BackEnd/c_proto.scm 268 */
																				return
																					BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00
																					((((BgL_scnstz00_bglt)
																							COBJECT(BgL_valuez00_31))->
																						BgL_nodez00), BgL_variablez00_32);
																			}
																		else
																			{	/* BackEnd/c_proto.scm 268 */
																				if (
																					(BgL_casezd2valuezd2_2275 ==
																						((obj_t) CNST_TABLE_REF(14))))
																					{	/* BackEnd/c_proto.scm 268 */
																						return
																							BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00
																							((((BgL_scnstz00_bglt)
																									COBJECT(BgL_valuez00_31))->
																								BgL_nodez00),
																							BgL_variablez00_32,
																							BGl_string2278z00zzbackend_c_prototypez00);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 268 */
																						if (
																							(BgL_casezd2valuezd2_2275 ==
																								((obj_t) CNST_TABLE_REF(15))))
																							{	/* BackEnd/c_proto.scm 268 */
																								return
																									BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00
																									((((BgL_scnstz00_bglt)
																											COBJECT
																											(BgL_valuez00_31))->
																										BgL_nodez00),
																									BgL_variablez00_32,
																									BGl_string2279z00zzbackend_c_prototypez00);
																							}
																						else
																							{	/* BackEnd/c_proto.scm 268 */
																								if (
																									(BgL_casezd2valuezd2_2275 ==
																										((obj_t)
																											CNST_TABLE_REF(16))))
																									{	/* BackEnd/c_proto.scm 268 */
																										return
																											BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00
																											((((BgL_scnstz00_bglt)
																													COBJECT
																													(BgL_valuez00_31))->
																												BgL_nodez00),
																											BgL_variablez00_32);
																									}
																								else
																									{	/* BackEnd/c_proto.scm 268 */
																										if (
																											(BgL_casezd2valuezd2_2275
																												==
																												((obj_t)
																													CNST_TABLE_REF(17))))
																											{	/* BackEnd/c_proto.scm 268 */
																												return
																													BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00
																													((((BgL_scnstz00_bglt)
																															COBJECT
																															(BgL_valuez00_31))->
																														BgL_nodez00),
																													BgL_variablez00_32);
																											}
																										else
																											{	/* BackEnd/c_proto.scm 268 */
																												if (
																													(BgL_casezd2valuezd2_2275
																														==
																														((obj_t)
																															CNST_TABLE_REF
																															(18))))
																													{	/* BackEnd/c_proto.scm 268 */
																														return
																															BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00
																															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_nodez00), BgL_variablez00_32);
																													}
																												else
																													{	/* BackEnd/c_proto.scm 297 */
																														obj_t
																															BgL_arg1822z00_2302;
																														obj_t
																															BgL_arg1825z00_2303;
																														{	/* BackEnd/c_proto.scm 297 */
																															obj_t
																																BgL_arg1829z00_2304;
																															BgL_arg1829z00_2304
																																=
																																(((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_classz00);
																															{	/* BackEnd/c_proto.scm 297 */
																																obj_t
																																	BgL_list1830z00_2305;
																																BgL_list1830z00_2305
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1829z00_2304,
																																	BNIL);
																																BgL_arg1822z00_2302
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string2280z00zzbackend_c_prototypez00,
																																	BgL_list1830z00_2305);
																															}
																														}
																														BgL_arg1825z00_2303
																															=
																															BGl_shapez00zztools_shapez00
																															((((BgL_scnstz00_bglt) COBJECT(BgL_valuez00_31))->BgL_nodez00));
																														return
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2281z00zzbackend_c_prototypez00,
																															BgL_arg1822z00_2302,
																															BgL_arg1825z00_2303);
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* emit-cnst-string */
	obj_t BGl_emitzd2cnstzd2stringz00zzbackend_c_prototypez00(obj_t
		BgL_ostrz00_33, BgL_globalz00_bglt BgL_globalz00_34)
	{
		{	/* BackEnd/c_proto.scm 303 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_34));
			{	/* BackEnd/c_proto.scm 305 */
				bool_t BgL_test2511z00_4680;

				{	/* BackEnd/c_proto.scm 305 */
					bool_t BgL_test2512z00_4681;

					{	/* BackEnd/c_proto.scm 305 */
						long BgL_a1373z00_2403;

						BgL_a1373z00_2403 = STRING_LENGTH(((obj_t) BgL_ostrz00_33));
						if (INTEGERP
							(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00))
							{	/* BackEnd/c_proto.scm 305 */
								BgL_test2512z00_4681 =
									(BgL_a1373z00_2403 >
									(long)
									CINT(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00));
							}
						else
							{	/* BackEnd/c_proto.scm 305 */
								BgL_test2512z00_4681 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_a1373z00_2403),
									BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00);
							}
					}
					if (BgL_test2512z00_4681)
						{	/* BackEnd/c_proto.scm 305 */
							BgL_test2511z00_4680 =
								CBOOL(BGl_za2czd2splitzd2stringza2z00zzengine_paramz00);
						}
					else
						{	/* BackEnd/c_proto.scm 305 */
							BgL_test2511z00_4680 = ((bool_t) 0);
						}
				}
				if (BgL_test2511z00_4680)
					{	/* BackEnd/c_proto.scm 308 */
						obj_t BgL_auxz00_2313;

						{	/* BackEnd/c_proto.scm 308 */
							obj_t BgL_arg1859z00_2328;

							{	/* BackEnd/c_proto.scm 308 */
								obj_t BgL_arg1865z00_2329;

								BgL_arg1865z00_2329 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_34)))->BgL_namez00);
								BgL_arg1859z00_2328 =
									BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1865z00_2329);
							}
							BgL_auxz00_2313 =
								BGl_idzd2ze3namez31zzast_identz00(BgL_arg1859z00_2328);
						}
						{	/* BackEnd/c_proto.scm 309 */
							obj_t BgL_port1374z00_2314;

							BgL_port1374z00_2314 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 309 */
								obj_t BgL_tmpz00_4695;

								BgL_tmpz00_4695 = ((obj_t) BgL_port1374z00_2314);
								bgl_display_string(BGl_string2282z00zzbackend_c_prototypez00,
									BgL_tmpz00_4695);
							}
							{	/* BackEnd/c_proto.scm 311 */
								obj_t BgL_arg1842z00_2315;

								BgL_arg1842z00_2315 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_34)))->BgL_namez00);
								bgl_display_obj(BgL_arg1842z00_2315, BgL_port1374z00_2314);
							}
							{	/* BackEnd/c_proto.scm 309 */
								obj_t BgL_tmpz00_4701;

								BgL_tmpz00_4701 = ((obj_t) BgL_port1374z00_2314);
								bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
									BgL_tmpz00_4701);
							}
							bgl_display_obj(BgL_auxz00_2313, BgL_port1374z00_2314);
							{	/* BackEnd/c_proto.scm 309 */
								obj_t BgL_tmpz00_4705;

								BgL_tmpz00_4705 = ((obj_t) BgL_port1374z00_2314);
								bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
									BgL_tmpz00_4705);
							}
							{	/* BackEnd/c_proto.scm 315 */
								long BgL_arg1845z00_2316;

								BgL_arg1845z00_2316 = STRING_LENGTH(((obj_t) BgL_ostrz00_33));
								bgl_display_obj(BINT(BgL_arg1845z00_2316),
									BgL_port1374z00_2314);
							}
							{	/* BackEnd/c_proto.scm 309 */
								obj_t BgL_tmpz00_4712;

								BgL_tmpz00_4712 = ((obj_t) BgL_port1374z00_2314);
								bgl_display_string(BGl_string2283z00zzbackend_c_prototypez00,
									BgL_tmpz00_4712);
							}
							{	/* BackEnd/c_proto.scm 309 */
								obj_t BgL_tmpz00_4715;

								BgL_tmpz00_4715 = ((obj_t) BgL_port1374z00_2314);
								bgl_display_char(((unsigned char) 10), BgL_tmpz00_4715);
						}}
						bgl_display_string(BGl_string2284z00zzbackend_c_prototypez00,
							BGl_za2czd2portza2zd2zzbackend_c_emitz00);
						{	/* BackEnd/c_proto.scm 318 */
							long BgL_rlenz00_2317;

							BgL_rlenz00_2317 = STRING_LENGTH(((obj_t) BgL_ostrz00_33));
							{
								long BgL_iz00_2319;

								BgL_iz00_2319 = 0L;
							BgL_zc3z04anonymousza31846ze3z87_2320:
								if ((BgL_iz00_2319 == BgL_rlenz00_2317))
									{	/* BackEnd/c_proto.scm 321 */
										obj_t BgL_port1375z00_2322;

										BgL_port1375z00_2322 =
											BGl_za2czd2portza2zd2zzbackend_c_emitz00;
										{	/* BackEnd/c_proto.scm 321 */
											obj_t BgL_tmpz00_4723;

											BgL_tmpz00_4723 = ((obj_t) BgL_port1375z00_2322);
											bgl_display_string
												(BGl_string2285z00zzbackend_c_prototypez00,
												BgL_tmpz00_4723);
										}
										{	/* BackEnd/c_proto.scm 321 */
											obj_t BgL_tmpz00_4726;

											BgL_tmpz00_4726 = ((obj_t) BgL_port1375z00_2322);
											bgl_display_string
												(BGl_string2286z00zzbackend_c_prototypez00,
												BgL_tmpz00_4726);
										}
										{	/* BackEnd/c_proto.scm 324 */
											obj_t BgL_arg1851z00_2323;

											BgL_arg1851z00_2323 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_globalz00_34)))->
												BgL_namez00);
											bgl_display_obj(BgL_arg1851z00_2323,
												BgL_port1375z00_2322);
										}
										{	/* BackEnd/c_proto.scm 321 */
											obj_t BgL_tmpz00_4732;

											BgL_tmpz00_4732 = ((obj_t) BgL_port1375z00_2322);
											bgl_display_string
												(BGl_string2276z00zzbackend_c_prototypez00,
												BgL_tmpz00_4732);
										}
										bgl_display_obj(BgL_auxz00_2313, BgL_port1375z00_2322);
										{	/* BackEnd/c_proto.scm 321 */
											obj_t BgL_tmpz00_4736;

											BgL_tmpz00_4736 = ((obj_t) BgL_port1375z00_2322);
											bgl_display_string
												(BGl_string2287z00zzbackend_c_prototypez00,
												BgL_tmpz00_4736);
										}
										{	/* BackEnd/c_proto.scm 321 */
											obj_t BgL_tmpz00_4739;

											BgL_tmpz00_4739 = ((obj_t) BgL_port1375z00_2322);
											return
												bgl_display_char(((unsigned char) 10), BgL_tmpz00_4739);
									}}
								else
									{	/* BackEnd/c_proto.scm 320 */
										{	/* BackEnd/c_proto.scm 329 */
											long BgL_arg1852z00_2324;

											BgL_arg1852z00_2324 =
												(STRING_REF(((obj_t) BgL_ostrz00_33), BgL_iz00_2319));
											bgl_display_obj(BINT(BgL_arg1852z00_2324),
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
										bgl_display_string
											(BGl_string2288z00zzbackend_c_prototypez00,
											BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										{
											long BgL_iz00_4748;

											BgL_iz00_4748 = (BgL_iz00_2319 + 1L);
											BgL_iz00_2319 = BgL_iz00_4748;
											goto BgL_zc3z04anonymousza31846ze3z87_2320;
										}
									}
							}
						}
					}
				else
					{	/* BackEnd/c_proto.scm 332 */
						obj_t BgL_strz00_2330;

						BgL_strz00_2330 = string_for_read(((obj_t) BgL_ostrz00_33));
						{	/* BackEnd/c_proto.scm 334 */
							obj_t BgL_port1154z00_2331;

							BgL_port1154z00_2331 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 334 */
								obj_t BgL_tmpz00_4752;

								BgL_tmpz00_4752 = ((obj_t) BgL_port1154z00_2331);
								bgl_display_string(BGl_string2289z00zzbackend_c_prototypez00,
									BgL_tmpz00_4752);
							}
							{	/* BackEnd/c_proto.scm 336 */
								obj_t BgL_arg1872z00_2332;

								BgL_arg1872z00_2332 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_34)))->BgL_namez00);
								bgl_display_obj(BgL_arg1872z00_2332, BgL_port1154z00_2331);
							}
							{	/* BackEnd/c_proto.scm 334 */
								obj_t BgL_tmpz00_4758;

								BgL_tmpz00_4758 = ((obj_t) BgL_port1154z00_2331);
								bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
									BgL_tmpz00_4758);
							}
							{	/* BackEnd/c_proto.scm 338 */
								obj_t BgL_arg1873z00_2333;

								{	/* BackEnd/c_proto.scm 338 */
									obj_t BgL_arg1876z00_2334;

									{	/* BackEnd/c_proto.scm 338 */
										obj_t BgL_arg1878z00_2335;

										BgL_arg1878z00_2335 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_34)))->
											BgL_namez00);
										BgL_arg1876z00_2334 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1878z00_2335);
									}
									BgL_arg1873z00_2333 =
										BGl_idzd2ze3namez31zzast_identz00(BgL_arg1876z00_2334);
								}
								bgl_display_obj(BgL_arg1873z00_2333, BgL_port1154z00_2331);
							}
							{	/* BackEnd/c_proto.scm 334 */
								obj_t BgL_tmpz00_4766;

								BgL_tmpz00_4766 = ((obj_t) BgL_port1154z00_2331);
								bgl_display_string(BGl_string2290z00zzbackend_c_prototypez00,
									BgL_tmpz00_4766);
							}
						}
						{	/* BackEnd/c_proto.scm 340 */
							long BgL_g1155z00_2336;

							BgL_g1155z00_2336 = STRING_LENGTH(BgL_strz00_2330);
							{
								long BgL_readz00_2338;
								long BgL_rlenz00_2339;

								BgL_readz00_2338 = 0L;
								BgL_rlenz00_2339 = BgL_g1155z00_2336;
							BgL_zc3z04anonymousza31879ze3z87_2340:
								if (
									(BgL_rlenz00_2339 <=
										(long)
										CINT
										(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00)))
									{	/* BackEnd/c_proto.scm 343 */
										{	/* BackEnd/c_proto.scm 344 */
											obj_t BgL_arg1882z00_2342;

											BgL_arg1882z00_2342 =
												BGl_untrigraphz00zzbackend_c_emitz00(c_substring
												(BgL_strz00_2330, BgL_readz00_2338,
													(BgL_readz00_2338 + BgL_rlenz00_2339)));
											bgl_display_obj(BgL_arg1882z00_2342,
												BGl_za2czd2portza2zd2zzbackend_c_emitz00);
										}
										{	/* BackEnd/c_proto.scm 346 */
											obj_t BgL_port1376z00_2345;

											BgL_port1376z00_2345 =
												BGl_za2czd2portza2zd2zzbackend_c_emitz00;
											{	/* BackEnd/c_proto.scm 346 */
												obj_t BgL_tmpz00_4777;

												BgL_tmpz00_4777 = ((obj_t) BgL_port1376z00_2345);
												bgl_display_string
													(BGl_string2291z00zzbackend_c_prototypez00,
													BgL_tmpz00_4777);
											}
											{	/* BackEnd/c_proto.scm 346 */
												long BgL_arg1886z00_2346;

												BgL_arg1886z00_2346 =
													STRING_LENGTH(((obj_t) BgL_ostrz00_33));
												bgl_display_obj(BINT(BgL_arg1886z00_2346),
													BgL_port1376z00_2345);
											}
											{	/* BackEnd/c_proto.scm 346 */
												obj_t BgL_tmpz00_4784;

												BgL_tmpz00_4784 = ((obj_t) BgL_port1376z00_2345);
												bgl_display_string
													(BGl_string2292z00zzbackend_c_prototypez00,
													BgL_tmpz00_4784);
											}
											{	/* BackEnd/c_proto.scm 346 */
												obj_t BgL_tmpz00_4787;

												BgL_tmpz00_4787 = ((obj_t) BgL_port1376z00_2345);
												return
													bgl_display_char(((unsigned char) 10),
													BgL_tmpz00_4787);
									}}}
								else
									{	/* BackEnd/c_proto.scm 348 */
										long BgL_g1159z00_2347;

										BgL_g1159z00_2347 =
											(BgL_readz00_2338 +
											(long)
											CINT
											(BGl_za2maxzd2czd2tokenzd2lengthza2zd2zzengine_paramz00));
										{
											long BgL_offsetz00_2349;

											BgL_offsetz00_2349 = BgL_g1159z00_2347;
										BgL_zc3z04anonymousza31887ze3z87_2350:
											if (((BgL_readz00_2338 + 3L) >= BgL_offsetz00_2349))
												{	/* BackEnd/c_proto.scm 350 */
													return
														BGl_internalzd2errorzd2zztools_errorz00
														(BGl_string2293z00zzbackend_c_prototypez00,
														BGl_string2294z00zzbackend_c_prototypez00,
														BgL_ostrz00_33);
												}
											else
												{	/* BackEnd/c_proto.scm 350 */
													if (
														(STRING_REF(BgL_strz00_2330,
																(BgL_offsetz00_2349 - 1L)) ==
															((unsigned char) '\\')))
														{
															long BgL_offsetz00_4800;

															BgL_offsetz00_4800 = (BgL_offsetz00_2349 - 1L);
															BgL_offsetz00_2349 = BgL_offsetz00_4800;
															goto BgL_zc3z04anonymousza31887ze3z87_2350;
														}
													else
														{	/* BackEnd/c_proto.scm 356 */
															bool_t BgL_test2518z00_4802;

															if (
																(STRING_REF(BgL_strz00_2330,
																		(BgL_offsetz00_2349 - 2L)) ==
																	((unsigned char) '\\')))
																{	/* BackEnd/c_proto.scm 357 */
																	unsigned char BgL_tmpz00_4807;

																	BgL_tmpz00_4807 =
																		STRING_REF(BgL_strz00_2330,
																		(BgL_offsetz00_2349 - 1L));
																	BgL_test2518z00_4802 =
																		isdigit(BgL_tmpz00_4807);
																}
															else
																{	/* BackEnd/c_proto.scm 356 */
																	BgL_test2518z00_4802 = ((bool_t) 0);
																}
															if (BgL_test2518z00_4802)
																{
																	long BgL_offsetz00_4811;

																	BgL_offsetz00_4811 =
																		(BgL_offsetz00_2349 - 2L);
																	BgL_offsetz00_2349 = BgL_offsetz00_4811;
																	goto BgL_zc3z04anonymousza31887ze3z87_2350;
																}
															else
																{	/* BackEnd/c_proto.scm 359 */
																	bool_t BgL_test2520z00_4813;

																	if (
																		(STRING_REF(BgL_strz00_2330,
																				(BgL_offsetz00_2349 - 3L)) ==
																			((unsigned char) '\\')))
																		{	/* BackEnd/c_proto.scm 360 */
																			bool_t BgL_test2522z00_4818;

																			{	/* BackEnd/c_proto.scm 360 */
																				unsigned char BgL_tmpz00_4819;

																				BgL_tmpz00_4819 =
																					STRING_REF(BgL_strz00_2330,
																					(BgL_offsetz00_2349 - 2L));
																				BgL_test2522z00_4818 =
																					isdigit(BgL_tmpz00_4819);
																			}
																			if (BgL_test2522z00_4818)
																				{	/* BackEnd/c_proto.scm 361 */
																					unsigned char BgL_tmpz00_4823;

																					BgL_tmpz00_4823 =
																						STRING_REF(BgL_strz00_2330,
																						(BgL_offsetz00_2349 - 1L));
																					BgL_test2520z00_4813 =
																						isdigit(BgL_tmpz00_4823);
																				}
																			else
																				{	/* BackEnd/c_proto.scm 360 */
																					BgL_test2520z00_4813 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 359 */
																			BgL_test2520z00_4813 = ((bool_t) 0);
																		}
																	if (BgL_test2520z00_4813)
																		{
																			long BgL_offsetz00_4827;

																			BgL_offsetz00_4827 =
																				(BgL_offsetz00_2349 - 3L);
																			BgL_offsetz00_2349 = BgL_offsetz00_4827;
																			goto
																				BgL_zc3z04anonymousza31887ze3z87_2350;
																		}
																	else
																		{	/* BackEnd/c_proto.scm 359 */
																			{	/* BackEnd/c_proto.scm 364 */
																				obj_t BgL_port1160z00_2380;

																				BgL_port1160z00_2380 =
																					BGl_za2czd2portza2zd2zzbackend_c_emitz00;
																				bgl_display_obj(c_substring
																					(BgL_strz00_2330, BgL_readz00_2338,
																						BgL_offsetz00_2349),
																					BgL_port1160z00_2380);
																				{	/* BackEnd/c_proto.scm 364 */
																					obj_t BgL_tmpz00_4831;

																					BgL_tmpz00_4831 =
																						((obj_t) BgL_port1160z00_2380);
																					bgl_display_string
																						(BGl_string2295z00zzbackend_c_prototypez00,
																						BgL_tmpz00_4831);
																				}
																			}
																			{
																				long BgL_rlenz00_4835;
																				long BgL_readz00_4834;

																				BgL_readz00_4834 = BgL_offsetz00_2349;
																				BgL_rlenz00_4835 =
																					(BgL_rlenz00_2339 -
																					(BgL_offsetz00_2349 -
																						BgL_readz00_2338));
																				BgL_rlenz00_2339 = BgL_rlenz00_4835;
																				BgL_readz00_2338 = BgL_readz00_4834;
																				goto
																					BgL_zc3z04anonymousza31879ze3z87_2340;
																			}
																		}
																}
														}
												}
										}
									}
							}
						}
					}
			}
		}

	}



/* emit-cnst-real */
	obj_t BGl_emitzd2cnstzd2realz00zzbackend_c_prototypez00(obj_t BgL_realz00_35,
		BgL_globalz00_bglt BgL_globalz00_36)
	{
		{	/* BackEnd/c_proto.scm 372 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_36));
			if (BGL_IS_NAN(REAL_TO_DOUBLE(BgL_realz00_35)))
				{	/* BackEnd/c_proto.scm 376 */
					obj_t BgL_port1377z00_2406;

					BgL_port1377z00_2406 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 376 */
						obj_t BgL_tmpz00_4843;

						BgL_tmpz00_4843 = ((obj_t) BgL_port1377z00_2406);
						bgl_display_string(BGl_string2296z00zzbackend_c_prototypez00,
							BgL_tmpz00_4843);
					}
					{	/* BackEnd/c_proto.scm 376 */
						obj_t BgL_arg1940z00_2407;

						BgL_arg1940z00_2407 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_36)))->BgL_namez00);
						bgl_display_obj(BgL_arg1940z00_2407, BgL_port1377z00_2406);
					}
					{	/* BackEnd/c_proto.scm 376 */
						obj_t BgL_tmpz00_4849;

						BgL_tmpz00_4849 = ((obj_t) BgL_port1377z00_2406);
						bgl_display_string(BGl_string2297z00zzbackend_c_prototypez00,
							BgL_tmpz00_4849);
					}
					{	/* BackEnd/c_proto.scm 376 */
						obj_t BgL_tmpz00_4852;

						BgL_tmpz00_4852 = ((obj_t) BgL_port1377z00_2406);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4852);
				}}
			else
				{	/* BackEnd/c_proto.scm 377 */
					bool_t BgL_test2524z00_4855;

					if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_realz00_35)))
						{	/* BackEnd/c_proto.scm 377 */
							BgL_test2524z00_4855 =
								(REAL_TO_DOUBLE(BgL_realz00_35) > ((double) 0.0));
						}
					else
						{	/* BackEnd/c_proto.scm 377 */
							BgL_test2524z00_4855 = ((bool_t) 0);
						}
					if (BgL_test2524z00_4855)
						{	/* BackEnd/c_proto.scm 378 */
							obj_t BgL_port1378z00_2410;

							BgL_port1378z00_2410 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
							{	/* BackEnd/c_proto.scm 378 */
								obj_t BgL_tmpz00_4861;

								BgL_tmpz00_4861 = ((obj_t) BgL_port1378z00_2410);
								bgl_display_string(BGl_string2296z00zzbackend_c_prototypez00,
									BgL_tmpz00_4861);
							}
							{	/* BackEnd/c_proto.scm 378 */
								obj_t BgL_arg1943z00_2411;

								BgL_arg1943z00_2411 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_36)))->BgL_namez00);
								bgl_display_obj(BgL_arg1943z00_2411, BgL_port1378z00_2410);
							}
							{	/* BackEnd/c_proto.scm 378 */
								obj_t BgL_tmpz00_4867;

								BgL_tmpz00_4867 = ((obj_t) BgL_port1378z00_2410);
								bgl_display_string(BGl_string2298z00zzbackend_c_prototypez00,
									BgL_tmpz00_4867);
							}
							{	/* BackEnd/c_proto.scm 378 */
								obj_t BgL_tmpz00_4870;

								BgL_tmpz00_4870 = ((obj_t) BgL_port1378z00_2410);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4870);
						}}
					else
						{	/* BackEnd/c_proto.scm 377 */
							if (BGL_IS_INF(REAL_TO_DOUBLE(BgL_realz00_35)))
								{	/* BackEnd/c_proto.scm 380 */
									obj_t BgL_port1379z00_2413;

									BgL_port1379z00_2413 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 380 */
										obj_t BgL_tmpz00_4876;

										BgL_tmpz00_4876 = ((obj_t) BgL_port1379z00_2413);
										bgl_display_string
											(BGl_string2296z00zzbackend_c_prototypez00,
											BgL_tmpz00_4876);
									}
									{	/* BackEnd/c_proto.scm 380 */
										obj_t BgL_arg1945z00_2414;

										BgL_arg1945z00_2414 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_36)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg1945z00_2414, BgL_port1379z00_2413);
									}
									{	/* BackEnd/c_proto.scm 380 */
										obj_t BgL_tmpz00_4882;

										BgL_tmpz00_4882 = ((obj_t) BgL_port1379z00_2413);
										bgl_display_string
											(BGl_string2299z00zzbackend_c_prototypez00,
											BgL_tmpz00_4882);
									}
									{	/* BackEnd/c_proto.scm 380 */
										obj_t BgL_tmpz00_4885;

										BgL_tmpz00_4885 = ((obj_t) BgL_port1379z00_2413);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4885);
								}}
							else
								{	/* BackEnd/c_proto.scm 382 */
									obj_t BgL_port1380z00_2415;

									BgL_port1380z00_2415 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 382 */
										obj_t BgL_tmpz00_4888;

										BgL_tmpz00_4888 = ((obj_t) BgL_port1380z00_2415);
										bgl_display_string
											(BGl_string2300z00zzbackend_c_prototypez00,
											BgL_tmpz00_4888);
									}
									{	/* BackEnd/c_proto.scm 383 */
										obj_t BgL_arg1946z00_2416;

										BgL_arg1946z00_2416 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_36)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg1946z00_2416, BgL_port1380z00_2415);
									}
									{	/* BackEnd/c_proto.scm 382 */
										obj_t BgL_tmpz00_4894;

										BgL_tmpz00_4894 = ((obj_t) BgL_port1380z00_2415);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_4894);
									}
									{	/* BackEnd/c_proto.scm 384 */
										obj_t BgL_arg1947z00_2417;

										{	/* BackEnd/c_proto.scm 384 */
											obj_t BgL_arg1948z00_2418;

											{	/* BackEnd/c_proto.scm 384 */
												obj_t BgL_arg1950z00_2419;

												BgL_arg1950z00_2419 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_globalz00_36)))->
													BgL_namez00);
												BgL_arg1948z00_2418 =
													BGl_gensymz00zz__r4_symbols_6_4z00
													(BgL_arg1950z00_2419);
											}
											BgL_arg1947z00_2417 =
												BGl_idzd2ze3namez31zzast_identz00(BgL_arg1948z00_2418);
										}
										bgl_display_obj(BgL_arg1947z00_2417, BgL_port1380z00_2415);
									}
									{	/* BackEnd/c_proto.scm 382 */
										obj_t BgL_tmpz00_4902;

										BgL_tmpz00_4902 = ((obj_t) BgL_port1380z00_2415);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_4902);
									}
									bgl_display_obj(BgL_realz00_35, BgL_port1380z00_2415);
									{	/* BackEnd/c_proto.scm 382 */
										obj_t BgL_tmpz00_4906;

										BgL_tmpz00_4906 = ((obj_t) BgL_port1380z00_2415);
										bgl_display_string
											(BGl_string2292z00zzbackend_c_prototypez00,
											BgL_tmpz00_4906);
									}
									{	/* BackEnd/c_proto.scm 382 */
										obj_t BgL_tmpz00_4909;

										BgL_tmpz00_4909 = ((obj_t) BgL_port1380z00_2415);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4909);
		}}}}}

	}



/* emit-cnst-elong */
	obj_t BGl_emitzd2cnstzd2elongz00zzbackend_c_prototypez00(obj_t
		BgL_elongz00_37, BgL_globalz00_bglt BgL_globalz00_38)
	{
		{	/* BackEnd/c_proto.scm 390 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_38));
			{	/* BackEnd/c_proto.scm 392 */
				obj_t BgL_port1381z00_2421;

				BgL_port1381z00_2421 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 392 */
					obj_t BgL_tmpz00_4914;

					BgL_tmpz00_4914 = ((obj_t) BgL_port1381z00_2421);
					bgl_display_string(BGl_string2301z00zzbackend_c_prototypez00,
						BgL_tmpz00_4914);
				}
				{	/* BackEnd/c_proto.scm 394 */
					obj_t BgL_arg1953z00_2422;

					BgL_arg1953z00_2422 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_38)))->BgL_namez00);
					bgl_display_obj(BgL_arg1953z00_2422, BgL_port1381z00_2421);
				}
				{	/* BackEnd/c_proto.scm 392 */
					obj_t BgL_tmpz00_4920;

					BgL_tmpz00_4920 = ((obj_t) BgL_port1381z00_2421);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4920);
				}
				{	/* BackEnd/c_proto.scm 396 */
					obj_t BgL_arg1954z00_2423;

					{	/* BackEnd/c_proto.scm 396 */
						obj_t BgL_arg1955z00_2424;

						{	/* BackEnd/c_proto.scm 396 */
							obj_t BgL_arg1956z00_2425;

							BgL_arg1956z00_2425 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_38)))->BgL_namez00);
							BgL_arg1955z00_2424 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1956z00_2425);
						}
						BgL_arg1954z00_2423 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1955z00_2424);
					}
					bgl_display_obj(BgL_arg1954z00_2423, BgL_port1381z00_2421);
				}
				{	/* BackEnd/c_proto.scm 392 */
					obj_t BgL_tmpz00_4928;

					BgL_tmpz00_4928 = ((obj_t) BgL_port1381z00_2421);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4928);
				}
				{	/* BackEnd/c_proto.scm 398 */
					obj_t BgL_arg1957z00_2426;

					BgL_arg1957z00_2426 =
						BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BELONG_TO_LONG
						(BgL_elongz00_37), BNIL);
					bgl_display_obj(BgL_arg1957z00_2426, BgL_port1381z00_2421);
				}
				{	/* BackEnd/c_proto.scm 392 */
					obj_t BgL_tmpz00_4934;

					BgL_tmpz00_4934 = ((obj_t) BgL_port1381z00_2421);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_4934);
				}
				{	/* BackEnd/c_proto.scm 392 */
					obj_t BgL_tmpz00_4937;

					BgL_tmpz00_4937 = ((obj_t) BgL_port1381z00_2421);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4937);
		}}}

	}



/* emit-cnst-llong */
	obj_t BGl_emitzd2cnstzd2llongz00zzbackend_c_prototypez00(obj_t
		BgL_llongz00_39, BgL_globalz00_bglt BgL_globalz00_40)
	{
		{	/* BackEnd/c_proto.scm 404 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_40));
			{	/* BackEnd/c_proto.scm 406 */
				obj_t BgL_port1382z00_2428;

				BgL_port1382z00_2428 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 406 */
					obj_t BgL_tmpz00_4942;

					BgL_tmpz00_4942 = ((obj_t) BgL_port1382z00_2428);
					bgl_display_string(BGl_string2302z00zzbackend_c_prototypez00,
						BgL_tmpz00_4942);
				}
				{	/* BackEnd/c_proto.scm 408 */
					obj_t BgL_arg1960z00_2429;

					BgL_arg1960z00_2429 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_40)))->BgL_namez00);
					bgl_display_obj(BgL_arg1960z00_2429, BgL_port1382z00_2428);
				}
				{	/* BackEnd/c_proto.scm 406 */
					obj_t BgL_tmpz00_4948;

					BgL_tmpz00_4948 = ((obj_t) BgL_port1382z00_2428);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4948);
				}
				{	/* BackEnd/c_proto.scm 410 */
					obj_t BgL_arg1961z00_2430;

					{	/* BackEnd/c_proto.scm 410 */
						obj_t BgL_arg1962z00_2431;

						{	/* BackEnd/c_proto.scm 410 */
							obj_t BgL_arg1963z00_2432;

							BgL_arg1963z00_2432 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_40)))->BgL_namez00);
							BgL_arg1962z00_2431 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1963z00_2432);
						}
						BgL_arg1961z00_2430 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1962z00_2431);
					}
					bgl_display_obj(BgL_arg1961z00_2430, BgL_port1382z00_2428);
				}
				{	/* BackEnd/c_proto.scm 406 */
					obj_t BgL_tmpz00_4956;

					BgL_tmpz00_4956 = ((obj_t) BgL_port1382z00_2428);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4956);
				}
				bgl_display_obj(BGl_llongzd2ze3czd2isoze3zzbackend_c_emitz00
					(BLLONG_TO_LLONG(BgL_llongz00_39)), BgL_port1382z00_2428);
				{	/* BackEnd/c_proto.scm 406 */
					obj_t BgL_tmpz00_4962;

					BgL_tmpz00_4962 = ((obj_t) BgL_port1382z00_2428);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_4962);
				}
				{	/* BackEnd/c_proto.scm 406 */
					obj_t BgL_tmpz00_4965;

					BgL_tmpz00_4965 = ((obj_t) BgL_port1382z00_2428);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4965);
		}}}

	}



/* emit-cnst-int32 */
	obj_t BGl_emitzd2cnstzd2int32z00zzbackend_c_prototypez00(obj_t
		BgL_int32z00_41, BgL_globalz00_bglt BgL_globalz00_42)
	{
		{	/* BackEnd/c_proto.scm 418 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_42));
			{	/* BackEnd/c_proto.scm 420 */
				obj_t BgL_port1383z00_2434;

				BgL_port1383z00_2434 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 420 */
					obj_t BgL_tmpz00_4970;

					BgL_tmpz00_4970 = ((obj_t) BgL_port1383z00_2434);
					bgl_display_string(BGl_string2303z00zzbackend_c_prototypez00,
						BgL_tmpz00_4970);
				}
				{	/* BackEnd/c_proto.scm 422 */
					obj_t BgL_arg1966z00_2435;

					BgL_arg1966z00_2435 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_42)))->BgL_namez00);
					bgl_display_obj(BgL_arg1966z00_2435, BgL_port1383z00_2434);
				}
				{	/* BackEnd/c_proto.scm 420 */
					obj_t BgL_tmpz00_4976;

					BgL_tmpz00_4976 = ((obj_t) BgL_port1383z00_2434);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4976);
				}
				{	/* BackEnd/c_proto.scm 424 */
					obj_t BgL_arg1967z00_2436;

					{	/* BackEnd/c_proto.scm 424 */
						obj_t BgL_arg1968z00_2437;

						{	/* BackEnd/c_proto.scm 424 */
							obj_t BgL_arg1969z00_2438;

							BgL_arg1969z00_2438 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_42)))->BgL_namez00);
							BgL_arg1968z00_2437 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1969z00_2438);
						}
						BgL_arg1967z00_2436 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1968z00_2437);
					}
					bgl_display_obj(BgL_arg1967z00_2436, BgL_port1383z00_2434);
				}
				{	/* BackEnd/c_proto.scm 420 */
					obj_t BgL_tmpz00_4984;

					BgL_tmpz00_4984 = ((obj_t) BgL_port1383z00_2434);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_4984);
				}
				bgl_display_obj(BgL_int32z00_41, BgL_port1383z00_2434);
				{	/* BackEnd/c_proto.scm 420 */
					obj_t BgL_tmpz00_4988;

					BgL_tmpz00_4988 = ((obj_t) BgL_port1383z00_2434);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_4988);
				}
				{	/* BackEnd/c_proto.scm 420 */
					obj_t BgL_tmpz00_4991;

					BgL_tmpz00_4991 = ((obj_t) BgL_port1383z00_2434);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_4991);
		}}}

	}



/* emit-cnst-uint32 */
	obj_t BGl_emitzd2cnstzd2uint32z00zzbackend_c_prototypez00(obj_t
		BgL_uint32z00_43, BgL_globalz00_bglt BgL_globalz00_44)
	{
		{	/* BackEnd/c_proto.scm 432 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_44));
			{	/* BackEnd/c_proto.scm 434 */
				obj_t BgL_port1384z00_2439;

				BgL_port1384z00_2439 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 434 */
					obj_t BgL_tmpz00_4996;

					BgL_tmpz00_4996 = ((obj_t) BgL_port1384z00_2439);
					bgl_display_string(BGl_string2304z00zzbackend_c_prototypez00,
						BgL_tmpz00_4996);
				}
				{	/* BackEnd/c_proto.scm 436 */
					obj_t BgL_arg1970z00_2440;

					BgL_arg1970z00_2440 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_44)))->BgL_namez00);
					bgl_display_obj(BgL_arg1970z00_2440, BgL_port1384z00_2439);
				}
				{	/* BackEnd/c_proto.scm 434 */
					obj_t BgL_tmpz00_5002;

					BgL_tmpz00_5002 = ((obj_t) BgL_port1384z00_2439);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5002);
				}
				{	/* BackEnd/c_proto.scm 438 */
					obj_t BgL_arg1971z00_2441;

					{	/* BackEnd/c_proto.scm 438 */
						obj_t BgL_arg1972z00_2442;

						{	/* BackEnd/c_proto.scm 438 */
							obj_t BgL_arg1973z00_2443;

							BgL_arg1973z00_2443 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_44)))->BgL_namez00);
							BgL_arg1972z00_2442 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1973z00_2443);
						}
						BgL_arg1971z00_2441 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1972z00_2442);
					}
					bgl_display_obj(BgL_arg1971z00_2441, BgL_port1384z00_2439);
				}
				{	/* BackEnd/c_proto.scm 434 */
					obj_t BgL_tmpz00_5010;

					BgL_tmpz00_5010 = ((obj_t) BgL_port1384z00_2439);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5010);
				}
				bgl_display_obj(BgL_uint32z00_43, BgL_port1384z00_2439);
				{	/* BackEnd/c_proto.scm 434 */
					obj_t BgL_tmpz00_5014;

					BgL_tmpz00_5014 = ((obj_t) BgL_port1384z00_2439);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_5014);
				}
				{	/* BackEnd/c_proto.scm 434 */
					obj_t BgL_tmpz00_5017;

					BgL_tmpz00_5017 = ((obj_t) BgL_port1384z00_2439);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5017);
		}}}

	}



/* emit-cnst-int64 */
	obj_t BGl_emitzd2cnstzd2int64z00zzbackend_c_prototypez00(obj_t
		BgL_int64z00_45, BgL_globalz00_bglt BgL_globalz00_46)
	{
		{	/* BackEnd/c_proto.scm 446 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_46));
			{	/* BackEnd/c_proto.scm 448 */
				obj_t BgL_port1385z00_2444;

				BgL_port1385z00_2444 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 448 */
					obj_t BgL_tmpz00_5022;

					BgL_tmpz00_5022 = ((obj_t) BgL_port1385z00_2444);
					bgl_display_string(BGl_string2305z00zzbackend_c_prototypez00,
						BgL_tmpz00_5022);
				}
				{	/* BackEnd/c_proto.scm 450 */
					obj_t BgL_arg1974z00_2445;

					BgL_arg1974z00_2445 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_46)))->BgL_namez00);
					bgl_display_obj(BgL_arg1974z00_2445, BgL_port1385z00_2444);
				}
				{	/* BackEnd/c_proto.scm 448 */
					obj_t BgL_tmpz00_5028;

					BgL_tmpz00_5028 = ((obj_t) BgL_port1385z00_2444);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5028);
				}
				{	/* BackEnd/c_proto.scm 452 */
					obj_t BgL_arg1975z00_2446;

					{	/* BackEnd/c_proto.scm 452 */
						obj_t BgL_arg1976z00_2447;

						{	/* BackEnd/c_proto.scm 452 */
							obj_t BgL_arg1978z00_2448;

							BgL_arg1978z00_2448 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_46)))->BgL_namez00);
							BgL_arg1976z00_2447 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1978z00_2448);
						}
						BgL_arg1975z00_2446 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1976z00_2447);
					}
					bgl_display_obj(BgL_arg1975z00_2446, BgL_port1385z00_2444);
				}
				{	/* BackEnd/c_proto.scm 448 */
					obj_t BgL_tmpz00_5036;

					BgL_tmpz00_5036 = ((obj_t) BgL_port1385z00_2444);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5036);
				}
				bgl_display_obj(BgL_int64z00_45, BgL_port1385z00_2444);
				{	/* BackEnd/c_proto.scm 448 */
					obj_t BgL_tmpz00_5040;

					BgL_tmpz00_5040 = ((obj_t) BgL_port1385z00_2444);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_5040);
				}
				{	/* BackEnd/c_proto.scm 448 */
					obj_t BgL_tmpz00_5043;

					BgL_tmpz00_5043 = ((obj_t) BgL_port1385z00_2444);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5043);
		}}}

	}



/* emit-cnst-uint64 */
	obj_t BGl_emitzd2cnstzd2uint64z00zzbackend_c_prototypez00(obj_t
		BgL_uint64z00_47, BgL_globalz00_bglt BgL_globalz00_48)
	{
		{	/* BackEnd/c_proto.scm 460 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_globalz00_48));
			{	/* BackEnd/c_proto.scm 462 */
				obj_t BgL_port1386z00_2449;

				BgL_port1386z00_2449 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 462 */
					obj_t BgL_tmpz00_5048;

					BgL_tmpz00_5048 = ((obj_t) BgL_port1386z00_2449);
					bgl_display_string(BGl_string2306z00zzbackend_c_prototypez00,
						BgL_tmpz00_5048);
				}
				{	/* BackEnd/c_proto.scm 464 */
					obj_t BgL_arg1979z00_2450;

					BgL_arg1979z00_2450 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_48)))->BgL_namez00);
					bgl_display_obj(BgL_arg1979z00_2450, BgL_port1386z00_2449);
				}
				{	/* BackEnd/c_proto.scm 462 */
					obj_t BgL_tmpz00_5054;

					BgL_tmpz00_5054 = ((obj_t) BgL_port1386z00_2449);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5054);
				}
				{	/* BackEnd/c_proto.scm 466 */
					obj_t BgL_arg1980z00_2451;

					{	/* BackEnd/c_proto.scm 466 */
						obj_t BgL_arg1981z00_2452;

						{	/* BackEnd/c_proto.scm 466 */
							obj_t BgL_arg1982z00_2453;

							BgL_arg1982z00_2453 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_globalz00_48)))->BgL_namez00);
							BgL_arg1981z00_2452 =
								BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1982z00_2453);
						}
						BgL_arg1980z00_2451 =
							BGl_idzd2ze3namez31zzast_identz00(BgL_arg1981z00_2452);
					}
					bgl_display_obj(BgL_arg1980z00_2451, BgL_port1386z00_2449);
				}
				{	/* BackEnd/c_proto.scm 462 */
					obj_t BgL_tmpz00_5062;

					BgL_tmpz00_5062 = ((obj_t) BgL_port1386z00_2449);
					bgl_display_string(BGl_string2276z00zzbackend_c_prototypez00,
						BgL_tmpz00_5062);
				}
				bgl_display_obj(BgL_uint64z00_47, BgL_port1386z00_2449);
				{	/* BackEnd/c_proto.scm 462 */
					obj_t BgL_tmpz00_5066;

					BgL_tmpz00_5066 = ((obj_t) BgL_port1386z00_2449);
					bgl_display_string(BGl_string2292z00zzbackend_c_prototypez00,
						BgL_tmpz00_5066);
				}
				{	/* BackEnd/c_proto.scm 462 */
					obj_t BgL_tmpz00_5069;

					BgL_tmpz00_5069 = ((obj_t) BgL_port1386z00_2449);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5069);
		}}}

	}



/* emit-cnst-sfun/sgfun */
	obj_t BGl_emitzd2cnstzd2sfunzf2sgfunzf2zzbackend_c_prototypez00(obj_t
		BgL_funz00_53, BgL_globalz00_bglt BgL_globalz00_54, obj_t BgL_kindz00_55)
	{
		{	/* BackEnd/c_proto.scm 486 */
			if (
				((((BgL_globalz00_bglt) COBJECT(BgL_globalz00_54))->BgL_importz00) ==
					((obj_t) CNST_TABLE_REF(19))))
				{	/* BackEnd/c_proto.scm 488 */
					BgL_valuez00_bglt BgL_arg1985z00_2456;

					BgL_arg1985z00_2456 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_54)))->BgL_valuez00);
					return
						BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_arg1985z00_2456,
						((BgL_variablez00_bglt) BgL_globalz00_54));
				}
			else
				{	/* BackEnd/c_proto.scm 489 */
					obj_t BgL_actualsz00_2457;

					BgL_actualsz00_2457 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_funz00_53)))->BgL_argsz00);
					{	/* BackEnd/c_proto.scm 489 */
						obj_t BgL_entryz00_2458;

						BgL_entryz00_2458 = CAR(((obj_t) BgL_actualsz00_2457));
						{	/* BackEnd/c_proto.scm 490 */
							obj_t BgL_arityz00_2459;

							{	/* BackEnd/c_proto.scm 491 */
								obj_t BgL_arg2035z00_2513;

								{	/* BackEnd/c_proto.scm 491 */
									obj_t BgL_pairz00_3410;

									BgL_pairz00_3410 = CDR(((obj_t) BgL_actualsz00_2457));
									BgL_arg2035z00_2513 = CAR(BgL_pairz00_3410);
								}
								BgL_arityz00_2459 =
									BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
									((BgL_nodez00_bglt) BgL_arg2035z00_2513));
							}
							{	/* BackEnd/c_proto.scm 491 */
								obj_t BgL_vnamez00_2460;

								BgL_vnamez00_2460 =
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_globalz00_54));
								{	/* BackEnd/c_proto.scm 492 */
									obj_t BgL_namez00_2461;

									{	/* BackEnd/c_proto.scm 493 */
										BgL_variablez00_bglt BgL_arg2034z00_2512;

										BgL_arg2034z00_2512 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_entryz00_2458)))->
											BgL_variablez00);
										BgL_namez00_2461 =
											BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
											(BgL_arg2034z00_2512);
									}
									{	/* BackEnd/c_proto.scm 493 */

										{	/* BackEnd/c_proto.scm 495 */
											bool_t BgL_test2528z00_5095;

											{	/* BackEnd/c_proto.scm 495 */
												bool_t BgL_test2529z00_5096;

												{	/* BackEnd/c_proto.scm 495 */
													obj_t BgL_classz00_3412;

													BgL_classz00_3412 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_entryz00_2458))
														{	/* BackEnd/c_proto.scm 495 */
															BgL_objectz00_bglt BgL_arg1858z00_3414;

															BgL_arg1858z00_3414 =
																(BgL_objectz00_bglt) (BgL_entryz00_2458);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* BackEnd/c_proto.scm 495 */
																	long BgL_idxz00_3420;

																	BgL_idxz00_3420 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3414);
																	BgL_test2529z00_5096 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3420 + 2L)) ==
																		BgL_classz00_3412);
																}
															else
																{	/* BackEnd/c_proto.scm 495 */
																	bool_t BgL_res2243z00_3445;

																	{	/* BackEnd/c_proto.scm 495 */
																		obj_t BgL_oclassz00_3428;

																		{	/* BackEnd/c_proto.scm 495 */
																			obj_t BgL_arg1866z00_3436;
																			long BgL_arg1867z00_3437;

																			BgL_arg1866z00_3436 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* BackEnd/c_proto.scm 495 */
																				long BgL_arg1869z00_3438;

																				BgL_arg1869z00_3438 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3414);
																				BgL_arg1867z00_3437 =
																					(BgL_arg1869z00_3438 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3428 =
																				VECTOR_REF(BgL_arg1866z00_3436,
																				BgL_arg1867z00_3437);
																		}
																		{	/* BackEnd/c_proto.scm 495 */
																			bool_t BgL__ortest_1115z00_3429;

																			BgL__ortest_1115z00_3429 =
																				(BgL_classz00_3412 ==
																				BgL_oclassz00_3428);
																			if (BgL__ortest_1115z00_3429)
																				{	/* BackEnd/c_proto.scm 495 */
																					BgL_res2243z00_3445 =
																						BgL__ortest_1115z00_3429;
																				}
																			else
																				{	/* BackEnd/c_proto.scm 495 */
																					long BgL_odepthz00_3430;

																					{	/* BackEnd/c_proto.scm 495 */
																						obj_t BgL_arg1855z00_3431;

																						BgL_arg1855z00_3431 =
																							(BgL_oclassz00_3428);
																						BgL_odepthz00_3430 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3431);
																					}
																					if ((2L < BgL_odepthz00_3430))
																						{	/* BackEnd/c_proto.scm 495 */
																							obj_t BgL_arg1853z00_3433;

																							{	/* BackEnd/c_proto.scm 495 */
																								obj_t BgL_arg1854z00_3434;

																								BgL_arg1854z00_3434 =
																									(BgL_oclassz00_3428);
																								BgL_arg1853z00_3433 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3434, 2L);
																							}
																							BgL_res2243z00_3445 =
																								(BgL_arg1853z00_3433 ==
																								BgL_classz00_3412);
																						}
																					else
																						{	/* BackEnd/c_proto.scm 495 */
																							BgL_res2243z00_3445 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2529z00_5096 = BgL_res2243z00_3445;
																}
														}
													else
														{	/* BackEnd/c_proto.scm 495 */
															BgL_test2529z00_5096 = ((bool_t) 0);
														}
												}
												if (BgL_test2529z00_5096)
													{	/* BackEnd/c_proto.scm 496 */
														bool_t BgL_test2534z00_5119;

														{	/* BackEnd/c_proto.scm 496 */
															BgL_variablez00_bglt BgL_arg2033z00_2511;

															BgL_arg2033z00_2511 =
																(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_entryz00_2458)))->
																BgL_variablez00);
															{	/* BackEnd/c_proto.scm 496 */
																obj_t BgL_classz00_3447;

																BgL_classz00_3447 = BGl_globalz00zzast_varz00;
																{	/* BackEnd/c_proto.scm 496 */
																	BgL_objectz00_bglt BgL_arg1858z00_3449;

																	{	/* BackEnd/c_proto.scm 496 */
																		obj_t BgL_tmpz00_5122;

																		BgL_tmpz00_5122 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2033z00_2511));
																		BgL_arg1858z00_3449 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_5122);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* BackEnd/c_proto.scm 496 */
																			long BgL_idxz00_3455;

																			BgL_idxz00_3455 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3449);
																			BgL_test2534z00_5119 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3455 + 2L)) ==
																				BgL_classz00_3447);
																		}
																	else
																		{	/* BackEnd/c_proto.scm 496 */
																			bool_t BgL_res2244z00_3480;

																			{	/* BackEnd/c_proto.scm 496 */
																				obj_t BgL_oclassz00_3463;

																				{	/* BackEnd/c_proto.scm 496 */
																					obj_t BgL_arg1866z00_3471;
																					long BgL_arg1867z00_3472;

																					BgL_arg1866z00_3471 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* BackEnd/c_proto.scm 496 */
																						long BgL_arg1869z00_3473;

																						BgL_arg1869z00_3473 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3449);
																						BgL_arg1867z00_3472 =
																							(BgL_arg1869z00_3473 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3463 =
																						VECTOR_REF(BgL_arg1866z00_3471,
																						BgL_arg1867z00_3472);
																				}
																				{	/* BackEnd/c_proto.scm 496 */
																					bool_t BgL__ortest_1115z00_3464;

																					BgL__ortest_1115z00_3464 =
																						(BgL_classz00_3447 ==
																						BgL_oclassz00_3463);
																					if (BgL__ortest_1115z00_3464)
																						{	/* BackEnd/c_proto.scm 496 */
																							BgL_res2244z00_3480 =
																								BgL__ortest_1115z00_3464;
																						}
																					else
																						{	/* BackEnd/c_proto.scm 496 */
																							long BgL_odepthz00_3465;

																							{	/* BackEnd/c_proto.scm 496 */
																								obj_t BgL_arg1855z00_3466;

																								BgL_arg1855z00_3466 =
																									(BgL_oclassz00_3463);
																								BgL_odepthz00_3465 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3466);
																							}
																							if ((2L < BgL_odepthz00_3465))
																								{	/* BackEnd/c_proto.scm 496 */
																									obj_t BgL_arg1853z00_3468;

																									{	/* BackEnd/c_proto.scm 496 */
																										obj_t BgL_arg1854z00_3469;

																										BgL_arg1854z00_3469 =
																											(BgL_oclassz00_3463);
																										BgL_arg1853z00_3468 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3469, 2L);
																									}
																									BgL_res2244z00_3480 =
																										(BgL_arg1853z00_3468 ==
																										BgL_classz00_3447);
																								}
																							else
																								{	/* BackEnd/c_proto.scm 496 */
																									BgL_res2244z00_3480 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2534z00_5119 =
																				BgL_res2244z00_3480;
																		}
																}
															}
														}
														if (BgL_test2534z00_5119)
															{	/* BackEnd/c_proto.scm 498 */
																bool_t BgL__ortest_1161z00_2504;

																{	/* BackEnd/c_proto.scm 498 */
																	obj_t BgL_arg2030z00_2508;

																	BgL_arg2030z00_2508 =
																		(((BgL_sfunz00_bglt) COBJECT(
																				((BgL_sfunz00_bglt)
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt) COBJECT(
																													((BgL_varz00_bglt)
																														BgL_entryz00_2458)))->
																											BgL_variablez00)))))->
																						BgL_valuez00))))->
																		BgL_thezd2closurezd2globalz00);
																	BgL__ortest_1161z00_2504 =
																		BGl_globalzd2optionalzf3z21zzast_varz00
																		(BgL_arg2030z00_2508);
																}
																if (BgL__ortest_1161z00_2504)
																	{	/* BackEnd/c_proto.scm 498 */
																		BgL_test2528z00_5095 =
																			BgL__ortest_1161z00_2504;
																	}
																else
																	{	/* BackEnd/c_proto.scm 499 */
																		obj_t BgL_arg2026z00_2505;

																		BgL_arg2026z00_2505 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_globalz00_bglt)
																											(((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_entryz00_2458)))->
																												BgL_variablez00)))))->
																							BgL_valuez00))))->
																			BgL_thezd2closurezd2globalz00);
																		BgL_test2528z00_5095 =
																			BGl_globalzd2keyzf3z21zzast_varz00
																			(BgL_arg2026z00_2505);
																	}
															}
														else
															{	/* BackEnd/c_proto.scm 496 */
																BgL_test2528z00_5095 = ((bool_t) 0);
															}
													}
												else
													{	/* BackEnd/c_proto.scm 495 */
														BgL_test2528z00_5095 = ((bool_t) 0);
													}
											}
											if (BgL_test2528z00_5095)
												{	/* BackEnd/c_proto.scm 500 */
													obj_t BgL_port1387z00_2474;

													BgL_port1387z00_2474 =
														BGl_za2czd2portza2zd2zzbackend_c_emitz00;
													{	/* BackEnd/c_proto.scm 501 */
														obj_t BgL_arg2001z00_2475;

														if (
															((((BgL_globalz00_bglt)
																		COBJECT(BgL_globalz00_54))->
																	BgL_importz00) ==
																((obj_t) CNST_TABLE_REF(0))))
															{	/* BackEnd/c_proto.scm 501 */
																BgL_arg2001z00_2475 =
																	string_append_3
																	(BGl_string2307z00zzbackend_c_prototypez00,
																	BgL_kindz00_55,
																	BGl_string2308z00zzbackend_c_prototypez00);
															}
														else
															{	/* BackEnd/c_proto.scm 501 */
																BgL_arg2001z00_2475 =
																	string_append_3
																	(BGl_string2309z00zzbackend_c_prototypez00,
																	BgL_kindz00_55,
																	BGl_string2308z00zzbackend_c_prototypez00);
															}
														bgl_display_obj(BgL_arg2001z00_2475,
															BgL_port1387z00_2474);
													}
													bgl_display_obj(BgL_vnamez00_2460,
														BgL_port1387z00_2474);
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5171;

														BgL_tmpz00_5171 = ((obj_t) BgL_port1387z00_2474);
														bgl_display_string
															(BGl_string2276z00zzbackend_c_prototypez00,
															BgL_tmpz00_5171);
													}
													bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00
															(BgL_namez00_2461)), BgL_port1387z00_2474);
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5177;

														BgL_tmpz00_5177 = ((obj_t) BgL_port1387z00_2474);
														bgl_display_string
															(BGl_string2310z00zzbackend_c_prototypez00,
															BgL_tmpz00_5177);
													}
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5180;

														BgL_tmpz00_5180 = ((obj_t) BgL_port1387z00_2474);
														bgl_display_string
															(BGl_string2276z00zzbackend_c_prototypez00,
															BgL_tmpz00_5180);
													}
													bgl_display_obj(BgL_namez00_2461,
														BgL_port1387z00_2474);
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5184;

														BgL_tmpz00_5184 = ((obj_t) BgL_port1387z00_2474);
														bgl_display_string
															(BGl_string2311z00zzbackend_c_prototypez00,
															BgL_tmpz00_5184);
													}
													bgl_display_fixnum(BINT((-1L)),
														((obj_t) BgL_port1387z00_2474));
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5190;

														BgL_tmpz00_5190 = ((obj_t) BgL_port1387z00_2474);
														bgl_display_string
															(BGl_string2292z00zzbackend_c_prototypez00,
															BgL_tmpz00_5190);
													}
													{	/* BackEnd/c_proto.scm 500 */
														obj_t BgL_tmpz00_5193;

														BgL_tmpz00_5193 = ((obj_t) BgL_port1387z00_2474);
														return
															bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_5193);
												}}
											else
												{	/* BackEnd/c_proto.scm 495 */
													if (((long) CINT(BgL_arityz00_2459) >= 0L))
														{	/* BackEnd/c_proto.scm 515 */
															obj_t BgL_port1388z00_2482;

															BgL_port1388z00_2482 =
																BGl_za2czd2portza2zd2zzbackend_c_emitz00;
															{	/* BackEnd/c_proto.scm 516 */
																obj_t BgL_arg2008z00_2483;

																if (
																	((((BgL_globalz00_bglt)
																				COBJECT(BgL_globalz00_54))->
																			BgL_importz00) ==
																		((obj_t) CNST_TABLE_REF(0))))
																	{	/* BackEnd/c_proto.scm 516 */
																		BgL_arg2008z00_2483 =
																			string_append_3
																			(BGl_string2307z00zzbackend_c_prototypez00,
																			BgL_kindz00_55,
																			BGl_string2308z00zzbackend_c_prototypez00);
																	}
																else
																	{	/* BackEnd/c_proto.scm 516 */
																		BgL_arg2008z00_2483 =
																			string_append_3
																			(BGl_string2309z00zzbackend_c_prototypez00,
																			BgL_kindz00_55,
																			BGl_string2308z00zzbackend_c_prototypez00);
																	}
																bgl_display_obj(BgL_arg2008z00_2483,
																	BgL_port1388z00_2482);
															}
															bgl_display_obj(BgL_vnamez00_2460,
																BgL_port1388z00_2482);
															{	/* BackEnd/c_proto.scm 515 */
																obj_t BgL_tmpz00_5208;

																BgL_tmpz00_5208 =
																	((obj_t) BgL_port1388z00_2482);
																bgl_display_string
																	(BGl_string2276z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5208);
															}
															bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																	(BgL_namez00_2461)), BgL_port1388z00_2482);
															{	/* BackEnd/c_proto.scm 515 */
																obj_t BgL_tmpz00_5214;

																BgL_tmpz00_5214 =
																	((obj_t) BgL_port1388z00_2482);
																bgl_display_string
																	(BGl_string2276z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5214);
															}
															bgl_display_obj(BgL_namez00_2461,
																BgL_port1388z00_2482);
															{	/* BackEnd/c_proto.scm 515 */
																obj_t BgL_tmpz00_5218;

																BgL_tmpz00_5218 =
																	((obj_t) BgL_port1388z00_2482);
																bgl_display_string
																	(BGl_string2312z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5218);
															}
															bgl_display_obj(BgL_arityz00_2459,
																BgL_port1388z00_2482);
															{	/* BackEnd/c_proto.scm 515 */
																obj_t BgL_tmpz00_5222;

																BgL_tmpz00_5222 =
																	((obj_t) BgL_port1388z00_2482);
																bgl_display_string
																	(BGl_string2292z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5222);
															}
															{	/* BackEnd/c_proto.scm 515 */
																obj_t BgL_tmpz00_5225;

																BgL_tmpz00_5225 =
																	((obj_t) BgL_port1388z00_2482);
																return
																	bgl_display_char(((unsigned char) 10),
																	BgL_tmpz00_5225);
														}}
													else
														{	/* BackEnd/c_proto.scm 528 */
															obj_t BgL_port1389z00_2489;

															BgL_port1389z00_2489 =
																BGl_za2czd2portza2zd2zzbackend_c_emitz00;
															{	/* BackEnd/c_proto.scm 529 */
																obj_t BgL_arg2014z00_2490;

																if (
																	((((BgL_globalz00_bglt)
																				COBJECT(BgL_globalz00_54))->
																			BgL_importz00) ==
																		((obj_t) CNST_TABLE_REF(0))))
																	{	/* BackEnd/c_proto.scm 529 */
																		BgL_arg2014z00_2490 =
																			string_append_3
																			(BGl_string2307z00zzbackend_c_prototypez00,
																			BgL_kindz00_55,
																			BGl_string2308z00zzbackend_c_prototypez00);
																	}
																else
																	{	/* BackEnd/c_proto.scm 529 */
																		BgL_arg2014z00_2490 =
																			string_append_3
																			(BGl_string2309z00zzbackend_c_prototypez00,
																			BgL_kindz00_55,
																			BGl_string2308z00zzbackend_c_prototypez00);
																	}
																bgl_display_obj(BgL_arg2014z00_2490,
																	BgL_port1389z00_2489);
															}
															bgl_display_obj(BgL_vnamez00_2460,
																BgL_port1389z00_2489);
															{	/* BackEnd/c_proto.scm 528 */
																obj_t BgL_tmpz00_5237;

																BgL_tmpz00_5237 =
																	((obj_t) BgL_port1389z00_2489);
																bgl_display_string
																	(BGl_string2276z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5237);
															}
															bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
																(BGl_gensymz00zz__r4_symbols_6_4z00
																	(BgL_namez00_2461)), BgL_port1389z00_2489);
															{	/* BackEnd/c_proto.scm 535 */
																obj_t BgL_arg2021z00_2496;

																{	/* BackEnd/c_proto.scm 535 */
																	bool_t BgL_test2543z00_5243;

																	{	/* BackEnd/c_proto.scm 535 */
																		bool_t BgL_test2544z00_5244;

																		{	/* BackEnd/c_proto.scm 535 */
																			obj_t BgL_classz00_3515;

																			BgL_classz00_3515 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_entryz00_2458))
																				{	/* BackEnd/c_proto.scm 535 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3517;
																					BgL_arg1858z00_3517 =
																						(BgL_objectz00_bglt)
																						(BgL_entryz00_2458);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* BackEnd/c_proto.scm 535 */
																							long BgL_idxz00_3523;

																							BgL_idxz00_3523 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3517);
																							BgL_test2544z00_5244 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3523 + 2L)) ==
																								BgL_classz00_3515);
																						}
																					else
																						{	/* BackEnd/c_proto.scm 535 */
																							bool_t BgL_res2245z00_3548;

																							{	/* BackEnd/c_proto.scm 535 */
																								obj_t BgL_oclassz00_3531;

																								{	/* BackEnd/c_proto.scm 535 */
																									obj_t BgL_arg1866z00_3539;
																									long BgL_arg1867z00_3540;

																									BgL_arg1866z00_3539 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* BackEnd/c_proto.scm 535 */
																										long BgL_arg1869z00_3541;

																										BgL_arg1869z00_3541 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3517);
																										BgL_arg1867z00_3540 =
																											(BgL_arg1869z00_3541 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3531 =
																										VECTOR_REF
																										(BgL_arg1866z00_3539,
																										BgL_arg1867z00_3540);
																								}
																								{	/* BackEnd/c_proto.scm 535 */
																									bool_t
																										BgL__ortest_1115z00_3532;
																									BgL__ortest_1115z00_3532 =
																										(BgL_classz00_3515 ==
																										BgL_oclassz00_3531);
																									if (BgL__ortest_1115z00_3532)
																										{	/* BackEnd/c_proto.scm 535 */
																											BgL_res2245z00_3548 =
																												BgL__ortest_1115z00_3532;
																										}
																									else
																										{	/* BackEnd/c_proto.scm 535 */
																											long BgL_odepthz00_3533;

																											{	/* BackEnd/c_proto.scm 535 */
																												obj_t
																													BgL_arg1855z00_3534;
																												BgL_arg1855z00_3534 =
																													(BgL_oclassz00_3531);
																												BgL_odepthz00_3533 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3534);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_3533))
																												{	/* BackEnd/c_proto.scm 535 */
																													obj_t
																														BgL_arg1853z00_3536;
																													{	/* BackEnd/c_proto.scm 535 */
																														obj_t
																															BgL_arg1854z00_3537;
																														BgL_arg1854z00_3537
																															=
																															(BgL_oclassz00_3531);
																														BgL_arg1853z00_3536
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3537,
																															2L);
																													}
																													BgL_res2245z00_3548 =
																														(BgL_arg1853z00_3536
																														==
																														BgL_classz00_3515);
																												}
																											else
																												{	/* BackEnd/c_proto.scm 535 */
																													BgL_res2245z00_3548 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2544z00_5244 =
																								BgL_res2245z00_3548;
																						}
																				}
																			else
																				{	/* BackEnd/c_proto.scm 535 */
																					BgL_test2544z00_5244 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2544z00_5244)
																			{	/* BackEnd/c_proto.scm 536 */
																				BgL_variablez00_bglt
																					BgL_arg2025z00_2501;
																				BgL_arg2025z00_2501 =
																					(((BgL_varz00_bglt)
																						COBJECT(((BgL_varz00_bglt)
																								BgL_entryz00_2458)))->
																					BgL_variablez00);
																				BgL_test2543z00_5243 =
																					CBOOL
																					(BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00
																					(BgL_arg2025z00_2501));
																			}
																		else
																			{	/* BackEnd/c_proto.scm 535 */
																				BgL_test2543z00_5243 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2543z00_5243)
																		{	/* BackEnd/c_proto.scm 535 */
																			BgL_arg2021z00_2496 =
																				BGl_string2313z00zzbackend_c_prototypez00;
																		}
																	else
																		{	/* BackEnd/c_proto.scm 535 */
																			BgL_arg2021z00_2496 =
																				BGl_string2314z00zzbackend_c_prototypez00;
																		}
																}
																bgl_display_obj(BgL_arg2021z00_2496,
																	BgL_port1389z00_2489);
															}
															{	/* BackEnd/c_proto.scm 528 */
																obj_t BgL_tmpz00_5272;

																BgL_tmpz00_5272 =
																	((obj_t) BgL_port1389z00_2489);
																bgl_display_string
																	(BGl_string2276z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5272);
															}
															bgl_display_obj(BgL_namez00_2461,
																BgL_port1389z00_2489);
															{	/* BackEnd/c_proto.scm 528 */
																obj_t BgL_tmpz00_5276;

																BgL_tmpz00_5276 =
																	((obj_t) BgL_port1389z00_2489);
																bgl_display_string
																	(BGl_string2315z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5276);
															}
															bgl_display_obj(BgL_arityz00_2459,
																BgL_port1389z00_2489);
															{	/* BackEnd/c_proto.scm 528 */
																obj_t BgL_tmpz00_5280;

																BgL_tmpz00_5280 =
																	((obj_t) BgL_port1389z00_2489);
																bgl_display_string
																	(BGl_string2292z00zzbackend_c_prototypez00,
																	BgL_tmpz00_5280);
															}
															{	/* BackEnd/c_proto.scm 528 */
																obj_t BgL_tmpz00_5283;

																BgL_tmpz00_5283 =
																	((obj_t) BgL_port1389z00_2489);
																return
																	bgl_display_char(((unsigned char) 10),
																	BgL_tmpz00_5283);
		}}}}}}}}}}}

	}



/* fun-va-stackable? */
	obj_t
		BGl_funzd2vazd2stackablezf3zf3zzbackend_c_prototypez00(BgL_variablez00_bglt
		BgL_varz00_56)
	{
		{	/* BackEnd/c_proto.scm 548 */
			{	/* BackEnd/c_proto.scm 549 */
				BgL_valuez00_bglt BgL_funz00_2515;

				BgL_funz00_2515 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_56))->BgL_valuez00);
				{	/* BackEnd/c_proto.scm 550 */
					bool_t BgL_test2549z00_5287;

					{	/* BackEnd/c_proto.scm 550 */
						obj_t BgL_classz00_3558;

						BgL_classz00_3558 = BGl_sfunz00zzast_varz00;
						{	/* BackEnd/c_proto.scm 550 */
							BgL_objectz00_bglt BgL_arg1858z00_3560;

							{	/* BackEnd/c_proto.scm 550 */
								obj_t BgL_tmpz00_5288;

								BgL_tmpz00_5288 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2515));
								BgL_arg1858z00_3560 = (BgL_objectz00_bglt) (BgL_tmpz00_5288);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* BackEnd/c_proto.scm 550 */
									long BgL_idxz00_3566;

									BgL_idxz00_3566 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3560);
									BgL_test2549z00_5287 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3566 + 3L)) == BgL_classz00_3558);
								}
							else
								{	/* BackEnd/c_proto.scm 550 */
									bool_t BgL_res2246z00_3591;

									{	/* BackEnd/c_proto.scm 550 */
										obj_t BgL_oclassz00_3574;

										{	/* BackEnd/c_proto.scm 550 */
											obj_t BgL_arg1866z00_3582;
											long BgL_arg1867z00_3583;

											BgL_arg1866z00_3582 = (BGl_za2classesza2z00zz__objectz00);
											{	/* BackEnd/c_proto.scm 550 */
												long BgL_arg1869z00_3584;

												BgL_arg1869z00_3584 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3560);
												BgL_arg1867z00_3583 =
													(BgL_arg1869z00_3584 - OBJECT_TYPE);
											}
											BgL_oclassz00_3574 =
												VECTOR_REF(BgL_arg1866z00_3582, BgL_arg1867z00_3583);
										}
										{	/* BackEnd/c_proto.scm 550 */
											bool_t BgL__ortest_1115z00_3575;

											BgL__ortest_1115z00_3575 =
												(BgL_classz00_3558 == BgL_oclassz00_3574);
											if (BgL__ortest_1115z00_3575)
												{	/* BackEnd/c_proto.scm 550 */
													BgL_res2246z00_3591 = BgL__ortest_1115z00_3575;
												}
											else
												{	/* BackEnd/c_proto.scm 550 */
													long BgL_odepthz00_3576;

													{	/* BackEnd/c_proto.scm 550 */
														obj_t BgL_arg1855z00_3577;

														BgL_arg1855z00_3577 = (BgL_oclassz00_3574);
														BgL_odepthz00_3576 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3577);
													}
													if ((3L < BgL_odepthz00_3576))
														{	/* BackEnd/c_proto.scm 550 */
															obj_t BgL_arg1853z00_3579;

															{	/* BackEnd/c_proto.scm 550 */
																obj_t BgL_arg1854z00_3580;

																BgL_arg1854z00_3580 = (BgL_oclassz00_3574);
																BgL_arg1853z00_3579 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3580,
																	3L);
															}
															BgL_res2246z00_3591 =
																(BgL_arg1853z00_3579 == BgL_classz00_3558);
														}
													else
														{	/* BackEnd/c_proto.scm 550 */
															BgL_res2246z00_3591 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2549z00_5287 = BgL_res2246z00_3591;
								}
						}
					}
					if (BgL_test2549z00_5287)
						{	/* BackEnd/c_proto.scm 552 */
							bool_t BgL__ortest_1163z00_2518;

							BgL__ortest_1163z00_2518 =
								(
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2515))))->
									BgL_argszd2noescapezd2) == ((obj_t) CNST_TABLE_REF(20)));
							if (BgL__ortest_1163z00_2518)
								{	/* BackEnd/c_proto.scm 552 */
									return BBOOL(BgL__ortest_1163z00_2518);
								}
							else
								{	/* BackEnd/c_proto.scm 553 */
									bool_t BgL_test2554z00_5319;

									{	/* BackEnd/c_proto.scm 553 */
										obj_t BgL_tmpz00_5320;

										BgL_tmpz00_5320 =
											(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2515))))->
											BgL_argszd2noescapezd2);
										BgL_test2554z00_5319 = PAIRP(BgL_tmpz00_5320);
									}
									if (BgL_test2554z00_5319)
										{	/* BackEnd/c_proto.scm 553 */
											return
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BINT(
													(bgl_list_length(
															(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_funz00_2515)))->
																BgL_argszd2namezd2)) - 2L)),
												(((BgL_funz00_bglt)
														COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_funz00_2515))))->BgL_argszd2noescapezd2));
										}
									else
										{	/* BackEnd/c_proto.scm 553 */
											return BFALSE;
										}
								}
						}
					else
						{	/* BackEnd/c_proto.scm 550 */
							return BFALSE;
						}
				}
			}
		}

	}



/* emit-cnst-selfun */
	obj_t BGl_emitzd2cnstzd2selfunz00zzbackend_c_prototypez00(obj_t BgL_funz00_57,
		BgL_globalz00_bglt BgL_globalz00_58)
	{
		{	/* BackEnd/c_proto.scm 561 */
			{	/* BackEnd/c_proto.scm 562 */
				obj_t BgL_vnamez00_2526;

				BgL_vnamez00_2526 =
					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
					((BgL_variablez00_bglt) BgL_globalz00_58));
				{	/* BackEnd/c_proto.scm 563 */
					obj_t BgL_port1390z00_2527;

					BgL_port1390z00_2527 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 563 */
						obj_t BgL_tmpz00_5336;

						BgL_tmpz00_5336 = ((obj_t) BgL_port1390z00_2527);
						bgl_display_string(BGl_string2316z00zzbackend_c_prototypez00,
							BgL_tmpz00_5336);
					}
					bgl_display_obj(BgL_vnamez00_2526, BgL_port1390z00_2527);
					{	/* BackEnd/c_proto.scm 563 */
						obj_t BgL_tmpz00_5340;

						BgL_tmpz00_5340 = ((obj_t) BgL_port1390z00_2527);
						bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
							BgL_tmpz00_5340);
					}
					{	/* BackEnd/c_proto.scm 563 */
						obj_t BgL_tmpz00_5343;

						BgL_tmpz00_5343 = ((obj_t) BgL_port1390z00_2527);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5343);
		}}}}

	}



/* emit-cnst-slfun */
	obj_t BGl_emitzd2cnstzd2slfunz00zzbackend_c_prototypez00(obj_t BgL_funz00_59,
		BgL_globalz00_bglt BgL_globalz00_60)
	{
		{	/* BackEnd/c_proto.scm 568 */
			{	/* BackEnd/c_proto.scm 569 */
				obj_t BgL_actualsz00_2528;

				BgL_actualsz00_2528 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_funz00_59)))->BgL_argsz00);
				{	/* BackEnd/c_proto.scm 569 */
					obj_t BgL_entryz00_2529;

					BgL_entryz00_2529 = CAR(((obj_t) BgL_actualsz00_2528));
					{	/* BackEnd/c_proto.scm 570 */
						obj_t BgL_vnamez00_2530;

						BgL_vnamez00_2530 =
							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
							((BgL_variablez00_bglt) BgL_globalz00_60));
						{	/* BackEnd/c_proto.scm 571 */
							obj_t BgL_namez00_2531;

							{	/* BackEnd/c_proto.scm 572 */
								BgL_variablez00_bglt BgL_arg2046z00_2535;

								BgL_arg2046z00_2535 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_entryz00_2529)))->BgL_variablez00);
								BgL_namez00_2531 =
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
									(BgL_arg2046z00_2535);
							}
							{	/* BackEnd/c_proto.scm 572 */

								{	/* BackEnd/c_proto.scm 573 */
									obj_t BgL_port1391z00_2532;

									BgL_port1391z00_2532 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 573 */
										obj_t BgL_tmpz00_5355;

										BgL_tmpz00_5355 = ((obj_t) BgL_port1391z00_2532);
										bgl_display_string
											(BGl_string2317z00zzbackend_c_prototypez00,
											BgL_tmpz00_5355);
									}
									bgl_display_obj(BgL_vnamez00_2530, BgL_port1391z00_2532);
									{	/* BackEnd/c_proto.scm 573 */
										obj_t BgL_tmpz00_5359;

										BgL_tmpz00_5359 = ((obj_t) BgL_port1391z00_2532);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_5359);
									}
									bgl_display_obj(BGl_idzd2ze3namez31zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(BgL_namez00_2531)),
										BgL_port1391z00_2532);
									{	/* BackEnd/c_proto.scm 573 */
										obj_t BgL_tmpz00_5365;

										BgL_tmpz00_5365 = ((obj_t) BgL_port1391z00_2532);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_5365);
									}
									bgl_display_obj(BgL_namez00_2531, BgL_port1391z00_2532);
									{	/* BackEnd/c_proto.scm 573 */
										obj_t BgL_tmpz00_5369;

										BgL_tmpz00_5369 = ((obj_t) BgL_port1391z00_2532);
										bgl_display_string
											(BGl_string2292z00zzbackend_c_prototypez00,
											BgL_tmpz00_5369);
									}
									{	/* BackEnd/c_proto.scm 573 */
										obj_t BgL_tmpz00_5372;

										BgL_tmpz00_5372 = ((obj_t) BgL_port1391z00_2532);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_5372);
		}}}}}}}}

	}



/* emit-cnst-stvector */
	obj_t BGl_emitzd2cnstzd2stvectorz00zzbackend_c_prototypez00(obj_t
		BgL_tvecz00_61, BgL_globalz00_bglt BgL_globalz00_62)
	{
		{	/* BackEnd/c_proto.scm 585 */
			{	/* BackEnd/c_proto.scm 586 */
				obj_t BgL_vecz00_2536;

				BgL_vecz00_2536 = STRUCT_REF(((obj_t) BgL_tvecz00_61), (int) (1L));
				{	/* BackEnd/c_proto.scm 586 */
					BgL_typez00_bglt BgL_itypez00_2537;

					{	/* BackEnd/c_proto.scm 587 */
						BgL_typez00_bglt BgL_oz00_3612;

						BgL_oz00_3612 =
							((BgL_typez00_bglt)
							STRUCT_REF(((obj_t) BgL_tvecz00_61), (int) (0L)));
						{
							BgL_tvecz00_bglt BgL_auxz00_5382;

							{
								obj_t BgL_auxz00_5383;

								{	/* BackEnd/c_proto.scm 587 */
									BgL_objectz00_bglt BgL_tmpz00_5384;

									BgL_tmpz00_5384 = ((BgL_objectz00_bglt) BgL_oz00_3612);
									BgL_auxz00_5383 = BGL_OBJECT_WIDENING(BgL_tmpz00_5384);
								}
								BgL_auxz00_5382 = ((BgL_tvecz00_bglt) BgL_auxz00_5383);
							}
							BgL_itypez00_2537 =
								(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_5382))->
								BgL_itemzd2typezd2);
					}}
					{	/* BackEnd/c_proto.scm 587 */
						obj_t BgL_czd2veczd2_2538;

						BgL_czd2veczd2_2538 =
							BGl_tvectorzd2ze3czd2vectorze3zztvector_cnstz00(BgL_tvecz00_61);
						{	/* BackEnd/c_proto.scm 588 */

							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
								((BgL_variablez00_bglt) BgL_globalz00_62));
							{	/* BackEnd/c_proto.scm 590 */
								obj_t BgL_auxz00_2539;

								{	/* BackEnd/c_proto.scm 590 */
									obj_t BgL_arg2052z00_2545;

									{	/* BackEnd/c_proto.scm 590 */
										obj_t BgL_arg2053z00_2546;

										BgL_arg2053z00_2546 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_62)))->
											BgL_namez00);
										BgL_arg2052z00_2545 =
											BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg2053z00_2546);
									}
									BgL_auxz00_2539 =
										BGl_idzd2ze3namez31zzast_identz00(BgL_arg2052z00_2545);
								}
								{	/* BackEnd/c_proto.scm 591 */
									obj_t BgL_port1392z00_2540;

									BgL_port1392z00_2540 =
										BGl_za2czd2portza2zd2zzbackend_c_emitz00;
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5396;

										BgL_tmpz00_5396 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2318z00zzbackend_c_prototypez00,
											BgL_tmpz00_5396);
									}
									bgl_display_obj(BgL_auxz00_2539, BgL_port1392z00_2540);
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5400;

										BgL_tmpz00_5400 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_5400);
									}
									bgl_display_obj(BINT(VECTOR_LENGTH(
												((obj_t) BgL_vecz00_2536))), BgL_port1392z00_2540);
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5407;

										BgL_tmpz00_5407 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_5407);
									}
									bgl_display_obj(BGl_stringzd2sanszd2z42z42zztype_toolsz00(
											(((BgL_typez00_bglt) COBJECT(BgL_itypez00_2537))->
												BgL_namez00)), BgL_port1392z00_2540);
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5413;

										BgL_tmpz00_5413 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2319z00zzbackend_c_prototypez00,
											BgL_tmpz00_5413);
									}
									bgl_display_obj(BgL_czd2veczd2_2538, BgL_port1392z00_2540);
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5417;

										BgL_tmpz00_5417 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2320z00zzbackend_c_prototypez00,
											BgL_tmpz00_5417);
									}
									{	/* BackEnd/c_proto.scm 601 */
										obj_t BgL_arg2051z00_2544;

										BgL_arg2051z00_2544 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_62)))->
											BgL_namez00);
										bgl_display_obj(BgL_arg2051z00_2544, BgL_port1392z00_2540);
									}
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5423;

										BgL_tmpz00_5423 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2276z00zzbackend_c_prototypez00,
											BgL_tmpz00_5423);
									}
									bgl_display_obj(BgL_auxz00_2539, BgL_port1392z00_2540);
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5427;

										BgL_tmpz00_5427 = ((obj_t) BgL_port1392z00_2540);
										bgl_display_string
											(BGl_string2292z00zzbackend_c_prototypez00,
											BgL_tmpz00_5427);
									}
									{	/* BackEnd/c_proto.scm 591 */
										obj_t BgL_tmpz00_5430;

										BgL_tmpz00_5430 = ((obj_t) BgL_port1392z00_2540);
										return
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_5430);
		}}}}}}}}

	}



/* emit-class-types */
	BGL_EXPORTED_DEF obj_t
		BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00(obj_t
		BgL_classzd2listzd2_66, obj_t BgL_oportz00_67)
	{
		{	/* BackEnd/c_proto.scm 635 */
			{
				obj_t BgL_classz00_2575;
				obj_t BgL_classz00_2591;

				if (NULLP(BgL_classzd2listzd2_66))
					{	/* BackEnd/c_proto.scm 670 */
						return BFALSE;
					}
				else
					{	/* BackEnd/c_proto.scm 670 */
						bgl_display_char(((unsigned char) 10), BgL_oportz00_67);
						bgl_display_string(BGl_string2328z00zzbackend_c_prototypez00,
							BgL_oportz00_67);
						bgl_display_char(((unsigned char) 10), BgL_oportz00_67);
						{	/* BackEnd/c_proto.scm 672 */
							obj_t BgL_g1410z00_2553;

							BgL_g1410z00_2553 = bgl_reverse_bang(BgL_classzd2listzd2_66);
							{
								obj_t BgL_l1408z00_2555;

								BgL_l1408z00_2555 = BgL_g1410z00_2553;
							BgL_zc3z04anonymousza32056ze3z87_2556:
								if (PAIRP(BgL_l1408z00_2555))
									{	/* BackEnd/c_proto.scm 677 */
										{	/* BackEnd/c_proto.scm 673 */
											obj_t BgL_classz00_2558;

											BgL_classz00_2558 = CAR(BgL_l1408z00_2555);
											if (
												(BgL_classz00_2558 ==
													BGl_getzd2objectzd2typez00zztype_cachez00()))
												{	/* BackEnd/c_proto.scm 673 */
													BFALSE;
												}
											else
												{	/* BackEnd/c_proto.scm 673 */
													if (BGl_widezd2classzf3z21zzobject_classz00
														(BgL_classz00_2558))
														{	/* BackEnd/c_proto.scm 674 */
															BgL_classz00_2591 = BgL_classz00_2558;
															bgl_display_string
																(BGl_string2321z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 654 */
																obj_t BgL_arg2078z00_2594;

																{	/* BackEnd/c_proto.scm 654 */
																	obj_t BgL_arg2079z00_2595;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5448;

																		{
																			obj_t BgL_auxz00_5449;

																			{	/* BackEnd/c_proto.scm 654 */
																				BgL_objectz00_bglt BgL_tmpz00_5450;

																				BgL_tmpz00_5450 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2591));
																				BgL_auxz00_5449 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5450);
																			}
																			BgL_auxz00_5448 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5449);
																		}
																		BgL_arg2079z00_2595 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5448))->
																			BgL_widezd2typezd2);
																	}
																	BgL_arg2078z00_2594 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_arg2079z00_2595)))->
																		BgL_siza7eza7);
																}
																bgl_display_obj(BgL_arg2078z00_2594,
																	BgL_oportz00_67);
															}
															bgl_display_string
																(BGl_string2322z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 655 */
																bool_t BgL_test2559z00_5461;

																{	/* BackEnd/c_proto.scm 655 */
																	obj_t BgL_arg2082z00_2599;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5462;

																		{
																			obj_t BgL_auxz00_5463;

																			{	/* BackEnd/c_proto.scm 655 */
																				BgL_objectz00_bglt BgL_tmpz00_5464;

																				BgL_tmpz00_5464 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2591));
																				BgL_auxz00_5463 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5464);
																			}
																			BgL_auxz00_5462 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5463);
																		}
																		BgL_arg2082z00_2599 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5462))->
																			BgL_slotsz00);
																	}
																	BgL_test2559z00_5461 =
																		NULLP(BgL_arg2082z00_2599);
																}
																if (BgL_test2559z00_5461)
																	{	/* BackEnd/c_proto.scm 655 */
																		bgl_display_string
																			(BGl_string2323z00zzbackend_c_prototypez00,
																			BgL_oportz00_67);
																		bgl_display_char(((unsigned char) 10),
																			BgL_oportz00_67);
																	}
																else
																	{	/* BackEnd/c_proto.scm 655 */
																		BFALSE;
																	}
															}
															{	/* BackEnd/c_proto.scm 662 */
																obj_t BgL_g1405z00_2600;

																{
																	BgL_tclassz00_bglt BgL_auxz00_5473;

																	{
																		obj_t BgL_auxz00_5474;

																		{	/* BackEnd/c_proto.scm 665 */
																			BgL_objectz00_bglt BgL_tmpz00_5475;

																			BgL_tmpz00_5475 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_classz00_2591));
																			BgL_auxz00_5474 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5475);
																		}
																		BgL_auxz00_5473 =
																			((BgL_tclassz00_bglt) BgL_auxz00_5474);
																	}
																	BgL_g1405z00_2600 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_5473))->BgL_slotsz00);
																}
																{
																	obj_t BgL_l1403z00_2602;

																	BgL_l1403z00_2602 = BgL_g1405z00_2600;
																BgL_zc3z04anonymousza32083ze3z87_2603:
																	if (PAIRP(BgL_l1403z00_2602))
																		{	/* BackEnd/c_proto.scm 665 */
																			{	/* BackEnd/c_proto.scm 663 */
																				obj_t BgL_sz00_2605;

																				BgL_sz00_2605 = CAR(BgL_l1403z00_2602);
																				if (
																					((((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2605)))->
																							BgL_classzd2ownerzd2) ==
																						BgL_classz00_2591))
																					{	/* BackEnd/c_proto.scm 663 */
																						BGl_emitzd2slotze70z35zzbackend_c_prototypez00
																							(BgL_oportz00_67, BgL_sz00_2605);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 663 */
																						BFALSE;
																					}
																			}
																			{
																				obj_t BgL_l1403z00_5489;

																				BgL_l1403z00_5489 =
																					CDR(BgL_l1403z00_2602);
																				BgL_l1403z00_2602 = BgL_l1403z00_5489;
																				goto
																					BgL_zc3z04anonymousza32083ze3z87_2603;
																			}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 665 */
																			((bool_t) 1);
																		}
																}
															}
															bgl_display_string
																(BGl_string2324z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 667 */
																obj_t BgL_arg2089z00_2612;

																{	/* BackEnd/c_proto.scm 667 */
																	obj_t BgL_arg2090z00_2613;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_5492;

																		{
																			obj_t BgL_auxz00_5493;

																			{	/* BackEnd/c_proto.scm 667 */
																				BgL_objectz00_bglt BgL_tmpz00_5494;

																				BgL_tmpz00_5494 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_2591));
																				BgL_auxz00_5493 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5494);
																			}
																			BgL_auxz00_5492 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5493);
																		}
																		BgL_arg2090z00_2613 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5492))->
																			BgL_widezd2typezd2);
																	}
																	BgL_arg2089z00_2612 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_arg2090z00_2613)))->BgL_namez00);
																}
																bgl_display_obj(BgL_arg2089z00_2612,
																	BgL_oportz00_67);
															}
															bgl_display_string
																(BGl_string2325z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
														}
													else
														{	/* BackEnd/c_proto.scm 674 */
															BgL_classz00_2575 = BgL_classz00_2558;
															bgl_display_string
																(BGl_string2321z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 647 */
																obj_t BgL_arg2071z00_2578;

																BgL_arg2071z00_2578 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_classz00_2575)))->
																	BgL_siza7eza7);
																bgl_display_obj(BgL_arg2071z00_2578,
																	BgL_oportz00_67);
															}
															bgl_display_string
																(BGl_string2322z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
															bgl_display_string
																(BGl_string2326z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
															bgl_display_string
																(BGl_string2327z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 650 */
																obj_t BgL_g1399z00_2581;

																{
																	BgL_tclassz00_bglt BgL_auxz00_5515;

																	{
																		obj_t BgL_auxz00_5516;

																		{	/* BackEnd/c_proto.scm 650 */
																			BgL_objectz00_bglt BgL_tmpz00_5517;

																			BgL_tmpz00_5517 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_classz00_2575));
																			BgL_auxz00_5516 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5517);
																		}
																		BgL_auxz00_5515 =
																			((BgL_tclassz00_bglt) BgL_auxz00_5516);
																	}
																	BgL_g1399z00_2581 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_5515))->BgL_slotsz00);
																}
																{
																	obj_t BgL_l1397z00_2583;

																	BgL_l1397z00_2583 = BgL_g1399z00_2581;
																BgL_zc3z04anonymousza32072ze3z87_2584:
																	if (PAIRP(BgL_l1397z00_2583))
																		{	/* BackEnd/c_proto.scm 650 */
																			BGl_emitzd2slotze70z35zzbackend_c_prototypez00
																				(BgL_oportz00_67,
																				CAR(BgL_l1397z00_2583));
																			{
																				obj_t BgL_l1397z00_5527;

																				BgL_l1397z00_5527 =
																					CDR(BgL_l1397z00_2583);
																				BgL_l1397z00_2583 = BgL_l1397z00_5527;
																				goto
																					BgL_zc3z04anonymousza32072ze3z87_2584;
																			}
																		}
																	else
																		{	/* BackEnd/c_proto.scm 650 */
																			((bool_t) 1);
																		}
																}
															}
															bgl_display_string
																(BGl_string2324z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															{	/* BackEnd/c_proto.scm 651 */
																obj_t BgL_arg2076z00_2590;

																BgL_arg2076z00_2590 =
																	BGl_typezd2classzd2namez00zzobject_classz00(
																	((BgL_typez00_bglt) BgL_classz00_2575));
																bgl_display_obj(BgL_arg2076z00_2590,
																	BgL_oportz00_67);
															}
															bgl_display_string
																(BGl_string2325z00zzbackend_c_prototypez00,
																BgL_oportz00_67);
															bgl_display_char(((unsigned char) 10),
																BgL_oportz00_67);
										}}}
										{
											obj_t BgL_l1408z00_5535;

											BgL_l1408z00_5535 = CDR(BgL_l1408z00_2555);
											BgL_l1408z00_2555 = BgL_l1408z00_5535;
											goto BgL_zc3z04anonymousza32056ze3z87_2556;
										}
									}
								else
									{	/* BackEnd/c_proto.scm 677 */
										((bool_t) 1);
									}
							}
						}
						return bgl_display_char(((unsigned char) 10), BgL_oportz00_67);
		}}}

	}



/* emit-slot~0 */
	obj_t BGl_emitzd2slotze70z35zzbackend_c_prototypez00(obj_t BgL_oportz00_4116,
		obj_t BgL_slotz00_2565)
	{
		{	/* BackEnd/c_proto.scm 644 */
			{	/* BackEnd/c_proto.scm 639 */
				obj_t BgL_cnamez00_2568;

				{	/* BackEnd/c_proto.scm 639 */
					obj_t BgL_arg2069z00_2574;

					BgL_arg2069z00_2574 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_slotz00_2565)))->BgL_typez00);
					BgL_cnamez00_2568 =
						BGl_crosszd2namezd2zzbackend_c_prototypez00(BgL_arg2069z00_2574);
				}
				if (
					((long) CINT(
							(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_2565)))->
								BgL_virtualzd2numzd2)) >= 0L))
					{	/* BackEnd/c_proto.scm 641 */
						return BUNSPEC;
					}
				else
					{	/* BackEnd/c_proto.scm 641 */
						bgl_display_string(BGl_string2329z00zzbackend_c_prototypez00,
							BgL_oportz00_4116);
						bgl_display_obj(BgL_cnamez00_2568, BgL_oportz00_4116);
						bgl_display_string(BGl_string2330z00zzbackend_c_prototypez00,
							BgL_oportz00_4116);
						{	/* BackEnd/c_proto.scm 644 */
							obj_t BgL_arg2067z00_2572;

							BgL_arg2067z00_2572 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_2565)))->BgL_namez00);
							bgl_display_obj(BgL_arg2067z00_2572, BgL_oportz00_4116);
						}
						bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
							BgL_oportz00_4116);
						return bgl_display_char(((unsigned char) 10), BgL_oportz00_4116);
		}}}

	}



/* &emit-class-types */
	obj_t BGl_z62emitzd2classzd2typesz62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4074, obj_t BgL_classzd2listzd2_4075, obj_t BgL_oportz00_4076)
	{
		{	/* BackEnd/c_proto.scm 635 */
			return
				BGl_emitzd2classzd2typesz00zzbackend_c_prototypez00
				(BgL_classzd2listzd2_4075, BgL_oportz00_4076);
		}

	}



/* cross-name */
	obj_t BGl_crosszd2namezd2zzbackend_c_prototypez00(obj_t BgL_typez00_68)
	{
		{	/* BackEnd/c_proto.scm 687 */
			{	/* BackEnd/c_proto.scm 688 */
				bool_t BgL_test2564z00_5555;

				{	/* BackEnd/c_proto.scm 688 */
					obj_t BgL_classz00_3697;

					BgL_classz00_3697 = BGl_tclassz00zzobject_classz00;
					if (BGL_OBJECTP(BgL_typez00_68))
						{	/* BackEnd/c_proto.scm 688 */
							BgL_objectz00_bglt BgL_arg1858z00_3699;

							BgL_arg1858z00_3699 = (BgL_objectz00_bglt) (BgL_typez00_68);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* BackEnd/c_proto.scm 688 */
									long BgL_idxz00_3705;

									BgL_idxz00_3705 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3699);
									BgL_test2564z00_5555 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3705 + 2L)) == BgL_classz00_3697);
								}
							else
								{	/* BackEnd/c_proto.scm 688 */
									bool_t BgL_res2247z00_3730;

									{	/* BackEnd/c_proto.scm 688 */
										obj_t BgL_oclassz00_3713;

										{	/* BackEnd/c_proto.scm 688 */
											obj_t BgL_arg1866z00_3721;
											long BgL_arg1867z00_3722;

											BgL_arg1866z00_3721 = (BGl_za2classesza2z00zz__objectz00);
											{	/* BackEnd/c_proto.scm 688 */
												long BgL_arg1869z00_3723;

												BgL_arg1869z00_3723 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3699);
												BgL_arg1867z00_3722 =
													(BgL_arg1869z00_3723 - OBJECT_TYPE);
											}
											BgL_oclassz00_3713 =
												VECTOR_REF(BgL_arg1866z00_3721, BgL_arg1867z00_3722);
										}
										{	/* BackEnd/c_proto.scm 688 */
											bool_t BgL__ortest_1115z00_3714;

											BgL__ortest_1115z00_3714 =
												(BgL_classz00_3697 == BgL_oclassz00_3713);
											if (BgL__ortest_1115z00_3714)
												{	/* BackEnd/c_proto.scm 688 */
													BgL_res2247z00_3730 = BgL__ortest_1115z00_3714;
												}
											else
												{	/* BackEnd/c_proto.scm 688 */
													long BgL_odepthz00_3715;

													{	/* BackEnd/c_proto.scm 688 */
														obj_t BgL_arg1855z00_3716;

														BgL_arg1855z00_3716 = (BgL_oclassz00_3713);
														BgL_odepthz00_3715 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3716);
													}
													if ((2L < BgL_odepthz00_3715))
														{	/* BackEnd/c_proto.scm 688 */
															obj_t BgL_arg1853z00_3718;

															{	/* BackEnd/c_proto.scm 688 */
																obj_t BgL_arg1854z00_3719;

																BgL_arg1854z00_3719 = (BgL_oclassz00_3713);
																BgL_arg1853z00_3718 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3719,
																	2L);
															}
															BgL_res2247z00_3730 =
																(BgL_arg1853z00_3718 == BgL_classz00_3697);
														}
													else
														{	/* BackEnd/c_proto.scm 688 */
															BgL_res2247z00_3730 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2564z00_5555 = BgL_res2247z00_3730;
								}
						}
					else
						{	/* BackEnd/c_proto.scm 688 */
							BgL_test2564z00_5555 = ((bool_t) 0);
						}
				}
				if (BgL_test2564z00_5555)
					{	/* BackEnd/c_proto.scm 689 */
						obj_t BgL_arg2092z00_2618;

						BgL_arg2092z00_2618 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_68)))->BgL_siza7eza7);
						return
							string_append(BgL_arg2092z00_2618,
							BGl_string2331z00zzbackend_c_prototypez00);
					}
				else
					{	/* BackEnd/c_proto.scm 688 */
						return
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_typez00_68)))->BgL_namez00);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_proc2332z00zzbackend_c_prototypez00, BGl_valuez00zzast_varz00,
				BGl_string2333z00zzbackend_c_prototypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_proc2334z00zzbackend_c_prototypez00, BGl_variablez00zzast_varz00,
				BGl_string2335z00zzbackend_c_prototypez00);
		}

	}



/* &get-c-scope1423 */
	obj_t BGl_z62getzd2czd2scope1423z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4079, obj_t BgL_variablez00_4080)
	{
		{	/* BackEnd/c_proto.scm 609 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(21)), BGl_string2336z00zzbackend_c_prototypez00,
				((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_4080)));
		}

	}



/* &emit-prototype1411 */
	obj_t BGl_z62emitzd2prototype1411zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_4081, obj_t BgL_valuez00_4082, obj_t BgL_variablez00_4083)
	{
		{	/* BackEnd/c_proto.scm 106 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(22)), BGl_string2336z00zzbackend_c_prototypez00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_4082)));
		}

	}



/* emit-prototype */
	obj_t BGl_emitzd2prototypezd2zzbackend_c_prototypez00(BgL_valuez00_bglt
		BgL_valuez00_14, BgL_variablez00_bglt BgL_variablez00_15)
	{
		{	/* BackEnd/c_proto.scm 106 */
			{	/* BackEnd/c_proto.scm 106 */
				obj_t BgL_method1412z00_2628;

				{	/* BackEnd/c_proto.scm 106 */
					obj_t BgL_res2252z00_3763;

					{	/* BackEnd/c_proto.scm 106 */
						long BgL_objzd2classzd2numz00_3734;

						BgL_objzd2classzd2numz00_3734 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_14));
						{	/* BackEnd/c_proto.scm 106 */
							obj_t BgL_arg1862z00_3735;

							BgL_arg1862z00_3735 =
								PROCEDURE_REF
								(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
								(int) (1L));
							{	/* BackEnd/c_proto.scm 106 */
								int BgL_offsetz00_3738;

								BgL_offsetz00_3738 = (int) (BgL_objzd2classzd2numz00_3734);
								{	/* BackEnd/c_proto.scm 106 */
									long BgL_offsetz00_3739;

									BgL_offsetz00_3739 =
										((long) (BgL_offsetz00_3738) - OBJECT_TYPE);
									{	/* BackEnd/c_proto.scm 106 */
										long BgL_modz00_3740;

										BgL_modz00_3740 =
											(BgL_offsetz00_3739 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/c_proto.scm 106 */
											long BgL_restz00_3742;

											BgL_restz00_3742 =
												(BgL_offsetz00_3739 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/c_proto.scm 106 */

												{	/* BackEnd/c_proto.scm 106 */
													obj_t BgL_bucketz00_3744;

													BgL_bucketz00_3744 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3735), BgL_modz00_3740);
													BgL_res2252z00_3763 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3744), BgL_restz00_3742);
					}}}}}}}}
					BgL_method1412z00_2628 = BgL_res2252z00_3763;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1412z00_2628,
					((obj_t) BgL_valuez00_14), ((obj_t) BgL_variablez00_15));
			}
		}

	}



/* &emit-prototype */
	obj_t BGl_z62emitzd2prototypezb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_4084, obj_t BgL_valuez00_4085, obj_t BgL_variablez00_4086)
	{
		{	/* BackEnd/c_proto.scm 106 */
			return
				BGl_emitzd2prototypezd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt) BgL_valuez00_4085),
				((BgL_variablez00_bglt) BgL_variablez00_4086));
		}

	}



/* get-c-scope */
	obj_t BGl_getzd2czd2scopez00zzbackend_c_prototypez00(BgL_variablez00_bglt
		BgL_variablez00_63)
	{
		{	/* BackEnd/c_proto.scm 609 */
			{	/* BackEnd/c_proto.scm 609 */
				obj_t BgL_method1424z00_2629;

				{	/* BackEnd/c_proto.scm 609 */
					obj_t BgL_res2257z00_3794;

					{	/* BackEnd/c_proto.scm 609 */
						long BgL_objzd2classzd2numz00_3765;

						BgL_objzd2classzd2numz00_3765 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_63));
						{	/* BackEnd/c_proto.scm 609 */
							obj_t BgL_arg1862z00_3766;

							BgL_arg1862z00_3766 =
								PROCEDURE_REF
								(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
								(int) (1L));
							{	/* BackEnd/c_proto.scm 609 */
								int BgL_offsetz00_3769;

								BgL_offsetz00_3769 = (int) (BgL_objzd2classzd2numz00_3765);
								{	/* BackEnd/c_proto.scm 609 */
									long BgL_offsetz00_3770;

									BgL_offsetz00_3770 =
										((long) (BgL_offsetz00_3769) - OBJECT_TYPE);
									{	/* BackEnd/c_proto.scm 609 */
										long BgL_modz00_3771;

										BgL_modz00_3771 =
											(BgL_offsetz00_3770 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/c_proto.scm 609 */
											long BgL_restz00_3773;

											BgL_restz00_3773 =
												(BgL_offsetz00_3770 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/c_proto.scm 609 */

												{	/* BackEnd/c_proto.scm 609 */
													obj_t BgL_bucketz00_3775;

													BgL_bucketz00_3775 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3766), BgL_modz00_3771);
													BgL_res2257z00_3794 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3775), BgL_restz00_3773);
					}}}}}}}}
					BgL_method1424z00_2629 = BgL_res2257z00_3794;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1424z00_2629,
					((obj_t) BgL_variablez00_63));
			}
		}

	}



/* &get-c-scope */
	obj_t BGl_z62getzd2czd2scopez62zzbackend_c_prototypez00(obj_t BgL_envz00_4087,
		obj_t BgL_variablez00_4088)
	{
		{	/* BackEnd/c_proto.scm 609 */
			return
				BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
				((BgL_variablez00_bglt) BgL_variablez00_4088));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_svarz00zzast_varz00, BGl_proc2337z00zzbackend_c_prototypez00,
				BGl_string2338z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_scnstz00zzast_varz00, BGl_proc2339z00zzbackend_c_prototypez00,
				BGl_string2338z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_sfunz00zzast_varz00, BGl_proc2340z00zzbackend_c_prototypez00,
				BGl_string2338z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_cfunz00zzast_varz00, BGl_proc2341z00zzbackend_c_prototypez00,
				BGl_string2338z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_emitzd2prototypezd2envz00zzbackend_c_prototypez00,
				BGl_cvarz00zzast_varz00, BGl_proc2342z00zzbackend_c_prototypez00,
				BGl_string2338z00zzbackend_c_prototypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_globalz00zzast_varz00, BGl_proc2343z00zzbackend_c_prototypez00,
				BGl_string2344z00zzbackend_c_prototypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2czd2scopezd2envzd2zzbackend_c_prototypez00,
				BGl_localz00zzast_varz00, BGl_proc2345z00zzbackend_c_prototypez00,
				BGl_string2344z00zzbackend_c_prototypez00);
		}

	}



/* &get-c-scope-local1428 */
	obj_t BGl_z62getzd2czd2scopezd2local1428zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_4096, obj_t BgL_variablez00_4097)
	{
		{	/* BackEnd/c_proto.scm 629 */
			return BGl_string2268z00zzbackend_c_prototypez00;
		}

	}



/* &get-c-scope-global1426 */
	obj_t BGl_z62getzd2czd2scopezd2global1426zb0zzbackend_c_prototypez00(obj_t
		BgL_envz00_4098, obj_t BgL_variablez00_4099)
	{
		{	/* BackEnd/c_proto.scm 614 */
			{	/* BackEnd/c_proto.scm 616 */
				obj_t BgL_scopez00_4168;

				{	/* BackEnd/c_proto.scm 616 */
					obj_t BgL_casezd2valuezd2_4169;

					BgL_casezd2valuezd2_4169 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_variablez00_4099)))->BgL_importz00);
					if ((BgL_casezd2valuezd2_4169 == ((obj_t) CNST_TABLE_REF(0))))
						{	/* BackEnd/c_proto.scm 616 */
							BgL_scopez00_4168 = BGl_string2268z00zzbackend_c_prototypez00;
						}
					else
						{	/* BackEnd/c_proto.scm 616 */
							if ((BgL_casezd2valuezd2_4169 == ((obj_t) CNST_TABLE_REF(19))))
								{	/* BackEnd/c_proto.scm 616 */
									if (CBOOL(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_4099)))->
												BgL_libraryz00)))
										{	/* BackEnd/c_proto.scm 618 */
											BgL_scopez00_4168 =
												BGl_string2346z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 618 */
											BgL_scopez00_4168 =
												BGl_string2347z00zzbackend_c_prototypez00;
										}
								}
							else
								{	/* BackEnd/c_proto.scm 616 */
									if ((BgL_casezd2valuezd2_4169 == ((obj_t) CNST_TABLE_REF(1))))
										{	/* BackEnd/c_proto.scm 616 */
											BgL_scopez00_4168 =
												BGl_string2348z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 616 */
											BgL_scopez00_4168 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2344z00zzbackend_c_prototypez00,
												BGl_string2349z00zzbackend_c_prototypez00,
												(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
																BgL_variablez00_4099)))->BgL_importz00));
										}
								}
						}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								CNST_TABLE_REF(5)),
							(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_variablez00_4099)))->
								BgL_pragmaz00))))
					{	/* BackEnd/c_proto.scm 622 */
						return
							string_append(BgL_scopez00_4168,
							BGl_string2350z00zzbackend_c_prototypez00);
					}
				else
					{	/* BackEnd/c_proto.scm 622 */
						return BgL_scopez00_4168;
					}
			}
		}

	}



/* &emit-prototype-cvar1422 */
	obj_t BGl_z62emitzd2prototypezd2cvar1422z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4100, obj_t BgL_valuez00_4101, obj_t BgL_variablez00_4102)
	{
		{	/* BackEnd/c_proto.scm 256 */
			if (
				(((BgL_cvarz00_bglt) COBJECT(
							((BgL_cvarz00_bglt) BgL_valuez00_4101)))->BgL_macrozf3zf3))
				{	/* BackEnd/c_proto.scm 257 */
					return BFALSE;
				}
			else
				{	/* BackEnd/c_proto.scm 259 */
					obj_t BgL_port1372z00_4171;

					BgL_port1372z00_4171 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
					{	/* BackEnd/c_proto.scm 260 */
						obj_t BgL_arg2129z00_4172;

						if (CBOOL(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_4102)))->
									BgL_libraryz00)))
							{	/* BackEnd/c_proto.scm 260 */
								BgL_arg2129z00_4172 = BGl_string2351z00zzbackend_c_prototypez00;
							}
						else
							{	/* BackEnd/c_proto.scm 260 */
								BgL_arg2129z00_4172 = BGl_string2352z00zzbackend_c_prototypez00;
							}
						bgl_display_obj(BgL_arg2129z00_4172, BgL_port1372z00_4171);
					}
					{	/* BackEnd/c_proto.scm 261 */
						obj_t BgL_arg2131z00_4173;

						{	/* BackEnd/c_proto.scm 261 */
							BgL_typez00_bglt BgL_arg2132z00_4174;
							obj_t BgL_arg2133z00_4175;

							BgL_arg2132z00_4174 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_4102))))->
								BgL_typez00);
							BgL_arg2133z00_4175 =
								(((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
												BgL_variablez00_4102))))->BgL_namez00);
							BgL_arg2131z00_4173 =
								BGl_makezd2typedzd2declarationz00zztype_toolsz00
								(BgL_arg2132z00_4174, BgL_arg2133z00_4175);
						}
						bgl_display_obj(BgL_arg2131z00_4173, BgL_port1372z00_4171);
					}
					{	/* BackEnd/c_proto.scm 259 */
						obj_t BgL_tmpz00_5714;

						BgL_tmpz00_5714 = ((obj_t) BgL_port1372z00_4171);
						bgl_display_char(((unsigned char) ';'), BgL_tmpz00_5714);
					}
					{	/* BackEnd/c_proto.scm 259 */
						obj_t BgL_tmpz00_5717;

						BgL_tmpz00_5717 = ((obj_t) BgL_port1372z00_4171);
						return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5717);
		}}}

	}



/* &emit-prototype-cfun1420 */
	obj_t BGl_z62emitzd2prototypezd2cfun1420z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4103, obj_t BgL_valuez00_4104, obj_t BgL_variablez00_4105)
	{
		{	/* BackEnd/c_proto.scm 223 */
			if (
				(((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_valuez00_4104)))->BgL_macrozf3zf3))
				{	/* BackEnd/c_proto.scm 224 */
					return BFALSE;
				}
			else
				{	/* BackEnd/c_proto.scm 226 */
					long BgL_arityz00_4177;

					BgL_arityz00_4177 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_valuez00_4104))))->BgL_arityz00);
					{	/* BackEnd/c_proto.scm 226 */
						obj_t BgL_targsz00_4178;

						BgL_targsz00_4178 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_valuez00_4104)))->BgL_argszd2typezd2);
						{	/* BackEnd/c_proto.scm 227 */

							{	/* BackEnd/c_proto.scm 228 */
								obj_t BgL_port1371z00_4179;

								BgL_port1371z00_4179 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
								{	/* BackEnd/c_proto.scm 229 */
									obj_t BgL_arg2106z00_4180;

									if (CBOOL(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_4105)))->
												BgL_libraryz00)))
										{	/* BackEnd/c_proto.scm 229 */
											BgL_arg2106z00_4180 =
												BGl_string2351z00zzbackend_c_prototypez00;
										}
									else
										{	/* BackEnd/c_proto.scm 229 */
											BgL_arg2106z00_4180 =
												BGl_string2352z00zzbackend_c_prototypez00;
										}
									bgl_display_obj(BgL_arg2106z00_4180, BgL_port1371z00_4179);
								}
								{	/* BackEnd/c_proto.scm 230 */
									obj_t BgL_arg2108z00_4181;

									{	/* BackEnd/c_proto.scm 230 */
										BgL_typez00_bglt BgL_arg2109z00_4182;
										obj_t BgL_arg2110z00_4183;

										BgL_arg2109z00_4182 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_4105))))->
											BgL_typez00);
										{	/* BackEnd/c_proto.scm 232 */
											obj_t BgL_arg2111z00_4184;
											obj_t BgL_arg2112z00_4185;

											BgL_arg2111z00_4184 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_variablez00_4105))))->
												BgL_namez00);
											if (NULLP(BgL_targsz00_4178))
												{	/* BackEnd/c_proto.scm 236 */
													BgL_arg2112z00_4185 =
														BGl_string2353z00zzbackend_c_prototypez00;
												}
											else
												{	/* BackEnd/c_proto.scm 236 */
													if ((BgL_arityz00_4177 <= (-1L)))
														{	/* BackEnd/c_proto.scm 238 */
															obj_t BgL_arg2115z00_4186;

															{	/* BackEnd/c_proto.scm 238 */
																obj_t BgL_arg2116z00_4187;

																BgL_arg2116z00_4187 =
																	CAR(((obj_t) BgL_targsz00_4178));
																BgL_arg2115z00_4186 =
																	BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00
																	(((BgL_typez00_bglt) BgL_arg2116z00_4187));
															}
															BgL_arg2112z00_4185 =
																string_append(BgL_arg2115z00_4186,
																BGl_string2354z00zzbackend_c_prototypez00);
														}
													else
														{	/* BackEnd/c_proto.scm 237 */
															BgL_arg2112z00_4185 =
																BGl_loopze70ze7zzbackend_c_prototypez00
																(BgL_arityz00_4177, BgL_targsz00_4178);
														}
												}
											BgL_arg2110z00_4183 =
												string_append_3(BgL_arg2111z00_4184,
												BGl_string2274z00zzbackend_c_prototypez00,
												BgL_arg2112z00_4185);
										}
										BgL_arg2108z00_4181 =
											BGl_makezd2typedzd2declarationz00zztype_toolsz00
											(BgL_arg2109z00_4182, BgL_arg2110z00_4183);
									}
									bgl_display_obj(BgL_arg2108z00_4181, BgL_port1371z00_4179);
								}
								{	/* BackEnd/c_proto.scm 228 */
									obj_t BgL_tmpz00_5752;

									BgL_tmpz00_5752 = ((obj_t) BgL_port1371z00_4179);
									bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
										BgL_tmpz00_5752);
								}
								{	/* BackEnd/c_proto.scm 228 */
									obj_t BgL_tmpz00_5755;

									BgL_tmpz00_5755 = ((obj_t) BgL_port1371z00_4179);
									return
										bgl_display_char(((unsigned char) 10), BgL_tmpz00_5755);
		}}}}}}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzbackend_c_prototypez00(long BgL_arityz00_4115,
		obj_t BgL_targsz00_2680)
	{
		{	/* BackEnd/c_proto.scm 241 */
			if (NULLP(CDR(((obj_t) BgL_targsz00_2680))))
				{	/* BackEnd/c_proto.scm 242 */
					if ((BgL_arityz00_4115 < 0L))
						{	/* BackEnd/c_proto.scm 243 */
							return BGl_string2355z00zzbackend_c_prototypez00;
						}
					else
						{	/* BackEnd/c_proto.scm 246 */
							obj_t BgL_arg2121z00_2685;

							{	/* BackEnd/c_proto.scm 246 */
								obj_t BgL_arg2122z00_2686;

								BgL_arg2122z00_2686 = CAR(((obj_t) BgL_targsz00_2680));
								BgL_arg2121z00_2685 =
									BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
									((BgL_typez00_bglt) BgL_arg2122z00_2686));
							}
							return
								string_append(BgL_arg2121z00_2685,
								BGl_string2275z00zzbackend_c_prototypez00);
						}
				}
			else
				{	/* BackEnd/c_proto.scm 249 */
					obj_t BgL_arg2123z00_2687;
					obj_t BgL_arg2124z00_2688;

					{	/* BackEnd/c_proto.scm 249 */
						obj_t BgL_arg2125z00_2689;

						BgL_arg2125z00_2689 = CAR(((obj_t) BgL_targsz00_2680));
						BgL_arg2123z00_2687 =
							BGl_typezd2namezd2sanszd2z42z90zztype_toolsz00(
							((BgL_typez00_bglt) BgL_arg2125z00_2689));
					}
					{	/* BackEnd/c_proto.scm 250 */
						obj_t BgL_arg2126z00_2690;

						BgL_arg2126z00_2690 = CDR(((obj_t) BgL_targsz00_2680));
						BgL_arg2124z00_2688 =
							BGl_loopze70ze7zzbackend_c_prototypez00(BgL_arityz00_4115,
							BgL_arg2126z00_2690);
					}
					return
						string_append_3(BgL_arg2123z00_2687,
						BGl_string2276z00zzbackend_c_prototypez00, BgL_arg2124z00_2688);
				}
		}

	}



/* &emit-prototype-sfun1418 */
	obj_t BGl_z62emitzd2prototypezd2sfun1418z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4106, obj_t BgL_valuez00_4107, obj_t BgL_variablez00_4108)
	{
		{	/* BackEnd/c_proto.scm 173 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_4108));
			{	/* BackEnd/c_proto.scm 176 */
				obj_t BgL_port1370z00_4189;

				BgL_port1370z00_4189 = BGl_za2czd2portza2zd2zzbackend_c_emitz00;
				{	/* BackEnd/c_proto.scm 177 */
					obj_t BgL_arg2095z00_4190;

					BgL_arg2095z00_4190 =
						BGl_getzd2czd2scopez00zzbackend_c_prototypez00(
						((BgL_variablez00_bglt) BgL_variablez00_4108));
					bgl_display_obj(BgL_arg2095z00_4190, BgL_port1370z00_4189);
				}
				{	/* BackEnd/c_proto.scm 176 */
					obj_t BgL_tmpz00_5782;

					BgL_tmpz00_5782 = ((obj_t) BgL_port1370z00_4189);
					bgl_display_char(((unsigned char) ' '), BgL_tmpz00_5782);
				}
				{	/* BackEnd/c_proto.scm 179 */
					obj_t BgL_arg2096z00_4191;

					{	/* BackEnd/c_proto.scm 179 */
						BgL_typez00_bglt BgL_arg2097z00_4192;
						obj_t BgL_arg2098z00_4193;

						BgL_arg2097z00_4192 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_variablez00_4108)))->BgL_typez00);
						{	/* BackEnd/c_proto.scm 181 */
							obj_t BgL_arg2099z00_4194;
							obj_t BgL_arg2100z00_4195;

							BgL_arg2099z00_4194 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_4108)))->
								BgL_namez00);
							{	/* BackEnd/c_proto.scm 183 */
								obj_t BgL_argsz00_4196;

								BgL_argsz00_4196 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_valuez00_4107)))->BgL_argsz00);
								{	/* BackEnd/c_proto.scm 184 */
									bool_t BgL_test2582z00_5791;

									if (PAIRP(BgL_argsz00_4196))
										{	/* BackEnd/c_proto.scm 184 */
											obj_t BgL_arg2104z00_4197;

											BgL_arg2104z00_4197 = CAR(BgL_argsz00_4196);
											{	/* BackEnd/c_proto.scm 184 */
												obj_t BgL_classz00_4198;

												BgL_classz00_4198 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_arg2104z00_4197))
													{	/* BackEnd/c_proto.scm 184 */
														BgL_objectz00_bglt BgL_arg1858z00_4199;

														BgL_arg1858z00_4199 =
															(BgL_objectz00_bglt) (BgL_arg2104z00_4197);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* BackEnd/c_proto.scm 184 */
																long BgL_idxz00_4200;

																BgL_idxz00_4200 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4199);
																BgL_test2582z00_5791 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4200 + 1L)) ==
																	BgL_classz00_4198);
															}
														else
															{	/* BackEnd/c_proto.scm 184 */
																bool_t BgL_res2258z00_4203;

																{	/* BackEnd/c_proto.scm 184 */
																	obj_t BgL_oclassz00_4204;

																	{	/* BackEnd/c_proto.scm 184 */
																		obj_t BgL_arg1866z00_4205;
																		long BgL_arg1867z00_4206;

																		BgL_arg1866z00_4205 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* BackEnd/c_proto.scm 184 */
																			long BgL_arg1869z00_4207;

																			BgL_arg1869z00_4207 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4199);
																			BgL_arg1867z00_4206 =
																				(BgL_arg1869z00_4207 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4204 =
																			VECTOR_REF(BgL_arg1866z00_4205,
																			BgL_arg1867z00_4206);
																	}
																	{	/* BackEnd/c_proto.scm 184 */
																		bool_t BgL__ortest_1115z00_4208;

																		BgL__ortest_1115z00_4208 =
																			(BgL_classz00_4198 == BgL_oclassz00_4204);
																		if (BgL__ortest_1115z00_4208)
																			{	/* BackEnd/c_proto.scm 184 */
																				BgL_res2258z00_4203 =
																					BgL__ortest_1115z00_4208;
																			}
																		else
																			{	/* BackEnd/c_proto.scm 184 */
																				long BgL_odepthz00_4209;

																				{	/* BackEnd/c_proto.scm 184 */
																					obj_t BgL_arg1855z00_4210;

																					BgL_arg1855z00_4210 =
																						(BgL_oclassz00_4204);
																					BgL_odepthz00_4209 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4210);
																				}
																				if ((1L < BgL_odepthz00_4209))
																					{	/* BackEnd/c_proto.scm 184 */
																						obj_t BgL_arg1853z00_4211;

																						{	/* BackEnd/c_proto.scm 184 */
																							obj_t BgL_arg1854z00_4212;

																							BgL_arg1854z00_4212 =
																								(BgL_oclassz00_4204);
																							BgL_arg1853z00_4211 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4212, 1L);
																						}
																						BgL_res2258z00_4203 =
																							(BgL_arg1853z00_4211 ==
																							BgL_classz00_4198);
																					}
																				else
																					{	/* BackEnd/c_proto.scm 184 */
																						BgL_res2258z00_4203 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2582z00_5791 = BgL_res2258z00_4203;
															}
													}
												else
													{	/* BackEnd/c_proto.scm 184 */
														BgL_test2582z00_5791 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* BackEnd/c_proto.scm 184 */
											BgL_test2582z00_5791 = ((bool_t) 0);
										}
									if (BgL_test2582z00_5791)
										{	/* BackEnd/c_proto.scm 184 */
											BgL_arg2100z00_4195 =
												BGl_emitzd2prototypezd2formalzd2typeszd2zzbackend_c_prototypez00
												(BgL_argsz00_4196);
										}
									else
										{	/* BackEnd/c_proto.scm 184 */
											BgL_arg2100z00_4195 =
												BGl_emitzd2prototypezd2formalsz00zzbackend_c_prototypez00
												(BgL_argsz00_4196);
										}
								}
							}
							BgL_arg2098z00_4193 =
								string_append(BgL_arg2099z00_4194, BgL_arg2100z00_4195);
						}
						BgL_arg2096z00_4191 =
							BGl_makezd2typedzd2declarationz00zztype_toolsz00
							(BgL_arg2097z00_4192, BgL_arg2098z00_4193);
					}
					bgl_display_obj(BgL_arg2096z00_4191, BgL_port1370z00_4189);
				}
				{	/* BackEnd/c_proto.scm 176 */
					obj_t BgL_tmpz00_5822;

					BgL_tmpz00_5822 = ((obj_t) BgL_port1370z00_4189);
					bgl_display_string(BGl_string2271z00zzbackend_c_prototypez00,
						BgL_tmpz00_5822);
				}
				{	/* BackEnd/c_proto.scm 176 */
					obj_t BgL_tmpz00_5825;

					BgL_tmpz00_5825 = ((obj_t) BgL_port1370z00_4189);
					return bgl_display_char(((unsigned char) 10), BgL_tmpz00_5825);
		}}}

	}



/* &emit-prototype-scnst1416 */
	obj_t BGl_z62emitzd2prototypezd2scnst1416z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4109, obj_t BgL_valuez00_4110, obj_t BgL_variablez00_4111)
	{
		{	/* BackEnd/c_proto.scm 117 */
			return
				BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt)
					((BgL_scnstz00_bglt) BgL_valuez00_4110)), BgL_variablez00_4111);
		}

	}



/* &emit-prototype-svar1414 */
	obj_t BGl_z62emitzd2prototypezd2svar1414z62zzbackend_c_prototypez00(obj_t
		BgL_envz00_4112, obj_t BgL_valuez00_4113, obj_t BgL_variablez00_4114)
	{
		{	/* BackEnd/c_proto.scm 111 */
			return
				BGl_emitzd2prototypezf2svarzf2scnstzd2zzbackend_c_prototypez00(
				((BgL_valuez00_bglt)
					((BgL_svarz00_bglt) BgL_valuez00_4113)), BgL_variablez00_4114);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_c_prototypez00(void)
	{
		{	/* BackEnd/c_proto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(156774043L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zztvector_cnstz00(263487728L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(117763019L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcgen_copz00(529595144L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(474089076L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			BGl_modulezd2initializa7ationz75zzcgen_emitzd2copzd2(371489745L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string2356z00zzbackend_c_prototypez00));
		}

	}

#ifdef __cplusplus
}
#endif
