/*===========================================================================*/
/*   (BackEnd/jvm_class.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/jvm_class.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_JVM_CLASS_TYPE_DEFINITIONS
#define BGL_BACKEND_JVM_CLASS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


#endif													// BGL_BACKEND_JVM_CLASS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2methodszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2namezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
		BUNSPEC;
	static obj_t BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2registerszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00(void);
	static obj_t
		BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t,
		bool_t, bool_t, bool_t, bool_t, obj_t, obj_t, bool_t, bool_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00(void);
	static obj_t BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	static obj_t BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2codezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2variableszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL BgL_jvmz00_bglt
		BGl_jvmzd2nilzd2zzbackend_jvm_classz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typedzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00(void);
	BGL_EXPORTED_DEF obj_t BGl_jvmz00zzbackend_jvm_classz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31271ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t
		BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1300z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1306z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1307z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2functionszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1314z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1315z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2codezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62lambda1321z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1322z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		bool_t);
	static obj_t BGl_z62lambda1333z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1334z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_z62lambda1255z62zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_jvmz00_bglt BGl_z62lambda1259z62zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2languagezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1341z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1342z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_jvm_classz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00(void);
	static obj_t BGl_z62lambda1269z62zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00(void);
	static obj_t BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00(void);
	static obj_t
		BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_jvm_classz00(void);
	static obj_t BGl_z62lambda1270z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t
		BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_jvm_classz00(obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1276z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1277z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2namezb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t
		BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1283z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1284z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1292z62zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62lambda1293z62zzbackend_jvm_classz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1299z62zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t
		BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t);
	extern obj_t BGl_bvmz00zzbackend_bvmz00;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	static obj_t BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, bool_t);
	static BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t
		BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00(obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmzd2callcczd2zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t);
	static obj_t BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt);
	static obj_t __cnst[15];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2closurezd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1401z00,
		BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2functionszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71402za7,
		BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tracezd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2traceza7d1403za7,
		BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21404za7,
		BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2boundzd2checkzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2boundza7d1405za7,
		BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2tvector1406z00,
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qualifiedzd2typeszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qualifi1407z00,
		BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1408za7,
		BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2effectzb2zd2setz12zd2envz72zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2effectza71409za7,
		BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2classzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1410z00,
		BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classeszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2classes1411z00,
		BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jvmzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762makeza7d2jvmza7b01412za7,
		BGl_z62makezd2jvmzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 39);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2classeszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2classes1413z00,
		BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2declarationszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2declara1414z00,
		BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1358z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1415za7,
		BGl_z62zc3z04anonymousza31271ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1359z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1270za7621416z00,
		BGl_z62lambda1270z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2codezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2codeza7b01417za7,
		BGl_z62jvmzd2codezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2srfi0zd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2srfi0za7d1418za7,
		BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1360z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1269za7621419z00,
		BGl_z62lambda1269z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1361z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1420za7,
		BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1362z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1277za7621421z00,
		BGl_z62lambda1277z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1363z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1276za7621422z00,
		BGl_z62lambda1276z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1364z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1423za7,
		BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1365z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1284za7621424z00,
		BGl_z62lambda1284z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1366z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1283za7621425z00,
		BGl_z62lambda1283z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1367z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1426za7,
		BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2typeszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typesza7b1427za7,
		BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1368z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1293za7621428z00,
		BGl_z62lambda1293z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1369z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1292za7621429z00,
		BGl_z62lambda1292z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2lightzd2funcallszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2lightza7d1430za7,
		BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typezd2checkzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typeza7d21431za7,
		BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1370z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1432za7,
		BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1371z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1300za7621433z00,
		BGl_z62lambda1300z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1372z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1299za7621434z00,
		BGl_z62lambda1299z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1373z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1435za7,
		BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1374z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1307za7621436z00,
		BGl_z62lambda1307z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1375z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1306za7621437z00,
		BGl_z62lambda1306z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1376z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1438za7,
		BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2codezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2codeza7d21439za7,
		BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1377z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1315za7621440z00,
		BGl_z62lambda1315z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1378z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1314za7621441z00,
		BGl_z62lambda1314z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1379z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1442za7,
		BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1443z00,
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1380z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1322za7621444z00,
		BGl_z62lambda1322z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1381z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1321za7621445z00,
		BGl_z62lambda1321z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1382z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1446za7,
		BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1383z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1334za7621447z00,
		BGl_z62lambda1334z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1384z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1333za7621448z00,
		BGl_z62lambda1333z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1391z00zzbackend_jvm_classz00,
		BgL_bgl_string1391za700za7za7b1449za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1385z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1450za7,
		BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1392z00zzbackend_jvm_classz00,
		BgL_bgl_string1392za700za7za7b1451za7, "backend_jvm_class", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1386z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1342za7621452z00,
		BGl_z62lambda1342z62zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1393z00zzbackend_jvm_classz00,
		BgL_bgl_string1393za700za7za7b1453za7,
		"unamed _ backend_jvm_class jvm inline light-funcalls code current-method methods fields declarations current-class classes obj qname ",
		133);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1387z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1341za7621454z00,
		BGl_z62lambda1341z62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1388z00zzbackend_jvm_classz00,
		BgL_bgl_za762za7c3za704anonymo1455za7,
		BGl_z62zc3z04anonymousza31261ze3ze5zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1389z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1259za7621456z00,
		BGl_z62lambda1259z62zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1390z00zzbackend_jvm_classz00,
		BgL_bgl_za762lambda1255za7621457z00,
		BGl_z62lambda1255z62zzbackend_jvm_classz00, 0L, BUNSPEC, 44);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2registerszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2registe1458z00,
		BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2funcallzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1459za7,
		BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2typedzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7b1460za7,
		BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typeszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typesza7d1461za7,
		BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2fieldszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2fieldsza71462za7,
		BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2typeszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71463za7,
		BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2requirezd2tailczd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2require1464z00,
		BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qnamezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qnameza7d1465za7,
		BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typezd2checkzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typeza7d21466za7,
		BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qualifi1467z00,
		BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2namezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nameza7d21468za7,
		BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2namezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nameza7b01469za7,
		BGl_z62jvmzd2namezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2languagezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2languag1470z00,
		BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2eqzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1471za7,
		BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2callcczd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2callccza71472za7,
		BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debugzd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2debugza7d1473za7,
		BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2methodzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1474z00,
		BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2variableszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2variabl1475z00,
		BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2declarationszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2declara1476z00,
		BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzf3zd2envz21zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7f3za791za7za7ba1477za7,
		BGl_z62jvmzf3z91zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2inlinezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2inlineza71478za7,
		BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2compatiblezd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21479za7,
		BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2effectzb2zd2envzb2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2effectza71480za7,
		BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2callcczd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2callccza71481za7,
		BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2removezd2emptyzd2letzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2removeza71482za7,
		BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2variableszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71483za7,
		BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2eqzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1484za7,
		BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2functionszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2functio1485z00,
		BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2variableszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2variabl1486z00,
		BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2suffixzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21487za7,
		BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2methodszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2methods1488z00,
		BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2qnamezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2qnameza7b1489za7,
		BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2clausezd2supportzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1490z00,
		BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2srfi0zd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2srfi0za7b1491za7,
		BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2methodszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2methods1492z00,
		BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2typeszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71493za7,
		BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2boundzd2checkzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2boundza7d1494za7,
		BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2requirezd2tailczd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2require1495z00,
		BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tracezd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2traceza7d1496za7,
		BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2removeza71497za7,
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2inlinezd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2inlineza71498za7,
		BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2variableszd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71499za7,
		BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2externzd2functionszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2externza71500za7,
		BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pragmazd2supportzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pragmaza71501za7,
		BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2lightzd2funcallszd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2lightza7d1502za7,
		BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2languagezd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2languag1503z00,
		BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2heapzd2suffixzd2envzd2zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2heapza7d21504za7,
		BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pregisterszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pregist1505z00,
		BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2tvectorzd2descrzd2supportzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2tvector1506z00,
		BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2registerszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2registe1507z00,
		BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2typedzd2funcallzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2typedza7d1508za7,
		BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2fieldszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2fieldsza71509za7,
		BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2functionszd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2functio1510z00,
		BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2classzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1511z00,
		BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debugzd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2debugza7d1512za7,
		BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2currentzd2methodzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2current1513z00,
		BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmzd2nilzd2envz00zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2nilza7b0za71514z00,
		BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pragmazd2supportzd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pragmaza71515za7,
		BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2pregisterszd2setz12zd2envzc0zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2pregist1516z00,
		BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2foreignzd2closurezd2setz12zd2envz12zzbackend_jvm_classz00,
		BgL_bgl_za762jvmza7d2foreign1517z00,
		BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00, 0L,
		BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00));
		     ADD_ROOT((void *) (&BGl_jvmz00zzbackend_jvm_classz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long
		BgL_checksumz00_1360, char *BgL_fromz00_1361)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvm_classz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_jvm_classz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_cnstzd2initzd2zzbackend_jvm_classz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00();
					BGl_objectzd2initzd2zzbackend_jvm_classz00();
					return BGl_toplevelzd2initzd2zzbackend_jvm_classz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"backend_jvm_class");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_jvm_class");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 15 */
				obj_t BgL_cportz00_1275;

				{	/* BackEnd/jvm_class.scm 15 */
					obj_t BgL_stringz00_1282;

					BgL_stringz00_1282 = BGl_string1393z00zzbackend_jvm_classz00;
					{	/* BackEnd/jvm_class.scm 15 */
						obj_t BgL_startz00_1283;

						BgL_startz00_1283 = BINT(0L);
						{	/* BackEnd/jvm_class.scm 15 */
							obj_t BgL_endz00_1284;

							BgL_endz00_1284 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1282)));
							{	/* BackEnd/jvm_class.scm 15 */

								BgL_cportz00_1275 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1282, BgL_startz00_1283, BgL_endz00_1284);
				}}}}
				{
					long BgL_iz00_1276;

					BgL_iz00_1276 = 14L;
				BgL_loopz00_1277:
					if ((BgL_iz00_1276 == (-1L)))
						{	/* BackEnd/jvm_class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm_class.scm 15 */
							{	/* BackEnd/jvm_class.scm 15 */
								obj_t BgL_arg1400z00_1278;

								{	/* BackEnd/jvm_class.scm 15 */

									{	/* BackEnd/jvm_class.scm 15 */
										obj_t BgL_locationz00_1280;

										BgL_locationz00_1280 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm_class.scm 15 */

											BgL_arg1400z00_1278 =
												BGl_readz00zz__readerz00(BgL_cportz00_1275,
												BgL_locationz00_1280);
										}
									}
								}
								{	/* BackEnd/jvm_class.scm 15 */
									int BgL_tmpz00_1387;

									BgL_tmpz00_1387 = (int) (BgL_iz00_1276);
									CNST_TABLE_SET(BgL_tmpz00_1387, BgL_arg1400z00_1278);
							}}
							{	/* BackEnd/jvm_class.scm 15 */
								int BgL_auxz00_1281;

								BgL_auxz00_1281 = (int) ((BgL_iz00_1276 - 1L));
								{
									long BgL_iz00_1392;

									BgL_iz00_1392 = (long) (BgL_auxz00_1281);
									BgL_iz00_1276 = BgL_iz00_1392;
									goto BgL_loopz00_1277;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* make-jvm */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t
		BgL_language1142z00_3, obj_t BgL_srfi01143z00_4, obj_t BgL_name1144z00_5,
		obj_t BgL_externzd2variables1145zd2_6,
		obj_t BgL_externzd2functions1146zd2_7, obj_t BgL_externzd2types1147zd2_8,
		obj_t BgL_variables1148z00_9, obj_t BgL_functions1149z00_10,
		obj_t BgL_types1150z00_11, bool_t BgL_typed1151z00_12,
		obj_t BgL_heapzd2suffix1152zd2_13, obj_t BgL_heapzd2compatible1153zd2_14,
		bool_t BgL_callcc1154z00_15, bool_t BgL_qualifiedzd2types1155zd2_16,
		bool_t BgL_effectzb21156zb2_17, bool_t BgL_removezd2emptyzd2let1157z00_18,
		bool_t BgL_foreignzd2closure1158zd2_19, bool_t BgL_typedzd2eq1159zd2_20,
		bool_t BgL_tracezd2support1160zd2_21,
		obj_t BgL_foreignzd2clausezd2suppo1161z00_22,
		obj_t BgL_debugzd2support1162zd2_23, bool_t BgL_pragmazd2support1163zd2_24,
		bool_t BgL_tvectorzd2descrzd2suppor1164z00_25,
		bool_t BgL_requirezd2tailc1165zd2_26, obj_t BgL_registers1166z00_27,
		obj_t BgL_pregisters1167z00_28, bool_t BgL_boundzd2check1168zd2_29,
		bool_t BgL_typezd2check1169zd2_30, bool_t BgL_typedzd2funcall1170zd2_31,
		obj_t BgL_qname1171z00_32, obj_t BgL_classes1172z00_33,
		obj_t BgL_currentzd2class1173zd2_34, obj_t BgL_declarations1174z00_35,
		obj_t BgL_fields1175z00_36, obj_t BgL_methods1176z00_37,
		obj_t BgL_currentzd2method1177zd2_38, obj_t BgL_code1178z00_39,
		obj_t BgL_lightzd2funcalls1179zd2_40, obj_t BgL_inline1180z00_41)
	{
		{	/* BackEnd/jvm_class.sch 99 */
			{	/* BackEnd/jvm_class.sch 99 */
				BgL_jvmz00_bglt BgL_new1099z00_1286;

				{	/* BackEnd/jvm_class.sch 99 */
					BgL_jvmz00_bglt BgL_new1098z00_1287;

					BgL_new1098z00_1287 =
						((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jvmz00_bgl))));
					{	/* BackEnd/jvm_class.sch 99 */
						long BgL_arg1247z00_1288;

						BgL_arg1247z00_1288 =
							BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1098z00_1287), BgL_arg1247z00_1288);
					}
					BgL_new1099z00_1286 = BgL_new1098z00_1287;
				}
				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1099z00_1286)))->
						BgL_languagez00) = ((obj_t) BgL_language1142z00_3), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_srfi0z00) =
					((obj_t) BgL_srfi01143z00_4), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_namez00) =
					((obj_t) BgL_name1144z00_5), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_externzd2variableszd2) =
					((obj_t) BgL_externzd2variables1145zd2_6), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_externzd2functionszd2) =
					((obj_t) BgL_externzd2functions1146zd2_7), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_externzd2typeszd2) =
					((obj_t) BgL_externzd2types1147zd2_8), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_variablesz00) =
					((obj_t) BgL_variables1148z00_9), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_functionsz00) =
					((obj_t) BgL_functions1149z00_10), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typesz00) =
					((obj_t) BgL_types1150z00_11), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typedz00) =
					((bool_t) BgL_typed1151z00_12), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_heapzd2suffixzd2) =
					((obj_t) BgL_heapzd2suffix1152zd2_13), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_heapzd2compatiblezd2) =
					((obj_t) BgL_heapzd2compatible1153zd2_14), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_callccz00) =
					((bool_t) BgL_callcc1154z00_15), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) BgL_qualifiedzd2types1155zd2_16), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_effectzb2zb2) =
					((bool_t) BgL_effectzb21156zb2_17), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) BgL_removezd2emptyzd2let1157z00_18), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_foreignzd2closurezd2) =
					((bool_t) BgL_foreignzd2closure1158zd2_19), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_typedzd2eq1159zd2_20), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_tracezd2supportzd2) =
					((bool_t) BgL_tracezd2support1160zd2_21), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BgL_foreignzd2clausezd2suppo1161z00_22), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_debugzd2supportzd2) =
					((obj_t) BgL_debugzd2support1162zd2_23), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_pragmazd2supportzd2) =
					((bool_t) BgL_pragmazd2support1163zd2_24), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_tvectorzd2descrzd2suppor1164z00_25), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_requirezd2tailczd2) =
					((bool_t) BgL_requirezd2tailc1165zd2_26), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_registersz00) =
					((obj_t) BgL_registers1166z00_27), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_pregistersz00) =
					((obj_t) BgL_pregisters1167z00_28), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_boundzd2check1168zd2_29), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_typezd2check1169zd2_30), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typedzd2funcallzd2) =
					((bool_t) BgL_typedzd2funcall1170zd2_31), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_strictzd2typezd2castz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_stringzd2literalzd2supportz00) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_boxedzd2fixnumszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1099z00_1286)))->BgL_typedzd2closureszd2) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_qnamez00) =
					((obj_t) BgL_qname1171z00_32), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_classesz00) =
					((obj_t) BgL_classes1172z00_33), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->
						BgL_currentzd2classzd2) =
					((obj_t) BgL_currentzd2class1173zd2_34), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->
						BgL_declarationsz00) =
					((obj_t) BgL_declarations1174z00_35), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_fieldsz00) =
					((obj_t) BgL_fields1175z00_36), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_methodsz00) =
					((obj_t) BgL_methods1176z00_37), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->
						BgL_currentzd2methodzd2) =
					((obj_t) BgL_currentzd2method1177zd2_38), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_codez00) =
					((obj_t) BgL_code1178z00_39), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->
						BgL_lightzd2funcallszd2) =
					((obj_t) BgL_lightzd2funcalls1179zd2_40), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(BgL_new1099z00_1286))->BgL_inlinez00) =
					((obj_t) BgL_inline1180z00_41), BUNSPEC);
				{	/* BackEnd/jvm_class.sch 99 */
					obj_t BgL_fun1246z00_1289;

					BgL_fun1246z00_1289 =
						BGl_classzd2constructorzd2zz__objectz00
						(BGl_jvmz00zzbackend_jvm_classz00);
					BGL_PROCEDURE_CALL1(BgL_fun1246z00_1289,
						((obj_t) BgL_new1099z00_1286));
				}
				return BgL_new1099z00_1286;
			}
		}

	}



/* &make-jvm */
	BgL_jvmz00_bglt BGl_z62makezd2jvmzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_894, obj_t BgL_language1142z00_895, obj_t BgL_srfi01143z00_896,
		obj_t BgL_name1144z00_897, obj_t BgL_externzd2variables1145zd2_898,
		obj_t BgL_externzd2functions1146zd2_899,
		obj_t BgL_externzd2types1147zd2_900, obj_t BgL_variables1148z00_901,
		obj_t BgL_functions1149z00_902, obj_t BgL_types1150z00_903,
		obj_t BgL_typed1151z00_904, obj_t BgL_heapzd2suffix1152zd2_905,
		obj_t BgL_heapzd2compatible1153zd2_906, obj_t BgL_callcc1154z00_907,
		obj_t BgL_qualifiedzd2types1155zd2_908, obj_t BgL_effectzb21156zb2_909,
		obj_t BgL_removezd2emptyzd2let1157z00_910,
		obj_t BgL_foreignzd2closure1158zd2_911, obj_t BgL_typedzd2eq1159zd2_912,
		obj_t BgL_tracezd2support1160zd2_913,
		obj_t BgL_foreignzd2clausezd2suppo1161z00_914,
		obj_t BgL_debugzd2support1162zd2_915, obj_t BgL_pragmazd2support1163zd2_916,
		obj_t BgL_tvectorzd2descrzd2suppor1164z00_917,
		obj_t BgL_requirezd2tailc1165zd2_918, obj_t BgL_registers1166z00_919,
		obj_t BgL_pregisters1167z00_920, obj_t BgL_boundzd2check1168zd2_921,
		obj_t BgL_typezd2check1169zd2_922, obj_t BgL_typedzd2funcall1170zd2_923,
		obj_t BgL_qname1171z00_924, obj_t BgL_classes1172z00_925,
		obj_t BgL_currentzd2class1173zd2_926, obj_t BgL_declarations1174z00_927,
		obj_t BgL_fields1175z00_928, obj_t BgL_methods1176z00_929,
		obj_t BgL_currentzd2method1177zd2_930, obj_t BgL_code1178z00_931,
		obj_t BgL_lightzd2funcalls1179zd2_932, obj_t BgL_inline1180z00_933)
	{
		{	/* BackEnd/jvm_class.sch 99 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(BgL_language1142z00_895,
				BgL_srfi01143z00_896, BgL_name1144z00_897,
				BgL_externzd2variables1145zd2_898, BgL_externzd2functions1146zd2_899,
				BgL_externzd2types1147zd2_900, BgL_variables1148z00_901,
				BgL_functions1149z00_902, BgL_types1150z00_903,
				CBOOL(BgL_typed1151z00_904), BgL_heapzd2suffix1152zd2_905,
				BgL_heapzd2compatible1153zd2_906, CBOOL(BgL_callcc1154z00_907),
				CBOOL(BgL_qualifiedzd2types1155zd2_908),
				CBOOL(BgL_effectzb21156zb2_909),
				CBOOL(BgL_removezd2emptyzd2let1157z00_910),
				CBOOL(BgL_foreignzd2closure1158zd2_911),
				CBOOL(BgL_typedzd2eq1159zd2_912), CBOOL(BgL_tracezd2support1160zd2_913),
				BgL_foreignzd2clausezd2suppo1161z00_914, BgL_debugzd2support1162zd2_915,
				CBOOL(BgL_pragmazd2support1163zd2_916),
				CBOOL(BgL_tvectorzd2descrzd2suppor1164z00_917),
				CBOOL(BgL_requirezd2tailc1165zd2_918), BgL_registers1166z00_919,
				BgL_pregisters1167z00_920, CBOOL(BgL_boundzd2check1168zd2_921),
				CBOOL(BgL_typezd2check1169zd2_922),
				CBOOL(BgL_typedzd2funcall1170zd2_923), BgL_qname1171z00_924,
				BgL_classes1172z00_925, BgL_currentzd2class1173zd2_926,
				BgL_declarations1174z00_927, BgL_fields1175z00_928,
				BgL_methods1176z00_929, BgL_currentzd2method1177zd2_930,
				BgL_code1178z00_931, BgL_lightzd2funcalls1179zd2_932,
				BgL_inline1180z00_933);
		}

	}



/* jvm? */
	BGL_EXPORTED_DEF bool_t BGl_jvmzf3zf3zzbackend_jvm_classz00(obj_t
		BgL_objz00_42)
	{
		{	/* BackEnd/jvm_class.sch 100 */
			{	/* BackEnd/jvm_class.sch 100 */
				obj_t BgL_classz00_1290;

				BgL_classz00_1290 = BGl_jvmz00zzbackend_jvm_classz00;
				if (BGL_OBJECTP(BgL_objz00_42))
					{	/* BackEnd/jvm_class.sch 100 */
						BgL_objectz00_bglt BgL_arg1858z00_1291;

						BgL_arg1858z00_1291 = (BgL_objectz00_bglt) (BgL_objz00_42);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/jvm_class.sch 100 */
								long BgL_idxz00_1292;

								BgL_idxz00_1292 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1291);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1292 + 3L)) == BgL_classz00_1290);
							}
						else
							{	/* BackEnd/jvm_class.sch 100 */
								bool_t BgL_res1356z00_1295;

								{	/* BackEnd/jvm_class.sch 100 */
									obj_t BgL_oclassz00_1296;

									{	/* BackEnd/jvm_class.sch 100 */
										obj_t BgL_arg1866z00_1297;
										long BgL_arg1867z00_1298;

										BgL_arg1866z00_1297 = (BGl_za2classesza2z00zz__objectz00);
										{	/* BackEnd/jvm_class.sch 100 */
											long BgL_arg1869z00_1299;

											BgL_arg1869z00_1299 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1291);
											BgL_arg1867z00_1298 = (BgL_arg1869z00_1299 - OBJECT_TYPE);
										}
										BgL_oclassz00_1296 =
											VECTOR_REF(BgL_arg1866z00_1297, BgL_arg1867z00_1298);
									}
									{	/* BackEnd/jvm_class.sch 100 */
										bool_t BgL__ortest_1115z00_1300;

										BgL__ortest_1115z00_1300 =
											(BgL_classz00_1290 == BgL_oclassz00_1296);
										if (BgL__ortest_1115z00_1300)
											{	/* BackEnd/jvm_class.sch 100 */
												BgL_res1356z00_1295 = BgL__ortest_1115z00_1300;
											}
										else
											{	/* BackEnd/jvm_class.sch 100 */
												long BgL_odepthz00_1301;

												{	/* BackEnd/jvm_class.sch 100 */
													obj_t BgL_arg1855z00_1302;

													BgL_arg1855z00_1302 = (BgL_oclassz00_1296);
													BgL_odepthz00_1301 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1302);
												}
												if ((3L < BgL_odepthz00_1301))
													{	/* BackEnd/jvm_class.sch 100 */
														obj_t BgL_arg1853z00_1303;

														{	/* BackEnd/jvm_class.sch 100 */
															obj_t BgL_arg1854z00_1304;

															BgL_arg1854z00_1304 = (BgL_oclassz00_1296);
															BgL_arg1853z00_1303 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1304,
																3L);
														}
														BgL_res1356z00_1295 =
															(BgL_arg1853z00_1303 == BgL_classz00_1290);
													}
												else
													{	/* BackEnd/jvm_class.sch 100 */
														BgL_res1356z00_1295 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1356z00_1295;
							}
					}
				else
					{	/* BackEnd/jvm_class.sch 100 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jvm? */
	obj_t BGl_z62jvmzf3z91zzbackend_jvm_classz00(obj_t BgL_envz00_934,
		obj_t BgL_objz00_935)
	{
		{	/* BackEnd/jvm_class.sch 100 */
			return BBOOL(BGl_jvmzf3zf3zzbackend_jvm_classz00(BgL_objz00_935));
		}

	}



/* jvm-nil */
	BGL_EXPORTED_DEF BgL_jvmz00_bglt BGl_jvmzd2nilzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.sch 101 */
			{	/* BackEnd/jvm_class.sch 101 */
				obj_t BgL_classz00_794;

				BgL_classz00_794 = BGl_jvmz00zzbackend_jvm_classz00;
				{	/* BackEnd/jvm_class.sch 101 */
					obj_t BgL__ortest_1117z00_795;

					BgL__ortest_1117z00_795 = BGL_CLASS_NIL(BgL_classz00_794);
					if (CBOOL(BgL__ortest_1117z00_795))
						{	/* BackEnd/jvm_class.sch 101 */
							return ((BgL_jvmz00_bglt) BgL__ortest_1117z00_795);
						}
					else
						{	/* BackEnd/jvm_class.sch 101 */
							return
								((BgL_jvmz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_794));
						}
				}
			}
		}

	}



/* &jvm-nil */
	BgL_jvmz00_bglt BGl_z62jvmzd2nilzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_936)
	{
		{	/* BackEnd/jvm_class.sch 101 */
			return BGl_jvmzd2nilzd2zzbackend_jvm_classz00();
		}

	}



/* jvm-inline */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/jvm_class.sch 102 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_43))->BgL_inlinez00);
		}

	}



/* &jvm-inline */
	obj_t BGl_z62jvmzd2inlinezb0zzbackend_jvm_classz00(obj_t BgL_envz00_937,
		obj_t BgL_oz00_938)
	{
		{	/* BackEnd/jvm_class.sch 102 */
			return
				BGl_jvmzd2inlinezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_938));
		}

	}



/* jvm-inline-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* BackEnd/jvm_class.sch 103 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_44))->BgL_inlinez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &jvm-inline-set! */
	obj_t BGl_z62jvmzd2inlinezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_939, obj_t BgL_oz00_940, obj_t BgL_vz00_941)
	{
		{	/* BackEnd/jvm_class.sch 103 */
			return
				BGl_jvmzd2inlinezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_940), BgL_vz00_941);
		}

	}



/* jvm-light-funcalls */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/jvm_class.sch 104 */
			return
				(((BgL_jvmz00_bglt) COBJECT(BgL_oz00_46))->BgL_lightzd2funcallszd2);
		}

	}



/* &jvm-light-funcalls */
	obj_t BGl_z62jvmzd2lightzd2funcallsz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_942, obj_t BgL_oz00_943)
	{
		{	/* BackEnd/jvm_class.sch 104 */
			return
				BGl_jvmzd2lightzd2funcallsz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_943));
		}

	}



/* jvm-light-funcalls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* BackEnd/jvm_class.sch 105 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_47))->BgL_lightzd2funcallszd2) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &jvm-light-funcalls-set! */
	obj_t BGl_z62jvmzd2lightzd2funcallszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_944, obj_t BgL_oz00_945, obj_t BgL_vz00_946)
	{
		{	/* BackEnd/jvm_class.sch 105 */
			return
				BGl_jvmzd2lightzd2funcallszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_945), BgL_vz00_946);
		}

	}



/* jvm-code */
	BGL_EXPORTED_DEF obj_t BGl_jvmzd2codezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/jvm_class.sch 106 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_49))->BgL_codez00);
		}

	}



/* &jvm-code */
	obj_t BGl_z62jvmzd2codezb0zzbackend_jvm_classz00(obj_t BgL_envz00_947,
		obj_t BgL_oz00_948)
	{
		{	/* BackEnd/jvm_class.sch 106 */
			return
				BGl_jvmzd2codezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_948));
		}

	}



/* jvm-code-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* BackEnd/jvm_class.sch 107 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_50))->BgL_codez00) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &jvm-code-set! */
	obj_t BGl_z62jvmzd2codezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_949, obj_t BgL_oz00_950, obj_t BgL_vz00_951)
	{
		{	/* BackEnd/jvm_class.sch 107 */
			return
				BGl_jvmzd2codezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_950), BgL_vz00_951);
		}

	}



/* jvm-current-method */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_52)
	{
		{	/* BackEnd/jvm_class.sch 108 */
			return
				(((BgL_jvmz00_bglt) COBJECT(BgL_oz00_52))->BgL_currentzd2methodzd2);
		}

	}



/* &jvm-current-method */
	obj_t BGl_z62jvmzd2currentzd2methodz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_952, obj_t BgL_oz00_953)
	{
		{	/* BackEnd/jvm_class.sch 108 */
			return
				BGl_jvmzd2currentzd2methodz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_953));
		}

	}



/* jvm-current-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* BackEnd/jvm_class.sch 109 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_53))->BgL_currentzd2methodzd2) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &jvm-current-method-set! */
	obj_t BGl_z62jvmzd2currentzd2methodzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_954, obj_t BgL_oz00_955, obj_t BgL_vz00_956)
	{
		{	/* BackEnd/jvm_class.sch 109 */
			return
				BGl_jvmzd2currentzd2methodzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_955), BgL_vz00_956);
		}

	}



/* jvm-methods */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2methodszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_55)
	{
		{	/* BackEnd/jvm_class.sch 110 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_55))->BgL_methodsz00);
		}

	}



/* &jvm-methods */
	obj_t BGl_z62jvmzd2methodszb0zzbackend_jvm_classz00(obj_t BgL_envz00_957,
		obj_t BgL_oz00_958)
	{
		{	/* BackEnd/jvm_class.sch 110 */
			return
				BGl_jvmzd2methodszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_958));
		}

	}



/* jvm-methods-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/jvm_class.sch 111 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_56))->BgL_methodsz00) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &jvm-methods-set! */
	obj_t BGl_z62jvmzd2methodszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_959, obj_t BgL_oz00_960, obj_t BgL_vz00_961)
	{
		{	/* BackEnd/jvm_class.sch 111 */
			return
				BGl_jvmzd2methodszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_960), BgL_vz00_961);
		}

	}



/* jvm-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_58)
	{
		{	/* BackEnd/jvm_class.sch 112 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_58))->BgL_fieldsz00);
		}

	}



/* &jvm-fields */
	obj_t BGl_z62jvmzd2fieldszb0zzbackend_jvm_classz00(obj_t BgL_envz00_962,
		obj_t BgL_oz00_963)
	{
		{	/* BackEnd/jvm_class.sch 112 */
			return
				BGl_jvmzd2fieldszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_963));
		}

	}



/* jvm-fields-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/jvm_class.sch 113 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_59))->BgL_fieldsz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &jvm-fields-set! */
	obj_t BGl_z62jvmzd2fieldszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_964, obj_t BgL_oz00_965, obj_t BgL_vz00_966)
	{
		{	/* BackEnd/jvm_class.sch 113 */
			return
				BGl_jvmzd2fieldszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_965), BgL_vz00_966);
		}

	}



/* jvm-declarations */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_61)
	{
		{	/* BackEnd/jvm_class.sch 114 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_61))->BgL_declarationsz00);
		}

	}



/* &jvm-declarations */
	obj_t BGl_z62jvmzd2declarationszb0zzbackend_jvm_classz00(obj_t BgL_envz00_967,
		obj_t BgL_oz00_968)
	{
		{	/* BackEnd/jvm_class.sch 114 */
			return
				BGl_jvmzd2declarationszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_968));
		}

	}



/* jvm-declarations-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_62, obj_t BgL_vz00_63)
	{
		{	/* BackEnd/jvm_class.sch 115 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_62))->BgL_declarationsz00) =
				((obj_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &jvm-declarations-set! */
	obj_t BGl_z62jvmzd2declarationszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_969, obj_t BgL_oz00_970, obj_t BgL_vz00_971)
	{
		{	/* BackEnd/jvm_class.sch 115 */
			return
				BGl_jvmzd2declarationszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_970), BgL_vz00_971);
		}

	}



/* jvm-current-class */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_64)
	{
		{	/* BackEnd/jvm_class.sch 116 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_64))->BgL_currentzd2classzd2);
		}

	}



/* &jvm-current-class */
	obj_t BGl_z62jvmzd2currentzd2classz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_972, obj_t BgL_oz00_973)
	{
		{	/* BackEnd/jvm_class.sch 116 */
			return
				BGl_jvmzd2currentzd2classz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_973));
		}

	}



/* jvm-current-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* BackEnd/jvm_class.sch 117 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_65))->BgL_currentzd2classzd2) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &jvm-current-class-set! */
	obj_t BGl_z62jvmzd2currentzd2classzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_974, obj_t BgL_oz00_975, obj_t BgL_vz00_976)
	{
		{	/* BackEnd/jvm_class.sch 117 */
			return
				BGl_jvmzd2currentzd2classzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_975), BgL_vz00_976);
		}

	}



/* jvm-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_67)
	{
		{	/* BackEnd/jvm_class.sch 118 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_67))->BgL_classesz00);
		}

	}



/* &jvm-classes */
	obj_t BGl_z62jvmzd2classeszb0zzbackend_jvm_classz00(obj_t BgL_envz00_977,
		obj_t BgL_oz00_978)
	{
		{	/* BackEnd/jvm_class.sch 118 */
			return
				BGl_jvmzd2classeszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_978));
		}

	}



/* jvm-classes-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/jvm_class.sch 119 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_68))->BgL_classesz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &jvm-classes-set! */
	obj_t BGl_z62jvmzd2classeszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_979, obj_t BgL_oz00_980, obj_t BgL_vz00_981)
	{
		{	/* BackEnd/jvm_class.sch 119 */
			return
				BGl_jvmzd2classeszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_980), BgL_vz00_981);
		}

	}



/* jvm-qname */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_70)
	{
		{	/* BackEnd/jvm_class.sch 120 */
			return (((BgL_jvmz00_bglt) COBJECT(BgL_oz00_70))->BgL_qnamez00);
		}

	}



/* &jvm-qname */
	obj_t BGl_z62jvmzd2qnamezb0zzbackend_jvm_classz00(obj_t BgL_envz00_982,
		obj_t BgL_oz00_983)
	{
		{	/* BackEnd/jvm_class.sch 120 */
			return
				BGl_jvmzd2qnamezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_983));
		}

	}



/* jvm-qname-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/jvm_class.sch 121 */
			return
				((((BgL_jvmz00_bglt) COBJECT(BgL_oz00_71))->BgL_qnamez00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &jvm-qname-set! */
	obj_t BGl_z62jvmzd2qnamezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_984, obj_t BgL_oz00_985, obj_t BgL_vz00_986)
	{
		{	/* BackEnd/jvm_class.sch 121 */
			return
				BGl_jvmzd2qnamezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_985), BgL_vz00_986);
		}

	}



/* jvm-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_73)
	{
		{	/* BackEnd/jvm_class.sch 122 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_73)))->BgL_typedzd2funcallzd2);
		}

	}



/* &jvm-typed-funcall */
	obj_t BGl_z62jvmzd2typedzd2funcallz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_987, obj_t BgL_oz00_988)
	{
		{	/* BackEnd/jvm_class.sch 122 */
			return
				BBOOL(BGl_jvmzd2typedzd2funcallz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_988)));
		}

	}



/* jvm-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_74, bool_t BgL_vz00_75)
	{
		{	/* BackEnd/jvm_class.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_74)))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &jvm-typed-funcall-set! */
	obj_t BGl_z62jvmzd2typedzd2funcallzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_989, obj_t BgL_oz00_990, obj_t BgL_vz00_991)
	{
		{	/* BackEnd/jvm_class.sch 123 */
			return
				BGl_jvmzd2typedzd2funcallzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_990), CBOOL(BgL_vz00_991));
		}

	}



/* jvm-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_76)
	{
		{	/* BackEnd/jvm_class.sch 124 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_76)))->BgL_typezd2checkzd2);
		}

	}



/* &jvm-type-check */
	obj_t BGl_z62jvmzd2typezd2checkz62zzbackend_jvm_classz00(obj_t BgL_envz00_992,
		obj_t BgL_oz00_993)
	{
		{	/* BackEnd/jvm_class.sch 124 */
			return
				BBOOL(BGl_jvmzd2typezd2checkz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_993)));
		}

	}



/* jvm-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_77, bool_t BgL_vz00_78)
	{
		{	/* BackEnd/jvm_class.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_77)))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &jvm-type-check-set! */
	obj_t BGl_z62jvmzd2typezd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_994, obj_t BgL_oz00_995, obj_t BgL_vz00_996)
	{
		{	/* BackEnd/jvm_class.sch 125 */
			return
				BGl_jvmzd2typezd2checkzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_995), CBOOL(BgL_vz00_996));
		}

	}



/* jvm-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/jvm_class.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_79)))->BgL_boundzd2checkzd2);
		}

	}



/* &jvm-bound-check */
	obj_t BGl_z62jvmzd2boundzd2checkz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_997, obj_t BgL_oz00_998)
	{
		{	/* BackEnd/jvm_class.sch 126 */
			return
				BBOOL(BGl_jvmzd2boundzd2checkz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_998)));
		}

	}



/* jvm-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_80, bool_t BgL_vz00_81)
	{
		{	/* BackEnd/jvm_class.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_80)))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &jvm-bound-check-set! */
	obj_t BGl_z62jvmzd2boundzd2checkzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_999, obj_t BgL_oz00_1000, obj_t BgL_vz00_1001)
	{
		{	/* BackEnd/jvm_class.sch 127 */
			return
				BGl_jvmzd2boundzd2checkzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1000), CBOOL(BgL_vz00_1001));
		}

	}



/* jvm-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_82)
	{
		{	/* BackEnd/jvm_class.sch 128 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_82)))->BgL_pregistersz00);
		}

	}



/* &jvm-pregisters */
	obj_t BGl_z62jvmzd2pregisterszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1002,
		obj_t BgL_oz00_1003)
	{
		{	/* BackEnd/jvm_class.sch 128 */
			return
				BGl_jvmzd2pregisterszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1003));
		}

	}



/* jvm-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/jvm_class.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_83)))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &jvm-pregisters-set! */
	obj_t BGl_z62jvmzd2pregisterszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1004, obj_t BgL_oz00_1005, obj_t BgL_vz00_1006)
	{
		{	/* BackEnd/jvm_class.sch 129 */
			return
				BGl_jvmzd2pregisterszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1005), BgL_vz00_1006);
		}

	}



/* jvm-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2registerszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_85)
	{
		{	/* BackEnd/jvm_class.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_85)))->BgL_registersz00);
		}

	}



/* &jvm-registers */
	obj_t BGl_z62jvmzd2registerszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1007,
		obj_t BgL_oz00_1008)
	{
		{	/* BackEnd/jvm_class.sch 130 */
			return
				BGl_jvmzd2registerszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1008));
		}

	}



/* jvm-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/jvm_class.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_86)))->BgL_registersz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &jvm-registers-set! */
	obj_t BGl_z62jvmzd2registerszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1009, obj_t BgL_oz00_1010, obj_t BgL_vz00_1011)
	{
		{	/* BackEnd/jvm_class.sch 131 */
			return
				BGl_jvmzd2registerszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1010), BgL_vz00_1011);
		}

	}



/* jvm-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/jvm_class.sch 132 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_88)))->BgL_requirezd2tailczd2);
		}

	}



/* &jvm-require-tailc */
	obj_t BGl_z62jvmzd2requirezd2tailcz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1012, obj_t BgL_oz00_1013)
	{
		{	/* BackEnd/jvm_class.sch 132 */
			return
				BBOOL(BGl_jvmzd2requirezd2tailcz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1013)));
		}

	}



/* jvm-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_89, bool_t BgL_vz00_90)
	{
		{	/* BackEnd/jvm_class.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_89)))->BgL_requirezd2tailczd2) =
				((bool_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &jvm-require-tailc-set! */
	obj_t BGl_z62jvmzd2requirezd2tailczd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1014, obj_t BgL_oz00_1015, obj_t BgL_vz00_1016)
	{
		{	/* BackEnd/jvm_class.sch 133 */
			return
				BGl_jvmzd2requirezd2tailczd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1015), CBOOL(BgL_vz00_1016));
		}

	}



/* jvm-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_91)
	{
		{	/* BackEnd/jvm_class.sch 134 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_91)))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &jvm-tvector-descr-support */
	obj_t BGl_z62jvmzd2tvectorzd2descrzd2supportzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1017, obj_t BgL_oz00_1018)
	{
		{	/* BackEnd/jvm_class.sch 134 */
			return
				BBOOL(BGl_jvmzd2tvectorzd2descrzd2supportzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1018)));
		}

	}



/* jvm-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_92, bool_t BgL_vz00_93)
	{
		{	/* BackEnd/jvm_class.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_92)))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_93), BUNSPEC);
		}

	}



/* &jvm-tvector-descr-support-set! */
	obj_t
		BGl_z62jvmzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t BgL_envz00_1019, obj_t BgL_oz00_1020, obj_t BgL_vz00_1021)
	{
		{	/* BackEnd/jvm_class.sch 135 */
			return
				BGl_jvmzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1020), CBOOL(BgL_vz00_1021));
		}

	}



/* jvm-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_94)
	{
		{	/* BackEnd/jvm_class.sch 136 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_94)))->BgL_pragmazd2supportzd2);
		}

	}



/* &jvm-pragma-support */
	obj_t BGl_z62jvmzd2pragmazd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1022, obj_t BgL_oz00_1023)
	{
		{	/* BackEnd/jvm_class.sch 136 */
			return
				BBOOL(BGl_jvmzd2pragmazd2supportz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1023)));
		}

	}



/* jvm-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_95, bool_t BgL_vz00_96)
	{
		{	/* BackEnd/jvm_class.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_95)))->BgL_pragmazd2supportzd2) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}

	}



/* &jvm-pragma-support-set! */
	obj_t BGl_z62jvmzd2pragmazd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1024, obj_t BgL_oz00_1025, obj_t BgL_vz00_1026)
	{
		{	/* BackEnd/jvm_class.sch 137 */
			return
				BGl_jvmzd2pragmazd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1025), CBOOL(BgL_vz00_1026));
		}

	}



/* jvm-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_97)
	{
		{	/* BackEnd/jvm_class.sch 138 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_97)))->BgL_debugzd2supportzd2);
		}

	}



/* &jvm-debug-support */
	obj_t BGl_z62jvmzd2debugzd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1027, obj_t BgL_oz00_1028)
	{
		{	/* BackEnd/jvm_class.sch 138 */
			return
				BGl_jvmzd2debugzd2supportz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1028));
		}

	}



/* jvm-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* BackEnd/jvm_class.sch 139 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_98)))->BgL_debugzd2supportzd2) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}

	}



/* &jvm-debug-support-set! */
	obj_t BGl_z62jvmzd2debugzd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1029, obj_t BgL_oz00_1030, obj_t BgL_vz00_1031)
	{
		{	/* BackEnd/jvm_class.sch 139 */
			return
				BGl_jvmzd2debugzd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1030), BgL_vz00_1031);
		}

	}



/* jvm-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_100)
	{
		{	/* BackEnd/jvm_class.sch 140 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_100)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &jvm-foreign-clause-support */
	obj_t BGl_z62jvmzd2foreignzd2clausezd2supportzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1032, obj_t BgL_oz00_1033)
	{
		{	/* BackEnd/jvm_class.sch 140 */
			return
				BGl_jvmzd2foreignzd2clausezd2supportzd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1033));
		}

	}



/* jvm-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_101, obj_t BgL_vz00_102)
	{
		{	/* BackEnd/jvm_class.sch 141 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_101)))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_102), BUNSPEC);
		}

	}



/* &jvm-foreign-clause-support-set! */
	obj_t
		BGl_z62jvmzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_jvm_classz00
		(obj_t BgL_envz00_1034, obj_t BgL_oz00_1035, obj_t BgL_vz00_1036)
	{
		{	/* BackEnd/jvm_class.sch 141 */
			return
				BGl_jvmzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1035), BgL_vz00_1036);
		}

	}



/* jvm-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_103)
	{
		{	/* BackEnd/jvm_class.sch 142 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_103)))->BgL_tracezd2supportzd2);
		}

	}



/* &jvm-trace-support */
	obj_t BGl_z62jvmzd2tracezd2supportz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1037, obj_t BgL_oz00_1038)
	{
		{	/* BackEnd/jvm_class.sch 142 */
			return
				BBOOL(BGl_jvmzd2tracezd2supportz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1038)));
		}

	}



/* jvm-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		{	/* BackEnd/jvm_class.sch 143 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_104)))->BgL_tracezd2supportzd2) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &jvm-trace-support-set! */
	obj_t BGl_z62jvmzd2tracezd2supportzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1039, obj_t BgL_oz00_1040, obj_t BgL_vz00_1041)
	{
		{	/* BackEnd/jvm_class.sch 143 */
			return
				BGl_jvmzd2tracezd2supportzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1040), CBOOL(BgL_vz00_1041));
		}

	}



/* jvm-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_106)
	{
		{	/* BackEnd/jvm_class.sch 144 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_106)))->BgL_typedzd2eqzd2);
		}

	}



/* &jvm-typed-eq */
	obj_t BGl_z62jvmzd2typedzd2eqz62zzbackend_jvm_classz00(obj_t BgL_envz00_1042,
		obj_t BgL_oz00_1043)
	{
		{	/* BackEnd/jvm_class.sch 144 */
			return
				BBOOL(BGl_jvmzd2typedzd2eqz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1043)));
		}

	}



/* jvm-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_107, bool_t BgL_vz00_108)
	{
		{	/* BackEnd/jvm_class.sch 145 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_107)))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &jvm-typed-eq-set! */
	obj_t BGl_z62jvmzd2typedzd2eqzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1044, obj_t BgL_oz00_1045, obj_t BgL_vz00_1046)
	{
		{	/* BackEnd/jvm_class.sch 145 */
			return
				BGl_jvmzd2typedzd2eqzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1045), CBOOL(BgL_vz00_1046));
		}

	}



/* jvm-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_109)
	{
		{	/* BackEnd/jvm_class.sch 146 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_109)))->BgL_foreignzd2closurezd2);
		}

	}



/* &jvm-foreign-closure */
	obj_t BGl_z62jvmzd2foreignzd2closurez62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1047, obj_t BgL_oz00_1048)
	{
		{	/* BackEnd/jvm_class.sch 146 */
			return
				BBOOL(BGl_jvmzd2foreignzd2closurez00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1048)));
		}

	}



/* jvm-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_110, bool_t BgL_vz00_111)
	{
		{	/* BackEnd/jvm_class.sch 147 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_110)))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_111), BUNSPEC);
		}

	}



/* &jvm-foreign-closure-set! */
	obj_t BGl_z62jvmzd2foreignzd2closurezd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1049, obj_t BgL_oz00_1050, obj_t BgL_vz00_1051)
	{
		{	/* BackEnd/jvm_class.sch 147 */
			return
				BGl_jvmzd2foreignzd2closurezd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1050), CBOOL(BgL_vz00_1051));
		}

	}



/* jvm-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_112)
	{
		{	/* BackEnd/jvm_class.sch 148 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_112)))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &jvm-remove-empty-let */
	obj_t BGl_z62jvmzd2removezd2emptyzd2letzb0zzbackend_jvm_classz00(obj_t
		BgL_envz00_1052, obj_t BgL_oz00_1053)
	{
		{	/* BackEnd/jvm_class.sch 148 */
			return
				BBOOL(BGl_jvmzd2removezd2emptyzd2letzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1053)));
		}

	}



/* jvm-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_113, bool_t BgL_vz00_114)
	{
		{	/* BackEnd/jvm_class.sch 149 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_113)))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &jvm-remove-empty-let-set! */
	obj_t
		BGl_z62jvmzd2removezd2emptyzd2letzd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1054, obj_t BgL_oz00_1055, obj_t BgL_vz00_1056)
	{
		{	/* BackEnd/jvm_class.sch 149 */
			return
				BGl_jvmzd2removezd2emptyzd2letzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1055), CBOOL(BgL_vz00_1056));
		}

	}



/* jvm-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_115)
	{
		{	/* BackEnd/jvm_class.sch 150 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_115)))->BgL_effectzb2zb2);
		}

	}



/* &jvm-effect+ */
	obj_t BGl_z62jvmzd2effectzb2z02zzbackend_jvm_classz00(obj_t BgL_envz00_1057,
		obj_t BgL_oz00_1058)
	{
		{	/* BackEnd/jvm_class.sch 150 */
			return
				BBOOL(BGl_jvmzd2effectzb2z60zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1058)));
		}

	}



/* jvm-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_116, bool_t BgL_vz00_117)
	{
		{	/* BackEnd/jvm_class.sch 151 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_116)))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_117), BUNSPEC);
		}

	}



/* &jvm-effect+-set! */
	obj_t BGl_z62jvmzd2effectzb2zd2setz12zc2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1059, obj_t BgL_oz00_1060, obj_t BgL_vz00_1061)
	{
		{	/* BackEnd/jvm_class.sch 151 */
			return
				BGl_jvmzd2effectzb2zd2setz12za0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1060), CBOOL(BgL_vz00_1061));
		}

	}



/* jvm-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_118)
	{
		{	/* BackEnd/jvm_class.sch 152 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_118)))->BgL_qualifiedzd2typeszd2);
		}

	}



/* &jvm-qualified-types */
	obj_t BGl_z62jvmzd2qualifiedzd2typesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1062, obj_t BgL_oz00_1063)
	{
		{	/* BackEnd/jvm_class.sch 152 */
			return
				BBOOL(BGl_jvmzd2qualifiedzd2typesz00zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1063)));
		}

	}



/* jvm-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_119, bool_t BgL_vz00_120)
	{
		{	/* BackEnd/jvm_class.sch 153 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_119)))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_120), BUNSPEC);
		}

	}



/* &jvm-qualified-types-set! */
	obj_t BGl_z62jvmzd2qualifiedzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1064, obj_t BgL_oz00_1065, obj_t BgL_vz00_1066)
	{
		{	/* BackEnd/jvm_class.sch 153 */
			return
				BGl_jvmzd2qualifiedzd2typeszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1065), CBOOL(BgL_vz00_1066));
		}

	}



/* jvm-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2callcczd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_121)
	{
		{	/* BackEnd/jvm_class.sch 154 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_121)))->BgL_callccz00);
		}

	}



/* &jvm-callcc */
	obj_t BGl_z62jvmzd2callcczb0zzbackend_jvm_classz00(obj_t BgL_envz00_1067,
		obj_t BgL_oz00_1068)
	{
		{	/* BackEnd/jvm_class.sch 154 */
			return
				BBOOL(BGl_jvmzd2callcczd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1068)));
		}

	}



/* jvm-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* BackEnd/jvm_class.sch 155 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_122)))->BgL_callccz00) =
				((bool_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &jvm-callcc-set! */
	obj_t BGl_z62jvmzd2callcczd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1069, obj_t BgL_oz00_1070, obj_t BgL_vz00_1071)
	{
		{	/* BackEnd/jvm_class.sch 155 */
			return
				BGl_jvmzd2callcczd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1070), CBOOL(BgL_vz00_1071));
		}

	}



/* jvm-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_124)
	{
		{	/* BackEnd/jvm_class.sch 156 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_124)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &jvm-heap-compatible */
	obj_t BGl_z62jvmzd2heapzd2compatiblez62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1072, obj_t BgL_oz00_1073)
	{
		{	/* BackEnd/jvm_class.sch 156 */
			return
				BGl_jvmzd2heapzd2compatiblez00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1073));
		}

	}



/* jvm-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* BackEnd/jvm_class.sch 157 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_125)))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &jvm-heap-compatible-set! */
	obj_t BGl_z62jvmzd2heapzd2compatiblezd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1074, obj_t BgL_oz00_1075, obj_t BgL_vz00_1076)
	{
		{	/* BackEnd/jvm_class.sch 157 */
			return
				BGl_jvmzd2heapzd2compatiblezd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1075), BgL_vz00_1076);
		}

	}



/* jvm-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_127)
	{
		{	/* BackEnd/jvm_class.sch 158 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_127)))->BgL_heapzd2suffixzd2);
		}

	}



/* &jvm-heap-suffix */
	obj_t BGl_z62jvmzd2heapzd2suffixz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1077, obj_t BgL_oz00_1078)
	{
		{	/* BackEnd/jvm_class.sch 158 */
			return
				BGl_jvmzd2heapzd2suffixz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1078));
		}

	}



/* jvm-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* BackEnd/jvm_class.sch 159 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_128)))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &jvm-heap-suffix-set! */
	obj_t BGl_z62jvmzd2heapzd2suffixzd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1079, obj_t BgL_oz00_1080, obj_t BgL_vz00_1081)
	{
		{	/* BackEnd/jvm_class.sch 159 */
			return
				BGl_jvmzd2heapzd2suffixzd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1080), BgL_vz00_1081);
		}

	}



/* jvm-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmzd2typedzd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_130)
	{
		{	/* BackEnd/jvm_class.sch 160 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_130)))->BgL_typedz00);
		}

	}



/* &jvm-typed */
	obj_t BGl_z62jvmzd2typedzb0zzbackend_jvm_classz00(obj_t BgL_envz00_1082,
		obj_t BgL_oz00_1083)
	{
		{	/* BackEnd/jvm_class.sch 160 */
			return
				BBOOL(BGl_jvmzd2typedzd2zzbackend_jvm_classz00(
					((BgL_jvmz00_bglt) BgL_oz00_1083)));
		}

	}



/* jvm-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_131, bool_t BgL_vz00_132)
	{
		{	/* BackEnd/jvm_class.sch 161 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_131)))->BgL_typedz00) =
				((bool_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &jvm-typed-set! */
	obj_t BGl_z62jvmzd2typedzd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1084, obj_t BgL_oz00_1085, obj_t BgL_vz00_1086)
	{
		{	/* BackEnd/jvm_class.sch 161 */
			return
				BGl_jvmzd2typedzd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1085), CBOOL(BgL_vz00_1086));
		}

	}



/* jvm-types */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typeszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_133)
	{
		{	/* BackEnd/jvm_class.sch 162 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_133)))->BgL_typesz00);
		}

	}



/* &jvm-types */
	obj_t BGl_z62jvmzd2typeszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1087,
		obj_t BgL_oz00_1088)
	{
		{	/* BackEnd/jvm_class.sch 162 */
			return
				BGl_jvmzd2typeszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1088));
		}

	}



/* jvm-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_134, obj_t BgL_vz00_135)
	{
		{	/* BackEnd/jvm_class.sch 163 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_134)))->BgL_typesz00) =
				((obj_t) BgL_vz00_135), BUNSPEC);
		}

	}



/* &jvm-types-set! */
	obj_t BGl_z62jvmzd2typeszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1089, obj_t BgL_oz00_1090, obj_t BgL_vz00_1091)
	{
		{	/* BackEnd/jvm_class.sch 163 */
			return
				BGl_jvmzd2typeszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1090), BgL_vz00_1091);
		}

	}



/* jvm-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2functionszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_136)
	{
		{	/* BackEnd/jvm_class.sch 164 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_136)))->BgL_functionsz00);
		}

	}



/* &jvm-functions */
	obj_t BGl_z62jvmzd2functionszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1092,
		obj_t BgL_oz00_1093)
	{
		{	/* BackEnd/jvm_class.sch 164 */
			return
				BGl_jvmzd2functionszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1093));
		}

	}



/* jvm-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_137, obj_t BgL_vz00_138)
	{
		{	/* BackEnd/jvm_class.sch 165 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_137)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &jvm-functions-set! */
	obj_t BGl_z62jvmzd2functionszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1094, obj_t BgL_oz00_1095, obj_t BgL_vz00_1096)
	{
		{	/* BackEnd/jvm_class.sch 165 */
			return
				BGl_jvmzd2functionszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1095), BgL_vz00_1096);
		}

	}



/* jvm-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2variableszd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_139)
	{
		{	/* BackEnd/jvm_class.sch 166 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_139)))->BgL_variablesz00);
		}

	}



/* &jvm-variables */
	obj_t BGl_z62jvmzd2variableszb0zzbackend_jvm_classz00(obj_t BgL_envz00_1097,
		obj_t BgL_oz00_1098)
	{
		{	/* BackEnd/jvm_class.sch 166 */
			return
				BGl_jvmzd2variableszd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1098));
		}

	}



/* jvm-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* BackEnd/jvm_class.sch 167 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_140)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &jvm-variables-set! */
	obj_t BGl_z62jvmzd2variableszd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1099, obj_t BgL_oz00_1100, obj_t BgL_vz00_1101)
	{
		{	/* BackEnd/jvm_class.sch 167 */
			return
				BGl_jvmzd2variableszd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1100), BgL_vz00_1101);
		}

	}



/* jvm-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_142)
	{
		{	/* BackEnd/jvm_class.sch 168 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_142)))->BgL_externzd2typeszd2);
		}

	}



/* &jvm-extern-types */
	obj_t BGl_z62jvmzd2externzd2typesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1102, obj_t BgL_oz00_1103)
	{
		{	/* BackEnd/jvm_class.sch 168 */
			return
				BGl_jvmzd2externzd2typesz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1103));
		}

	}



/* jvm-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* BackEnd/jvm_class.sch 169 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_143)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &jvm-extern-types-set! */
	obj_t BGl_z62jvmzd2externzd2typeszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1104, obj_t BgL_oz00_1105, obj_t BgL_vz00_1106)
	{
		{	/* BackEnd/jvm_class.sch 169 */
			return
				BGl_jvmzd2externzd2typeszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1105), BgL_vz00_1106);
		}

	}



/* jvm-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_145)
	{
		{	/* BackEnd/jvm_class.sch 170 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_145)))->BgL_externzd2functionszd2);
		}

	}



/* &jvm-extern-functions */
	obj_t BGl_z62jvmzd2externzd2functionsz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1107, obj_t BgL_oz00_1108)
	{
		{	/* BackEnd/jvm_class.sch 170 */
			return
				BGl_jvmzd2externzd2functionsz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1108));
		}

	}



/* jvm-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* BackEnd/jvm_class.sch 171 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_146)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &jvm-extern-functions-set! */
	obj_t BGl_z62jvmzd2externzd2functionszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1109, obj_t BgL_oz00_1110, obj_t BgL_vz00_1111)
	{
		{	/* BackEnd/jvm_class.sch 171 */
			return
				BGl_jvmzd2externzd2functionszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1110), BgL_vz00_1111);
		}

	}



/* jvm-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_148)
	{
		{	/* BackEnd/jvm_class.sch 172 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_148)))->BgL_externzd2variableszd2);
		}

	}



/* &jvm-extern-variables */
	obj_t BGl_z62jvmzd2externzd2variablesz62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1112, obj_t BgL_oz00_1113)
	{
		{	/* BackEnd/jvm_class.sch 172 */
			return
				BGl_jvmzd2externzd2variablesz00zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1113));
		}

	}



/* jvm-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00
		(BgL_jvmz00_bglt BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* BackEnd/jvm_class.sch 173 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_149)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &jvm-extern-variables-set! */
	obj_t BGl_z62jvmzd2externzd2variableszd2setz12za2zzbackend_jvm_classz00(obj_t
		BgL_envz00_1114, obj_t BgL_oz00_1115, obj_t BgL_vz00_1116)
	{
		{	/* BackEnd/jvm_class.sch 173 */
			return
				BGl_jvmzd2externzd2variableszd2setz12zc0zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1115), BgL_vz00_1116);
		}

	}



/* jvm-name */
	BGL_EXPORTED_DEF obj_t BGl_jvmzd2namezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_151)
	{
		{	/* BackEnd/jvm_class.sch 174 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_151)))->BgL_namez00);
		}

	}



/* &jvm-name */
	obj_t BGl_z62jvmzd2namezb0zzbackend_jvm_classz00(obj_t BgL_envz00_1117,
		obj_t BgL_oz00_1118)
	{
		{	/* BackEnd/jvm_class.sch 174 */
			return
				BGl_jvmzd2namezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1118));
		}

	}



/* jvm-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_152, obj_t BgL_vz00_153)
	{
		{	/* BackEnd/jvm_class.sch 175 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_152)))->BgL_namez00) =
				((obj_t) BgL_vz00_153), BUNSPEC);
		}

	}



/* &jvm-name-set! */
	obj_t BGl_z62jvmzd2namezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1119, obj_t BgL_oz00_1120, obj_t BgL_vz00_1121)
	{
		{	/* BackEnd/jvm_class.sch 175 */
			return
				BGl_jvmzd2namezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1120), BgL_vz00_1121);
		}

	}



/* jvm-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_154)
	{
		{	/* BackEnd/jvm_class.sch 176 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_154)))->BgL_srfi0z00);
		}

	}



/* &jvm-srfi0 */
	obj_t BGl_z62jvmzd2srfi0zb0zzbackend_jvm_classz00(obj_t BgL_envz00_1122,
		obj_t BgL_oz00_1123)
	{
		{	/* BackEnd/jvm_class.sch 176 */
			return
				BGl_jvmzd2srfi0zd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1123));
		}

	}



/* jvm-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* BackEnd/jvm_class.sch 177 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_155)))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &jvm-srfi0-set! */
	obj_t BGl_z62jvmzd2srfi0zd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1124, obj_t BgL_oz00_1125, obj_t BgL_vz00_1126)
	{
		{	/* BackEnd/jvm_class.sch 177 */
			return
				BGl_jvmzd2srfi0zd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1125), BgL_vz00_1126);
		}

	}



/* jvm-language */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2languagezd2zzbackend_jvm_classz00(BgL_jvmz00_bglt BgL_oz00_157)
	{
		{	/* BackEnd/jvm_class.sch 178 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_157)))->BgL_languagez00);
		}

	}



/* &jvm-language */
	obj_t BGl_z62jvmzd2languagezb0zzbackend_jvm_classz00(obj_t BgL_envz00_1127,
		obj_t BgL_oz00_1128)
	{
		{	/* BackEnd/jvm_class.sch 178 */
			return
				BGl_jvmzd2languagezd2zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1128));
		}

	}



/* jvm-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(BgL_jvmz00_bglt
		BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* BackEnd/jvm_class.sch 179 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_158)))->BgL_languagez00) =
				((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &jvm-language-set! */
	obj_t BGl_z62jvmzd2languagezd2setz12z70zzbackend_jvm_classz00(obj_t
		BgL_envz00_1129, obj_t BgL_oz00_1130, obj_t BgL_vz00_1131)
	{
		{	/* BackEnd/jvm_class.sch 179 */
			return
				BGl_jvmzd2languagezd2setz12z12zzbackend_jvm_classz00(
				((BgL_jvmz00_bglt) BgL_oz00_1130), BgL_vz00_1131);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			{	/* BackEnd/jvm_class.scm 20 */
				obj_t BgL_arg1253z00_501;
				obj_t BgL_arg1254z00_502;

				{	/* BackEnd/jvm_class.scm 20 */
					obj_t BgL_v1240z00_557;

					BgL_v1240z00_557 = create_vector(10L);
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1262z00_558;

						BgL_arg1262z00_558 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc1360z00zzbackend_jvm_classz00,
							BGl_proc1359z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1358z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 0L, BgL_arg1262z00_558);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1272z00_571;

						BgL_arg1272z00_571 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc1363z00zzbackend_jvm_classz00,
							BGl_proc1362z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1361z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 1L, BgL_arg1272z00_571);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1279z00_584;

						BgL_arg1279z00_584 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc1366z00zzbackend_jvm_classz00,
							BGl_proc1365z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1364z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 2L, BgL_arg1279z00_584);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1287z00_597;

						BgL_arg1287z00_597 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc1369z00zzbackend_jvm_classz00,
							BGl_proc1368z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1367z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 3L, BgL_arg1287z00_597);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1295z00_610;

						BgL_arg1295z00_610 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc1372z00zzbackend_jvm_classz00,
							BGl_proc1371z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1370z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 4L, BgL_arg1295z00_610);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1302z00_623;

						BgL_arg1302z00_623 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc1375z00zzbackend_jvm_classz00,
							BGl_proc1374z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1373z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 5L, BgL_arg1302z00_623);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1309z00_636;

						BgL_arg1309z00_636 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc1378z00zzbackend_jvm_classz00,
							BGl_proc1377z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1376z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 6L, BgL_arg1309z00_636);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1317z00_649;

						BgL_arg1317z00_649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc1381z00zzbackend_jvm_classz00,
							BGl_proc1380z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1379z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 7L, BgL_arg1317z00_649);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1326z00_662;

						BgL_arg1326z00_662 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc1384z00zzbackend_jvm_classz00,
							BGl_proc1383z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1382z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 8L, BgL_arg1326z00_662);
					}
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_arg1336z00_675;

						BgL_arg1336z00_675 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc1387z00zzbackend_jvm_classz00,
							BGl_proc1386z00zzbackend_jvm_classz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1385z00zzbackend_jvm_classz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1240z00_557, 9L, BgL_arg1336z00_675);
					}
					BgL_arg1253z00_501 = BgL_v1240z00_557;
				}
				{	/* BackEnd/jvm_class.scm 20 */
					obj_t BgL_v1241z00_688;

					BgL_v1241z00_688 = create_vector(0L);
					BgL_arg1254z00_502 = BgL_v1241z00_688;
				}
				return (BGl_jvmz00zzbackend_jvm_classz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(11)),
						((obj_t)
							CNST_TABLE_REF(12)), BGl_bvmz00zzbackend_bvmz00, 26729L,
						BGl_proc1390z00zzbackend_jvm_classz00,
						BGl_proc1389z00zzbackend_jvm_classz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1388z00zzbackend_jvm_classz00, BFALSE, BgL_arg1253z00_501,
						BgL_arg1254z00_502), BUNSPEC);
			}
		}

	}



/* &<@anonymous:1261> */
	obj_t BGl_z62zc3z04anonymousza31261ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1165, obj_t BgL_new1096z00_1166)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{
				BgL_jvmz00_bglt BgL_auxz00_1916;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt)
									((BgL_jvmz00_bglt) BgL_new1096z00_1166))))->BgL_languagez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_namez00) =
					((obj_t) BGl_string1391z00zzbackend_jvm_classz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1391z00zzbackend_jvm_classz00), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_heapzd2compatiblezd2) =
					((obj_t) ((obj_t) CNST_TABLE_REF(13))), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->
						BgL_foreignzd2clausezd2supportz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_strictzd2typezd2castz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->
						BgL_forcezd2registerzd2gczd2rootszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->
						BgL_stringzd2literalzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_boxedzd2fixnumszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt)
							COBJECT(((BgL_backendz00_bglt) ((BgL_jvmz00_bglt)
										BgL_new1096z00_1166))))->BgL_typedzd2closureszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_qnamez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_classesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_currentzd2classzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_declarationsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_fieldsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_methodsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_currentzd2methodzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_lightzd2funcallszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_jvmz00_bglt) COBJECT(((BgL_jvmz00_bglt) BgL_new1096z00_1166)))->
						BgL_inlinez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_1916 = ((BgL_jvmz00_bglt) BgL_new1096z00_1166);
				return ((obj_t) BgL_auxz00_1916);
			}
		}

	}



/* &lambda1259 */
	BgL_jvmz00_bglt BGl_z62lambda1259z62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1167)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{	/* BackEnd/jvm_class.scm 20 */
				BgL_jvmz00_bglt BgL_new1095z00_1306;

				BgL_new1095z00_1306 =
					((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_jvmz00_bgl))));
				{	/* BackEnd/jvm_class.scm 20 */
					long BgL_arg1260z00_1307;

					BgL_arg1260z00_1307 = BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1095z00_1306), BgL_arg1260z00_1307);
				}
				return BgL_new1095z00_1306;
			}
		}

	}



/* &lambda1255 */
	BgL_jvmz00_bglt BGl_z62lambda1255z62zzbackend_jvm_classz00(obj_t
		BgL_envz00_1168, obj_t BgL_language1051z00_1169,
		obj_t BgL_srfi01052z00_1170, obj_t BgL_name1053z00_1171,
		obj_t BgL_externzd2variables1054zd2_1172,
		obj_t BgL_externzd2functions1055zd2_1173,
		obj_t BgL_externzd2types1056zd2_1174, obj_t BgL_variables1057z00_1175,
		obj_t BgL_functions1058z00_1176, obj_t BgL_types1059z00_1177,
		obj_t BgL_typed1060z00_1178, obj_t BgL_heapzd2suffix1061zd2_1179,
		obj_t BgL_heapzd2compatible1062zd2_1180, obj_t BgL_callcc1063z00_1181,
		obj_t BgL_qualifiedzd2types1064zd2_1182, obj_t BgL_effectzb21065zb2_1183,
		obj_t BgL_removezd2emptyzd2let1066z00_1184,
		obj_t BgL_foreignzd2closure1067zd2_1185, obj_t BgL_typedzd2eq1068zd2_1186,
		obj_t BgL_tracezd2support1069zd2_1187,
		obj_t BgL_foreignzd2clausezd2suppo1070z00_1188,
		obj_t BgL_debugzd2support1071zd2_1189,
		obj_t BgL_pragmazd2support1072zd2_1190,
		obj_t BgL_tvectorzd2descrzd2suppor1073z00_1191,
		obj_t BgL_requirezd2tailc1074zd2_1192, obj_t BgL_registers1075z00_1193,
		obj_t BgL_pregisters1076z00_1194, obj_t BgL_boundzd2check1077zd2_1195,
		obj_t BgL_typezd2check1078zd2_1196, obj_t BgL_typedzd2funcall1079zd2_1197,
		obj_t BgL_strictzd2typezd2cast1080z00_1198,
		obj_t BgL_forcezd2registerzd2gczd2ro1081zd2_1199,
		obj_t BgL_stringzd2literalzd2suppo1082z00_1200,
		obj_t BgL_boxedzd2fixnums1083zd2_1201,
		obj_t BgL_typedzd2closures1084zd2_1202, obj_t BgL_qname1085z00_1203,
		obj_t BgL_classes1086z00_1204, obj_t BgL_currentzd2class1087zd2_1205,
		obj_t BgL_declarations1088z00_1206, obj_t BgL_fields1089z00_1207,
		obj_t BgL_methods1090z00_1208, obj_t BgL_currentzd2method1091zd2_1209,
		obj_t BgL_code1092z00_1210, obj_t BgL_lightzd2funcalls1093zd2_1211,
		obj_t BgL_inline1094z00_1212)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			{	/* BackEnd/jvm_class.scm 20 */
				bool_t BgL_typed1060z00_1311;
				bool_t BgL_callcc1063z00_1314;
				bool_t BgL_qualifiedzd2types1064zd2_1315;
				bool_t BgL_effectzb21065zb2_1316;
				bool_t BgL_removezd2emptyzd2let1066z00_1317;
				bool_t BgL_foreignzd2closure1067zd2_1318;
				bool_t BgL_typedzd2eq1068zd2_1319;
				bool_t BgL_tracezd2support1069zd2_1320;
				bool_t BgL_pragmazd2support1072zd2_1323;
				bool_t BgL_tvectorzd2descrzd2suppor1073z00_1324;
				bool_t BgL_requirezd2tailc1074zd2_1325;
				bool_t BgL_boundzd2check1077zd2_1328;
				bool_t BgL_typezd2check1078zd2_1329;
				bool_t BgL_typedzd2funcall1079zd2_1330;
				bool_t BgL_strictzd2typezd2cast1080z00_1331;
				bool_t BgL_forcezd2registerzd2gczd2ro1081zd2_1332;
				bool_t BgL_stringzd2literalzd2suppo1082z00_1333;
				bool_t BgL_boxedzd2fixnums1083zd2_1334;
				bool_t BgL_typedzd2closures1084zd2_1335;

				BgL_typed1060z00_1311 = CBOOL(BgL_typed1060z00_1178);
				BgL_callcc1063z00_1314 = CBOOL(BgL_callcc1063z00_1181);
				BgL_qualifiedzd2types1064zd2_1315 =
					CBOOL(BgL_qualifiedzd2types1064zd2_1182);
				BgL_effectzb21065zb2_1316 = CBOOL(BgL_effectzb21065zb2_1183);
				BgL_removezd2emptyzd2let1066z00_1317 =
					CBOOL(BgL_removezd2emptyzd2let1066z00_1184);
				BgL_foreignzd2closure1067zd2_1318 =
					CBOOL(BgL_foreignzd2closure1067zd2_1185);
				BgL_typedzd2eq1068zd2_1319 = CBOOL(BgL_typedzd2eq1068zd2_1186);
				BgL_tracezd2support1069zd2_1320 =
					CBOOL(BgL_tracezd2support1069zd2_1187);
				BgL_pragmazd2support1072zd2_1323 =
					CBOOL(BgL_pragmazd2support1072zd2_1190);
				BgL_tvectorzd2descrzd2suppor1073z00_1324 =
					CBOOL(BgL_tvectorzd2descrzd2suppor1073z00_1191);
				BgL_requirezd2tailc1074zd2_1325 =
					CBOOL(BgL_requirezd2tailc1074zd2_1192);
				BgL_boundzd2check1077zd2_1328 = CBOOL(BgL_boundzd2check1077zd2_1195);
				BgL_typezd2check1078zd2_1329 = CBOOL(BgL_typezd2check1078zd2_1196);
				BgL_typedzd2funcall1079zd2_1330 =
					CBOOL(BgL_typedzd2funcall1079zd2_1197);
				BgL_strictzd2typezd2cast1080z00_1331 =
					CBOOL(BgL_strictzd2typezd2cast1080z00_1198);
				BgL_forcezd2registerzd2gczd2ro1081zd2_1332 =
					CBOOL(BgL_forcezd2registerzd2gczd2ro1081zd2_1199);
				BgL_stringzd2literalzd2suppo1082z00_1333 =
					CBOOL(BgL_stringzd2literalzd2suppo1082z00_1200);
				BgL_boxedzd2fixnums1083zd2_1334 =
					CBOOL(BgL_boxedzd2fixnums1083zd2_1201);
				BgL_typedzd2closures1084zd2_1335 =
					CBOOL(BgL_typedzd2closures1084zd2_1202);
				{	/* BackEnd/jvm_class.scm 20 */
					BgL_jvmz00_bglt BgL_new1179z00_1336;

					{	/* BackEnd/jvm_class.scm 20 */
						BgL_jvmz00_bglt BgL_new1178z00_1337;

						BgL_new1178z00_1337 =
							((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm_class.scm 20 */
							long BgL_arg1258z00_1338;

							BgL_arg1258z00_1338 =
								BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1178z00_1337),
								BgL_arg1258z00_1338);
						}
						BgL_new1179z00_1336 = BgL_new1178z00_1337;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1179z00_1336)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) BgL_language1051z00_1169)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) BgL_srfi01052z00_1170)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1053z00_1171)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_externzd2variableszd2) =
						((obj_t) BgL_externzd2variables1054zd2_1172), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_externzd2functionszd2) =
						((obj_t) BgL_externzd2functions1055zd2_1173), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_externzd2typeszd2) =
						((obj_t) BgL_externzd2types1056zd2_1174), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_variablesz00) =
						((obj_t) BgL_variables1057z00_1175), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_functionsz00) =
						((obj_t) BgL_functions1058z00_1176), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typesz00) =
						((obj_t) BgL_types1059z00_1177), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typedz00) =
						((bool_t) BgL_typed1060z00_1311), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_heapzd2suffixzd2) =
						((obj_t) ((obj_t) BgL_heapzd2suffix1061zd2_1179)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) BgL_heapzd2compatible1062zd2_1180)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_callccz00) =
						((bool_t) BgL_callcc1063z00_1314), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) BgL_qualifiedzd2types1064zd2_1315), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_effectzb2zb2) =
						((bool_t) BgL_effectzb21065zb2_1316), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) BgL_removezd2emptyzd2let1066z00_1317), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_foreignzd2closurezd2) =
						((bool_t) BgL_foreignzd2closure1067zd2_1318), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typedzd2eqzd2) =
						((bool_t) BgL_typedzd2eq1068zd2_1319), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_tracezd2supportzd2) =
						((bool_t) BgL_tracezd2support1069zd2_1320), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) BgL_foreignzd2clausezd2suppo1070z00_1188)),
						BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) BgL_debugzd2support1071zd2_1189)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_pragmazd2supportzd2) =
						((bool_t) BgL_pragmazd2support1072zd2_1323), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) BgL_tvectorzd2descrzd2suppor1073z00_1324), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_requirezd2tailczd2) =
						((bool_t) BgL_requirezd2tailc1074zd2_1325), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_registersz00) =
						((obj_t) ((obj_t) BgL_registers1075z00_1193)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_pregistersz00) =
						((obj_t) ((obj_t) BgL_pregisters1076z00_1194)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_boundzd2checkzd2) =
						((bool_t) BgL_boundzd2check1077zd2_1328), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typezd2checkzd2) =
						((bool_t) BgL_typezd2check1078zd2_1329), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typedzd2funcallzd2) =
						((bool_t) BgL_typedzd2funcall1079zd2_1330), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_strictzd2typezd2castz00) =
						((bool_t) BgL_strictzd2typezd2cast1080z00_1331), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->
							BgL_forcezd2registerzd2gczd2rootszd2) =
						((bool_t) BgL_forcezd2registerzd2gczd2ro1081zd2_1332), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_stringzd2literalzd2supportz00) =
						((bool_t) BgL_stringzd2literalzd2suppo1082z00_1333), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_boxedzd2fixnumszd2) =
						((bool_t) BgL_boxedzd2fixnums1083zd2_1334), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1179z00_1336)))->BgL_typedzd2closureszd2) =
						((bool_t) BgL_typedzd2closures1084zd2_1335), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_qnamez00) =
						((obj_t) BgL_qname1085z00_1203), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_classesz00) =
						((obj_t) BgL_classes1086z00_1204), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->
							BgL_currentzd2classzd2) =
						((obj_t) BgL_currentzd2class1087zd2_1205), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->
							BgL_declarationsz00) =
						((obj_t) BgL_declarations1088z00_1206), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_fieldsz00) =
						((obj_t) BgL_fields1089z00_1207), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_methodsz00) =
						((obj_t) BgL_methods1090z00_1208), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->
							BgL_currentzd2methodzd2) =
						((obj_t) BgL_currentzd2method1091zd2_1209), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_codez00) =
						((obj_t) BgL_code1092z00_1210), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->
							BgL_lightzd2funcallszd2) =
						((obj_t) BgL_lightzd2funcalls1093zd2_1211), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1179z00_1336))->BgL_inlinez00) =
						((obj_t) BgL_inline1094z00_1212), BUNSPEC);
					{	/* BackEnd/jvm_class.scm 20 */
						obj_t BgL_fun1256z00_1339;

						BgL_fun1256z00_1339 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_jvmz00zzbackend_jvm_classz00);
						BGL_PROCEDURE_CALL1(BgL_fun1256z00_1339,
							((obj_t) BgL_new1179z00_1336));
					}
					return BgL_new1179z00_1336;
				}
			}
		}

	}



/* &<@anonymous:1343> */
	obj_t BGl_z62zc3z04anonymousza31343ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1213)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1342 */
	obj_t BGl_z62lambda1342z62zzbackend_jvm_classz00(obj_t BgL_envz00_1214,
		obj_t BgL_oz00_1215, obj_t BgL_vz00_1216)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1215)))->BgL_inlinez00) =
				((obj_t) BgL_vz00_1216), BUNSPEC);
		}

	}



/* &lambda1341 */
	obj_t BGl_z62lambda1341z62zzbackend_jvm_classz00(obj_t BgL_envz00_1217,
		obj_t BgL_oz00_1218)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1218)))->BgL_inlinez00);
		}

	}



/* &<@anonymous:1335> */
	obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1219)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1334 */
	obj_t BGl_z62lambda1334z62zzbackend_jvm_classz00(obj_t BgL_envz00_1220,
		obj_t BgL_oz00_1221, obj_t BgL_vz00_1222)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1221)))->BgL_lightzd2funcallszd2) =
				((obj_t) BgL_vz00_1222), BUNSPEC);
		}

	}



/* &lambda1333 */
	obj_t BGl_z62lambda1333z62zzbackend_jvm_classz00(obj_t BgL_envz00_1223,
		obj_t BgL_oz00_1224)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1224)))->BgL_lightzd2funcallszd2);
		}

	}



/* &<@anonymous:1323> */
	obj_t BGl_z62zc3z04anonymousza31323ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1225)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1322 */
	obj_t BGl_z62lambda1322z62zzbackend_jvm_classz00(obj_t BgL_envz00_1226,
		obj_t BgL_oz00_1227, obj_t BgL_vz00_1228)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1227)))->BgL_codez00) =
				((obj_t) BgL_vz00_1228), BUNSPEC);
		}

	}



/* &lambda1321 */
	obj_t BGl_z62lambda1321z62zzbackend_jvm_classz00(obj_t BgL_envz00_1229,
		obj_t BgL_oz00_1230)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1230)))->BgL_codez00);
		}

	}



/* &<@anonymous:1316> */
	obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1231)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1315 */
	obj_t BGl_z62lambda1315z62zzbackend_jvm_classz00(obj_t BgL_envz00_1232,
		obj_t BgL_oz00_1233, obj_t BgL_vz00_1234)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1233)))->BgL_currentzd2methodzd2) =
				((obj_t) BgL_vz00_1234), BUNSPEC);
		}

	}



/* &lambda1314 */
	obj_t BGl_z62lambda1314z62zzbackend_jvm_classz00(obj_t BgL_envz00_1235,
		obj_t BgL_oz00_1236)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1236)))->BgL_currentzd2methodzd2);
		}

	}



/* &<@anonymous:1308> */
	obj_t BGl_z62zc3z04anonymousza31308ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1237)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1307 */
	obj_t BGl_z62lambda1307z62zzbackend_jvm_classz00(obj_t BgL_envz00_1238,
		obj_t BgL_oz00_1239, obj_t BgL_vz00_1240)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1239)))->BgL_methodsz00) =
				((obj_t) BgL_vz00_1240), BUNSPEC);
		}

	}



/* &lambda1306 */
	obj_t BGl_z62lambda1306z62zzbackend_jvm_classz00(obj_t BgL_envz00_1241,
		obj_t BgL_oz00_1242)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1242)))->BgL_methodsz00);
		}

	}



/* &<@anonymous:1301> */
	obj_t BGl_z62zc3z04anonymousza31301ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1243)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1300 */
	obj_t BGl_z62lambda1300z62zzbackend_jvm_classz00(obj_t BgL_envz00_1244,
		obj_t BgL_oz00_1245, obj_t BgL_vz00_1246)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1245)))->BgL_fieldsz00) =
				((obj_t) BgL_vz00_1246), BUNSPEC);
		}

	}



/* &lambda1299 */
	obj_t BGl_z62lambda1299z62zzbackend_jvm_classz00(obj_t BgL_envz00_1247,
		obj_t BgL_oz00_1248)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1248)))->BgL_fieldsz00);
		}

	}



/* &<@anonymous:1294> */
	obj_t BGl_z62zc3z04anonymousza31294ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1249)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1293 */
	obj_t BGl_z62lambda1293z62zzbackend_jvm_classz00(obj_t BgL_envz00_1250,
		obj_t BgL_oz00_1251, obj_t BgL_vz00_1252)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1251)))->BgL_declarationsz00) =
				((obj_t) BgL_vz00_1252), BUNSPEC);
		}

	}



/* &lambda1292 */
	obj_t BGl_z62lambda1292z62zzbackend_jvm_classz00(obj_t BgL_envz00_1253,
		obj_t BgL_oz00_1254)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1254)))->BgL_declarationsz00);
		}

	}



/* &<@anonymous:1285> */
	obj_t BGl_z62zc3z04anonymousza31285ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1255)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1284 */
	obj_t BGl_z62lambda1284z62zzbackend_jvm_classz00(obj_t BgL_envz00_1256,
		obj_t BgL_oz00_1257, obj_t BgL_vz00_1258)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1257)))->BgL_currentzd2classzd2) =
				((obj_t) BgL_vz00_1258), BUNSPEC);
		}

	}



/* &lambda1283 */
	obj_t BGl_z62lambda1283z62zzbackend_jvm_classz00(obj_t BgL_envz00_1259,
		obj_t BgL_oz00_1260)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1260)))->BgL_currentzd2classzd2);
		}

	}



/* &<@anonymous:1278> */
	obj_t BGl_z62zc3z04anonymousza31278ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1261)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return BNIL;
		}

	}



/* &lambda1277 */
	obj_t BGl_z62lambda1277z62zzbackend_jvm_classz00(obj_t BgL_envz00_1262,
		obj_t BgL_oz00_1263, obj_t BgL_vz00_1264)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1263)))->BgL_classesz00) =
				((obj_t) BgL_vz00_1264), BUNSPEC);
		}

	}



/* &lambda1276 */
	obj_t BGl_z62lambda1276z62zzbackend_jvm_classz00(obj_t BgL_envz00_1265,
		obj_t BgL_oz00_1266)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1266)))->BgL_classesz00);
		}

	}



/* &<@anonymous:1271> */
	obj_t BGl_z62zc3z04anonymousza31271ze3ze5zzbackend_jvm_classz00(obj_t
		BgL_envz00_1267)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return ((obj_t) CNST_TABLE_REF(14));
		}

	}



/* &lambda1270 */
	obj_t BGl_z62lambda1270z62zzbackend_jvm_classz00(obj_t BgL_envz00_1268,
		obj_t BgL_oz00_1269, obj_t BgL_vz00_1270)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_oz00_1269)))->BgL_qnamez00) =
				((obj_t) BgL_vz00_1270), BUNSPEC);
		}

	}



/* &lambda1269 */
	obj_t BGl_z62lambda1269z62zzbackend_jvm_classz00(obj_t BgL_envz00_1271,
		obj_t BgL_oz00_1272)
	{
		{	/* BackEnd/jvm_class.scm 20 */
			return
				(((BgL_jvmz00_bglt) COBJECT(
						((BgL_jvmz00_bglt) BgL_oz00_1272)))->BgL_qnamez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvm_classz00(void)
	{
		{	/* BackEnd/jvm_class.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1392z00zzbackend_jvm_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1392z00zzbackend_jvm_classz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string1392z00zzbackend_jvm_classz00));
		}

	}

#ifdef __cplusplus
}
#endif
