/*===========================================================================*/
/*   (Cfa/cinfo.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/cinfo.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_INFO_TYPE_DEFINITIONS
#define BGL_CFA_INFO_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


#endif													// BGL_CFA_INFO_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namez62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62lambda2660z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2823z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2664z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2826z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2667z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2829z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(BgL_kwotez00_bglt);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2836z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2837z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2676z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2677z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32666ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32828ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt,
		bool_t);
	BGL_EXPORTED_DEF obj_t BGl_approxz00zzcfa_infoz00 = BUNSPEC;
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2847z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2850z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(BgL_localz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2691z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2853z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00(void);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt
		BGl_failzf2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2863z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2864z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt
		BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(long, obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2872z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2873z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2locz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_approxz00_bglt
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt, bool_t, bool_t);
	static BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32971ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt
		BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(BgL_scnstz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(obj_t, bool_t, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_reshapedzd2localzd2zzcfa_infoz00 = BUNSPEC;
	static BgL_approxz00_bglt BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	static obj_t
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static BgL_approxz00_bglt BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt,
		BgL_approxz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00(void);
	static obj_t BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(BgL_approxz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_infoz00(BgL_failz00_bglt);
	static obj_t BGl_z62approxzd2allocszb0zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32322ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DEF obj_t BGl_prezd2clozd2envz00zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_sexitz00_bglt
		BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(BgL_approxz00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_typez00_bglt
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(BgL_scnstz00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2104z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2105z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3001z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2111z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2112z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(BgL_setqz00_bglt);
	static obj_t BGl_z62lambda2118z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2119z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(bool_t, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt, long);
	static obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda3013z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3014z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_cfunz00_bglt BGl_z62lambda2127z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static BgL_cfunz00_bglt BGl_z62lambda2130z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	static BgL_cfunz00_bglt BGl_z62lambda2133z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_patchz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62approxzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_approxz00_bglt BGl_z62lambda2140z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2141z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2306z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda2307z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2148z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_varz00_bglt, long, obj_t, BgL_approxz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_approxzd2lostzd2stampz00zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2localzf3z21zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2151z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32346ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2154z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2316z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_switchz00_bglt
		BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(BgL_failz00_bglt);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cvarz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62lambda2320z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_infoz00(void);
	static BgL_sexitz00_bglt BGl_z62lambda2323z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00(void);
	static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2163z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2164z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32258ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2169z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2nodezf2zzcfa_infoz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2330z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2331z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2170z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2177z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_globalz00_bglt
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2501z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32632ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2341z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2180z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2504z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_localz00_bglt BGl_z62lambda2344z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2183z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2508z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2347z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(BgL_globalz00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(BgL_sexitz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32811ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2191z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2192z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2356z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2357z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2197z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2198z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2520z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2521z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2366z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(BgL_cfunz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL bool_t BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(BgL_sexitz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(BgL_kwotez00_bglt);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2530z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(BgL_localz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2372z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2534z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2375z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2537z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2706z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2546z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2547z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2389z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00(void);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2710z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2392z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2554z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2395z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2557z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_bglt, bool_t, obj_t, bool_t,
		long, obj_t, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_kwotezf2nodezd2nilz20zzcfa_infoz00(void);
	static BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32581ze3ze5zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2721z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2560z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2722z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2567z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2729z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2568z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_infoz00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL long
		BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	extern obj_t BGl_cvarz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(BgL_sexitz00_bglt,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cvarz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2732z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt, bool_t);
	static BgL_approxz00_bglt BGl_z62lambda2573z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2735z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2574z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00(void);
	static obj_t BGl_z62lambda2579z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_svarz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2900z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32907ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2580z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2904z62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2743z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2744z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2908z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2587z62zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda2588z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32762ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2754z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2916z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t, BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_z62lambda2917z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt, BgL_typez00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2757z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2598z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_approxz00_bglt, bool_t,
		long);
	static obj_t BGl_z62zc3z04anonymousza33000ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(BgL_svarz00_bglt,
		bool_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2763z62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2925z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2928z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(BgL_patchz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, long);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_approxz00_bglt);
	static obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2931z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2770z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2771z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_approxzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_approxz00_bglt);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_infoz00(void);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	static BgL_genpatchidz00_bglt
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2955z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2956z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_patchz00_bglt
		BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00(void);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32589ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static BgL_literalz00_bglt
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2966z62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2969z62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(BgL_scnstz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(BgL_patchz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2972z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2979z62zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2qualifiedzd2typezd2namez00zzcfa_infoz00
		(BgL_globalz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62lambda2980z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2987z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2topzf3z21zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2994z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static obj_t
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt
		BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(long, obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t,
		BgL_approxz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(BgL_svarz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(BgL_failz00_bglt);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(BgL_scnstz00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(BgL_setqz00_bglt);
	static obj_t
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32241ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(BgL_localz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(obj_t, obj_t, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32153ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_approxzd2dupzd2zzcfa_infoz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(obj_t);
	static BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(BgL_switchz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt, BgL_typez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_literalz00_bglt
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_sfunz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62approxzd2dupzb0zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, BgL_varz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, obj_t, obj_t, long, long, BgL_approxz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_cfunz00_bglt
		BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	static BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62approxzd2topzf3z43zzcfa_infoz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2204z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static obj_t BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2205z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_infoz00(BgL_approxz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00(void);
	static obj_t BGl_z62zc3z04anonymousza32603ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_scnstz00_bglt BGl_z62lambda2213z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32425ze3ze5zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt);
	static BgL_scnstz00_bglt BGl_z62lambda2216z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(BgL_sexitz00_bglt);
	static obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt);
	static BgL_scnstz00_bglt BGl_z62lambda2219z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2226z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2227z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(obj_t, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2069z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_conditionalz00_bglt, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_genpatchidz00_bglt
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static BgL_sfunz00_bglt
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzf3z43zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_approxz00_bglt BGl_z62lambda2071z62zzcfa_infoz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zzcfa_infoz00(obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2236z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2239z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2078z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_infoz00(void);
	static obj_t BGl_z62lambda2079z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_infoz00(void);
	static BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_infoz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_infoz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	BGL_EXPORTED_DECL long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2242z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2404z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62lambda2405z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(BgL_cfunz00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt, bool_t);
	static obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2085z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2086z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(BgL_kwotez00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12za2zzcfa_infoz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_patchzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62lambda2091z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2253z62zzcfa_infoz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(BgL_approxz00_bglt, bool_t);
	static obj_t BGl_z62lambda2092z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2256z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2418z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2097z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_svarz00_bglt BGl_z62lambda2259z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2098z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(BgL_funcallz00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_infoz00(obj_t);
	static obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2423z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2426z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2266z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2267z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2allocszd2zzcfa_infoz00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	static obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(BgL_kwotez00_bglt);
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32374ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2272z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_valuez00_bglt
		BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2273z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32358ze3ze5zzcfa_infoz00(obj_t);
	static obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_svarz00_bglt
		BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00(void);
	static BgL_approxz00_bglt BGl_z62lambda2439z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_varz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62failzf2Cinfozf3z63zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt, BgL_approxz00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2601z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2440z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(BgL_globalz00_bglt);
	static obj_t BGl_z62lambda2280z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda2604z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2281z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt, BgL_typez00_bglt);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2289z62zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt,
		obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt,
		bool_t);
	static obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2612z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62lambda2613z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(BgL_svarz00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt);
	static BgL_patchz00_bglt BGl_z62lambda2452z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2293z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62lambda2456z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_svarzf2Cinfozf3z01zzcfa_infoz00(obj_t);
	static BgL_cvarz00_bglt BGl_z62lambda2296z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(BgL_localz00_bglt);
	static BgL_patchz00_bglt BGl_z62lambda2459z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32482ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2626z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt BGl_z62lambda2468z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2469z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt, bool_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_nodez00_bglt, BgL_typez00_bglt, obj_t,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf2nodezf3z01zzcfa_infoz00(obj_t);
	static obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_reshapedzd2globalzf3z21zzcfa_infoz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_infoz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t,
		bool_t, obj_t);
	static obj_t
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2630z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32734ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2633z62zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	static BgL_approxz00_bglt
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_cvarz00_bglt
		BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00(void);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(BgL_literalz00_bglt);
	static BgL_kwotez00_bglt BGl_z62lambda2477z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00(obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00 = BUNSPEC;
	static obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t,
		obj_t);
	static obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2480z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2804z62zzcfa_infoz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2483z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2807z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62lambda2646z62zzcfa_infoz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2647z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt);
	static obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00
		(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_infoz00(BgL_approxz00_bglt);
	static obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32930ze3ze5zzcfa_infoz00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2812z62zzcfa_infoz00(obj_t, obj_t);
	static obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2492z62zzcfa_infoz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt
		BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00(void);
	static obj_t BGl_z62lambda2493z62zzcfa_infoz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[52];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2externzd2sfunzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2extern3358z00,
		BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2globalzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3359z00,
		BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23360za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3361za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sexitzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2sexitza73362za7,
		BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23363za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3364za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3365z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3366z00,
		BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23367za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3368z00,
		BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3369z00,
		BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3370z00,
		BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73371za7,
		BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2typezd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3372z00, BGl_z62approxzd2typezb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73373za7,
		BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73374za7,
		BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3375z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23376za7,
		BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2keyzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3377z00,
		BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23378z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2testzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3379z00,
		BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73380za7,
		BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3381z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73382za7,
		BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2msgzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73383za7,
		BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73384za7,
		BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3385z00,
		BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3386za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3387z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3388z00,
		BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3389za7,
		BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3390za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23391za7,
		BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3392z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3393z00,
		BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23394za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3395z00,
		BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cvarzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2cvarza7f3396za7,
		BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23397za7,
		BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3398z00,
		BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73399za7,
		BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3400z00,
		BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73401za7,
		BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73402za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3403za7,
		BGl_z62zc3z04anonymousza32080ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzcfa_infoz00,
		BgL_bgl_za762lambda2079za7623404z00, BGl_z62lambda2079z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzcfa_infoz00,
		BgL_bgl_za762lambda2078za7623405z00, BGl_z62lambda2078z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3406za7,
		BGl_z62zc3z04anonymousza32087ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzcfa_infoz00,
		BgL_bgl_za762lambda2086za7623407z00, BGl_z62lambda2086z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzcfa_infoz00,
		BgL_bgl_za762lambda2085za7623408z00, BGl_z62lambda2085z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzcfa_infoz00,
		BgL_bgl_za762lambda2092za7623409z00, BGl_z62lambda2092z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzcfa_infoz00,
		BgL_bgl_za762lambda2091za7623410z00, BGl_z62lambda2091z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23411z00,
		BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3412za7,
		BGl_z62zc3z04anonymousza32099ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3413z00,
		BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzcfa_infoz00,
		BgL_bgl_za762lambda2098za7623414z00, BGl_z62lambda2098z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73415z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23416za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2objzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73417za7,
		BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzcfa_infoz00,
		BgL_bgl_za762lambda2743za7623418z00, BGl_z62lambda2743z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzcfa_infoz00,
		BgL_bgl_za762lambda2735za7623419z00, BGl_z62lambda2735z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3420za7,
		BGl_z62zc3z04anonymousza32734ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzcfa_infoz00,
		BgL_bgl_za762lambda2097za7623421z00, BGl_z62lambda2097z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzcfa_infoz00,
		BgL_bgl_za762lambda2732za7623422z00, BGl_z62lambda2732z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3423za7,
		BGl_z62zc3z04anonymousza32106ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzcfa_infoz00,
		BgL_bgl_za762lambda2729za7623424z00, BGl_z62lambda2729z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzcfa_infoz00,
		BgL_bgl_za762lambda2105za7623425z00, BGl_z62lambda2105z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzcfa_infoz00,
		BgL_bgl_za762lambda2771za7623426z00, BGl_z62lambda2771z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzcfa_infoz00,
		BgL_bgl_za762lambda2104za7623427z00, BGl_z62lambda2104z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzcfa_infoz00,
		BgL_bgl_za762lambda2770za7623428z00, BGl_z62lambda2770z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3429za7,
		BGl_z62zc3z04anonymousza32113ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzcfa_infoz00,
		BgL_bgl_za762lambda2763za7623430z00, BGl_z62lambda2763z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzcfa_infoz00,
		BgL_bgl_za762lambda2112za7623431z00, BGl_z62lambda2112z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3432za7,
		BGl_z62zc3z04anonymousza32762ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzcfa_infoz00,
		BgL_bgl_za762lambda2111za7623433z00, BGl_z62lambda2111z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzcfa_infoz00,
		BgL_bgl_za762lambda2757za7623434z00, BGl_z62lambda2757z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3435za7,
		BGl_z62zc3z04anonymousza32120ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2nilzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73436z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzcfa_infoz00,
		BgL_bgl_za762lambda2119za7623437z00, BGl_z62lambda2119z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzcfa_infoz00,
		BgL_bgl_za762lambda2118za7623438z00, BGl_z62lambda2118z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3439za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3440z00,
		BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozf3zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73441z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2localzd2idzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3442z00,
		BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23443z00,
		BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzcfa_infoz00,
		BgL_bgl_za762lambda2754za7623444z00, BGl_z62lambda2754z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzcfa_infoz00,
		BgL_bgl_za762lambda2812za7623445z00, BGl_z62lambda2812z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3446za7,
		BGl_z62zc3z04anonymousza32811ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3447za7,
		BGl_z62zc3z04anonymousza32073ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzcfa_infoz00,
		BgL_bgl_za762lambda2807za7623448z00, BGl_z62lambda2807z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzcfa_infoz00,
		BgL_bgl_za762lambda2071za7623449z00, BGl_z62lambda2071z62zzcfa_infoz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzcfa_infoz00,
		BgL_bgl_za762lambda2804za7623450z00, BGl_z62lambda2804z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzcfa_infoz00,
		BgL_bgl_za762lambda2069za7623451z00, BGl_z62lambda2069z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzcfa_infoz00,
		BgL_bgl_za762lambda2837za7623452z00, BGl_z62lambda2837z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzcfa_infoz00,
		BgL_bgl_za762lambda2141za7623453z00, BGl_z62lambda2141z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzcfa_infoz00,
		BgL_bgl_za762lambda2836za7623454z00, BGl_z62lambda2836z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzcfa_infoz00,
		BgL_bgl_za762lambda2140za7623455z00, BGl_z62lambda2140z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzcfa_infoz00,
		BgL_bgl_za762lambda2829za7623456z00, BGl_z62lambda2829z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzcfa_infoz00,
		BgL_bgl_za762lambda2133za7623457z00, BGl_z62lambda2133z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3458za7,
		BGl_z62zc3z04anonymousza32828ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3459za7,
		BGl_z62zc3z04anonymousza32132ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzcfa_infoz00,
		BgL_bgl_za762lambda2826za7623460z00, BGl_z62lambda2826z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzcfa_infoz00,
		BgL_bgl_za762lambda2130za7623461z00, BGl_z62lambda2130z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzcfa_infoz00,
		BgL_bgl_za762lambda2127za7623462z00, BGl_z62lambda2127z62zzcfa_infoz00, 0L,
		BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3463za7,
		BGl_z62zc3z04anonymousza32165ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3464z00,
		BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23465z00,
		BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzcfa_infoz00,
		BgL_bgl_za762lambda2823za7623466z00, BGl_z62lambda2823z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzcfa_infoz00,
		BgL_bgl_za762lambda2864za7623467z00, BGl_z62lambda2864z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzcfa_infoz00,
		BgL_bgl_za762lambda2863za7623468z00, BGl_z62lambda2863z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzcfa_infoz00,
		BgL_bgl_za762lambda2164za7623469z00, BGl_z62lambda2164z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzcfa_infoz00,
		BgL_bgl_za762lambda2873za7623470z00, BGl_z62lambda2873z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzcfa_infoz00,
		BgL_bgl_za762lambda2163za7623471z00, BGl_z62lambda2163z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzcfa_infoz00,
		BgL_bgl_za762lambda2872za7623472z00, BGl_z62lambda2872z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzcfa_infoz00,
		BgL_bgl_za762lambda2170za7623473z00, BGl_z62lambda2170z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzcfa_infoz00,
		BgL_bgl_za762lambda2853za7623474z00, BGl_z62lambda2853z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzcfa_infoz00,
		BgL_bgl_za762lambda2169za7623475z00, BGl_z62lambda2169z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23476z00,
		BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3477za7,
		BGl_z62zc3z04anonymousza32852ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzcfa_infoz00,
		BgL_bgl_za762lambda2154za7623478z00, BGl_z62lambda2154z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3479z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzcfa_infoz00,
		BgL_bgl_za762lambda2850za7623480z00, BGl_z62lambda2850z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3481za7,
		BGl_z62zc3z04anonymousza32153ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzcfa_infoz00,
		BgL_bgl_za762lambda2847za7623482z00, BGl_z62lambda2847z62zzcfa_infoz00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzcfa_infoz00,
		BgL_bgl_za762lambda2151za7623483z00, BGl_z62lambda2151z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzcfa_infoz00,
		BgL_bgl_za762lambda2917za7623484z00, BGl_z62lambda2917z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzcfa_infoz00,
		BgL_bgl_za762lambda2148za7623485z00, BGl_z62lambda2148z62zzcfa_infoz00, 0L,
		BUNSPEC, 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3486za7,
		BGl_z62zc3z04anonymousza32193ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzcfa_infoz00,
		BgL_bgl_za762lambda2192za7623487z00, BGl_z62lambda2192z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2objzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73488za7,
		BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3489z00,
		BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73490za7,
		BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzcfa_infoz00,
		BgL_bgl_za762lambda2916za7623491z00, BGl_z62lambda2916z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzcfa_infoz00,
		BgL_bgl_za762lambda2908za7623492z00, BGl_z62lambda2908z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2macrozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73493za7,
		BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3494za7,
		BGl_z62zc3z04anonymousza32907ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzcfa_infoz00,
		BgL_bgl_za762lambda2191za7623495z00, BGl_z62lambda2191z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzcfa_infoz00,
		BgL_bgl_za762lambda2904za7623496z00, BGl_z62lambda2904z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzcfa_infoz00,
		BgL_bgl_za762lambda2198za7623497z00, BGl_z62lambda2198z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzcfa_infoz00,
		BgL_bgl_za762lambda2900za7623498z00, BGl_z62lambda2900z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzcfa_infoz00,
		BgL_bgl_za762lambda2197za7623499z00, BGl_z62lambda2197z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzcfa_infoz00,
		BgL_bgl_za762lambda2956za7623500z00, BGl_z62lambda2956z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3501za7,
		BGl_z62zc3z04anonymousza32206ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Cinfozd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23502za7,
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzcfa_infoz00,
		BgL_bgl_za762lambda2955za7623503z00, BGl_z62lambda2955z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzcfa_infoz00,
		BgL_bgl_za762lambda2205za7623504z00, BGl_z62lambda2205z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3505za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzcfa_infoz00,
		BgL_bgl_za762lambda2931za7623506z00, BGl_z62lambda2931z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzcfa_infoz00,
		BgL_bgl_za762lambda2204za7623507z00, BGl_z62lambda2204z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3508za7,
		BGl_z62zc3z04anonymousza32930ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzcfa_infoz00,
		BgL_bgl_za762lambda2183za7623509z00, BGl_z62lambda2183z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzcfa_infoz00,
		BgL_bgl_za762lambda2928za7623510z00, BGl_z62lambda2928z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3511za7,
		BGl_z62zc3z04anonymousza32182ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzcfa_infoz00,
		BgL_bgl_za762lambda2180za7623512z00, BGl_z62lambda2180z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzcfa_infoz00,
		BgL_bgl_za762lambda2177za7623513z00, BGl_z62lambda2177z62zzcfa_infoz00, 0L,
		BUNSPEC, 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3514za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3515z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3516z00,
		BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3517za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2lockedzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3518z00,
		BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzcfa_infoz00,
		BgL_bgl_za762lambda2925za7623519z00, BGl_z62lambda2925z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzcfa_infoz00,
		BgL_bgl_za762lambda2980za7623520z00, BGl_z62lambda2980z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3521z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzcfa_infoz00,
		BgL_bgl_za762lambda2979za7623522z00, BGl_z62lambda2979z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzcfa_infoz00,
		BgL_bgl_za762lambda2227za7623523z00, BGl_z62lambda2227z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3524z00,
		BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzcfa_infoz00,
		BgL_bgl_za762lambda2972za7623525z00, BGl_z62lambda2972z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzcfa_infoz00,
		BgL_bgl_za762lambda2226za7623526z00, BGl_z62lambda2226z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3527za7,
		BGl_z62zc3z04anonymousza32971ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzcfa_infoz00,
		BgL_bgl_za762lambda2219za7623528z00, BGl_z62lambda2219z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzcfa_infoz00,
		BgL_bgl_za762lambda2969za7623529z00, BGl_z62lambda2969z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3530za7,
		BGl_z62zc3z04anonymousza32218ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3531z00,
		BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzcfa_infoz00,
		BgL_bgl_za762lambda2966za7623532z00, BGl_z62lambda2966z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzcfa_infoz00,
		BgL_bgl_za762lambda2216za7623533z00, BGl_z62lambda2216z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3347z00zzcfa_infoz00,
		BgL_bgl_za762lambda3014za7623534z00, BGl_z62lambda3014z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzcfa_infoz00,
		BgL_bgl_za762lambda2213za7623535z00, BGl_z62lambda2213z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzcfa_infoz00,
		BgL_bgl_za762lambda3013za7623536z00, BGl_z62lambda3013z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzcfa_infoz00,
		BgL_bgl_za762lambda2242za7623537z00, BGl_z62lambda2242z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzcfa_infoz00,
		BgL_bgl_za762lambda3001za7623538z00, BGl_z62lambda3001z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3539za7,
		BGl_z62zc3z04anonymousza32241ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzcfa_infoz00,
		BgL_bgl_za762lambda2239za7623540z00, BGl_z62lambda2239z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3541z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzcfa_infoz00,
		BgL_bgl_za762lambda2236za7623542z00, BGl_z62lambda2236z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3543z00,
		BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3544z00,
		BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2arityzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73545za7,
		BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3546za7,
		BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3547za7,
		BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2failza7f3548za7,
		BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3549za7,
		BGl_z62zc3z04anonymousza33000ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3550z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzcfa_infoz00,
		BgL_bgl_za762lambda2994za7623551z00, BGl_z62lambda2994z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73552za7,
		BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzcfa_infoz00,
		BgL_bgl_za762lambda2987za7623553z00, BGl_z62lambda2987z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzcfa_infoz00,
		BgL_bgl_za762lambda2267za7623554z00, BGl_z62lambda2267z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzcfa_infoz00,
		BgL_bgl_za762lambda2266za7623555z00, BGl_z62lambda2266z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3556za7,
		BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3557z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzcfa_infoz00,
		BgL_bgl_za762lambda2273za7623558z00, BGl_z62lambda2273z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3559z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzcfa_infoz00,
		BgL_bgl_za762lambda2272za7623560z00, BGl_z62lambda2272z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23561z00,
		BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3562za7,
		BGl_z62zc3z04anonymousza32282ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzcfa_infoz00,
		BgL_bgl_za762lambda2281za7623563z00, BGl_z62lambda2281z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzcfa_infoz00,
		BgL_bgl_za762lambda2280za7623564z00, BGl_z62lambda2280z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzcfa_infoz00,
		BgL_bgl_za762lambda2259za7623565z00, BGl_z62lambda2259z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2funzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3566z00,
		BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3567za7,
		BGl_z62zc3z04anonymousza32258ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3568z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23569za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3570za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3571z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2falsezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3572z00,
		BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73573z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3574za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2testzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3575z00,
		BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3576z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73577za7,
		BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3578z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3579z00,
		BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3580z00,
		BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3581z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2dupzd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2dupza73582za7, BGl_z62approxzd2dupzb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozf3zd2envz13zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73583z00,
		BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3584za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3585z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23586za7,
		BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3587z00,
		BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3588z00,
		BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3589z00,
		BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2varzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3590za7,
		BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2funzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3591za7,
		BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3592z00,
		BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3593z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3594za7,
		BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2makeza7d3595za7,
		BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genpatchidzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2genpat3596z00,
		BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2setqza7f3597za7,
		BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3598z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73599za7,
		BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3600z00,
		BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73601za7,
		BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3602z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3603z00,
		BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3604z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73605z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2approxzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2approx3606z00, BGl_z62makezd2approxzb0zzcfa_infoz00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3607z00,
		BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73608z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3609z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73610za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3611z00,
		BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3612z00,
		BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3613z00,
		BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3614za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2internzd2sfunzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2intern3615z00,
		BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3616z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73617za7,
		BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3618z00,
		BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valuezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3619z00,
		BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2switch3620z00,
		BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23621za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3622za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23623za7,
		BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2idzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3624z00,
		BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3625z00,
		BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73626za7,
		BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3627z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3628za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73629za7,
		BGl_z62kwotezf2nodezf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3630z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73631za7,
		BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3632z00,
		BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3633z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3634z00,
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3635z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2patchidzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3636z00,
		BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23637za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2nilzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3638z00,
		BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2argszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3639z00,
		BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2modulezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3640z00,
		BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2appzd2lyzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2appza7d23641za7,
		BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2svarzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2svarza7f3642za7,
		BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2keyszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3643z00,
		BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cvarzf2Cinfozd2macrozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73644za7,
		BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73645za7,
		BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2fastzd2alphazd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3646z00,
		BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23647za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3648za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3649z00,
		BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3650z00,
		BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3651z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3652z00,
		BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73653z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73654za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3655z00,
		BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3656z00,
		BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3657z00,
		BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3658z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3659z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2clozd2envzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73660za7,
		BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3661z00,
		BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3662z00,
		BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23663za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2arityzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3664z00,
		BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2patchza73665za7,
		BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3666z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2optionalszd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3667z00,
		BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23668za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e3669za7,
		BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2topzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73670za7,
		BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3671z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2loczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3672z00,
		BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2localzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2reshap3673z00,
		BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3674za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3675za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2vtypezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23676za7,
		BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3677za7,
		BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3678za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2haszd2procedurezf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762approxza7d2hasza73679za7,
		BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2infixzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73680za7,
		BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73681z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2methodzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73682za7,
		BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73683za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexitzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3684z00,
		BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3685za7,
		BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3686z00,
		BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23687z00,
		BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2rindexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23688z00,
		BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2userzf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3689z00,
		BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2predicatezd2ofzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73690za7,
		BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3691z00,
		BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73692za7,
		BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3693z00,
		BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3694z00,
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3695z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3696z00,
		BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3697z00,
		BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3698za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3699z00,
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2setz12zf2Ozd2Cinfozd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23700za7,
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2approxzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73701z00,
		BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3702z00,
		BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3703za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2scnstzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2scnstza73704za7,
		BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3705z00,
		BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23706za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3707za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2proczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73708za7,
		BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2proczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73709za7,
		BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3710za7,
		BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2keyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3711za7,
		BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3712z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3713za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2failsafezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73714za7,
		BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3715z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3716z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3717z00,
		BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2valuezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23718za7,
		BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3719za7,
		BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2truezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3720z00,
		BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2strengthzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3721z00,
		BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3722z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2setz12zd2envz90zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23723z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3724z00,
		BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cvarzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762cvarza7f2cinfoza73725za7,
		BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2detachedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo3726z00,
		BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3727z00,
		BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2volatilezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3728z00,
		BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2funcallzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2funcal3729z00,
		BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3730z00,
		BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2conditionalzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2condit3731z00,
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3732z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3733z00,
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23734za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2loczd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23735za7,
		BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3736z00,
		BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3737z00,
		BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2lostzd2stampzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762approxza7d2lost3738z00,
		BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3739z00,
		BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3740z00,
		BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2keyzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23741za7,
		BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73742za7,
		BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73743za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3744z00,
		BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23745za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3746za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3747za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73748za7,
		BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73749za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2bodyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3750z00,
		BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2stackzd2allocatorzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73751za7,
		BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23752za7,
		BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73753z00,
		BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2importzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3754z00,
		BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3755z00,
		BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3756za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3757za7,
		BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3758z00,
		BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73759za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2testzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3760z00,
		BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3761z00,
		BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2msgzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza73762za7,
		BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2nodezd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73763za7,
		BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3764z00,
		BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3765z00,
		BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2topzf3zd2setz12zd2envz33zzcfa_infoz00,
		BgL_bgl_za762approxza7d2topza73766za7,
		BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3767za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2argszd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3768z00,
		BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2bodyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3769za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3770z00,
		BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73771z00,
		BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73772z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2keyzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3773z00,
		BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2stampzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73774za7,
		BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3775z00,
		BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3776za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23777za7,
		BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3778z00,
		BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzcfa_infoz00,
		BgL_bgl_za762lambda2256za7623779z00, BGl_z62lambda2256z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23780za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzcfa_infoz00,
		BgL_bgl_za762lambda2253za7623781z00, BGl_z62lambda2253z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzcfa_infoz00,
		BgL_bgl_za762lambda2307za7623782z00, BGl_z62lambda2307z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzcfa_infoz00,
		BgL_bgl_za762lambda2306za7623783z00, BGl_z62lambda2306z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzcfa_infoz00,
		BgL_bgl_za762lambda2296za7623784z00, BGl_z62lambda2296z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3785za7,
		BGl_z62zc3z04anonymousza32295ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzcfa_infoz00,
		BgL_bgl_za762lambda2293za7623786z00, BGl_z62lambda2293z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzcfa_infoz00,
		BgL_bgl_za762lambda2289za7623787z00, BGl_z62lambda2289z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzcfa_infoz00,
		BgL_bgl_za762lambda2331za7623788z00, BGl_z62lambda2331z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3789z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzcfa_infoz00,
		BgL_bgl_za762lambda2330za7623790z00, BGl_z62lambda2330z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23791za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i3792za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2makezd2boxzf2Ozd2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2makeza7d3793za7,
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2jumpzd2exzd2itzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2jumpza7d3794za7,
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3795z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23796z00,
		BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzcfa_infoz00,
		BgL_bgl_za762lambda2323za7623797z00, BGl_z62lambda2323z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73798za7,
		BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3799za7,
		BGl_z62zc3z04anonymousza32322ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzcfa_infoz00,
		BgL_bgl_za762lambda2320za7623800z00, BGl_z62lambda2320z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzcfa_infoz00,
		BgL_bgl_za762lambda2316za7623801z00, BGl_z62lambda2316z62zzcfa_infoz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3802za7,
		BGl_z62zc3z04anonymousza32358ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3803z00,
		BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzcfa_infoz00,
		BgL_bgl_za762lambda2357za7623804z00, BGl_z62lambda2357z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzcfa_infoz00,
		BgL_bgl_za762lambda2356za7623805z00, BGl_z62lambda2356z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezf2nodezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2kwoteza73806za7,
		BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3807z00,
		BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzcfa_infoz00,
		BgL_bgl_za762lambda2347za7623808z00, BGl_z62lambda2347z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3809z00,
		BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3810za7,
		BGl_z62zc3z04anonymousza32346ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzcfa_infoz00,
		BgL_bgl_za762lambda2344za7623811z00, BGl_z62lambda2344z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3812z00,
		BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2varzd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73813z00,
		BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23814za7,
		BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3815z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3816za7,
		BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23817za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2noescapezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73818za7,
		BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzcfa_infoz00,
		BgL_bgl_za762lambda2341za7623819z00, BGl_z62lambda2341z62zzcfa_infoz00, 0L,
		BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzcfa_infoz00,
		BgL_bgl_za762lambda2375za7623820z00, BGl_z62lambda2375z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3821za7,
		BGl_z62zc3z04anonymousza32374ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzcfa_infoz00,
		BgL_bgl_za762lambda2372za7623822z00, BGl_z62lambda2372z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzcfa_infoz00,
		BgL_bgl_za762lambda2366za7623823z00, BGl_z62lambda2366z62zzcfa_infoz00, 0L,
		BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzcfa_infoz00,
		BgL_bgl_za762lambda2405za7623824z00, BGl_z62lambda2405z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzcfa_infoz00,
		BgL_bgl_za762lambda2404za7623825z00, BGl_z62lambda2404z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzcfa_infoz00,
		BgL_bgl_za762lambda2395za7623826z00, BGl_z62lambda2395z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3827za7,
		BGl_z62zc3z04anonymousza32394ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2argszd2retescapezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73828za7,
		BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzcfa_infoz00,
		BgL_bgl_za762lambda2392za7623829z00, BGl_z62lambda2392z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2vazd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3830z00,
		BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2removablezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3831z00,
		BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73832z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzd2loczd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e3833za7,
		BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Ozd2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d23834za7,
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o3835za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762approxza7f3za791za73836z00, BGl_z62approxzf3z91zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2nilzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3837z00,
		BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23838za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2setz12zd2envze1zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3839z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3840z00,
		BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzcfa_infoz00,
		BgL_bgl_za762lambda2389za7623841z00, BGl_z62lambda2389z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzcfa_infoz00,
		BgL_bgl_za762lambda2440za7623842z00, BGl_z62lambda2440z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzcfa_infoz00,
		BgL_bgl_za762lambda2439za7623843z00, BGl_z62lambda2439z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2qualifiedzd2typezd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3844z00,
		BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namez62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzcfa_infoz00,
		BgL_bgl_za762lambda2426za7623845z00, BGl_z62lambda2426z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2setzd2exzd2itzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2setza7d23846za7,
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3847za7,
		BGl_z62zc3z04anonymousza32425ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza73848za7,
		BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzcfa_infoz00,
		BgL_bgl_za762lambda2423za7623849z00, BGl_z62lambda2423z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3850z00,
		BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzcfa_infoz00,
		BgL_bgl_za762lambda2418za7623851z00, BGl_z62lambda2418z62zzcfa_infoz00, 0L,
		BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2loczd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73852z00,
		BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3853z00,
		BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzcfa_infoz00,
		BgL_bgl_za762lambda2469za7623854z00, BGl_z62lambda2469z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzcfa_infoz00,
		BgL_bgl_za762lambda2468za7623855z00, BGl_z62lambda2468z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzcfa_infoz00,
		BgL_bgl_za762lambda2459za7623856z00, BGl_z62lambda2459z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3857z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3858z00,
		BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3859z00,
		BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12za2zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2typezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762approxza7d2type3860z00,
		BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3861za7,
		BGl_z62zc3z04anonymousza32458ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzcfa_infoz00,
		BgL_bgl_za762lambda2456za7623862z00, BGl_z62lambda2456z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzcfa_infoz00,
		BgL_bgl_za762lambda2452za7623863z00, BGl_z62lambda2452z62zzcfa_infoz00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzcfa_infoz00,
		BgL_bgl_za762lambda2493za7623864z00, BGl_z62lambda2493z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzcfa_infoz00,
		BgL_bgl_za762lambda2492za7623865z00, BGl_z62lambda2492z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzcfa_infoz00,
		BgL_bgl_za762lambda2483za7623866z00, BGl_z62lambda2483z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3867za7,
		BGl_z62zc3z04anonymousza32482ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzcfa_infoz00,
		BgL_bgl_za762lambda2480za7623868z00, BGl_z62lambda2480z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzcfa_infoz00,
		BgL_bgl_za762lambda2477za7623869z00, BGl_z62lambda2477z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzcfa_infoz00,
		BgL_bgl_za762lambda2521za7623870z00, BGl_z62lambda2521z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2vtypezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3871za7,
		BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3872z00,
		BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3873z00,
		BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2haszd2procedurezf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762approxza7d2hasza73874za7,
		BGl_z62approxzd2haszd2procedurezf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2refzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3875z00,
		BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3876z00,
		BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3877za7,
		BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3878z00,
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzcfa_infoz00,
		BgL_bgl_za762lambda2520za7623879z00, BGl_z62lambda2520z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzcfa_infoz00,
		BgL_bgl_za762lambda2508za7623880z00, BGl_z62lambda2508z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3881z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3882za7,
		BGl_z62zc3z04anonymousza32507ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzcfa_infoz00,
		BgL_bgl_za762lambda2504za7623883z00, BGl_z62lambda2504z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzcfa_infoz00,
		BgL_bgl_za762lambda2501za7623884z00, BGl_z62lambda2501z62zzcfa_infoz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzcfa_infoz00,
		BgL_bgl_za762lambda2547za7623885z00, BGl_z62lambda2547z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzcfa_infoz00,
		BgL_bgl_za762lambda2546za7623886z00, BGl_z62lambda2546z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzcfa_infoz00,
		BgL_bgl_za762lambda2537za7623887z00, BGl_z62lambda2537z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2valzd2noescapezd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3888z00,
		BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2pragmazd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3889z00,
		BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3890za7,
		BGl_z62zc3z04anonymousza32536ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzcfa_infoz00,
		BgL_bgl_za762lambda2534za7623891z00, BGl_z62lambda2534z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3892z00,
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2functionszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3893z00,
		BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3894z00,
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3895z00,
		BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzcfa_infoz00,
		BgL_bgl_za762lambda2530za7623896z00, BGl_z62lambda2530z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzcfa_infoz00,
		BgL_bgl_za762lambda2568za7623897z00, BGl_z62lambda2568z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzcfa_infoz00,
		BgL_bgl_za762lambda2567za7623898z00, BGl_z62lambda2567z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzcfa_infoz00,
		BgL_bgl_za762lambda2574za7623899z00, BGl_z62lambda2574z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23900za7,
		BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzcfa_infoz00,
		BgL_bgl_za762lambda2573za7623901z00, BGl_z62lambda2573z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3902za7,
		BGl_z62zc3z04anonymousza32581ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3353z00zzcfa_infoz00,
		BgL_bgl_string3353za700za7za7c3903za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzcfa_infoz00,
		BgL_bgl_za762lambda2580za7623904z00, BGl_z62lambda2580z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3354z00zzcfa_infoz00,
		BgL_bgl_string3354za700za7za7c3905za7, "cfa_info", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzcfa_infoz00,
		BgL_bgl_za762lambda2579za7623906z00, BGl_z62lambda2579z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3355z00zzcfa_infoz00,
		BgL_bgl_string3355za700za7za7c3907za7,
		"_ box-ref/O-Cinfo box-set!/O-Cinfo box-ref/Cinfo box-set!/Cinfo make-box/O-Cinfo value-approx make-box/Cinfo pre-make-box jump-ex-it/Cinfo set-ex-it/Cinfo switch/Cinfo fail/Cinfo conditional/Cinfo setq/Cinfo funcall/Cinfo type-error-noticed? arity-error-noticed? va-approx app-ly/Cinfo kwote/Cinfo kwote/node node patch/Cinfo genpatchid/Cinfo literal/Cinfo reshaped-global reshaped-local binding-value sexit/Cinfo cvar/Cinfo svar/Cinfo clo-env? pre-clo-env scnst/Cinfo intern-sfun/Cinfo stamp extern-sfun/Cinfo polymorphic? cfun/Cinfo cfa_info approx has-procedure? dup long lost-stamp top? obj allocs bool type-locked? type ",
		625);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3908za7,
		BGl_z62zc3z04anonymousza32589ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzcfa_infoz00,
		BgL_bgl_za762lambda2588za7623909z00, BGl_z62lambda2588z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2methodzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73910za7,
		BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3911z00,
		BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3912za7,
		BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_scnstzf2Cinfozd2classzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3913z00,
		BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evaluablezf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3914z00,
		BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzcfa_infoz00,
		BgL_bgl_za762lambda2587za7623915z00, BGl_z62lambda2587z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzcfa_infoz00,
		BgL_bgl_za762lambda2560za7623916z00, BGl_z62lambda2560z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3917za7,
		BGl_z62zc3z04anonymousza32559ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzcfa_infoz00,
		BgL_bgl_za762lambda2557za7623918z00, BGl_z62lambda2557z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzcfa_infoz00,
		BgL_bgl_za762lambda2554za7623919z00, BGl_z62lambda2554z62zzcfa_infoz00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzcfa_infoz00,
		BgL_bgl_za762lambda2613za7623920z00, BGl_z62lambda2613z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzcfa_infoz00,
		BgL_bgl_za762lambda2612za7623921z00, BGl_z62lambda2612z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzcfa_infoz00,
		BgL_bgl_za762lambda2604za7623922z00, BGl_z62lambda2604z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3923za7,
		BGl_z62zc3z04anonymousza32603ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzcfa_infoz00,
		BgL_bgl_za762lambda2601za7623924z00, BGl_z62lambda2601z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2clozd2envzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2preza7d23925za7,
		BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza73926za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3927z00,
		BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2literalzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2litera3928z00,
		BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2allocszd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2allo3929z00, BGl_z62approxzd2allocszb0zzcfa_infoz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23930za7,
		BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stampzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3931z00,
		BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzcfa_infoz00,
		BgL_bgl_za762lambda2598za7623932z00, BGl_z62lambda2598z62zzcfa_infoz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzcfa_infoz00,
		BgL_bgl_za762lambda2647za7623933z00, BGl_z62lambda2647z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3934z00,
		BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzcfa_infoz00,
		BgL_bgl_za762lambda2646za7623935z00, BGl_z62lambda2646z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzcfa_infoz00,
		BgL_bgl_za762lambda2633za7623936z00, BGl_z62lambda2633z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3937za7,
		BGl_z62zc3z04anonymousza32632ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzcfa_infoz00,
		BgL_bgl_za762lambda2630za7623938z00, BGl_z62lambda2630z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3939z00,
		BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzcfa_infoz00,
		BgL_bgl_za762lambda2626za7623940z00, BGl_z62lambda2626z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzcfa_infoz00,
		BgL_bgl_za762lambda2677za7623941z00, BGl_z62lambda2677z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzcfa_infoz00,
		BgL_bgl_za762lambda2676za7623942z00, BGl_z62lambda2676z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3943z00,
		BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzcfa_infoz00,
		BgL_bgl_za762lambda2667za7623944z00, BGl_z62lambda2667z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2topzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762approxza7d2topza73945za7,
		BGl_z62approxzd2topzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f3946z00,
		BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3947z00,
		BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3948za7,
		BGl_z62zc3z04anonymousza32666ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzcfa_infoz00,
		BgL_bgl_za762lambda2664za7623949z00, BGl_z62lambda2664z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzcfa_infoz00,
		BgL_bgl_za762lambda2660za7623950z00, BGl_z62lambda2660z62zzcfa_infoz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzcfa_infoz00,
		BgL_bgl_za762lambda2722za7623951z00, BGl_z62lambda2722z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzcfa_infoz00,
		BgL_bgl_za762lambda2721za7623952z00, BGl_z62lambda2721z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzcfa_infoz00,
		BgL_bgl_za762lambda2710za7623953z00, BGl_z62lambda2710z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzcfa_infoz00,
		BgL_bgl_za762za7c3za704anonymo3954za7,
		BGl_z62zc3z04anonymousza32709ze3ze5zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzcfa_infoz00,
		BgL_bgl_za762lambda2706za7623955z00, BGl_z62lambda2706z62zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2indexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo3956z00,
		BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzcfa_infoz00,
		BgL_bgl_za762lambda2691za7623957z00, BGl_z62lambda2691z62zzcfa_infoz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzcfa_infoz00,
		BgL_bgl_za762lambda2744za7623958z00, BGl_z62lambda2744z62zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci3959za7,
		BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo3960z00,
		BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23961za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2srczd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3962z00,
		BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2loczd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3963z00,
		BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo3964z00,
		BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2typezd2setz12zd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73965z00,
		BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2exprza2zd2envz50zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23966z00,
		BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za73967z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3968z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozd2stampzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza73969za7,
		BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2libraryzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3970z00,
		BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c3971za7,
		BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3972z00,
		BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f23973z00,
		BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3974z00,
		BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3975z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin3976z00,
		BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2prezd2makezd2boxzd2envz00zzcfa_infoz00,
		BgL_bgl_za762makeza7d2preza7d23977za7,
		BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3978z00,
		BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2stackablezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23979za7,
		BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf3980z00,
		BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2classzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3981z00,
		BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin3982z00,
		BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3983z00,
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2typezd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23984za7,
		BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3985z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2valuezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3986z00,
		BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2onexitzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it3987za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2makezd2boxzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23988za7,
		BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3989z00,
		BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3990z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23991za7,
		BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun3992z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2kwoteza73993za7,
		BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2typezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl3994z00,
		BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo3995z00,
		BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d23996za7,
		BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2topzf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun3997z00,
		BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2loczd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f23998za7,
		BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setqzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza73999za7,
		BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74000z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f4001z00,
		BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2keyzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24002za7,
		BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2vtypezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d24003za7,
		BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74004za7,
		BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24005z00,
		BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4006z00,
		BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2evalzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4007z00,
		BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4008z00,
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2c4009za7,
		BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4010z00,
		BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24011z00,
		BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762conditionalza7f4012z00,
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o4013za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74014z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2refzf2Cinfozd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7d24015za7,
		BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2loczd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74016z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza74017za7,
		BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2userzf3zd2envz21zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4018z00,
		BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74019za7,
		BGl_z62failzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2aliaszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4020z00,
		BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4021z00,
		BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_svarzf2Cinfozd2loczd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza74022za7,
		BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4023z00,
		BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24024za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2initzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4025z00,
		BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2clauseszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4026z00,
		BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i4027za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24028za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i4029za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4030z00,
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf2Cinfozd2funzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762funcallza7f2cin4031z00,
		BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo4032z00,
		BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2accesszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4033z00,
		BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2effectzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74034za7,
		BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74035za7,
		BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2dupzd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762approxza7d2dupza74036za7,
		BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_scnstzf2Cinfozd2classzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762scnstza7f2cinfo4037z00,
		BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo4038z00,
		BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74039za7,
		BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2argzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4040za7,
		BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zd2envz13zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4041z00,
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24042za7,
		BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2typezd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4043za7,
		BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762jumpza7d2exza7d2i4044za7,
		BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2makezd2boxzd2valuezd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2makeza7d24045za7,
		BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo4046z00,
		BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2namezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4047z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2accesszd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4048z00,
		BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2keyzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24049z00,
		BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2classzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4050z00,
		BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2cfunzf2Cinfozd2envzf2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2cfunza7f4051za7,
		BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2clozd2envzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e4052za7,
		BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfunzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74053za7,
		BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2indexzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24054z00,
		BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24055z00,
		BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74056za7,
		BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762failza7f2cinfoza74057za7,
		BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4058z00,
		BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2removablezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4059z00,
		BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2nodezd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2nodeza74060za7,
		BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Cinfozd2nilzd2envz32zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74061z00,
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2occurrencewzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4062z00,
		BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2namezd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4063z00,
		BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2strengthzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4064z00,
		BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24065za7,
		BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762genpatchidza7f24066z00,
		BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzf2Cinfozd2approxzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setza7d2exza7d2it4067za7,
		BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf2Cinfozd2typezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762setqza7f2cinfoza74068za7,
		BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2valuezd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4069z00,
		BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2bindingzd2valuezd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4070z00,
		BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4071za7,
		BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2localzd2typezd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4072z00,
		BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4073z00,
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2occurrencewzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4074z00,
		BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzf2Ozd2Cinfozd2varzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762boxza7d2refza7f2o4075za7,
		BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4076z00,
		BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2sidezd2effectzd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4077z00,
		BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf2Cinfozd2loczd2envzf2zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4078z00,
		BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo4079z00,
		BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4080z00,
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2approxzd2envze0zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74081z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4082z00,
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4083z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_approxzd2nilzd2envz00zzcfa_infoz00,
		BgL_bgl_za762approxza7d2nilza74084za7, BGl_z62approxzd2nilzb0zzcfa_infoz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_kwotezf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo4085z00,
		BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2reshapedzd2globalzd2envzd2zzcfa_infoz00,
		BgL_bgl_za762makeza7d2reshap4086z00,
		BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2approxzd2envz20zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4087z00,
		BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762internza7d2sfun4088z00,
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2topzf3zd2setz12zd2envzc1zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74089za7,
		BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2stackablezd2envz20zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24090za7,
		BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zd2envz20zzcfa_infoz00,
		BgL_bgl_za762boxza7d2setza712za74091z00,
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prezd2clozd2envzd2loczd2setz12zd2envzc0zzcfa_infoz00,
		BgL_bgl_za762preza7d2cloza7d2e4092za7,
		BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24093za7,
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sexitzf2Cinfozd2handlerzd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762sexitza7f2cinfo4094z00,
		BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf2Cinfozd2nilzd2envzf2zzcfa_infoz00,
		BgL_bgl_za762kwoteza7f2cinfo4095z00,
		BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reshapedzd2globalzd2fastzd2alphazd2envz00zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2gl4096z00,
		BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_svarzf2Cinfozf3zd2envzd3zzcfa_infoz00,
		BgL_bgl_za762svarza7f2cinfoza74097za7,
		BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzf2Cinfozd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762makeza7d2boxza7f24098za7,
		BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfunzf2Cinfozd2thezd2closurezd2envz20zzcfa_infoz00,
		BgL_bgl_za762cfunza7f2cinfoza74099za7,
		BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sfunzf2Cinfozd2nilzd2envz20zzcfa_infoz00,
		BgL_bgl_za762externza7d2sfun4100z00,
		BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf2Cinfozf3zd2envz01zzcfa_infoz00,
		BgL_bgl_za762appza7d2lyza7f2ci4101za7,
		BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzf2Cinfozd2valuezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762patchza7f2cinfo4102z00,
		BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzf2Cinfozd2typezd2setz12zd2envz32zzcfa_infoz00,
		BgL_bgl_za762literalza7f2cin4103z00,
		BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzf2Cinfozd2itemzd2typezd2setz12zd2envze0zzcfa_infoz00,
		BgL_bgl_za762switchza7f2cinf4104z00,
		BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2lostzd2stampzd2setz12zd2envz12zzcfa_infoz00,
		BgL_bgl_za762approxza7d2lost4105z00,
		BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reshapedzd2localzf3zd2envzf3zzcfa_infoz00,
		BgL_bgl_za762reshapedza7d2lo4106z00,
		BGl_z62reshapedzd2localzf3z43zzcfa_infoz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_approxz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_prezd2makezd2boxz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_genpatchidzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_reshapedzd2localzd2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_cvarzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_switchzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_literalzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_prezd2clozd2envz00zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_failzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_setqzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2nodezf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_sexitzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_svarzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_funcallzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_patchzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_reshapedzd2globalzd2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_conditionalzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_scnstzf2Cinfozf2zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00));
		     ADD_ROOT((void *) (&BGl_cfunzf2Cinfozf2zzcfa_infoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long
		BgL_checksumz00_11137, char *BgL_fromz00_11138)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_infoz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_infoz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_infoz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_infoz00();
					BGl_cnstzd2initzd2zzcfa_infoz00();
					BGl_importedzd2moduleszd2initz00zzcfa_infoz00();
					BGl_objectzd2initzd2zzcfa_infoz00();
					return BGl_toplevelzd2initzd2zzcfa_infoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_info");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_info");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			{	/* Cfa/cinfo.scm 15 */
				obj_t BgL_cportz00_9527;

				{	/* Cfa/cinfo.scm 15 */
					obj_t BgL_stringz00_9534;

					BgL_stringz00_9534 = BGl_string3355z00zzcfa_infoz00;
					{	/* Cfa/cinfo.scm 15 */
						obj_t BgL_startz00_9535;

						BgL_startz00_9535 = BINT(0L);
						{	/* Cfa/cinfo.scm 15 */
							obj_t BgL_endz00_9536;

							BgL_endz00_9536 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_9534)));
							{	/* Cfa/cinfo.scm 15 */

								BgL_cportz00_9527 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_9534, BgL_startz00_9535, BgL_endz00_9536);
				}}}}
				{
					long BgL_iz00_9528;

					BgL_iz00_9528 = 51L;
				BgL_loopz00_9529:
					if ((BgL_iz00_9528 == (-1L)))
						{	/* Cfa/cinfo.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/cinfo.scm 15 */
							{	/* Cfa/cinfo.scm 15 */
								obj_t BgL_arg3357z00_9530;

								{	/* Cfa/cinfo.scm 15 */

									{	/* Cfa/cinfo.scm 15 */
										obj_t BgL_locationz00_9532;

										BgL_locationz00_9532 = BBOOL(((bool_t) 0));
										{	/* Cfa/cinfo.scm 15 */

											BgL_arg3357z00_9530 =
												BGl_readz00zz__readerz00(BgL_cportz00_9527,
												BgL_locationz00_9532);
										}
									}
								}
								{	/* Cfa/cinfo.scm 15 */
									int BgL_tmpz00_11165;

									BgL_tmpz00_11165 = (int) (BgL_iz00_9528);
									CNST_TABLE_SET(BgL_tmpz00_11165, BgL_arg3357z00_9530);
							}}
							{	/* Cfa/cinfo.scm 15 */
								int BgL_auxz00_9533;

								BgL_auxz00_9533 = (int) ((BgL_iz00_9528 - 1L));
								{
									long BgL_iz00_11170;

									BgL_iz00_11170 = (long) (BgL_auxz00_9533);
									BgL_iz00_9528 = BgL_iz00_11170;
									goto BgL_loopz00_9529;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* make-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2approxzd2zzcfa_infoz00(BgL_typez00_bglt BgL_type1837z00_3,
		bool_t BgL_typezd2lockedzf31838z21_4, obj_t BgL_allocs1839z00_5,
		bool_t BgL_topzf31840zf3_6, long BgL_lostzd2stamp1841zd2_7,
		obj_t BgL_dup1842z00_8, bool_t BgL_haszd2procedurezf31843z21_9)
	{
		{	/* Cfa/cinfo.sch 661 */
			{	/* Cfa/cinfo.sch 661 */
				BgL_approxz00_bglt BgL_new1548z00_9538;

				{	/* Cfa/cinfo.sch 661 */
					BgL_approxz00_bglt BgL_new1547z00_9539;

					BgL_new1547z00_9539 =
						((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_approxz00_bgl))));
					{	/* Cfa/cinfo.sch 661 */
						long BgL_arg1995z00_9540;

						BgL_arg1995z00_9540 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1547z00_9539), BgL_arg1995z00_9540);
					}
					BgL_new1548z00_9538 = BgL_new1547z00_9539;
				}
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1837z00_3), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->
						BgL_typezd2lockedzf3z21) =
					((bool_t) BgL_typezd2lockedzf31838z21_4), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->BgL_allocsz00) =
					((obj_t) BgL_allocs1839z00_5), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->BgL_topzf3zf3) =
					((bool_t) BgL_topzf31840zf3_6), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->
						BgL_lostzd2stampzd2) = ((long) BgL_lostzd2stamp1841zd2_7), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->BgL_dupz00) =
					((obj_t) BgL_dup1842z00_8), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(BgL_new1548z00_9538))->
						BgL_haszd2procedurezf3z21) =
					((bool_t) BgL_haszd2procedurezf31843z21_9), BUNSPEC);
				return BgL_new1548z00_9538;
			}
		}

	}



/* &make-approx */
	BgL_approxz00_bglt BGl_z62makezd2approxzb0zzcfa_infoz00(obj_t BgL_envz00_7197,
		obj_t BgL_type1837z00_7198, obj_t BgL_typezd2lockedzf31838z21_7199,
		obj_t BgL_allocs1839z00_7200, obj_t BgL_topzf31840zf3_7201,
		obj_t BgL_lostzd2stamp1841zd2_7202, obj_t BgL_dup1842z00_7203,
		obj_t BgL_haszd2procedurezf31843z21_7204)
	{
		{	/* Cfa/cinfo.sch 661 */
			return
				BGl_makezd2approxzd2zzcfa_infoz00(
				((BgL_typez00_bglt) BgL_type1837z00_7198),
				CBOOL(BgL_typezd2lockedzf31838z21_7199), BgL_allocs1839z00_7200,
				CBOOL(BgL_topzf31840zf3_7201),
				(long) CINT(BgL_lostzd2stamp1841zd2_7202), BgL_dup1842z00_7203,
				CBOOL(BgL_haszd2procedurezf31843z21_7204));
		}

	}



/* approx? */
	BGL_EXPORTED_DEF bool_t BGl_approxzf3zf3zzcfa_infoz00(obj_t BgL_objz00_10)
	{
		{	/* Cfa/cinfo.sch 662 */
			{	/* Cfa/cinfo.sch 662 */
				obj_t BgL_classz00_9541;

				BgL_classz00_9541 = BGl_approxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_10))
					{	/* Cfa/cinfo.sch 662 */
						BgL_objectz00_bglt BgL_arg1858z00_9542;

						BgL_arg1858z00_9542 = (BgL_objectz00_bglt) (BgL_objz00_10);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 662 */
								long BgL_idxz00_9543;

								BgL_idxz00_9543 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9542);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9543 + 1L)) == BgL_classz00_9541);
							}
						else
							{	/* Cfa/cinfo.sch 662 */
								bool_t BgL_res3099z00_9546;

								{	/* Cfa/cinfo.sch 662 */
									obj_t BgL_oclassz00_9547;

									{	/* Cfa/cinfo.sch 662 */
										obj_t BgL_arg1866z00_9548;
										long BgL_arg1867z00_9549;

										BgL_arg1866z00_9548 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 662 */
											long BgL_arg1869z00_9550;

											BgL_arg1869z00_9550 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9542);
											BgL_arg1867z00_9549 = (BgL_arg1869z00_9550 - OBJECT_TYPE);
										}
										BgL_oclassz00_9547 =
											VECTOR_REF(BgL_arg1866z00_9548, BgL_arg1867z00_9549);
									}
									{	/* Cfa/cinfo.sch 662 */
										bool_t BgL__ortest_1115z00_9551;

										BgL__ortest_1115z00_9551 =
											(BgL_classz00_9541 == BgL_oclassz00_9547);
										if (BgL__ortest_1115z00_9551)
											{	/* Cfa/cinfo.sch 662 */
												BgL_res3099z00_9546 = BgL__ortest_1115z00_9551;
											}
										else
											{	/* Cfa/cinfo.sch 662 */
												long BgL_odepthz00_9552;

												{	/* Cfa/cinfo.sch 662 */
													obj_t BgL_arg1855z00_9553;

													BgL_arg1855z00_9553 = (BgL_oclassz00_9547);
													BgL_odepthz00_9552 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9553);
												}
												if ((1L < BgL_odepthz00_9552))
													{	/* Cfa/cinfo.sch 662 */
														obj_t BgL_arg1853z00_9554;

														{	/* Cfa/cinfo.sch 662 */
															obj_t BgL_arg1854z00_9555;

															BgL_arg1854z00_9555 = (BgL_oclassz00_9547);
															BgL_arg1853z00_9554 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9555,
																1L);
														}
														BgL_res3099z00_9546 =
															(BgL_arg1853z00_9554 == BgL_classz00_9541);
													}
												else
													{	/* Cfa/cinfo.sch 662 */
														BgL_res3099z00_9546 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3099z00_9546;
							}
					}
				else
					{	/* Cfa/cinfo.sch 662 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &approx? */
	obj_t BGl_z62approxzf3z91zzcfa_infoz00(obj_t BgL_envz00_7205,
		obj_t BgL_objz00_7206)
	{
		{	/* Cfa/cinfo.sch 662 */
			return BBOOL(BGl_approxzf3zf3zzcfa_infoz00(BgL_objz00_7206));
		}

	}



/* approx-nil */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_approxzd2nilzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 663 */
			{	/* Cfa/cinfo.sch 663 */
				obj_t BgL_classz00_4473;

				BgL_classz00_4473 = BGl_approxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 663 */
					obj_t BgL__ortest_1117z00_4474;

					BgL__ortest_1117z00_4474 = BGL_CLASS_NIL(BgL_classz00_4473);
					if (CBOOL(BgL__ortest_1117z00_4474))
						{	/* Cfa/cinfo.sch 663 */
							return ((BgL_approxz00_bglt) BgL__ortest_1117z00_4474);
						}
					else
						{	/* Cfa/cinfo.sch 663 */
							return
								((BgL_approxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4473));
						}
				}
			}
		}

	}



/* &approx-nil */
	BgL_approxz00_bglt BGl_z62approxzd2nilzb0zzcfa_infoz00(obj_t BgL_envz00_7207)
	{
		{	/* Cfa/cinfo.sch 663 */
			return BGl_approxzd2nilzd2zzcfa_infoz00();
		}

	}



/* approx-has-procedure? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2haszd2procedurezf3zf3zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_11)
	{
		{	/* Cfa/cinfo.sch 664 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_oz00_11))->
				BgL_haszd2procedurezf3z21);
		}

	}



/* &approx-has-procedure? */
	obj_t BGl_z62approxzd2haszd2procedurezf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7208, obj_t BgL_oz00_7209)
	{
		{	/* Cfa/cinfo.sch 664 */
			return
				BBOOL(BGl_approxzd2haszd2procedurezf3zf3zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7209)));
		}

	}



/* approx-has-procedure?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_12, bool_t BgL_vz00_13)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_12))->
					BgL_haszd2procedurezf3z21) = ((bool_t) BgL_vz00_13), BUNSPEC);
		}

	}



/* &approx-has-procedure?-set! */
	obj_t BGl_z62approxzd2haszd2procedurezf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7210, obj_t BgL_oz00_7211, obj_t BgL_vz00_7212)
	{
		{	/* Cfa/cinfo.sch 665 */
			return
				BGl_approxzd2haszd2procedurezf3zd2setz12z33zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7211), CBOOL(BgL_vz00_7212));
		}

	}



/* approx-dup */
	BGL_EXPORTED_DEF obj_t BGl_approxzd2dupzd2zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_14)
	{
		{	/* Cfa/cinfo.sch 666 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_14))->BgL_dupz00);
		}

	}



/* &approx-dup */
	obj_t BGl_z62approxzd2dupzb0zzcfa_infoz00(obj_t BgL_envz00_7213,
		obj_t BgL_oz00_7214)
	{
		{	/* Cfa/cinfo.sch 666 */
			return
				BGl_approxzd2dupzd2zzcfa_infoz00(((BgL_approxz00_bglt) BgL_oz00_7214));
		}

	}



/* approx-dup-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_15,
		obj_t BgL_vz00_16)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_15))->BgL_dupz00) =
				((obj_t) BgL_vz00_16), BUNSPEC);
		}

	}



/* &approx-dup-set! */
	obj_t BGl_z62approxzd2dupzd2setz12z70zzcfa_infoz00(obj_t BgL_envz00_7215,
		obj_t BgL_oz00_7216, obj_t BgL_vz00_7217)
	{
		{	/* Cfa/cinfo.sch 667 */
			return
				BGl_approxzd2dupzd2setz12z12zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7216), BgL_vz00_7217);
		}

	}



/* approx-lost-stamp */
	BGL_EXPORTED_DEF long
		BGl_approxzd2lostzd2stampz00zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_17)
	{
		{	/* Cfa/cinfo.sch 668 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_17))->BgL_lostzd2stampzd2);
		}

	}



/* &approx-lost-stamp */
	obj_t BGl_z62approxzd2lostzd2stampz62zzcfa_infoz00(obj_t BgL_envz00_7218,
		obj_t BgL_oz00_7219)
	{
		{	/* Cfa/cinfo.sch 668 */
			return
				BINT(BGl_approxzd2lostzd2stampz00zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7219)));
		}

	}



/* approx-lost-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_18, long BgL_vz00_19)
	{
		{	/* Cfa/cinfo.sch 669 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_18))->BgL_lostzd2stampzd2) =
				((long) BgL_vz00_19), BUNSPEC);
		}

	}



/* &approx-lost-stamp-set! */
	obj_t BGl_z62approxzd2lostzd2stampzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7220, obj_t BgL_oz00_7221, obj_t BgL_vz00_7222)
	{
		{	/* Cfa/cinfo.sch 669 */
			return
				BGl_approxzd2lostzd2stampzd2setz12zc0zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7221), (long) CINT(BgL_vz00_7222));
		}

	}



/* approx-top? */
	BGL_EXPORTED_DEF bool_t BGl_approxzd2topzf3z21zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_20)
	{
		{	/* Cfa/cinfo.sch 670 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_20))->BgL_topzf3zf3);
		}

	}



/* &approx-top? */
	obj_t BGl_z62approxzd2topzf3z43zzcfa_infoz00(obj_t BgL_envz00_7223,
		obj_t BgL_oz00_7224)
	{
		{	/* Cfa/cinfo.sch 670 */
			return
				BBOOL(BGl_approxzd2topzf3z21zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7224)));
		}

	}



/* approx-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_21,
		bool_t BgL_vz00_22)
	{
		{	/* Cfa/cinfo.sch 671 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_21))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &approx-top?-set! */
	obj_t BGl_z62approxzd2topzf3zd2setz12z83zzcfa_infoz00(obj_t BgL_envz00_7225,
		obj_t BgL_oz00_7226, obj_t BgL_vz00_7227)
	{
		{	/* Cfa/cinfo.sch 671 */
			return
				BGl_approxzd2topzf3zd2setz12ze1zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7226), CBOOL(BgL_vz00_7227));
		}

	}



/* approx-allocs */
	BGL_EXPORTED_DEF obj_t BGl_approxzd2allocszd2zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_23)
	{
		{	/* Cfa/cinfo.sch 672 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_23))->BgL_allocsz00);
		}

	}



/* &approx-allocs */
	obj_t BGl_z62approxzd2allocszb0zzcfa_infoz00(obj_t BgL_envz00_7228,
		obj_t BgL_oz00_7229)
	{
		{	/* Cfa/cinfo.sch 672 */
			return
				BGl_approxzd2allocszd2zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7229));
		}

	}



/* approx-type-locked? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(BgL_approxz00_bglt
		BgL_oz00_26)
	{
		{	/* Cfa/cinfo.sch 674 */
			return
				(((BgL_approxz00_bglt) COBJECT(BgL_oz00_26))->BgL_typezd2lockedzf3z21);
		}

	}



/* &approx-type-locked? */
	obj_t BGl_z62approxzd2typezd2lockedzf3z91zzcfa_infoz00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231)
	{
		{	/* Cfa/cinfo.sch 674 */
			return
				BBOOL(BGl_approxzd2typezd2lockedzf3zf3zzcfa_infoz00(
					((BgL_approxz00_bglt) BgL_oz00_7231)));
		}

	}



/* approx-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_approxzd2typezd2zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_29)
	{
		{	/* Cfa/cinfo.sch 676 */
			return (((BgL_approxz00_bglt) COBJECT(BgL_oz00_29))->BgL_typez00);
		}

	}



/* &approx-type */
	BgL_typez00_bglt BGl_z62approxzd2typezb0zzcfa_infoz00(obj_t BgL_envz00_7232,
		obj_t BgL_oz00_7233)
	{
		{	/* Cfa/cinfo.sch 676 */
			return
				BGl_approxzd2typezd2zzcfa_infoz00(((BgL_approxz00_bglt) BgL_oz00_7233));
		}

	}



/* approx-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2typezd2setz12z12zzcfa_infoz00(BgL_approxz00_bglt BgL_oz00_30,
		BgL_typez00_bglt BgL_vz00_31)
	{
		{	/* Cfa/cinfo.sch 677 */
			return
				((((BgL_approxz00_bglt) COBJECT(BgL_oz00_30))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_31), BUNSPEC);
		}

	}



/* &approx-type-set! */
	obj_t BGl_z62approxzd2typezd2setz12z70zzcfa_infoz00(obj_t BgL_envz00_7234,
		obj_t BgL_oz00_7235, obj_t BgL_vz00_7236)
	{
		{	/* Cfa/cinfo.sch 677 */
			return
				BGl_approxzd2typezd2setz12z12zzcfa_infoz00(
				((BgL_approxz00_bglt) BgL_oz00_7235),
				((BgL_typez00_bglt) BgL_vz00_7236));
		}

	}



/* make-cfun/Cinfo */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(long
		BgL_arity1820z00_32, obj_t BgL_sidezd2effect1821zd2_33,
		obj_t BgL_predicatezd2of1822zd2_34, obj_t BgL_stackzd2allocator1823zd2_35,
		bool_t BgL_topzf31825zf3_36, obj_t BgL_thezd2closure1826zd2_37,
		obj_t BgL_effect1827z00_38, obj_t BgL_failsafe1828z00_39,
		obj_t BgL_argszd2noescape1829zd2_40, obj_t BgL_argszd2retescape1830zd2_41,
		obj_t BgL_argszd2type1831zd2_42, bool_t BgL_macrozf31832zf3_43,
		bool_t BgL_infixzf31833zf3_44, obj_t BgL_method1834z00_45,
		BgL_approxz00_bglt BgL_approx1835z00_46)
	{
		{	/* Cfa/cinfo.sch 680 */
			{	/* Cfa/cinfo.sch 680 */
				BgL_cfunz00_bglt BgL_new1552z00_9556;

				{	/* Cfa/cinfo.sch 680 */
					BgL_cfunz00_bglt BgL_tmp1550z00_9557;
					BgL_cfunzf2cinfozf2_bglt BgL_wide1551z00_9558;

					{
						BgL_cfunz00_bglt BgL_auxz00_11265;

						{	/* Cfa/cinfo.sch 680 */
							BgL_cfunz00_bglt BgL_new1549z00_9559;

							BgL_new1549z00_9559 =
								((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cfunz00_bgl))));
							{	/* Cfa/cinfo.sch 680 */
								long BgL_arg1999z00_9560;

								BgL_arg1999z00_9560 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1549z00_9559),
									BgL_arg1999z00_9560);
							}
							{	/* Cfa/cinfo.sch 680 */
								BgL_objectz00_bglt BgL_tmpz00_11270;

								BgL_tmpz00_11270 = ((BgL_objectz00_bglt) BgL_new1549z00_9559);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11270, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1549z00_9559);
							BgL_auxz00_11265 = BgL_new1549z00_9559;
						}
						BgL_tmp1550z00_9557 = ((BgL_cfunz00_bglt) BgL_auxz00_11265);
					}
					BgL_wide1551z00_9558 =
						((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cfunzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 680 */
						obj_t BgL_auxz00_11278;
						BgL_objectz00_bglt BgL_tmpz00_11276;

						BgL_auxz00_11278 = ((obj_t) BgL_wide1551z00_9558);
						BgL_tmpz00_11276 = ((BgL_objectz00_bglt) BgL_tmp1550z00_9557);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11276, BgL_auxz00_11278);
					}
					((BgL_objectz00_bglt) BgL_tmp1550z00_9557);
					{	/* Cfa/cinfo.sch 680 */
						long BgL_arg1998z00_9561;

						BgL_arg1998z00_9561 =
							BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1550z00_9557), BgL_arg1998z00_9561);
					}
					BgL_new1552z00_9556 = ((BgL_cfunz00_bglt) BgL_tmp1550z00_9557);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1552z00_9556)))->BgL_arityz00) =
					((long) BgL_arity1820z00_32), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1821zd2_33), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1822zd2_34), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1823zd2_35), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31825zf3_36), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1826zd2_37), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_effectz00) = ((obj_t) BgL_effect1827z00_38), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1828z00_39), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1829zd2_40), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1552z00_9556)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1830zd2_41), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1552z00_9556)))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1831zd2_42), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1552z00_9556)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31832zf3_43), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1552z00_9556)))->BgL_infixzf3zf3) =
					((bool_t) BgL_infixzf31833zf3_44), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
									BgL_new1552z00_9556)))->BgL_methodz00) =
					((obj_t) BgL_method1834z00_45), BUNSPEC);
				{
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_11314;

					{
						obj_t BgL_auxz00_11315;

						{	/* Cfa/cinfo.sch 680 */
							BgL_objectz00_bglt BgL_tmpz00_11316;

							BgL_tmpz00_11316 = ((BgL_objectz00_bglt) BgL_new1552z00_9556);
							BgL_auxz00_11315 = BGL_OBJECT_WIDENING(BgL_tmpz00_11316);
						}
						BgL_auxz00_11314 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_11315);
					}
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11314))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1835z00_46), BUNSPEC);
				}
				return BgL_new1552z00_9556;
			}
		}

	}



/* &make-cfun/Cinfo */
	BgL_cfunz00_bglt BGl_z62makezd2cfunzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7237, obj_t BgL_arity1820z00_7238,
		obj_t BgL_sidezd2effect1821zd2_7239, obj_t BgL_predicatezd2of1822zd2_7240,
		obj_t BgL_stackzd2allocator1823zd2_7241, obj_t BgL_topzf31825zf3_7242,
		obj_t BgL_thezd2closure1826zd2_7243, obj_t BgL_effect1827z00_7244,
		obj_t BgL_failsafe1828z00_7245, obj_t BgL_argszd2noescape1829zd2_7246,
		obj_t BgL_argszd2retescape1830zd2_7247, obj_t BgL_argszd2type1831zd2_7248,
		obj_t BgL_macrozf31832zf3_7249, obj_t BgL_infixzf31833zf3_7250,
		obj_t BgL_method1834z00_7251, obj_t BgL_approx1835z00_7252)
	{
		{	/* Cfa/cinfo.sch 680 */
			return
				BGl_makezd2cfunzf2Cinfoz20zzcfa_infoz00(
				(long) CINT(BgL_arity1820z00_7238), BgL_sidezd2effect1821zd2_7239,
				BgL_predicatezd2of1822zd2_7240, BgL_stackzd2allocator1823zd2_7241,
				CBOOL(BgL_topzf31825zf3_7242), BgL_thezd2closure1826zd2_7243,
				BgL_effect1827z00_7244, BgL_failsafe1828z00_7245,
				BgL_argszd2noescape1829zd2_7246, BgL_argszd2retescape1830zd2_7247,
				BgL_argszd2type1831zd2_7248, CBOOL(BgL_macrozf31832zf3_7249),
				CBOOL(BgL_infixzf31833zf3_7250), BgL_method1834z00_7251,
				((BgL_approxz00_bglt) BgL_approx1835z00_7252));
		}

	}



/* cfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_47)
	{
		{	/* Cfa/cinfo.sch 681 */
			{	/* Cfa/cinfo.sch 681 */
				obj_t BgL_classz00_9562;

				BgL_classz00_9562 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_47))
					{	/* Cfa/cinfo.sch 681 */
						BgL_objectz00_bglt BgL_arg1858z00_9563;

						BgL_arg1858z00_9563 = (BgL_objectz00_bglt) (BgL_objz00_47);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 681 */
								long BgL_idxz00_9564;

								BgL_idxz00_9564 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9563);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9564 + 4L)) == BgL_classz00_9562);
							}
						else
							{	/* Cfa/cinfo.sch 681 */
								bool_t BgL_res3100z00_9567;

								{	/* Cfa/cinfo.sch 681 */
									obj_t BgL_oclassz00_9568;

									{	/* Cfa/cinfo.sch 681 */
										obj_t BgL_arg1866z00_9569;
										long BgL_arg1867z00_9570;

										BgL_arg1866z00_9569 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 681 */
											long BgL_arg1869z00_9571;

											BgL_arg1869z00_9571 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9563);
											BgL_arg1867z00_9570 = (BgL_arg1869z00_9571 - OBJECT_TYPE);
										}
										BgL_oclassz00_9568 =
											VECTOR_REF(BgL_arg1866z00_9569, BgL_arg1867z00_9570);
									}
									{	/* Cfa/cinfo.sch 681 */
										bool_t BgL__ortest_1115z00_9572;

										BgL__ortest_1115z00_9572 =
											(BgL_classz00_9562 == BgL_oclassz00_9568);
										if (BgL__ortest_1115z00_9572)
											{	/* Cfa/cinfo.sch 681 */
												BgL_res3100z00_9567 = BgL__ortest_1115z00_9572;
											}
										else
											{	/* Cfa/cinfo.sch 681 */
												long BgL_odepthz00_9573;

												{	/* Cfa/cinfo.sch 681 */
													obj_t BgL_arg1855z00_9574;

													BgL_arg1855z00_9574 = (BgL_oclassz00_9568);
													BgL_odepthz00_9573 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9574);
												}
												if ((4L < BgL_odepthz00_9573))
													{	/* Cfa/cinfo.sch 681 */
														obj_t BgL_arg1853z00_9575;

														{	/* Cfa/cinfo.sch 681 */
															obj_t BgL_arg1854z00_9576;

															BgL_arg1854z00_9576 = (BgL_oclassz00_9568);
															BgL_arg1853z00_9575 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9576,
																4L);
														}
														BgL_res3100z00_9567 =
															(BgL_arg1853z00_9575 == BgL_classz00_9562);
													}
												else
													{	/* Cfa/cinfo.sch 681 */
														BgL_res3100z00_9567 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3100z00_9567;
							}
					}
				else
					{	/* Cfa/cinfo.sch 681 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cfun/Cinfo? */
	obj_t BGl_z62cfunzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7253,
		obj_t BgL_objz00_7254)
	{
		{	/* Cfa/cinfo.sch 681 */
			return BBOOL(BGl_cfunzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7254));
		}

	}



/* cfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cfunz00_bglt BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 682 */
			{	/* Cfa/cinfo.sch 682 */
				obj_t BgL_classz00_4524;

				BgL_classz00_4524 = BGl_cfunzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 682 */
					obj_t BgL__ortest_1117z00_4525;

					BgL__ortest_1117z00_4525 = BGL_CLASS_NIL(BgL_classz00_4524);
					if (CBOOL(BgL__ortest_1117z00_4525))
						{	/* Cfa/cinfo.sch 682 */
							return ((BgL_cfunz00_bglt) BgL__ortest_1117z00_4525);
						}
					else
						{	/* Cfa/cinfo.sch 682 */
							return
								((BgL_cfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4524));
						}
				}
			}
		}

	}



/* &cfun/Cinfo-nil */
	BgL_cfunz00_bglt BGl_z62cfunzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7255)
	{
		{	/* Cfa/cinfo.sch 682 */
			return BGl_cfunzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* cfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_48)
	{
		{	/* Cfa/cinfo.sch 683 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_11358;

				{
					obj_t BgL_auxz00_11359;

					{	/* Cfa/cinfo.sch 683 */
						BgL_objectz00_bglt BgL_tmpz00_11360;

						BgL_tmpz00_11360 = ((BgL_objectz00_bglt) BgL_oz00_48);
						BgL_auxz00_11359 = BGL_OBJECT_WIDENING(BgL_tmpz00_11360);
					}
					BgL_auxz00_11358 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_11359);
				}
				return
					(((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_11358))->
					BgL_approxz00);
			}
		}

	}



/* &cfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cfunzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7256, obj_t BgL_oz00_7257)
	{
		{	/* Cfa/cinfo.sch 683 */
			return
				BGl_cfunzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7257));
		}

	}



/* cfun/Cinfo-method */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_51)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_51)))->BgL_methodz00);
		}

	}



/* &cfun/Cinfo-method */
	obj_t BGl_z62cfunzf2Cinfozd2methodz42zzcfa_infoz00(obj_t BgL_envz00_7258,
		obj_t BgL_oz00_7259)
	{
		{	/* Cfa/cinfo.sch 685 */
			return
				BGl_cfunzf2Cinfozd2methodz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7259));
		}

	}



/* cfun/Cinfo-method-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_52, obj_t BgL_vz00_53)
	{
		{	/* Cfa/cinfo.sch 686 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_52)))->BgL_methodz00) =
				((obj_t) BgL_vz00_53), BUNSPEC);
		}

	}



/* &cfun/Cinfo-method-set! */
	obj_t BGl_z62cfunzf2Cinfozd2methodzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7260, obj_t BgL_oz00_7261, obj_t BgL_vz00_7262)
	{
		{	/* Cfa/cinfo.sch 686 */
			return
				BGl_cfunzf2Cinfozd2methodzd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7261), BgL_vz00_7262);
		}

	}



/* cfun/Cinfo-infix? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_54)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_54)))->BgL_infixzf3zf3);
		}

	}



/* &cfun/Cinfo-infix? */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zb1zzcfa_infoz00(obj_t BgL_envz00_7263,
		obj_t BgL_oz00_7264)
	{
		{	/* Cfa/cinfo.sch 687 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2infixzf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7264)));
		}

	}



/* cfun/Cinfo-infix?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_55, bool_t BgL_vz00_56)
	{
		{	/* Cfa/cinfo.sch 688 */
			return
				((((BgL_cfunz00_bglt) COBJECT(
							((BgL_cfunz00_bglt) BgL_oz00_55)))->BgL_infixzf3zf3) =
				((bool_t) BgL_vz00_56), BUNSPEC);
		}

	}



/* &cfun/Cinfo-infix?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2infixzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7265, obj_t BgL_oz00_7266, obj_t BgL_vz00_7267)
	{
		{	/* Cfa/cinfo.sch 688 */
			return
				BGl_cfunzf2Cinfozd2infixzf3zd2setz12z13zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7266), CBOOL(BgL_vz00_7267));
		}

	}



/* cfun/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_57)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_57)))->BgL_macrozf3zf3);
		}

	}



/* &cfun/Cinfo-macro? */
	obj_t BGl_z62cfunzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7268,
		obj_t BgL_oz00_7269)
	{
		{	/* Cfa/cinfo.sch 689 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2macrozf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7269)));
		}

	}



/* cfun/Cinfo-args-type */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_60)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				(((BgL_cfunz00_bglt) COBJECT(
						((BgL_cfunz00_bglt) BgL_oz00_60)))->BgL_argszd2typezd2);
		}

	}



/* &cfun/Cinfo-args-type */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2typez90zzcfa_infoz00(obj_t BgL_envz00_7270,
		obj_t BgL_oz00_7271)
	{
		{	/* Cfa/cinfo.sch 691 */
			return
				BGl_cfunzf2Cinfozd2argszd2typezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7271));
		}

	}



/* cfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_63)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_63)))->BgL_argszd2retescapezd2);
		}

	}



/* &cfun/Cinfo-args-retescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapez90zzcfa_infoz00(obj_t
		BgL_envz00_7272, obj_t BgL_oz00_7273)
	{
		{	/* Cfa/cinfo.sch 693 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7273));
		}

	}



/* cfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt BgL_oz00_64, obj_t BgL_vz00_65)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_64)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-retescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2retescapezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7274, obj_t BgL_oz00_7275, obj_t BgL_vz00_7276)
	{
		{	/* Cfa/cinfo.sch 694 */
			return
				BGl_cfunzf2Cinfozd2argszd2retescapezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7275), BgL_vz00_7276);
		}

	}



/* cfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_66)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_66)))->BgL_argszd2noescapezd2);
		}

	}



/* &cfun/Cinfo-args-noescape */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapez90zzcfa_infoz00(obj_t
		BgL_envz00_7277, obj_t BgL_oz00_7278)
	{
		{	/* Cfa/cinfo.sch 695 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7278));
		}

	}



/* cfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_67, obj_t BgL_vz00_68)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_67)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}

	}



/* &cfun/Cinfo-args-noescape-set! */
	obj_t BGl_z62cfunzf2Cinfozd2argszd2noescapezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7279, obj_t BgL_oz00_7280, obj_t BgL_vz00_7281)
	{
		{	/* Cfa/cinfo.sch 696 */
			return
				BGl_cfunzf2Cinfozd2argszd2noescapezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7280), BgL_vz00_7281);
		}

	}



/* cfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_69)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_69)))->BgL_failsafez00);
		}

	}



/* &cfun/Cinfo-failsafe */
	obj_t BGl_z62cfunzf2Cinfozd2failsafez42zzcfa_infoz00(obj_t BgL_envz00_7282,
		obj_t BgL_oz00_7283)
	{
		{	/* Cfa/cinfo.sch 697 */
			return
				BGl_cfunzf2Cinfozd2failsafez20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7283));
		}

	}



/* cfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_70, obj_t BgL_vz00_71)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_70)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_71), BUNSPEC);
		}

	}



/* &cfun/Cinfo-failsafe-set! */
	obj_t BGl_z62cfunzf2Cinfozd2failsafezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7284, obj_t BgL_oz00_7285, obj_t BgL_vz00_7286)
	{
		{	/* Cfa/cinfo.sch 698 */
			return
				BGl_cfunzf2Cinfozd2failsafezd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7285), BgL_vz00_7286);
		}

	}



/* cfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_72)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_72)))->BgL_effectz00);
		}

	}



/* &cfun/Cinfo-effect */
	obj_t BGl_z62cfunzf2Cinfozd2effectz42zzcfa_infoz00(obj_t BgL_envz00_7287,
		obj_t BgL_oz00_7288)
	{
		{	/* Cfa/cinfo.sch 699 */
			return
				BGl_cfunzf2Cinfozd2effectz20zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7288));
		}

	}



/* cfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_73)))->BgL_effectz00) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}

	}



/* &cfun/Cinfo-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7289, obj_t BgL_oz00_7290, obj_t BgL_vz00_7291)
	{
		{	/* Cfa/cinfo.sch 700 */
			return
				BGl_cfunzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7290), BgL_vz00_7291);
		}

	}



/* cfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_75)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_75)))->BgL_thezd2closurezd2);
		}

	}



/* &cfun/Cinfo-the-closure */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurez90zzcfa_infoz00(obj_t
		BgL_envz00_7292, obj_t BgL_oz00_7293)
	{
		{	/* Cfa/cinfo.sch 701 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7293));
		}

	}



/* cfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_76, obj_t BgL_vz00_77)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_76)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}

	}



/* &cfun/Cinfo-the-closure-set! */
	obj_t BGl_z62cfunzf2Cinfozd2thezd2closurezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7294, obj_t BgL_oz00_7295, obj_t BgL_vz00_7296)
	{
		{	/* Cfa/cinfo.sch 702 */
			return
				BGl_cfunzf2Cinfozd2thezd2closurezd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7295), BgL_vz00_7296);
		}

	}



/* cfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_78)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_78)))->BgL_topzf3zf3);
		}

	}



/* &cfun/Cinfo-top? */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zb1zzcfa_infoz00(obj_t BgL_envz00_7297,
		obj_t BgL_oz00_7298)
	{
		{	/* Cfa/cinfo.sch 703 */
			return
				BBOOL(BGl_cfunzf2Cinfozd2topzf3zd3zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7298)));
		}

	}



/* cfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_79, bool_t BgL_vz00_80)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_79)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_80), BUNSPEC);
		}

	}



/* &cfun/Cinfo-top?-set! */
	obj_t BGl_z62cfunzf2Cinfozd2topzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7299, obj_t BgL_oz00_7300, obj_t BgL_vz00_7301)
	{
		{	/* Cfa/cinfo.sch 704 */
			return
				BGl_cfunzf2Cinfozd2topzf3zd2setz12z13zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7300), CBOOL(BgL_vz00_7301));
		}

	}



/* cfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_81)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_81)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &cfun/Cinfo-stack-allocator */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorz90zzcfa_infoz00(obj_t
		BgL_envz00_7302, obj_t BgL_oz00_7303)
	{
		{	/* Cfa/cinfo.sch 705 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7303));
		}

	}



/* cfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00
		(BgL_cfunz00_bglt BgL_oz00_82, obj_t BgL_vz00_83)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_82)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_83), BUNSPEC);
		}

	}



/* &cfun/Cinfo-stack-allocator-set! */
	obj_t BGl_z62cfunzf2Cinfozd2stackzd2allocatorzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7304, obj_t BgL_oz00_7305, obj_t BgL_vz00_7306)
	{
		{	/* Cfa/cinfo.sch 706 */
			return
				BGl_cfunzf2Cinfozd2stackzd2allocatorzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7305), BgL_vz00_7306);
		}

	}



/* cfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_84)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_84)))->BgL_predicatezd2ofzd2);
		}

	}



/* &cfun/Cinfo-predicate-of */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofz90zzcfa_infoz00(obj_t
		BgL_envz00_7307, obj_t BgL_oz00_7308)
	{
		{	/* Cfa/cinfo.sch 707 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7308));
		}

	}



/* cfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_85, obj_t BgL_vz00_86)
	{
		{	/* Cfa/cinfo.sch 708 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_85)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_86), BUNSPEC);
		}

	}



/* &cfun/Cinfo-predicate-of-set! */
	obj_t BGl_z62cfunzf2Cinfozd2predicatezd2ofzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7309, obj_t BgL_oz00_7310, obj_t BgL_vz00_7311)
	{
		{	/* Cfa/cinfo.sch 708 */
			return
				BGl_cfunzf2Cinfozd2predicatezd2ofzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7310), BgL_vz00_7311);
		}

	}



/* cfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_87)
	{
		{	/* Cfa/cinfo.sch 709 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_87)))->BgL_sidezd2effectzd2);
		}

	}



/* &cfun/Cinfo-side-effect */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7312, obj_t BgL_oz00_7313)
	{
		{	/* Cfa/cinfo.sch 709 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7313));
		}

	}



/* cfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(BgL_cfunz00_bglt
		BgL_oz00_88, obj_t BgL_vz00_89)
	{
		{	/* Cfa/cinfo.sch 710 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_88)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_89), BUNSPEC);
		}

	}



/* &cfun/Cinfo-side-effect-set! */
	obj_t BGl_z62cfunzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7314, obj_t BgL_oz00_7315, obj_t BgL_vz00_7316)
	{
		{	/* Cfa/cinfo.sch 710 */
			return
				BGl_cfunzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_cfunz00_bglt) BgL_oz00_7315), BgL_vz00_7316);
		}

	}



/* cfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(BgL_cfunz00_bglt BgL_oz00_90)
	{
		{	/* Cfa/cinfo.sch 711 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_90)))->BgL_arityz00);
		}

	}



/* &cfun/Cinfo-arity */
	obj_t BGl_z62cfunzf2Cinfozd2arityz42zzcfa_infoz00(obj_t BgL_envz00_7317,
		obj_t BgL_oz00_7318)
	{
		{	/* Cfa/cinfo.sch 711 */
			return
				BINT(BGl_cfunzf2Cinfozd2arityz20zzcfa_infoz00(
					((BgL_cfunz00_bglt) BgL_oz00_7318)));
		}

	}



/* make-extern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(long BgL_arity1795z00_93,
		obj_t BgL_sidezd2effect1796zd2_94, obj_t BgL_predicatezd2of1797zd2_95,
		obj_t BgL_stackzd2allocator1798zd2_96, bool_t BgL_topzf31799zf3_97,
		obj_t BgL_thezd2closure1800zd2_98, obj_t BgL_effect1801z00_99,
		obj_t BgL_failsafe1802z00_100, obj_t BgL_argszd2noescape1803zd2_101,
		obj_t BgL_argszd2retescape1804zd2_102, obj_t BgL_property1805z00_103,
		obj_t BgL_args1806z00_104, obj_t BgL_argszd2name1807zd2_105,
		obj_t BgL_body1808z00_106, obj_t BgL_class1809z00_107,
		obj_t BgL_dssslzd2keywords1810zd2_108, obj_t BgL_loc1811z00_109,
		obj_t BgL_optionals1812z00_110, obj_t BgL_keys1813z00_111,
		obj_t BgL_thezd2closurezd2global1814z00_112, obj_t BgL_strength1815z00_113,
		obj_t BgL_stackable1816z00_114, bool_t BgL_polymorphiczf31817zf3_115,
		BgL_approxz00_bglt BgL_approx1818z00_116)
	{
		{	/* Cfa/cinfo.sch 715 */
			{	/* Cfa/cinfo.sch 715 */
				BgL_sfunz00_bglt BgL_new1556z00_9577;

				{	/* Cfa/cinfo.sch 715 */
					BgL_sfunz00_bglt BgL_tmp1554z00_9578;
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1555z00_9579;

					{
						BgL_sfunz00_bglt BgL_auxz00_11473;

						{	/* Cfa/cinfo.sch 715 */
							BgL_sfunz00_bglt BgL_new1553z00_9580;

							BgL_new1553z00_9580 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 715 */
								long BgL_arg2001z00_9581;

								BgL_arg2001z00_9581 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1553z00_9580),
									BgL_arg2001z00_9581);
							}
							{	/* Cfa/cinfo.sch 715 */
								BgL_objectz00_bglt BgL_tmpz00_11478;

								BgL_tmpz00_11478 = ((BgL_objectz00_bglt) BgL_new1553z00_9580);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11478, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1553z00_9580);
							BgL_auxz00_11473 = BgL_new1553z00_9580;
						}
						BgL_tmp1554z00_9578 = ((BgL_sfunz00_bglt) BgL_auxz00_11473);
					}
					BgL_wide1555z00_9579 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 715 */
						obj_t BgL_auxz00_11486;
						BgL_objectz00_bglt BgL_tmpz00_11484;

						BgL_auxz00_11486 = ((obj_t) BgL_wide1555z00_9579);
						BgL_tmpz00_11484 = ((BgL_objectz00_bglt) BgL_tmp1554z00_9578);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11484, BgL_auxz00_11486);
					}
					((BgL_objectz00_bglt) BgL_tmp1554z00_9578);
					{	/* Cfa/cinfo.sch 715 */
						long BgL_arg2000z00_9582;

						BgL_arg2000z00_9582 =
							BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1554z00_9578), BgL_arg2000z00_9582);
					}
					BgL_new1556z00_9577 = ((BgL_sfunz00_bglt) BgL_tmp1554z00_9578);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1556z00_9577)))->BgL_arityz00) =
					((long) BgL_arity1795z00_93), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1796zd2_94), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1797zd2_95), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1798zd2_96), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31799zf3_97), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1800zd2_98), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_effectz00) = ((obj_t) BgL_effect1801z00_99), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1802z00_100), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1803zd2_101), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1556z00_9577)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1804zd2_102), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_propertyz00) =
					((obj_t) BgL_property1805z00_103), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_argsz00) =
					((obj_t) BgL_args1806z00_104), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1807zd2_105), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_bodyz00) =
					((obj_t) BgL_body1808z00_106), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_classz00) =
					((obj_t) BgL_class1809z00_107), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1810zd2_108), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_locz00) =
					((obj_t) BgL_loc1811z00_109), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1812z00_110), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_keysz00) =
					((obj_t) BgL_keys1813z00_111), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1814z00_112), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_strengthz00) =
					((obj_t) BgL_strength1815z00_113), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1556z00_9577)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1816z00_114), BUNSPEC);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11538;

					{
						obj_t BgL_auxz00_11539;

						{	/* Cfa/cinfo.sch 715 */
							BgL_objectz00_bglt BgL_tmpz00_11540;

							BgL_tmpz00_11540 = ((BgL_objectz00_bglt) BgL_new1556z00_9577);
							BgL_auxz00_11539 = BGL_OBJECT_WIDENING(BgL_tmpz00_11540);
						}
						BgL_auxz00_11538 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11539);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11538))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31817zf3_115), BUNSPEC);
				}
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11545;

					{
						obj_t BgL_auxz00_11546;

						{	/* Cfa/cinfo.sch 715 */
							BgL_objectz00_bglt BgL_tmpz00_11547;

							BgL_tmpz00_11547 = ((BgL_objectz00_bglt) BgL_new1556z00_9577);
							BgL_auxz00_11546 = BGL_OBJECT_WIDENING(BgL_tmpz00_11547);
						}
						BgL_auxz00_11545 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11546);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11545))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1818z00_116), BUNSPEC);
				}
				return BgL_new1556z00_9577;
			}
		}

	}



/* &make-extern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2externzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_7319, obj_t BgL_arity1795z00_7320,
		obj_t BgL_sidezd2effect1796zd2_7321, obj_t BgL_predicatezd2of1797zd2_7322,
		obj_t BgL_stackzd2allocator1798zd2_7323, obj_t BgL_topzf31799zf3_7324,
		obj_t BgL_thezd2closure1800zd2_7325, obj_t BgL_effect1801z00_7326,
		obj_t BgL_failsafe1802z00_7327, obj_t BgL_argszd2noescape1803zd2_7328,
		obj_t BgL_argszd2retescape1804zd2_7329, obj_t BgL_property1805z00_7330,
		obj_t BgL_args1806z00_7331, obj_t BgL_argszd2name1807zd2_7332,
		obj_t BgL_body1808z00_7333, obj_t BgL_class1809z00_7334,
		obj_t BgL_dssslzd2keywords1810zd2_7335, obj_t BgL_loc1811z00_7336,
		obj_t BgL_optionals1812z00_7337, obj_t BgL_keys1813z00_7338,
		obj_t BgL_thezd2closurezd2global1814z00_7339,
		obj_t BgL_strength1815z00_7340, obj_t BgL_stackable1816z00_7341,
		obj_t BgL_polymorphiczf31817zf3_7342, obj_t BgL_approx1818z00_7343)
	{
		{	/* Cfa/cinfo.sch 715 */
			return
				BGl_makezd2externzd2sfunzf2Cinfozf2zzcfa_infoz00(
				(long) CINT(BgL_arity1795z00_7320), BgL_sidezd2effect1796zd2_7321,
				BgL_predicatezd2of1797zd2_7322, BgL_stackzd2allocator1798zd2_7323,
				CBOOL(BgL_topzf31799zf3_7324), BgL_thezd2closure1800zd2_7325,
				BgL_effect1801z00_7326, BgL_failsafe1802z00_7327,
				BgL_argszd2noescape1803zd2_7328, BgL_argszd2retescape1804zd2_7329,
				BgL_property1805z00_7330, BgL_args1806z00_7331,
				BgL_argszd2name1807zd2_7332, BgL_body1808z00_7333,
				BgL_class1809z00_7334, BgL_dssslzd2keywords1810zd2_7335,
				BgL_loc1811z00_7336, BgL_optionals1812z00_7337, BgL_keys1813z00_7338,
				BgL_thezd2closurezd2global1814z00_7339, BgL_strength1815z00_7340,
				BgL_stackable1816z00_7341, CBOOL(BgL_polymorphiczf31817zf3_7342),
				((BgL_approxz00_bglt) BgL_approx1818z00_7343));
		}

	}



/* extern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_117)
	{
		{	/* Cfa/cinfo.sch 716 */
			{	/* Cfa/cinfo.sch 716 */
				obj_t BgL_classz00_9583;

				BgL_classz00_9583 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_117))
					{	/* Cfa/cinfo.sch 716 */
						BgL_objectz00_bglt BgL_arg1858z00_9584;

						BgL_arg1858z00_9584 = (BgL_objectz00_bglt) (BgL_objz00_117);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 716 */
								long BgL_idxz00_9585;

								BgL_idxz00_9585 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9584);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9585 + 4L)) == BgL_classz00_9583);
							}
						else
							{	/* Cfa/cinfo.sch 716 */
								bool_t BgL_res3101z00_9588;

								{	/* Cfa/cinfo.sch 716 */
									obj_t BgL_oclassz00_9589;

									{	/* Cfa/cinfo.sch 716 */
										obj_t BgL_arg1866z00_9590;
										long BgL_arg1867z00_9591;

										BgL_arg1866z00_9590 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 716 */
											long BgL_arg1869z00_9592;

											BgL_arg1869z00_9592 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9584);
											BgL_arg1867z00_9591 = (BgL_arg1869z00_9592 - OBJECT_TYPE);
										}
										BgL_oclassz00_9589 =
											VECTOR_REF(BgL_arg1866z00_9590, BgL_arg1867z00_9591);
									}
									{	/* Cfa/cinfo.sch 716 */
										bool_t BgL__ortest_1115z00_9593;

										BgL__ortest_1115z00_9593 =
											(BgL_classz00_9583 == BgL_oclassz00_9589);
										if (BgL__ortest_1115z00_9593)
											{	/* Cfa/cinfo.sch 716 */
												BgL_res3101z00_9588 = BgL__ortest_1115z00_9593;
											}
										else
											{	/* Cfa/cinfo.sch 716 */
												long BgL_odepthz00_9594;

												{	/* Cfa/cinfo.sch 716 */
													obj_t BgL_arg1855z00_9595;

													BgL_arg1855z00_9595 = (BgL_oclassz00_9589);
													BgL_odepthz00_9594 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9595);
												}
												if ((4L < BgL_odepthz00_9594))
													{	/* Cfa/cinfo.sch 716 */
														obj_t BgL_arg1853z00_9596;

														{	/* Cfa/cinfo.sch 716 */
															obj_t BgL_arg1854z00_9597;

															BgL_arg1854z00_9597 = (BgL_oclassz00_9589);
															BgL_arg1853z00_9596 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9597,
																4L);
														}
														BgL_res3101z00_9588 =
															(BgL_arg1853z00_9596 == BgL_classz00_9583);
													}
												else
													{	/* Cfa/cinfo.sch 716 */
														BgL_res3101z00_9588 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3101z00_9588;
							}
					}
				else
					{	/* Cfa/cinfo.sch 716 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern-sfun/Cinfo? */
	obj_t BGl_z62externzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7344,
		obj_t BgL_objz00_7345)
	{
		{	/* Cfa/cinfo.sch 716 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_7345));
		}

	}



/* extern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 717 */
			{	/* Cfa/cinfo.sch 717 */
				obj_t BgL_classz00_4577;

				BgL_classz00_4577 = BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 717 */
					obj_t BgL__ortest_1117z00_4578;

					BgL__ortest_1117z00_4578 = BGL_CLASS_NIL(BgL_classz00_4577);
					if (CBOOL(BgL__ortest_1117z00_4578))
						{	/* Cfa/cinfo.sch 717 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1117z00_4578);
						}
					else
						{	/* Cfa/cinfo.sch 717 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4577));
						}
				}
			}
		}

	}



/* &extern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62externzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_7346)
	{
		{	/* Cfa/cinfo.sch 717 */
			return BGl_externzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* extern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_118)
	{
		{	/* Cfa/cinfo.sch 718 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11588;

				{
					obj_t BgL_auxz00_11589;

					{	/* Cfa/cinfo.sch 718 */
						BgL_objectz00_bglt BgL_tmpz00_11590;

						BgL_tmpz00_11590 = ((BgL_objectz00_bglt) BgL_oz00_118);
						BgL_auxz00_11589 = BGL_OBJECT_WIDENING(BgL_tmpz00_11590);
					}
					BgL_auxz00_11588 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11589);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11588))->
					BgL_approxz00);
			}
		}

	}



/* &extern-sfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62externzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7347, obj_t BgL_oz00_7348)
	{
		{	/* Cfa/cinfo.sch 718 */
			return
				BGl_externzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7348));
		}

	}



/* extern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_121)
	{
		{	/* Cfa/cinfo.sch 720 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11597;

				{
					obj_t BgL_auxz00_11598;

					{	/* Cfa/cinfo.sch 720 */
						BgL_objectz00_bglt BgL_tmpz00_11599;

						BgL_tmpz00_11599 = ((BgL_objectz00_bglt) BgL_oz00_121);
						BgL_auxz00_11598 = BGL_OBJECT_WIDENING(BgL_tmpz00_11599);
					}
					BgL_auxz00_11597 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11598);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11597))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7349, obj_t BgL_oz00_7350)
	{
		{	/* Cfa/cinfo.sch 720 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7350)));
		}

	}



/* extern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_122, bool_t BgL_vz00_123)
	{
		{	/* Cfa/cinfo.sch 721 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_11607;

				{
					obj_t BgL_auxz00_11608;

					{	/* Cfa/cinfo.sch 721 */
						BgL_objectz00_bglt BgL_tmpz00_11609;

						BgL_tmpz00_11609 = ((BgL_objectz00_bglt) BgL_oz00_122);
						BgL_auxz00_11608 = BGL_OBJECT_WIDENING(BgL_tmpz00_11609);
					}
					BgL_auxz00_11607 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11608);
				}
				return
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11607))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_123), BUNSPEC);
			}
		}

	}



/* &extern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7351, obj_t BgL_oz00_7352, obj_t BgL_vz00_7353)
	{
		{	/* Cfa/cinfo.sch 721 */
			return
				BGl_externzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7352), CBOOL(BgL_vz00_7353));
		}

	}



/* extern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_124)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_124)))->BgL_stackablez00);
		}

	}



/* &extern-sfun/Cinfo-stackable */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_7354, obj_t BgL_oz00_7355)
	{
		{	/* Cfa/cinfo.sch 722 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7355));
		}

	}



/* extern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_125)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stackable-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7356, obj_t BgL_oz00_7357, obj_t BgL_vz00_7358)
	{
		{	/* Cfa/cinfo.sch 723 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7357), BgL_vz00_7358);
		}

	}



/* extern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_127)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_127)))->BgL_strengthz00);
		}

	}



/* &extern-sfun/Cinfo-strength */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t
		BgL_envz00_7359, obj_t BgL_oz00_7360)
	{
		{	/* Cfa/cinfo.sch 724 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7360));
		}

	}



/* extern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* Cfa/cinfo.sch 725 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_128)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7361, obj_t BgL_oz00_7362, obj_t BgL_vz00_7363)
	{
		{	/* Cfa/cinfo.sch 725 */
			return
				BGl_externzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7362), BgL_vz00_7363);
		}

	}



/* extern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_130)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_130)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t
		BgL_envz00_7364, obj_t BgL_oz00_7365)
	{
		{	/* Cfa/cinfo.sch 726 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7365));
		}

	}



/* extern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* Cfa/cinfo.sch 727 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_131)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t BgL_envz00_7366, obj_t BgL_oz00_7367, obj_t BgL_vz00_7368)
	{
		{	/* Cfa/cinfo.sch 727 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_7367), BgL_vz00_7368);
		}

	}



/* extern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_133)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_133)))->BgL_keysz00);
		}

	}



/* &extern-sfun/Cinfo-keys */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t
		BgL_envz00_7369, obj_t BgL_oz00_7370)
	{
		{	/* Cfa/cinfo.sch 728 */
			return
				BGl_externzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7370));
		}

	}



/* extern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_136)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_136)))->BgL_optionalsz00);
		}

	}



/* &extern-sfun/Cinfo-optionals */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t
		BgL_envz00_7371, obj_t BgL_oz00_7372)
	{
		{	/* Cfa/cinfo.sch 730 */
			return
				BGl_externzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7372));
		}

	}



/* extern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_139)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_139)))->BgL_locz00);
		}

	}



/* &extern-sfun/Cinfo-loc */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t
		BgL_envz00_7373, obj_t BgL_oz00_7374)
	{
		{	/* Cfa/cinfo.sch 732 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7374));
		}

	}



/* extern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_140)))->BgL_locz00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7375, obj_t BgL_oz00_7376, obj_t BgL_vz00_7377)
	{
		{	/* Cfa/cinfo.sch 733 */
			return
				BGl_externzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7376), BgL_vz00_7377);
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_142)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_142)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t
		BgL_envz00_7378, obj_t BgL_oz00_7379)
	{
		{	/* Cfa/cinfo.sch 734 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7379));
		}

	}



/* extern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_143, obj_t BgL_vz00_144)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_143)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_144), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7380, obj_t BgL_oz00_7381, obj_t BgL_vz00_7382)
	{
		{	/* Cfa/cinfo.sch 735 */
			return
				BGl_externzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7381), BgL_vz00_7382);
		}

	}



/* extern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_145)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_145)))->BgL_classz00);
		}

	}



/* &extern-sfun/Cinfo-class */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t
		BgL_envz00_7383, obj_t BgL_oz00_7384)
	{
		{	/* Cfa/cinfo.sch 736 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7384));
		}

	}



/* extern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* Cfa/cinfo.sch 737 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_146)))->BgL_classz00) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-class-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7385, obj_t BgL_oz00_7386, obj_t BgL_vz00_7387)
	{
		{	/* Cfa/cinfo.sch 737 */
			return
				BGl_externzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7386), BgL_vz00_7387);
		}

	}



/* extern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_148)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_148)))->BgL_bodyz00);
		}

	}



/* &extern-sfun/Cinfo-body */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t
		BgL_envz00_7388, obj_t BgL_oz00_7389)
	{
		{	/* Cfa/cinfo.sch 738 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7389));
		}

	}



/* extern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_149, obj_t BgL_vz00_150)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_149)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_150), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-body-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7390, obj_t BgL_oz00_7391, obj_t BgL_vz00_7392)
	{
		{	/* Cfa/cinfo.sch 739 */
			return
				BGl_externzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7391), BgL_vz00_7392);
		}

	}



/* extern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_151)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_151)))->BgL_argszd2namezd2);
		}

	}



/* &extern-sfun/Cinfo-args-name */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t
		BgL_envz00_7393, obj_t BgL_oz00_7394)
	{
		{	/* Cfa/cinfo.sch 740 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7394));
		}

	}



/* extern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_154)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_154)))->BgL_argsz00);
		}

	}



/* &extern-sfun/Cinfo-args */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t
		BgL_envz00_7395, obj_t BgL_oz00_7396)
	{
		{	/* Cfa/cinfo.sch 742 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7396));
		}

	}



/* extern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_155)))->BgL_argsz00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7397, obj_t BgL_oz00_7398, obj_t BgL_vz00_7399)
	{
		{	/* Cfa/cinfo.sch 743 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7398), BgL_vz00_7399);
		}

	}



/* extern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_157)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_157)))->BgL_propertyz00);
		}

	}



/* &extern-sfun/Cinfo-property */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t
		BgL_envz00_7400, obj_t BgL_oz00_7401)
	{
		{	/* Cfa/cinfo.sch 744 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7401));
		}

	}



/* extern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_158, obj_t BgL_vz00_159)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_158)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_159), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-property-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7402, obj_t BgL_oz00_7403, obj_t BgL_vz00_7404)
	{
		{	/* Cfa/cinfo.sch 745 */
			return
				BGl_externzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7403), BgL_vz00_7404);
		}

	}



/* extern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_160)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_160)))->BgL_argszd2retescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7405, obj_t BgL_oz00_7406)
	{
		{	/* Cfa/cinfo.sch 746 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7406));
		}

	}



/* extern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_161, obj_t BgL_vz00_162)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_161)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_162), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7407, obj_t BgL_oz00_7408, obj_t BgL_vz00_7409)
	{
		{	/* Cfa/cinfo.sch 747 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7408), BgL_vz00_7409);
		}

	}



/* extern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_163)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_163)))->BgL_argszd2noescapezd2);
		}

	}



/* &extern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7410, obj_t BgL_oz00_7411)
	{
		{	/* Cfa/cinfo.sch 748 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7411));
		}

	}



/* extern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_164)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7412, obj_t BgL_oz00_7413, obj_t BgL_vz00_7414)
	{
		{	/* Cfa/cinfo.sch 749 */
			return
				BGl_externzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7413), BgL_vz00_7414);
		}

	}



/* extern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_166)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_166)))->BgL_failsafez00);
		}

	}



/* &extern-sfun/Cinfo-failsafe */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t
		BgL_envz00_7415, obj_t BgL_oz00_7416)
	{
		{	/* Cfa/cinfo.sch 750 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7416));
		}

	}



/* extern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_167)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7417, obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		{	/* Cfa/cinfo.sch 751 */
			return
				BGl_externzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7418), BgL_vz00_7419);
		}

	}



/* extern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_169)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_169)))->BgL_effectz00);
		}

	}



/* &extern-sfun/Cinfo-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7420, obj_t BgL_oz00_7421)
	{
		{	/* Cfa/cinfo.sch 752 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7421));
		}

	}



/* extern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_170, obj_t BgL_vz00_171)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_170)))->BgL_effectz00) =
				((obj_t) BgL_vz00_171), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7422, obj_t BgL_oz00_7423, obj_t BgL_vz00_7424)
	{
		{	/* Cfa/cinfo.sch 753 */
			return
				BGl_externzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7423), BgL_vz00_7424);
		}

	}



/* extern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_172)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_172)))->BgL_thezd2closurezd2);
		}

	}



/* &extern-sfun/Cinfo-the-closure */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t
		BgL_envz00_7425, obj_t BgL_oz00_7426)
	{
		{	/* Cfa/cinfo.sch 754 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7426));
		}

	}



/* extern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_173)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7427, obj_t BgL_oz00_7428, obj_t BgL_vz00_7429)
	{
		{	/* Cfa/cinfo.sch 755 */
			return
				BGl_externzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7428), BgL_vz00_7429);
		}

	}



/* extern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_175)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_175)))->BgL_topzf3zf3);
		}

	}



/* &extern-sfun/Cinfo-top? */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7430, obj_t BgL_oz00_7431)
	{
		{	/* Cfa/cinfo.sch 756 */
			return
				BBOOL(BGl_externzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7431)));
		}

	}



/* extern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_176, bool_t BgL_vz00_177)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_176)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7432, obj_t BgL_oz00_7433, obj_t BgL_vz00_7434)
	{
		{	/* Cfa/cinfo.sch 757 */
			return
				BGl_externzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7433), CBOOL(BgL_vz00_7434));
		}

	}



/* extern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_178)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_178)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t
		BgL_envz00_7435, obj_t BgL_oz00_7436)
	{
		{	/* Cfa/cinfo.sch 758 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7436));
		}

	}



/* extern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_179, obj_t BgL_vz00_180)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_179)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_180), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7437, obj_t BgL_oz00_7438, obj_t BgL_vz00_7439)
	{
		{	/* Cfa/cinfo.sch 759 */
			return
				BGl_externzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7438), BgL_vz00_7439);
		}

	}



/* extern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_181)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_181)))->BgL_predicatezd2ofzd2);
		}

	}



/* &extern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t
		BgL_envz00_7440, obj_t BgL_oz00_7441)
	{
		{	/* Cfa/cinfo.sch 760 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7441));
		}

	}



/* extern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_182, obj_t BgL_vz00_183)
	{
		{	/* Cfa/cinfo.sch 761 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_182)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_183), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7442, obj_t BgL_oz00_7443, obj_t BgL_vz00_7444)
	{
		{	/* Cfa/cinfo.sch 761 */
			return
				BGl_externzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7443), BgL_vz00_7444);
		}

	}



/* extern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_184)
	{
		{	/* Cfa/cinfo.sch 762 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_184)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-sfun/Cinfo-side-effect */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7445, obj_t BgL_oz00_7446)
	{
		{	/* Cfa/cinfo.sch 762 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7446));
		}

	}



/* extern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_185, obj_t BgL_vz00_186)
	{
		{	/* Cfa/cinfo.sch 763 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_185)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_186), BUNSPEC);
		}

	}



/* &extern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7447, obj_t BgL_oz00_7448, obj_t BgL_vz00_7449)
	{
		{	/* Cfa/cinfo.sch 763 */
			return
				BGl_externzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7448), BgL_vz00_7449);
		}

	}



/* extern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_187)
	{
		{	/* Cfa/cinfo.sch 764 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_187)))->BgL_arityz00);
		}

	}



/* &extern-sfun/Cinfo-arity */
	obj_t BGl_z62externzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t
		BgL_envz00_7450, obj_t BgL_oz00_7451)
	{
		{	/* Cfa/cinfo.sch 764 */
			return
				BINT(BGl_externzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7451)));
		}

	}



/* make-intern-sfun/Cinfo */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(long BgL_arity1769z00_190,
		obj_t BgL_sidezd2effect1770zd2_191, obj_t BgL_predicatezd2of1771zd2_192,
		obj_t BgL_stackzd2allocator1772zd2_193, bool_t BgL_topzf31773zf3_194,
		obj_t BgL_thezd2closure1774zd2_195, obj_t BgL_effect1775z00_196,
		obj_t BgL_failsafe1776z00_197, obj_t BgL_argszd2noescape1777zd2_198,
		obj_t BgL_argszd2retescape1778zd2_199, obj_t BgL_property1779z00_200,
		obj_t BgL_args1780z00_201, obj_t BgL_argszd2name1781zd2_202,
		obj_t BgL_body1782z00_203, obj_t BgL_class1783z00_204,
		obj_t BgL_dssslzd2keywords1784zd2_205, obj_t BgL_loc1785z00_206,
		obj_t BgL_optionals1786z00_207, obj_t BgL_keys1787z00_208,
		obj_t BgL_thezd2closurezd2global1788z00_209, obj_t BgL_strength1789z00_210,
		obj_t BgL_stackable1790z00_211, bool_t BgL_polymorphiczf31791zf3_212,
		BgL_approxz00_bglt BgL_approx1792z00_213, long BgL_stamp1793z00_214)
	{
		{	/* Cfa/cinfo.sch 768 */
			{	/* Cfa/cinfo.sch 768 */
				BgL_sfunz00_bglt BgL_new1560z00_9598;

				{	/* Cfa/cinfo.sch 768 */
					BgL_sfunz00_bglt BgL_tmp1558z00_9599;
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1559z00_9600;

					{
						BgL_sfunz00_bglt BgL_auxz00_11780;

						{	/* Cfa/cinfo.sch 768 */
							BgL_sfunz00_bglt BgL_new1557z00_9601;

							BgL_new1557z00_9601 =
								((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Cfa/cinfo.sch 768 */
								long BgL_arg2003z00_9602;

								BgL_arg2003z00_9602 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1557z00_9601),
									BgL_arg2003z00_9602);
							}
							{	/* Cfa/cinfo.sch 768 */
								BgL_objectz00_bglt BgL_tmpz00_11785;

								BgL_tmpz00_11785 = ((BgL_objectz00_bglt) BgL_new1557z00_9601);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11785, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1557z00_9601);
							BgL_auxz00_11780 = BgL_new1557z00_9601;
						}
						BgL_tmp1558z00_9599 = ((BgL_sfunz00_bglt) BgL_auxz00_11780);
					}
					BgL_wide1559z00_9600 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_internzd2sfunzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 768 */
						obj_t BgL_auxz00_11793;
						BgL_objectz00_bglt BgL_tmpz00_11791;

						BgL_auxz00_11793 = ((obj_t) BgL_wide1559z00_9600);
						BgL_tmpz00_11791 = ((BgL_objectz00_bglt) BgL_tmp1558z00_9599);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11791, BgL_auxz00_11793);
					}
					((BgL_objectz00_bglt) BgL_tmp1558z00_9599);
					{	/* Cfa/cinfo.sch 768 */
						long BgL_arg2002z00_9603;

						BgL_arg2002z00_9603 =
							BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1558z00_9599), BgL_arg2002z00_9603);
					}
					BgL_new1560z00_9598 = ((BgL_sfunz00_bglt) BgL_tmp1558z00_9599);
				}
				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_new1560z00_9598)))->BgL_arityz00) =
					((long) BgL_arity1769z00_190), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1770zd2_191), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1771zd2_192), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1772zd2_193), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31773zf3_194), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1774zd2_195), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_effectz00) = ((obj_t) BgL_effect1775z00_196), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_failsafez00) = ((obj_t) BgL_failsafe1776z00_197), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_argszd2noescapezd2) =
					((obj_t) BgL_argszd2noescape1777zd2_198), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) BgL_new1560z00_9598)))->
						BgL_argszd2retescapezd2) =
					((obj_t) BgL_argszd2retescape1778zd2_199), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_propertyz00) =
					((obj_t) BgL_property1779z00_200), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_argsz00) =
					((obj_t) BgL_args1780z00_201), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_argszd2namezd2) =
					((obj_t) BgL_argszd2name1781zd2_202), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_bodyz00) =
					((obj_t) BgL_body1782z00_203), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_classz00) =
					((obj_t) BgL_class1783z00_204), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1784zd2_205), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_locz00) =
					((obj_t) BgL_loc1785z00_206), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_optionalsz00) =
					((obj_t) BgL_optionals1786z00_207), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_keysz00) =
					((obj_t) BgL_keys1787z00_208), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1788z00_209), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_strengthz00) =
					((obj_t) BgL_strength1789z00_210), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
									BgL_new1560z00_9598)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1790z00_211), BUNSPEC);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11845;

					{
						obj_t BgL_auxz00_11846;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_11847;

							BgL_tmpz00_11847 = ((BgL_objectz00_bglt) BgL_new1560z00_9598);
							BgL_auxz00_11846 = BGL_OBJECT_WIDENING(BgL_tmpz00_11847);
						}
						BgL_auxz00_11845 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11846);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11845))->
							BgL_polymorphiczf3zf3) =
						((bool_t) BgL_polymorphiczf31791zf3_212), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11852;

					{
						obj_t BgL_auxz00_11853;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_11854;

							BgL_tmpz00_11854 = ((BgL_objectz00_bglt) BgL_new1560z00_9598);
							BgL_auxz00_11853 = BGL_OBJECT_WIDENING(BgL_tmpz00_11854);
						}
						BgL_auxz00_11852 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11853);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11852))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1792z00_213), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11859;

					{
						obj_t BgL_auxz00_11860;

						{	/* Cfa/cinfo.sch 768 */
							BgL_objectz00_bglt BgL_tmpz00_11861;

							BgL_tmpz00_11861 = ((BgL_objectz00_bglt) BgL_new1560z00_9598);
							BgL_auxz00_11860 = BGL_OBJECT_WIDENING(BgL_tmpz00_11861);
						}
						BgL_auxz00_11859 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11860);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11859))->
							BgL_stampz00) = ((long) BgL_stamp1793z00_214), BUNSPEC);
				}
				return BgL_new1560z00_9598;
			}
		}

	}



/* &make-intern-sfun/Cinfo */
	BgL_sfunz00_bglt BGl_z62makezd2internzd2sfunzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_7452, obj_t BgL_arity1769z00_7453,
		obj_t BgL_sidezd2effect1770zd2_7454, obj_t BgL_predicatezd2of1771zd2_7455,
		obj_t BgL_stackzd2allocator1772zd2_7456, obj_t BgL_topzf31773zf3_7457,
		obj_t BgL_thezd2closure1774zd2_7458, obj_t BgL_effect1775z00_7459,
		obj_t BgL_failsafe1776z00_7460, obj_t BgL_argszd2noescape1777zd2_7461,
		obj_t BgL_argszd2retescape1778zd2_7462, obj_t BgL_property1779z00_7463,
		obj_t BgL_args1780z00_7464, obj_t BgL_argszd2name1781zd2_7465,
		obj_t BgL_body1782z00_7466, obj_t BgL_class1783z00_7467,
		obj_t BgL_dssslzd2keywords1784zd2_7468, obj_t BgL_loc1785z00_7469,
		obj_t BgL_optionals1786z00_7470, obj_t BgL_keys1787z00_7471,
		obj_t BgL_thezd2closurezd2global1788z00_7472,
		obj_t BgL_strength1789z00_7473, obj_t BgL_stackable1790z00_7474,
		obj_t BgL_polymorphiczf31791zf3_7475, obj_t BgL_approx1792z00_7476,
		obj_t BgL_stamp1793z00_7477)
	{
		{	/* Cfa/cinfo.sch 768 */
			return
				BGl_makezd2internzd2sfunzf2Cinfozf2zzcfa_infoz00(
				(long) CINT(BgL_arity1769z00_7453), BgL_sidezd2effect1770zd2_7454,
				BgL_predicatezd2of1771zd2_7455, BgL_stackzd2allocator1772zd2_7456,
				CBOOL(BgL_topzf31773zf3_7457), BgL_thezd2closure1774zd2_7458,
				BgL_effect1775z00_7459, BgL_failsafe1776z00_7460,
				BgL_argszd2noescape1777zd2_7461, BgL_argszd2retescape1778zd2_7462,
				BgL_property1779z00_7463, BgL_args1780z00_7464,
				BgL_argszd2name1781zd2_7465, BgL_body1782z00_7466,
				BgL_class1783z00_7467, BgL_dssslzd2keywords1784zd2_7468,
				BgL_loc1785z00_7469, BgL_optionals1786z00_7470, BgL_keys1787z00_7471,
				BgL_thezd2closurezd2global1788z00_7472, BgL_strength1789z00_7473,
				BgL_stackable1790z00_7474, CBOOL(BgL_polymorphiczf31791zf3_7475),
				((BgL_approxz00_bglt) BgL_approx1792z00_7476),
				(long) CINT(BgL_stamp1793z00_7477));
		}

	}



/* intern-sfun/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_215)
	{
		{	/* Cfa/cinfo.sch 769 */
			{	/* Cfa/cinfo.sch 769 */
				obj_t BgL_classz00_9604;

				BgL_classz00_9604 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_215))
					{	/* Cfa/cinfo.sch 769 */
						BgL_objectz00_bglt BgL_arg1858z00_9605;

						BgL_arg1858z00_9605 = (BgL_objectz00_bglt) (BgL_objz00_215);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 769 */
								long BgL_idxz00_9606;

								BgL_idxz00_9606 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9605);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9606 + 4L)) == BgL_classz00_9604);
							}
						else
							{	/* Cfa/cinfo.sch 769 */
								bool_t BgL_res3102z00_9609;

								{	/* Cfa/cinfo.sch 769 */
									obj_t BgL_oclassz00_9610;

									{	/* Cfa/cinfo.sch 769 */
										obj_t BgL_arg1866z00_9611;
										long BgL_arg1867z00_9612;

										BgL_arg1866z00_9611 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 769 */
											long BgL_arg1869z00_9613;

											BgL_arg1869z00_9613 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9605);
											BgL_arg1867z00_9612 = (BgL_arg1869z00_9613 - OBJECT_TYPE);
										}
										BgL_oclassz00_9610 =
											VECTOR_REF(BgL_arg1866z00_9611, BgL_arg1867z00_9612);
									}
									{	/* Cfa/cinfo.sch 769 */
										bool_t BgL__ortest_1115z00_9614;

										BgL__ortest_1115z00_9614 =
											(BgL_classz00_9604 == BgL_oclassz00_9610);
										if (BgL__ortest_1115z00_9614)
											{	/* Cfa/cinfo.sch 769 */
												BgL_res3102z00_9609 = BgL__ortest_1115z00_9614;
											}
										else
											{	/* Cfa/cinfo.sch 769 */
												long BgL_odepthz00_9615;

												{	/* Cfa/cinfo.sch 769 */
													obj_t BgL_arg1855z00_9616;

													BgL_arg1855z00_9616 = (BgL_oclassz00_9610);
													BgL_odepthz00_9615 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9616);
												}
												if ((4L < BgL_odepthz00_9615))
													{	/* Cfa/cinfo.sch 769 */
														obj_t BgL_arg1853z00_9617;

														{	/* Cfa/cinfo.sch 769 */
															obj_t BgL_arg1854z00_9618;

															BgL_arg1854z00_9618 = (BgL_oclassz00_9610);
															BgL_arg1853z00_9617 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9618,
																4L);
														}
														BgL_res3102z00_9609 =
															(BgL_arg1853z00_9617 == BgL_classz00_9604);
													}
												else
													{	/* Cfa/cinfo.sch 769 */
														BgL_res3102z00_9609 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3102z00_9609;
							}
					}
				else
					{	/* Cfa/cinfo.sch 769 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &intern-sfun/Cinfo? */
	obj_t BGl_z62internzd2sfunzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7478,
		obj_t BgL_objz00_7479)
	{
		{	/* Cfa/cinfo.sch 769 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_7479));
		}

	}



/* intern-sfun/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 770 */
			{	/* Cfa/cinfo.sch 770 */
				obj_t BgL_classz00_4633;

				BgL_classz00_4633 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 770 */
					obj_t BgL__ortest_1117z00_4634;

					BgL__ortest_1117z00_4634 = BGL_CLASS_NIL(BgL_classz00_4633);
					if (CBOOL(BgL__ortest_1117z00_4634))
						{	/* Cfa/cinfo.sch 770 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1117z00_4634);
						}
					else
						{	/* Cfa/cinfo.sch 770 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4633));
						}
				}
			}
		}

	}



/* &intern-sfun/Cinfo-nil */
	BgL_sfunz00_bglt BGl_z62internzd2sfunzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_7480)
	{
		{	/* Cfa/cinfo.sch 770 */
			return BGl_internzd2sfunzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* intern-sfun/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_216)
	{
		{	/* Cfa/cinfo.sch 771 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11903;

				{
					obj_t BgL_auxz00_11904;

					{	/* Cfa/cinfo.sch 771 */
						BgL_objectz00_bglt BgL_tmpz00_11905;

						BgL_tmpz00_11905 = ((BgL_objectz00_bglt) BgL_oz00_216);
						BgL_auxz00_11904 = BGL_OBJECT_WIDENING(BgL_tmpz00_11905);
					}
					BgL_auxz00_11903 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11904);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11903))->
					BgL_stampz00);
			}
		}

	}



/* &intern-sfun/Cinfo-stamp */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampz90zzcfa_infoz00(obj_t
		BgL_envz00_7481, obj_t BgL_oz00_7482)
	{
		{	/* Cfa/cinfo.sch 771 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2stampzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7482)));
		}

	}



/* intern-sfun/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_217, long BgL_vz00_218)
	{
		{	/* Cfa/cinfo.sch 772 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11913;

				{
					obj_t BgL_auxz00_11914;

					{	/* Cfa/cinfo.sch 772 */
						BgL_objectz00_bglt BgL_tmpz00_11915;

						BgL_tmpz00_11915 = ((BgL_objectz00_bglt) BgL_oz00_217);
						BgL_auxz00_11914 = BGL_OBJECT_WIDENING(BgL_tmpz00_11915);
					}
					BgL_auxz00_11913 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11914);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11913))->
						BgL_stampz00) = ((long) BgL_vz00_218), BUNSPEC);
		}}

	}



/* &intern-sfun/Cinfo-stamp-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stampzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7483, obj_t BgL_oz00_7484, obj_t BgL_vz00_7485)
	{
		{	/* Cfa/cinfo.sch 772 */
			return
				BGl_internzd2sfunzf2Cinfozd2stampzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7484), (long) CINT(BgL_vz00_7485));
		}

	}



/* intern-sfun/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_219)
	{
		{	/* Cfa/cinfo.sch 773 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11923;

				{
					obj_t BgL_auxz00_11924;

					{	/* Cfa/cinfo.sch 773 */
						BgL_objectz00_bglt BgL_tmpz00_11925;

						BgL_tmpz00_11925 = ((BgL_objectz00_bglt) BgL_oz00_219);
						BgL_auxz00_11924 = BGL_OBJECT_WIDENING(BgL_tmpz00_11925);
					}
					BgL_auxz00_11923 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11924);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11923))->
					BgL_approxz00);
			}
		}

	}



/* &intern-sfun/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62internzd2sfunzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_7486, obj_t BgL_oz00_7487)
	{
		{	/* Cfa/cinfo.sch 773 */
			return
				BGl_internzd2sfunzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7487));
		}

	}



/* intern-sfun/Cinfo-polymorphic? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_222)
	{
		{	/* Cfa/cinfo.sch 775 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11932;

				{
					obj_t BgL_auxz00_11933;

					{	/* Cfa/cinfo.sch 775 */
						BgL_objectz00_bglt BgL_tmpz00_11934;

						BgL_tmpz00_11934 = ((BgL_objectz00_bglt) BgL_oz00_222);
						BgL_auxz00_11933 = BGL_OBJECT_WIDENING(BgL_tmpz00_11934);
					}
					BgL_auxz00_11932 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11933);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11932))->
					BgL_polymorphiczf3zf3);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7488, obj_t BgL_oz00_7489)
	{
		{	/* Cfa/cinfo.sch 775 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2polymorphiczf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7489)));
		}

	}



/* intern-sfun/Cinfo-polymorphic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_223, bool_t BgL_vz00_224)
	{
		{	/* Cfa/cinfo.sch 776 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_11942;

				{
					obj_t BgL_auxz00_11943;

					{	/* Cfa/cinfo.sch 776 */
						BgL_objectz00_bglt BgL_tmpz00_11944;

						BgL_tmpz00_11944 = ((BgL_objectz00_bglt) BgL_oz00_223);
						BgL_auxz00_11943 = BGL_OBJECT_WIDENING(BgL_tmpz00_11944);
					}
					BgL_auxz00_11942 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_11943);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_11942))->
						BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_224), BUNSPEC);
			}
		}

	}



/* &intern-sfun/Cinfo-polymorphic?-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7490, obj_t BgL_oz00_7491, obj_t BgL_vz00_7492)
	{
		{	/* Cfa/cinfo.sch 776 */
			return
				BGl_internzd2sfunzf2Cinfozd2polymorphiczf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7491), CBOOL(BgL_vz00_7492));
		}

	}



/* intern-sfun/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_225)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_225)))->BgL_stackablez00);
		}

	}



/* &intern-sfun/Cinfo-stackable */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_7493, obj_t BgL_oz00_7494)
	{
		{	/* Cfa/cinfo.sch 777 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7494));
		}

	}



/* intern-sfun/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_226, obj_t BgL_vz00_227)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_226)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_227), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stackable-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7495, obj_t BgL_oz00_7496, obj_t BgL_vz00_7497)
	{
		{	/* Cfa/cinfo.sch 778 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7496), BgL_vz00_7497);
		}

	}



/* intern-sfun/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_228)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_228)))->BgL_strengthz00);
		}

	}



/* &intern-sfun/Cinfo-strength */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthz90zzcfa_infoz00(obj_t
		BgL_envz00_7498, obj_t BgL_oz00_7499)
	{
		{	/* Cfa/cinfo.sch 779 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7499));
		}

	}



/* intern-sfun/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_229, obj_t BgL_vz00_230)
	{
		{	/* Cfa/cinfo.sch 780 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_229)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_230), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-strength-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2strengthzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7500, obj_t BgL_oz00_7501, obj_t BgL_vz00_7502)
	{
		{	/* Cfa/cinfo.sch 780 */
			return
				BGl_internzd2sfunzf2Cinfozd2strengthzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7501), BgL_vz00_7502);
		}

	}



/* intern-sfun/Cinfo-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_231)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_231)))->BgL_thezd2closurezd2globalz00);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalz90zzcfa_infoz00(obj_t
		BgL_envz00_7503, obj_t BgL_oz00_7504)
	{
		{	/* Cfa/cinfo.sch 781 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7504));
		}

	}



/* intern-sfun/Cinfo-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_232, obj_t BgL_vz00_233)
	{
		{	/* Cfa/cinfo.sch 782 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_232)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_233), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-global-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z50zzcfa_infoz00
		(obj_t BgL_envz00_7505, obj_t BgL_oz00_7506, obj_t BgL_vz00_7507)
	{
		{	/* Cfa/cinfo.sch 782 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2globalzd2setz12z32zzcfa_infoz00
				(((BgL_sfunz00_bglt) BgL_oz00_7506), BgL_vz00_7507);
		}

	}



/* intern-sfun/Cinfo-keys */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_234)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_234)))->BgL_keysz00);
		}

	}



/* &intern-sfun/Cinfo-keys */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2keysz90zzcfa_infoz00(obj_t
		BgL_envz00_7508, obj_t BgL_oz00_7509)
	{
		{	/* Cfa/cinfo.sch 783 */
			return
				BGl_internzd2sfunzf2Cinfozd2keyszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7509));
		}

	}



/* intern-sfun/Cinfo-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_237)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_237)))->BgL_optionalsz00);
		}

	}



/* &intern-sfun/Cinfo-optionals */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2optionalsz90zzcfa_infoz00(obj_t
		BgL_envz00_7510, obj_t BgL_oz00_7511)
	{
		{	/* Cfa/cinfo.sch 785 */
			return
				BGl_internzd2sfunzf2Cinfozd2optionalszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7511));
		}

	}



/* intern-sfun/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_240)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_240)))->BgL_locz00);
		}

	}



/* &intern-sfun/Cinfo-loc */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2locz90zzcfa_infoz00(obj_t
		BgL_envz00_7512, obj_t BgL_oz00_7513)
	{
		{	/* Cfa/cinfo.sch 787 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7513));
		}

	}



/* intern-sfun/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_241, obj_t BgL_vz00_242)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_241)))->BgL_locz00) =
				((obj_t) BgL_vz00_242), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-loc-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2loczd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7514, obj_t BgL_oz00_7515, obj_t BgL_vz00_7516)
	{
		{	/* Cfa/cinfo.sch 788 */
			return
				BGl_internzd2sfunzf2Cinfozd2loczd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7515), BgL_vz00_7516);
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_243)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_243)))->BgL_dssslzd2keywordszd2);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordsz42zzcfa_infoz00(obj_t
		BgL_envz00_7517, obj_t BgL_oz00_7518)
	{
		{	/* Cfa/cinfo.sch 789 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordsz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7518));
		}

	}



/* intern-sfun/Cinfo-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_244, obj_t BgL_vz00_245)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_244)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_245), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-dsssl-keywords-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7519, obj_t BgL_oz00_7520, obj_t BgL_vz00_7521)
	{
		{	/* Cfa/cinfo.sch 790 */
			return
				BGl_internzd2sfunzf2Cinfozd2dssslzd2keywordszd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7520), BgL_vz00_7521);
		}

	}



/* intern-sfun/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_246)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_246)))->BgL_classz00);
		}

	}



/* &intern-sfun/Cinfo-class */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classz90zzcfa_infoz00(obj_t
		BgL_envz00_7522, obj_t BgL_oz00_7523)
	{
		{	/* Cfa/cinfo.sch 791 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7523));
		}

	}



/* intern-sfun/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_247, obj_t BgL_vz00_248)
	{
		{	/* Cfa/cinfo.sch 792 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_247)))->BgL_classz00) =
				((obj_t) BgL_vz00_248), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-class-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2classzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7524, obj_t BgL_oz00_7525, obj_t BgL_vz00_7526)
	{
		{	/* Cfa/cinfo.sch 792 */
			return
				BGl_internzd2sfunzf2Cinfozd2classzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7525), BgL_vz00_7526);
		}

	}



/* intern-sfun/Cinfo-body */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_249)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_249)))->BgL_bodyz00);
		}

	}



/* &intern-sfun/Cinfo-body */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyz90zzcfa_infoz00(obj_t
		BgL_envz00_7527, obj_t BgL_oz00_7528)
	{
		{	/* Cfa/cinfo.sch 793 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7528));
		}

	}



/* intern-sfun/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_250, obj_t BgL_vz00_251)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_250)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_251), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-body-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2bodyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7529, obj_t BgL_oz00_7530, obj_t BgL_vz00_7531)
	{
		{	/* Cfa/cinfo.sch 794 */
			return
				BGl_internzd2sfunzf2Cinfozd2bodyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7530), BgL_vz00_7531);
		}

	}



/* intern-sfun/Cinfo-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_252)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_252)))->BgL_argszd2namezd2);
		}

	}



/* &intern-sfun/Cinfo-args-name */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2namez42zzcfa_infoz00(obj_t
		BgL_envz00_7532, obj_t BgL_oz00_7533)
	{
		{	/* Cfa/cinfo.sch 795 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2namez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7533));
		}

	}



/* intern-sfun/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_255)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_255)))->BgL_argsz00);
		}

	}



/* &intern-sfun/Cinfo-args */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argsz90zzcfa_infoz00(obj_t
		BgL_envz00_7534, obj_t BgL_oz00_7535)
	{
		{	/* Cfa/cinfo.sch 797 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7535));
		}

	}



/* intern-sfun/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_256, obj_t BgL_vz00_257)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_256)))->BgL_argsz00) =
				((obj_t) BgL_vz00_257), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7536, obj_t BgL_oz00_7537, obj_t BgL_vz00_7538)
	{
		{	/* Cfa/cinfo.sch 798 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7537), BgL_vz00_7538);
		}

	}



/* intern-sfun/Cinfo-property */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_258)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				(((BgL_sfunz00_bglt) COBJECT(
						((BgL_sfunz00_bglt) BgL_oz00_258)))->BgL_propertyz00);
		}

	}



/* &intern-sfun/Cinfo-property */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyz90zzcfa_infoz00(obj_t
		BgL_envz00_7539, obj_t BgL_oz00_7540)
	{
		{	/* Cfa/cinfo.sch 799 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7540));
		}

	}



/* intern-sfun/Cinfo-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_259, obj_t BgL_vz00_260)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				((((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_oz00_259)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_260), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-property-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2propertyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7541, obj_t BgL_oz00_7542, obj_t BgL_vz00_7543)
	{
		{	/* Cfa/cinfo.sch 800 */
			return
				BGl_internzd2sfunzf2Cinfozd2propertyzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7542), BgL_vz00_7543);
		}

	}



/* intern-sfun/Cinfo-args-retescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_261)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_261)))->BgL_argszd2retescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-retescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7544, obj_t BgL_oz00_7545)
	{
		{	/* Cfa/cinfo.sch 801 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7545));
		}

	}



/* intern-sfun/Cinfo-args-retescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_262, obj_t BgL_vz00_263)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_262)))->BgL_argszd2retescapezd2) =
				((obj_t) BgL_vz00_263), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-retescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7546, obj_t BgL_oz00_7547, obj_t BgL_vz00_7548)
	{
		{	/* Cfa/cinfo.sch 802 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2retescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7547), BgL_vz00_7548);
		}

	}



/* intern-sfun/Cinfo-args-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_264)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_264)))->BgL_argszd2noescapezd2);
		}

	}



/* &intern-sfun/Cinfo-args-noescape */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapez42zzcfa_infoz00(obj_t
		BgL_envz00_7549, obj_t BgL_oz00_7550)
	{
		{	/* Cfa/cinfo.sch 803 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7550));
		}

	}



/* intern-sfun/Cinfo-args-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_265, obj_t BgL_vz00_266)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_265)))->BgL_argszd2noescapezd2) =
				((obj_t) BgL_vz00_266), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-args-noescape-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7551, obj_t BgL_oz00_7552, obj_t BgL_vz00_7553)
	{
		{	/* Cfa/cinfo.sch 804 */
			return
				BGl_internzd2sfunzf2Cinfozd2argszd2noescapezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7552), BgL_vz00_7553);
		}

	}



/* intern-sfun/Cinfo-failsafe */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_267)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_267)))->BgL_failsafez00);
		}

	}



/* &intern-sfun/Cinfo-failsafe */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafez90zzcfa_infoz00(obj_t
		BgL_envz00_7554, obj_t BgL_oz00_7555)
	{
		{	/* Cfa/cinfo.sch 805 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7555));
		}

	}



/* intern-sfun/Cinfo-failsafe-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_268, obj_t BgL_vz00_269)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_268)))->BgL_failsafez00) =
				((obj_t) BgL_vz00_269), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-failsafe-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2failsafezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7556, obj_t BgL_oz00_7557, obj_t BgL_vz00_7558)
	{
		{	/* Cfa/cinfo.sch 806 */
			return
				BGl_internzd2sfunzf2Cinfozd2failsafezd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7557), BgL_vz00_7558);
		}

	}



/* intern-sfun/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_270)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_270)))->BgL_effectz00);
		}

	}



/* &intern-sfun/Cinfo-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7559, obj_t BgL_oz00_7560)
	{
		{	/* Cfa/cinfo.sch 807 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzf2zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7560));
		}

	}



/* intern-sfun/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_271, obj_t BgL_vz00_272)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_271)))->BgL_effectz00) =
				((obj_t) BgL_vz00_272), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-effect-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7561, obj_t BgL_oz00_7562, obj_t BgL_vz00_7563)
	{
		{	/* Cfa/cinfo.sch 808 */
			return
				BGl_internzd2sfunzf2Cinfozd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7562), BgL_vz00_7563);
		}

	}



/* intern-sfun/Cinfo-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_273)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_273)))->BgL_thezd2closurezd2);
		}

	}



/* &intern-sfun/Cinfo-the-closure */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2thezd2closurez42zzcfa_infoz00(obj_t
		BgL_envz00_7564, obj_t BgL_oz00_7565)
	{
		{	/* Cfa/cinfo.sch 809 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurez20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7565));
		}

	}



/* intern-sfun/Cinfo-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_274, obj_t BgL_vz00_275)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_274)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_275), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-the-closure-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2thezd2closurezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7566, obj_t BgL_oz00_7567, obj_t BgL_vz00_7568)
	{
		{	/* Cfa/cinfo.sch 810 */
			return
				BGl_internzd2sfunzf2Cinfozd2thezd2closurezd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7567), BgL_vz00_7568);
		}

	}



/* intern-sfun/Cinfo-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_276)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_276)))->BgL_topzf3zf3);
		}

	}



/* &intern-sfun/Cinfo-top? */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7569, obj_t BgL_oz00_7570)
	{
		{	/* Cfa/cinfo.sch 811 */
			return
				BBOOL(BGl_internzd2sfunzf2Cinfozd2topzf3z01zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7570)));
		}

	}



/* intern-sfun/Cinfo-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_277, bool_t BgL_vz00_278)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_277)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_278), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-top?-set! */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2topzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7571, obj_t BgL_oz00_7572, obj_t BgL_vz00_7573)
	{
		{	/* Cfa/cinfo.sch 812 */
			return
				BGl_internzd2sfunzf2Cinfozd2topzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7572), CBOOL(BgL_vz00_7573));
		}

	}



/* intern-sfun/Cinfo-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_279)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_279)))->BgL_stackzd2allocatorzd2);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorz42zzcfa_infoz00(obj_t
		BgL_envz00_7574, obj_t BgL_oz00_7575)
	{
		{	/* Cfa/cinfo.sch 813 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7575));
		}

	}



/* intern-sfun/Cinfo-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_280, obj_t BgL_vz00_281)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_280)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-stack-allocator-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12z82zzcfa_infoz00
		(obj_t BgL_envz00_7576, obj_t BgL_oz00_7577, obj_t BgL_vz00_7578)
	{
		{	/* Cfa/cinfo.sch 814 */
			return
				BGl_internzd2sfunzf2Cinfozd2stackzd2allocatorzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7577), BgL_vz00_7578);
		}

	}



/* intern-sfun/Cinfo-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_282)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_282)))->BgL_predicatezd2ofzd2);
		}

	}



/* &intern-sfun/Cinfo-predicate-of */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofz42zzcfa_infoz00(obj_t
		BgL_envz00_7579, obj_t BgL_oz00_7580)
	{
		{	/* Cfa/cinfo.sch 815 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7580));
		}

	}



/* intern-sfun/Cinfo-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_283, obj_t BgL_vz00_284)
	{
		{	/* Cfa/cinfo.sch 816 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_283)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_284), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-predicate-of-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7581, obj_t BgL_oz00_7582, obj_t BgL_vz00_7583)
	{
		{	/* Cfa/cinfo.sch 816 */
			return
				BGl_internzd2sfunzf2Cinfozd2predicatezd2ofzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7582), BgL_vz00_7583);
		}

	}



/* intern-sfun/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_285)
	{
		{	/* Cfa/cinfo.sch 817 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_285)))->BgL_sidezd2effectzd2);
		}

	}



/* &intern-sfun/Cinfo-side-effect */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7584, obj_t BgL_oz00_7585)
	{
		{	/* Cfa/cinfo.sch 817 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7585));
		}

	}



/* intern-sfun/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_sfunz00_bglt BgL_oz00_286, obj_t BgL_vz00_287)
	{
		{	/* Cfa/cinfo.sch 818 */
			return
				((((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt) BgL_oz00_286)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_287), BUNSPEC);
		}

	}



/* &intern-sfun/Cinfo-side-effect-set! */
	obj_t
		BGl_z62internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7586, obj_t BgL_oz00_7587, obj_t BgL_vz00_7588)
	{
		{	/* Cfa/cinfo.sch 818 */
			return
				BGl_internzd2sfunzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_sfunz00_bglt) BgL_oz00_7587), BgL_vz00_7588);
		}

	}



/* intern-sfun/Cinfo-arity */
	BGL_EXPORTED_DEF long
		BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(BgL_sfunz00_bglt
		BgL_oz00_288)
	{
		{	/* Cfa/cinfo.sch 819 */
			return
				(((BgL_funz00_bglt) COBJECT(
						((BgL_funz00_bglt) BgL_oz00_288)))->BgL_arityz00);
		}

	}



/* &intern-sfun/Cinfo-arity */
	obj_t BGl_z62internzd2sfunzf2Cinfozd2arityz90zzcfa_infoz00(obj_t
		BgL_envz00_7589, obj_t BgL_oz00_7590)
	{
		{	/* Cfa/cinfo.sch 819 */
			return
				BINT(BGl_internzd2sfunzf2Cinfozd2arityzf2zzcfa_infoz00(
					((BgL_sfunz00_bglt) BgL_oz00_7590)));
		}

	}



/* make-scnst/Cinfo */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt
		BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(obj_t BgL_node1764z00_291,
		obj_t BgL_class1765z00_292, obj_t BgL_loc1766z00_293,
		BgL_approxz00_bglt BgL_approx1767z00_294)
	{
		{	/* Cfa/cinfo.sch 823 */
			{	/* Cfa/cinfo.sch 823 */
				BgL_scnstz00_bglt BgL_new1564z00_9619;

				{	/* Cfa/cinfo.sch 823 */
					BgL_scnstz00_bglt BgL_tmp1562z00_9620;
					BgL_scnstzf2cinfozf2_bglt BgL_wide1563z00_9621;

					{
						BgL_scnstz00_bglt BgL_auxz00_12115;

						{	/* Cfa/cinfo.sch 823 */
							BgL_scnstz00_bglt BgL_new1561z00_9622;

							BgL_new1561z00_9622 =
								((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstz00_bgl))));
							{	/* Cfa/cinfo.sch 823 */
								long BgL_arg2005z00_9623;

								BgL_arg2005z00_9623 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1561z00_9622),
									BgL_arg2005z00_9623);
							}
							{	/* Cfa/cinfo.sch 823 */
								BgL_objectz00_bglt BgL_tmpz00_12120;

								BgL_tmpz00_12120 = ((BgL_objectz00_bglt) BgL_new1561z00_9622);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12120, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1561z00_9622);
							BgL_auxz00_12115 = BgL_new1561z00_9622;
						}
						BgL_tmp1562z00_9620 = ((BgL_scnstz00_bglt) BgL_auxz00_12115);
					}
					BgL_wide1563z00_9621 =
						((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 823 */
						obj_t BgL_auxz00_12128;
						BgL_objectz00_bglt BgL_tmpz00_12126;

						BgL_auxz00_12128 = ((obj_t) BgL_wide1563z00_9621);
						BgL_tmpz00_12126 = ((BgL_objectz00_bglt) BgL_tmp1562z00_9620);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12126, BgL_auxz00_12128);
					}
					((BgL_objectz00_bglt) BgL_tmp1562z00_9620);
					{	/* Cfa/cinfo.sch 823 */
						long BgL_arg2004z00_9624;

						BgL_arg2004z00_9624 =
							BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1562z00_9620), BgL_arg2004z00_9624);
					}
					BgL_new1564z00_9619 = ((BgL_scnstz00_bglt) BgL_tmp1562z00_9620);
				}
				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1564z00_9619)))->BgL_nodez00) =
					((obj_t) BgL_node1764z00_291), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1564z00_9619)))->BgL_classz00) =
					((obj_t) BgL_class1765z00_292), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1564z00_9619)))->BgL_locz00) =
					((obj_t) BgL_loc1766z00_293), BUNSPEC);
				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_12142;

					{
						obj_t BgL_auxz00_12143;

						{	/* Cfa/cinfo.sch 823 */
							BgL_objectz00_bglt BgL_tmpz00_12144;

							BgL_tmpz00_12144 = ((BgL_objectz00_bglt) BgL_new1564z00_9619);
							BgL_auxz00_12143 = BGL_OBJECT_WIDENING(BgL_tmpz00_12144);
						}
						BgL_auxz00_12142 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_12143);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12142))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1767z00_294), BUNSPEC);
				}
				return BgL_new1564z00_9619;
			}
		}

	}



/* &make-scnst/Cinfo */
	BgL_scnstz00_bglt BGl_z62makezd2scnstzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7591, obj_t BgL_node1764z00_7592, obj_t BgL_class1765z00_7593,
		obj_t BgL_loc1766z00_7594, obj_t BgL_approx1767z00_7595)
	{
		{	/* Cfa/cinfo.sch 823 */
			return
				BGl_makezd2scnstzf2Cinfoz20zzcfa_infoz00(BgL_node1764z00_7592,
				BgL_class1765z00_7593, BgL_loc1766z00_7594,
				((BgL_approxz00_bglt) BgL_approx1767z00_7595));
		}

	}



/* scnst/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_295)
	{
		{	/* Cfa/cinfo.sch 824 */
			{	/* Cfa/cinfo.sch 824 */
				obj_t BgL_classz00_9625;

				BgL_classz00_9625 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_295))
					{	/* Cfa/cinfo.sch 824 */
						BgL_objectz00_bglt BgL_arg1858z00_9626;

						BgL_arg1858z00_9626 = (BgL_objectz00_bglt) (BgL_objz00_295);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 824 */
								long BgL_idxz00_9627;

								BgL_idxz00_9627 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9626);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9627 + 3L)) == BgL_classz00_9625);
							}
						else
							{	/* Cfa/cinfo.sch 824 */
								bool_t BgL_res3103z00_9630;

								{	/* Cfa/cinfo.sch 824 */
									obj_t BgL_oclassz00_9631;

									{	/* Cfa/cinfo.sch 824 */
										obj_t BgL_arg1866z00_9632;
										long BgL_arg1867z00_9633;

										BgL_arg1866z00_9632 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 824 */
											long BgL_arg1869z00_9634;

											BgL_arg1869z00_9634 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9626);
											BgL_arg1867z00_9633 = (BgL_arg1869z00_9634 - OBJECT_TYPE);
										}
										BgL_oclassz00_9631 =
											VECTOR_REF(BgL_arg1866z00_9632, BgL_arg1867z00_9633);
									}
									{	/* Cfa/cinfo.sch 824 */
										bool_t BgL__ortest_1115z00_9635;

										BgL__ortest_1115z00_9635 =
											(BgL_classz00_9625 == BgL_oclassz00_9631);
										if (BgL__ortest_1115z00_9635)
											{	/* Cfa/cinfo.sch 824 */
												BgL_res3103z00_9630 = BgL__ortest_1115z00_9635;
											}
										else
											{	/* Cfa/cinfo.sch 824 */
												long BgL_odepthz00_9636;

												{	/* Cfa/cinfo.sch 824 */
													obj_t BgL_arg1855z00_9637;

													BgL_arg1855z00_9637 = (BgL_oclassz00_9631);
													BgL_odepthz00_9636 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9637);
												}
												if ((3L < BgL_odepthz00_9636))
													{	/* Cfa/cinfo.sch 824 */
														obj_t BgL_arg1853z00_9638;

														{	/* Cfa/cinfo.sch 824 */
															obj_t BgL_arg1854z00_9639;

															BgL_arg1854z00_9639 = (BgL_oclassz00_9631);
															BgL_arg1853z00_9638 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9639,
																3L);
														}
														BgL_res3103z00_9630 =
															(BgL_arg1853z00_9638 == BgL_classz00_9625);
													}
												else
													{	/* Cfa/cinfo.sch 824 */
														BgL_res3103z00_9630 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3103z00_9630;
							}
					}
				else
					{	/* Cfa/cinfo.sch 824 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &scnst/Cinfo? */
	obj_t BGl_z62scnstzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7596,
		obj_t BgL_objz00_7597)
	{
		{	/* Cfa/cinfo.sch 824 */
			return BBOOL(BGl_scnstzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7597));
		}

	}



/* scnst/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_scnstz00_bglt
		BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 825 */
			{	/* Cfa/cinfo.sch 825 */
				obj_t BgL_classz00_4689;

				BgL_classz00_4689 = BGl_scnstzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 825 */
					obj_t BgL__ortest_1117z00_4690;

					BgL__ortest_1117z00_4690 = BGL_CLASS_NIL(BgL_classz00_4689);
					if (CBOOL(BgL__ortest_1117z00_4690))
						{	/* Cfa/cinfo.sch 825 */
							return ((BgL_scnstz00_bglt) BgL__ortest_1117z00_4690);
						}
					else
						{	/* Cfa/cinfo.sch 825 */
							return
								((BgL_scnstz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4689));
						}
				}
			}
		}

	}



/* &scnst/Cinfo-nil */
	BgL_scnstz00_bglt BGl_z62scnstzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7598)
	{
		{	/* Cfa/cinfo.sch 825 */
			return BGl_scnstzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* scnst/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_296)
	{
		{	/* Cfa/cinfo.sch 826 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_12182;

				{
					obj_t BgL_auxz00_12183;

					{	/* Cfa/cinfo.sch 826 */
						BgL_objectz00_bglt BgL_tmpz00_12184;

						BgL_tmpz00_12184 = ((BgL_objectz00_bglt) BgL_oz00_296);
						BgL_auxz00_12183 = BGL_OBJECT_WIDENING(BgL_tmpz00_12184);
					}
					BgL_auxz00_12182 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_12183);
				}
				return
					(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12182))->
					BgL_approxz00);
			}
		}

	}



/* &scnst/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62scnstzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7599, obj_t BgL_oz00_7600)
	{
		{	/* Cfa/cinfo.sch 826 */
			return
				BGl_scnstzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7600));
		}

	}



/* scnst/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_299)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_299)))->BgL_locz00);
		}

	}



/* &scnst/Cinfo-loc */
	obj_t BGl_z62scnstzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602)
	{
		{	/* Cfa/cinfo.sch 828 */
			return
				BGl_scnstzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7602));
		}

	}



/* scnst/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt
		BgL_oz00_300, obj_t BgL_vz00_301)
	{
		{	/* Cfa/cinfo.sch 829 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_300)))->BgL_locz00) =
				((obj_t) BgL_vz00_301), BUNSPEC);
		}

	}



/* &scnst/Cinfo-loc-set! */
	obj_t BGl_z62scnstzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7603, obj_t BgL_oz00_7604, obj_t BgL_vz00_7605)
	{
		{	/* Cfa/cinfo.sch 829 */
			return
				BGl_scnstzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7604), BgL_vz00_7605);
		}

	}



/* scnst/Cinfo-class */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_302)
	{
		{	/* Cfa/cinfo.sch 830 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_302)))->BgL_classz00);
		}

	}



/* &scnst/Cinfo-class */
	obj_t BGl_z62scnstzf2Cinfozd2classz42zzcfa_infoz00(obj_t BgL_envz00_7606,
		obj_t BgL_oz00_7607)
	{
		{	/* Cfa/cinfo.sch 830 */
			return
				BGl_scnstzf2Cinfozd2classz20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7607));
		}

	}



/* scnst/Cinfo-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(BgL_scnstz00_bglt
		BgL_oz00_303, obj_t BgL_vz00_304)
	{
		{	/* Cfa/cinfo.sch 831 */
			return
				((((BgL_scnstz00_bglt) COBJECT(
							((BgL_scnstz00_bglt) BgL_oz00_303)))->BgL_classz00) =
				((obj_t) BgL_vz00_304), BUNSPEC);
		}

	}



/* &scnst/Cinfo-class-set! */
	obj_t BGl_z62scnstzf2Cinfozd2classzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7608, obj_t BgL_oz00_7609, obj_t BgL_vz00_7610)
	{
		{	/* Cfa/cinfo.sch 831 */
			return
				BGl_scnstzf2Cinfozd2classzd2setz12ze0zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7609), BgL_vz00_7610);
		}

	}



/* scnst/Cinfo-node */
	BGL_EXPORTED_DEF obj_t
		BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(BgL_scnstz00_bglt BgL_oz00_305)
	{
		{	/* Cfa/cinfo.sch 832 */
			return
				(((BgL_scnstz00_bglt) COBJECT(
						((BgL_scnstz00_bglt) BgL_oz00_305)))->BgL_nodez00);
		}

	}



/* &scnst/Cinfo-node */
	obj_t BGl_z62scnstzf2Cinfozd2nodez42zzcfa_infoz00(obj_t BgL_envz00_7611,
		obj_t BgL_oz00_7612)
	{
		{	/* Cfa/cinfo.sch 832 */
			return
				BGl_scnstzf2Cinfozd2nodez20zzcfa_infoz00(
				((BgL_scnstz00_bglt) BgL_oz00_7612));
		}

	}



/* make-pre-clo-env */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(obj_t BgL_loc1762z00_308)
	{
		{	/* Cfa/cinfo.sch 836 */
			{	/* Cfa/cinfo.sch 836 */
				BgL_svarz00_bglt BgL_new1568z00_9640;

				{	/* Cfa/cinfo.sch 836 */
					BgL_svarz00_bglt BgL_tmp1566z00_9641;
					BgL_prezd2clozd2envz00_bglt BgL_wide1567z00_9642;

					{
						BgL_svarz00_bglt BgL_auxz00_12211;

						{	/* Cfa/cinfo.sch 836 */
							BgL_svarz00_bglt BgL_new1565z00_9643;

							BgL_new1565z00_9643 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 836 */
								long BgL_arg2007z00_9644;

								BgL_arg2007z00_9644 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1565z00_9643),
									BgL_arg2007z00_9644);
							}
							{	/* Cfa/cinfo.sch 836 */
								BgL_objectz00_bglt BgL_tmpz00_12216;

								BgL_tmpz00_12216 = ((BgL_objectz00_bglt) BgL_new1565z00_9643);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12216, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1565z00_9643);
							BgL_auxz00_12211 = BgL_new1565z00_9643;
						}
						BgL_tmp1566z00_9641 = ((BgL_svarz00_bglt) BgL_auxz00_12211);
					}
					BgL_wide1567z00_9642 =
						((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2clozd2envz00_bgl))));
					{	/* Cfa/cinfo.sch 836 */
						obj_t BgL_auxz00_12224;
						BgL_objectz00_bglt BgL_tmpz00_12222;

						BgL_auxz00_12224 = ((obj_t) BgL_wide1567z00_9642);
						BgL_tmpz00_12222 = ((BgL_objectz00_bglt) BgL_tmp1566z00_9641);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12222, BgL_auxz00_12224);
					}
					((BgL_objectz00_bglt) BgL_tmp1566z00_9641);
					{	/* Cfa/cinfo.sch 836 */
						long BgL_arg2006z00_9645;

						BgL_arg2006z00_9645 =
							BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1566z00_9641), BgL_arg2006z00_9645);
					}
					BgL_new1568z00_9640 = ((BgL_svarz00_bglt) BgL_tmp1566z00_9641);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1568z00_9640)))->BgL_locz00) =
					((obj_t) BgL_loc1762z00_308), BUNSPEC);
				return BgL_new1568z00_9640;
			}
		}

	}



/* &make-pre-clo-env */
	BgL_svarz00_bglt BGl_z62makezd2prezd2clozd2envzb0zzcfa_infoz00(obj_t
		BgL_envz00_7613, obj_t BgL_loc1762z00_7614)
	{
		{	/* Cfa/cinfo.sch 836 */
			return BGl_makezd2prezd2clozd2envzd2zzcfa_infoz00(BgL_loc1762z00_7614);
		}

	}



/* pre-clo-env? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(obj_t
		BgL_objz00_309)
	{
		{	/* Cfa/cinfo.sch 837 */
			{	/* Cfa/cinfo.sch 837 */
				obj_t BgL_classz00_9646;

				BgL_classz00_9646 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_309))
					{	/* Cfa/cinfo.sch 837 */
						BgL_objectz00_bglt BgL_arg1858z00_9647;

						BgL_arg1858z00_9647 = (BgL_objectz00_bglt) (BgL_objz00_309);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 837 */
								long BgL_idxz00_9648;

								BgL_idxz00_9648 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9647);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9648 + 3L)) == BgL_classz00_9646);
							}
						else
							{	/* Cfa/cinfo.sch 837 */
								bool_t BgL_res3104z00_9651;

								{	/* Cfa/cinfo.sch 837 */
									obj_t BgL_oclassz00_9652;

									{	/* Cfa/cinfo.sch 837 */
										obj_t BgL_arg1866z00_9653;
										long BgL_arg1867z00_9654;

										BgL_arg1866z00_9653 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 837 */
											long BgL_arg1869z00_9655;

											BgL_arg1869z00_9655 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9647);
											BgL_arg1867z00_9654 = (BgL_arg1869z00_9655 - OBJECT_TYPE);
										}
										BgL_oclassz00_9652 =
											VECTOR_REF(BgL_arg1866z00_9653, BgL_arg1867z00_9654);
									}
									{	/* Cfa/cinfo.sch 837 */
										bool_t BgL__ortest_1115z00_9656;

										BgL__ortest_1115z00_9656 =
											(BgL_classz00_9646 == BgL_oclassz00_9652);
										if (BgL__ortest_1115z00_9656)
											{	/* Cfa/cinfo.sch 837 */
												BgL_res3104z00_9651 = BgL__ortest_1115z00_9656;
											}
										else
											{	/* Cfa/cinfo.sch 837 */
												long BgL_odepthz00_9657;

												{	/* Cfa/cinfo.sch 837 */
													obj_t BgL_arg1855z00_9658;

													BgL_arg1855z00_9658 = (BgL_oclassz00_9652);
													BgL_odepthz00_9657 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9658);
												}
												if ((3L < BgL_odepthz00_9657))
													{	/* Cfa/cinfo.sch 837 */
														obj_t BgL_arg1853z00_9659;

														{	/* Cfa/cinfo.sch 837 */
															obj_t BgL_arg1854z00_9660;

															BgL_arg1854z00_9660 = (BgL_oclassz00_9652);
															BgL_arg1853z00_9659 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9660,
																3L);
														}
														BgL_res3104z00_9651 =
															(BgL_arg1853z00_9659 == BgL_classz00_9646);
													}
												else
													{	/* Cfa/cinfo.sch 837 */
														BgL_res3104z00_9651 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3104z00_9651;
							}
					}
				else
					{	/* Cfa/cinfo.sch 837 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-clo-env? */
	obj_t BGl_z62prezd2clozd2envzf3z91zzcfa_infoz00(obj_t BgL_envz00_7615,
		obj_t BgL_objz00_7616)
	{
		{	/* Cfa/cinfo.sch 837 */
			return BBOOL(BGl_prezd2clozd2envzf3zf3zzcfa_infoz00(BgL_objz00_7616));
		}

	}



/* pre-clo-env-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 838 */
			{	/* Cfa/cinfo.sch 838 */
				obj_t BgL_classz00_4740;

				BgL_classz00_4740 = BGl_prezd2clozd2envz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 838 */
					obj_t BgL__ortest_1117z00_4741;

					BgL__ortest_1117z00_4741 = BGL_CLASS_NIL(BgL_classz00_4740);
					if (CBOOL(BgL__ortest_1117z00_4741))
						{	/* Cfa/cinfo.sch 838 */
							return ((BgL_svarz00_bglt) BgL__ortest_1117z00_4741);
						}
					else
						{	/* Cfa/cinfo.sch 838 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4740));
						}
				}
			}
		}

	}



/* &pre-clo-env-nil */
	BgL_svarz00_bglt BGl_z62prezd2clozd2envzd2nilzb0zzcfa_infoz00(obj_t
		BgL_envz00_7617)
	{
		{	/* Cfa/cinfo.sch 838 */
			return BGl_prezd2clozd2envzd2nilzd2zzcfa_infoz00();
		}

	}



/* pre-clo-env-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_310)
	{
		{	/* Cfa/cinfo.sch 839 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_310)))->BgL_locz00);
		}

	}



/* &pre-clo-env-loc */
	obj_t BGl_z62prezd2clozd2envzd2loczb0zzcfa_infoz00(obj_t BgL_envz00_7618,
		obj_t BgL_oz00_7619)
	{
		{	/* Cfa/cinfo.sch 839 */
			return
				BGl_prezd2clozd2envzd2loczd2zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7619));
		}

	}



/* pre-clo-env-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_311, obj_t BgL_vz00_312)
	{
		{	/* Cfa/cinfo.sch 840 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_311)))->BgL_locz00) =
				((obj_t) BgL_vz00_312), BUNSPEC);
		}

	}



/* &pre-clo-env-loc-set! */
	obj_t BGl_z62prezd2clozd2envzd2loczd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7620, obj_t BgL_oz00_7621, obj_t BgL_vz00_7622)
	{
		{	/* Cfa/cinfo.sch 840 */
			return
				BGl_prezd2clozd2envzd2loczd2setz12z12zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7621), BgL_vz00_7622);
		}

	}



/* make-svar/Cinfo */
	BGL_EXPORTED_DEF BgL_svarz00_bglt
		BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1757z00_313,
		BgL_approxz00_bglt BgL_approx1758z00_314,
		bool_t BgL_clozd2envzf31759z21_315, long BgL_stamp1760z00_316)
	{
		{	/* Cfa/cinfo.sch 843 */
			{	/* Cfa/cinfo.sch 843 */
				BgL_svarz00_bglt BgL_new1572z00_9661;

				{	/* Cfa/cinfo.sch 843 */
					BgL_svarz00_bglt BgL_tmp1570z00_9662;
					BgL_svarzf2cinfozf2_bglt BgL_wide1571z00_9663;

					{
						BgL_svarz00_bglt BgL_auxz00_12274;

						{	/* Cfa/cinfo.sch 843 */
							BgL_svarz00_bglt BgL_new1569z00_9664;

							BgL_new1569z00_9664 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.sch 843 */
								long BgL_arg2009z00_9665;

								BgL_arg2009z00_9665 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1569z00_9664),
									BgL_arg2009z00_9665);
							}
							{	/* Cfa/cinfo.sch 843 */
								BgL_objectz00_bglt BgL_tmpz00_12279;

								BgL_tmpz00_12279 = ((BgL_objectz00_bglt) BgL_new1569z00_9664);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12279, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1569z00_9664);
							BgL_auxz00_12274 = BgL_new1569z00_9664;
						}
						BgL_tmp1570z00_9662 = ((BgL_svarz00_bglt) BgL_auxz00_12274);
					}
					BgL_wide1571z00_9663 =
						((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_svarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 843 */
						obj_t BgL_auxz00_12287;
						BgL_objectz00_bglt BgL_tmpz00_12285;

						BgL_auxz00_12287 = ((obj_t) BgL_wide1571z00_9663);
						BgL_tmpz00_12285 = ((BgL_objectz00_bglt) BgL_tmp1570z00_9662);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12285, BgL_auxz00_12287);
					}
					((BgL_objectz00_bglt) BgL_tmp1570z00_9662);
					{	/* Cfa/cinfo.sch 843 */
						long BgL_arg2008z00_9666;

						BgL_arg2008z00_9666 =
							BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1570z00_9662), BgL_arg2008z00_9666);
					}
					BgL_new1572z00_9661 = ((BgL_svarz00_bglt) BgL_tmp1570z00_9662);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1572z00_9661)))->BgL_locz00) =
					((obj_t) BgL_loc1757z00_313), BUNSPEC);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12297;

					{
						obj_t BgL_auxz00_12298;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_12299;

							BgL_tmpz00_12299 = ((BgL_objectz00_bglt) BgL_new1572z00_9661);
							BgL_auxz00_12298 = BGL_OBJECT_WIDENING(BgL_tmpz00_12299);
						}
						BgL_auxz00_12297 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12298);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12297))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1758z00_314), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12304;

					{
						obj_t BgL_auxz00_12305;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_12306;

							BgL_tmpz00_12306 = ((BgL_objectz00_bglt) BgL_new1572z00_9661);
							BgL_auxz00_12305 = BGL_OBJECT_WIDENING(BgL_tmpz00_12306);
						}
						BgL_auxz00_12304 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12305);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12304))->
							BgL_clozd2envzf3z21) =
						((bool_t) BgL_clozd2envzf31759z21_315), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_12311;

					{
						obj_t BgL_auxz00_12312;

						{	/* Cfa/cinfo.sch 843 */
							BgL_objectz00_bglt BgL_tmpz00_12313;

							BgL_tmpz00_12313 = ((BgL_objectz00_bglt) BgL_new1572z00_9661);
							BgL_auxz00_12312 = BGL_OBJECT_WIDENING(BgL_tmpz00_12313);
						}
						BgL_auxz00_12311 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12312);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12311))->
							BgL_stampz00) = ((long) BgL_stamp1760z00_316), BUNSPEC);
				}
				return BgL_new1572z00_9661;
			}
		}

	}



/* &make-svar/Cinfo */
	BgL_svarz00_bglt BGl_z62makezd2svarzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7623, obj_t BgL_loc1757z00_7624, obj_t BgL_approx1758z00_7625,
		obj_t BgL_clozd2envzf31759z21_7626, obj_t BgL_stamp1760z00_7627)
	{
		{	/* Cfa/cinfo.sch 843 */
			return
				BGl_makezd2svarzf2Cinfoz20zzcfa_infoz00(BgL_loc1757z00_7624,
				((BgL_approxz00_bglt) BgL_approx1758z00_7625),
				CBOOL(BgL_clozd2envzf31759z21_7626),
				(long) CINT(BgL_stamp1760z00_7627));
		}

	}



/* svar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_svarzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_317)
	{
		{	/* Cfa/cinfo.sch 844 */
			{	/* Cfa/cinfo.sch 844 */
				obj_t BgL_classz00_9667;

				BgL_classz00_9667 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_317))
					{	/* Cfa/cinfo.sch 844 */
						BgL_objectz00_bglt BgL_arg1858z00_9668;

						BgL_arg1858z00_9668 = (BgL_objectz00_bglt) (BgL_objz00_317);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 844 */
								long BgL_idxz00_9669;

								BgL_idxz00_9669 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9668);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9669 + 3L)) == BgL_classz00_9667);
							}
						else
							{	/* Cfa/cinfo.sch 844 */
								bool_t BgL_res3105z00_9672;

								{	/* Cfa/cinfo.sch 844 */
									obj_t BgL_oclassz00_9673;

									{	/* Cfa/cinfo.sch 844 */
										obj_t BgL_arg1866z00_9674;
										long BgL_arg1867z00_9675;

										BgL_arg1866z00_9674 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 844 */
											long BgL_arg1869z00_9676;

											BgL_arg1869z00_9676 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9668);
											BgL_arg1867z00_9675 = (BgL_arg1869z00_9676 - OBJECT_TYPE);
										}
										BgL_oclassz00_9673 =
											VECTOR_REF(BgL_arg1866z00_9674, BgL_arg1867z00_9675);
									}
									{	/* Cfa/cinfo.sch 844 */
										bool_t BgL__ortest_1115z00_9677;

										BgL__ortest_1115z00_9677 =
											(BgL_classz00_9667 == BgL_oclassz00_9673);
										if (BgL__ortest_1115z00_9677)
											{	/* Cfa/cinfo.sch 844 */
												BgL_res3105z00_9672 = BgL__ortest_1115z00_9677;
											}
										else
											{	/* Cfa/cinfo.sch 844 */
												long BgL_odepthz00_9678;

												{	/* Cfa/cinfo.sch 844 */
													obj_t BgL_arg1855z00_9679;

													BgL_arg1855z00_9679 = (BgL_oclassz00_9673);
													BgL_odepthz00_9678 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9679);
												}
												if ((3L < BgL_odepthz00_9678))
													{	/* Cfa/cinfo.sch 844 */
														obj_t BgL_arg1853z00_9680;

														{	/* Cfa/cinfo.sch 844 */
															obj_t BgL_arg1854z00_9681;

															BgL_arg1854z00_9681 = (BgL_oclassz00_9673);
															BgL_arg1853z00_9680 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9681,
																3L);
														}
														BgL_res3105z00_9672 =
															(BgL_arg1853z00_9680 == BgL_classz00_9667);
													}
												else
													{	/* Cfa/cinfo.sch 844 */
														BgL_res3105z00_9672 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3105z00_9672;
							}
					}
				else
					{	/* Cfa/cinfo.sch 844 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &svar/Cinfo? */
	obj_t BGl_z62svarzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7628,
		obj_t BgL_objz00_7629)
	{
		{	/* Cfa/cinfo.sch 844 */
			return BBOOL(BGl_svarzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7629));
		}

	}



/* svar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_svarz00_bglt BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 845 */
			{	/* Cfa/cinfo.sch 845 */
				obj_t BgL_classz00_4793;

				BgL_classz00_4793 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 845 */
					obj_t BgL__ortest_1117z00_4794;

					BgL__ortest_1117z00_4794 = BGL_CLASS_NIL(BgL_classz00_4793);
					if (CBOOL(BgL__ortest_1117z00_4794))
						{	/* Cfa/cinfo.sch 845 */
							return ((BgL_svarz00_bglt) BgL__ortest_1117z00_4794);
						}
					else
						{	/* Cfa/cinfo.sch 845 */
							return
								((BgL_svarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4793));
						}
				}
			}
		}

	}



/* &svar/Cinfo-nil */
	BgL_svarz00_bglt BGl_z62svarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7630)
	{
		{	/* Cfa/cinfo.sch 845 */
			return BGl_svarzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* svar/Cinfo-stamp */
	BGL_EXPORTED_DEF long
		BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_318)
	{
		{	/* Cfa/cinfo.sch 846 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12353;

				{
					obj_t BgL_auxz00_12354;

					{	/* Cfa/cinfo.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_12355;

						BgL_tmpz00_12355 = ((BgL_objectz00_bglt) BgL_oz00_318);
						BgL_auxz00_12354 = BGL_OBJECT_WIDENING(BgL_tmpz00_12355);
					}
					BgL_auxz00_12353 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12354);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12353))->
					BgL_stampz00);
			}
		}

	}



/* &svar/Cinfo-stamp */
	obj_t BGl_z62svarzf2Cinfozd2stampz42zzcfa_infoz00(obj_t BgL_envz00_7631,
		obj_t BgL_oz00_7632)
	{
		{	/* Cfa/cinfo.sch 846 */
			return
				BINT(BGl_svarzf2Cinfozd2stampz20zzcfa_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_7632)));
		}

	}



/* svar/Cinfo-stamp-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_319, long BgL_vz00_320)
	{
		{	/* Cfa/cinfo.sch 847 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12363;

				{
					obj_t BgL_auxz00_12364;

					{	/* Cfa/cinfo.sch 847 */
						BgL_objectz00_bglt BgL_tmpz00_12365;

						BgL_tmpz00_12365 = ((BgL_objectz00_bglt) BgL_oz00_319);
						BgL_auxz00_12364 = BGL_OBJECT_WIDENING(BgL_tmpz00_12365);
					}
					BgL_auxz00_12363 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12364);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12363))->
						BgL_stampz00) = ((long) BgL_vz00_320), BUNSPEC);
		}}

	}



/* &svar/Cinfo-stamp-set! */
	obj_t BGl_z62svarzf2Cinfozd2stampzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7633, obj_t BgL_oz00_7634, obj_t BgL_vz00_7635)
	{
		{	/* Cfa/cinfo.sch 847 */
			return
				BGl_svarzf2Cinfozd2stampzd2setz12ze0zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7634), (long) CINT(BgL_vz00_7635));
		}

	}



/* svar/Cinfo-clo-env? */
	BGL_EXPORTED_DEF bool_t
		BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_321)
	{
		{	/* Cfa/cinfo.sch 848 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12373;

				{
					obj_t BgL_auxz00_12374;

					{	/* Cfa/cinfo.sch 848 */
						BgL_objectz00_bglt BgL_tmpz00_12375;

						BgL_tmpz00_12375 = ((BgL_objectz00_bglt) BgL_oz00_321);
						BgL_auxz00_12374 = BGL_OBJECT_WIDENING(BgL_tmpz00_12375);
					}
					BgL_auxz00_12373 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12374);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12373))->
					BgL_clozd2envzf3z21);
			}
		}

	}



/* &svar/Cinfo-clo-env? */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3z63zzcfa_infoz00(obj_t
		BgL_envz00_7636, obj_t BgL_oz00_7637)
	{
		{	/* Cfa/cinfo.sch 848 */
			return
				BBOOL(BGl_svarzf2Cinfozd2clozd2envzf3z01zzcfa_infoz00(
					((BgL_svarz00_bglt) BgL_oz00_7637)));
		}

	}



/* svar/Cinfo-clo-env?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_322, bool_t BgL_vz00_323)
	{
		{	/* Cfa/cinfo.sch 849 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12383;

				{
					obj_t BgL_auxz00_12384;

					{	/* Cfa/cinfo.sch 849 */
						BgL_objectz00_bglt BgL_tmpz00_12385;

						BgL_tmpz00_12385 = ((BgL_objectz00_bglt) BgL_oz00_322);
						BgL_auxz00_12384 = BGL_OBJECT_WIDENING(BgL_tmpz00_12385);
					}
					BgL_auxz00_12383 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12384);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12383))->
						BgL_clozd2envzf3z21) = ((bool_t) BgL_vz00_323), BUNSPEC);
			}
		}

	}



/* &svar/Cinfo-clo-env?-set! */
	obj_t BGl_z62svarzf2Cinfozd2clozd2envzf3zd2setz12za3zzcfa_infoz00(obj_t
		BgL_envz00_7638, obj_t BgL_oz00_7639, obj_t BgL_vz00_7640)
	{
		{	/* Cfa/cinfo.sch 849 */
			return
				BGl_svarzf2Cinfozd2clozd2envzf3zd2setz12zc1zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7639), CBOOL(BgL_vz00_7640));
		}

	}



/* svar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_svarz00_bglt BgL_oz00_324)
	{
		{	/* Cfa/cinfo.sch 850 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_12393;

				{
					obj_t BgL_auxz00_12394;

					{	/* Cfa/cinfo.sch 850 */
						BgL_objectz00_bglt BgL_tmpz00_12395;

						BgL_tmpz00_12395 = ((BgL_objectz00_bglt) BgL_oz00_324);
						BgL_auxz00_12394 = BGL_OBJECT_WIDENING(BgL_tmpz00_12395);
					}
					BgL_auxz00_12393 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_12394);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12393))->
					BgL_approxz00);
			}
		}

	}



/* &svar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62svarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7641, obj_t BgL_oz00_7642)
	{
		{	/* Cfa/cinfo.sch 850 */
			return
				BGl_svarzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7642));
		}

	}



/* svar/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_327)
	{
		{	/* Cfa/cinfo.sch 852 */
			return
				(((BgL_svarz00_bglt) COBJECT(
						((BgL_svarz00_bglt) BgL_oz00_327)))->BgL_locz00);
		}

	}



/* &svar/Cinfo-loc */
	obj_t BGl_z62svarzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7643,
		obj_t BgL_oz00_7644)
	{
		{	/* Cfa/cinfo.sch 852 */
			return
				BGl_svarzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7644));
		}

	}



/* svar/Cinfo-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(BgL_svarz00_bglt
		BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Cfa/cinfo.sch 853 */
			return
				((((BgL_svarz00_bglt) COBJECT(
							((BgL_svarz00_bglt) BgL_oz00_328)))->BgL_locz00) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &svar/Cinfo-loc-set! */
	obj_t BGl_z62svarzf2Cinfozd2loczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7645, obj_t BgL_oz00_7646, obj_t BgL_vz00_7647)
	{
		{	/* Cfa/cinfo.sch 853 */
			return
				BGl_svarzf2Cinfozd2loczd2setz12ze0zzcfa_infoz00(
				((BgL_svarz00_bglt) BgL_oz00_7646), BgL_vz00_7647);
		}

	}



/* make-cvar/Cinfo */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt
		BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(bool_t BgL_macrozf31754zf3_330,
		BgL_approxz00_bglt BgL_approx1755z00_331)
	{
		{	/* Cfa/cinfo.sch 856 */
			{	/* Cfa/cinfo.sch 856 */
				BgL_cvarz00_bglt BgL_new1576z00_9682;

				{	/* Cfa/cinfo.sch 856 */
					BgL_cvarz00_bglt BgL_tmp1574z00_9683;
					BgL_cvarzf2cinfozf2_bglt BgL_wide1575z00_9684;

					{
						BgL_cvarz00_bglt BgL_auxz00_12410;

						{	/* Cfa/cinfo.sch 856 */
							BgL_cvarz00_bglt BgL_new1573z00_9685;

							BgL_new1573z00_9685 =
								((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_cvarz00_bgl))));
							{	/* Cfa/cinfo.sch 856 */
								long BgL_arg2011z00_9686;

								BgL_arg2011z00_9686 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1573z00_9685),
									BgL_arg2011z00_9686);
							}
							{	/* Cfa/cinfo.sch 856 */
								BgL_objectz00_bglt BgL_tmpz00_12415;

								BgL_tmpz00_12415 = ((BgL_objectz00_bglt) BgL_new1573z00_9685);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12415, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1573z00_9685);
							BgL_auxz00_12410 = BgL_new1573z00_9685;
						}
						BgL_tmp1574z00_9683 = ((BgL_cvarz00_bglt) BgL_auxz00_12410);
					}
					BgL_wide1575z00_9684 =
						((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_cvarzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 856 */
						obj_t BgL_auxz00_12423;
						BgL_objectz00_bglt BgL_tmpz00_12421;

						BgL_auxz00_12423 = ((obj_t) BgL_wide1575z00_9684);
						BgL_tmpz00_12421 = ((BgL_objectz00_bglt) BgL_tmp1574z00_9683);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12421, BgL_auxz00_12423);
					}
					((BgL_objectz00_bglt) BgL_tmp1574z00_9683);
					{	/* Cfa/cinfo.sch 856 */
						long BgL_arg2010z00_9687;

						BgL_arg2010z00_9687 =
							BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1574z00_9683), BgL_arg2010z00_9687);
					}
					BgL_new1576z00_9682 = ((BgL_cvarz00_bglt) BgL_tmp1574z00_9683);
				}
				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt) BgL_new1576z00_9682)))->BgL_macrozf3zf3) =
					((bool_t) BgL_macrozf31754zf3_330), BUNSPEC);
				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_12433;

					{
						obj_t BgL_auxz00_12434;

						{	/* Cfa/cinfo.sch 856 */
							BgL_objectz00_bglt BgL_tmpz00_12435;

							BgL_tmpz00_12435 = ((BgL_objectz00_bglt) BgL_new1576z00_9682);
							BgL_auxz00_12434 = BGL_OBJECT_WIDENING(BgL_tmpz00_12435);
						}
						BgL_auxz00_12433 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_12434);
					}
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12433))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1755z00_331), BUNSPEC);
				}
				return BgL_new1576z00_9682;
			}
		}

	}



/* &make-cvar/Cinfo */
	BgL_cvarz00_bglt BGl_z62makezd2cvarzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7648, obj_t BgL_macrozf31754zf3_7649,
		obj_t BgL_approx1755z00_7650)
	{
		{	/* Cfa/cinfo.sch 856 */
			return
				BGl_makezd2cvarzf2Cinfoz20zzcfa_infoz00(CBOOL(BgL_macrozf31754zf3_7649),
				((BgL_approxz00_bglt) BgL_approx1755z00_7650));
		}

	}



/* cvar/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_332)
	{
		{	/* Cfa/cinfo.sch 857 */
			{	/* Cfa/cinfo.sch 857 */
				obj_t BgL_classz00_9688;

				BgL_classz00_9688 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_332))
					{	/* Cfa/cinfo.sch 857 */
						BgL_objectz00_bglt BgL_arg1858z00_9689;

						BgL_arg1858z00_9689 = (BgL_objectz00_bglt) (BgL_objz00_332);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 857 */
								long BgL_idxz00_9690;

								BgL_idxz00_9690 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9689);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9690 + 3L)) == BgL_classz00_9688);
							}
						else
							{	/* Cfa/cinfo.sch 857 */
								bool_t BgL_res3106z00_9693;

								{	/* Cfa/cinfo.sch 857 */
									obj_t BgL_oclassz00_9694;

									{	/* Cfa/cinfo.sch 857 */
										obj_t BgL_arg1866z00_9695;
										long BgL_arg1867z00_9696;

										BgL_arg1866z00_9695 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 857 */
											long BgL_arg1869z00_9697;

											BgL_arg1869z00_9697 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9689);
											BgL_arg1867z00_9696 = (BgL_arg1869z00_9697 - OBJECT_TYPE);
										}
										BgL_oclassz00_9694 =
											VECTOR_REF(BgL_arg1866z00_9695, BgL_arg1867z00_9696);
									}
									{	/* Cfa/cinfo.sch 857 */
										bool_t BgL__ortest_1115z00_9698;

										BgL__ortest_1115z00_9698 =
											(BgL_classz00_9688 == BgL_oclassz00_9694);
										if (BgL__ortest_1115z00_9698)
											{	/* Cfa/cinfo.sch 857 */
												BgL_res3106z00_9693 = BgL__ortest_1115z00_9698;
											}
										else
											{	/* Cfa/cinfo.sch 857 */
												long BgL_odepthz00_9699;

												{	/* Cfa/cinfo.sch 857 */
													obj_t BgL_arg1855z00_9700;

													BgL_arg1855z00_9700 = (BgL_oclassz00_9694);
													BgL_odepthz00_9699 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9700);
												}
												if ((3L < BgL_odepthz00_9699))
													{	/* Cfa/cinfo.sch 857 */
														obj_t BgL_arg1853z00_9701;

														{	/* Cfa/cinfo.sch 857 */
															obj_t BgL_arg1854z00_9702;

															BgL_arg1854z00_9702 = (BgL_oclassz00_9694);
															BgL_arg1853z00_9701 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9702,
																3L);
														}
														BgL_res3106z00_9693 =
															(BgL_arg1853z00_9701 == BgL_classz00_9688);
													}
												else
													{	/* Cfa/cinfo.sch 857 */
														BgL_res3106z00_9693 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3106z00_9693;
							}
					}
				else
					{	/* Cfa/cinfo.sch 857 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cvar/Cinfo? */
	obj_t BGl_z62cvarzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7651,
		obj_t BgL_objz00_7652)
	{
		{	/* Cfa/cinfo.sch 857 */
			return BBOOL(BGl_cvarzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7652));
		}

	}



/* cvar/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_cvarz00_bglt BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 858 */
			{	/* Cfa/cinfo.sch 858 */
				obj_t BgL_classz00_4849;

				BgL_classz00_4849 = BGl_cvarzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 858 */
					obj_t BgL__ortest_1117z00_4850;

					BgL__ortest_1117z00_4850 = BGL_CLASS_NIL(BgL_classz00_4849);
					if (CBOOL(BgL__ortest_1117z00_4850))
						{	/* Cfa/cinfo.sch 858 */
							return ((BgL_cvarz00_bglt) BgL__ortest_1117z00_4850);
						}
					else
						{	/* Cfa/cinfo.sch 858 */
							return
								((BgL_cvarz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4849));
						}
				}
			}
		}

	}



/* &cvar/Cinfo-nil */
	BgL_cvarz00_bglt BGl_z62cvarzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7653)
	{
		{	/* Cfa/cinfo.sch 858 */
			return BGl_cvarzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* cvar/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(BgL_cvarz00_bglt BgL_oz00_333)
	{
		{	/* Cfa/cinfo.sch 859 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_12474;

				{
					obj_t BgL_auxz00_12475;

					{	/* Cfa/cinfo.sch 859 */
						BgL_objectz00_bglt BgL_tmpz00_12476;

						BgL_tmpz00_12476 = ((BgL_objectz00_bglt) BgL_oz00_333);
						BgL_auxz00_12475 = BGL_OBJECT_WIDENING(BgL_tmpz00_12476);
					}
					BgL_auxz00_12474 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_12475);
				}
				return
					(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12474))->
					BgL_approxz00);
			}
		}

	}



/* &cvar/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62cvarzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7654, obj_t BgL_oz00_7655)
	{
		{	/* Cfa/cinfo.sch 859 */
			return
				BGl_cvarzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_cvarz00_bglt) BgL_oz00_7655));
		}

	}



/* cvar/Cinfo-macro? */
	BGL_EXPORTED_DEF bool_t
		BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(BgL_cvarz00_bglt BgL_oz00_336)
	{
		{	/* Cfa/cinfo.sch 861 */
			return
				(((BgL_cvarz00_bglt) COBJECT(
						((BgL_cvarz00_bglt) BgL_oz00_336)))->BgL_macrozf3zf3);
		}

	}



/* &cvar/Cinfo-macro? */
	obj_t BGl_z62cvarzf2Cinfozd2macrozf3zb1zzcfa_infoz00(obj_t BgL_envz00_7656,
		obj_t BgL_oz00_7657)
	{
		{	/* Cfa/cinfo.sch 861 */
			return
				BBOOL(BGl_cvarzf2Cinfozd2macrozf3zd3zzcfa_infoz00(
					((BgL_cvarz00_bglt) BgL_oz00_7657)));
		}

	}



/* make-sexit/Cinfo */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(obj_t BgL_handler1750z00_339,
		bool_t BgL_detachedzf31751zf3_340, BgL_approxz00_bglt BgL_approx1752z00_341)
	{
		{	/* Cfa/cinfo.sch 865 */
			{	/* Cfa/cinfo.sch 865 */
				BgL_sexitz00_bglt BgL_new1580z00_9703;

				{	/* Cfa/cinfo.sch 865 */
					BgL_sexitz00_bglt BgL_tmp1578z00_9704;
					BgL_sexitzf2cinfozf2_bglt BgL_wide1579z00_9705;

					{
						BgL_sexitz00_bglt BgL_auxz00_12488;

						{	/* Cfa/cinfo.sch 865 */
							BgL_sexitz00_bglt BgL_new1577z00_9706;

							BgL_new1577z00_9706 =
								((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_sexitz00_bgl))));
							{	/* Cfa/cinfo.sch 865 */
								long BgL_arg2013z00_9707;

								BgL_arg2013z00_9707 = BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1577z00_9706),
									BgL_arg2013z00_9707);
							}
							{	/* Cfa/cinfo.sch 865 */
								BgL_objectz00_bglt BgL_tmpz00_12493;

								BgL_tmpz00_12493 = ((BgL_objectz00_bglt) BgL_new1577z00_9706);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12493, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1577z00_9706);
							BgL_auxz00_12488 = BgL_new1577z00_9706;
						}
						BgL_tmp1578z00_9704 = ((BgL_sexitz00_bglt) BgL_auxz00_12488);
					}
					BgL_wide1579z00_9705 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 865 */
						obj_t BgL_auxz00_12501;
						BgL_objectz00_bglt BgL_tmpz00_12499;

						BgL_auxz00_12501 = ((obj_t) BgL_wide1579z00_9705);
						BgL_tmpz00_12499 = ((BgL_objectz00_bglt) BgL_tmp1578z00_9704);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12499, BgL_auxz00_12501);
					}
					((BgL_objectz00_bglt) BgL_tmp1578z00_9704);
					{	/* Cfa/cinfo.sch 865 */
						long BgL_arg2012z00_9708;

						BgL_arg2012z00_9708 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1578z00_9704), BgL_arg2012z00_9708);
					}
					BgL_new1580z00_9703 = ((BgL_sexitz00_bglt) BgL_tmp1578z00_9704);
				}
				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt) BgL_new1580z00_9703)))->BgL_handlerz00) =
					((obj_t) BgL_handler1750z00_339), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
									BgL_new1580z00_9703)))->BgL_detachedzf3zf3) =
					((bool_t) BgL_detachedzf31751zf3_340), BUNSPEC);
				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_12513;

					{
						obj_t BgL_auxz00_12514;

						{	/* Cfa/cinfo.sch 865 */
							BgL_objectz00_bglt BgL_tmpz00_12515;

							BgL_tmpz00_12515 = ((BgL_objectz00_bglt) BgL_new1580z00_9703);
							BgL_auxz00_12514 = BGL_OBJECT_WIDENING(BgL_tmpz00_12515);
						}
						BgL_auxz00_12513 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_12514);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12513))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1752z00_341), BUNSPEC);
				}
				return BgL_new1580z00_9703;
			}
		}

	}



/* &make-sexit/Cinfo */
	BgL_sexitz00_bglt BGl_z62makezd2sexitzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7658, obj_t BgL_handler1750z00_7659,
		obj_t BgL_detachedzf31751zf3_7660, obj_t BgL_approx1752z00_7661)
	{
		{	/* Cfa/cinfo.sch 865 */
			return
				BGl_makezd2sexitzf2Cinfoz20zzcfa_infoz00(BgL_handler1750z00_7659,
				CBOOL(BgL_detachedzf31751zf3_7660),
				((BgL_approxz00_bglt) BgL_approx1752z00_7661));
		}

	}



/* sexit/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_342)
	{
		{	/* Cfa/cinfo.sch 866 */
			{	/* Cfa/cinfo.sch 866 */
				obj_t BgL_classz00_9709;

				BgL_classz00_9709 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_342))
					{	/* Cfa/cinfo.sch 866 */
						BgL_objectz00_bglt BgL_arg1858z00_9710;

						BgL_arg1858z00_9710 = (BgL_objectz00_bglt) (BgL_objz00_342);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 866 */
								long BgL_idxz00_9711;

								BgL_idxz00_9711 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9710);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9711 + 3L)) == BgL_classz00_9709);
							}
						else
							{	/* Cfa/cinfo.sch 866 */
								bool_t BgL_res3107z00_9714;

								{	/* Cfa/cinfo.sch 866 */
									obj_t BgL_oclassz00_9715;

									{	/* Cfa/cinfo.sch 866 */
										obj_t BgL_arg1866z00_9716;
										long BgL_arg1867z00_9717;

										BgL_arg1866z00_9716 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 866 */
											long BgL_arg1869z00_9718;

											BgL_arg1869z00_9718 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9710);
											BgL_arg1867z00_9717 = (BgL_arg1869z00_9718 - OBJECT_TYPE);
										}
										BgL_oclassz00_9715 =
											VECTOR_REF(BgL_arg1866z00_9716, BgL_arg1867z00_9717);
									}
									{	/* Cfa/cinfo.sch 866 */
										bool_t BgL__ortest_1115z00_9719;

										BgL__ortest_1115z00_9719 =
											(BgL_classz00_9709 == BgL_oclassz00_9715);
										if (BgL__ortest_1115z00_9719)
											{	/* Cfa/cinfo.sch 866 */
												BgL_res3107z00_9714 = BgL__ortest_1115z00_9719;
											}
										else
											{	/* Cfa/cinfo.sch 866 */
												long BgL_odepthz00_9720;

												{	/* Cfa/cinfo.sch 866 */
													obj_t BgL_arg1855z00_9721;

													BgL_arg1855z00_9721 = (BgL_oclassz00_9715);
													BgL_odepthz00_9720 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9721);
												}
												if ((3L < BgL_odepthz00_9720))
													{	/* Cfa/cinfo.sch 866 */
														obj_t BgL_arg1853z00_9722;

														{	/* Cfa/cinfo.sch 866 */
															obj_t BgL_arg1854z00_9723;

															BgL_arg1854z00_9723 = (BgL_oclassz00_9715);
															BgL_arg1853z00_9722 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9723,
																3L);
														}
														BgL_res3107z00_9714 =
															(BgL_arg1853z00_9722 == BgL_classz00_9709);
													}
												else
													{	/* Cfa/cinfo.sch 866 */
														BgL_res3107z00_9714 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3107z00_9714;
							}
					}
				else
					{	/* Cfa/cinfo.sch 866 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sexit/Cinfo? */
	obj_t BGl_z62sexitzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7662,
		obj_t BgL_objz00_7663)
	{
		{	/* Cfa/cinfo.sch 866 */
			return BBOOL(BGl_sexitzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7663));
		}

	}



/* sexit/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_sexitz00_bglt
		BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 867 */
			{	/* Cfa/cinfo.sch 867 */
				obj_t BgL_classz00_4901;

				BgL_classz00_4901 = BGl_sexitzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 867 */
					obj_t BgL__ortest_1117z00_4902;

					BgL__ortest_1117z00_4902 = BGL_CLASS_NIL(BgL_classz00_4901);
					if (CBOOL(BgL__ortest_1117z00_4902))
						{	/* Cfa/cinfo.sch 867 */
							return ((BgL_sexitz00_bglt) BgL__ortest_1117z00_4902);
						}
					else
						{	/* Cfa/cinfo.sch 867 */
							return
								((BgL_sexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4901));
						}
				}
			}
		}

	}



/* &sexit/Cinfo-nil */
	BgL_sexitz00_bglt BGl_z62sexitzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7664)
	{
		{	/* Cfa/cinfo.sch 867 */
			return BGl_sexitzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* sexit/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(BgL_sexitz00_bglt BgL_oz00_343)
	{
		{	/* Cfa/cinfo.sch 868 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_12554;

				{
					obj_t BgL_auxz00_12555;

					{	/* Cfa/cinfo.sch 868 */
						BgL_objectz00_bglt BgL_tmpz00_12556;

						BgL_tmpz00_12556 = ((BgL_objectz00_bglt) BgL_oz00_343);
						BgL_auxz00_12555 = BGL_OBJECT_WIDENING(BgL_tmpz00_12556);
					}
					BgL_auxz00_12554 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_12555);
				}
				return
					(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_12554))->
					BgL_approxz00);
			}
		}

	}



/* &sexit/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62sexitzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7665, obj_t BgL_oz00_7666)
	{
		{	/* Cfa/cinfo.sch 868 */
			return
				BGl_sexitzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7666));
		}

	}



/* sexit/Cinfo-detached? */
	BGL_EXPORTED_DEF bool_t
		BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_346)
	{
		{	/* Cfa/cinfo.sch 870 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_346)))->BgL_detachedzf3zf3);
		}

	}



/* &sexit/Cinfo-detached? */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_7667, obj_t BgL_oz00_7668)
	{
		{	/* Cfa/cinfo.sch 870 */
			return
				BBOOL(BGl_sexitzf2Cinfozd2detachedzf3zd3zzcfa_infoz00(
					((BgL_sexitz00_bglt) BgL_oz00_7668)));
		}

	}



/* sexit/Cinfo-detached?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_347, bool_t BgL_vz00_348)
	{
		{	/* Cfa/cinfo.sch 871 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_347)))->BgL_detachedzf3zf3) =
				((bool_t) BgL_vz00_348), BUNSPEC);
		}

	}



/* &sexit/Cinfo-detached?-set! */
	obj_t BGl_z62sexitzf2Cinfozd2detachedzf3zd2setz12z71zzcfa_infoz00(obj_t
		BgL_envz00_7669, obj_t BgL_oz00_7670, obj_t BgL_vz00_7671)
	{
		{	/* Cfa/cinfo.sch 871 */
			return
				BGl_sexitzf2Cinfozd2detachedzf3zd2setz12z13zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7670), CBOOL(BgL_vz00_7671));
		}

	}



/* sexit/Cinfo-handler */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(BgL_sexitz00_bglt BgL_oz00_349)
	{
		{	/* Cfa/cinfo.sch 872 */
			return
				(((BgL_sexitz00_bglt) COBJECT(
						((BgL_sexitz00_bglt) BgL_oz00_349)))->BgL_handlerz00);
		}

	}



/* &sexit/Cinfo-handler */
	obj_t BGl_z62sexitzf2Cinfozd2handlerz42zzcfa_infoz00(obj_t BgL_envz00_7672,
		obj_t BgL_oz00_7673)
	{
		{	/* Cfa/cinfo.sch 872 */
			return
				BGl_sexitzf2Cinfozd2handlerz20zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7673));
		}

	}



/* sexit/Cinfo-handler-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(BgL_sexitz00_bglt
		BgL_oz00_350, obj_t BgL_vz00_351)
	{
		{	/* Cfa/cinfo.sch 873 */
			return
				((((BgL_sexitz00_bglt) COBJECT(
							((BgL_sexitz00_bglt) BgL_oz00_350)))->BgL_handlerz00) =
				((obj_t) BgL_vz00_351), BUNSPEC);
		}

	}



/* &sexit/Cinfo-handler-set! */
	obj_t BGl_z62sexitzf2Cinfozd2handlerzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7674, obj_t BgL_oz00_7675, obj_t BgL_vz00_7676)
	{
		{	/* Cfa/cinfo.sch 873 */
			return
				BGl_sexitzf2Cinfozd2handlerzd2setz12ze0zzcfa_infoz00(
				((BgL_sexitz00_bglt) BgL_oz00_7675), BgL_vz00_7676);
		}

	}



/* make-reshaped-local */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2reshapedzd2localz00zzcfa_infoz00(obj_t BgL_id1734z00_352,
		obj_t BgL_name1735z00_353, BgL_typez00_bglt BgL_type1737z00_354,
		BgL_valuez00_bglt BgL_value1738z00_355, obj_t BgL_access1739z00_356,
		obj_t BgL_fastzd2alpha1740zd2_357, obj_t BgL_removable1741z00_358,
		long BgL_occurrence1742z00_359, long BgL_occurrencew1743z00_360,
		bool_t BgL_userzf31744zf3_361, long BgL_key1745z00_362,
		obj_t BgL_valzd2noescape1746zd2_363, bool_t BgL_volatile1747z00_364,
		obj_t BgL_bindingzd2value1748zd2_365)
	{
		{	/* Cfa/cinfo.sch 876 */
			{	/* Cfa/cinfo.sch 876 */
				BgL_localz00_bglt BgL_new1584z00_9724;

				{	/* Cfa/cinfo.sch 876 */
					BgL_localz00_bglt BgL_tmp1582z00_9725;
					BgL_reshapedzd2localzd2_bglt BgL_wide1583z00_9726;

					{
						BgL_localz00_bglt BgL_auxz00_12581;

						{	/* Cfa/cinfo.sch 876 */
							BgL_localz00_bglt BgL_new1581z00_9727;

							BgL_new1581z00_9727 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Cfa/cinfo.sch 876 */
								long BgL_arg2015z00_9728;

								BgL_arg2015z00_9728 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1581z00_9727),
									BgL_arg2015z00_9728);
							}
							{	/* Cfa/cinfo.sch 876 */
								BgL_objectz00_bglt BgL_tmpz00_12586;

								BgL_tmpz00_12586 = ((BgL_objectz00_bglt) BgL_new1581z00_9727);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12586, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1581z00_9727);
							BgL_auxz00_12581 = BgL_new1581z00_9727;
						}
						BgL_tmp1582z00_9725 = ((BgL_localz00_bglt) BgL_auxz00_12581);
					}
					BgL_wide1583z00_9726 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/cinfo.sch 876 */
						obj_t BgL_auxz00_12594;
						BgL_objectz00_bglt BgL_tmpz00_12592;

						BgL_auxz00_12594 = ((obj_t) BgL_wide1583z00_9726);
						BgL_tmpz00_12592 = ((BgL_objectz00_bglt) BgL_tmp1582z00_9725);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12592, BgL_auxz00_12594);
					}
					((BgL_objectz00_bglt) BgL_tmp1582z00_9725);
					{	/* Cfa/cinfo.sch 876 */
						long BgL_arg2014z00_9729;

						BgL_arg2014z00_9729 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1582z00_9725), BgL_arg2014z00_9729);
					}
					BgL_new1584z00_9724 = ((BgL_localz00_bglt) BgL_tmp1582z00_9725);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1584z00_9724)))->BgL_idz00) =
					((obj_t) BgL_id1734z00_352), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_namez00) =
					((obj_t) BgL_name1735z00_353), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1737z00_354), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1738z00_355), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_accessz00) =
					((obj_t) BgL_access1739z00_356), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1740zd2_357), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_removablez00) =
					((obj_t) BgL_removable1741z00_358), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_occurrencez00) =
					((long) BgL_occurrence1742z00_359), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1743z00_360), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1584z00_9724)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31744zf3_361), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1584z00_9724)))->BgL_keyz00) =
					((long) BgL_key1745z00_362), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1584z00_9724)))->BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1746zd2_363), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1584z00_9724)))->BgL_volatilez00) =
					((bool_t) BgL_volatile1747z00_364), BUNSPEC);
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_12628;

					{
						obj_t BgL_auxz00_12629;

						{	/* Cfa/cinfo.sch 876 */
							BgL_objectz00_bglt BgL_tmpz00_12630;

							BgL_tmpz00_12630 = ((BgL_objectz00_bglt) BgL_new1584z00_9724);
							BgL_auxz00_12629 = BGL_OBJECT_WIDENING(BgL_tmpz00_12630);
						}
						BgL_auxz00_12628 =
							((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_12629);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_12628))->
							BgL_bindingzd2valuezd2) =
						((obj_t) BgL_bindingzd2value1748zd2_365), BUNSPEC);
				}
				return BgL_new1584z00_9724;
			}
		}

	}



/* &make-reshaped-local */
	BgL_localz00_bglt BGl_z62makezd2reshapedzd2localz62zzcfa_infoz00(obj_t
		BgL_envz00_7677, obj_t BgL_id1734z00_7678, obj_t BgL_name1735z00_7679,
		obj_t BgL_type1737z00_7680, obj_t BgL_value1738z00_7681,
		obj_t BgL_access1739z00_7682, obj_t BgL_fastzd2alpha1740zd2_7683,
		obj_t BgL_removable1741z00_7684, obj_t BgL_occurrence1742z00_7685,
		obj_t BgL_occurrencew1743z00_7686, obj_t BgL_userzf31744zf3_7687,
		obj_t BgL_key1745z00_7688, obj_t BgL_valzd2noescape1746zd2_7689,
		obj_t BgL_volatile1747z00_7690, obj_t BgL_bindingzd2value1748zd2_7691)
	{
		{	/* Cfa/cinfo.sch 876 */
			return
				BGl_makezd2reshapedzd2localz00zzcfa_infoz00(BgL_id1734z00_7678,
				BgL_name1735z00_7679, ((BgL_typez00_bglt) BgL_type1737z00_7680),
				((BgL_valuez00_bglt) BgL_value1738z00_7681), BgL_access1739z00_7682,
				BgL_fastzd2alpha1740zd2_7683, BgL_removable1741z00_7684,
				(long) CINT(BgL_occurrence1742z00_7685),
				(long) CINT(BgL_occurrencew1743z00_7686),
				CBOOL(BgL_userzf31744zf3_7687), (long) CINT(BgL_key1745z00_7688),
				BgL_valzd2noescape1746zd2_7689, CBOOL(BgL_volatile1747z00_7690),
				BgL_bindingzd2value1748zd2_7691);
		}

	}



/* reshaped-local? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2localzf3z21zzcfa_infoz00(obj_t
		BgL_objz00_366)
	{
		{	/* Cfa/cinfo.sch 877 */
			{	/* Cfa/cinfo.sch 877 */
				obj_t BgL_classz00_9730;

				BgL_classz00_9730 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_366))
					{	/* Cfa/cinfo.sch 877 */
						BgL_objectz00_bglt BgL_arg1858z00_9731;

						BgL_arg1858z00_9731 = (BgL_objectz00_bglt) (BgL_objz00_366);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 877 */
								long BgL_idxz00_9732;

								BgL_idxz00_9732 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9731);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9732 + 3L)) == BgL_classz00_9730);
							}
						else
							{	/* Cfa/cinfo.sch 877 */
								bool_t BgL_res3108z00_9735;

								{	/* Cfa/cinfo.sch 877 */
									obj_t BgL_oclassz00_9736;

									{	/* Cfa/cinfo.sch 877 */
										obj_t BgL_arg1866z00_9737;
										long BgL_arg1867z00_9738;

										BgL_arg1866z00_9737 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 877 */
											long BgL_arg1869z00_9739;

											BgL_arg1869z00_9739 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9731);
											BgL_arg1867z00_9738 = (BgL_arg1869z00_9739 - OBJECT_TYPE);
										}
										BgL_oclassz00_9736 =
											VECTOR_REF(BgL_arg1866z00_9737, BgL_arg1867z00_9738);
									}
									{	/* Cfa/cinfo.sch 877 */
										bool_t BgL__ortest_1115z00_9740;

										BgL__ortest_1115z00_9740 =
											(BgL_classz00_9730 == BgL_oclassz00_9736);
										if (BgL__ortest_1115z00_9740)
											{	/* Cfa/cinfo.sch 877 */
												BgL_res3108z00_9735 = BgL__ortest_1115z00_9740;
											}
										else
											{	/* Cfa/cinfo.sch 877 */
												long BgL_odepthz00_9741;

												{	/* Cfa/cinfo.sch 877 */
													obj_t BgL_arg1855z00_9742;

													BgL_arg1855z00_9742 = (BgL_oclassz00_9736);
													BgL_odepthz00_9741 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9742);
												}
												if ((3L < BgL_odepthz00_9741))
													{	/* Cfa/cinfo.sch 877 */
														obj_t BgL_arg1853z00_9743;

														{	/* Cfa/cinfo.sch 877 */
															obj_t BgL_arg1854z00_9744;

															BgL_arg1854z00_9744 = (BgL_oclassz00_9736);
															BgL_arg1853z00_9743 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9744,
																3L);
														}
														BgL_res3108z00_9735 =
															(BgL_arg1853z00_9743 == BgL_classz00_9730);
													}
												else
													{	/* Cfa/cinfo.sch 877 */
														BgL_res3108z00_9735 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3108z00_9735;
							}
					}
				else
					{	/* Cfa/cinfo.sch 877 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-local? */
	obj_t BGl_z62reshapedzd2localzf3z43zzcfa_infoz00(obj_t BgL_envz00_7692,
		obj_t BgL_objz00_7693)
	{
		{	/* Cfa/cinfo.sch 877 */
			return BBOOL(BGl_reshapedzd2localzf3z21zzcfa_infoz00(BgL_objz00_7693));
		}

	}



/* reshaped-local-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_reshapedzd2localzd2nilz00zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 878 */
			{	/* Cfa/cinfo.sch 878 */
				obj_t BgL_classz00_4953;

				BgL_classz00_4953 = BGl_reshapedzd2localzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 878 */
					obj_t BgL__ortest_1117z00_4954;

					BgL__ortest_1117z00_4954 = BGL_CLASS_NIL(BgL_classz00_4953);
					if (CBOOL(BgL__ortest_1117z00_4954))
						{	/* Cfa/cinfo.sch 878 */
							return ((BgL_localz00_bglt) BgL__ortest_1117z00_4954);
						}
					else
						{	/* Cfa/cinfo.sch 878 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4953));
						}
				}
			}
		}

	}



/* &reshaped-local-nil */
	BgL_localz00_bglt BGl_z62reshapedzd2localzd2nilz62zzcfa_infoz00(obj_t
		BgL_envz00_7694)
	{
		{	/* Cfa/cinfo.sch 878 */
			return BGl_reshapedzd2localzd2nilz00zzcfa_infoz00();
		}

	}



/* reshaped-local-binding-value */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_367)
	{
		{	/* Cfa/cinfo.sch 879 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_12674;

				{
					obj_t BgL_auxz00_12675;

					{	/* Cfa/cinfo.sch 879 */
						BgL_objectz00_bglt BgL_tmpz00_12676;

						BgL_tmpz00_12676 = ((BgL_objectz00_bglt) BgL_oz00_367);
						BgL_auxz00_12675 = BGL_OBJECT_WIDENING(BgL_tmpz00_12676);
					}
					BgL_auxz00_12674 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_12675);
				}
				return
					(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_12674))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* &reshaped-local-binding-value */
	obj_t BGl_z62reshapedzd2localzd2bindingzd2valuezb0zzcfa_infoz00(obj_t
		BgL_envz00_7695, obj_t BgL_oz00_7696)
	{
		{	/* Cfa/cinfo.sch 879 */
			return
				BGl_reshapedzd2localzd2bindingzd2valuezd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7696));
		}

	}



/* reshaped-local-volatile */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_370)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_370)))->BgL_volatilez00);
		}

	}



/* &reshaped-local-volatile */
	obj_t BGl_z62reshapedzd2localzd2volatilez62zzcfa_infoz00(obj_t
		BgL_envz00_7697, obj_t BgL_oz00_7698)
	{
		{	/* Cfa/cinfo.sch 881 */
			return
				BBOOL(BGl_reshapedzd2localzd2volatilez00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7698)));
		}

	}



/* reshaped-local-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_371, bool_t BgL_vz00_372)
	{
		{	/* Cfa/cinfo.sch 882 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_371)))->BgL_volatilez00) =
				((bool_t) BgL_vz00_372), BUNSPEC);
		}

	}



/* &reshaped-local-volatile-set! */
	obj_t BGl_z62reshapedzd2localzd2volatilezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7699, obj_t BgL_oz00_7700, obj_t BgL_vz00_7701)
	{
		{	/* Cfa/cinfo.sch 882 */
			return
				BGl_reshapedzd2localzd2volatilezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7700), CBOOL(BgL_vz00_7701));
		}

	}



/* reshaped-local-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_373)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_373)))->BgL_valzd2noescapezd2);
		}

	}



/* &reshaped-local-val-noescape */
	obj_t BGl_z62reshapedzd2localzd2valzd2noescapezb0zzcfa_infoz00(obj_t
		BgL_envz00_7702, obj_t BgL_oz00_7703)
	{
		{	/* Cfa/cinfo.sch 883 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7703));
		}

	}



/* reshaped-local-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_374, obj_t BgL_vz00_375)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_374)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_375), BUNSPEC);
		}

	}



/* &reshaped-local-val-noescape-set! */
	obj_t BGl_z62reshapedzd2localzd2valzd2noescapezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7704, obj_t BgL_oz00_7705, obj_t BgL_vz00_7706)
	{
		{	/* Cfa/cinfo.sch 884 */
			return
				BGl_reshapedzd2localzd2valzd2noescapezd2setz12z12zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7705), BgL_vz00_7706);
		}

	}



/* reshaped-local-key */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_376)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_376)))->BgL_keyz00);
		}

	}



/* &reshaped-local-key */
	obj_t BGl_z62reshapedzd2localzd2keyz62zzcfa_infoz00(obj_t BgL_envz00_7707,
		obj_t BgL_oz00_7708)
	{
		{	/* Cfa/cinfo.sch 885 */
			return
				BINT(BGl_reshapedzd2localzd2keyz00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7708)));
		}

	}



/* reshaped-local-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_379)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_379)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-local-user? */
	obj_t BGl_z62reshapedzd2localzd2userzf3z91zzcfa_infoz00(obj_t BgL_envz00_7709,
		obj_t BgL_oz00_7710)
	{
		{	/* Cfa/cinfo.sch 887 */
			return
				BBOOL(BGl_reshapedzd2localzd2userzf3zf3zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7710)));
		}

	}



/* reshaped-local-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_380, bool_t BgL_vz00_381)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_380)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_381), BUNSPEC);
		}

	}



/* &reshaped-local-user?-set! */
	obj_t BGl_z62reshapedzd2localzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7711, obj_t BgL_oz00_7712, obj_t BgL_vz00_7713)
	{
		{	/* Cfa/cinfo.sch 888 */
			return
				BGl_reshapedzd2localzd2userzf3zd2setz12z33zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7712), CBOOL(BgL_vz00_7713));
		}

	}



/* reshaped-local-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_382)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_382)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-local-occurrencew */
	obj_t BGl_z62reshapedzd2localzd2occurrencewz62zzcfa_infoz00(obj_t
		BgL_envz00_7714, obj_t BgL_oz00_7715)
	{
		{	/* Cfa/cinfo.sch 889 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencewz00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7715)));
		}

	}



/* reshaped-local-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_383, long BgL_vz00_384)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_383)))->BgL_occurrencewz00) =
				((long) BgL_vz00_384), BUNSPEC);
		}

	}



/* &reshaped-local-occurrencew-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7716, obj_t BgL_oz00_7717, obj_t BgL_vz00_7718)
	{
		{	/* Cfa/cinfo.sch 890 */
			return
				BGl_reshapedzd2localzd2occurrencewzd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7717), (long) CINT(BgL_vz00_7718));
		}

	}



/* reshaped-local-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_385)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_385)))->BgL_occurrencez00);
		}

	}



/* &reshaped-local-occurrence */
	obj_t BGl_z62reshapedzd2localzd2occurrencez62zzcfa_infoz00(obj_t
		BgL_envz00_7719, obj_t BgL_oz00_7720)
	{
		{	/* Cfa/cinfo.sch 891 */
			return
				BINT(BGl_reshapedzd2localzd2occurrencez00zzcfa_infoz00(
					((BgL_localz00_bglt) BgL_oz00_7720)));
		}

	}



/* reshaped-local-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_386, long BgL_vz00_387)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_386)))->BgL_occurrencez00) =
				((long) BgL_vz00_387), BUNSPEC);
		}

	}



/* &reshaped-local-occurrence-set! */
	obj_t BGl_z62reshapedzd2localzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7721, obj_t BgL_oz00_7722, obj_t BgL_vz00_7723)
	{
		{	/* Cfa/cinfo.sch 892 */
			return
				BGl_reshapedzd2localzd2occurrencezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7722), (long) CINT(BgL_vz00_7723));
		}

	}



/* reshaped-local-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_388)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_388)))->BgL_removablez00);
		}

	}



/* &reshaped-local-removable */
	obj_t BGl_z62reshapedzd2localzd2removablez62zzcfa_infoz00(obj_t
		BgL_envz00_7724, obj_t BgL_oz00_7725)
	{
		{	/* Cfa/cinfo.sch 893 */
			return
				BGl_reshapedzd2localzd2removablez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7725));
		}

	}



/* reshaped-local-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_389, obj_t BgL_vz00_390)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_389)))->BgL_removablez00) =
				((obj_t) BgL_vz00_390), BUNSPEC);
		}

	}



/* &reshaped-local-removable-set! */
	obj_t BGl_z62reshapedzd2localzd2removablezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7726, obj_t BgL_oz00_7727, obj_t BgL_vz00_7728)
	{
		{	/* Cfa/cinfo.sch 894 */
			return
				BGl_reshapedzd2localzd2removablezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7727), BgL_vz00_7728);
		}

	}



/* reshaped-local-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_391)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_391)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-local-fast-alpha */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazb0zzcfa_infoz00(obj_t
		BgL_envz00_7729, obj_t BgL_oz00_7730)
	{
		{	/* Cfa/cinfo.sch 895 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7730));
		}

	}



/* reshaped-local-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_localz00_bglt BgL_oz00_392, obj_t BgL_vz00_393)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_392)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_393), BUNSPEC);
		}

	}



/* &reshaped-local-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2localzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7731, obj_t BgL_oz00_7732, obj_t BgL_vz00_7733)
	{
		{	/* Cfa/cinfo.sch 896 */
			return
				BGl_reshapedzd2localzd2fastzd2alphazd2setz12z12zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7732), BgL_vz00_7733);
		}

	}



/* reshaped-local-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_394)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_394)))->BgL_accessz00);
		}

	}



/* &reshaped-local-access */
	obj_t BGl_z62reshapedzd2localzd2accessz62zzcfa_infoz00(obj_t BgL_envz00_7734,
		obj_t BgL_oz00_7735)
	{
		{	/* Cfa/cinfo.sch 897 */
			return
				BGl_reshapedzd2localzd2accessz00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7735));
		}

	}



/* reshaped-local-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_395, obj_t BgL_vz00_396)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_395)))->BgL_accessz00) =
				((obj_t) BgL_vz00_396), BUNSPEC);
		}

	}



/* &reshaped-local-access-set! */
	obj_t BGl_z62reshapedzd2localzd2accesszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7736, obj_t BgL_oz00_7737, obj_t BgL_vz00_7738)
	{
		{	/* Cfa/cinfo.sch 898 */
			return
				BGl_reshapedzd2localzd2accesszd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7737), BgL_vz00_7738);
		}

	}



/* reshaped-local-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_397)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_397)))->BgL_valuez00);
		}

	}



/* &reshaped-local-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2localzd2valuez62zzcfa_infoz00(obj_t
		BgL_envz00_7739, obj_t BgL_oz00_7740)
	{
		{	/* Cfa/cinfo.sch 899 */
			return
				BGl_reshapedzd2localzd2valuez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7740));
		}

	}



/* reshaped-local-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_398, BgL_valuez00_bglt BgL_vz00_399)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_398)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_399), BUNSPEC);
		}

	}



/* &reshaped-local-value-set! */
	obj_t BGl_z62reshapedzd2localzd2valuezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7741, obj_t BgL_oz00_7742, obj_t BgL_vz00_7743)
	{
		{	/* Cfa/cinfo.sch 900 */
			return
				BGl_reshapedzd2localzd2valuezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7742),
				((BgL_valuez00_bglt) BgL_vz00_7743));
		}

	}



/* reshaped-local-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2localzd2typez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_400)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_400)))->BgL_typez00);
		}

	}



/* &reshaped-local-type */
	BgL_typez00_bglt BGl_z62reshapedzd2localzd2typez62zzcfa_infoz00(obj_t
		BgL_envz00_7744, obj_t BgL_oz00_7745)
	{
		{	/* Cfa/cinfo.sch 901 */
			return
				BGl_reshapedzd2localzd2typez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7745));
		}

	}



/* reshaped-local-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_401, BgL_typez00_bglt BgL_vz00_402)
	{
		{	/* Cfa/cinfo.sch 902 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_401)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_402), BUNSPEC);
		}

	}



/* &reshaped-local-type-set! */
	obj_t BGl_z62reshapedzd2localzd2typezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7746, obj_t BgL_oz00_7747, obj_t BgL_vz00_7748)
	{
		{	/* Cfa/cinfo.sch 902 */
			return
				BGl_reshapedzd2localzd2typezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7747),
				((BgL_typez00_bglt) BgL_vz00_7748));
		}

	}



/* reshaped-local-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namez00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_403)
	{
		{	/* Cfa/cinfo.sch 903 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_403)))->BgL_namez00);
		}

	}



/* &reshaped-local-name */
	obj_t BGl_z62reshapedzd2localzd2namez62zzcfa_infoz00(obj_t BgL_envz00_7749,
		obj_t BgL_oz00_7750)
	{
		{	/* Cfa/cinfo.sch 903 */
			return
				BGl_reshapedzd2localzd2namez00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7750));
		}

	}



/* reshaped-local-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(BgL_localz00_bglt
		BgL_oz00_404, obj_t BgL_vz00_405)
	{
		{	/* Cfa/cinfo.sch 904 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_404)))->BgL_namez00) =
				((obj_t) BgL_vz00_405), BUNSPEC);
		}

	}



/* &reshaped-local-name-set! */
	obj_t BGl_z62reshapedzd2localzd2namezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7751, obj_t BgL_oz00_7752, obj_t BgL_vz00_7753)
	{
		{	/* Cfa/cinfo.sch 904 */
			return
				BGl_reshapedzd2localzd2namezd2setz12zc0zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7752), BgL_vz00_7753);
		}

	}



/* reshaped-local-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2localzd2idz00zzcfa_infoz00(BgL_localz00_bglt BgL_oz00_406)
	{
		{	/* Cfa/cinfo.sch 905 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_406)))->BgL_idz00);
		}

	}



/* &reshaped-local-id */
	obj_t BGl_z62reshapedzd2localzd2idz62zzcfa_infoz00(obj_t BgL_envz00_7754,
		obj_t BgL_oz00_7755)
	{
		{	/* Cfa/cinfo.sch 905 */
			return
				BGl_reshapedzd2localzd2idz00zzcfa_infoz00(
				((BgL_localz00_bglt) BgL_oz00_7755));
		}

	}



/* make-reshaped-global */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(obj_t BgL_id1713z00_409,
		obj_t BgL_name1714z00_410, BgL_typez00_bglt BgL_type1715z00_411,
		BgL_valuez00_bglt BgL_value1716z00_412, obj_t BgL_access1717z00_413,
		obj_t BgL_fastzd2alpha1718zd2_414, obj_t BgL_removable1719z00_415,
		long BgL_occurrence1720z00_416, long BgL_occurrencew1721z00_417,
		bool_t BgL_userzf31722zf3_418, obj_t BgL_module1723z00_419,
		obj_t BgL_import1724z00_420, bool_t BgL_evaluablezf31725zf3_421,
		bool_t BgL_evalzf31726zf3_422, obj_t BgL_library1727z00_423,
		obj_t BgL_pragma1728z00_424, obj_t BgL_src1729z00_425,
		obj_t BgL_qualifiedzd2typezd2name1730z00_426, obj_t BgL_init1731z00_427,
		obj_t BgL_alias1732z00_428)
	{
		{	/* Cfa/cinfo.sch 909 */
			{	/* Cfa/cinfo.sch 909 */
				BgL_globalz00_bglt BgL_new1588z00_9745;

				{	/* Cfa/cinfo.sch 909 */
					BgL_globalz00_bglt BgL_tmp1586z00_9746;
					BgL_reshapedzd2globalzd2_bglt BgL_wide1587z00_9747;

					{
						BgL_globalz00_bglt BgL_auxz00_12790;

						{	/* Cfa/cinfo.sch 909 */
							BgL_globalz00_bglt BgL_new1585z00_9748;

							BgL_new1585z00_9748 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Cfa/cinfo.sch 909 */
								long BgL_arg2017z00_9749;

								BgL_arg2017z00_9749 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1585z00_9748),
									BgL_arg2017z00_9749);
							}
							{	/* Cfa/cinfo.sch 909 */
								BgL_objectz00_bglt BgL_tmpz00_12795;

								BgL_tmpz00_12795 = ((BgL_objectz00_bglt) BgL_new1585z00_9748);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12795, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1585z00_9748);
							BgL_auxz00_12790 = BgL_new1585z00_9748;
						}
						BgL_tmp1586z00_9746 = ((BgL_globalz00_bglt) BgL_auxz00_12790);
					}
					BgL_wide1587z00_9747 =
						((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2globalzd2_bgl))));
					{	/* Cfa/cinfo.sch 909 */
						obj_t BgL_auxz00_12803;
						BgL_objectz00_bglt BgL_tmpz00_12801;

						BgL_auxz00_12803 = ((obj_t) BgL_wide1587z00_9747);
						BgL_tmpz00_12801 = ((BgL_objectz00_bglt) BgL_tmp1586z00_9746);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12801, BgL_auxz00_12803);
					}
					((BgL_objectz00_bglt) BgL_tmp1586z00_9746);
					{	/* Cfa/cinfo.sch 909 */
						long BgL_arg2016z00_9750;

						BgL_arg2016z00_9750 =
							BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1586z00_9746), BgL_arg2016z00_9750);
					}
					BgL_new1588z00_9745 = ((BgL_globalz00_bglt) BgL_tmp1586z00_9746);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1588z00_9745)))->BgL_idz00) =
					((obj_t) BgL_id1713z00_409), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_namez00) =
					((obj_t) BgL_name1714z00_410), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1715z00_411), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1716z00_412), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_accessz00) =
					((obj_t) BgL_access1717z00_413), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1718zd2_414), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_removablez00) =
					((obj_t) BgL_removable1719z00_415), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_occurrencez00) =
					((long) BgL_occurrence1720z00_416), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1721z00_417), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1588z00_9745)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31722zf3_418), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_modulez00) =
					((obj_t) BgL_module1723z00_419), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_importz00) =
					((obj_t) BgL_import1724z00_420), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31725zf3_421), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31726zf3_422), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_libraryz00) =
					((obj_t) BgL_library1727z00_423), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1728z00_424), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_srcz00) =
					((obj_t) BgL_src1729z00_425), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BgL_qualifiedzd2typezd2name1730z00_426), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_initz00) =
					((obj_t) BgL_init1731z00_427), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1588z00_9745)))->BgL_aliasz00) =
					((obj_t) BgL_alias1732z00_428), BUNSPEC);
				return BgL_new1588z00_9745;
			}
		}

	}



/* &make-reshaped-global */
	BgL_globalz00_bglt BGl_z62makezd2reshapedzd2globalz62zzcfa_infoz00(obj_t
		BgL_envz00_7756, obj_t BgL_id1713z00_7757, obj_t BgL_name1714z00_7758,
		obj_t BgL_type1715z00_7759, obj_t BgL_value1716z00_7760,
		obj_t BgL_access1717z00_7761, obj_t BgL_fastzd2alpha1718zd2_7762,
		obj_t BgL_removable1719z00_7763, obj_t BgL_occurrence1720z00_7764,
		obj_t BgL_occurrencew1721z00_7765, obj_t BgL_userzf31722zf3_7766,
		obj_t BgL_module1723z00_7767, obj_t BgL_import1724z00_7768,
		obj_t BgL_evaluablezf31725zf3_7769, obj_t BgL_evalzf31726zf3_7770,
		obj_t BgL_library1727z00_7771, obj_t BgL_pragma1728z00_7772,
		obj_t BgL_src1729z00_7773, obj_t BgL_qualifiedzd2typezd2name1730z00_7774,
		obj_t BgL_init1731z00_7775, obj_t BgL_alias1732z00_7776)
	{
		{	/* Cfa/cinfo.sch 909 */
			return
				BGl_makezd2reshapedzd2globalz00zzcfa_infoz00(BgL_id1713z00_7757,
				BgL_name1714z00_7758, ((BgL_typez00_bglt) BgL_type1715z00_7759),
				((BgL_valuez00_bglt) BgL_value1716z00_7760), BgL_access1717z00_7761,
				BgL_fastzd2alpha1718zd2_7762, BgL_removable1719z00_7763,
				(long) CINT(BgL_occurrence1720z00_7764),
				(long) CINT(BgL_occurrencew1721z00_7765),
				CBOOL(BgL_userzf31722zf3_7766), BgL_module1723z00_7767,
				BgL_import1724z00_7768, CBOOL(BgL_evaluablezf31725zf3_7769),
				CBOOL(BgL_evalzf31726zf3_7770), BgL_library1727z00_7771,
				BgL_pragma1728z00_7772, BgL_src1729z00_7773,
				BgL_qualifiedzd2typezd2name1730z00_7774, BgL_init1731z00_7775,
				BgL_alias1732z00_7776);
		}

	}



/* reshaped-global? */
	BGL_EXPORTED_DEF bool_t BGl_reshapedzd2globalzf3z21zzcfa_infoz00(obj_t
		BgL_objz00_429)
	{
		{	/* Cfa/cinfo.sch 910 */
			{	/* Cfa/cinfo.sch 910 */
				obj_t BgL_classz00_9751;

				BgL_classz00_9751 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_429))
					{	/* Cfa/cinfo.sch 910 */
						BgL_objectz00_bglt BgL_arg1858z00_9752;

						BgL_arg1858z00_9752 = (BgL_objectz00_bglt) (BgL_objz00_429);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 910 */
								long BgL_idxz00_9753;

								BgL_idxz00_9753 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9752);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9753 + 3L)) == BgL_classz00_9751);
							}
						else
							{	/* Cfa/cinfo.sch 910 */
								bool_t BgL_res3109z00_9756;

								{	/* Cfa/cinfo.sch 910 */
									obj_t BgL_oclassz00_9757;

									{	/* Cfa/cinfo.sch 910 */
										obj_t BgL_arg1866z00_9758;
										long BgL_arg1867z00_9759;

										BgL_arg1866z00_9758 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 910 */
											long BgL_arg1869z00_9760;

											BgL_arg1869z00_9760 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9752);
											BgL_arg1867z00_9759 = (BgL_arg1869z00_9760 - OBJECT_TYPE);
										}
										BgL_oclassz00_9757 =
											VECTOR_REF(BgL_arg1866z00_9758, BgL_arg1867z00_9759);
									}
									{	/* Cfa/cinfo.sch 910 */
										bool_t BgL__ortest_1115z00_9761;

										BgL__ortest_1115z00_9761 =
											(BgL_classz00_9751 == BgL_oclassz00_9757);
										if (BgL__ortest_1115z00_9761)
											{	/* Cfa/cinfo.sch 910 */
												BgL_res3109z00_9756 = BgL__ortest_1115z00_9761;
											}
										else
											{	/* Cfa/cinfo.sch 910 */
												long BgL_odepthz00_9762;

												{	/* Cfa/cinfo.sch 910 */
													obj_t BgL_arg1855z00_9763;

													BgL_arg1855z00_9763 = (BgL_oclassz00_9757);
													BgL_odepthz00_9762 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9763);
												}
												if ((3L < BgL_odepthz00_9762))
													{	/* Cfa/cinfo.sch 910 */
														obj_t BgL_arg1853z00_9764;

														{	/* Cfa/cinfo.sch 910 */
															obj_t BgL_arg1854z00_9765;

															BgL_arg1854z00_9765 = (BgL_oclassz00_9757);
															BgL_arg1853z00_9764 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9765,
																3L);
														}
														BgL_res3109z00_9756 =
															(BgL_arg1853z00_9764 == BgL_classz00_9751);
													}
												else
													{	/* Cfa/cinfo.sch 910 */
														BgL_res3109z00_9756 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3109z00_9756;
							}
					}
				else
					{	/* Cfa/cinfo.sch 910 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &reshaped-global? */
	obj_t BGl_z62reshapedzd2globalzf3z43zzcfa_infoz00(obj_t BgL_envz00_7777,
		obj_t BgL_objz00_7778)
	{
		{	/* Cfa/cinfo.sch 910 */
			return BBOOL(BGl_reshapedzd2globalzf3z21zzcfa_infoz00(BgL_objz00_7778));
		}

	}



/* reshaped-global-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 911 */
			{	/* Cfa/cinfo.sch 911 */
				obj_t BgL_classz00_5004;

				BgL_classz00_5004 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 911 */
					obj_t BgL__ortest_1117z00_5005;

					BgL__ortest_1117z00_5005 = BGL_CLASS_NIL(BgL_classz00_5004);
					if (CBOOL(BgL__ortest_1117z00_5005))
						{	/* Cfa/cinfo.sch 911 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_5005);
						}
					else
						{	/* Cfa/cinfo.sch 911 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5004));
						}
				}
			}
		}

	}



/* &reshaped-global-nil */
	BgL_globalz00_bglt BGl_z62reshapedzd2globalzd2nilz62zzcfa_infoz00(obj_t
		BgL_envz00_7779)
	{
		{	/* Cfa/cinfo.sch 911 */
			return BGl_reshapedzd2globalzd2nilz00zzcfa_infoz00();
		}

	}



/* reshaped-global-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_430)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_430)))->BgL_aliasz00);
		}

	}



/* &reshaped-global-alias */
	obj_t BGl_z62reshapedzd2globalzd2aliasz62zzcfa_infoz00(obj_t BgL_envz00_7780,
		obj_t BgL_oz00_7781)
	{
		{	/* Cfa/cinfo.sch 912 */
			return
				BGl_reshapedzd2globalzd2aliasz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7781));
		}

	}



/* reshaped-global-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_431, obj_t BgL_vz00_432)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_431)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_432), BUNSPEC);
		}

	}



/* &reshaped-global-alias-set! */
	obj_t BGl_z62reshapedzd2globalzd2aliaszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7782, obj_t BgL_oz00_7783, obj_t BgL_vz00_7784)
	{
		{	/* Cfa/cinfo.sch 913 */
			return
				BGl_reshapedzd2globalzd2aliaszd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7783), BgL_vz00_7784);
		}

	}



/* reshaped-global-init */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_433)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_433)))->BgL_initz00);
		}

	}



/* &reshaped-global-init */
	obj_t BGl_z62reshapedzd2globalzd2initz62zzcfa_infoz00(obj_t BgL_envz00_7785,
		obj_t BgL_oz00_7786)
	{
		{	/* Cfa/cinfo.sch 914 */
			return
				BGl_reshapedzd2globalzd2initz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7786));
		}

	}



/* reshaped-global-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_434, obj_t BgL_vz00_435)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_434)))->BgL_initz00) =
				((obj_t) BgL_vz00_435), BUNSPEC);
		}

	}



/* &reshaped-global-init-set! */
	obj_t BGl_z62reshapedzd2globalzd2initzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7787, obj_t BgL_oz00_7788, obj_t BgL_vz00_7789)
	{
		{	/* Cfa/cinfo.sch 915 */
			return
				BGl_reshapedzd2globalzd2initzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7788), BgL_vz00_7789);
		}

	}



/* reshaped-global-qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2qualifiedzd2typezd2namez00zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_436)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_436)))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &reshaped-global-qualified-type-name */
	obj_t BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namez62zzcfa_infoz00(obj_t
		BgL_envz00_7790, obj_t BgL_oz00_7791)
	{
		{	/* Cfa/cinfo.sch 916 */
			return
				BGl_reshapedzd2globalzd2qualifiedzd2typezd2namez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7791));
		}

	}



/* reshaped-global-qualified-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_437, obj_t BgL_vz00_438)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_437)))->
					BgL_qualifiedzd2typezd2namez00) = ((obj_t) BgL_vz00_438), BUNSPEC);
		}

	}



/* &reshaped-global-qualified-type-name-set! */
	obj_t
		BGl_z62reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12za2zzcfa_infoz00
		(obj_t BgL_envz00_7792, obj_t BgL_oz00_7793, obj_t BgL_vz00_7794)
	{
		{	/* Cfa/cinfo.sch 917 */
			return
				BGl_reshapedzd2globalzd2qualifiedzd2typezd2namezd2setz12zc0zzcfa_infoz00
				(((BgL_globalz00_bglt) BgL_oz00_7793), BgL_vz00_7794);
		}

	}



/* reshaped-global-src */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(BgL_globalz00_bglt BgL_oz00_439)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_439)))->BgL_srcz00);
		}

	}



/* &reshaped-global-src */
	obj_t BGl_z62reshapedzd2globalzd2srcz62zzcfa_infoz00(obj_t BgL_envz00_7795,
		obj_t BgL_oz00_7796)
	{
		{	/* Cfa/cinfo.sch 918 */
			return
				BGl_reshapedzd2globalzd2srcz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7796));
		}

	}



/* reshaped-global-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_440, obj_t BgL_vz00_441)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_440)))->BgL_srcz00) =
				((obj_t) BgL_vz00_441), BUNSPEC);
		}

	}



/* &reshaped-global-src-set! */
	obj_t BGl_z62reshapedzd2globalzd2srczd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7797, obj_t BgL_oz00_7798, obj_t BgL_vz00_7799)
	{
		{	/* Cfa/cinfo.sch 919 */
			return
				BGl_reshapedzd2globalzd2srczd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7798), BgL_vz00_7799);
		}

	}



/* reshaped-global-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_442)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_442)))->BgL_pragmaz00);
		}

	}



/* &reshaped-global-pragma */
	obj_t BGl_z62reshapedzd2globalzd2pragmaz62zzcfa_infoz00(obj_t BgL_envz00_7800,
		obj_t BgL_oz00_7801)
	{
		{	/* Cfa/cinfo.sch 920 */
			return
				BGl_reshapedzd2globalzd2pragmaz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7801));
		}

	}



/* reshaped-global-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_443, obj_t BgL_vz00_444)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_443)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_444), BUNSPEC);
		}

	}



/* &reshaped-global-pragma-set! */
	obj_t BGl_z62reshapedzd2globalzd2pragmazd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7802, obj_t BgL_oz00_7803, obj_t BgL_vz00_7804)
	{
		{	/* Cfa/cinfo.sch 921 */
			return
				BGl_reshapedzd2globalzd2pragmazd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7803), BgL_vz00_7804);
		}

	}



/* reshaped-global-library */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_445)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_445)))->BgL_libraryz00);
		}

	}



/* &reshaped-global-library */
	obj_t BGl_z62reshapedzd2globalzd2libraryz62zzcfa_infoz00(obj_t
		BgL_envz00_7805, obj_t BgL_oz00_7806)
	{
		{	/* Cfa/cinfo.sch 922 */
			return
				BGl_reshapedzd2globalzd2libraryz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7806));
		}

	}



/* reshaped-global-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_446, obj_t BgL_vz00_447)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_446)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_447), BUNSPEC);
		}

	}



/* &reshaped-global-library-set! */
	obj_t BGl_z62reshapedzd2globalzd2libraryzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7807, obj_t BgL_oz00_7808, obj_t BgL_vz00_7809)
	{
		{	/* Cfa/cinfo.sch 923 */
			return
				BGl_reshapedzd2globalzd2libraryzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7808), BgL_vz00_7809);
		}

	}



/* reshaped-global-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_448)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_448)))->BgL_evalzf3zf3);
		}

	}



/* &reshaped-global-eval? */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7810, obj_t BgL_oz00_7811)
	{
		{	/* Cfa/cinfo.sch 924 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evalzf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7811)));
		}

	}



/* reshaped-global-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_449, bool_t BgL_vz00_450)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_449)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_450), BUNSPEC);
		}

	}



/* &reshaped-global-eval?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evalzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7812, obj_t BgL_oz00_7813, obj_t BgL_vz00_7814)
	{
		{	/* Cfa/cinfo.sch 925 */
			return
				BGl_reshapedzd2globalzd2evalzf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7813), CBOOL(BgL_vz00_7814));
		}

	}



/* reshaped-global-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_451)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_451)))->BgL_evaluablezf3zf3);
		}

	}



/* &reshaped-global-evaluable? */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7815, obj_t BgL_oz00_7816)
	{
		{	/* Cfa/cinfo.sch 926 */
			return
				BBOOL(BGl_reshapedzd2globalzd2evaluablezf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7816)));
		}

	}



/* reshaped-global-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_452, bool_t BgL_vz00_453)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_452)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_453), BUNSPEC);
		}

	}



/* &reshaped-global-evaluable?-set! */
	obj_t BGl_z62reshapedzd2globalzd2evaluablezf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7817, obj_t BgL_oz00_7818, obj_t BgL_vz00_7819)
	{
		{	/* Cfa/cinfo.sch 927 */
			return
				BGl_reshapedzd2globalzd2evaluablezf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7818), CBOOL(BgL_vz00_7819));
		}

	}



/* reshaped-global-import */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_454)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_454)))->BgL_importz00);
		}

	}



/* &reshaped-global-import */
	obj_t BGl_z62reshapedzd2globalzd2importz62zzcfa_infoz00(obj_t BgL_envz00_7820,
		obj_t BgL_oz00_7821)
	{
		{	/* Cfa/cinfo.sch 928 */
			return
				BGl_reshapedzd2globalzd2importz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7821));
		}

	}



/* reshaped-global-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_455, obj_t BgL_vz00_456)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_455)))->BgL_importz00) =
				((obj_t) BgL_vz00_456), BUNSPEC);
		}

	}



/* &reshaped-global-import-set! */
	obj_t BGl_z62reshapedzd2globalzd2importzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7822, obj_t BgL_oz00_7823, obj_t BgL_vz00_7824)
	{
		{	/* Cfa/cinfo.sch 929 */
			return
				BGl_reshapedzd2globalzd2importzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7823), BgL_vz00_7824);
		}

	}



/* reshaped-global-module */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_457)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_457)))->BgL_modulez00);
		}

	}



/* &reshaped-global-module */
	obj_t BGl_z62reshapedzd2globalzd2modulez62zzcfa_infoz00(obj_t BgL_envz00_7825,
		obj_t BgL_oz00_7826)
	{
		{	/* Cfa/cinfo.sch 930 */
			return
				BGl_reshapedzd2globalzd2modulez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7826));
		}

	}



/* reshaped-global-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_458, obj_t BgL_vz00_459)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_458)))->BgL_modulez00) =
				((obj_t) BgL_vz00_459), BUNSPEC);
		}

	}



/* &reshaped-global-module-set! */
	obj_t BGl_z62reshapedzd2globalzd2modulezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7827, obj_t BgL_oz00_7828, obj_t BgL_vz00_7829)
	{
		{	/* Cfa/cinfo.sch 931 */
			return
				BGl_reshapedzd2globalzd2modulezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7828), BgL_vz00_7829);
		}

	}



/* reshaped-global-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_460)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_460)))->BgL_userzf3zf3);
		}

	}



/* &reshaped-global-user? */
	obj_t BGl_z62reshapedzd2globalzd2userzf3z91zzcfa_infoz00(obj_t
		BgL_envz00_7830, obj_t BgL_oz00_7831)
	{
		{	/* Cfa/cinfo.sch 932 */
			return
				BBOOL(BGl_reshapedzd2globalzd2userzf3zf3zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7831)));
		}

	}



/* reshaped-global-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_461, bool_t BgL_vz00_462)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_461)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_462), BUNSPEC);
		}

	}



/* &reshaped-global-user?-set! */
	obj_t BGl_z62reshapedzd2globalzd2userzf3zd2setz12z51zzcfa_infoz00(obj_t
		BgL_envz00_7832, obj_t BgL_oz00_7833, obj_t BgL_vz00_7834)
	{
		{	/* Cfa/cinfo.sch 933 */
			return
				BGl_reshapedzd2globalzd2userzf3zd2setz12z33zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7833), CBOOL(BgL_vz00_7834));
		}

	}



/* reshaped-global-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_463)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_463)))->BgL_occurrencewz00);
		}

	}



/* &reshaped-global-occurrencew */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewz62zzcfa_infoz00(obj_t
		BgL_envz00_7835, obj_t BgL_oz00_7836)
	{
		{	/* Cfa/cinfo.sch 934 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencewz00zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7836)));
		}

	}



/* reshaped-global-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_464, long BgL_vz00_465)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_464)))->BgL_occurrencewz00) =
				((long) BgL_vz00_465), BUNSPEC);
		}

	}



/* &reshaped-global-occurrencew-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencewzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7837, obj_t BgL_oz00_7838, obj_t BgL_vz00_7839)
	{
		{	/* Cfa/cinfo.sch 935 */
			return
				BGl_reshapedzd2globalzd2occurrencewzd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7838), (long) CINT(BgL_vz00_7839));
		}

	}



/* reshaped-global-occurrence */
	BGL_EXPORTED_DEF long
		BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_466)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_466)))->BgL_occurrencez00);
		}

	}



/* &reshaped-global-occurrence */
	obj_t BGl_z62reshapedzd2globalzd2occurrencez62zzcfa_infoz00(obj_t
		BgL_envz00_7840, obj_t BgL_oz00_7841)
	{
		{	/* Cfa/cinfo.sch 936 */
			return
				BINT(BGl_reshapedzd2globalzd2occurrencez00zzcfa_infoz00(
					((BgL_globalz00_bglt) BgL_oz00_7841)));
		}

	}



/* reshaped-global-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_467, long BgL_vz00_468)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_467)))->BgL_occurrencez00) =
				((long) BgL_vz00_468), BUNSPEC);
		}

	}



/* &reshaped-global-occurrence-set! */
	obj_t BGl_z62reshapedzd2globalzd2occurrencezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7842, obj_t BgL_oz00_7843, obj_t BgL_vz00_7844)
	{
		{	/* Cfa/cinfo.sch 937 */
			return
				BGl_reshapedzd2globalzd2occurrencezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7843), (long) CINT(BgL_vz00_7844));
		}

	}



/* reshaped-global-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_469)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_469)))->BgL_removablez00);
		}

	}



/* &reshaped-global-removable */
	obj_t BGl_z62reshapedzd2globalzd2removablez62zzcfa_infoz00(obj_t
		BgL_envz00_7845, obj_t BgL_oz00_7846)
	{
		{	/* Cfa/cinfo.sch 938 */
			return
				BGl_reshapedzd2globalzd2removablez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7846));
		}

	}



/* reshaped-global-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_470, obj_t BgL_vz00_471)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_470)))->BgL_removablez00) =
				((obj_t) BgL_vz00_471), BUNSPEC);
		}

	}



/* &reshaped-global-removable-set! */
	obj_t BGl_z62reshapedzd2globalzd2removablezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7847, obj_t BgL_oz00_7848, obj_t BgL_vz00_7849)
	{
		{	/* Cfa/cinfo.sch 939 */
			return
				BGl_reshapedzd2globalzd2removablezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7848), BgL_vz00_7849);
		}

	}



/* reshaped-global-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_472)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_472)))->BgL_fastzd2alphazd2);
		}

	}



/* &reshaped-global-fast-alpha */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazb0zzcfa_infoz00(obj_t
		BgL_envz00_7850, obj_t BgL_oz00_7851)
	{
		{	/* Cfa/cinfo.sch 940 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7851));
		}

	}



/* reshaped-global-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00
		(BgL_globalz00_bglt BgL_oz00_473, obj_t BgL_vz00_474)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_473)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_474), BUNSPEC);
		}

	}



/* &reshaped-global-fast-alpha-set! */
	obj_t BGl_z62reshapedzd2globalzd2fastzd2alphazd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_7852, obj_t BgL_oz00_7853, obj_t BgL_vz00_7854)
	{
		{	/* Cfa/cinfo.sch 941 */
			return
				BGl_reshapedzd2globalzd2fastzd2alphazd2setz12z12zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7853), BgL_vz00_7854);
		}

	}



/* reshaped-global-access */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_475)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_475)))->BgL_accessz00);
		}

	}



/* &reshaped-global-access */
	obj_t BGl_z62reshapedzd2globalzd2accessz62zzcfa_infoz00(obj_t BgL_envz00_7855,
		obj_t BgL_oz00_7856)
	{
		{	/* Cfa/cinfo.sch 942 */
			return
				BGl_reshapedzd2globalzd2accessz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7856));
		}

	}



/* reshaped-global-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_476, obj_t BgL_vz00_477)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_476)))->BgL_accessz00) =
				((obj_t) BgL_vz00_477), BUNSPEC);
		}

	}



/* &reshaped-global-access-set! */
	obj_t BGl_z62reshapedzd2globalzd2accesszd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7857, obj_t BgL_oz00_7858, obj_t BgL_vz00_7859)
	{
		{	/* Cfa/cinfo.sch 943 */
			return
				BGl_reshapedzd2globalzd2accesszd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7858), BgL_vz00_7859);
		}

	}



/* reshaped-global-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_478)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_478)))->BgL_valuez00);
		}

	}



/* &reshaped-global-value */
	BgL_valuez00_bglt BGl_z62reshapedzd2globalzd2valuez62zzcfa_infoz00(obj_t
		BgL_envz00_7860, obj_t BgL_oz00_7861)
	{
		{	/* Cfa/cinfo.sch 944 */
			return
				BGl_reshapedzd2globalzd2valuez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7861));
		}

	}



/* reshaped-global-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_479, BgL_valuez00_bglt BgL_vz00_480)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_479)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_480), BUNSPEC);
		}

	}



/* &reshaped-global-value-set! */
	obj_t BGl_z62reshapedzd2globalzd2valuezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7862, obj_t BgL_oz00_7863, obj_t BgL_vz00_7864)
	{
		{	/* Cfa/cinfo.sch 945 */
			return
				BGl_reshapedzd2globalzd2valuezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7863),
				((BgL_valuez00_bglt) BgL_vz00_7864));
		}

	}



/* reshaped-global-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_481)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_481)))->BgL_typez00);
		}

	}



/* &reshaped-global-type */
	BgL_typez00_bglt BGl_z62reshapedzd2globalzd2typez62zzcfa_infoz00(obj_t
		BgL_envz00_7865, obj_t BgL_oz00_7866)
	{
		{	/* Cfa/cinfo.sch 946 */
			return
				BGl_reshapedzd2globalzd2typez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7866));
		}

	}



/* reshaped-global-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_482, BgL_typez00_bglt BgL_vz00_483)
	{
		{	/* Cfa/cinfo.sch 947 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_482)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_483), BUNSPEC);
		}

	}



/* &reshaped-global-type-set! */
	obj_t BGl_z62reshapedzd2globalzd2typezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7867, obj_t BgL_oz00_7868, obj_t BgL_vz00_7869)
	{
		{	/* Cfa/cinfo.sch 947 */
			return
				BGl_reshapedzd2globalzd2typezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7868),
				((BgL_typez00_bglt) BgL_vz00_7869));
		}

	}



/* reshaped-global-name */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_484)
	{
		{	/* Cfa/cinfo.sch 948 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_484)))->BgL_namez00);
		}

	}



/* &reshaped-global-name */
	obj_t BGl_z62reshapedzd2globalzd2namez62zzcfa_infoz00(obj_t BgL_envz00_7870,
		obj_t BgL_oz00_7871)
	{
		{	/* Cfa/cinfo.sch 948 */
			return
				BGl_reshapedzd2globalzd2namez00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7871));
		}

	}



/* reshaped-global-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(BgL_globalz00_bglt
		BgL_oz00_485, obj_t BgL_vz00_486)
	{
		{	/* Cfa/cinfo.sch 949 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_485)))->BgL_namez00) =
				((obj_t) BgL_vz00_486), BUNSPEC);
		}

	}



/* &reshaped-global-name-set! */
	obj_t BGl_z62reshapedzd2globalzd2namezd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_7872, obj_t BgL_oz00_7873, obj_t BgL_vz00_7874)
	{
		{	/* Cfa/cinfo.sch 949 */
			return
				BGl_reshapedzd2globalzd2namezd2setz12zc0zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7873), BgL_vz00_7874);
		}

	}



/* reshaped-global-id */
	BGL_EXPORTED_DEF obj_t
		BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(BgL_globalz00_bglt BgL_oz00_487)
	{
		{	/* Cfa/cinfo.sch 950 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_487)))->BgL_idz00);
		}

	}



/* &reshaped-global-id */
	obj_t BGl_z62reshapedzd2globalzd2idz62zzcfa_infoz00(obj_t BgL_envz00_7875,
		obj_t BgL_oz00_7876)
	{
		{	/* Cfa/cinfo.sch 950 */
			return
				BGl_reshapedzd2globalzd2idz00zzcfa_infoz00(
				((BgL_globalz00_bglt) BgL_oz00_7876));
		}

	}



/* make-literal/Cinfo */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1708z00_490,
		BgL_typez00_bglt BgL_type1709z00_491, obj_t BgL_value1710z00_492,
		BgL_approxz00_bglt BgL_approx1711z00_493)
	{
		{	/* Cfa/cinfo.sch 954 */
			{	/* Cfa/cinfo.sch 954 */
				BgL_literalz00_bglt BgL_new1592z00_9766;

				{	/* Cfa/cinfo.sch 954 */
					BgL_literalz00_bglt BgL_tmp1590z00_9767;
					BgL_literalzf2cinfozf2_bglt BgL_wide1591z00_9768;

					{
						BgL_literalz00_bglt BgL_auxz00_13058;

						{	/* Cfa/cinfo.sch 954 */
							BgL_literalz00_bglt BgL_new1589z00_9769;

							BgL_new1589z00_9769 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Cfa/cinfo.sch 954 */
								long BgL_arg2019z00_9770;

								BgL_arg2019z00_9770 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1589z00_9769),
									BgL_arg2019z00_9770);
							}
							{	/* Cfa/cinfo.sch 954 */
								BgL_objectz00_bglt BgL_tmpz00_13063;

								BgL_tmpz00_13063 = ((BgL_objectz00_bglt) BgL_new1589z00_9769);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13063, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1589z00_9769);
							BgL_auxz00_13058 = BgL_new1589z00_9769;
						}
						BgL_tmp1590z00_9767 = ((BgL_literalz00_bglt) BgL_auxz00_13058);
					}
					BgL_wide1591z00_9768 =
						((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 954 */
						obj_t BgL_auxz00_13071;
						BgL_objectz00_bglt BgL_tmpz00_13069;

						BgL_auxz00_13071 = ((obj_t) BgL_wide1591z00_9768);
						BgL_tmpz00_13069 = ((BgL_objectz00_bglt) BgL_tmp1590z00_9767);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13069, BgL_auxz00_13071);
					}
					((BgL_objectz00_bglt) BgL_tmp1590z00_9767);
					{	/* Cfa/cinfo.sch 954 */
						long BgL_arg2018z00_9771;

						BgL_arg2018z00_9771 =
							BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1590z00_9767), BgL_arg2018z00_9771);
					}
					BgL_new1592z00_9766 = ((BgL_literalz00_bglt) BgL_tmp1590z00_9767);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1592z00_9766)))->BgL_locz00) =
					((obj_t) BgL_loc1708z00_490), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1592z00_9766)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1709z00_491), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1592z00_9766)))->BgL_valuez00) =
					((obj_t) BgL_value1710z00_492), BUNSPEC);
				{
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_13085;

					{
						obj_t BgL_auxz00_13086;

						{	/* Cfa/cinfo.sch 954 */
							BgL_objectz00_bglt BgL_tmpz00_13087;

							BgL_tmpz00_13087 = ((BgL_objectz00_bglt) BgL_new1592z00_9766);
							BgL_auxz00_13086 = BGL_OBJECT_WIDENING(BgL_tmpz00_13087);
						}
						BgL_auxz00_13085 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_13086);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13085))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1711z00_493), BUNSPEC);
				}
				return BgL_new1592z00_9766;
			}
		}

	}



/* &make-literal/Cinfo */
	BgL_literalz00_bglt BGl_z62makezd2literalzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7877, obj_t BgL_loc1708z00_7878, obj_t BgL_type1709z00_7879,
		obj_t BgL_value1710z00_7880, obj_t BgL_approx1711z00_7881)
	{
		{	/* Cfa/cinfo.sch 954 */
			return
				BGl_makezd2literalzf2Cinfoz20zzcfa_infoz00(BgL_loc1708z00_7878,
				((BgL_typez00_bglt) BgL_type1709z00_7879), BgL_value1710z00_7880,
				((BgL_approxz00_bglt) BgL_approx1711z00_7881));
		}

	}



/* literal/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_494)
	{
		{	/* Cfa/cinfo.sch 955 */
			{	/* Cfa/cinfo.sch 955 */
				obj_t BgL_classz00_9772;

				BgL_classz00_9772 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_494))
					{	/* Cfa/cinfo.sch 955 */
						BgL_objectz00_bglt BgL_arg1858z00_9773;

						BgL_arg1858z00_9773 = (BgL_objectz00_bglt) (BgL_objz00_494);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 955 */
								long BgL_idxz00_9774;

								BgL_idxz00_9774 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9773);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9774 + 4L)) == BgL_classz00_9772);
							}
						else
							{	/* Cfa/cinfo.sch 955 */
								bool_t BgL_res3110z00_9777;

								{	/* Cfa/cinfo.sch 955 */
									obj_t BgL_oclassz00_9778;

									{	/* Cfa/cinfo.sch 955 */
										obj_t BgL_arg1866z00_9779;
										long BgL_arg1867z00_9780;

										BgL_arg1866z00_9779 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 955 */
											long BgL_arg1869z00_9781;

											BgL_arg1869z00_9781 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9773);
											BgL_arg1867z00_9780 = (BgL_arg1869z00_9781 - OBJECT_TYPE);
										}
										BgL_oclassz00_9778 =
											VECTOR_REF(BgL_arg1866z00_9779, BgL_arg1867z00_9780);
									}
									{	/* Cfa/cinfo.sch 955 */
										bool_t BgL__ortest_1115z00_9782;

										BgL__ortest_1115z00_9782 =
											(BgL_classz00_9772 == BgL_oclassz00_9778);
										if (BgL__ortest_1115z00_9782)
											{	/* Cfa/cinfo.sch 955 */
												BgL_res3110z00_9777 = BgL__ortest_1115z00_9782;
											}
										else
											{	/* Cfa/cinfo.sch 955 */
												long BgL_odepthz00_9783;

												{	/* Cfa/cinfo.sch 955 */
													obj_t BgL_arg1855z00_9784;

													BgL_arg1855z00_9784 = (BgL_oclassz00_9778);
													BgL_odepthz00_9783 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9784);
												}
												if ((4L < BgL_odepthz00_9783))
													{	/* Cfa/cinfo.sch 955 */
														obj_t BgL_arg1853z00_9785;

														{	/* Cfa/cinfo.sch 955 */
															obj_t BgL_arg1854z00_9786;

															BgL_arg1854z00_9786 = (BgL_oclassz00_9778);
															BgL_arg1853z00_9785 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9786,
																4L);
														}
														BgL_res3110z00_9777 =
															(BgL_arg1853z00_9785 == BgL_classz00_9772);
													}
												else
													{	/* Cfa/cinfo.sch 955 */
														BgL_res3110z00_9777 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3110z00_9777;
							}
					}
				else
					{	/* Cfa/cinfo.sch 955 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal/Cinfo? */
	obj_t BGl_z62literalzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7882,
		obj_t BgL_objz00_7883)
	{
		{	/* Cfa/cinfo.sch 955 */
			return BBOOL(BGl_literalzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7883));
		}

	}



/* literal/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt
		BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 956 */
			{	/* Cfa/cinfo.sch 956 */
				obj_t BgL_classz00_5055;

				BgL_classz00_5055 = BGl_literalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 956 */
					obj_t BgL__ortest_1117z00_5056;

					BgL__ortest_1117z00_5056 = BGL_CLASS_NIL(BgL_classz00_5055);
					if (CBOOL(BgL__ortest_1117z00_5056))
						{	/* Cfa/cinfo.sch 956 */
							return ((BgL_literalz00_bglt) BgL__ortest_1117z00_5056);
						}
					else
						{	/* Cfa/cinfo.sch 956 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5055));
						}
				}
			}
		}

	}



/* &literal/Cinfo-nil */
	BgL_literalz00_bglt BGl_z62literalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7884)
	{
		{	/* Cfa/cinfo.sch 956 */
			return BGl_literalzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* literal/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_495)
	{
		{	/* Cfa/cinfo.sch 957 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_13126;

				{
					obj_t BgL_auxz00_13127;

					{	/* Cfa/cinfo.sch 957 */
						BgL_objectz00_bglt BgL_tmpz00_13128;

						BgL_tmpz00_13128 = ((BgL_objectz00_bglt) BgL_oz00_495);
						BgL_auxz00_13127 = BGL_OBJECT_WIDENING(BgL_tmpz00_13128);
					}
					BgL_auxz00_13126 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_13127);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13126))->
					BgL_approxz00);
			}
		}

	}



/* &literal/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62literalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7885, obj_t BgL_oz00_7886)
	{
		{	/* Cfa/cinfo.sch 957 */
			return
				BGl_literalzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7886));
		}

	}



/* literal/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_498)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_498)))->BgL_valuez00);
		}

	}



/* &literal/Cinfo-value */
	obj_t BGl_z62literalzf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7887,
		obj_t BgL_oz00_7888)
	{
		{	/* Cfa/cinfo.sch 959 */
			return
				BGl_literalzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7888));
		}

	}



/* literal/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_499, obj_t BgL_vz00_500)
	{
		{	/* Cfa/cinfo.sch 960 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_499)))->BgL_valuez00) =
				((obj_t) BgL_vz00_500), BUNSPEC);
		}

	}



/* &literal/Cinfo-value-set! */
	obj_t BGl_z62literalzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7889, obj_t BgL_oz00_7890, obj_t BgL_vz00_7891)
	{
		{	/* Cfa/cinfo.sch 960 */
			return
				BGl_literalzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7890), BgL_vz00_7891);
		}

	}



/* literal/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(BgL_literalz00_bglt BgL_oz00_501)
	{
		{	/* Cfa/cinfo.sch 961 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_501)))->BgL_typez00);
		}

	}



/* &literal/Cinfo-type */
	BgL_typez00_bglt BGl_z62literalzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7892, obj_t BgL_oz00_7893)
	{
		{	/* Cfa/cinfo.sch 961 */
			return
				BGl_literalzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7893));
		}

	}



/* literal/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_literalz00_bglt
		BgL_oz00_502, BgL_typez00_bglt BgL_vz00_503)
	{
		{	/* Cfa/cinfo.sch 962 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_502)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_503), BUNSPEC);
		}

	}



/* &literal/Cinfo-type-set! */
	obj_t BGl_z62literalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7894, obj_t BgL_oz00_7895, obj_t BgL_vz00_7896)
	{
		{	/* Cfa/cinfo.sch 962 */
			return
				BGl_literalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7895),
				((BgL_typez00_bglt) BgL_vz00_7896));
		}

	}



/* literal/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(BgL_literalz00_bglt BgL_oz00_504)
	{
		{	/* Cfa/cinfo.sch 963 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_504)))->BgL_locz00);
		}

	}



/* &literal/Cinfo-loc */
	obj_t BGl_z62literalzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7897,
		obj_t BgL_oz00_7898)
	{
		{	/* Cfa/cinfo.sch 963 */
			return
				BGl_literalzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_literalz00_bglt) BgL_oz00_7898));
		}

	}



/* make-genpatchid/Cinfo */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1697z00_507,
		BgL_typez00_bglt BgL_type1698z00_508, obj_t BgL_sidezd2effect1699zd2_509,
		obj_t BgL_key1700z00_510, obj_t BgL_exprza21701za2_511,
		obj_t BgL_effect1702z00_512, long BgL_index1703z00_513,
		long BgL_rindex1704z00_514, BgL_approxz00_bglt BgL_approx1705z00_515)
	{
		{	/* Cfa/cinfo.sch 967 */
			{	/* Cfa/cinfo.sch 967 */
				BgL_genpatchidz00_bglt BgL_new1596z00_9787;

				{	/* Cfa/cinfo.sch 967 */
					BgL_genpatchidz00_bglt BgL_tmp1594z00_9788;
					BgL_genpatchidzf2cinfozf2_bglt BgL_wide1595z00_9789;

					{
						BgL_genpatchidz00_bglt BgL_auxz00_13156;

						{	/* Cfa/cinfo.sch 967 */
							BgL_genpatchidz00_bglt BgL_new1593z00_9790;

							BgL_new1593z00_9790 =
								((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_genpatchidz00_bgl))));
							{	/* Cfa/cinfo.sch 967 */
								long BgL_arg2022z00_9791;

								BgL_arg2022z00_9791 =
									BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1593z00_9790),
									BgL_arg2022z00_9791);
							}
							{	/* Cfa/cinfo.sch 967 */
								BgL_objectz00_bglt BgL_tmpz00_13161;

								BgL_tmpz00_13161 = ((BgL_objectz00_bglt) BgL_new1593z00_9790);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13161, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1593z00_9790);
							BgL_auxz00_13156 = BgL_new1593z00_9790;
						}
						BgL_tmp1594z00_9788 = ((BgL_genpatchidz00_bglt) BgL_auxz00_13156);
					}
					BgL_wide1595z00_9789 =
						((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 967 */
						obj_t BgL_auxz00_13169;
						BgL_objectz00_bglt BgL_tmpz00_13167;

						BgL_auxz00_13169 = ((obj_t) BgL_wide1595z00_9789);
						BgL_tmpz00_13167 = ((BgL_objectz00_bglt) BgL_tmp1594z00_9788);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13167, BgL_auxz00_13169);
					}
					((BgL_objectz00_bglt) BgL_tmp1594z00_9788);
					{	/* Cfa/cinfo.sch 967 */
						long BgL_arg2021z00_9792;

						BgL_arg2021z00_9792 =
							BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1594z00_9788), BgL_arg2021z00_9792);
					}
					BgL_new1596z00_9787 = ((BgL_genpatchidz00_bglt) BgL_tmp1594z00_9788);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1596z00_9787)))->BgL_locz00) =
					((obj_t) BgL_loc1697z00_507), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1596z00_9787)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1698z00_508), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_9787)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1699zd2_509), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_9787)))->BgL_keyz00) =
					((obj_t) BgL_key1700z00_510), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1596z00_9787)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21701za2_511), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1596z00_9787)))->BgL_effectz00) =
					((obj_t) BgL_effect1702z00_512), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1596z00_9787)))->BgL_indexz00) =
					((long) BgL_index1703z00_513), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1596z00_9787)))->BgL_rindexz00) =
					((long) BgL_rindex1704z00_514), BUNSPEC);
				{
					BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_13193;

					{
						obj_t BgL_auxz00_13194;

						{	/* Cfa/cinfo.sch 967 */
							BgL_objectz00_bglt BgL_tmpz00_13195;

							BgL_tmpz00_13195 = ((BgL_objectz00_bglt) BgL_new1596z00_9787);
							BgL_auxz00_13194 = BGL_OBJECT_WIDENING(BgL_tmpz00_13195);
						}
						BgL_auxz00_13193 =
							((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_13194);
					}
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13193))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1705z00_515), BUNSPEC);
				}
				return BgL_new1596z00_9787;
			}
		}

	}



/* &make-genpatchid/Cinfo */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7899, obj_t BgL_loc1697z00_7900, obj_t BgL_type1698z00_7901,
		obj_t BgL_sidezd2effect1699zd2_7902, obj_t BgL_key1700z00_7903,
		obj_t BgL_exprza21701za2_7904, obj_t BgL_effect1702z00_7905,
		obj_t BgL_index1703z00_7906, obj_t BgL_rindex1704z00_7907,
		obj_t BgL_approx1705z00_7908)
	{
		{	/* Cfa/cinfo.sch 967 */
			return
				BGl_makezd2genpatchidzf2Cinfoz20zzcfa_infoz00(BgL_loc1697z00_7900,
				((BgL_typez00_bglt) BgL_type1698z00_7901),
				BgL_sidezd2effect1699zd2_7902, BgL_key1700z00_7903,
				BgL_exprza21701za2_7904, BgL_effect1702z00_7905,
				(long) CINT(BgL_index1703z00_7906), (long) CINT(BgL_rindex1704z00_7907),
				((BgL_approxz00_bglt) BgL_approx1705z00_7908));
		}

	}



/* genpatchid/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_516)
	{
		{	/* Cfa/cinfo.sch 968 */
			{	/* Cfa/cinfo.sch 968 */
				obj_t BgL_classz00_9793;

				BgL_classz00_9793 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_516))
					{	/* Cfa/cinfo.sch 968 */
						BgL_objectz00_bglt BgL_arg1858z00_9794;

						BgL_arg1858z00_9794 = (BgL_objectz00_bglt) (BgL_objz00_516);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 968 */
								long BgL_idxz00_9795;

								BgL_idxz00_9795 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9794);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9795 + 5L)) == BgL_classz00_9793);
							}
						else
							{	/* Cfa/cinfo.sch 968 */
								bool_t BgL_res3111z00_9798;

								{	/* Cfa/cinfo.sch 968 */
									obj_t BgL_oclassz00_9799;

									{	/* Cfa/cinfo.sch 968 */
										obj_t BgL_arg1866z00_9800;
										long BgL_arg1867z00_9801;

										BgL_arg1866z00_9800 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 968 */
											long BgL_arg1869z00_9802;

											BgL_arg1869z00_9802 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9794);
											BgL_arg1867z00_9801 = (BgL_arg1869z00_9802 - OBJECT_TYPE);
										}
										BgL_oclassz00_9799 =
											VECTOR_REF(BgL_arg1866z00_9800, BgL_arg1867z00_9801);
									}
									{	/* Cfa/cinfo.sch 968 */
										bool_t BgL__ortest_1115z00_9803;

										BgL__ortest_1115z00_9803 =
											(BgL_classz00_9793 == BgL_oclassz00_9799);
										if (BgL__ortest_1115z00_9803)
											{	/* Cfa/cinfo.sch 968 */
												BgL_res3111z00_9798 = BgL__ortest_1115z00_9803;
											}
										else
											{	/* Cfa/cinfo.sch 968 */
												long BgL_odepthz00_9804;

												{	/* Cfa/cinfo.sch 968 */
													obj_t BgL_arg1855z00_9805;

													BgL_arg1855z00_9805 = (BgL_oclassz00_9799);
													BgL_odepthz00_9804 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9805);
												}
												if ((5L < BgL_odepthz00_9804))
													{	/* Cfa/cinfo.sch 968 */
														obj_t BgL_arg1853z00_9806;

														{	/* Cfa/cinfo.sch 968 */
															obj_t BgL_arg1854z00_9807;

															BgL_arg1854z00_9807 = (BgL_oclassz00_9799);
															BgL_arg1853z00_9806 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9807,
																5L);
														}
														BgL_res3111z00_9798 =
															(BgL_arg1853z00_9806 == BgL_classz00_9793);
													}
												else
													{	/* Cfa/cinfo.sch 968 */
														BgL_res3111z00_9798 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3111z00_9798;
							}
					}
				else
					{	/* Cfa/cinfo.sch 968 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid/Cinfo? */
	obj_t BGl_z62genpatchidzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7909,
		obj_t BgL_objz00_7910)
	{
		{	/* Cfa/cinfo.sch 968 */
			return BBOOL(BGl_genpatchidzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7910));
		}

	}



/* genpatchid/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 969 */
			{	/* Cfa/cinfo.sch 969 */
				obj_t BgL_classz00_5107;

				BgL_classz00_5107 = BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 969 */
					obj_t BgL__ortest_1117z00_5108;

					BgL__ortest_1117z00_5108 = BGL_CLASS_NIL(BgL_classz00_5107);
					if (CBOOL(BgL__ortest_1117z00_5108))
						{	/* Cfa/cinfo.sch 969 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1117z00_5108);
						}
					else
						{	/* Cfa/cinfo.sch 969 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5107));
						}
				}
			}
		}

	}



/* &genpatchid/Cinfo-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7911)
	{
		{	/* Cfa/cinfo.sch 969 */
			return BGl_genpatchidzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* genpatchid/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_517)
	{
		{	/* Cfa/cinfo.sch 970 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_13236;

				{
					obj_t BgL_auxz00_13237;

					{	/* Cfa/cinfo.sch 970 */
						BgL_objectz00_bglt BgL_tmpz00_13238;

						BgL_tmpz00_13238 = ((BgL_objectz00_bglt) BgL_oz00_517);
						BgL_auxz00_13237 = BGL_OBJECT_WIDENING(BgL_tmpz00_13238);
					}
					BgL_auxz00_13236 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_13237);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13236))->
					BgL_approxz00);
			}
		}

	}



/* &genpatchid/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62genpatchidzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7912, obj_t BgL_oz00_7913)
	{
		{	/* Cfa/cinfo.sch 970 */
			return
				BGl_genpatchidzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7913));
		}

	}



/* genpatchid/Cinfo-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_520)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_520)))->BgL_rindexz00);
		}

	}



/* &genpatchid/Cinfo-rindex */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexz42zzcfa_infoz00(obj_t
		BgL_envz00_7914, obj_t BgL_oz00_7915)
	{
		{	/* Cfa/cinfo.sch 972 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2rindexz20zzcfa_infoz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7915)));
		}

	}



/* genpatchid/Cinfo-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_521, long BgL_vz00_522)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_521)))->BgL_rindexz00) =
				((long) BgL_vz00_522), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-rindex-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2rindexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7916, obj_t BgL_oz00_7917, obj_t BgL_vz00_7918)
	{
		{	/* Cfa/cinfo.sch 973 */
			return
				BGl_genpatchidzf2Cinfozd2rindexzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7917), (long) CINT(BgL_vz00_7918));
		}

	}



/* genpatchid/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_523)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				(((BgL_genpatchidz00_bglt) COBJECT(
						((BgL_genpatchidz00_bglt) BgL_oz00_523)))->BgL_indexz00);
		}

	}



/* &genpatchid/Cinfo-index */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexz42zzcfa_infoz00(obj_t BgL_envz00_7919,
		obj_t BgL_oz00_7920)
	{
		{	/* Cfa/cinfo.sch 974 */
			return
				BINT(BGl_genpatchidzf2Cinfozd2indexz20zzcfa_infoz00(
					((BgL_genpatchidz00_bglt) BgL_oz00_7920)));
		}

	}



/* genpatchid/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_524, long BgL_vz00_525)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_524)))->BgL_indexz00) =
				((long) BgL_vz00_525), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-index-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7921, obj_t BgL_oz00_7922, obj_t BgL_vz00_7923)
	{
		{	/* Cfa/cinfo.sch 975 */
			return
				BGl_genpatchidzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7922), (long) CINT(BgL_vz00_7923));
		}

	}



/* genpatchid/Cinfo-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_526)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_526)))->BgL_effectz00);
		}

	}



/* &genpatchid/Cinfo-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_7924, obj_t BgL_oz00_7925)
	{
		{	/* Cfa/cinfo.sch 976 */
			return
				BGl_genpatchidzf2Cinfozd2effectz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7925));
		}

	}



/* genpatchid/Cinfo-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_527, obj_t BgL_vz00_528)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_527)))->BgL_effectz00) =
				((obj_t) BgL_vz00_528), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-effect-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7926, obj_t BgL_oz00_7927, obj_t BgL_vz00_7928)
	{
		{	/* Cfa/cinfo.sch 977 */
			return
				BGl_genpatchidzf2Cinfozd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7927), BgL_vz00_7928);
		}

	}



/* genpatchid/Cinfo-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_529)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_529)))->BgL_exprza2za2);
		}

	}



/* &genpatchid/Cinfo-expr* */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2ze0zzcfa_infoz00(obj_t
		BgL_envz00_7929, obj_t BgL_oz00_7930)
	{
		{	/* Cfa/cinfo.sch 978 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2z82zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7930));
		}

	}



/* genpatchid/Cinfo-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_530, obj_t BgL_vz00_531)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_530)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_531), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-expr*-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2exprza2zd2setz12z20zzcfa_infoz00(obj_t
		BgL_envz00_7931, obj_t BgL_oz00_7932, obj_t BgL_vz00_7933)
	{
		{	/* Cfa/cinfo.sch 979 */
			return
				BGl_genpatchidzf2Cinfozd2exprza2zd2setz12z42zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7932), BgL_vz00_7933);
		}

	}



/* genpatchid/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_532)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_532)))->BgL_keyz00);
		}

	}



/* &genpatchid/Cinfo-key */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_7934,
		obj_t BgL_oz00_7935)
	{
		{	/* Cfa/cinfo.sch 980 */
			return
				BGl_genpatchidzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7935));
		}

	}



/* genpatchid/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_533, obj_t BgL_vz00_534)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_533)))->BgL_keyz00) =
				((obj_t) BgL_vz00_534), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-key-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7936, obj_t BgL_oz00_7937, obj_t BgL_vz00_7938)
	{
		{	/* Cfa/cinfo.sch 981 */
			return
				BGl_genpatchidzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7937), BgL_vz00_7938);
		}

	}



/* genpatchid/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_535)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_535)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid/Cinfo-side-effect */
	obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_7939, obj_t BgL_oz00_7940)
	{
		{	/* Cfa/cinfo.sch 982 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7940));
		}

	}



/* genpatchid/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_536, obj_t BgL_vz00_537)
	{
		{	/* Cfa/cinfo.sch 983 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_536)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_537), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-side-effect-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_7941, obj_t BgL_oz00_7942, obj_t BgL_vz00_7943)
	{
		{	/* Cfa/cinfo.sch 983 */
			return
				BGl_genpatchidzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7942), BgL_vz00_7943);
		}

	}



/* genpatchid/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_538)
	{
		{	/* Cfa/cinfo.sch 984 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_538)))->BgL_typez00);
		}

	}



/* &genpatchid/Cinfo-type */
	BgL_typez00_bglt BGl_z62genpatchidzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7944, obj_t BgL_oz00_7945)
	{
		{	/* Cfa/cinfo.sch 984 */
			return
				BGl_genpatchidzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7945));
		}

	}



/* genpatchid/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_genpatchidz00_bglt BgL_oz00_539, BgL_typez00_bglt BgL_vz00_540)
	{
		{	/* Cfa/cinfo.sch 985 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_539)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_540), BUNSPEC);
		}

	}



/* &genpatchid/Cinfo-type-set! */
	obj_t BGl_z62genpatchidzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7946, obj_t BgL_oz00_7947, obj_t BgL_vz00_7948)
	{
		{	/* Cfa/cinfo.sch 985 */
			return
				BGl_genpatchidzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7947),
				((BgL_typez00_bglt) BgL_vz00_7948));
		}

	}



/* genpatchid/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(BgL_genpatchidz00_bglt
		BgL_oz00_541)
	{
		{	/* Cfa/cinfo.sch 986 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_541)))->BgL_locz00);
		}

	}



/* &genpatchid/Cinfo-loc */
	obj_t BGl_z62genpatchidzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7949,
		obj_t BgL_oz00_7950)
	{
		{	/* Cfa/cinfo.sch 986 */
			return
				BGl_genpatchidzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_genpatchidz00_bglt) BgL_oz00_7950));
		}

	}



/* make-patch/Cinfo */
	BGL_EXPORTED_DEF BgL_patchz00_bglt
		BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1689z00_544,
		BgL_typez00_bglt BgL_type1690z00_545, obj_t BgL_value1691z00_546,
		BgL_varz00_bglt BgL_ref1692z00_547, long BgL_index1693z00_548,
		obj_t BgL_patchid1694z00_549, BgL_approxz00_bglt BgL_approx1695z00_550)
	{
		{	/* Cfa/cinfo.sch 990 */
			{	/* Cfa/cinfo.sch 990 */
				BgL_patchz00_bglt BgL_new1600z00_9808;

				{	/* Cfa/cinfo.sch 990 */
					BgL_patchz00_bglt BgL_tmp1598z00_9809;
					BgL_patchzf2cinfozf2_bglt BgL_wide1599z00_9810;

					{
						BgL_patchz00_bglt BgL_auxz00_13310;

						{	/* Cfa/cinfo.sch 990 */
							BgL_patchz00_bglt BgL_new1597z00_9811;

							BgL_new1597z00_9811 =
								((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_patchz00_bgl))));
							{	/* Cfa/cinfo.sch 990 */
								long BgL_arg2024z00_9812;

								BgL_arg2024z00_9812 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1597z00_9811),
									BgL_arg2024z00_9812);
							}
							{	/* Cfa/cinfo.sch 990 */
								BgL_objectz00_bglt BgL_tmpz00_13315;

								BgL_tmpz00_13315 = ((BgL_objectz00_bglt) BgL_new1597z00_9811);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13315, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1597z00_9811);
							BgL_auxz00_13310 = BgL_new1597z00_9811;
						}
						BgL_tmp1598z00_9809 = ((BgL_patchz00_bglt) BgL_auxz00_13310);
					}
					BgL_wide1599z00_9810 =
						((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 990 */
						obj_t BgL_auxz00_13323;
						BgL_objectz00_bglt BgL_tmpz00_13321;

						BgL_auxz00_13323 = ((obj_t) BgL_wide1599z00_9810);
						BgL_tmpz00_13321 = ((BgL_objectz00_bglt) BgL_tmp1598z00_9809);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13321, BgL_auxz00_13323);
					}
					((BgL_objectz00_bglt) BgL_tmp1598z00_9809);
					{	/* Cfa/cinfo.sch 990 */
						long BgL_arg2023z00_9813;

						BgL_arg2023z00_9813 =
							BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1598z00_9809), BgL_arg2023z00_9813);
					}
					BgL_new1600z00_9808 = ((BgL_patchz00_bglt) BgL_tmp1598z00_9809);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1600z00_9808)))->BgL_locz00) =
					((obj_t) BgL_loc1689z00_544), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1600z00_9808)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1690z00_545), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1600z00_9808)))->BgL_valuez00) =
					((obj_t) BgL_value1691z00_546), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1600z00_9808)))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1692z00_547), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1600z00_9808)))->BgL_indexz00) =
					((long) BgL_index1693z00_548), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1600z00_9808)))->BgL_patchidz00) =
					((obj_t) BgL_patchid1694z00_549), BUNSPEC);
				{
					BgL_patchzf2cinfozf2_bglt BgL_auxz00_13343;

					{
						obj_t BgL_auxz00_13344;

						{	/* Cfa/cinfo.sch 990 */
							BgL_objectz00_bglt BgL_tmpz00_13345;

							BgL_tmpz00_13345 = ((BgL_objectz00_bglt) BgL_new1600z00_9808);
							BgL_auxz00_13344 = BGL_OBJECT_WIDENING(BgL_tmpz00_13345);
						}
						BgL_auxz00_13343 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_13344);
					}
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13343))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1695z00_550), BUNSPEC);
				}
				return BgL_new1600z00_9808;
			}
		}

	}



/* &make-patch/Cinfo */
	BgL_patchz00_bglt BGl_z62makezd2patchzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_7951, obj_t BgL_loc1689z00_7952, obj_t BgL_type1690z00_7953,
		obj_t BgL_value1691z00_7954, obj_t BgL_ref1692z00_7955,
		obj_t BgL_index1693z00_7956, obj_t BgL_patchid1694z00_7957,
		obj_t BgL_approx1695z00_7958)
	{
		{	/* Cfa/cinfo.sch 990 */
			return
				BGl_makezd2patchzf2Cinfoz20zzcfa_infoz00(BgL_loc1689z00_7952,
				((BgL_typez00_bglt) BgL_type1690z00_7953), BgL_value1691z00_7954,
				((BgL_varz00_bglt) BgL_ref1692z00_7955),
				(long) CINT(BgL_index1693z00_7956), BgL_patchid1694z00_7957,
				((BgL_approxz00_bglt) BgL_approx1695z00_7958));
		}

	}



/* patch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_551)
	{
		{	/* Cfa/cinfo.sch 991 */
			{	/* Cfa/cinfo.sch 991 */
				obj_t BgL_classz00_9814;

				BgL_classz00_9814 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_551))
					{	/* Cfa/cinfo.sch 991 */
						BgL_objectz00_bglt BgL_arg1858z00_9815;

						BgL_arg1858z00_9815 = (BgL_objectz00_bglt) (BgL_objz00_551);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 991 */
								long BgL_idxz00_9816;

								BgL_idxz00_9816 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9815);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9816 + 4L)) == BgL_classz00_9814);
							}
						else
							{	/* Cfa/cinfo.sch 991 */
								bool_t BgL_res3112z00_9819;

								{	/* Cfa/cinfo.sch 991 */
									obj_t BgL_oclassz00_9820;

									{	/* Cfa/cinfo.sch 991 */
										obj_t BgL_arg1866z00_9821;
										long BgL_arg1867z00_9822;

										BgL_arg1866z00_9821 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 991 */
											long BgL_arg1869z00_9823;

											BgL_arg1869z00_9823 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9815);
											BgL_arg1867z00_9822 = (BgL_arg1869z00_9823 - OBJECT_TYPE);
										}
										BgL_oclassz00_9820 =
											VECTOR_REF(BgL_arg1866z00_9821, BgL_arg1867z00_9822);
									}
									{	/* Cfa/cinfo.sch 991 */
										bool_t BgL__ortest_1115z00_9824;

										BgL__ortest_1115z00_9824 =
											(BgL_classz00_9814 == BgL_oclassz00_9820);
										if (BgL__ortest_1115z00_9824)
											{	/* Cfa/cinfo.sch 991 */
												BgL_res3112z00_9819 = BgL__ortest_1115z00_9824;
											}
										else
											{	/* Cfa/cinfo.sch 991 */
												long BgL_odepthz00_9825;

												{	/* Cfa/cinfo.sch 991 */
													obj_t BgL_arg1855z00_9826;

													BgL_arg1855z00_9826 = (BgL_oclassz00_9820);
													BgL_odepthz00_9825 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9826);
												}
												if ((4L < BgL_odepthz00_9825))
													{	/* Cfa/cinfo.sch 991 */
														obj_t BgL_arg1853z00_9827;

														{	/* Cfa/cinfo.sch 991 */
															obj_t BgL_arg1854z00_9828;

															BgL_arg1854z00_9828 = (BgL_oclassz00_9820);
															BgL_arg1853z00_9827 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9828,
																4L);
														}
														BgL_res3112z00_9819 =
															(BgL_arg1853z00_9827 == BgL_classz00_9814);
													}
												else
													{	/* Cfa/cinfo.sch 991 */
														BgL_res3112z00_9819 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3112z00_9819;
							}
					}
				else
					{	/* Cfa/cinfo.sch 991 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch/Cinfo? */
	obj_t BGl_z62patchzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_7959,
		obj_t BgL_objz00_7960)
	{
		{	/* Cfa/cinfo.sch 991 */
			return BBOOL(BGl_patchzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_7960));
		}

	}



/* patch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt
		BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 992 */
			{	/* Cfa/cinfo.sch 992 */
				obj_t BgL_classz00_5159;

				BgL_classz00_5159 = BGl_patchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 992 */
					obj_t BgL__ortest_1117z00_5160;

					BgL__ortest_1117z00_5160 = BGL_CLASS_NIL(BgL_classz00_5159);
					if (CBOOL(BgL__ortest_1117z00_5160))
						{	/* Cfa/cinfo.sch 992 */
							return ((BgL_patchz00_bglt) BgL__ortest_1117z00_5160);
						}
					else
						{	/* Cfa/cinfo.sch 992 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5159));
						}
				}
			}
		}

	}



/* &patch/Cinfo-nil */
	BgL_patchz00_bglt BGl_z62patchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7961)
	{
		{	/* Cfa/cinfo.sch 992 */
			return BGl_patchzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* patch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_552)
	{
		{	/* Cfa/cinfo.sch 993 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_13386;

				{
					obj_t BgL_auxz00_13387;

					{	/* Cfa/cinfo.sch 993 */
						BgL_objectz00_bglt BgL_tmpz00_13388;

						BgL_tmpz00_13388 = ((BgL_objectz00_bglt) BgL_oz00_552);
						BgL_auxz00_13387 = BGL_OBJECT_WIDENING(BgL_tmpz00_13388);
					}
					BgL_auxz00_13386 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_13387);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13386))->
					BgL_approxz00);
			}
		}

	}



/* &patch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62patchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_7962, obj_t BgL_oz00_7963)
	{
		{	/* Cfa/cinfo.sch 993 */
			return
				BGl_patchzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7963));
		}

	}



/* patch/Cinfo-patchid */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_555)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_555)))->BgL_patchidz00);
		}

	}



/* &patch/Cinfo-patchid */
	obj_t BGl_z62patchzf2Cinfozd2patchidz42zzcfa_infoz00(obj_t BgL_envz00_7964,
		obj_t BgL_oz00_7965)
	{
		{	/* Cfa/cinfo.sch 995 */
			return
				BGl_patchzf2Cinfozd2patchidz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7965));
		}

	}



/* patch/Cinfo-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_556, obj_t BgL_vz00_557)
	{
		{	/* Cfa/cinfo.sch 996 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_556)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_557), BUNSPEC);
		}

	}



/* &patch/Cinfo-patchid-set! */
	obj_t BGl_z62patchzf2Cinfozd2patchidzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7966, obj_t BgL_oz00_7967, obj_t BgL_vz00_7968)
	{
		{	/* Cfa/cinfo.sch 996 */
			return
				BGl_patchzf2Cinfozd2patchidzd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7967), BgL_vz00_7968);
		}

	}



/* patch/Cinfo-index */
	BGL_EXPORTED_DEF long
		BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_558)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_558)))->BgL_indexz00);
		}

	}



/* &patch/Cinfo-index */
	obj_t BGl_z62patchzf2Cinfozd2indexz42zzcfa_infoz00(obj_t BgL_envz00_7969,
		obj_t BgL_oz00_7970)
	{
		{	/* Cfa/cinfo.sch 997 */
			return
				BINT(BGl_patchzf2Cinfozd2indexz20zzcfa_infoz00(
					((BgL_patchz00_bglt) BgL_oz00_7970)));
		}

	}



/* patch/Cinfo-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_559, long BgL_vz00_560)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_559)))->BgL_indexz00) =
				((long) BgL_vz00_560), BUNSPEC);
		}

	}



/* &patch/Cinfo-index-set! */
	obj_t BGl_z62patchzf2Cinfozd2indexzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7971, obj_t BgL_oz00_7972, obj_t BgL_vz00_7973)
	{
		{	/* Cfa/cinfo.sch 998 */
			return
				BGl_patchzf2Cinfozd2indexzd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7972), (long) CINT(BgL_vz00_7973));
		}

	}



/* patch/Cinfo-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_561)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_561)))->BgL_refz00);
		}

	}



/* &patch/Cinfo-ref */
	BgL_varz00_bglt BGl_z62patchzf2Cinfozd2refz42zzcfa_infoz00(obj_t
		BgL_envz00_7974, obj_t BgL_oz00_7975)
	{
		{	/* Cfa/cinfo.sch 999 */
			return
				BGl_patchzf2Cinfozd2refz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7975));
		}

	}



/* patch/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_564)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_564)))->BgL_valuez00);
		}

	}



/* &patch/Cinfo-value */
	obj_t BGl_z62patchzf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7976,
		obj_t BgL_oz00_7977)
	{
		{	/* Cfa/cinfo.sch 1001 */
			return
				BGl_patchzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7977));
		}

	}



/* patch/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_565, obj_t BgL_vz00_566)
	{
		{	/* Cfa/cinfo.sch 1002 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_565)))->BgL_valuez00) =
				((obj_t) BgL_vz00_566), BUNSPEC);
		}

	}



/* &patch/Cinfo-value-set! */
	obj_t BGl_z62patchzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7978, obj_t BgL_oz00_7979, obj_t BgL_vz00_7980)
	{
		{	/* Cfa/cinfo.sch 1002 */
			return
				BGl_patchzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7979), BgL_vz00_7980);
		}

	}



/* patch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_567)
	{
		{	/* Cfa/cinfo.sch 1003 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_567)))->BgL_typez00);
		}

	}



/* &patch/Cinfo-type */
	BgL_typez00_bglt BGl_z62patchzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_7981, obj_t BgL_oz00_7982)
	{
		{	/* Cfa/cinfo.sch 1003 */
			return
				BGl_patchzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7982));
		}

	}



/* patch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_patchz00_bglt
		BgL_oz00_568, BgL_typez00_bglt BgL_vz00_569)
	{
		{	/* Cfa/cinfo.sch 1004 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_568)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_569), BUNSPEC);
		}

	}



/* &patch/Cinfo-type-set! */
	obj_t BGl_z62patchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_7983, obj_t BgL_oz00_7984, obj_t BgL_vz00_7985)
	{
		{	/* Cfa/cinfo.sch 1004 */
			return
				BGl_patchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7984),
				((BgL_typez00_bglt) BgL_vz00_7985));
		}

	}



/* patch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(BgL_patchz00_bglt BgL_oz00_570)
	{
		{	/* Cfa/cinfo.sch 1005 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_570)))->BgL_locz00);
		}

	}



/* &patch/Cinfo-loc */
	obj_t BGl_z62patchzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_7986,
		obj_t BgL_oz00_7987)
	{
		{	/* Cfa/cinfo.sch 1005 */
			return
				BGl_patchzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_patchz00_bglt) BgL_oz00_7987));
		}

	}



/* make-kwote/node */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2nodez20zzcfa_infoz00(obj_t BgL_loc1684z00_573,
		BgL_typez00_bglt BgL_type1685z00_574, obj_t BgL_value1686z00_575,
		BgL_nodez00_bglt BgL_node1687z00_576)
	{
		{	/* Cfa/cinfo.sch 1009 */
			{	/* Cfa/cinfo.sch 1009 */
				BgL_kwotez00_bglt BgL_new1604z00_9829;

				{	/* Cfa/cinfo.sch 1009 */
					BgL_kwotez00_bglt BgL_tmp1602z00_9830;
					BgL_kwotezf2nodezf2_bglt BgL_wide1603z00_9831;

					{
						BgL_kwotez00_bglt BgL_auxz00_13438;

						{	/* Cfa/cinfo.sch 1009 */
							BgL_kwotez00_bglt BgL_new1601z00_9832;

							BgL_new1601z00_9832 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1009 */
								long BgL_arg2026z00_9833;

								BgL_arg2026z00_9833 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1601z00_9832),
									BgL_arg2026z00_9833);
							}
							{	/* Cfa/cinfo.sch 1009 */
								BgL_objectz00_bglt BgL_tmpz00_13443;

								BgL_tmpz00_13443 = ((BgL_objectz00_bglt) BgL_new1601z00_9832);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13443, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1601z00_9832);
							BgL_auxz00_13438 = BgL_new1601z00_9832;
						}
						BgL_tmp1602z00_9830 = ((BgL_kwotez00_bglt) BgL_auxz00_13438);
					}
					BgL_wide1603z00_9831 =
						((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2nodezf2_bgl))));
					{	/* Cfa/cinfo.sch 1009 */
						obj_t BgL_auxz00_13451;
						BgL_objectz00_bglt BgL_tmpz00_13449;

						BgL_auxz00_13451 = ((obj_t) BgL_wide1603z00_9831);
						BgL_tmpz00_13449 = ((BgL_objectz00_bglt) BgL_tmp1602z00_9830);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13449, BgL_auxz00_13451);
					}
					((BgL_objectz00_bglt) BgL_tmp1602z00_9830);
					{	/* Cfa/cinfo.sch 1009 */
						long BgL_arg2025z00_9834;

						BgL_arg2025z00_9834 =
							BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1602z00_9830), BgL_arg2025z00_9834);
					}
					BgL_new1604z00_9829 = ((BgL_kwotez00_bglt) BgL_tmp1602z00_9830);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1604z00_9829)))->BgL_locz00) =
					((obj_t) BgL_loc1684z00_573), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1604z00_9829)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1685z00_574), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1604z00_9829)))->BgL_valuez00) =
					((obj_t) BgL_value1686z00_575), BUNSPEC);
				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_13465;

					{
						obj_t BgL_auxz00_13466;

						{	/* Cfa/cinfo.sch 1009 */
							BgL_objectz00_bglt BgL_tmpz00_13467;

							BgL_tmpz00_13467 = ((BgL_objectz00_bglt) BgL_new1604z00_9829);
							BgL_auxz00_13466 = BGL_OBJECT_WIDENING(BgL_tmpz00_13467);
						}
						BgL_auxz00_13465 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_13466);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_13465))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_node1687z00_576), BUNSPEC);
				}
				return BgL_new1604z00_9829;
			}
		}

	}



/* &make-kwote/node */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2nodez42zzcfa_infoz00(obj_t
		BgL_envz00_7988, obj_t BgL_loc1684z00_7989, obj_t BgL_type1685z00_7990,
		obj_t BgL_value1686z00_7991, obj_t BgL_node1687z00_7992)
	{
		{	/* Cfa/cinfo.sch 1009 */
			return
				BGl_makezd2kwotezf2nodez20zzcfa_infoz00(BgL_loc1684z00_7989,
				((BgL_typez00_bglt) BgL_type1685z00_7990), BgL_value1686z00_7991,
				((BgL_nodez00_bglt) BgL_node1687z00_7992));
		}

	}



/* kwote/node? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2nodezf3z01zzcfa_infoz00(obj_t
		BgL_objz00_577)
	{
		{	/* Cfa/cinfo.sch 1010 */
			{	/* Cfa/cinfo.sch 1010 */
				obj_t BgL_classz00_9835;

				BgL_classz00_9835 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_577))
					{	/* Cfa/cinfo.sch 1010 */
						BgL_objectz00_bglt BgL_arg1858z00_9836;

						BgL_arg1858z00_9836 = (BgL_objectz00_bglt) (BgL_objz00_577);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1010 */
								long BgL_idxz00_9837;

								BgL_idxz00_9837 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9836);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9837 + 3L)) == BgL_classz00_9835);
							}
						else
							{	/* Cfa/cinfo.sch 1010 */
								bool_t BgL_res3113z00_9840;

								{	/* Cfa/cinfo.sch 1010 */
									obj_t BgL_oclassz00_9841;

									{	/* Cfa/cinfo.sch 1010 */
										obj_t BgL_arg1866z00_9842;
										long BgL_arg1867z00_9843;

										BgL_arg1866z00_9842 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1010 */
											long BgL_arg1869z00_9844;

											BgL_arg1869z00_9844 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9836);
											BgL_arg1867z00_9843 = (BgL_arg1869z00_9844 - OBJECT_TYPE);
										}
										BgL_oclassz00_9841 =
											VECTOR_REF(BgL_arg1866z00_9842, BgL_arg1867z00_9843);
									}
									{	/* Cfa/cinfo.sch 1010 */
										bool_t BgL__ortest_1115z00_9845;

										BgL__ortest_1115z00_9845 =
											(BgL_classz00_9835 == BgL_oclassz00_9841);
										if (BgL__ortest_1115z00_9845)
											{	/* Cfa/cinfo.sch 1010 */
												BgL_res3113z00_9840 = BgL__ortest_1115z00_9845;
											}
										else
											{	/* Cfa/cinfo.sch 1010 */
												long BgL_odepthz00_9846;

												{	/* Cfa/cinfo.sch 1010 */
													obj_t BgL_arg1855z00_9847;

													BgL_arg1855z00_9847 = (BgL_oclassz00_9841);
													BgL_odepthz00_9846 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9847);
												}
												if ((3L < BgL_odepthz00_9846))
													{	/* Cfa/cinfo.sch 1010 */
														obj_t BgL_arg1853z00_9848;

														{	/* Cfa/cinfo.sch 1010 */
															obj_t BgL_arg1854z00_9849;

															BgL_arg1854z00_9849 = (BgL_oclassz00_9841);
															BgL_arg1853z00_9848 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9849,
																3L);
														}
														BgL_res3113z00_9840 =
															(BgL_arg1853z00_9848 == BgL_classz00_9835);
													}
												else
													{	/* Cfa/cinfo.sch 1010 */
														BgL_res3113z00_9840 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3113z00_9840;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1010 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/node? */
	obj_t BGl_z62kwotezf2nodezf3z63zzcfa_infoz00(obj_t BgL_envz00_7993,
		obj_t BgL_objz00_7994)
	{
		{	/* Cfa/cinfo.sch 1010 */
			return BBOOL(BGl_kwotezf2nodezf3z01zzcfa_infoz00(BgL_objz00_7994));
		}

	}



/* kwote/node-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_kwotezf2nodezd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1011 */
			{	/* Cfa/cinfo.sch 1011 */
				obj_t BgL_classz00_5211;

				BgL_classz00_5211 = BGl_kwotezf2nodezf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1011 */
					obj_t BgL__ortest_1117z00_5212;

					BgL__ortest_1117z00_5212 = BGL_CLASS_NIL(BgL_classz00_5211);
					if (CBOOL(BgL__ortest_1117z00_5212))
						{	/* Cfa/cinfo.sch 1011 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1117z00_5212);
						}
					else
						{	/* Cfa/cinfo.sch 1011 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5211));
						}
				}
			}
		}

	}



/* &kwote/node-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2nodezd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_7995)
	{
		{	/* Cfa/cinfo.sch 1011 */
			return BGl_kwotezf2nodezd2nilz20zzcfa_infoz00();
		}

	}



/* kwote/node-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_578)
	{
		{	/* Cfa/cinfo.sch 1012 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_13506;

				{
					obj_t BgL_auxz00_13507;

					{	/* Cfa/cinfo.sch 1012 */
						BgL_objectz00_bglt BgL_tmpz00_13508;

						BgL_tmpz00_13508 = ((BgL_objectz00_bglt) BgL_oz00_578);
						BgL_auxz00_13507 = BGL_OBJECT_WIDENING(BgL_tmpz00_13508);
					}
					BgL_auxz00_13506 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_13507);
				}
				return
					(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_13506))->BgL_nodez00);
			}
		}

	}



/* &kwote/node-node */
	BgL_nodez00_bglt BGl_z62kwotezf2nodezd2nodez42zzcfa_infoz00(obj_t
		BgL_envz00_7996, obj_t BgL_oz00_7997)
	{
		{	/* Cfa/cinfo.sch 1012 */
			return
				BGl_kwotezf2nodezd2nodez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7997));
		}

	}



/* kwote/node-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_581)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_581)))->BgL_valuez00);
		}

	}



/* &kwote/node-value */
	obj_t BGl_z62kwotezf2nodezd2valuez42zzcfa_infoz00(obj_t BgL_envz00_7998,
		obj_t BgL_oz00_7999)
	{
		{	/* Cfa/cinfo.sch 1014 */
			return
				BGl_kwotezf2nodezd2valuez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_7999));
		}

	}



/* kwote/node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2nodezd2typez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_584)
	{
		{	/* Cfa/cinfo.sch 1016 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_584)))->BgL_typez00);
		}

	}



/* &kwote/node-type */
	BgL_typez00_bglt BGl_z62kwotezf2nodezd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8000, obj_t BgL_oz00_8001)
	{
		{	/* Cfa/cinfo.sch 1016 */
			return
				BGl_kwotezf2nodezd2typez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8001));
		}

	}



/* kwote/node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt
		BgL_oz00_585, BgL_typez00_bglt BgL_vz00_586)
	{
		{	/* Cfa/cinfo.sch 1017 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_585)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_586), BUNSPEC);
		}

	}



/* &kwote/node-type-set! */
	obj_t BGl_z62kwotezf2nodezd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8002, obj_t BgL_oz00_8003, obj_t BgL_vz00_8004)
	{
		{	/* Cfa/cinfo.sch 1017 */
			return
				BGl_kwotezf2nodezd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8003),
				((BgL_typez00_bglt) BgL_vz00_8004));
		}

	}



/* kwote/node-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2nodezd2locz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_587)
	{
		{	/* Cfa/cinfo.sch 1018 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_587)))->BgL_locz00);
		}

	}



/* &kwote/node-loc */
	obj_t BGl_z62kwotezf2nodezd2locz42zzcfa_infoz00(obj_t BgL_envz00_8005,
		obj_t BgL_oz00_8006)
	{
		{	/* Cfa/cinfo.sch 1018 */
			return
				BGl_kwotezf2nodezd2locz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8006));
		}

	}



/* make-kwote/Cinfo */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1679z00_590,
		BgL_typez00_bglt BgL_type1680z00_591, obj_t BgL_value1681z00_592,
		BgL_approxz00_bglt BgL_approx1682z00_593)
	{
		{	/* Cfa/cinfo.sch 1022 */
			{	/* Cfa/cinfo.sch 1022 */
				BgL_kwotez00_bglt BgL_new1608z00_9850;

				{	/* Cfa/cinfo.sch 1022 */
					BgL_kwotez00_bglt BgL_tmp1606z00_9851;
					BgL_kwotezf2cinfozf2_bglt BgL_wide1607z00_9852;

					{
						BgL_kwotez00_bglt BgL_auxz00_13532;

						{	/* Cfa/cinfo.sch 1022 */
							BgL_kwotez00_bglt BgL_new1605z00_9853;

							BgL_new1605z00_9853 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.sch 1022 */
								long BgL_arg2028z00_9854;

								BgL_arg2028z00_9854 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1605z00_9853),
									BgL_arg2028z00_9854);
							}
							{	/* Cfa/cinfo.sch 1022 */
								BgL_objectz00_bglt BgL_tmpz00_13537;

								BgL_tmpz00_13537 = ((BgL_objectz00_bglt) BgL_new1605z00_9853);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13537, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1605z00_9853);
							BgL_auxz00_13532 = BgL_new1605z00_9853;
						}
						BgL_tmp1606z00_9851 = ((BgL_kwotez00_bglt) BgL_auxz00_13532);
					}
					BgL_wide1607z00_9852 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1022 */
						obj_t BgL_auxz00_13545;
						BgL_objectz00_bglt BgL_tmpz00_13543;

						BgL_auxz00_13545 = ((obj_t) BgL_wide1607z00_9852);
						BgL_tmpz00_13543 = ((BgL_objectz00_bglt) BgL_tmp1606z00_9851);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13543, BgL_auxz00_13545);
					}
					((BgL_objectz00_bglt) BgL_tmp1606z00_9851);
					{	/* Cfa/cinfo.sch 1022 */
						long BgL_arg2027z00_9855;

						BgL_arg2027z00_9855 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1606z00_9851), BgL_arg2027z00_9855);
					}
					BgL_new1608z00_9850 = ((BgL_kwotez00_bglt) BgL_tmp1606z00_9851);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1608z00_9850)))->BgL_locz00) =
					((obj_t) BgL_loc1679z00_590), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1608z00_9850)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1680z00_591), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1608z00_9850)))->BgL_valuez00) =
					((obj_t) BgL_value1681z00_592), BUNSPEC);
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_13559;

					{
						obj_t BgL_auxz00_13560;

						{	/* Cfa/cinfo.sch 1022 */
							BgL_objectz00_bglt BgL_tmpz00_13561;

							BgL_tmpz00_13561 = ((BgL_objectz00_bglt) BgL_new1608z00_9850);
							BgL_auxz00_13560 = BGL_OBJECT_WIDENING(BgL_tmpz00_13561);
						}
						BgL_auxz00_13559 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_13560);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_13559))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1682z00_593), BUNSPEC);
				}
				return BgL_new1608z00_9850;
			}
		}

	}



/* &make-kwote/Cinfo */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8007, obj_t BgL_loc1679z00_8008, obj_t BgL_type1680z00_8009,
		obj_t BgL_value1681z00_8010, obj_t BgL_approx1682z00_8011)
	{
		{	/* Cfa/cinfo.sch 1022 */
			return
				BGl_makezd2kwotezf2Cinfoz20zzcfa_infoz00(BgL_loc1679z00_8008,
				((BgL_typez00_bglt) BgL_type1680z00_8009), BgL_value1681z00_8010,
				((BgL_approxz00_bglt) BgL_approx1682z00_8011));
		}

	}



/* kwote/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_594)
	{
		{	/* Cfa/cinfo.sch 1023 */
			{	/* Cfa/cinfo.sch 1023 */
				obj_t BgL_classz00_9856;

				BgL_classz00_9856 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_594))
					{	/* Cfa/cinfo.sch 1023 */
						BgL_objectz00_bglt BgL_arg1858z00_9857;

						BgL_arg1858z00_9857 = (BgL_objectz00_bglt) (BgL_objz00_594);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1023 */
								long BgL_idxz00_9858;

								BgL_idxz00_9858 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9857);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9858 + 3L)) == BgL_classz00_9856);
							}
						else
							{	/* Cfa/cinfo.sch 1023 */
								bool_t BgL_res3114z00_9861;

								{	/* Cfa/cinfo.sch 1023 */
									obj_t BgL_oclassz00_9862;

									{	/* Cfa/cinfo.sch 1023 */
										obj_t BgL_arg1866z00_9863;
										long BgL_arg1867z00_9864;

										BgL_arg1866z00_9863 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1023 */
											long BgL_arg1869z00_9865;

											BgL_arg1869z00_9865 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9857);
											BgL_arg1867z00_9864 = (BgL_arg1869z00_9865 - OBJECT_TYPE);
										}
										BgL_oclassz00_9862 =
											VECTOR_REF(BgL_arg1866z00_9863, BgL_arg1867z00_9864);
									}
									{	/* Cfa/cinfo.sch 1023 */
										bool_t BgL__ortest_1115z00_9866;

										BgL__ortest_1115z00_9866 =
											(BgL_classz00_9856 == BgL_oclassz00_9862);
										if (BgL__ortest_1115z00_9866)
											{	/* Cfa/cinfo.sch 1023 */
												BgL_res3114z00_9861 = BgL__ortest_1115z00_9866;
											}
										else
											{	/* Cfa/cinfo.sch 1023 */
												long BgL_odepthz00_9867;

												{	/* Cfa/cinfo.sch 1023 */
													obj_t BgL_arg1855z00_9868;

													BgL_arg1855z00_9868 = (BgL_oclassz00_9862);
													BgL_odepthz00_9867 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9868);
												}
												if ((3L < BgL_odepthz00_9867))
													{	/* Cfa/cinfo.sch 1023 */
														obj_t BgL_arg1853z00_9869;

														{	/* Cfa/cinfo.sch 1023 */
															obj_t BgL_arg1854z00_9870;

															BgL_arg1854z00_9870 = (BgL_oclassz00_9862);
															BgL_arg1853z00_9869 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9870,
																3L);
														}
														BgL_res3114z00_9861 =
															(BgL_arg1853z00_9869 == BgL_classz00_9856);
													}
												else
													{	/* Cfa/cinfo.sch 1023 */
														BgL_res3114z00_9861 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3114z00_9861;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1023 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote/Cinfo? */
	obj_t BGl_z62kwotezf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8012,
		obj_t BgL_objz00_8013)
	{
		{	/* Cfa/cinfo.sch 1023 */
			return BBOOL(BGl_kwotezf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8013));
		}

	}



/* kwote/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt
		BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1024 */
			{	/* Cfa/cinfo.sch 1024 */
				obj_t BgL_classz00_5263;

				BgL_classz00_5263 = BGl_kwotezf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1024 */
					obj_t BgL__ortest_1117z00_5264;

					BgL__ortest_1117z00_5264 = BGL_CLASS_NIL(BgL_classz00_5263);
					if (CBOOL(BgL__ortest_1117z00_5264))
						{	/* Cfa/cinfo.sch 1024 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1117z00_5264);
						}
					else
						{	/* Cfa/cinfo.sch 1024 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5263));
						}
				}
			}
		}

	}



/* &kwote/Cinfo-nil */
	BgL_kwotez00_bglt BGl_z62kwotezf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8014)
	{
		{	/* Cfa/cinfo.sch 1024 */
			return BGl_kwotezf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* kwote/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_595)
	{
		{	/* Cfa/cinfo.sch 1025 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_13600;

				{
					obj_t BgL_auxz00_13601;

					{	/* Cfa/cinfo.sch 1025 */
						BgL_objectz00_bglt BgL_tmpz00_13602;

						BgL_tmpz00_13602 = ((BgL_objectz00_bglt) BgL_oz00_595);
						BgL_auxz00_13601 = BGL_OBJECT_WIDENING(BgL_tmpz00_13602);
					}
					BgL_auxz00_13600 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_13601);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_13600))->
					BgL_approxz00);
			}
		}

	}



/* &kwote/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62kwotezf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8015, obj_t BgL_oz00_8016)
	{
		{	/* Cfa/cinfo.sch 1025 */
			return
				BGl_kwotezf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8016));
		}

	}



/* kwote/Cinfo-value */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_598)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_598)))->BgL_valuez00);
		}

	}



/* &kwote/Cinfo-value */
	obj_t BGl_z62kwotezf2Cinfozd2valuez42zzcfa_infoz00(obj_t BgL_envz00_8017,
		obj_t BgL_oz00_8018)
	{
		{	/* Cfa/cinfo.sch 1027 */
			return
				BGl_kwotezf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8018));
		}

	}



/* kwote/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_601)
	{
		{	/* Cfa/cinfo.sch 1029 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_601)))->BgL_typez00);
		}

	}



/* &kwote/Cinfo-type */
	BgL_typez00_bglt BGl_z62kwotezf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8019, obj_t BgL_oz00_8020)
	{
		{	/* Cfa/cinfo.sch 1029 */
			return
				BGl_kwotezf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8020));
		}

	}



/* kwote/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_kwotez00_bglt
		BgL_oz00_602, BgL_typez00_bglt BgL_vz00_603)
	{
		{	/* Cfa/cinfo.sch 1030 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_602)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_603), BUNSPEC);
		}

	}



/* &kwote/Cinfo-type-set! */
	obj_t BGl_z62kwotezf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8021, obj_t BgL_oz00_8022, obj_t BgL_vz00_8023)
	{
		{	/* Cfa/cinfo.sch 1030 */
			return
				BGl_kwotezf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8022),
				((BgL_typez00_bglt) BgL_vz00_8023));
		}

	}



/* kwote/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(BgL_kwotez00_bglt BgL_oz00_604)
	{
		{	/* Cfa/cinfo.sch 1031 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_604)))->BgL_locz00);
		}

	}



/* &kwote/Cinfo-loc */
	obj_t BGl_z62kwotezf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8024,
		obj_t BgL_oz00_8025)
	{
		{	/* Cfa/cinfo.sch 1031 */
			return
				BGl_kwotezf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_kwotez00_bglt) BgL_oz00_8025));
		}

	}



/* make-app-ly/Cinfo */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1666z00_607,
		BgL_typez00_bglt BgL_type1667z00_608, BgL_nodez00_bglt BgL_fun1668z00_609,
		BgL_nodez00_bglt BgL_arg1675z00_610,
		BgL_approxz00_bglt BgL_approx1676z00_611)
	{
		{	/* Cfa/cinfo.sch 1035 */
			{	/* Cfa/cinfo.sch 1035 */
				BgL_appzd2lyzd2_bglt BgL_new1612z00_9871;

				{	/* Cfa/cinfo.sch 1035 */
					BgL_appzd2lyzd2_bglt BgL_tmp1610z00_9872;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1611z00_9873;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_13626;

						{	/* Cfa/cinfo.sch 1035 */
							BgL_appzd2lyzd2_bglt BgL_new1609z00_9874;

							BgL_new1609z00_9874 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Cfa/cinfo.sch 1035 */
								long BgL_arg2031z00_9875;

								BgL_arg2031z00_9875 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1609z00_9874),
									BgL_arg2031z00_9875);
							}
							{	/* Cfa/cinfo.sch 1035 */
								BgL_objectz00_bglt BgL_tmpz00_13631;

								BgL_tmpz00_13631 = ((BgL_objectz00_bglt) BgL_new1609z00_9874);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13631, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1609z00_9874);
							BgL_auxz00_13626 = BgL_new1609z00_9874;
						}
						BgL_tmp1610z00_9872 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_13626);
					}
					BgL_wide1611z00_9873 =
						((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1035 */
						obj_t BgL_auxz00_13639;
						BgL_objectz00_bglt BgL_tmpz00_13637;

						BgL_auxz00_13639 = ((obj_t) BgL_wide1611z00_9873);
						BgL_tmpz00_13637 = ((BgL_objectz00_bglt) BgL_tmp1610z00_9872);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13637, BgL_auxz00_13639);
					}
					((BgL_objectz00_bglt) BgL_tmp1610z00_9872);
					{	/* Cfa/cinfo.sch 1035 */
						long BgL_arg2030z00_9876;

						BgL_arg2030z00_9876 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1610z00_9872), BgL_arg2030z00_9876);
					}
					BgL_new1612z00_9871 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1610z00_9872);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1612z00_9871)))->BgL_locz00) =
					((obj_t) BgL_loc1666z00_607), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1612z00_9871)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1667z00_608), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1612z00_9871)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1668z00_609), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1612z00_9871)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1675z00_610), BUNSPEC);
				{
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_13655;

					{
						obj_t BgL_auxz00_13656;

						{	/* Cfa/cinfo.sch 1035 */
							BgL_objectz00_bglt BgL_tmpz00_13657;

							BgL_tmpz00_13657 = ((BgL_objectz00_bglt) BgL_new1612z00_9871);
							BgL_auxz00_13656 = BGL_OBJECT_WIDENING(BgL_tmpz00_13657);
						}
						BgL_auxz00_13655 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_13656);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13655))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1676z00_611), BUNSPEC);
				}
				return BgL_new1612z00_9871;
			}
		}

	}



/* &make-app-ly/Cinfo */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_8026, obj_t BgL_loc1666z00_8027, obj_t BgL_type1667z00_8028,
		obj_t BgL_fun1668z00_8029, obj_t BgL_arg1675z00_8030,
		obj_t BgL_approx1676z00_8031)
	{
		{	/* Cfa/cinfo.sch 1035 */
			return
				BGl_makezd2appzd2lyzf2Cinfozf2zzcfa_infoz00(BgL_loc1666z00_8027,
				((BgL_typez00_bglt) BgL_type1667z00_8028),
				((BgL_nodez00_bglt) BgL_fun1668z00_8029),
				((BgL_nodez00_bglt) BgL_arg1675z00_8030),
				((BgL_approxz00_bglt) BgL_approx1676z00_8031));
		}

	}



/* app-ly/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_612)
	{
		{	/* Cfa/cinfo.sch 1036 */
			{	/* Cfa/cinfo.sch 1036 */
				obj_t BgL_classz00_9877;

				BgL_classz00_9877 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_612))
					{	/* Cfa/cinfo.sch 1036 */
						BgL_objectz00_bglt BgL_arg1858z00_9878;

						BgL_arg1858z00_9878 = (BgL_objectz00_bglt) (BgL_objz00_612);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1036 */
								long BgL_idxz00_9879;

								BgL_idxz00_9879 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9878);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9879 + 3L)) == BgL_classz00_9877);
							}
						else
							{	/* Cfa/cinfo.sch 1036 */
								bool_t BgL_res3115z00_9882;

								{	/* Cfa/cinfo.sch 1036 */
									obj_t BgL_oclassz00_9883;

									{	/* Cfa/cinfo.sch 1036 */
										obj_t BgL_arg1866z00_9884;
										long BgL_arg1867z00_9885;

										BgL_arg1866z00_9884 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1036 */
											long BgL_arg1869z00_9886;

											BgL_arg1869z00_9886 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9878);
											BgL_arg1867z00_9885 = (BgL_arg1869z00_9886 - OBJECT_TYPE);
										}
										BgL_oclassz00_9883 =
											VECTOR_REF(BgL_arg1866z00_9884, BgL_arg1867z00_9885);
									}
									{	/* Cfa/cinfo.sch 1036 */
										bool_t BgL__ortest_1115z00_9887;

										BgL__ortest_1115z00_9887 =
											(BgL_classz00_9877 == BgL_oclassz00_9883);
										if (BgL__ortest_1115z00_9887)
											{	/* Cfa/cinfo.sch 1036 */
												BgL_res3115z00_9882 = BgL__ortest_1115z00_9887;
											}
										else
											{	/* Cfa/cinfo.sch 1036 */
												long BgL_odepthz00_9888;

												{	/* Cfa/cinfo.sch 1036 */
													obj_t BgL_arg1855z00_9889;

													BgL_arg1855z00_9889 = (BgL_oclassz00_9883);
													BgL_odepthz00_9888 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9889);
												}
												if ((3L < BgL_odepthz00_9888))
													{	/* Cfa/cinfo.sch 1036 */
														obj_t BgL_arg1853z00_9890;

														{	/* Cfa/cinfo.sch 1036 */
															obj_t BgL_arg1854z00_9891;

															BgL_arg1854z00_9891 = (BgL_oclassz00_9883);
															BgL_arg1853z00_9890 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9891,
																3L);
														}
														BgL_res3115z00_9882 =
															(BgL_arg1853z00_9890 == BgL_classz00_9877);
													}
												else
													{	/* Cfa/cinfo.sch 1036 */
														BgL_res3115z00_9882 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3115z00_9882;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1036 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly/Cinfo? */
	obj_t BGl_z62appzd2lyzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_8032,
		obj_t BgL_objz00_8033)
	{
		{	/* Cfa/cinfo.sch 1036 */
			return BBOOL(BGl_appzd2lyzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_8033));
		}

	}



/* app-ly/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1037 */
			{	/* Cfa/cinfo.sch 1037 */
				obj_t BgL_classz00_5315;

				BgL_classz00_5315 = BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1037 */
					obj_t BgL__ortest_1117z00_5316;

					BgL__ortest_1117z00_5316 = BGL_CLASS_NIL(BgL_classz00_5315);
					if (CBOOL(BgL__ortest_1117z00_5316))
						{	/* Cfa/cinfo.sch 1037 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1117z00_5316);
						}
					else
						{	/* Cfa/cinfo.sch 1037 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5315));
						}
				}
			}
		}

	}



/* &app-ly/Cinfo-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_8034)
	{
		{	/* Cfa/cinfo.sch 1037 */
			return BGl_appzd2lyzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* app-ly/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_613)
	{
		{	/* Cfa/cinfo.sch 1038 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_13698;

				{
					obj_t BgL_auxz00_13699;

					{	/* Cfa/cinfo.sch 1038 */
						BgL_objectz00_bglt BgL_tmpz00_13700;

						BgL_tmpz00_13700 = ((BgL_objectz00_bglt) BgL_oz00_613);
						BgL_auxz00_13699 = BGL_OBJECT_WIDENING(BgL_tmpz00_13700);
					}
					BgL_auxz00_13698 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_13699);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_13698))->
					BgL_approxz00);
			}
		}

	}



/* &app-ly/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62appzd2lyzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8035, obj_t BgL_oz00_8036)
	{
		{	/* Cfa/cinfo.sch 1038 */
			return
				BGl_appzd2lyzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8036));
		}

	}



/* app-ly/Cinfo-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_616)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_616)))->BgL_argz00);
		}

	}



/* &app-ly/Cinfo-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2argz90zzcfa_infoz00(obj_t
		BgL_envz00_8037, obj_t BgL_oz00_8038)
	{
		{	/* Cfa/cinfo.sch 1040 */
			return
				BGl_appzd2lyzf2Cinfozd2argzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8038));
		}

	}



/* app-ly/Cinfo-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_617, BgL_nodez00_bglt BgL_vz00_618)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_617)))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_618), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-arg-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2argzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8039, obj_t BgL_oz00_8040, obj_t BgL_vz00_8041)
	{
		{	/* Cfa/cinfo.sch 1041 */
			return
				BGl_appzd2lyzf2Cinfozd2argzd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8040),
				((BgL_nodez00_bglt) BgL_vz00_8041));
		}

	}



/* app-ly/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_619)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_619)))->BgL_funz00);
		}

	}



/* &app-ly/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzf2Cinfozd2funz90zzcfa_infoz00(obj_t
		BgL_envz00_8042, obj_t BgL_oz00_8043)
	{
		{	/* Cfa/cinfo.sch 1042 */
			return
				BGl_appzd2lyzf2Cinfozd2funzf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8043));
		}

	}



/* app-ly/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_620, BgL_nodez00_bglt BgL_vz00_621)
	{
		{	/* Cfa/cinfo.sch 1043 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_620)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_621), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-fun-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2funzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8044, obj_t BgL_oz00_8045, obj_t BgL_vz00_8046)
	{
		{	/* Cfa/cinfo.sch 1043 */
			return
				BGl_appzd2lyzf2Cinfozd2funzd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8045),
				((BgL_nodez00_bglt) BgL_vz00_8046));
		}

	}



/* app-ly/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_622)
	{
		{	/* Cfa/cinfo.sch 1044 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_622)))->BgL_typez00);
		}

	}



/* &app-ly/Cinfo-type */
	BgL_typez00_bglt BGl_z62appzd2lyzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8047, obj_t BgL_oz00_8048)
	{
		{	/* Cfa/cinfo.sch 1044 */
			return
				BGl_appzd2lyzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8048));
		}

	}



/* app-ly/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_623, BgL_typez00_bglt BgL_vz00_624)
	{
		{	/* Cfa/cinfo.sch 1045 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_623)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_624), BUNSPEC);
		}

	}



/* &app-ly/Cinfo-type-set! */
	obj_t BGl_z62appzd2lyzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8049, obj_t BgL_oz00_8050, obj_t BgL_vz00_8051)
	{
		{	/* Cfa/cinfo.sch 1045 */
			return
				BGl_appzd2lyzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8050),
				((BgL_typez00_bglt) BgL_vz00_8051));
		}

	}



/* app-ly/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(BgL_appzd2lyzd2_bglt
		BgL_oz00_625)
	{
		{	/* Cfa/cinfo.sch 1046 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_625)))->BgL_locz00);
		}

	}



/* &app-ly/Cinfo-loc */
	obj_t BGl_z62appzd2lyzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_8052,
		obj_t BgL_oz00_8053)
	{
		{	/* Cfa/cinfo.sch 1046 */
			return
				BGl_appzd2lyzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_8053));
		}

	}



/* make-funcall/Cinfo */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1654z00_628,
		BgL_typez00_bglt BgL_type1655z00_629, BgL_nodez00_bglt BgL_fun1657z00_630,
		obj_t BgL_args1658z00_631, obj_t BgL_strength1659z00_632,
		obj_t BgL_functions1660z00_633, BgL_approxz00_bglt BgL_approx1661z00_634,
		BgL_approxz00_bglt BgL_vazd2approx1662zd2_635,
		bool_t BgL_arityzd2errorzd2noticedzf31663zf3_636,
		bool_t BgL_typezd2errorzd2noticedzf31664zf3_637)
	{
		{	/* Cfa/cinfo.sch 1050 */
			{	/* Cfa/cinfo.sch 1050 */
				BgL_funcallz00_bglt BgL_new1616z00_9892;

				{	/* Cfa/cinfo.sch 1050 */
					BgL_funcallz00_bglt BgL_tmp1614z00_9893;
					BgL_funcallzf2cinfozf2_bglt BgL_wide1615z00_9894;

					{
						BgL_funcallz00_bglt BgL_auxz00_13738;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_funcallz00_bglt BgL_new1613z00_9895;

							BgL_new1613z00_9895 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Cfa/cinfo.sch 1050 */
								long BgL_arg2033z00_9896;

								BgL_arg2033z00_9896 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1613z00_9895),
									BgL_arg2033z00_9896);
							}
							{	/* Cfa/cinfo.sch 1050 */
								BgL_objectz00_bglt BgL_tmpz00_13743;

								BgL_tmpz00_13743 = ((BgL_objectz00_bglt) BgL_new1613z00_9895);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13743, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1613z00_9895);
							BgL_auxz00_13738 = BgL_new1613z00_9895;
						}
						BgL_tmp1614z00_9893 = ((BgL_funcallz00_bglt) BgL_auxz00_13738);
					}
					BgL_wide1615z00_9894 =
						((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1050 */
						obj_t BgL_auxz00_13751;
						BgL_objectz00_bglt BgL_tmpz00_13749;

						BgL_auxz00_13751 = ((obj_t) BgL_wide1615z00_9894);
						BgL_tmpz00_13749 = ((BgL_objectz00_bglt) BgL_tmp1614z00_9893);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13749, BgL_auxz00_13751);
					}
					((BgL_objectz00_bglt) BgL_tmp1614z00_9893);
					{	/* Cfa/cinfo.sch 1050 */
						long BgL_arg2032z00_9897;

						BgL_arg2032z00_9897 =
							BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1614z00_9893), BgL_arg2032z00_9897);
					}
					BgL_new1616z00_9892 = ((BgL_funcallz00_bglt) BgL_tmp1614z00_9893);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1616z00_9892)))->BgL_locz00) =
					((obj_t) BgL_loc1654z00_628), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1616z00_9892)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1655z00_629), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1616z00_9892)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1657z00_630), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1616z00_9892)))->BgL_argsz00) =
					((obj_t) BgL_args1658z00_631), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1616z00_9892)))->BgL_strengthz00) =
					((obj_t) BgL_strength1659z00_632), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1616z00_9892)))->BgL_functionsz00) =
					((obj_t) BgL_functions1660z00_633), BUNSPEC);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13771;

					{
						obj_t BgL_auxz00_13772;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_13773;

							BgL_tmpz00_13773 = ((BgL_objectz00_bglt) BgL_new1616z00_9892);
							BgL_auxz00_13772 = BGL_OBJECT_WIDENING(BgL_tmpz00_13773);
						}
						BgL_auxz00_13771 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13772);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13771))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1661z00_634), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13778;

					{
						obj_t BgL_auxz00_13779;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_13780;

							BgL_tmpz00_13780 = ((BgL_objectz00_bglt) BgL_new1616z00_9892);
							BgL_auxz00_13779 = BGL_OBJECT_WIDENING(BgL_tmpz00_13780);
						}
						BgL_auxz00_13778 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13779);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13778))->
							BgL_vazd2approxzd2) =
						((BgL_approxz00_bglt) BgL_vazd2approx1662zd2_635), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13785;

					{
						obj_t BgL_auxz00_13786;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_13787;

							BgL_tmpz00_13787 = ((BgL_objectz00_bglt) BgL_new1616z00_9892);
							BgL_auxz00_13786 = BGL_OBJECT_WIDENING(BgL_tmpz00_13787);
						}
						BgL_auxz00_13785 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13786);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13785))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_arityzd2errorzd2noticedzf31663zf3_636), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13792;

					{
						obj_t BgL_auxz00_13793;

						{	/* Cfa/cinfo.sch 1050 */
							BgL_objectz00_bglt BgL_tmpz00_13794;

							BgL_tmpz00_13794 = ((BgL_objectz00_bglt) BgL_new1616z00_9892);
							BgL_auxz00_13793 = BGL_OBJECT_WIDENING(BgL_tmpz00_13794);
						}
						BgL_auxz00_13792 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13793);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13792))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_typezd2errorzd2noticedzf31664zf3_637), BUNSPEC);
				}
				return BgL_new1616z00_9892;
			}
		}

	}



/* &make-funcall/Cinfo */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8054, obj_t BgL_loc1654z00_8055, obj_t BgL_type1655z00_8056,
		obj_t BgL_fun1657z00_8057, obj_t BgL_args1658z00_8058,
		obj_t BgL_strength1659z00_8059, obj_t BgL_functions1660z00_8060,
		obj_t BgL_approx1661z00_8061, obj_t BgL_vazd2approx1662zd2_8062,
		obj_t BgL_arityzd2errorzd2noticedzf31663zf3_8063,
		obj_t BgL_typezd2errorzd2noticedzf31664zf3_8064)
	{
		{	/* Cfa/cinfo.sch 1050 */
			return
				BGl_makezd2funcallzf2Cinfoz20zzcfa_infoz00(BgL_loc1654z00_8055,
				((BgL_typez00_bglt) BgL_type1655z00_8056),
				((BgL_nodez00_bglt) BgL_fun1657z00_8057), BgL_args1658z00_8058,
				BgL_strength1659z00_8059, BgL_functions1660z00_8060,
				((BgL_approxz00_bglt) BgL_approx1661z00_8061),
				((BgL_approxz00_bglt) BgL_vazd2approx1662zd2_8062),
				CBOOL(BgL_arityzd2errorzd2noticedzf31663zf3_8063),
				CBOOL(BgL_typezd2errorzd2noticedzf31664zf3_8064));
		}

	}



/* funcall/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_638)
	{
		{	/* Cfa/cinfo.sch 1051 */
			{	/* Cfa/cinfo.sch 1051 */
				obj_t BgL_classz00_9898;

				BgL_classz00_9898 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_638))
					{	/* Cfa/cinfo.sch 1051 */
						BgL_objectz00_bglt BgL_arg1858z00_9899;

						BgL_arg1858z00_9899 = (BgL_objectz00_bglt) (BgL_objz00_638);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1051 */
								long BgL_idxz00_9900;

								BgL_idxz00_9900 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9899);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9900 + 3L)) == BgL_classz00_9898);
							}
						else
							{	/* Cfa/cinfo.sch 1051 */
								bool_t BgL_res3116z00_9903;

								{	/* Cfa/cinfo.sch 1051 */
									obj_t BgL_oclassz00_9904;

									{	/* Cfa/cinfo.sch 1051 */
										obj_t BgL_arg1866z00_9905;
										long BgL_arg1867z00_9906;

										BgL_arg1866z00_9905 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1051 */
											long BgL_arg1869z00_9907;

											BgL_arg1869z00_9907 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9899);
											BgL_arg1867z00_9906 = (BgL_arg1869z00_9907 - OBJECT_TYPE);
										}
										BgL_oclassz00_9904 =
											VECTOR_REF(BgL_arg1866z00_9905, BgL_arg1867z00_9906);
									}
									{	/* Cfa/cinfo.sch 1051 */
										bool_t BgL__ortest_1115z00_9908;

										BgL__ortest_1115z00_9908 =
											(BgL_classz00_9898 == BgL_oclassz00_9904);
										if (BgL__ortest_1115z00_9908)
											{	/* Cfa/cinfo.sch 1051 */
												BgL_res3116z00_9903 = BgL__ortest_1115z00_9908;
											}
										else
											{	/* Cfa/cinfo.sch 1051 */
												long BgL_odepthz00_9909;

												{	/* Cfa/cinfo.sch 1051 */
													obj_t BgL_arg1855z00_9910;

													BgL_arg1855z00_9910 = (BgL_oclassz00_9904);
													BgL_odepthz00_9909 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9910);
												}
												if ((3L < BgL_odepthz00_9909))
													{	/* Cfa/cinfo.sch 1051 */
														obj_t BgL_arg1853z00_9911;

														{	/* Cfa/cinfo.sch 1051 */
															obj_t BgL_arg1854z00_9912;

															BgL_arg1854z00_9912 = (BgL_oclassz00_9904);
															BgL_arg1853z00_9911 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9912,
																3L);
														}
														BgL_res3116z00_9903 =
															(BgL_arg1853z00_9911 == BgL_classz00_9898);
													}
												else
													{	/* Cfa/cinfo.sch 1051 */
														BgL_res3116z00_9903 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3116z00_9903;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1051 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall/Cinfo? */
	obj_t BGl_z62funcallzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8065,
		obj_t BgL_objz00_8066)
	{
		{	/* Cfa/cinfo.sch 1051 */
			return BBOOL(BGl_funcallzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8066));
		}

	}



/* funcall/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt
		BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1052 */
			{	/* Cfa/cinfo.sch 1052 */
				obj_t BgL_classz00_5370;

				BgL_classz00_5370 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1052 */
					obj_t BgL__ortest_1117z00_5371;

					BgL__ortest_1117z00_5371 = BGL_CLASS_NIL(BgL_classz00_5370);
					if (CBOOL(BgL__ortest_1117z00_5371))
						{	/* Cfa/cinfo.sch 1052 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1117z00_5371);
						}
					else
						{	/* Cfa/cinfo.sch 1052 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5370));
						}
				}
			}
		}

	}



/* &funcall/Cinfo-nil */
	BgL_funcallz00_bglt BGl_z62funcallzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8067)
	{
		{	/* Cfa/cinfo.sch 1052 */
			return BGl_funcallzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* funcall/Cinfo-type-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_639)
	{
		{	/* Cfa/cinfo.sch 1053 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13837;

				{
					obj_t BgL_auxz00_13838;

					{	/* Cfa/cinfo.sch 1053 */
						BgL_objectz00_bglt BgL_tmpz00_13839;

						BgL_tmpz00_13839 = ((BgL_objectz00_bglt) BgL_oz00_639);
						BgL_auxz00_13838 = BGL_OBJECT_WIDENING(BgL_tmpz00_13839);
					}
					BgL_auxz00_13837 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13838);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13837))->
					BgL_typezd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed? */
	obj_t BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_8068, obj_t BgL_oz00_8069)
	{
		{	/* Cfa/cinfo.sch 1053 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd3zzcfa_infoz00(
					((BgL_funcallz00_bglt) BgL_oz00_8069)));
		}

	}



/* funcall/Cinfo-type-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_640, bool_t BgL_vz00_641)
	{
		{	/* Cfa/cinfo.sch 1054 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13847;

				{
					obj_t BgL_auxz00_13848;

					{	/* Cfa/cinfo.sch 1054 */
						BgL_objectz00_bglt BgL_tmpz00_13849;

						BgL_tmpz00_13849 = ((BgL_objectz00_bglt) BgL_oz00_640);
						BgL_auxz00_13848 = BGL_OBJECT_WIDENING(BgL_tmpz00_13849);
					}
					BgL_auxz00_13847 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13848);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13847))->
						BgL_typezd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_641), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-type-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t BgL_envz00_8070, obj_t BgL_oz00_8071, obj_t BgL_vz00_8072)
	{
		{	/* Cfa/cinfo.sch 1054 */
			return
				BGl_funcallzf2Cinfozd2typezd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
				(((BgL_funcallz00_bglt) BgL_oz00_8071), CBOOL(BgL_vz00_8072));
		}

	}



/* funcall/Cinfo-arity-error-noticed? */
	BGL_EXPORTED_DEF bool_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_642)
	{
		{	/* Cfa/cinfo.sch 1055 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13857;

				{
					obj_t BgL_auxz00_13858;

					{	/* Cfa/cinfo.sch 1055 */
						BgL_objectz00_bglt BgL_tmpz00_13859;

						BgL_tmpz00_13859 = ((BgL_objectz00_bglt) BgL_oz00_642);
						BgL_auxz00_13858 = BGL_OBJECT_WIDENING(BgL_tmpz00_13859);
					}
					BgL_auxz00_13857 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13858);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13857))->
					BgL_arityzd2errorzd2noticedzf3zf3);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed? */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zb1zzcfa_infoz00(obj_t
		BgL_envz00_8073, obj_t BgL_oz00_8074)
	{
		{	/* Cfa/cinfo.sch 1055 */
			return
				BBOOL(BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd3zzcfa_infoz00(
					((BgL_funcallz00_bglt) BgL_oz00_8074)));
		}

	}



/* funcall/Cinfo-arity-error-noticed?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
		(BgL_funcallz00_bglt BgL_oz00_643, bool_t BgL_vz00_644)
	{
		{	/* Cfa/cinfo.sch 1056 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13867;

				{
					obj_t BgL_auxz00_13868;

					{	/* Cfa/cinfo.sch 1056 */
						BgL_objectz00_bglt BgL_tmpz00_13869;

						BgL_tmpz00_13869 = ((BgL_objectz00_bglt) BgL_oz00_643);
						BgL_auxz00_13868 = BGL_OBJECT_WIDENING(BgL_tmpz00_13869);
					}
					BgL_auxz00_13867 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13868);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13867))->
						BgL_arityzd2errorzd2noticedzf3zf3) =
					((bool_t) BgL_vz00_644), BUNSPEC);
			}
		}

	}



/* &funcall/Cinfo-arity-error-noticed?-set! */
	obj_t
		BGl_z62funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z71zzcfa_infoz00
		(obj_t BgL_envz00_8075, obj_t BgL_oz00_8076, obj_t BgL_vz00_8077)
	{
		{	/* Cfa/cinfo.sch 1056 */
			return
				BGl_funcallzf2Cinfozd2arityzd2errorzd2noticedzf3zd2setz12z13zzcfa_infoz00
				(((BgL_funcallz00_bglt) BgL_oz00_8076), CBOOL(BgL_vz00_8077));
		}

	}



/* funcall/Cinfo-va-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_645)
	{
		{	/* Cfa/cinfo.sch 1057 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13877;

				{
					obj_t BgL_auxz00_13878;

					{	/* Cfa/cinfo.sch 1057 */
						BgL_objectz00_bglt BgL_tmpz00_13879;

						BgL_tmpz00_13879 = ((BgL_objectz00_bglt) BgL_oz00_645);
						BgL_auxz00_13878 = BGL_OBJECT_WIDENING(BgL_tmpz00_13879);
					}
					BgL_auxz00_13877 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13878);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13877))->
					BgL_vazd2approxzd2);
			}
		}

	}



/* &funcall/Cinfo-va-approx */
	BgL_approxz00_bglt BGl_z62funcallzf2Cinfozd2vazd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8078, obj_t BgL_oz00_8079)
	{
		{	/* Cfa/cinfo.sch 1057 */
			return
				BGl_funcallzf2Cinfozd2vazd2approxzf2zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8079));
		}

	}



/* funcall/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_648)
	{
		{	/* Cfa/cinfo.sch 1059 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_13886;

				{
					obj_t BgL_auxz00_13887;

					{	/* Cfa/cinfo.sch 1059 */
						BgL_objectz00_bglt BgL_tmpz00_13888;

						BgL_tmpz00_13888 = ((BgL_objectz00_bglt) BgL_oz00_648);
						BgL_auxz00_13887 = BGL_OBJECT_WIDENING(BgL_tmpz00_13888);
					}
					BgL_auxz00_13886 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_13887);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13886))->
					BgL_approxz00);
			}
		}

	}



/* &funcall/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62funcallzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8080, obj_t BgL_oz00_8081)
	{
		{	/* Cfa/cinfo.sch 1059 */
			return
				BGl_funcallzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8081));
		}

	}



/* funcall/Cinfo-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_651)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_651)))->BgL_functionsz00);
		}

	}



/* &funcall/Cinfo-functions */
	obj_t BGl_z62funcallzf2Cinfozd2functionsz42zzcfa_infoz00(obj_t
		BgL_envz00_8082, obj_t BgL_oz00_8083)
	{
		{	/* Cfa/cinfo.sch 1061 */
			return
				BGl_funcallzf2Cinfozd2functionsz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8083));
		}

	}



/* funcall/Cinfo-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_652, obj_t BgL_vz00_653)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_652)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_653), BUNSPEC);
		}

	}



/* &funcall/Cinfo-functions-set! */
	obj_t BGl_z62funcallzf2Cinfozd2functionszd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8084, obj_t BgL_oz00_8085, obj_t BgL_vz00_8086)
	{
		{	/* Cfa/cinfo.sch 1062 */
			return
				BGl_funcallzf2Cinfozd2functionszd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8085), BgL_vz00_8086);
		}

	}



/* funcall/Cinfo-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_654)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_654)))->BgL_strengthz00);
		}

	}



/* &funcall/Cinfo-strength */
	obj_t BGl_z62funcallzf2Cinfozd2strengthz42zzcfa_infoz00(obj_t BgL_envz00_8087,
		obj_t BgL_oz00_8088)
	{
		{	/* Cfa/cinfo.sch 1063 */
			return
				BGl_funcallzf2Cinfozd2strengthz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8088));
		}

	}



/* funcall/Cinfo-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_655, obj_t BgL_vz00_656)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_655)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_656), BUNSPEC);
		}

	}



/* &funcall/Cinfo-strength-set! */
	obj_t BGl_z62funcallzf2Cinfozd2strengthzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8089, obj_t BgL_oz00_8090, obj_t BgL_vz00_8091)
	{
		{	/* Cfa/cinfo.sch 1064 */
			return
				BGl_funcallzf2Cinfozd2strengthzd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8090), BgL_vz00_8091);
		}

	}



/* funcall/Cinfo-args */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_657)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_657)))->BgL_argsz00);
		}

	}



/* &funcall/Cinfo-args */
	obj_t BGl_z62funcallzf2Cinfozd2argsz42zzcfa_infoz00(obj_t BgL_envz00_8092,
		obj_t BgL_oz00_8093)
	{
		{	/* Cfa/cinfo.sch 1065 */
			return
				BGl_funcallzf2Cinfozd2argsz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8093));
		}

	}



/* funcall/Cinfo-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_658, obj_t BgL_vz00_659)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_658)))->BgL_argsz00) =
				((obj_t) BgL_vz00_659), BUNSPEC);
		}

	}



/* &funcall/Cinfo-args-set! */
	obj_t BGl_z62funcallzf2Cinfozd2argszd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8094, obj_t BgL_oz00_8095, obj_t BgL_vz00_8096)
	{
		{	/* Cfa/cinfo.sch 1066 */
			return
				BGl_funcallzf2Cinfozd2argszd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8095), BgL_vz00_8096);
		}

	}



/* funcall/Cinfo-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_660)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_660)))->BgL_funz00);
		}

	}



/* &funcall/Cinfo-fun */
	BgL_nodez00_bglt BGl_z62funcallzf2Cinfozd2funz42zzcfa_infoz00(obj_t
		BgL_envz00_8097, obj_t BgL_oz00_8098)
	{
		{	/* Cfa/cinfo.sch 1067 */
			return
				BGl_funcallzf2Cinfozd2funz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8098));
		}

	}



/* funcall/Cinfo-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_661, BgL_nodez00_bglt BgL_vz00_662)
	{
		{	/* Cfa/cinfo.sch 1068 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_661)))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_662), BUNSPEC);
		}

	}



/* &funcall/Cinfo-fun-set! */
	obj_t BGl_z62funcallzf2Cinfozd2funzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8099, obj_t BgL_oz00_8100, obj_t BgL_vz00_8101)
	{
		{	/* Cfa/cinfo.sch 1068 */
			return
				BGl_funcallzf2Cinfozd2funzd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8100),
				((BgL_nodez00_bglt) BgL_vz00_8101));
		}

	}



/* funcall/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_663)
	{
		{	/* Cfa/cinfo.sch 1069 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_663)))->BgL_typez00);
		}

	}



/* &funcall/Cinfo-type */
	BgL_typez00_bglt BGl_z62funcallzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8102, obj_t BgL_oz00_8103)
	{
		{	/* Cfa/cinfo.sch 1069 */
			return
				BGl_funcallzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8103));
		}

	}



/* funcall/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_funcallz00_bglt
		BgL_oz00_664, BgL_typez00_bglt BgL_vz00_665)
	{
		{	/* Cfa/cinfo.sch 1070 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_664)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_665), BUNSPEC);
		}

	}



/* &funcall/Cinfo-type-set! */
	obj_t BGl_z62funcallzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8104, obj_t BgL_oz00_8105, obj_t BgL_vz00_8106)
	{
		{	/* Cfa/cinfo.sch 1070 */
			return
				BGl_funcallzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8105),
				((BgL_typez00_bglt) BgL_vz00_8106));
		}

	}



/* funcall/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(BgL_funcallz00_bglt BgL_oz00_666)
	{
		{	/* Cfa/cinfo.sch 1071 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_666)))->BgL_locz00);
		}

	}



/* &funcall/Cinfo-loc */
	obj_t BGl_z62funcallzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8107,
		obj_t BgL_oz00_8108)
	{
		{	/* Cfa/cinfo.sch 1071 */
			return
				BGl_funcallzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_funcallz00_bglt) BgL_oz00_8108));
		}

	}



/* make-setq/Cinfo */
	BGL_EXPORTED_DEF BgL_setqz00_bglt
		BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1648z00_669,
		BgL_typez00_bglt BgL_type1649z00_670, BgL_varz00_bglt BgL_var1650z00_671,
		BgL_nodez00_bglt BgL_value1651z00_672,
		BgL_approxz00_bglt BgL_approx1652z00_673)
	{
		{	/* Cfa/cinfo.sch 1075 */
			{	/* Cfa/cinfo.sch 1075 */
				BgL_setqz00_bglt BgL_new1620z00_9913;

				{	/* Cfa/cinfo.sch 1075 */
					BgL_setqz00_bglt BgL_tmp1618z00_9914;
					BgL_setqzf2cinfozf2_bglt BgL_wide1619z00_9915;

					{
						BgL_setqz00_bglt BgL_auxz00_13941;

						{	/* Cfa/cinfo.sch 1075 */
							BgL_setqz00_bglt BgL_new1617z00_9916;

							BgL_new1617z00_9916 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Cfa/cinfo.sch 1075 */
								long BgL_arg2035z00_9917;

								BgL_arg2035z00_9917 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1617z00_9916),
									BgL_arg2035z00_9917);
							}
							{	/* Cfa/cinfo.sch 1075 */
								BgL_objectz00_bglt BgL_tmpz00_13946;

								BgL_tmpz00_13946 = ((BgL_objectz00_bglt) BgL_new1617z00_9916);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13946, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1617z00_9916);
							BgL_auxz00_13941 = BgL_new1617z00_9916;
						}
						BgL_tmp1618z00_9914 = ((BgL_setqz00_bglt) BgL_auxz00_13941);
					}
					BgL_wide1619z00_9915 =
						((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1075 */
						obj_t BgL_auxz00_13954;
						BgL_objectz00_bglt BgL_tmpz00_13952;

						BgL_auxz00_13954 = ((obj_t) BgL_wide1619z00_9915);
						BgL_tmpz00_13952 = ((BgL_objectz00_bglt) BgL_tmp1618z00_9914);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13952, BgL_auxz00_13954);
					}
					((BgL_objectz00_bglt) BgL_tmp1618z00_9914);
					{	/* Cfa/cinfo.sch 1075 */
						long BgL_arg2034z00_9918;

						BgL_arg2034z00_9918 =
							BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1618z00_9914), BgL_arg2034z00_9918);
					}
					BgL_new1620z00_9913 = ((BgL_setqz00_bglt) BgL_tmp1618z00_9914);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1620z00_9913)))->BgL_locz00) =
					((obj_t) BgL_loc1648z00_669), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1620z00_9913)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1649z00_670), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1620z00_9913)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1650z00_671), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1620z00_9913)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1651z00_672), BUNSPEC);
				{
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_13970;

					{
						obj_t BgL_auxz00_13971;

						{	/* Cfa/cinfo.sch 1075 */
							BgL_objectz00_bglt BgL_tmpz00_13972;

							BgL_tmpz00_13972 = ((BgL_objectz00_bglt) BgL_new1620z00_9913);
							BgL_auxz00_13971 = BGL_OBJECT_WIDENING(BgL_tmpz00_13972);
						}
						BgL_auxz00_13970 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_13971);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_13970))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1652z00_673), BUNSPEC);
				}
				return BgL_new1620z00_9913;
			}
		}

	}



/* &make-setq/Cinfo */
	BgL_setqz00_bglt BGl_z62makezd2setqzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8109, obj_t BgL_loc1648z00_8110, obj_t BgL_type1649z00_8111,
		obj_t BgL_var1650z00_8112, obj_t BgL_value1651z00_8113,
		obj_t BgL_approx1652z00_8114)
	{
		{	/* Cfa/cinfo.sch 1075 */
			return
				BGl_makezd2setqzf2Cinfoz20zzcfa_infoz00(BgL_loc1648z00_8110,
				((BgL_typez00_bglt) BgL_type1649z00_8111),
				((BgL_varz00_bglt) BgL_var1650z00_8112),
				((BgL_nodez00_bglt) BgL_value1651z00_8113),
				((BgL_approxz00_bglt) BgL_approx1652z00_8114));
		}

	}



/* setq/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_674)
	{
		{	/* Cfa/cinfo.sch 1076 */
			{	/* Cfa/cinfo.sch 1076 */
				obj_t BgL_classz00_9919;

				BgL_classz00_9919 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_674))
					{	/* Cfa/cinfo.sch 1076 */
						BgL_objectz00_bglt BgL_arg1858z00_9920;

						BgL_arg1858z00_9920 = (BgL_objectz00_bglt) (BgL_objz00_674);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1076 */
								long BgL_idxz00_9921;

								BgL_idxz00_9921 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9920);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9921 + 3L)) == BgL_classz00_9919);
							}
						else
							{	/* Cfa/cinfo.sch 1076 */
								bool_t BgL_res3117z00_9924;

								{	/* Cfa/cinfo.sch 1076 */
									obj_t BgL_oclassz00_9925;

									{	/* Cfa/cinfo.sch 1076 */
										obj_t BgL_arg1866z00_9926;
										long BgL_arg1867z00_9927;

										BgL_arg1866z00_9926 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1076 */
											long BgL_arg1869z00_9928;

											BgL_arg1869z00_9928 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9920);
											BgL_arg1867z00_9927 = (BgL_arg1869z00_9928 - OBJECT_TYPE);
										}
										BgL_oclassz00_9925 =
											VECTOR_REF(BgL_arg1866z00_9926, BgL_arg1867z00_9927);
									}
									{	/* Cfa/cinfo.sch 1076 */
										bool_t BgL__ortest_1115z00_9929;

										BgL__ortest_1115z00_9929 =
											(BgL_classz00_9919 == BgL_oclassz00_9925);
										if (BgL__ortest_1115z00_9929)
											{	/* Cfa/cinfo.sch 1076 */
												BgL_res3117z00_9924 = BgL__ortest_1115z00_9929;
											}
										else
											{	/* Cfa/cinfo.sch 1076 */
												long BgL_odepthz00_9930;

												{	/* Cfa/cinfo.sch 1076 */
													obj_t BgL_arg1855z00_9931;

													BgL_arg1855z00_9931 = (BgL_oclassz00_9925);
													BgL_odepthz00_9930 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9931);
												}
												if ((3L < BgL_odepthz00_9930))
													{	/* Cfa/cinfo.sch 1076 */
														obj_t BgL_arg1853z00_9932;

														{	/* Cfa/cinfo.sch 1076 */
															obj_t BgL_arg1854z00_9933;

															BgL_arg1854z00_9933 = (BgL_oclassz00_9925);
															BgL_arg1853z00_9932 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9933,
																3L);
														}
														BgL_res3117z00_9924 =
															(BgL_arg1853z00_9932 == BgL_classz00_9919);
													}
												else
													{	/* Cfa/cinfo.sch 1076 */
														BgL_res3117z00_9924 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3117z00_9924;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1076 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq/Cinfo? */
	obj_t BGl_z62setqzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8115,
		obj_t BgL_objz00_8116)
	{
		{	/* Cfa/cinfo.sch 1076 */
			return BBOOL(BGl_setqzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8116));
		}

	}



/* setq/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1077 */
			{	/* Cfa/cinfo.sch 1077 */
				obj_t BgL_classz00_5427;

				BgL_classz00_5427 = BGl_setqzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1077 */
					obj_t BgL__ortest_1117z00_5428;

					BgL__ortest_1117z00_5428 = BGL_CLASS_NIL(BgL_classz00_5427);
					if (CBOOL(BgL__ortest_1117z00_5428))
						{	/* Cfa/cinfo.sch 1077 */
							return ((BgL_setqz00_bglt) BgL__ortest_1117z00_5428);
						}
					else
						{	/* Cfa/cinfo.sch 1077 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5427));
						}
				}
			}
		}

	}



/* &setq/Cinfo-nil */
	BgL_setqz00_bglt BGl_z62setqzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8117)
	{
		{	/* Cfa/cinfo.sch 1077 */
			return BGl_setqzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* setq/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_675)
	{
		{	/* Cfa/cinfo.sch 1078 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_14013;

				{
					obj_t BgL_auxz00_14014;

					{	/* Cfa/cinfo.sch 1078 */
						BgL_objectz00_bglt BgL_tmpz00_14015;

						BgL_tmpz00_14015 = ((BgL_objectz00_bglt) BgL_oz00_675);
						BgL_auxz00_14014 = BGL_OBJECT_WIDENING(BgL_tmpz00_14015);
					}
					BgL_auxz00_14013 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_14014);
				}
				return
					(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14013))->
					BgL_approxz00);
			}
		}

	}



/* &setq/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62setqzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8118, obj_t BgL_oz00_8119)
	{
		{	/* Cfa/cinfo.sch 1078 */
			return
				BGl_setqzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8119));
		}

	}



/* setq/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_678)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_678)))->BgL_valuez00);
		}

	}



/* &setq/Cinfo-value */
	BgL_nodez00_bglt BGl_z62setqzf2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8120, obj_t BgL_oz00_8121)
	{
		{	/* Cfa/cinfo.sch 1080 */
			return
				BGl_setqzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8121));
		}

	}



/* setq/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_679, BgL_nodez00_bglt BgL_vz00_680)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_679)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_680), BUNSPEC);
		}

	}



/* &setq/Cinfo-value-set! */
	obj_t BGl_z62setqzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8122, obj_t BgL_oz00_8123, obj_t BgL_vz00_8124)
	{
		{	/* Cfa/cinfo.sch 1081 */
			return
				BGl_setqzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8123), ((BgL_nodez00_bglt) BgL_vz00_8124));
		}

	}



/* setq/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_681)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_681)))->BgL_varz00);
		}

	}



/* &setq/Cinfo-var */
	BgL_varz00_bglt BGl_z62setqzf2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8125, obj_t BgL_oz00_8126)
	{
		{	/* Cfa/cinfo.sch 1082 */
			return
				BGl_setqzf2Cinfozd2varz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8126));
		}

	}



/* setq/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_682, BgL_varz00_bglt BgL_vz00_683)
	{
		{	/* Cfa/cinfo.sch 1083 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_682)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_683), BUNSPEC);
		}

	}



/* &setq/Cinfo-var-set! */
	obj_t BGl_z62setqzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8127, obj_t BgL_oz00_8128, obj_t BgL_vz00_8129)
	{
		{	/* Cfa/cinfo.sch 1083 */
			return
				BGl_setqzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8128), ((BgL_varz00_bglt) BgL_vz00_8129));
		}

	}



/* setq/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(BgL_setqz00_bglt BgL_oz00_684)
	{
		{	/* Cfa/cinfo.sch 1084 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_684)))->BgL_typez00);
		}

	}



/* &setq/Cinfo-type */
	BgL_typez00_bglt BGl_z62setqzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8130, obj_t BgL_oz00_8131)
	{
		{	/* Cfa/cinfo.sch 1084 */
			return
				BGl_setqzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8131));
		}

	}



/* setq/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_685, BgL_typez00_bglt BgL_vz00_686)
	{
		{	/* Cfa/cinfo.sch 1085 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_685)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_686), BUNSPEC);
		}

	}



/* &setq/Cinfo-type-set! */
	obj_t BGl_z62setqzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8132, obj_t BgL_oz00_8133, obj_t BgL_vz00_8134)
	{
		{	/* Cfa/cinfo.sch 1085 */
			return
				BGl_setqzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8133), ((BgL_typez00_bglt) BgL_vz00_8134));
		}

	}



/* setq/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(BgL_setqz00_bglt
		BgL_oz00_687)
	{
		{	/* Cfa/cinfo.sch 1086 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_687)))->BgL_locz00);
		}

	}



/* &setq/Cinfo-loc */
	obj_t BGl_z62setqzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8135,
		obj_t BgL_oz00_8136)
	{
		{	/* Cfa/cinfo.sch 1086 */
			return
				BGl_setqzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_setqz00_bglt) BgL_oz00_8136));
		}

	}



/* make-conditional/Cinfo */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1639z00_690,
		BgL_typez00_bglt BgL_type1640z00_691, obj_t BgL_sidezd2effect1641zd2_692,
		obj_t BgL_key1642z00_693, BgL_nodez00_bglt BgL_test1643z00_694,
		BgL_nodez00_bglt BgL_true1644z00_695, BgL_nodez00_bglt BgL_false1645z00_696,
		BgL_approxz00_bglt BgL_approx1646z00_697)
	{
		{	/* Cfa/cinfo.sch 1090 */
			{	/* Cfa/cinfo.sch 1090 */
				BgL_conditionalz00_bglt BgL_new1624z00_9934;

				{	/* Cfa/cinfo.sch 1090 */
					BgL_conditionalz00_bglt BgL_tmp1622z00_9935;
					BgL_conditionalzf2cinfozf2_bglt BgL_wide1623z00_9936;

					{
						BgL_conditionalz00_bglt BgL_auxz00_14053;

						{	/* Cfa/cinfo.sch 1090 */
							BgL_conditionalz00_bglt BgL_new1621z00_9937;

							BgL_new1621z00_9937 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Cfa/cinfo.sch 1090 */
								long BgL_arg2038z00_9938;

								BgL_arg2038z00_9938 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1621z00_9937),
									BgL_arg2038z00_9938);
							}
							{	/* Cfa/cinfo.sch 1090 */
								BgL_objectz00_bglt BgL_tmpz00_14058;

								BgL_tmpz00_14058 = ((BgL_objectz00_bglt) BgL_new1621z00_9937);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14058, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1621z00_9937);
							BgL_auxz00_14053 = BgL_new1621z00_9937;
						}
						BgL_tmp1622z00_9935 = ((BgL_conditionalz00_bglt) BgL_auxz00_14053);
					}
					BgL_wide1623z00_9936 =
						((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1090 */
						obj_t BgL_auxz00_14066;
						BgL_objectz00_bglt BgL_tmpz00_14064;

						BgL_auxz00_14066 = ((obj_t) BgL_wide1623z00_9936);
						BgL_tmpz00_14064 = ((BgL_objectz00_bglt) BgL_tmp1622z00_9935);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14064, BgL_auxz00_14066);
					}
					((BgL_objectz00_bglt) BgL_tmp1622z00_9935);
					{	/* Cfa/cinfo.sch 1090 */
						long BgL_arg2036z00_9939;

						BgL_arg2036z00_9939 =
							BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1622z00_9935), BgL_arg2036z00_9939);
					}
					BgL_new1624z00_9934 = ((BgL_conditionalz00_bglt) BgL_tmp1622z00_9935);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1624z00_9934)))->BgL_locz00) =
					((obj_t) BgL_loc1639z00_690), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1624z00_9934)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1640z00_691), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1624z00_9934)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1641zd2_692), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1624z00_9934)))->BgL_keyz00) =
					((obj_t) BgL_key1642z00_693), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1624z00_9934)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1643z00_694), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1624z00_9934)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_true1644z00_695), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1624z00_9934)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_false1645z00_696), BUNSPEC);
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_14088;

					{
						obj_t BgL_auxz00_14089;

						{	/* Cfa/cinfo.sch 1090 */
							BgL_objectz00_bglt BgL_tmpz00_14090;

							BgL_tmpz00_14090 = ((BgL_objectz00_bglt) BgL_new1624z00_9934);
							BgL_auxz00_14089 = BGL_OBJECT_WIDENING(BgL_tmpz00_14090);
						}
						BgL_auxz00_14088 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_14089);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14088))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1646z00_697), BUNSPEC);
				}
				return BgL_new1624z00_9934;
			}
		}

	}



/* &make-conditional/Cinfo */
	BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8137,
		obj_t BgL_loc1639z00_8138, obj_t BgL_type1640z00_8139,
		obj_t BgL_sidezd2effect1641zd2_8140, obj_t BgL_key1642z00_8141,
		obj_t BgL_test1643z00_8142, obj_t BgL_true1644z00_8143,
		obj_t BgL_false1645z00_8144, obj_t BgL_approx1646z00_8145)
	{
		{	/* Cfa/cinfo.sch 1090 */
			return
				BGl_makezd2conditionalzf2Cinfoz20zzcfa_infoz00(BgL_loc1639z00_8138,
				((BgL_typez00_bglt) BgL_type1640z00_8139),
				BgL_sidezd2effect1641zd2_8140, BgL_key1642z00_8141,
				((BgL_nodez00_bglt) BgL_test1643z00_8142),
				((BgL_nodez00_bglt) BgL_true1644z00_8143),
				((BgL_nodez00_bglt) BgL_false1645z00_8144),
				((BgL_approxz00_bglt) BgL_approx1646z00_8145));
		}

	}



/* conditional/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_698)
	{
		{	/* Cfa/cinfo.sch 1091 */
			{	/* Cfa/cinfo.sch 1091 */
				obj_t BgL_classz00_9940;

				BgL_classz00_9940 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_698))
					{	/* Cfa/cinfo.sch 1091 */
						BgL_objectz00_bglt BgL_arg1858z00_9941;

						BgL_arg1858z00_9941 = (BgL_objectz00_bglt) (BgL_objz00_698);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1091 */
								long BgL_idxz00_9942;

								BgL_idxz00_9942 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9941);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9942 + 4L)) == BgL_classz00_9940);
							}
						else
							{	/* Cfa/cinfo.sch 1091 */
								bool_t BgL_res3118z00_9945;

								{	/* Cfa/cinfo.sch 1091 */
									obj_t BgL_oclassz00_9946;

									{	/* Cfa/cinfo.sch 1091 */
										obj_t BgL_arg1866z00_9947;
										long BgL_arg1867z00_9948;

										BgL_arg1866z00_9947 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1091 */
											long BgL_arg1869z00_9949;

											BgL_arg1869z00_9949 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9941);
											BgL_arg1867z00_9948 = (BgL_arg1869z00_9949 - OBJECT_TYPE);
										}
										BgL_oclassz00_9946 =
											VECTOR_REF(BgL_arg1866z00_9947, BgL_arg1867z00_9948);
									}
									{	/* Cfa/cinfo.sch 1091 */
										bool_t BgL__ortest_1115z00_9950;

										BgL__ortest_1115z00_9950 =
											(BgL_classz00_9940 == BgL_oclassz00_9946);
										if (BgL__ortest_1115z00_9950)
											{	/* Cfa/cinfo.sch 1091 */
												BgL_res3118z00_9945 = BgL__ortest_1115z00_9950;
											}
										else
											{	/* Cfa/cinfo.sch 1091 */
												long BgL_odepthz00_9951;

												{	/* Cfa/cinfo.sch 1091 */
													obj_t BgL_arg1855z00_9952;

													BgL_arg1855z00_9952 = (BgL_oclassz00_9946);
													BgL_odepthz00_9951 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9952);
												}
												if ((4L < BgL_odepthz00_9951))
													{	/* Cfa/cinfo.sch 1091 */
														obj_t BgL_arg1853z00_9953;

														{	/* Cfa/cinfo.sch 1091 */
															obj_t BgL_arg1854z00_9954;

															BgL_arg1854z00_9954 = (BgL_oclassz00_9946);
															BgL_arg1853z00_9953 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9954,
																4L);
														}
														BgL_res3118z00_9945 =
															(BgL_arg1853z00_9953 == BgL_classz00_9940);
													}
												else
													{	/* Cfa/cinfo.sch 1091 */
														BgL_res3118z00_9945 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3118z00_9945;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1091 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional/Cinfo? */
	obj_t BGl_z62conditionalzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8146,
		obj_t BgL_objz00_8147)
	{
		{	/* Cfa/cinfo.sch 1091 */
			return BBOOL(BGl_conditionalzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8147));
		}

	}



/* conditional/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1092 */
			{	/* Cfa/cinfo.sch 1092 */
				obj_t BgL_classz00_5479;

				BgL_classz00_5479 = BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1092 */
					obj_t BgL__ortest_1117z00_5480;

					BgL__ortest_1117z00_5480 = BGL_CLASS_NIL(BgL_classz00_5479);
					if (CBOOL(BgL__ortest_1117z00_5480))
						{	/* Cfa/cinfo.sch 1092 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1117z00_5480);
						}
					else
						{	/* Cfa/cinfo.sch 1092 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5479));
						}
				}
			}
		}

	}



/* &conditional/Cinfo-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8148)
	{
		{	/* Cfa/cinfo.sch 1092 */
			return BGl_conditionalzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* conditional/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_699)
	{
		{	/* Cfa/cinfo.sch 1093 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_14132;

				{
					obj_t BgL_auxz00_14133;

					{	/* Cfa/cinfo.sch 1093 */
						BgL_objectz00_bglt BgL_tmpz00_14134;

						BgL_tmpz00_14134 = ((BgL_objectz00_bglt) BgL_oz00_699);
						BgL_auxz00_14133 = BGL_OBJECT_WIDENING(BgL_tmpz00_14134);
					}
					BgL_auxz00_14132 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_14133);
				}
				return
					(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14132))->
					BgL_approxz00);
			}
		}

	}



/* &conditional/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62conditionalzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8149, obj_t BgL_oz00_8150)
	{
		{	/* Cfa/cinfo.sch 1093 */
			return
				BGl_conditionalzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8150));
		}

	}



/* conditional/Cinfo-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_702)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_702)))->BgL_falsez00);
		}

	}



/* &conditional/Cinfo-false */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2falsez42zzcfa_infoz00(obj_t
		BgL_envz00_8151, obj_t BgL_oz00_8152)
	{
		{	/* Cfa/cinfo.sch 1095 */
			return
				BGl_conditionalzf2Cinfozd2falsez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8152));
		}

	}



/* conditional/Cinfo-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_703, BgL_nodez00_bglt BgL_vz00_704)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_703)))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_704), BUNSPEC);
		}

	}



/* &conditional/Cinfo-false-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2falsezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8153, obj_t BgL_oz00_8154, obj_t BgL_vz00_8155)
	{
		{	/* Cfa/cinfo.sch 1096 */
			return
				BGl_conditionalzf2Cinfozd2falsezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8154),
				((BgL_nodez00_bglt) BgL_vz00_8155));
		}

	}



/* conditional/Cinfo-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_705)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_705)))->BgL_truez00);
		}

	}



/* &conditional/Cinfo-true */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2truez42zzcfa_infoz00(obj_t
		BgL_envz00_8156, obj_t BgL_oz00_8157)
	{
		{	/* Cfa/cinfo.sch 1097 */
			return
				BGl_conditionalzf2Cinfozd2truez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8157));
		}

	}



/* conditional/Cinfo-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_706, BgL_nodez00_bglt BgL_vz00_707)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_706)))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_707), BUNSPEC);
		}

	}



/* &conditional/Cinfo-true-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2truezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8158, obj_t BgL_oz00_8159, obj_t BgL_vz00_8160)
	{
		{	/* Cfa/cinfo.sch 1098 */
			return
				BGl_conditionalzf2Cinfozd2truezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8159),
				((BgL_nodez00_bglt) BgL_vz00_8160));
		}

	}



/* conditional/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_708)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_708)))->BgL_testz00);
		}

	}



/* &conditional/Cinfo-test */
	BgL_nodez00_bglt BGl_z62conditionalzf2Cinfozd2testz42zzcfa_infoz00(obj_t
		BgL_envz00_8161, obj_t BgL_oz00_8162)
	{
		{	/* Cfa/cinfo.sch 1099 */
			return
				BGl_conditionalzf2Cinfozd2testz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8162));
		}

	}



/* conditional/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_709, BgL_nodez00_bglt BgL_vz00_710)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_709)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_710), BUNSPEC);
		}

	}



/* &conditional/Cinfo-test-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8163, obj_t BgL_oz00_8164, obj_t BgL_vz00_8165)
	{
		{	/* Cfa/cinfo.sch 1100 */
			return
				BGl_conditionalzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8164),
				((BgL_nodez00_bglt) BgL_vz00_8165));
		}

	}



/* conditional/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_711)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_711)))->BgL_keyz00);
		}

	}



/* &conditional/Cinfo-key */
	obj_t BGl_z62conditionalzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_8166,
		obj_t BgL_oz00_8167)
	{
		{	/* Cfa/cinfo.sch 1101 */
			return
				BGl_conditionalzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8167));
		}

	}



/* conditional/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_712, obj_t BgL_vz00_713)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_712)))->BgL_keyz00) =
				((obj_t) BgL_vz00_713), BUNSPEC);
		}

	}



/* &conditional/Cinfo-key-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8168, obj_t BgL_oz00_8169, obj_t BgL_vz00_8170)
	{
		{	/* Cfa/cinfo.sch 1102 */
			return
				BGl_conditionalzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8169), BgL_vz00_8170);
		}

	}



/* conditional/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_714)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_714)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional/Cinfo-side-effect */
	obj_t BGl_z62conditionalzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8171, obj_t BgL_oz00_8172)
	{
		{	/* Cfa/cinfo.sch 1103 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8172));
		}

	}



/* conditional/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_715, obj_t BgL_vz00_716)
	{
		{	/* Cfa/cinfo.sch 1104 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_715)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_716), BUNSPEC);
		}

	}



/* &conditional/Cinfo-side-effect-set! */
	obj_t
		BGl_z62conditionalzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8173, obj_t BgL_oz00_8174, obj_t BgL_vz00_8175)
	{
		{	/* Cfa/cinfo.sch 1104 */
			return
				BGl_conditionalzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8174), BgL_vz00_8175);
		}

	}



/* conditional/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_717)
	{
		{	/* Cfa/cinfo.sch 1105 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_717)))->BgL_typez00);
		}

	}



/* &conditional/Cinfo-type */
	BgL_typez00_bglt BGl_z62conditionalzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8176, obj_t BgL_oz00_8177)
	{
		{	/* Cfa/cinfo.sch 1105 */
			return
				BGl_conditionalzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8177));
		}

	}



/* conditional/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_conditionalz00_bglt BgL_oz00_718, BgL_typez00_bglt BgL_vz00_719)
	{
		{	/* Cfa/cinfo.sch 1106 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_718)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_719), BUNSPEC);
		}

	}



/* &conditional/Cinfo-type-set! */
	obj_t BGl_z62conditionalzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8178, obj_t BgL_oz00_8179, obj_t BgL_vz00_8180)
	{
		{	/* Cfa/cinfo.sch 1106 */
			return
				BGl_conditionalzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8179),
				((BgL_typez00_bglt) BgL_vz00_8180));
		}

	}



/* conditional/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(BgL_conditionalz00_bglt
		BgL_oz00_720)
	{
		{	/* Cfa/cinfo.sch 1107 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_720)))->BgL_locz00);
		}

	}



/* &conditional/Cinfo-loc */
	obj_t BGl_z62conditionalzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8181,
		obj_t BgL_oz00_8182)
	{
		{	/* Cfa/cinfo.sch 1107 */
			return
				BGl_conditionalzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_conditionalz00_bglt) BgL_oz00_8182));
		}

	}



/* make-fail/Cinfo */
	BGL_EXPORTED_DEF BgL_failz00_bglt
		BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1630z00_723,
		BgL_typez00_bglt BgL_type1631z00_724, BgL_nodez00_bglt BgL_proc1632z00_725,
		BgL_nodez00_bglt BgL_msg1633z00_726, BgL_nodez00_bglt BgL_obj1634z00_727,
		BgL_approxz00_bglt BgL_approx1636z00_728)
	{
		{	/* Cfa/cinfo.sch 1111 */
			{	/* Cfa/cinfo.sch 1111 */
				BgL_failz00_bglt BgL_new1628z00_9955;

				{	/* Cfa/cinfo.sch 1111 */
					BgL_failz00_bglt BgL_tmp1626z00_9956;
					BgL_failzf2cinfozf2_bglt BgL_wide1627z00_9957;

					{
						BgL_failz00_bglt BgL_auxz00_14197;

						{	/* Cfa/cinfo.sch 1111 */
							BgL_failz00_bglt BgL_new1625z00_9958;

							BgL_new1625z00_9958 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Cfa/cinfo.sch 1111 */
								long BgL_arg2040z00_9959;

								BgL_arg2040z00_9959 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1625z00_9958),
									BgL_arg2040z00_9959);
							}
							{	/* Cfa/cinfo.sch 1111 */
								BgL_objectz00_bglt BgL_tmpz00_14202;

								BgL_tmpz00_14202 = ((BgL_objectz00_bglt) BgL_new1625z00_9958);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14202, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1625z00_9958);
							BgL_auxz00_14197 = BgL_new1625z00_9958;
						}
						BgL_tmp1626z00_9956 = ((BgL_failz00_bglt) BgL_auxz00_14197);
					}
					BgL_wide1627z00_9957 =
						((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1111 */
						obj_t BgL_auxz00_14210;
						BgL_objectz00_bglt BgL_tmpz00_14208;

						BgL_auxz00_14210 = ((obj_t) BgL_wide1627z00_9957);
						BgL_tmpz00_14208 = ((BgL_objectz00_bglt) BgL_tmp1626z00_9956);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14208, BgL_auxz00_14210);
					}
					((BgL_objectz00_bglt) BgL_tmp1626z00_9956);
					{	/* Cfa/cinfo.sch 1111 */
						long BgL_arg2039z00_9960;

						BgL_arg2039z00_9960 =
							BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1626z00_9956), BgL_arg2039z00_9960);
					}
					BgL_new1628z00_9955 = ((BgL_failz00_bglt) BgL_tmp1626z00_9956);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1628z00_9955)))->BgL_locz00) =
					((obj_t) BgL_loc1630z00_723), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1628z00_9955)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1631z00_724), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1628z00_9955)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1632z00_725), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1628z00_9955)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1633z00_726), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1628z00_9955)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1634z00_727), BUNSPEC);
				{
					BgL_failzf2cinfozf2_bglt BgL_auxz00_14228;

					{
						obj_t BgL_auxz00_14229;

						{	/* Cfa/cinfo.sch 1111 */
							BgL_objectz00_bglt BgL_tmpz00_14230;

							BgL_tmpz00_14230 = ((BgL_objectz00_bglt) BgL_new1628z00_9955);
							BgL_auxz00_14229 = BGL_OBJECT_WIDENING(BgL_tmpz00_14230);
						}
						BgL_auxz00_14228 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_14229);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14228))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1636z00_728), BUNSPEC);
				}
				return BgL_new1628z00_9955;
			}
		}

	}



/* &make-fail/Cinfo */
	BgL_failz00_bglt BGl_z62makezd2failzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8183, obj_t BgL_loc1630z00_8184, obj_t BgL_type1631z00_8185,
		obj_t BgL_proc1632z00_8186, obj_t BgL_msg1633z00_8187,
		obj_t BgL_obj1634z00_8188, obj_t BgL_approx1636z00_8189)
	{
		{	/* Cfa/cinfo.sch 1111 */
			return
				BGl_makezd2failzf2Cinfoz20zzcfa_infoz00(BgL_loc1630z00_8184,
				((BgL_typez00_bglt) BgL_type1631z00_8185),
				((BgL_nodez00_bglt) BgL_proc1632z00_8186),
				((BgL_nodez00_bglt) BgL_msg1633z00_8187),
				((BgL_nodez00_bglt) BgL_obj1634z00_8188),
				((BgL_approxz00_bglt) BgL_approx1636z00_8189));
		}

	}



/* fail/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_failzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_729)
	{
		{	/* Cfa/cinfo.sch 1112 */
			{	/* Cfa/cinfo.sch 1112 */
				obj_t BgL_classz00_9961;

				BgL_classz00_9961 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_729))
					{	/* Cfa/cinfo.sch 1112 */
						BgL_objectz00_bglt BgL_arg1858z00_9962;

						BgL_arg1858z00_9962 = (BgL_objectz00_bglt) (BgL_objz00_729);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1112 */
								long BgL_idxz00_9963;

								BgL_idxz00_9963 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9962);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9963 + 3L)) == BgL_classz00_9961);
							}
						else
							{	/* Cfa/cinfo.sch 1112 */
								bool_t BgL_res3119z00_9966;

								{	/* Cfa/cinfo.sch 1112 */
									obj_t BgL_oclassz00_9967;

									{	/* Cfa/cinfo.sch 1112 */
										obj_t BgL_arg1866z00_9968;
										long BgL_arg1867z00_9969;

										BgL_arg1866z00_9968 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1112 */
											long BgL_arg1869z00_9970;

											BgL_arg1869z00_9970 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9962);
											BgL_arg1867z00_9969 = (BgL_arg1869z00_9970 - OBJECT_TYPE);
										}
										BgL_oclassz00_9967 =
											VECTOR_REF(BgL_arg1866z00_9968, BgL_arg1867z00_9969);
									}
									{	/* Cfa/cinfo.sch 1112 */
										bool_t BgL__ortest_1115z00_9971;

										BgL__ortest_1115z00_9971 =
											(BgL_classz00_9961 == BgL_oclassz00_9967);
										if (BgL__ortest_1115z00_9971)
											{	/* Cfa/cinfo.sch 1112 */
												BgL_res3119z00_9966 = BgL__ortest_1115z00_9971;
											}
										else
											{	/* Cfa/cinfo.sch 1112 */
												long BgL_odepthz00_9972;

												{	/* Cfa/cinfo.sch 1112 */
													obj_t BgL_arg1855z00_9973;

													BgL_arg1855z00_9973 = (BgL_oclassz00_9967);
													BgL_odepthz00_9972 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9973);
												}
												if ((3L < BgL_odepthz00_9972))
													{	/* Cfa/cinfo.sch 1112 */
														obj_t BgL_arg1853z00_9974;

														{	/* Cfa/cinfo.sch 1112 */
															obj_t BgL_arg1854z00_9975;

															BgL_arg1854z00_9975 = (BgL_oclassz00_9967);
															BgL_arg1853z00_9974 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9975,
																3L);
														}
														BgL_res3119z00_9966 =
															(BgL_arg1853z00_9974 == BgL_classz00_9961);
													}
												else
													{	/* Cfa/cinfo.sch 1112 */
														BgL_res3119z00_9966 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3119z00_9966;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1112 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail/Cinfo? */
	obj_t BGl_z62failzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8190,
		obj_t BgL_objz00_8191)
	{
		{	/* Cfa/cinfo.sch 1112 */
			return BBOOL(BGl_failzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8191));
		}

	}



/* fail/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1113 */
			{	/* Cfa/cinfo.sch 1113 */
				obj_t BgL_classz00_5531;

				BgL_classz00_5531 = BGl_failzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1113 */
					obj_t BgL__ortest_1117z00_5532;

					BgL__ortest_1117z00_5532 = BGL_CLASS_NIL(BgL_classz00_5531);
					if (CBOOL(BgL__ortest_1117z00_5532))
						{	/* Cfa/cinfo.sch 1113 */
							return ((BgL_failz00_bglt) BgL__ortest_1117z00_5532);
						}
					else
						{	/* Cfa/cinfo.sch 1113 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5531));
						}
				}
			}
		}

	}



/* &fail/Cinfo-nil */
	BgL_failz00_bglt BGl_z62failzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8192)
	{
		{	/* Cfa/cinfo.sch 1113 */
			return BGl_failzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* fail/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_730)
	{
		{	/* Cfa/cinfo.sch 1114 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_14272;

				{
					obj_t BgL_auxz00_14273;

					{	/* Cfa/cinfo.sch 1114 */
						BgL_objectz00_bglt BgL_tmpz00_14274;

						BgL_tmpz00_14274 = ((BgL_objectz00_bglt) BgL_oz00_730);
						BgL_auxz00_14273 = BGL_OBJECT_WIDENING(BgL_tmpz00_14274);
					}
					BgL_auxz00_14272 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_14273);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14272))->
					BgL_approxz00);
			}
		}

	}



/* &fail/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62failzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8193, obj_t BgL_oz00_8194)
	{
		{	/* Cfa/cinfo.sch 1114 */
			return
				BGl_failzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8194));
		}

	}



/* fail/Cinfo-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2objz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_733)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_733)))->BgL_objz00);
		}

	}



/* &fail/Cinfo-obj */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2objz42zzcfa_infoz00(obj_t
		BgL_envz00_8195, obj_t BgL_oz00_8196)
	{
		{	/* Cfa/cinfo.sch 1116 */
			return
				BGl_failzf2Cinfozd2objz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8196));
		}

	}



/* fail/Cinfo-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_734, BgL_nodez00_bglt BgL_vz00_735)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_734)))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_735), BUNSPEC);
		}

	}



/* &fail/Cinfo-obj-set! */
	obj_t BGl_z62failzf2Cinfozd2objzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8197, obj_t BgL_oz00_8198, obj_t BgL_vz00_8199)
	{
		{	/* Cfa/cinfo.sch 1117 */
			return
				BGl_failzf2Cinfozd2objzd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8198), ((BgL_nodez00_bglt) BgL_vz00_8199));
		}

	}



/* fail/Cinfo-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_736)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_736)))->BgL_msgz00);
		}

	}



/* &fail/Cinfo-msg */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2msgz42zzcfa_infoz00(obj_t
		BgL_envz00_8200, obj_t BgL_oz00_8201)
	{
		{	/* Cfa/cinfo.sch 1118 */
			return
				BGl_failzf2Cinfozd2msgz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8201));
		}

	}



/* fail/Cinfo-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_737, BgL_nodez00_bglt BgL_vz00_738)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_737)))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_738), BUNSPEC);
		}

	}



/* &fail/Cinfo-msg-set! */
	obj_t BGl_z62failzf2Cinfozd2msgzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8202, obj_t BgL_oz00_8203, obj_t BgL_vz00_8204)
	{
		{	/* Cfa/cinfo.sch 1119 */
			return
				BGl_failzf2Cinfozd2msgzd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8203), ((BgL_nodez00_bglt) BgL_vz00_8204));
		}

	}



/* fail/Cinfo-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzf2Cinfozd2procz20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_739)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_739)))->BgL_procz00);
		}

	}



/* &fail/Cinfo-proc */
	BgL_nodez00_bglt BGl_z62failzf2Cinfozd2procz42zzcfa_infoz00(obj_t
		BgL_envz00_8205, obj_t BgL_oz00_8206)
	{
		{	/* Cfa/cinfo.sch 1120 */
			return
				BGl_failzf2Cinfozd2procz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8206));
		}

	}



/* fail/Cinfo-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_740, BgL_nodez00_bglt BgL_vz00_741)
	{
		{	/* Cfa/cinfo.sch 1121 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_740)))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_741), BUNSPEC);
		}

	}



/* &fail/Cinfo-proc-set! */
	obj_t BGl_z62failzf2Cinfozd2proczd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8207, obj_t BgL_oz00_8208, obj_t BgL_vz00_8209)
	{
		{	/* Cfa/cinfo.sch 1121 */
			return
				BGl_failzf2Cinfozd2proczd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8208), ((BgL_nodez00_bglt) BgL_vz00_8209));
		}

	}



/* fail/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzf2Cinfozd2typez20zzcfa_infoz00(BgL_failz00_bglt BgL_oz00_742)
	{
		{	/* Cfa/cinfo.sch 1122 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_742)))->BgL_typez00);
		}

	}



/* &fail/Cinfo-type */
	BgL_typez00_bglt BGl_z62failzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8210, obj_t BgL_oz00_8211)
	{
		{	/* Cfa/cinfo.sch 1122 */
			return
				BGl_failzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8211));
		}

	}



/* fail/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_743, BgL_typez00_bglt BgL_vz00_744)
	{
		{	/* Cfa/cinfo.sch 1123 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_743)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_744), BUNSPEC);
		}

	}



/* &fail/Cinfo-type-set! */
	obj_t BGl_z62failzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8212, obj_t BgL_oz00_8213, obj_t BgL_vz00_8214)
	{
		{	/* Cfa/cinfo.sch 1123 */
			return
				BGl_failzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8213), ((BgL_typez00_bglt) BgL_vz00_8214));
		}

	}



/* fail/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzf2Cinfozd2locz20zzcfa_infoz00(BgL_failz00_bglt
		BgL_oz00_745)
	{
		{	/* Cfa/cinfo.sch 1124 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_745)))->BgL_locz00);
		}

	}



/* &fail/Cinfo-loc */
	obj_t BGl_z62failzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8215,
		obj_t BgL_oz00_8216)
	{
		{	/* Cfa/cinfo.sch 1124 */
			return
				BGl_failzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_failz00_bglt) BgL_oz00_8216));
		}

	}



/* make-switch/Cinfo */
	BGL_EXPORTED_DEF BgL_switchz00_bglt
		BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1621z00_748,
		BgL_typez00_bglt BgL_type1622z00_749, obj_t BgL_sidezd2effect1623zd2_750,
		obj_t BgL_key1624z00_751, BgL_nodez00_bglt BgL_test1625z00_752,
		obj_t BgL_clauses1626z00_753, BgL_typez00_bglt BgL_itemzd2type1627zd2_754,
		BgL_approxz00_bglt BgL_approx1628z00_755)
	{
		{	/* Cfa/cinfo.sch 1128 */
			{	/* Cfa/cinfo.sch 1128 */
				BgL_switchz00_bglt BgL_new1632z00_9976;

				{	/* Cfa/cinfo.sch 1128 */
					BgL_switchz00_bglt BgL_tmp1630z00_9977;
					BgL_switchzf2cinfozf2_bglt BgL_wide1631z00_9978;

					{
						BgL_switchz00_bglt BgL_auxz00_14321;

						{	/* Cfa/cinfo.sch 1128 */
							BgL_switchz00_bglt BgL_new1629z00_9979;

							BgL_new1629z00_9979 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Cfa/cinfo.sch 1128 */
								long BgL_arg2042z00_9980;

								BgL_arg2042z00_9980 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1629z00_9979),
									BgL_arg2042z00_9980);
							}
							{	/* Cfa/cinfo.sch 1128 */
								BgL_objectz00_bglt BgL_tmpz00_14326;

								BgL_tmpz00_14326 = ((BgL_objectz00_bglt) BgL_new1629z00_9979);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14326, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1629z00_9979);
							BgL_auxz00_14321 = BgL_new1629z00_9979;
						}
						BgL_tmp1630z00_9977 = ((BgL_switchz00_bglt) BgL_auxz00_14321);
					}
					BgL_wide1631z00_9978 =
						((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1128 */
						obj_t BgL_auxz00_14334;
						BgL_objectz00_bglt BgL_tmpz00_14332;

						BgL_auxz00_14334 = ((obj_t) BgL_wide1631z00_9978);
						BgL_tmpz00_14332 = ((BgL_objectz00_bglt) BgL_tmp1630z00_9977);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14332, BgL_auxz00_14334);
					}
					((BgL_objectz00_bglt) BgL_tmp1630z00_9977);
					{	/* Cfa/cinfo.sch 1128 */
						long BgL_arg2041z00_9981;

						BgL_arg2041z00_9981 =
							BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1630z00_9977), BgL_arg2041z00_9981);
					}
					BgL_new1632z00_9976 = ((BgL_switchz00_bglt) BgL_tmp1630z00_9977);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1632z00_9976)))->BgL_locz00) =
					((obj_t) BgL_loc1621z00_748), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1632z00_9976)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1622z00_749), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1632z00_9976)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1623zd2_750), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1632z00_9976)))->BgL_keyz00) =
					((obj_t) BgL_key1624z00_751), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1632z00_9976)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1625z00_752), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1632z00_9976)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1626z00_753), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1632z00_9976)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1627zd2_754), BUNSPEC);
				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_14356;

					{
						obj_t BgL_auxz00_14357;

						{	/* Cfa/cinfo.sch 1128 */
							BgL_objectz00_bglt BgL_tmpz00_14358;

							BgL_tmpz00_14358 = ((BgL_objectz00_bglt) BgL_new1632z00_9976);
							BgL_auxz00_14357 = BGL_OBJECT_WIDENING(BgL_tmpz00_14358);
						}
						BgL_auxz00_14356 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_14357);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14356))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1628z00_755), BUNSPEC);
				}
				return BgL_new1632z00_9976;
			}
		}

	}



/* &make-switch/Cinfo */
	BgL_switchz00_bglt BGl_z62makezd2switchzf2Cinfoz42zzcfa_infoz00(obj_t
		BgL_envz00_8217, obj_t BgL_loc1621z00_8218, obj_t BgL_type1622z00_8219,
		obj_t BgL_sidezd2effect1623zd2_8220, obj_t BgL_key1624z00_8221,
		obj_t BgL_test1625z00_8222, obj_t BgL_clauses1626z00_8223,
		obj_t BgL_itemzd2type1627zd2_8224, obj_t BgL_approx1628z00_8225)
	{
		{	/* Cfa/cinfo.sch 1128 */
			return
				BGl_makezd2switchzf2Cinfoz20zzcfa_infoz00(BgL_loc1621z00_8218,
				((BgL_typez00_bglt) BgL_type1622z00_8219),
				BgL_sidezd2effect1623zd2_8220, BgL_key1624z00_8221,
				((BgL_nodez00_bglt) BgL_test1625z00_8222), BgL_clauses1626z00_8223,
				((BgL_typez00_bglt) BgL_itemzd2type1627zd2_8224),
				((BgL_approxz00_bglt) BgL_approx1628z00_8225));
		}

	}



/* switch/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_756)
	{
		{	/* Cfa/cinfo.sch 1129 */
			{	/* Cfa/cinfo.sch 1129 */
				obj_t BgL_classz00_9982;

				BgL_classz00_9982 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_756))
					{	/* Cfa/cinfo.sch 1129 */
						BgL_objectz00_bglt BgL_arg1858z00_9983;

						BgL_arg1858z00_9983 = (BgL_objectz00_bglt) (BgL_objz00_756);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1129 */
								long BgL_idxz00_9984;

								BgL_idxz00_9984 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9983);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9984 + 4L)) == BgL_classz00_9982);
							}
						else
							{	/* Cfa/cinfo.sch 1129 */
								bool_t BgL_res3120z00_9987;

								{	/* Cfa/cinfo.sch 1129 */
									obj_t BgL_oclassz00_9988;

									{	/* Cfa/cinfo.sch 1129 */
										obj_t BgL_arg1866z00_9989;
										long BgL_arg1867z00_9990;

										BgL_arg1866z00_9989 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1129 */
											long BgL_arg1869z00_9991;

											BgL_arg1869z00_9991 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9983);
											BgL_arg1867z00_9990 = (BgL_arg1869z00_9991 - OBJECT_TYPE);
										}
										BgL_oclassz00_9988 =
											VECTOR_REF(BgL_arg1866z00_9989, BgL_arg1867z00_9990);
									}
									{	/* Cfa/cinfo.sch 1129 */
										bool_t BgL__ortest_1115z00_9992;

										BgL__ortest_1115z00_9992 =
											(BgL_classz00_9982 == BgL_oclassz00_9988);
										if (BgL__ortest_1115z00_9992)
											{	/* Cfa/cinfo.sch 1129 */
												BgL_res3120z00_9987 = BgL__ortest_1115z00_9992;
											}
										else
											{	/* Cfa/cinfo.sch 1129 */
												long BgL_odepthz00_9993;

												{	/* Cfa/cinfo.sch 1129 */
													obj_t BgL_arg1855z00_9994;

													BgL_arg1855z00_9994 = (BgL_oclassz00_9988);
													BgL_odepthz00_9993 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9994);
												}
												if ((4L < BgL_odepthz00_9993))
													{	/* Cfa/cinfo.sch 1129 */
														obj_t BgL_arg1853z00_9995;

														{	/* Cfa/cinfo.sch 1129 */
															obj_t BgL_arg1854z00_9996;

															BgL_arg1854z00_9996 = (BgL_oclassz00_9988);
															BgL_arg1853z00_9995 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9996,
																4L);
														}
														BgL_res3120z00_9987 =
															(BgL_arg1853z00_9995 == BgL_classz00_9982);
													}
												else
													{	/* Cfa/cinfo.sch 1129 */
														BgL_res3120z00_9987 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3120z00_9987;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1129 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch/Cinfo? */
	obj_t BGl_z62switchzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8226,
		obj_t BgL_objz00_8227)
	{
		{	/* Cfa/cinfo.sch 1129 */
			return BBOOL(BGl_switchzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8227));
		}

	}



/* switch/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt
		BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1130 */
			{	/* Cfa/cinfo.sch 1130 */
				obj_t BgL_classz00_5583;

				BgL_classz00_5583 = BGl_switchzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1130 */
					obj_t BgL__ortest_1117z00_5584;

					BgL__ortest_1117z00_5584 = BGL_CLASS_NIL(BgL_classz00_5583);
					if (CBOOL(BgL__ortest_1117z00_5584))
						{	/* Cfa/cinfo.sch 1130 */
							return ((BgL_switchz00_bglt) BgL__ortest_1117z00_5584);
						}
					else
						{	/* Cfa/cinfo.sch 1130 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5583));
						}
				}
			}
		}

	}



/* &switch/Cinfo-nil */
	BgL_switchz00_bglt BGl_z62switchzf2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8228)
	{
		{	/* Cfa/cinfo.sch 1130 */
			return BGl_switchzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* switch/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_757)
	{
		{	/* Cfa/cinfo.sch 1131 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_14399;

				{
					obj_t BgL_auxz00_14400;

					{	/* Cfa/cinfo.sch 1131 */
						BgL_objectz00_bglt BgL_tmpz00_14401;

						BgL_tmpz00_14401 = ((BgL_objectz00_bglt) BgL_oz00_757);
						BgL_auxz00_14400 = BGL_OBJECT_WIDENING(BgL_tmpz00_14401);
					}
					BgL_auxz00_14399 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_14400);
				}
				return
					(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14399))->
					BgL_approxz00);
			}
		}

	}



/* &switch/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62switchzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8229, obj_t BgL_oz00_8230)
	{
		{	/* Cfa/cinfo.sch 1131 */
			return
				BGl_switchzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8230));
		}

	}



/* switch/Cinfo-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_760)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_760)))->BgL_itemzd2typezd2);
		}

	}



/* &switch/Cinfo-item-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2itemzd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8231, obj_t BgL_oz00_8232)
	{
		{	/* Cfa/cinfo.sch 1133 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezf2zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8232));
		}

	}



/* switch/Cinfo-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_761, BgL_typez00_bglt BgL_vz00_762)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_761)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_762), BUNSPEC);
		}

	}



/* &switch/Cinfo-item-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2itemzd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8233, obj_t BgL_oz00_8234, obj_t BgL_vz00_8235)
	{
		{	/* Cfa/cinfo.sch 1134 */
			return
				BGl_switchzf2Cinfozd2itemzd2typezd2setz12z32zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8234),
				((BgL_typez00_bglt) BgL_vz00_8235));
		}

	}



/* switch/Cinfo-clauses */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_763)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_763)))->BgL_clausesz00);
		}

	}



/* &switch/Cinfo-clauses */
	obj_t BGl_z62switchzf2Cinfozd2clausesz42zzcfa_infoz00(obj_t BgL_envz00_8236,
		obj_t BgL_oz00_8237)
	{
		{	/* Cfa/cinfo.sch 1135 */
			return
				BGl_switchzf2Cinfozd2clausesz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8237));
		}

	}



/* switch/Cinfo-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_766)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_766)))->BgL_testz00);
		}

	}



/* &switch/Cinfo-test */
	BgL_nodez00_bglt BGl_z62switchzf2Cinfozd2testz42zzcfa_infoz00(obj_t
		BgL_envz00_8238, obj_t BgL_oz00_8239)
	{
		{	/* Cfa/cinfo.sch 1137 */
			return
				BGl_switchzf2Cinfozd2testz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8239));
		}

	}



/* switch/Cinfo-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_767, BgL_nodez00_bglt BgL_vz00_768)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_767)))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_768), BUNSPEC);
		}

	}



/* &switch/Cinfo-test-set! */
	obj_t BGl_z62switchzf2Cinfozd2testzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8240, obj_t BgL_oz00_8241, obj_t BgL_vz00_8242)
	{
		{	/* Cfa/cinfo.sch 1138 */
			return
				BGl_switchzf2Cinfozd2testzd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8241),
				((BgL_nodez00_bglt) BgL_vz00_8242));
		}

	}



/* switch/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_769)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_769)))->BgL_keyz00);
		}

	}



/* &switch/Cinfo-key */
	obj_t BGl_z62switchzf2Cinfozd2keyz42zzcfa_infoz00(obj_t BgL_envz00_8243,
		obj_t BgL_oz00_8244)
	{
		{	/* Cfa/cinfo.sch 1139 */
			return
				BGl_switchzf2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8244));
		}

	}



/* switch/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_770, obj_t BgL_vz00_771)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_770)))->BgL_keyz00) =
				((obj_t) BgL_vz00_771), BUNSPEC);
		}

	}



/* &switch/Cinfo-key-set! */
	obj_t BGl_z62switchzf2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8245, obj_t BgL_oz00_8246, obj_t BgL_vz00_8247)
	{
		{	/* Cfa/cinfo.sch 1140 */
			return
				BGl_switchzf2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8246), BgL_vz00_8247);
		}

	}



/* switch/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_772)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_772)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch/Cinfo-side-effect */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8248, obj_t BgL_oz00_8249)
	{
		{	/* Cfa/cinfo.sch 1141 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8249));
		}

	}



/* switch/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_switchz00_bglt BgL_oz00_773, obj_t BgL_vz00_774)
	{
		{	/* Cfa/cinfo.sch 1142 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_773)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_774), BUNSPEC);
		}

	}



/* &switch/Cinfo-side-effect-set! */
	obj_t BGl_z62switchzf2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8250, obj_t BgL_oz00_8251, obj_t BgL_vz00_8252)
	{
		{	/* Cfa/cinfo.sch 1142 */
			return
				BGl_switchzf2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8251), BgL_vz00_8252);
		}

	}



/* switch/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_775)
	{
		{	/* Cfa/cinfo.sch 1143 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_775)))->BgL_typez00);
		}

	}



/* &switch/Cinfo-type */
	BgL_typez00_bglt BGl_z62switchzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8253, obj_t BgL_oz00_8254)
	{
		{	/* Cfa/cinfo.sch 1143 */
			return
				BGl_switchzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8254));
		}

	}



/* switch/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(BgL_switchz00_bglt
		BgL_oz00_776, BgL_typez00_bglt BgL_vz00_777)
	{
		{	/* Cfa/cinfo.sch 1144 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_776)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_777), BUNSPEC);
		}

	}



/* &switch/Cinfo-type-set! */
	obj_t BGl_z62switchzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8255, obj_t BgL_oz00_8256, obj_t BgL_vz00_8257)
	{
		{	/* Cfa/cinfo.sch 1144 */
			return
				BGl_switchzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8256),
				((BgL_typez00_bglt) BgL_vz00_8257));
		}

	}



/* switch/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(BgL_switchz00_bglt BgL_oz00_778)
	{
		{	/* Cfa/cinfo.sch 1145 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_778)))->BgL_locz00);
		}

	}



/* &switch/Cinfo-loc */
	obj_t BGl_z62switchzf2Cinfozd2locz42zzcfa_infoz00(obj_t BgL_envz00_8258,
		obj_t BgL_oz00_8259)
	{
		{	/* Cfa/cinfo.sch 1145 */
			return
				BGl_switchzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_switchz00_bglt) BgL_oz00_8259));
		}

	}



/* make-set-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1614z00_781,
		BgL_typez00_bglt BgL_type1615z00_782, BgL_varz00_bglt BgL_var1616z00_783,
		BgL_nodez00_bglt BgL_body1617z00_784,
		BgL_nodez00_bglt BgL_onexit1618z00_785,
		BgL_approxz00_bglt BgL_approx1619z00_786)
	{
		{	/* Cfa/cinfo.sch 1149 */
			{	/* Cfa/cinfo.sch 1149 */
				BgL_setzd2exzd2itz00_bglt BgL_new1636z00_9997;

				{	/* Cfa/cinfo.sch 1149 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1634z00_9998;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1635z00_9999;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_14459;

						{	/* Cfa/cinfo.sch 1149 */
							BgL_setzd2exzd2itz00_bglt BgL_new1633z00_10000;

							BgL_new1633z00_10000 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1149 */
								long BgL_arg2044z00_10001;

								BgL_arg2044z00_10001 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1633z00_10000),
									BgL_arg2044z00_10001);
							}
							{	/* Cfa/cinfo.sch 1149 */
								BgL_objectz00_bglt BgL_tmpz00_14464;

								BgL_tmpz00_14464 = ((BgL_objectz00_bglt) BgL_new1633z00_10000);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14464, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1633z00_10000);
							BgL_auxz00_14459 = BgL_new1633z00_10000;
						}
						BgL_tmp1634z00_9998 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_14459);
					}
					BgL_wide1635z00_9999 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1149 */
						obj_t BgL_auxz00_14472;
						BgL_objectz00_bglt BgL_tmpz00_14470;

						BgL_auxz00_14472 = ((obj_t) BgL_wide1635z00_9999);
						BgL_tmpz00_14470 = ((BgL_objectz00_bglt) BgL_tmp1634z00_9998);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14470, BgL_auxz00_14472);
					}
					((BgL_objectz00_bglt) BgL_tmp1634z00_9998);
					{	/* Cfa/cinfo.sch 1149 */
						long BgL_arg2043z00_10002;

						BgL_arg2043z00_10002 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1634z00_9998), BgL_arg2043z00_10002);
					}
					BgL_new1636z00_9997 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1634z00_9998);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1636z00_9997)))->BgL_locz00) =
					((obj_t) BgL_loc1614z00_781), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1636z00_9997)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1615z00_782), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1636z00_9997)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1616z00_783), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1636z00_9997)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1617z00_784), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1636z00_9997)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1618z00_785), BUNSPEC);
				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14490;

					{
						obj_t BgL_auxz00_14491;

						{	/* Cfa/cinfo.sch 1149 */
							BgL_objectz00_bglt BgL_tmpz00_14492;

							BgL_tmpz00_14492 = ((BgL_objectz00_bglt) BgL_new1636z00_9997);
							BgL_auxz00_14491 = BGL_OBJECT_WIDENING(BgL_tmpz00_14492);
						}
						BgL_auxz00_14490 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14491);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14490))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1619z00_786), BUNSPEC);
				}
				return BgL_new1636z00_9997;
			}
		}

	}



/* &make-set-ex-it/Cinfo */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8260,
		obj_t BgL_loc1614z00_8261, obj_t BgL_type1615z00_8262,
		obj_t BgL_var1616z00_8263, obj_t BgL_body1617z00_8264,
		obj_t BgL_onexit1618z00_8265, obj_t BgL_approx1619z00_8266)
	{
		{	/* Cfa/cinfo.sch 1149 */
			return
				BGl_makezd2setzd2exzd2itzf2Cinfoz20zzcfa_infoz00(BgL_loc1614z00_8261,
				((BgL_typez00_bglt) BgL_type1615z00_8262),
				((BgL_varz00_bglt) BgL_var1616z00_8263),
				((BgL_nodez00_bglt) BgL_body1617z00_8264),
				((BgL_nodez00_bglt) BgL_onexit1618z00_8265),
				((BgL_approxz00_bglt) BgL_approx1619z00_8266));
		}

	}



/* set-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_787)
	{
		{	/* Cfa/cinfo.sch 1150 */
			{	/* Cfa/cinfo.sch 1150 */
				obj_t BgL_classz00_10003;

				BgL_classz00_10003 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_787))
					{	/* Cfa/cinfo.sch 1150 */
						BgL_objectz00_bglt BgL_arg1858z00_10004;

						BgL_arg1858z00_10004 = (BgL_objectz00_bglt) (BgL_objz00_787);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1150 */
								long BgL_idxz00_10005;

								BgL_idxz00_10005 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10004);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10005 + 3L)) == BgL_classz00_10003);
							}
						else
							{	/* Cfa/cinfo.sch 1150 */
								bool_t BgL_res3121z00_10008;

								{	/* Cfa/cinfo.sch 1150 */
									obj_t BgL_oclassz00_10009;

									{	/* Cfa/cinfo.sch 1150 */
										obj_t BgL_arg1866z00_10010;
										long BgL_arg1867z00_10011;

										BgL_arg1866z00_10010 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1150 */
											long BgL_arg1869z00_10012;

											BgL_arg1869z00_10012 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10004);
											BgL_arg1867z00_10011 =
												(BgL_arg1869z00_10012 - OBJECT_TYPE);
										}
										BgL_oclassz00_10009 =
											VECTOR_REF(BgL_arg1866z00_10010, BgL_arg1867z00_10011);
									}
									{	/* Cfa/cinfo.sch 1150 */
										bool_t BgL__ortest_1115z00_10013;

										BgL__ortest_1115z00_10013 =
											(BgL_classz00_10003 == BgL_oclassz00_10009);
										if (BgL__ortest_1115z00_10013)
											{	/* Cfa/cinfo.sch 1150 */
												BgL_res3121z00_10008 = BgL__ortest_1115z00_10013;
											}
										else
											{	/* Cfa/cinfo.sch 1150 */
												long BgL_odepthz00_10014;

												{	/* Cfa/cinfo.sch 1150 */
													obj_t BgL_arg1855z00_10015;

													BgL_arg1855z00_10015 = (BgL_oclassz00_10009);
													BgL_odepthz00_10014 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10015);
												}
												if ((3L < BgL_odepthz00_10014))
													{	/* Cfa/cinfo.sch 1150 */
														obj_t BgL_arg1853z00_10016;

														{	/* Cfa/cinfo.sch 1150 */
															obj_t BgL_arg1854z00_10017;

															BgL_arg1854z00_10017 = (BgL_oclassz00_10009);
															BgL_arg1853z00_10016 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10017,
																3L);
														}
														BgL_res3121z00_10008 =
															(BgL_arg1853z00_10016 == BgL_classz00_10003);
													}
												else
													{	/* Cfa/cinfo.sch 1150 */
														BgL_res3121z00_10008 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3121z00_10008;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1150 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it/Cinfo? */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8267,
		obj_t BgL_objz00_8268)
	{
		{	/* Cfa/cinfo.sch 1150 */
			return
				BBOOL(BGl_setzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8268));
		}

	}



/* set-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1151 */
			{	/* Cfa/cinfo.sch 1151 */
				obj_t BgL_classz00_5635;

				BgL_classz00_5635 = BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1151 */
					obj_t BgL__ortest_1117z00_5636;

					BgL__ortest_1117z00_5636 = BGL_CLASS_NIL(BgL_classz00_5635);
					if (CBOOL(BgL__ortest_1117z00_5636))
						{	/* Cfa/cinfo.sch 1151 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1117z00_5636);
						}
					else
						{	/* Cfa/cinfo.sch 1151 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5635));
						}
				}
			}
		}

	}



/* &set-ex-it/Cinfo-nil */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8269)
	{
		{	/* Cfa/cinfo.sch 1151 */
			return BGl_setzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* set-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_788)
	{
		{	/* Cfa/cinfo.sch 1152 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14534;

				{
					obj_t BgL_auxz00_14535;

					{	/* Cfa/cinfo.sch 1152 */
						BgL_objectz00_bglt BgL_tmpz00_14536;

						BgL_tmpz00_14536 = ((BgL_objectz00_bglt) BgL_oz00_788);
						BgL_auxz00_14535 = BGL_OBJECT_WIDENING(BgL_tmpz00_14536);
					}
					BgL_auxz00_14534 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14535);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14534))->
					BgL_approxz00);
			}
		}

	}



/* &set-ex-it/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8270, obj_t BgL_oz00_8271)
	{
		{	/* Cfa/cinfo.sch 1152 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8271));
		}

	}



/* set-ex-it/Cinfo-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_791)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_791)))->BgL_onexitz00);
		}

	}



/* &set-ex-it/Cinfo-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2onexitz42zzcfa_infoz00(obj_t
		BgL_envz00_8272, obj_t BgL_oz00_8273)
	{
		{	/* Cfa/cinfo.sch 1154 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8273));
		}

	}



/* set-ex-it/Cinfo-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_792, BgL_nodez00_bglt BgL_vz00_793)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_792)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_793), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2onexitzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8274, obj_t BgL_oz00_8275, obj_t BgL_vz00_8276)
	{
		{	/* Cfa/cinfo.sch 1155 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2onexitzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8275),
				((BgL_nodez00_bglt) BgL_vz00_8276));
		}

	}



/* set-ex-it/Cinfo-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_794)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_794)))->BgL_bodyz00);
		}

	}



/* &set-ex-it/Cinfo-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2bodyz42zzcfa_infoz00(obj_t
		BgL_envz00_8277, obj_t BgL_oz00_8278)
	{
		{	/* Cfa/cinfo.sch 1156 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8278));
		}

	}



/* set-ex-it/Cinfo-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_795, BgL_nodez00_bglt BgL_vz00_796)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_795)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_796), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-body-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2bodyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8279, obj_t BgL_oz00_8280, obj_t BgL_vz00_8281)
	{
		{	/* Cfa/cinfo.sch 1157 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2bodyzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8280),
				((BgL_nodez00_bglt) BgL_vz00_8281));
		}

	}



/* set-ex-it/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_797)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_797)))->BgL_varz00);
		}

	}



/* &set-ex-it/Cinfo-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8282, obj_t BgL_oz00_8283)
	{
		{	/* Cfa/cinfo.sch 1158 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8283));
		}

	}



/* set-ex-it/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_798, BgL_varz00_bglt BgL_vz00_799)
	{
		{	/* Cfa/cinfo.sch 1159 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_798)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_799), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-var-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8284, obj_t BgL_oz00_8285, obj_t BgL_vz00_8286)
	{
		{	/* Cfa/cinfo.sch 1159 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8285),
				((BgL_varz00_bglt) BgL_vz00_8286));
		}

	}



/* set-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_800)
	{
		{	/* Cfa/cinfo.sch 1160 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_800)))->BgL_typez00);
		}

	}



/* &set-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8287, obj_t BgL_oz00_8288)
	{
		{	/* Cfa/cinfo.sch 1160 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8288));
		}

	}



/* set-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_801, BgL_typez00_bglt BgL_vz00_802)
	{
		{	/* Cfa/cinfo.sch 1161 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_801)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_802), BUNSPEC);
		}

	}



/* &set-ex-it/Cinfo-type-set! */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8289, obj_t BgL_oz00_8290, obj_t BgL_vz00_8291)
	{
		{	/* Cfa/cinfo.sch 1161 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8290),
				((BgL_typez00_bglt) BgL_vz00_8291));
		}

	}



/* set-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_803)
	{
		{	/* Cfa/cinfo.sch 1162 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_803)))->BgL_locz00);
		}

	}



/* &set-ex-it/Cinfo-loc */
	obj_t BGl_z62setzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8292, obj_t BgL_oz00_8293)
	{
		{	/* Cfa/cinfo.sch 1162 */
			return
				BGl_setzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8293));
		}

	}



/* make-jump-ex-it/Cinfo */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1608z00_806,
		BgL_typez00_bglt BgL_type1609z00_807, BgL_nodez00_bglt BgL_exit1610z00_808,
		BgL_nodez00_bglt BgL_value1611z00_809,
		BgL_approxz00_bglt BgL_approx1612z00_810)
	{
		{	/* Cfa/cinfo.sch 1166 */
			{	/* Cfa/cinfo.sch 1166 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1640z00_10018;

				{	/* Cfa/cinfo.sch 1166 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1638z00_10019;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1639z00_10020;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_14583;

						{	/* Cfa/cinfo.sch 1166 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1637z00_10021;

							BgL_new1637z00_10021 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.sch 1166 */
								long BgL_arg2046z00_10022;

								BgL_arg2046z00_10022 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1637z00_10021),
									BgL_arg2046z00_10022);
							}
							{	/* Cfa/cinfo.sch 1166 */
								BgL_objectz00_bglt BgL_tmpz00_14588;

								BgL_tmpz00_14588 = ((BgL_objectz00_bglt) BgL_new1637z00_10021);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14588, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1637z00_10021);
							BgL_auxz00_14583 = BgL_new1637z00_10021;
						}
						BgL_tmp1638z00_10019 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_14583);
					}
					BgL_wide1639z00_10020 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1166 */
						obj_t BgL_auxz00_14596;
						BgL_objectz00_bglt BgL_tmpz00_14594;

						BgL_auxz00_14596 = ((obj_t) BgL_wide1639z00_10020);
						BgL_tmpz00_14594 = ((BgL_objectz00_bglt) BgL_tmp1638z00_10019);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14594, BgL_auxz00_14596);
					}
					((BgL_objectz00_bglt) BgL_tmp1638z00_10019);
					{	/* Cfa/cinfo.sch 1166 */
						long BgL_arg2045z00_10023;

						BgL_arg2045z00_10023 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1638z00_10019),
							BgL_arg2045z00_10023);
					}
					BgL_new1640z00_10018 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1638z00_10019);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1640z00_10018)))->BgL_locz00) =
					((obj_t) BgL_loc1608z00_806), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1640z00_10018)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1609z00_807), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1640z00_10018)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_exit1610z00_808), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1640z00_10018)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1611z00_809), BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14612;

					{
						obj_t BgL_auxz00_14613;

						{	/* Cfa/cinfo.sch 1166 */
							BgL_objectz00_bglt BgL_tmpz00_14614;

							BgL_tmpz00_14614 = ((BgL_objectz00_bglt) BgL_new1640z00_10018);
							BgL_auxz00_14613 = BGL_OBJECT_WIDENING(BgL_tmpz00_14614);
						}
						BgL_auxz00_14612 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14613);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14612))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1612z00_810), BUNSPEC);
				}
				return BgL_new1640z00_10018;
			}
		}

	}



/* &make-jump-ex-it/Cinfo */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzf2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8294,
		obj_t BgL_loc1608z00_8295, obj_t BgL_type1609z00_8296,
		obj_t BgL_exit1610z00_8297, obj_t BgL_value1611z00_8298,
		obj_t BgL_approx1612z00_8299)
	{
		{	/* Cfa/cinfo.sch 1166 */
			return
				BGl_makezd2jumpzd2exzd2itzf2Cinfoz20zzcfa_infoz00(BgL_loc1608z00_8295,
				((BgL_typez00_bglt) BgL_type1609z00_8296),
				((BgL_nodez00_bglt) BgL_exit1610z00_8297),
				((BgL_nodez00_bglt) BgL_value1611z00_8298),
				((BgL_approxz00_bglt) BgL_approx1612z00_8299));
		}

	}



/* jump-ex-it/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_811)
	{
		{	/* Cfa/cinfo.sch 1167 */
			{	/* Cfa/cinfo.sch 1167 */
				obj_t BgL_classz00_10024;

				BgL_classz00_10024 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_811))
					{	/* Cfa/cinfo.sch 1167 */
						BgL_objectz00_bglt BgL_arg1858z00_10025;

						BgL_arg1858z00_10025 = (BgL_objectz00_bglt) (BgL_objz00_811);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1167 */
								long BgL_idxz00_10026;

								BgL_idxz00_10026 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10025);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10026 + 3L)) == BgL_classz00_10024);
							}
						else
							{	/* Cfa/cinfo.sch 1167 */
								bool_t BgL_res3122z00_10029;

								{	/* Cfa/cinfo.sch 1167 */
									obj_t BgL_oclassz00_10030;

									{	/* Cfa/cinfo.sch 1167 */
										obj_t BgL_arg1866z00_10031;
										long BgL_arg1867z00_10032;

										BgL_arg1866z00_10031 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1167 */
											long BgL_arg1869z00_10033;

											BgL_arg1869z00_10033 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10025);
											BgL_arg1867z00_10032 =
												(BgL_arg1869z00_10033 - OBJECT_TYPE);
										}
										BgL_oclassz00_10030 =
											VECTOR_REF(BgL_arg1866z00_10031, BgL_arg1867z00_10032);
									}
									{	/* Cfa/cinfo.sch 1167 */
										bool_t BgL__ortest_1115z00_10034;

										BgL__ortest_1115z00_10034 =
											(BgL_classz00_10024 == BgL_oclassz00_10030);
										if (BgL__ortest_1115z00_10034)
											{	/* Cfa/cinfo.sch 1167 */
												BgL_res3122z00_10029 = BgL__ortest_1115z00_10034;
											}
										else
											{	/* Cfa/cinfo.sch 1167 */
												long BgL_odepthz00_10035;

												{	/* Cfa/cinfo.sch 1167 */
													obj_t BgL_arg1855z00_10036;

													BgL_arg1855z00_10036 = (BgL_oclassz00_10030);
													BgL_odepthz00_10035 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10036);
												}
												if ((3L < BgL_odepthz00_10035))
													{	/* Cfa/cinfo.sch 1167 */
														obj_t BgL_arg1853z00_10037;

														{	/* Cfa/cinfo.sch 1167 */
															obj_t BgL_arg1854z00_10038;

															BgL_arg1854z00_10038 = (BgL_oclassz00_10030);
															BgL_arg1853z00_10037 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10038,
																3L);
														}
														BgL_res3122z00_10029 =
															(BgL_arg1853z00_10037 == BgL_classz00_10024);
													}
												else
													{	/* Cfa/cinfo.sch 1167 */
														BgL_res3122z00_10029 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3122z00_10029;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1167 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it/Cinfo? */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8300,
		obj_t BgL_objz00_8301)
	{
		{	/* Cfa/cinfo.sch 1167 */
			return
				BBOOL(BGl_jumpzd2exzd2itzf2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8301));
		}

	}



/* jump-ex-it/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1168 */
			{	/* Cfa/cinfo.sch 1168 */
				obj_t BgL_classz00_5687;

				BgL_classz00_5687 = BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1168 */
					obj_t BgL__ortest_1117z00_5688;

					BgL__ortest_1117z00_5688 = BGL_CLASS_NIL(BgL_classz00_5687);
					if (CBOOL(BgL__ortest_1117z00_5688))
						{	/* Cfa/cinfo.sch 1168 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1117z00_5688);
						}
					else
						{	/* Cfa/cinfo.sch 1168 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5687));
						}
				}
			}
		}

	}



/* &jump-ex-it/Cinfo-nil */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8302)
	{
		{	/* Cfa/cinfo.sch 1168 */
			return BGl_jumpzd2exzd2itzf2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* jump-ex-it/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_812)
	{
		{	/* Cfa/cinfo.sch 1169 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_14655;

				{
					obj_t BgL_auxz00_14656;

					{	/* Cfa/cinfo.sch 1169 */
						BgL_objectz00_bglt BgL_tmpz00_14657;

						BgL_tmpz00_14657 = ((BgL_objectz00_bglt) BgL_oz00_812);
						BgL_auxz00_14656 = BGL_OBJECT_WIDENING(BgL_tmpz00_14657);
					}
					BgL_auxz00_14655 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_14656);
				}
				return
					(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_14655))->
					BgL_approxz00);
			}
		}

	}



/* &jump-ex-it/Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62jumpzd2exzd2itzf2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8303, obj_t BgL_oz00_8304)
	{
		{	/* Cfa/cinfo.sch 1169 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8304));
		}

	}



/* jump-ex-it/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_815)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_815)))->BgL_valuez00);
		}

	}



/* &jump-ex-it/Cinfo-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8305, obj_t BgL_oz00_8306)
	{
		{	/* Cfa/cinfo.sch 1171 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8306));
		}

	}



/* jump-ex-it/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_816, BgL_nodez00_bglt BgL_vz00_817)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_816)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_817), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8307, obj_t BgL_oz00_8308, obj_t BgL_vz00_8309)
	{
		{	/* Cfa/cinfo.sch 1172 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8308),
				((BgL_nodez00_bglt) BgL_vz00_8309));
		}

	}



/* jump-ex-it/Cinfo-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_818)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_818)))->BgL_exitz00);
		}

	}



/* &jump-ex-it/Cinfo-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2exitz42zzcfa_infoz00(obj_t
		BgL_envz00_8310, obj_t BgL_oz00_8311)
	{
		{	/* Cfa/cinfo.sch 1173 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8311));
		}

	}



/* jump-ex-it/Cinfo-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_819, BgL_nodez00_bglt BgL_vz00_820)
	{
		{	/* Cfa/cinfo.sch 1174 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_819)))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_820), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2exitzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8312, obj_t BgL_oz00_8313, obj_t BgL_vz00_8314)
	{
		{	/* Cfa/cinfo.sch 1174 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2exitzd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8313),
				((BgL_nodez00_bglt) BgL_vz00_8314));
		}

	}



/* jump-ex-it/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_821)
	{
		{	/* Cfa/cinfo.sch 1175 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_821)))->BgL_typez00);
		}

	}



/* &jump-ex-it/Cinfo-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzf2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8315, obj_t BgL_oz00_8316)
	{
		{	/* Cfa/cinfo.sch 1175 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typez20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8316));
		}

	}



/* jump-ex-it/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_822, BgL_typez00_bglt BgL_vz00_823)
	{
		{	/* Cfa/cinfo.sch 1176 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_822)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_823), BUNSPEC);
		}

	}



/* &jump-ex-it/Cinfo-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8317, obj_t BgL_oz00_8318, obj_t BgL_vz00_8319)
	{
		{	/* Cfa/cinfo.sch 1176 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8318),
				((BgL_typez00_bglt) BgL_vz00_8319));
		}

	}



/* jump-ex-it/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_824)
	{
		{	/* Cfa/cinfo.sch 1177 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_824)))->BgL_locz00);
		}

	}



/* &jump-ex-it/Cinfo-loc */
	obj_t BGl_z62jumpzd2exzd2itzf2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8320, obj_t BgL_oz00_8321)
	{
		{	/* Cfa/cinfo.sch 1177 */
			return
				BGl_jumpzd2exzd2itzf2Cinfozd2locz20zzcfa_infoz00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8321));
		}

	}



/* make-pre-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(obj_t BgL_loc1600z00_827,
		BgL_typez00_bglt BgL_type1601z00_828, obj_t BgL_sidezd2effect1602zd2_829,
		obj_t BgL_key1603z00_830, BgL_nodez00_bglt BgL_value1604z00_831,
		BgL_typez00_bglt BgL_vtype1605z00_832, obj_t BgL_stackable1606z00_833)
	{
		{	/* Cfa/cinfo.sch 1181 */
			{	/* Cfa/cinfo.sch 1181 */
				BgL_makezd2boxzd2_bglt BgL_new1644z00_10039;

				{	/* Cfa/cinfo.sch 1181 */
					BgL_makezd2boxzd2_bglt BgL_tmp1642z00_10040;
					BgL_prezd2makezd2boxz00_bglt BgL_wide1643z00_10041;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14695;

						{	/* Cfa/cinfo.sch 1181 */
							BgL_makezd2boxzd2_bglt BgL_new1641z00_10042;

							BgL_new1641z00_10042 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1181 */
								long BgL_arg2049z00_10043;

								BgL_arg2049z00_10043 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1641z00_10042),
									BgL_arg2049z00_10043);
							}
							{	/* Cfa/cinfo.sch 1181 */
								BgL_objectz00_bglt BgL_tmpz00_14700;

								BgL_tmpz00_14700 = ((BgL_objectz00_bglt) BgL_new1641z00_10042);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14700, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1641z00_10042);
							BgL_auxz00_14695 = BgL_new1641z00_10042;
						}
						BgL_tmp1642z00_10040 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14695);
					}
					BgL_wide1643z00_10041 =
						((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2makezd2boxz00_bgl))));
					{	/* Cfa/cinfo.sch 1181 */
						obj_t BgL_auxz00_14708;
						BgL_objectz00_bglt BgL_tmpz00_14706;

						BgL_auxz00_14708 = ((obj_t) BgL_wide1643z00_10041);
						BgL_tmpz00_14706 = ((BgL_objectz00_bglt) BgL_tmp1642z00_10040);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14706, BgL_auxz00_14708);
					}
					((BgL_objectz00_bglt) BgL_tmp1642z00_10040);
					{	/* Cfa/cinfo.sch 1181 */
						long BgL_arg2047z00_10044;

						BgL_arg2047z00_10044 =
							BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1642z00_10040),
							BgL_arg2047z00_10044);
					}
					BgL_new1644z00_10039 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1642z00_10040);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1644z00_10039)))->BgL_locz00) =
					((obj_t) BgL_loc1600z00_827), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1644z00_10039)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1601z00_828), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1644z00_10039)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1602zd2_829), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1644z00_10039)))->BgL_keyz00) =
					((obj_t) BgL_key1603z00_830), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1644z00_10039)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1604z00_831), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1644z00_10039)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1605z00_832), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1644z00_10039)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1606z00_833), BUNSPEC);
				return BgL_new1644z00_10039;
			}
		}

	}



/* &make-pre-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2prezd2makezd2boxzb0zzcfa_infoz00(obj_t
		BgL_envz00_8322, obj_t BgL_loc1600z00_8323, obj_t BgL_type1601z00_8324,
		obj_t BgL_sidezd2effect1602zd2_8325, obj_t BgL_key1603z00_8326,
		obj_t BgL_value1604z00_8327, obj_t BgL_vtype1605z00_8328,
		obj_t BgL_stackable1606z00_8329)
	{
		{	/* Cfa/cinfo.sch 1181 */
			return
				BGl_makezd2prezd2makezd2boxzd2zzcfa_infoz00(BgL_loc1600z00_8323,
				((BgL_typez00_bglt) BgL_type1601z00_8324),
				BgL_sidezd2effect1602zd2_8325, BgL_key1603z00_8326,
				((BgL_nodez00_bglt) BgL_value1604z00_8327),
				((BgL_typez00_bglt) BgL_vtype1605z00_8328), BgL_stackable1606z00_8329);
		}

	}



/* pre-make-box? */
	BGL_EXPORTED_DEF bool_t BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(obj_t
		BgL_objz00_834)
	{
		{	/* Cfa/cinfo.sch 1182 */
			{	/* Cfa/cinfo.sch 1182 */
				obj_t BgL_classz00_10045;

				BgL_classz00_10045 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_834))
					{	/* Cfa/cinfo.sch 1182 */
						BgL_objectz00_bglt BgL_arg1858z00_10046;

						BgL_arg1858z00_10046 = (BgL_objectz00_bglt) (BgL_objz00_834);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1182 */
								long BgL_idxz00_10047;

								BgL_idxz00_10047 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10046);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10047 + 4L)) == BgL_classz00_10045);
							}
						else
							{	/* Cfa/cinfo.sch 1182 */
								bool_t BgL_res3123z00_10050;

								{	/* Cfa/cinfo.sch 1182 */
									obj_t BgL_oclassz00_10051;

									{	/* Cfa/cinfo.sch 1182 */
										obj_t BgL_arg1866z00_10052;
										long BgL_arg1867z00_10053;

										BgL_arg1866z00_10052 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1182 */
											long BgL_arg1869z00_10054;

											BgL_arg1869z00_10054 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10046);
											BgL_arg1867z00_10053 =
												(BgL_arg1869z00_10054 - OBJECT_TYPE);
										}
										BgL_oclassz00_10051 =
											VECTOR_REF(BgL_arg1866z00_10052, BgL_arg1867z00_10053);
									}
									{	/* Cfa/cinfo.sch 1182 */
										bool_t BgL__ortest_1115z00_10055;

										BgL__ortest_1115z00_10055 =
											(BgL_classz00_10045 == BgL_oclassz00_10051);
										if (BgL__ortest_1115z00_10055)
											{	/* Cfa/cinfo.sch 1182 */
												BgL_res3123z00_10050 = BgL__ortest_1115z00_10055;
											}
										else
											{	/* Cfa/cinfo.sch 1182 */
												long BgL_odepthz00_10056;

												{	/* Cfa/cinfo.sch 1182 */
													obj_t BgL_arg1855z00_10057;

													BgL_arg1855z00_10057 = (BgL_oclassz00_10051);
													BgL_odepthz00_10056 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10057);
												}
												if ((4L < BgL_odepthz00_10056))
													{	/* Cfa/cinfo.sch 1182 */
														obj_t BgL_arg1853z00_10058;

														{	/* Cfa/cinfo.sch 1182 */
															obj_t BgL_arg1854z00_10059;

															BgL_arg1854z00_10059 = (BgL_oclassz00_10051);
															BgL_arg1853z00_10058 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10059,
																4L);
														}
														BgL_res3123z00_10050 =
															(BgL_arg1853z00_10058 == BgL_classz00_10045);
													}
												else
													{	/* Cfa/cinfo.sch 1182 */
														BgL_res3123z00_10050 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3123z00_10050;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1182 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pre-make-box? */
	obj_t BGl_z62prezd2makezd2boxzf3z91zzcfa_infoz00(obj_t BgL_envz00_8330,
		obj_t BgL_objz00_8331)
	{
		{	/* Cfa/cinfo.sch 1182 */
			return BBOOL(BGl_prezd2makezd2boxzf3zf3zzcfa_infoz00(BgL_objz00_8331));
		}

	}



/* pre-make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1183 */
			{	/* Cfa/cinfo.sch 1183 */
				obj_t BgL_classz00_5738;

				BgL_classz00_5738 = BGl_prezd2makezd2boxz00zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1183 */
					obj_t BgL__ortest_1117z00_5739;

					BgL__ortest_1117z00_5739 = BGL_CLASS_NIL(BgL_classz00_5738);
					if (CBOOL(BgL__ortest_1117z00_5739))
						{	/* Cfa/cinfo.sch 1183 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1117z00_5739);
						}
					else
						{	/* Cfa/cinfo.sch 1183 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5738));
						}
				}
			}
		}

	}



/* &pre-make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62prezd2makezd2boxzd2nilzb0zzcfa_infoz00(obj_t
		BgL_envz00_8332)
	{
		{	/* Cfa/cinfo.sch 1183 */
			return BGl_prezd2makezd2boxzd2nilzd2zzcfa_infoz00();
		}

	}



/* pre-make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_835)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_835)))->BgL_stackablez00);
		}

	}



/* &pre-make-box-stackable */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezb0zzcfa_infoz00(obj_t
		BgL_envz00_8333, obj_t BgL_oz00_8334)
	{
		{	/* Cfa/cinfo.sch 1184 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8334));
		}

	}



/* pre-make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_836, obj_t BgL_vz00_837)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_836)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_837), BUNSPEC);
		}

	}



/* &pre-make-box-stackable-set! */
	obj_t BGl_z62prezd2makezd2boxzd2stackablezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8335, obj_t BgL_oz00_8336, obj_t BgL_vz00_8337)
	{
		{	/* Cfa/cinfo.sch 1185 */
			return
				BGl_prezd2makezd2boxzd2stackablezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8336), BgL_vz00_8337);
		}

	}



/* pre-make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_838)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_838)))->BgL_vtypez00);
		}

	}



/* &pre-make-box-vtype */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2vtypezb0zzcfa_infoz00(obj_t
		BgL_envz00_8338, obj_t BgL_oz00_8339)
	{
		{	/* Cfa/cinfo.sch 1186 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8339));
		}

	}



/* pre-make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_839, BgL_typez00_bglt BgL_vz00_840)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_839)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_840), BUNSPEC);
		}

	}



/* &pre-make-box-vtype-set! */
	obj_t BGl_z62prezd2makezd2boxzd2vtypezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8340, obj_t BgL_oz00_8341, obj_t BgL_vz00_8342)
	{
		{	/* Cfa/cinfo.sch 1187 */
			return
				BGl_prezd2makezd2boxzd2vtypezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8341),
				((BgL_typez00_bglt) BgL_vz00_8342));
		}

	}



/* pre-make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_841)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_841)))->BgL_valuez00);
		}

	}



/* &pre-make-box-value */
	BgL_nodez00_bglt BGl_z62prezd2makezd2boxzd2valuezb0zzcfa_infoz00(obj_t
		BgL_envz00_8343, obj_t BgL_oz00_8344)
	{
		{	/* Cfa/cinfo.sch 1188 */
			return
				BGl_prezd2makezd2boxzd2valuezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8344));
		}

	}



/* pre-make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_842, BgL_nodez00_bglt BgL_vz00_843)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_842)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_843), BUNSPEC);
		}

	}



/* &pre-make-box-value-set! */
	obj_t BGl_z62prezd2makezd2boxzd2valuezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8345, obj_t BgL_oz00_8346, obj_t BgL_vz00_8347)
	{
		{	/* Cfa/cinfo.sch 1189 */
			return
				BGl_prezd2makezd2boxzd2valuezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8346),
				((BgL_nodez00_bglt) BgL_vz00_8347));
		}

	}



/* pre-make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_844)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_844)))->BgL_keyz00);
		}

	}



/* &pre-make-box-key */
	obj_t BGl_z62prezd2makezd2boxzd2keyzb0zzcfa_infoz00(obj_t BgL_envz00_8348,
		obj_t BgL_oz00_8349)
	{
		{	/* Cfa/cinfo.sch 1190 */
			return
				BGl_prezd2makezd2boxzd2keyzd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8349));
		}

	}



/* pre-make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_845, obj_t BgL_vz00_846)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_845)))->BgL_keyz00) =
				((obj_t) BgL_vz00_846), BUNSPEC);
		}

	}



/* &pre-make-box-key-set! */
	obj_t BGl_z62prezd2makezd2boxzd2keyzd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8350, obj_t BgL_oz00_8351, obj_t BgL_vz00_8352)
	{
		{	/* Cfa/cinfo.sch 1191 */
			return
				BGl_prezd2makezd2boxzd2keyzd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8351), BgL_vz00_8352);
		}

	}



/* pre-make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_847)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_847)))->BgL_sidezd2effectzd2);
		}

	}



/* &pre-make-box-side-effect */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectz62zzcfa_infoz00(obj_t
		BgL_envz00_8353, obj_t BgL_oz00_8354)
	{
		{	/* Cfa/cinfo.sch 1192 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectz00zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8354));
		}

	}



/* pre-make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_848, obj_t BgL_vz00_849)
	{
		{	/* Cfa/cinfo.sch 1193 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_848)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_849), BUNSPEC);
		}

	}



/* &pre-make-box-side-effect-set! */
	obj_t BGl_z62prezd2makezd2boxzd2sidezd2effectzd2setz12za2zzcfa_infoz00(obj_t
		BgL_envz00_8355, obj_t BgL_oz00_8356, obj_t BgL_vz00_8357)
	{
		{	/* Cfa/cinfo.sch 1193 */
			return
				BGl_prezd2makezd2boxzd2sidezd2effectzd2setz12zc0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8356), BgL_vz00_8357);
		}

	}



/* pre-make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_850)
	{
		{	/* Cfa/cinfo.sch 1194 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_850)))->BgL_typez00);
		}

	}



/* &pre-make-box-type */
	BgL_typez00_bglt BGl_z62prezd2makezd2boxzd2typezb0zzcfa_infoz00(obj_t
		BgL_envz00_8358, obj_t BgL_oz00_8359)
	{
		{	/* Cfa/cinfo.sch 1194 */
			return
				BGl_prezd2makezd2boxzd2typezd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8359));
		}

	}



/* pre-make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_851, BgL_typez00_bglt BgL_vz00_852)
	{
		{	/* Cfa/cinfo.sch 1195 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_851)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_852), BUNSPEC);
		}

	}



/* &pre-make-box-type-set! */
	obj_t BGl_z62prezd2makezd2boxzd2typezd2setz12z70zzcfa_infoz00(obj_t
		BgL_envz00_8360, obj_t BgL_oz00_8361, obj_t BgL_vz00_8362)
	{
		{	/* Cfa/cinfo.sch 1195 */
			return
				BGl_prezd2makezd2boxzd2typezd2setz12z12zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8361),
				((BgL_typez00_bglt) BgL_vz00_8362));
		}

	}



/* pre-make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_853)
	{
		{	/* Cfa/cinfo.sch 1196 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_853)))->BgL_locz00);
		}

	}



/* &pre-make-box-loc */
	obj_t BGl_z62prezd2makezd2boxzd2loczb0zzcfa_infoz00(obj_t BgL_envz00_8363,
		obj_t BgL_oz00_8364)
	{
		{	/* Cfa/cinfo.sch 1196 */
			return
				BGl_prezd2makezd2boxzd2loczd2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8364));
		}

	}



/* make-make-box/Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1591z00_856,
		BgL_typez00_bglt BgL_type1592z00_857, obj_t BgL_sidezd2effect1593zd2_858,
		obj_t BgL_key1594z00_859, BgL_nodez00_bglt BgL_value1595z00_860,
		BgL_typez00_bglt BgL_vtype1596z00_861, obj_t BgL_stackable1597z00_862,
		BgL_approxz00_bglt BgL_approx1598z00_863)
	{
		{	/* Cfa/cinfo.sch 1200 */
			{	/* Cfa/cinfo.sch 1200 */
				BgL_makezd2boxzd2_bglt BgL_new1648z00_10060;

				{	/* Cfa/cinfo.sch 1200 */
					BgL_makezd2boxzd2_bglt BgL_tmp1646z00_10061;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1647z00_10062;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14820;

						{	/* Cfa/cinfo.sch 1200 */
							BgL_makezd2boxzd2_bglt BgL_new1645z00_10063;

							BgL_new1645z00_10063 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1200 */
								long BgL_arg2051z00_10064;

								BgL_arg2051z00_10064 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1645z00_10063),
									BgL_arg2051z00_10064);
							}
							{	/* Cfa/cinfo.sch 1200 */
								BgL_objectz00_bglt BgL_tmpz00_14825;

								BgL_tmpz00_14825 = ((BgL_objectz00_bglt) BgL_new1645z00_10063);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14825, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1645z00_10063);
							BgL_auxz00_14820 = BgL_new1645z00_10063;
						}
						BgL_tmp1646z00_10061 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14820);
					}
					BgL_wide1647z00_10062 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1200 */
						obj_t BgL_auxz00_14833;
						BgL_objectz00_bglt BgL_tmpz00_14831;

						BgL_auxz00_14833 = ((obj_t) BgL_wide1647z00_10062);
						BgL_tmpz00_14831 = ((BgL_objectz00_bglt) BgL_tmp1646z00_10061);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14831, BgL_auxz00_14833);
					}
					((BgL_objectz00_bglt) BgL_tmp1646z00_10061);
					{	/* Cfa/cinfo.sch 1200 */
						long BgL_arg2050z00_10065;

						BgL_arg2050z00_10065 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1646z00_10061),
							BgL_arg2050z00_10065);
					}
					BgL_new1648z00_10060 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1646z00_10061);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1648z00_10060)))->BgL_locz00) =
					((obj_t) BgL_loc1591z00_856), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1648z00_10060)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1592z00_857), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1648z00_10060)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1593zd2_858), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1648z00_10060)))->BgL_keyz00) =
					((obj_t) BgL_key1594z00_859), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1648z00_10060)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1595z00_860), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1648z00_10060)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1596z00_861), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1648z00_10060)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1597z00_862), BUNSPEC);
				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_14855;

					{
						obj_t BgL_auxz00_14856;

						{	/* Cfa/cinfo.sch 1200 */
							BgL_objectz00_bglt BgL_tmpz00_14857;

							BgL_tmpz00_14857 = ((BgL_objectz00_bglt) BgL_new1648z00_10060);
							BgL_auxz00_14856 = BGL_OBJECT_WIDENING(BgL_tmpz00_14857);
						}
						BgL_auxz00_14855 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_14856);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_14855))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1598z00_863), BUNSPEC);
				}
				return BgL_new1648z00_10060;
			}
		}

	}



/* &make-make-box/Cinfo */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_8365, obj_t BgL_loc1591z00_8366, obj_t BgL_type1592z00_8367,
		obj_t BgL_sidezd2effect1593zd2_8368, obj_t BgL_key1594z00_8369,
		obj_t BgL_value1595z00_8370, obj_t BgL_vtype1596z00_8371,
		obj_t BgL_stackable1597z00_8372, obj_t BgL_approx1598z00_8373)
	{
		{	/* Cfa/cinfo.sch 1200 */
			return
				BGl_makezd2makezd2boxzf2Cinfozf2zzcfa_infoz00(BgL_loc1591z00_8366,
				((BgL_typez00_bglt) BgL_type1592z00_8367),
				BgL_sidezd2effect1593zd2_8368, BgL_key1594z00_8369,
				((BgL_nodez00_bglt) BgL_value1595z00_8370),
				((BgL_typez00_bglt) BgL_vtype1596z00_8371), BgL_stackable1597z00_8372,
				((BgL_approxz00_bglt) BgL_approx1598z00_8373));
		}

	}



/* make-box/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_864)
	{
		{	/* Cfa/cinfo.sch 1201 */
			{	/* Cfa/cinfo.sch 1201 */
				obj_t BgL_classz00_10066;

				BgL_classz00_10066 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_864))
					{	/* Cfa/cinfo.sch 1201 */
						BgL_objectz00_bglt BgL_arg1858z00_10067;

						BgL_arg1858z00_10067 = (BgL_objectz00_bglt) (BgL_objz00_864);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1201 */
								long BgL_idxz00_10068;

								BgL_idxz00_10068 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10067);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10068 + 4L)) == BgL_classz00_10066);
							}
						else
							{	/* Cfa/cinfo.sch 1201 */
								bool_t BgL_res3124z00_10071;

								{	/* Cfa/cinfo.sch 1201 */
									obj_t BgL_oclassz00_10072;

									{	/* Cfa/cinfo.sch 1201 */
										obj_t BgL_arg1866z00_10073;
										long BgL_arg1867z00_10074;

										BgL_arg1866z00_10073 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1201 */
											long BgL_arg1869z00_10075;

											BgL_arg1869z00_10075 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10067);
											BgL_arg1867z00_10074 =
												(BgL_arg1869z00_10075 - OBJECT_TYPE);
										}
										BgL_oclassz00_10072 =
											VECTOR_REF(BgL_arg1866z00_10073, BgL_arg1867z00_10074);
									}
									{	/* Cfa/cinfo.sch 1201 */
										bool_t BgL__ortest_1115z00_10076;

										BgL__ortest_1115z00_10076 =
											(BgL_classz00_10066 == BgL_oclassz00_10072);
										if (BgL__ortest_1115z00_10076)
											{	/* Cfa/cinfo.sch 1201 */
												BgL_res3124z00_10071 = BgL__ortest_1115z00_10076;
											}
										else
											{	/* Cfa/cinfo.sch 1201 */
												long BgL_odepthz00_10077;

												{	/* Cfa/cinfo.sch 1201 */
													obj_t BgL_arg1855z00_10078;

													BgL_arg1855z00_10078 = (BgL_oclassz00_10072);
													BgL_odepthz00_10077 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10078);
												}
												if ((4L < BgL_odepthz00_10077))
													{	/* Cfa/cinfo.sch 1201 */
														obj_t BgL_arg1853z00_10079;

														{	/* Cfa/cinfo.sch 1201 */
															obj_t BgL_arg1854z00_10080;

															BgL_arg1854z00_10080 = (BgL_oclassz00_10072);
															BgL_arg1853z00_10079 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10080,
																4L);
														}
														BgL_res3124z00_10071 =
															(BgL_arg1853z00_10079 == BgL_classz00_10066);
													}
												else
													{	/* Cfa/cinfo.sch 1201 */
														BgL_res3124z00_10071 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3124z00_10071;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1201 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/Cinfo? */
	obj_t BGl_z62makezd2boxzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_8374,
		obj_t BgL_objz00_8375)
	{
		{	/* Cfa/cinfo.sch 1201 */
			return BBOOL(BGl_makezd2boxzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_8375));
		}

	}



/* make-box/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1202 */
			{	/* Cfa/cinfo.sch 1202 */
				obj_t BgL_classz00_5789;

				BgL_classz00_5789 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1202 */
					obj_t BgL__ortest_1117z00_5790;

					BgL__ortest_1117z00_5790 = BGL_CLASS_NIL(BgL_classz00_5789);
					if (CBOOL(BgL__ortest_1117z00_5790))
						{	/* Cfa/cinfo.sch 1202 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1117z00_5790);
						}
					else
						{	/* Cfa/cinfo.sch 1202 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5789));
						}
				}
			}
		}

	}



/* &make-box/Cinfo-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_8376)
	{
		{	/* Cfa/cinfo.sch 1202 */
			return BGl_makezd2boxzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* make-box/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_865)
	{
		{	/* Cfa/cinfo.sch 1203 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_14898;

				{
					obj_t BgL_auxz00_14899;

					{	/* Cfa/cinfo.sch 1203 */
						BgL_objectz00_bglt BgL_tmpz00_14900;

						BgL_tmpz00_14900 = ((BgL_objectz00_bglt) BgL_oz00_865);
						BgL_auxz00_14899 = BGL_OBJECT_WIDENING(BgL_tmpz00_14900);
					}
					BgL_auxz00_14898 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_14899);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_14898))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62makezd2boxzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8377, obj_t BgL_oz00_8378)
	{
		{	/* Cfa/cinfo.sch 1203 */
			return
				BGl_makezd2boxzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8378));
		}

	}



/* make-box/Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_868)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_868)))->BgL_stackablez00);
		}

	}



/* &make-box/Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablez90zzcfa_infoz00(obj_t
		BgL_envz00_8379, obj_t BgL_oz00_8380)
	{
		{	/* Cfa/cinfo.sch 1205 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8380));
		}

	}



/* make-box/Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_869, obj_t BgL_vz00_870)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_869)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_870), BUNSPEC);
		}

	}



/* &make-box/Cinfo-stackable-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2stackablezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8381, obj_t BgL_oz00_8382, obj_t BgL_vz00_8383)
	{
		{	/* Cfa/cinfo.sch 1206 */
			return
				BGl_makezd2boxzf2Cinfozd2stackablezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8382), BgL_vz00_8383);
		}

	}



/* make-box/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_871)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_871)))->BgL_vtypez00);
		}

	}



/* &make-box/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t
		BgL_envz00_8384, obj_t BgL_oz00_8385)
	{
		{	/* Cfa/cinfo.sch 1207 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8385));
		}

	}



/* make-box/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_872, BgL_typez00_bglt BgL_vz00_873)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_872)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_873), BUNSPEC);
		}

	}



/* &make-box/Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8386, obj_t BgL_oz00_8387, obj_t BgL_vz00_8388)
	{
		{	/* Cfa/cinfo.sch 1208 */
			return
				BGl_makezd2boxzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8387),
				((BgL_typez00_bglt) BgL_vz00_8388));
		}

	}



/* make-box/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_874)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_874)))->BgL_valuez00);
		}

	}



/* &make-box/Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Cinfozd2valuez90zzcfa_infoz00(obj_t
		BgL_envz00_8389, obj_t BgL_oz00_8390)
	{
		{	/* Cfa/cinfo.sch 1209 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8390));
		}

	}



/* make-box/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_875, BgL_nodez00_bglt BgL_vz00_876)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_875)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_876), BUNSPEC);
		}

	}



/* &make-box/Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2valuezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8391, obj_t BgL_oz00_8392, obj_t BgL_vz00_8393)
	{
		{	/* Cfa/cinfo.sch 1210 */
			return
				BGl_makezd2boxzf2Cinfozd2valuezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8392),
				((BgL_nodez00_bglt) BgL_vz00_8393));
		}

	}



/* make-box/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_877)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_877)))->BgL_keyz00);
		}

	}



/* &make-box/Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyz90zzcfa_infoz00(obj_t BgL_envz00_8394,
		obj_t BgL_oz00_8395)
	{
		{	/* Cfa/cinfo.sch 1211 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8395));
		}

	}



/* make-box/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_878, obj_t BgL_vz00_879)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_878)))->BgL_keyz00) =
				((obj_t) BgL_vz00_879), BUNSPEC);
		}

	}



/* &make-box/Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8396, obj_t BgL_oz00_8397, obj_t BgL_vz00_8398)
	{
		{	/* Cfa/cinfo.sch 1212 */
			return
				BGl_makezd2boxzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8397), BgL_vz00_8398);
		}

	}



/* make-box/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_880)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_880)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_8399, obj_t BgL_oz00_8400)
	{
		{	/* Cfa/cinfo.sch 1213 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8400));
		}

	}



/* make-box/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_881, obj_t BgL_vz00_882)
	{
		{	/* Cfa/cinfo.sch 1214 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_881)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_882), BUNSPEC);
		}

	}



/* &make-box/Cinfo-side-effect-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8401, obj_t BgL_oz00_8402, obj_t BgL_vz00_8403)
	{
		{	/* Cfa/cinfo.sch 1214 */
			return
				BGl_makezd2boxzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8402), BgL_vz00_8403);
		}

	}



/* make-box/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_883)
	{
		{	/* Cfa/cinfo.sch 1215 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_883)))->BgL_typez00);
		}

	}



/* &make-box/Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8404, obj_t BgL_oz00_8405)
	{
		{	/* Cfa/cinfo.sch 1215 */
			return
				BGl_makezd2boxzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8405));
		}

	}



/* make-box/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_884, BgL_typez00_bglt BgL_vz00_885)
	{
		{	/* Cfa/cinfo.sch 1216 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_884)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_885), BUNSPEC);
		}

	}



/* &make-box/Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8406, obj_t BgL_oz00_8407, obj_t BgL_vz00_8408)
	{
		{	/* Cfa/cinfo.sch 1216 */
			return
				BGl_makezd2boxzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8407),
				((BgL_typez00_bglt) BgL_vz00_8408));
		}

	}



/* make-box/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_886)
	{
		{	/* Cfa/cinfo.sch 1217 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_886)))->BgL_locz00);
		}

	}



/* &make-box/Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_8409,
		obj_t BgL_oz00_8410)
	{
		{	/* Cfa/cinfo.sch 1217 */
			return
				BGl_makezd2boxzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8410));
		}

	}



/* make-make-box/O-Cinfo */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1581z00_889,
		BgL_typez00_bglt BgL_type1582z00_890, obj_t BgL_sidezd2effect1583zd2_891,
		obj_t BgL_key1584z00_892, BgL_nodez00_bglt BgL_value1585z00_893,
		BgL_typez00_bglt BgL_vtype1586z00_894, obj_t BgL_stackable1587z00_895,
		BgL_approxz00_bglt BgL_approx1588z00_896,
		BgL_approxz00_bglt BgL_valuezd2approx1589zd2_897)
	{
		{	/* Cfa/cinfo.sch 1221 */
			{	/* Cfa/cinfo.sch 1221 */
				BgL_makezd2boxzd2_bglt BgL_new1652z00_10081;

				{	/* Cfa/cinfo.sch 1221 */
					BgL_makezd2boxzd2_bglt BgL_tmp1650z00_10082;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1651z00_10083;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_14962;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_makezd2boxzd2_bglt BgL_new1649z00_10084;

							BgL_new1649z00_10084 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.sch 1221 */
								long BgL_arg2053z00_10085;

								BgL_arg2053z00_10085 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1649z00_10084),
									BgL_arg2053z00_10085);
							}
							{	/* Cfa/cinfo.sch 1221 */
								BgL_objectz00_bglt BgL_tmpz00_14967;

								BgL_tmpz00_14967 = ((BgL_objectz00_bglt) BgL_new1649z00_10084);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14967, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1649z00_10084);
							BgL_auxz00_14962 = BgL_new1649z00_10084;
						}
						BgL_tmp1650z00_10082 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_14962);
					}
					BgL_wide1651z00_10083 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1221 */
						obj_t BgL_auxz00_14975;
						BgL_objectz00_bglt BgL_tmpz00_14973;

						BgL_auxz00_14975 = ((obj_t) BgL_wide1651z00_10083);
						BgL_tmpz00_14973 = ((BgL_objectz00_bglt) BgL_tmp1650z00_10082);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14973, BgL_auxz00_14975);
					}
					((BgL_objectz00_bglt) BgL_tmp1650z00_10082);
					{	/* Cfa/cinfo.sch 1221 */
						long BgL_arg2052z00_10086;

						BgL_arg2052z00_10086 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1650z00_10082),
							BgL_arg2052z00_10086);
					}
					BgL_new1652z00_10081 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1650z00_10082);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1652z00_10081)))->BgL_locz00) =
					((obj_t) BgL_loc1581z00_889), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1652z00_10081)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1582z00_890), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1652z00_10081)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1583zd2_891), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1652z00_10081)))->BgL_keyz00) =
					((obj_t) BgL_key1584z00_892), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1652z00_10081)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1585z00_893), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1652z00_10081)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1586z00_894), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1652z00_10081)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1587z00_895), BUNSPEC);
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_14997;

					{
						obj_t BgL_auxz00_14998;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_objectz00_bglt BgL_tmpz00_14999;

							BgL_tmpz00_14999 = ((BgL_objectz00_bglt) BgL_new1652z00_10081);
							BgL_auxz00_14998 = BGL_OBJECT_WIDENING(BgL_tmpz00_14999);
						}
						BgL_auxz00_14997 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_14998);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_14997))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1588z00_896), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_15004;

					{
						obj_t BgL_auxz00_15005;

						{	/* Cfa/cinfo.sch 1221 */
							BgL_objectz00_bglt BgL_tmpz00_15006;

							BgL_tmpz00_15006 = ((BgL_objectz00_bglt) BgL_new1652z00_10081);
							BgL_auxz00_15005 = BGL_OBJECT_WIDENING(BgL_tmpz00_15006);
						}
						BgL_auxz00_15004 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_15005);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15004))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) BgL_valuezd2approx1589zd2_897), BUNSPEC);
				}
				return BgL_new1652z00_10081;
			}
		}

	}



/* &make-make-box/O-Cinfo */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2makezd2boxzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8411,
		obj_t BgL_loc1581z00_8412, obj_t BgL_type1582z00_8413,
		obj_t BgL_sidezd2effect1583zd2_8414, obj_t BgL_key1584z00_8415,
		obj_t BgL_value1585z00_8416, obj_t BgL_vtype1586z00_8417,
		obj_t BgL_stackable1587z00_8418, obj_t BgL_approx1588z00_8419,
		obj_t BgL_valuezd2approx1589zd2_8420)
	{
		{	/* Cfa/cinfo.sch 1221 */
			return
				BGl_makezd2makezd2boxzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_loc1581z00_8412,
				((BgL_typez00_bglt) BgL_type1582z00_8413),
				BgL_sidezd2effect1583zd2_8414, BgL_key1584z00_8415,
				((BgL_nodez00_bglt) BgL_value1585z00_8416),
				((BgL_typez00_bglt) BgL_vtype1586z00_8417), BgL_stackable1587z00_8418,
				((BgL_approxz00_bglt) BgL_approx1588z00_8419),
				((BgL_approxz00_bglt) BgL_valuezd2approx1589zd2_8420));
		}

	}



/* make-box/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_898)
	{
		{	/* Cfa/cinfo.sch 1222 */
			{	/* Cfa/cinfo.sch 1222 */
				obj_t BgL_classz00_10087;

				BgL_classz00_10087 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_898))
					{	/* Cfa/cinfo.sch 1222 */
						BgL_objectz00_bglt BgL_arg1858z00_10088;

						BgL_arg1858z00_10088 = (BgL_objectz00_bglt) (BgL_objz00_898);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1222 */
								long BgL_idxz00_10089;

								BgL_idxz00_10089 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10088);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10089 + 4L)) == BgL_classz00_10087);
							}
						else
							{	/* Cfa/cinfo.sch 1222 */
								bool_t BgL_res3125z00_10092;

								{	/* Cfa/cinfo.sch 1222 */
									obj_t BgL_oclassz00_10093;

									{	/* Cfa/cinfo.sch 1222 */
										obj_t BgL_arg1866z00_10094;
										long BgL_arg1867z00_10095;

										BgL_arg1866z00_10094 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1222 */
											long BgL_arg1869z00_10096;

											BgL_arg1869z00_10096 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10088);
											BgL_arg1867z00_10095 =
												(BgL_arg1869z00_10096 - OBJECT_TYPE);
										}
										BgL_oclassz00_10093 =
											VECTOR_REF(BgL_arg1866z00_10094, BgL_arg1867z00_10095);
									}
									{	/* Cfa/cinfo.sch 1222 */
										bool_t BgL__ortest_1115z00_10097;

										BgL__ortest_1115z00_10097 =
											(BgL_classz00_10087 == BgL_oclassz00_10093);
										if (BgL__ortest_1115z00_10097)
											{	/* Cfa/cinfo.sch 1222 */
												BgL_res3125z00_10092 = BgL__ortest_1115z00_10097;
											}
										else
											{	/* Cfa/cinfo.sch 1222 */
												long BgL_odepthz00_10098;

												{	/* Cfa/cinfo.sch 1222 */
													obj_t BgL_arg1855z00_10099;

													BgL_arg1855z00_10099 = (BgL_oclassz00_10093);
													BgL_odepthz00_10098 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10099);
												}
												if ((4L < BgL_odepthz00_10098))
													{	/* Cfa/cinfo.sch 1222 */
														obj_t BgL_arg1853z00_10100;

														{	/* Cfa/cinfo.sch 1222 */
															obj_t BgL_arg1854z00_10101;

															BgL_arg1854z00_10101 = (BgL_oclassz00_10093);
															BgL_arg1853z00_10100 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10101,
																4L);
														}
														BgL_res3125z00_10092 =
															(BgL_arg1853z00_10100 == BgL_classz00_10087);
													}
												else
													{	/* Cfa/cinfo.sch 1222 */
														BgL_res3125z00_10092 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3125z00_10092;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1222 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box/O-Cinfo? */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8421,
		obj_t BgL_objz00_8422)
	{
		{	/* Cfa/cinfo.sch 1222 */
			return
				BBOOL(BGl_makezd2boxzf2Ozd2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8422));
		}

	}



/* make-box/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1223 */
			{	/* Cfa/cinfo.sch 1223 */
				obj_t BgL_classz00_5842;

				BgL_classz00_5842 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1223 */
					obj_t BgL__ortest_1117z00_5843;

					BgL__ortest_1117z00_5843 = BGL_CLASS_NIL(BgL_classz00_5842);
					if (CBOOL(BgL__ortest_1117z00_5843))
						{	/* Cfa/cinfo.sch 1223 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1117z00_5843);
						}
					else
						{	/* Cfa/cinfo.sch 1223 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5842));
						}
				}
			}
		}

	}



/* &make-box/O-Cinfo-nil */
	BgL_makezd2boxzd2_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t BgL_envz00_8423)
	{
		{	/* Cfa/cinfo.sch 1223 */
			return BGl_makezd2boxzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* make-box/O-Cinfo-value-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_899)
	{
		{	/* Cfa/cinfo.sch 1224 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_15048;

				{
					obj_t BgL_auxz00_15049;

					{	/* Cfa/cinfo.sch 1224 */
						BgL_objectz00_bglt BgL_tmpz00_15050;

						BgL_tmpz00_15050 = ((BgL_objectz00_bglt) BgL_oz00_899);
						BgL_auxz00_15049 = BGL_OBJECT_WIDENING(BgL_tmpz00_15050);
					}
					BgL_auxz00_15048 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_15049);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15048))->
					BgL_valuezd2approxzd2);
			}
		}

	}



/* &make-box/O-Cinfo-value-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8424, obj_t BgL_oz00_8425)
	{
		{	/* Cfa/cinfo.sch 1224 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2approxzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8425));
		}

	}



/* make-box/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_902)
	{
		{	/* Cfa/cinfo.sch 1226 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_15057;

				{
					obj_t BgL_auxz00_15058;

					{	/* Cfa/cinfo.sch 1226 */
						BgL_objectz00_bglt BgL_tmpz00_15059;

						BgL_tmpz00_15059 = ((BgL_objectz00_bglt) BgL_oz00_902);
						BgL_auxz00_15058 = BGL_OBJECT_WIDENING(BgL_tmpz00_15059);
					}
					BgL_auxz00_15057 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_15058);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15057))->
					BgL_approxz00);
			}
		}

	}



/* &make-box/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62makezd2boxzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8426, obj_t BgL_oz00_8427)
	{
		{	/* Cfa/cinfo.sch 1226 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8427));
		}

	}



/* make-box/O-Cinfo-approx-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_903, BgL_approxz00_bglt BgL_vz00_904)
	{
		{	/* Cfa/cinfo.sch 1227 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_15066;

				{
					obj_t BgL_auxz00_15067;

					{	/* Cfa/cinfo.sch 1227 */
						BgL_objectz00_bglt BgL_tmpz00_15068;

						BgL_tmpz00_15068 = ((BgL_objectz00_bglt) BgL_oz00_903);
						BgL_auxz00_15067 = BGL_OBJECT_WIDENING(BgL_tmpz00_15068);
					}
					BgL_auxz00_15066 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_15067);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15066))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_vz00_904), BUNSPEC);
			}
		}

	}



/* &make-box/O-Cinfo-approx-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2approxzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8428, obj_t BgL_oz00_8429, obj_t BgL_vz00_8430)
	{
		{	/* Cfa/cinfo.sch 1227 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2approxzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8429),
				((BgL_approxz00_bglt) BgL_vz00_8430));
		}

	}



/* make-box/O-Cinfo-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_905)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_905)))->BgL_stackablez00);
		}

	}



/* &make-box/O-Cinfo-stackable */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablez42zzcfa_infoz00(obj_t
		BgL_envz00_8431, obj_t BgL_oz00_8432)
	{
		{	/* Cfa/cinfo.sch 1228 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8432));
		}

	}



/* make-box/O-Cinfo-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_906, obj_t BgL_vz00_907)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_906)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_907), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-stackable-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8433, obj_t BgL_oz00_8434, obj_t BgL_vz00_8435)
	{
		{	/* Cfa/cinfo.sch 1229 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2stackablezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8434), BgL_vz00_8435);
		}

	}



/* make-box/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_908)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_908)))->BgL_vtypez00);
		}

	}



/* &make-box/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t
		BgL_envz00_8436, obj_t BgL_oz00_8437)
	{
		{	/* Cfa/cinfo.sch 1230 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8437));
		}

	}



/* make-box/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_909, BgL_typez00_bglt BgL_vz00_910)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_909)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_910), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-vtype-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8438, obj_t BgL_oz00_8439, obj_t BgL_vz00_8440)
	{
		{	/* Cfa/cinfo.sch 1231 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8439),
				((BgL_typez00_bglt) BgL_vz00_8440));
		}

	}



/* make-box/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_911)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_911)))->BgL_valuez00);
		}

	}



/* &make-box/O-Cinfo-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2valuez42zzcfa_infoz00(obj_t
		BgL_envz00_8441, obj_t BgL_oz00_8442)
	{
		{	/* Cfa/cinfo.sch 1232 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8442));
		}

	}



/* make-box/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_912, BgL_nodez00_bglt BgL_vz00_913)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_912)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_913), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-value-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2valuezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8443, obj_t BgL_oz00_8444, obj_t BgL_vz00_8445)
	{
		{	/* Cfa/cinfo.sch 1233 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2valuezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8444),
				((BgL_nodez00_bglt) BgL_vz00_8445));
		}

	}



/* make-box/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_914)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_914)))->BgL_keyz00);
		}

	}



/* &make-box/O-Cinfo-key */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t
		BgL_envz00_8446, obj_t BgL_oz00_8447)
	{
		{	/* Cfa/cinfo.sch 1234 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8447));
		}

	}



/* make-box/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_915, obj_t BgL_vz00_916)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_915)))->BgL_keyz00) =
				((obj_t) BgL_vz00_916), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-key-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8448, obj_t BgL_oz00_8449, obj_t BgL_vz00_8450)
	{
		{	/* Cfa/cinfo.sch 1235 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8449), BgL_vz00_8450);
		}

	}



/* make-box/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_917)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_917)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box/O-Cinfo-side-effect */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8451, obj_t BgL_oz00_8452)
	{
		{	/* Cfa/cinfo.sch 1236 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8452));
		}

	}



/* make-box/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_918, obj_t BgL_vz00_919)
	{
		{	/* Cfa/cinfo.sch 1237 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_918)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_919), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8453, obj_t BgL_oz00_8454, obj_t BgL_vz00_8455)
	{
		{	/* Cfa/cinfo.sch 1237 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8454), BgL_vz00_8455);
		}

	}



/* make-box/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_920)
	{
		{	/* Cfa/cinfo.sch 1238 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_920)))->BgL_typez00);
		}

	}



/* &make-box/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62makezd2boxzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8456, obj_t BgL_oz00_8457)
	{
		{	/* Cfa/cinfo.sch 1238 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typez20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8457));
		}

	}



/* make-box/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_makezd2boxzd2_bglt BgL_oz00_921, BgL_typez00_bglt BgL_vz00_922)
	{
		{	/* Cfa/cinfo.sch 1239 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_921)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_922), BUNSPEC);
		}

	}



/* &make-box/O-Cinfo-type-set! */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8458, obj_t BgL_oz00_8459, obj_t BgL_vz00_8460)
	{
		{	/* Cfa/cinfo.sch 1239 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8459),
				((BgL_typez00_bglt) BgL_vz00_8460));
		}

	}



/* make-box/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_makezd2boxzd2_bglt
		BgL_oz00_923)
	{
		{	/* Cfa/cinfo.sch 1240 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_923)))->BgL_locz00);
		}

	}



/* &make-box/O-Cinfo-loc */
	obj_t BGl_z62makezd2boxzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8461, obj_t BgL_oz00_8462)
	{
		{	/* Cfa/cinfo.sch 1240 */
			return
				BGl_makezd2boxzf2Ozd2Cinfozd2locz20zzcfa_infoz00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_8462));
		}

	}



/* make-box-set!/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(obj_t BgL_loc1574z00_926,
		BgL_typez00_bglt BgL_type1575z00_927, BgL_varz00_bglt BgL_var1576z00_928,
		BgL_nodez00_bglt BgL_value1577z00_929,
		BgL_typez00_bglt BgL_vtype1578z00_930,
		BgL_approxz00_bglt BgL_approx1579z00_931)
	{
		{	/* Cfa/cinfo.sch 1244 */
			{	/* Cfa/cinfo.sch 1244 */
				BgL_boxzd2setz12zc0_bglt BgL_new1656z00_10102;

				{	/* Cfa/cinfo.sch 1244 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1654z00_10103;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1655z00_10104;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_15131;

						{	/* Cfa/cinfo.sch 1244 */
							BgL_boxzd2setz12zc0_bglt BgL_new1653z00_10105;

							BgL_new1653z00_10105 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1244 */
								long BgL_arg2055z00_10106;

								BgL_arg2055z00_10106 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1653z00_10105),
									BgL_arg2055z00_10106);
							}
							{	/* Cfa/cinfo.sch 1244 */
								BgL_objectz00_bglt BgL_tmpz00_15136;

								BgL_tmpz00_15136 = ((BgL_objectz00_bglt) BgL_new1653z00_10105);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15136, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1653z00_10105);
							BgL_auxz00_15131 = BgL_new1653z00_10105;
						}
						BgL_tmp1654z00_10103 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_15131);
					}
					BgL_wide1655z00_10104 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2cinfoz32_bgl))));
					{	/* Cfa/cinfo.sch 1244 */
						obj_t BgL_auxz00_15144;
						BgL_objectz00_bglt BgL_tmpz00_15142;

						BgL_auxz00_15144 = ((obj_t) BgL_wide1655z00_10104);
						BgL_tmpz00_15142 = ((BgL_objectz00_bglt) BgL_tmp1654z00_10103);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15142, BgL_auxz00_15144);
					}
					((BgL_objectz00_bglt) BgL_tmp1654z00_10103);
					{	/* Cfa/cinfo.sch 1244 */
						long BgL_arg2054z00_10107;

						BgL_arg2054z00_10107 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1654z00_10103),
							BgL_arg2054z00_10107);
					}
					BgL_new1656z00_10102 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1654z00_10103);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1656z00_10102)))->BgL_locz00) =
					((obj_t) BgL_loc1574z00_926), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1656z00_10102)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1575z00_927), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1656z00_10102)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1576z00_928), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1656z00_10102)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1577z00_929), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1656z00_10102)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1578z00_930), BUNSPEC);
				{
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_15162;

					{
						obj_t BgL_auxz00_15163;

						{	/* Cfa/cinfo.sch 1244 */
							BgL_objectz00_bglt BgL_tmpz00_15164;

							BgL_tmpz00_15164 = ((BgL_objectz00_bglt) BgL_new1656z00_10102);
							BgL_auxz00_15163 = BGL_OBJECT_WIDENING(BgL_tmpz00_15164);
						}
						BgL_auxz00_15162 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_15163);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_15162))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1579z00_931), BUNSPEC);
				}
				return BgL_new1656z00_10102;
			}
		}

	}



/* &make-box-set!/Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Cinfoz82zzcfa_infoz00(obj_t BgL_envz00_8463,
		obj_t BgL_loc1574z00_8464, obj_t BgL_type1575z00_8465,
		obj_t BgL_var1576z00_8466, obj_t BgL_value1577z00_8467,
		obj_t BgL_vtype1578z00_8468, obj_t BgL_approx1579z00_8469)
	{
		{	/* Cfa/cinfo.sch 1244 */
			return
				BGl_makezd2boxzd2setz12zf2Cinfoze0zzcfa_infoz00(BgL_loc1574z00_8464,
				((BgL_typez00_bglt) BgL_type1575z00_8465),
				((BgL_varz00_bglt) BgL_var1576z00_8466),
				((BgL_nodez00_bglt) BgL_value1577z00_8467),
				((BgL_typez00_bglt) BgL_vtype1578z00_8468),
				((BgL_approxz00_bglt) BgL_approx1579z00_8469));
		}

	}



/* box-set!/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(obj_t
		BgL_objz00_932)
	{
		{	/* Cfa/cinfo.sch 1245 */
			{	/* Cfa/cinfo.sch 1245 */
				obj_t BgL_classz00_10108;

				BgL_classz00_10108 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_932))
					{	/* Cfa/cinfo.sch 1245 */
						BgL_objectz00_bglt BgL_arg1858z00_10109;

						BgL_arg1858z00_10109 = (BgL_objectz00_bglt) (BgL_objz00_932);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1245 */
								long BgL_idxz00_10110;

								BgL_idxz00_10110 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10109);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10110 + 3L)) == BgL_classz00_10108);
							}
						else
							{	/* Cfa/cinfo.sch 1245 */
								bool_t BgL_res3126z00_10113;

								{	/* Cfa/cinfo.sch 1245 */
									obj_t BgL_oclassz00_10114;

									{	/* Cfa/cinfo.sch 1245 */
										obj_t BgL_arg1866z00_10115;
										long BgL_arg1867z00_10116;

										BgL_arg1866z00_10115 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1245 */
											long BgL_arg1869z00_10117;

											BgL_arg1869z00_10117 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10109);
											BgL_arg1867z00_10116 =
												(BgL_arg1869z00_10117 - OBJECT_TYPE);
										}
										BgL_oclassz00_10114 =
											VECTOR_REF(BgL_arg1866z00_10115, BgL_arg1867z00_10116);
									}
									{	/* Cfa/cinfo.sch 1245 */
										bool_t BgL__ortest_1115z00_10118;

										BgL__ortest_1115z00_10118 =
											(BgL_classz00_10108 == BgL_oclassz00_10114);
										if (BgL__ortest_1115z00_10118)
											{	/* Cfa/cinfo.sch 1245 */
												BgL_res3126z00_10113 = BgL__ortest_1115z00_10118;
											}
										else
											{	/* Cfa/cinfo.sch 1245 */
												long BgL_odepthz00_10119;

												{	/* Cfa/cinfo.sch 1245 */
													obj_t BgL_arg1855z00_10120;

													BgL_arg1855z00_10120 = (BgL_oclassz00_10114);
													BgL_odepthz00_10119 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10120);
												}
												if ((3L < BgL_odepthz00_10119))
													{	/* Cfa/cinfo.sch 1245 */
														obj_t BgL_arg1853z00_10121;

														{	/* Cfa/cinfo.sch 1245 */
															obj_t BgL_arg1854z00_10122;

															BgL_arg1854z00_10122 = (BgL_oclassz00_10114);
															BgL_arg1853z00_10121 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10122,
																3L);
														}
														BgL_res3126z00_10113 =
															(BgL_arg1853z00_10121 == BgL_classz00_10108);
													}
												else
													{	/* Cfa/cinfo.sch 1245 */
														BgL_res3126z00_10113 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3126z00_10113;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1245 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Cinfozf3za3zzcfa_infoz00(obj_t BgL_envz00_8470,
		obj_t BgL_objz00_8471)
	{
		{	/* Cfa/cinfo.sch 1245 */
			return
				BBOOL(BGl_boxzd2setz12zf2Cinfozf3zc1zzcfa_infoz00(BgL_objz00_8471));
		}

	}



/* box-set!/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1246 */
			{	/* Cfa/cinfo.sch 1246 */
				obj_t BgL_classz00_5896;

				BgL_classz00_5896 = BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1246 */
					obj_t BgL__ortest_1117z00_5897;

					BgL__ortest_1117z00_5897 = BGL_CLASS_NIL(BgL_classz00_5896);
					if (CBOOL(BgL__ortest_1117z00_5897))
						{	/* Cfa/cinfo.sch 1246 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1117z00_5897);
						}
					else
						{	/* Cfa/cinfo.sch 1246 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5896));
						}
				}
			}
		}

	}



/* &box-set!/Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Cinfozd2nilz82zzcfa_infoz00(obj_t BgL_envz00_8472)
	{
		{	/* Cfa/cinfo.sch 1246 */
			return BGl_boxzd2setz12zf2Cinfozd2nilze0zzcfa_infoz00();
		}

	}



/* box-set!/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_933)
	{
		{	/* Cfa/cinfo.sch 1247 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_15206;

				{
					obj_t BgL_auxz00_15207;

					{	/* Cfa/cinfo.sch 1247 */
						BgL_objectz00_bglt BgL_tmpz00_15208;

						BgL_tmpz00_15208 = ((BgL_objectz00_bglt) BgL_oz00_933);
						BgL_auxz00_15207 = BGL_OBJECT_WIDENING(BgL_tmpz00_15208);
					}
					BgL_auxz00_15206 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_15207);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_15206))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2setz12zf2Cinfozd2approxz82zzcfa_infoz00(obj_t
		BgL_envz00_8473, obj_t BgL_oz00_8474)
	{
		{	/* Cfa/cinfo.sch 1247 */
			return
				BGl_boxzd2setz12zf2Cinfozd2approxze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8474));
		}

	}



/* box-set!/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_936)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_936)))->BgL_vtypez00);
		}

	}



/* &box-set!/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2vtypez82zzcfa_infoz00(obj_t
		BgL_envz00_8475, obj_t BgL_oz00_8476)
	{
		{	/* Cfa/cinfo.sch 1249 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypeze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8476));
		}

	}



/* box-set!/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_937, BgL_typez00_bglt BgL_vz00_938)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_937)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_938), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2vtypezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8477, obj_t BgL_oz00_8478, obj_t BgL_vz00_8479)
	{
		{	/* Cfa/cinfo.sch 1250 */
			return
				BGl_boxzd2setz12zf2Cinfozd2vtypezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8478),
				((BgL_typez00_bglt) BgL_vz00_8479));
		}

	}



/* box-set!/Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_939)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_939)))->BgL_valuez00);
		}

	}



/* &box-set!/Cinfo-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2valuez82zzcfa_infoz00(obj_t
		BgL_envz00_8480, obj_t BgL_oz00_8481)
	{
		{	/* Cfa/cinfo.sch 1251 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valueze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8481));
		}

	}



/* box-set!/Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_940, BgL_nodez00_bglt BgL_vz00_941)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_940)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_941), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2valuezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8482, obj_t BgL_oz00_8483, obj_t BgL_vz00_8484)
	{
		{	/* Cfa/cinfo.sch 1252 */
			return
				BGl_boxzd2setz12zf2Cinfozd2valuezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8483),
				((BgL_nodez00_bglt) BgL_vz00_8484));
		}

	}



/* box-set!/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_942)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_942)))->BgL_varz00);
		}

	}



/* &box-set!/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Cinfozd2varz82zzcfa_infoz00(obj_t
		BgL_envz00_8485, obj_t BgL_oz00_8486)
	{
		{	/* Cfa/cinfo.sch 1253 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8486));
		}

	}



/* box-set!/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_943, BgL_varz00_bglt BgL_vz00_944)
	{
		{	/* Cfa/cinfo.sch 1254 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_943)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_944), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2varzd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8487, obj_t BgL_oz00_8488, obj_t BgL_vz00_8489)
	{
		{	/* Cfa/cinfo.sch 1254 */
			return
				BGl_boxzd2setz12zf2Cinfozd2varzd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8488),
				((BgL_varz00_bglt) BgL_vz00_8489));
		}

	}



/* box-set!/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_945)
	{
		{	/* Cfa/cinfo.sch 1255 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_945)))->BgL_typez00);
		}

	}



/* &box-set!/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Cinfozd2typez82zzcfa_infoz00(obj_t
		BgL_envz00_8490, obj_t BgL_oz00_8491)
	{
		{	/* Cfa/cinfo.sch 1255 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typeze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8491));
		}

	}



/* box-set!/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_946, BgL_typez00_bglt BgL_vz00_947)
	{
		{	/* Cfa/cinfo.sch 1256 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_946)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_947), BUNSPEC);
		}

	}



/* &box-set!/Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2typezd2setz12z42zzcfa_infoz00(obj_t
		BgL_envz00_8492, obj_t BgL_oz00_8493, obj_t BgL_vz00_8494)
	{
		{	/* Cfa/cinfo.sch 1256 */
			return
				BGl_boxzd2setz12zf2Cinfozd2typezd2setz12z20zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8493),
				((BgL_typez00_bglt) BgL_vz00_8494));
		}

	}



/* box-set!/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_948)
	{
		{	/* Cfa/cinfo.sch 1257 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_948)))->BgL_locz00);
		}

	}



/* &box-set!/Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Cinfozd2locz82zzcfa_infoz00(obj_t BgL_envz00_8495,
		obj_t BgL_oz00_8496)
	{
		{	/* Cfa/cinfo.sch 1257 */
			return
				BGl_boxzd2setz12zf2Cinfozd2locze0zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8496));
		}

	}



/* make-box-ref/Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(obj_t BgL_loc1566z00_951,
		BgL_typez00_bglt BgL_type1567z00_952, obj_t BgL_sidezd2effect1568zd2_953,
		obj_t BgL_key1569z00_954, BgL_varz00_bglt BgL_var1570z00_955,
		BgL_typez00_bglt BgL_vtype1571z00_956,
		BgL_approxz00_bglt BgL_approx1572z00_957)
	{
		{	/* Cfa/cinfo.sch 1261 */
			{	/* Cfa/cinfo.sch 1261 */
				BgL_boxzd2refzd2_bglt BgL_new1660z00_10123;

				{	/* Cfa/cinfo.sch 1261 */
					BgL_boxzd2refzd2_bglt BgL_tmp1658z00_10124;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1659z00_10125;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_15255;

						{	/* Cfa/cinfo.sch 1261 */
							BgL_boxzd2refzd2_bglt BgL_new1657z00_10126;

							BgL_new1657z00_10126 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1261 */
								long BgL_arg2058z00_10127;

								BgL_arg2058z00_10127 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1657z00_10126),
									BgL_arg2058z00_10127);
							}
							{	/* Cfa/cinfo.sch 1261 */
								BgL_objectz00_bglt BgL_tmpz00_15260;

								BgL_tmpz00_15260 = ((BgL_objectz00_bglt) BgL_new1657z00_10126);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15260, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1657z00_10126);
							BgL_auxz00_15255 = BgL_new1657z00_10126;
						}
						BgL_tmp1658z00_10124 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_15255);
					}
					BgL_wide1659z00_10125 =
						((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.sch 1261 */
						obj_t BgL_auxz00_15268;
						BgL_objectz00_bglt BgL_tmpz00_15266;

						BgL_auxz00_15268 = ((obj_t) BgL_wide1659z00_10125);
						BgL_tmpz00_15266 = ((BgL_objectz00_bglt) BgL_tmp1658z00_10124);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15266, BgL_auxz00_15268);
					}
					((BgL_objectz00_bglt) BgL_tmp1658z00_10124);
					{	/* Cfa/cinfo.sch 1261 */
						long BgL_arg2056z00_10128;

						BgL_arg2056z00_10128 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1658z00_10124),
							BgL_arg2056z00_10128);
					}
					BgL_new1660z00_10123 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1658z00_10124);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1660z00_10123)))->BgL_locz00) =
					((obj_t) BgL_loc1566z00_951), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1660z00_10123)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1567z00_952), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1660z00_10123)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1568zd2_953), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1660z00_10123)))->BgL_keyz00) =
					((obj_t) BgL_key1569z00_954), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1660z00_10123)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1570z00_955), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1660z00_10123)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1571z00_956), BUNSPEC);
				{
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_15288;

					{
						obj_t BgL_auxz00_15289;

						{	/* Cfa/cinfo.sch 1261 */
							BgL_objectz00_bglt BgL_tmpz00_15290;

							BgL_tmpz00_15290 = ((BgL_objectz00_bglt) BgL_new1660z00_10123);
							BgL_auxz00_15289 = BGL_OBJECT_WIDENING(BgL_tmpz00_15290);
						}
						BgL_auxz00_15288 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_15289);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_15288))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1572z00_957), BUNSPEC);
				}
				return BgL_new1660z00_10123;
			}
		}

	}



/* &make-box-ref/Cinfo */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refzf2Cinfoz90zzcfa_infoz00(obj_t
		BgL_envz00_8497, obj_t BgL_loc1566z00_8498, obj_t BgL_type1567z00_8499,
		obj_t BgL_sidezd2effect1568zd2_8500, obj_t BgL_key1569z00_8501,
		obj_t BgL_var1570z00_8502, obj_t BgL_vtype1571z00_8503,
		obj_t BgL_approx1572z00_8504)
	{
		{	/* Cfa/cinfo.sch 1261 */
			return
				BGl_makezd2boxzd2refzf2Cinfozf2zzcfa_infoz00(BgL_loc1566z00_8498,
				((BgL_typez00_bglt) BgL_type1567z00_8499),
				BgL_sidezd2effect1568zd2_8500, BgL_key1569z00_8501,
				((BgL_varz00_bglt) BgL_var1570z00_8502),
				((BgL_typez00_bglt) BgL_vtype1571z00_8503),
				((BgL_approxz00_bglt) BgL_approx1572z00_8504));
		}

	}



/* box-ref/Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(obj_t
		BgL_objz00_958)
	{
		{	/* Cfa/cinfo.sch 1262 */
			{	/* Cfa/cinfo.sch 1262 */
				obj_t BgL_classz00_10129;

				BgL_classz00_10129 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_958))
					{	/* Cfa/cinfo.sch 1262 */
						BgL_objectz00_bglt BgL_arg1858z00_10130;

						BgL_arg1858z00_10130 = (BgL_objectz00_bglt) (BgL_objz00_958);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1262 */
								long BgL_idxz00_10131;

								BgL_idxz00_10131 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10130);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10131 + 4L)) == BgL_classz00_10129);
							}
						else
							{	/* Cfa/cinfo.sch 1262 */
								bool_t BgL_res3127z00_10134;

								{	/* Cfa/cinfo.sch 1262 */
									obj_t BgL_oclassz00_10135;

									{	/* Cfa/cinfo.sch 1262 */
										obj_t BgL_arg1866z00_10136;
										long BgL_arg1867z00_10137;

										BgL_arg1866z00_10136 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1262 */
											long BgL_arg1869z00_10138;

											BgL_arg1869z00_10138 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10130);
											BgL_arg1867z00_10137 =
												(BgL_arg1869z00_10138 - OBJECT_TYPE);
										}
										BgL_oclassz00_10135 =
											VECTOR_REF(BgL_arg1866z00_10136, BgL_arg1867z00_10137);
									}
									{	/* Cfa/cinfo.sch 1262 */
										bool_t BgL__ortest_1115z00_10139;

										BgL__ortest_1115z00_10139 =
											(BgL_classz00_10129 == BgL_oclassz00_10135);
										if (BgL__ortest_1115z00_10139)
											{	/* Cfa/cinfo.sch 1262 */
												BgL_res3127z00_10134 = BgL__ortest_1115z00_10139;
											}
										else
											{	/* Cfa/cinfo.sch 1262 */
												long BgL_odepthz00_10140;

												{	/* Cfa/cinfo.sch 1262 */
													obj_t BgL_arg1855z00_10141;

													BgL_arg1855z00_10141 = (BgL_oclassz00_10135);
													BgL_odepthz00_10140 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10141);
												}
												if ((4L < BgL_odepthz00_10140))
													{	/* Cfa/cinfo.sch 1262 */
														obj_t BgL_arg1853z00_10142;

														{	/* Cfa/cinfo.sch 1262 */
															obj_t BgL_arg1854z00_10143;

															BgL_arg1854z00_10143 = (BgL_oclassz00_10135);
															BgL_arg1853z00_10142 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10143,
																4L);
														}
														BgL_res3127z00_10134 =
															(BgL_arg1853z00_10142 == BgL_classz00_10129);
													}
												else
													{	/* Cfa/cinfo.sch 1262 */
														BgL_res3127z00_10134 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3127z00_10134;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1262 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/Cinfo? */
	obj_t BGl_z62boxzd2refzf2Cinfozf3zb1zzcfa_infoz00(obj_t BgL_envz00_8505,
		obj_t BgL_objz00_8506)
	{
		{	/* Cfa/cinfo.sch 1262 */
			return BBOOL(BGl_boxzd2refzf2Cinfozf3zd3zzcfa_infoz00(BgL_objz00_8506));
		}

	}



/* box-ref/Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1263 */
			{	/* Cfa/cinfo.sch 1263 */
				obj_t BgL_classz00_5948;

				BgL_classz00_5948 = BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1263 */
					obj_t BgL__ortest_1117z00_5949;

					BgL__ortest_1117z00_5949 = BGL_CLASS_NIL(BgL_classz00_5948);
					if (CBOOL(BgL__ortest_1117z00_5949))
						{	/* Cfa/cinfo.sch 1263 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1117z00_5949);
						}
					else
						{	/* Cfa/cinfo.sch 1263 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5948));
						}
				}
			}
		}

	}



/* &box-ref/Cinfo-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzf2Cinfozd2nilz90zzcfa_infoz00(obj_t
		BgL_envz00_8507)
	{
		{	/* Cfa/cinfo.sch 1263 */
			return BGl_boxzd2refzf2Cinfozd2nilzf2zzcfa_infoz00();
		}

	}



/* box-ref/Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_959)
	{
		{	/* Cfa/cinfo.sch 1264 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_15331;

				{
					obj_t BgL_auxz00_15332;

					{	/* Cfa/cinfo.sch 1264 */
						BgL_objectz00_bglt BgL_tmpz00_15333;

						BgL_tmpz00_15333 = ((BgL_objectz00_bglt) BgL_oz00_959);
						BgL_auxz00_15332 = BGL_OBJECT_WIDENING(BgL_tmpz00_15333);
					}
					BgL_auxz00_15331 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_15332);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_15331))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2refzf2Cinfozd2approxz90zzcfa_infoz00(obj_t
		BgL_envz00_8508, obj_t BgL_oz00_8509)
	{
		{	/* Cfa/cinfo.sch 1264 */
			return
				BGl_boxzd2refzf2Cinfozd2approxzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8509));
		}

	}



/* box-ref/Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_962)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_962)))->BgL_vtypez00);
		}

	}



/* &box-ref/Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2vtypez90zzcfa_infoz00(obj_t
		BgL_envz00_8510, obj_t BgL_oz00_8511)
	{
		{	/* Cfa/cinfo.sch 1266 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8511));
		}

	}



/* box-ref/Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_963, BgL_typez00_bglt BgL_vz00_964)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_963)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_964), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2vtypezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8512, obj_t BgL_oz00_8513, obj_t BgL_vz00_8514)
	{
		{	/* Cfa/cinfo.sch 1267 */
			return
				BGl_boxzd2refzf2Cinfozd2vtypezd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8513),
				((BgL_typez00_bglt) BgL_vz00_8514));
		}

	}



/* box-ref/Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_965)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_965)))->BgL_varz00);
		}

	}



/* &box-ref/Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Cinfozd2varz90zzcfa_infoz00(obj_t
		BgL_envz00_8515, obj_t BgL_oz00_8516)
	{
		{	/* Cfa/cinfo.sch 1268 */
			return
				BGl_boxzd2refzf2Cinfozd2varzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8516));
		}

	}



/* box-ref/Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_966, BgL_varz00_bglt BgL_vz00_967)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_966)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_967), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2varzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8517, obj_t BgL_oz00_8518, obj_t BgL_vz00_8519)
	{
		{	/* Cfa/cinfo.sch 1269 */
			return
				BGl_boxzd2refzf2Cinfozd2varzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8518),
				((BgL_varz00_bglt) BgL_vz00_8519));
		}

	}



/* box-ref/Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_968)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_968)))->BgL_keyz00);
		}

	}



/* &box-ref/Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyz90zzcfa_infoz00(obj_t BgL_envz00_8520,
		obj_t BgL_oz00_8521)
	{
		{	/* Cfa/cinfo.sch 1270 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8521));
		}

	}



/* box-ref/Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_969, obj_t BgL_vz00_970)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_969)))->BgL_keyz00) =
				((obj_t) BgL_vz00_970), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2keyzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8522, obj_t BgL_oz00_8523, obj_t BgL_vz00_8524)
	{
		{	/* Cfa/cinfo.sch 1271 */
			return
				BGl_boxzd2refzf2Cinfozd2keyzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8523), BgL_vz00_8524);
		}

	}



/* box-ref/Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_971)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_971)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectz42zzcfa_infoz00(obj_t
		BgL_envz00_8525, obj_t BgL_oz00_8526)
	{
		{	/* Cfa/cinfo.sch 1272 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8526));
		}

	}



/* box-ref/Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_972, obj_t BgL_vz00_973)
	{
		{	/* Cfa/cinfo.sch 1273 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_972)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_973), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-side-effect-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2sidezd2effectzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8527, obj_t BgL_oz00_8528, obj_t BgL_vz00_8529)
	{
		{	/* Cfa/cinfo.sch 1273 */
			return
				BGl_boxzd2refzf2Cinfozd2sidezd2effectzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8528), BgL_vz00_8529);
		}

	}



/* box-ref/Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_974)
	{
		{	/* Cfa/cinfo.sch 1274 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_974)))->BgL_typez00);
		}

	}



/* &box-ref/Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Cinfozd2typez90zzcfa_infoz00(obj_t
		BgL_envz00_8530, obj_t BgL_oz00_8531)
	{
		{	/* Cfa/cinfo.sch 1274 */
			return
				BGl_boxzd2refzf2Cinfozd2typezf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8531));
		}

	}



/* box-ref/Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_975, BgL_typez00_bglt BgL_vz00_976)
	{
		{	/* Cfa/cinfo.sch 1275 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_975)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_976), BUNSPEC);
		}

	}



/* &box-ref/Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Cinfozd2typezd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8532, obj_t BgL_oz00_8533, obj_t BgL_vz00_8534)
	{
		{	/* Cfa/cinfo.sch 1275 */
			return
				BGl_boxzd2refzf2Cinfozd2typezd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8533),
				((BgL_typez00_bglt) BgL_vz00_8534));
		}

	}



/* box-ref/Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_977)
	{
		{	/* Cfa/cinfo.sch 1276 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_977)))->BgL_locz00);
		}

	}



/* &box-ref/Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Cinfozd2locz90zzcfa_infoz00(obj_t BgL_envz00_8535,
		obj_t BgL_oz00_8536)
	{
		{	/* Cfa/cinfo.sch 1276 */
			return
				BGl_boxzd2refzf2Cinfozd2loczf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8536));
		}

	}



/* make-box-set!/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(obj_t
		BgL_loc1559z00_980, BgL_typez00_bglt BgL_type1560z00_981,
		BgL_varz00_bglt BgL_var1561z00_982, BgL_nodez00_bglt BgL_value1562z00_983,
		BgL_typez00_bglt BgL_vtype1563z00_984,
		BgL_approxz00_bglt BgL_approx1564z00_985)
	{
		{	/* Cfa/cinfo.sch 1280 */
			{	/* Cfa/cinfo.sch 1280 */
				BgL_boxzd2setz12zc0_bglt BgL_new1664z00_10144;

				{	/* Cfa/cinfo.sch 1280 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1662z00_10145;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1663z00_10146;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_15387;

						{	/* Cfa/cinfo.sch 1280 */
							BgL_boxzd2setz12zc0_bglt BgL_new1661z00_10147;

							BgL_new1661z00_10147 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.sch 1280 */
								long BgL_arg2060z00_10148;

								BgL_arg2060z00_10148 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1661z00_10147),
									BgL_arg2060z00_10148);
							}
							{	/* Cfa/cinfo.sch 1280 */
								BgL_objectz00_bglt BgL_tmpz00_15392;

								BgL_tmpz00_15392 = ((BgL_objectz00_bglt) BgL_new1661z00_10147);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15392, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1661z00_10147);
							BgL_auxz00_15387 = BgL_new1661z00_10147;
						}
						BgL_tmp1662z00_10145 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_15387);
					}
					BgL_wide1663z00_10146 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
					{	/* Cfa/cinfo.sch 1280 */
						obj_t BgL_auxz00_15400;
						BgL_objectz00_bglt BgL_tmpz00_15398;

						BgL_auxz00_15400 = ((obj_t) BgL_wide1663z00_10146);
						BgL_tmpz00_15398 = ((BgL_objectz00_bglt) BgL_tmp1662z00_10145);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15398, BgL_auxz00_15400);
					}
					((BgL_objectz00_bglt) BgL_tmp1662z00_10145);
					{	/* Cfa/cinfo.sch 1280 */
						long BgL_arg2059z00_10149;

						BgL_arg2059z00_10149 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1662z00_10145),
							BgL_arg2059z00_10149);
					}
					BgL_new1664z00_10144 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1662z00_10145);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1664z00_10144)))->BgL_locz00) =
					((obj_t) BgL_loc1559z00_980), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1664z00_10144)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1560z00_981), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1664z00_10144)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1561z00_982), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1664z00_10144)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1562z00_983), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1664z00_10144)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1563z00_984), BUNSPEC);
				{
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15418;

					{
						obj_t BgL_auxz00_15419;

						{	/* Cfa/cinfo.sch 1280 */
							BgL_objectz00_bglt BgL_tmpz00_15420;

							BgL_tmpz00_15420 = ((BgL_objectz00_bglt) BgL_new1664z00_10144);
							BgL_auxz00_15419 = BGL_OBJECT_WIDENING(BgL_tmpz00_15420);
						}
						BgL_auxz00_15418 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15419);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15418))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1564z00_985), BUNSPEC);
				}
				return BgL_new1664z00_10144;
			}
		}

	}



/* &make-box-set!/O-Cinfo */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12zf2Ozd2Cinfoz50zzcfa_infoz00(obj_t
		BgL_envz00_8537, obj_t BgL_loc1559z00_8538, obj_t BgL_type1560z00_8539,
		obj_t BgL_var1561z00_8540, obj_t BgL_value1562z00_8541,
		obj_t BgL_vtype1563z00_8542, obj_t BgL_approx1564z00_8543)
	{
		{	/* Cfa/cinfo.sch 1280 */
			return
				BGl_makezd2boxzd2setz12zf2Ozd2Cinfoz32zzcfa_infoz00(BgL_loc1559z00_8538,
				((BgL_typez00_bglt) BgL_type1560z00_8539),
				((BgL_varz00_bglt) BgL_var1561z00_8540),
				((BgL_nodez00_bglt) BgL_value1562z00_8541),
				((BgL_typez00_bglt) BgL_vtype1563z00_8542),
				((BgL_approxz00_bglt) BgL_approx1564z00_8543));
		}

	}



/* box-set!/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(obj_t
		BgL_objz00_986)
	{
		{	/* Cfa/cinfo.sch 1281 */
			{	/* Cfa/cinfo.sch 1281 */
				obj_t BgL_classz00_10150;

				BgL_classz00_10150 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_986))
					{	/* Cfa/cinfo.sch 1281 */
						BgL_objectz00_bglt BgL_arg1858z00_10151;

						BgL_arg1858z00_10151 = (BgL_objectz00_bglt) (BgL_objz00_986);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1281 */
								long BgL_idxz00_10152;

								BgL_idxz00_10152 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10151);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10152 + 3L)) == BgL_classz00_10150);
							}
						else
							{	/* Cfa/cinfo.sch 1281 */
								bool_t BgL_res3128z00_10155;

								{	/* Cfa/cinfo.sch 1281 */
									obj_t BgL_oclassz00_10156;

									{	/* Cfa/cinfo.sch 1281 */
										obj_t BgL_arg1866z00_10157;
										long BgL_arg1867z00_10158;

										BgL_arg1866z00_10157 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1281 */
											long BgL_arg1869z00_10159;

											BgL_arg1869z00_10159 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10151);
											BgL_arg1867z00_10158 =
												(BgL_arg1869z00_10159 - OBJECT_TYPE);
										}
										BgL_oclassz00_10156 =
											VECTOR_REF(BgL_arg1866z00_10157, BgL_arg1867z00_10158);
									}
									{	/* Cfa/cinfo.sch 1281 */
										bool_t BgL__ortest_1115z00_10160;

										BgL__ortest_1115z00_10160 =
											(BgL_classz00_10150 == BgL_oclassz00_10156);
										if (BgL__ortest_1115z00_10160)
											{	/* Cfa/cinfo.sch 1281 */
												BgL_res3128z00_10155 = BgL__ortest_1115z00_10160;
											}
										else
											{	/* Cfa/cinfo.sch 1281 */
												long BgL_odepthz00_10161;

												{	/* Cfa/cinfo.sch 1281 */
													obj_t BgL_arg1855z00_10162;

													BgL_arg1855z00_10162 = (BgL_oclassz00_10156);
													BgL_odepthz00_10161 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10162);
												}
												if ((3L < BgL_odepthz00_10161))
													{	/* Cfa/cinfo.sch 1281 */
														obj_t BgL_arg1853z00_10163;

														{	/* Cfa/cinfo.sch 1281 */
															obj_t BgL_arg1854z00_10164;

															BgL_arg1854z00_10164 = (BgL_oclassz00_10156);
															BgL_arg1853z00_10163 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10164,
																3L);
														}
														BgL_res3128z00_10155 =
															(BgL_arg1853z00_10163 == BgL_classz00_10150);
													}
												else
													{	/* Cfa/cinfo.sch 1281 */
														BgL_res3128z00_10155 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3128z00_10155;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!/O-Cinfo? */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozf3z71zzcfa_infoz00(obj_t
		BgL_envz00_8544, obj_t BgL_objz00_8545)
	{
		{	/* Cfa/cinfo.sch 1281 */
			return
				BBOOL(BGl_boxzd2setz12zf2Ozd2Cinfozf3z13zzcfa_infoz00(BgL_objz00_8545));
		}

	}



/* box-set!/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1282 */
			{	/* Cfa/cinfo.sch 1282 */
				obj_t BgL_classz00_6000;

				BgL_classz00_6000 = BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1282 */
					obj_t BgL__ortest_1117z00_6001;

					BgL__ortest_1117z00_6001 = BGL_CLASS_NIL(BgL_classz00_6000);
					if (CBOOL(BgL__ortest_1117z00_6001))
						{	/* Cfa/cinfo.sch 1282 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1117z00_6001);
						}
					else
						{	/* Cfa/cinfo.sch 1282 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6000));
						}
				}
			}
		}

	}



/* &box-set!/O-Cinfo-nil */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2nilz50zzcfa_infoz00(obj_t BgL_envz00_8546)
	{
		{	/* Cfa/cinfo.sch 1282 */
			return BGl_boxzd2setz12zf2Ozd2Cinfozd2nilz32zzcfa_infoz00();
		}

	}



/* box-set!/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_987)
	{
		{	/* Cfa/cinfo.sch 1283 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_15462;

				{
					obj_t BgL_auxz00_15463;

					{	/* Cfa/cinfo.sch 1283 */
						BgL_objectz00_bglt BgL_tmpz00_15464;

						BgL_tmpz00_15464 = ((BgL_objectz00_bglt) BgL_oz00_987);
						BgL_auxz00_15463 = BGL_OBJECT_WIDENING(BgL_tmpz00_15464);
					}
					BgL_auxz00_15462 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_15463);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_15462))->
					BgL_approxz00);
			}
		}

	}



/* &box-set!/O-Cinfo-approx */
	BgL_approxz00_bglt
		BGl_z62boxzd2setz12zf2Ozd2Cinfozd2approxz50zzcfa_infoz00(obj_t
		BgL_envz00_8547, obj_t BgL_oz00_8548)
	{
		{	/* Cfa/cinfo.sch 1283 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2approxz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8548));
		}

	}



/* box-set!/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_990)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_990)))->BgL_vtypez00);
		}

	}



/* &box-set!/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypez50zzcfa_infoz00(obj_t
		BgL_envz00_8549, obj_t BgL_oz00_8550)
	{
		{	/* Cfa/cinfo.sch 1285 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8550));
		}

	}



/* box-set!/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_991, BgL_typez00_bglt BgL_vz00_992)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_991)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_992), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8551, obj_t BgL_oz00_8552, obj_t BgL_vz00_8553)
	{
		{	/* Cfa/cinfo.sch 1286 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2vtypezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8552),
				((BgL_typez00_bglt) BgL_vz00_8553));
		}

	}



/* box-set!/O-Cinfo-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_993)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_993)))->BgL_valuez00);
		}

	}



/* &box-set!/O-Cinfo-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuez50zzcfa_infoz00(obj_t
		BgL_envz00_8554, obj_t BgL_oz00_8555)
	{
		{	/* Cfa/cinfo.sch 1287 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8555));
		}

	}



/* box-set!/O-Cinfo-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_994, BgL_nodez00_bglt BgL_vz00_995)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_994)))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_995), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-value-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8556, obj_t BgL_oz00_8557, obj_t BgL_vz00_8558)
	{
		{	/* Cfa/cinfo.sch 1288 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2valuezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8557),
				((BgL_nodez00_bglt) BgL_vz00_8558));
		}

	}



/* box-set!/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_996)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_996)))->BgL_varz00);
		}

	}



/* &box-set!/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varz50zzcfa_infoz00(obj_t
		BgL_envz00_8559, obj_t BgL_oz00_8560)
	{
		{	/* Cfa/cinfo.sch 1289 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8560));
		}

	}



/* box-set!/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_997, BgL_varz00_bglt BgL_vz00_998)
	{
		{	/* Cfa/cinfo.sch 1290 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_997)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_998), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8561, obj_t BgL_oz00_8562, obj_t BgL_vz00_8563)
	{
		{	/* Cfa/cinfo.sch 1290 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2varzd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8562),
				((BgL_varz00_bglt) BgL_vz00_8563));
		}

	}



/* box-set!/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_999)
	{
		{	/* Cfa/cinfo.sch 1291 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_999)))->BgL_typez00);
		}

	}



/* &box-set!/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typez50zzcfa_infoz00(obj_t
		BgL_envz00_8564, obj_t BgL_oz00_8565)
	{
		{	/* Cfa/cinfo.sch 1291 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typez32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8565));
		}

	}



/* box-set!/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00
		(BgL_boxzd2setz12zc0_bglt BgL_oz00_1000, BgL_typez00_bglt BgL_vz00_1001)
	{
		{	/* Cfa/cinfo.sch 1292 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1000)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1001), BUNSPEC);
		}

	}



/* &box-set!/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12z90zzcfa_infoz00(obj_t
		BgL_envz00_8566, obj_t BgL_oz00_8567, obj_t BgL_vz00_8568)
	{
		{	/* Cfa/cinfo.sch 1292 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2typezd2setz12zf2zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8567),
				((BgL_typez00_bglt) BgL_vz00_8568));
		}

	}



/* box-set!/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1002)
	{
		{	/* Cfa/cinfo.sch 1293 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1002)))->BgL_locz00);
		}

	}



/* &box-set!/O-Cinfo-loc */
	obj_t BGl_z62boxzd2setz12zf2Ozd2Cinfozd2locz50zzcfa_infoz00(obj_t
		BgL_envz00_8569, obj_t BgL_oz00_8570)
	{
		{	/* Cfa/cinfo.sch 1293 */
			return
				BGl_boxzd2setz12zf2Ozd2Cinfozd2locz32zzcfa_infoz00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8570));
		}

	}



/* make-box-ref/O-Cinfo */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(obj_t BgL_loc1551z00_1005,
		BgL_typez00_bglt BgL_type1552z00_1006, obj_t BgL_sidezd2effect1553zd2_1007,
		obj_t BgL_key1554z00_1008, BgL_varz00_bglt BgL_var1555z00_1009,
		BgL_typez00_bglt BgL_vtype1556z00_1010,
		BgL_approxz00_bglt BgL_approx1557z00_1011)
	{
		{	/* Cfa/cinfo.sch 1297 */
			{	/* Cfa/cinfo.sch 1297 */
				BgL_boxzd2refzd2_bglt BgL_new1668z00_10165;

				{	/* Cfa/cinfo.sch 1297 */
					BgL_boxzd2refzd2_bglt BgL_tmp1666z00_10166;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1667z00_10167;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_15511;

						{	/* Cfa/cinfo.sch 1297 */
							BgL_boxzd2refzd2_bglt BgL_new1665z00_10168;

							BgL_new1665z00_10168 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.sch 1297 */
								long BgL_arg2063z00_10169;

								BgL_arg2063z00_10169 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1665z00_10168),
									BgL_arg2063z00_10169);
							}
							{	/* Cfa/cinfo.sch 1297 */
								BgL_objectz00_bglt BgL_tmpz00_15516;

								BgL_tmpz00_15516 = ((BgL_objectz00_bglt) BgL_new1665z00_10168);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15516, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1665z00_10168);
							BgL_auxz00_15511 = BgL_new1665z00_10168;
						}
						BgL_tmp1666z00_10166 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_15511);
					}
					BgL_wide1667z00_10167 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.sch 1297 */
						obj_t BgL_auxz00_15524;
						BgL_objectz00_bglt BgL_tmpz00_15522;

						BgL_auxz00_15524 = ((obj_t) BgL_wide1667z00_10167);
						BgL_tmpz00_15522 = ((BgL_objectz00_bglt) BgL_tmp1666z00_10166);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15522, BgL_auxz00_15524);
					}
					((BgL_objectz00_bglt) BgL_tmp1666z00_10166);
					{	/* Cfa/cinfo.sch 1297 */
						long BgL_arg2061z00_10170;

						BgL_arg2061z00_10170 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1666z00_10166),
							BgL_arg2061z00_10170);
					}
					BgL_new1668z00_10165 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1666z00_10166);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1668z00_10165)))->BgL_locz00) =
					((obj_t) BgL_loc1551z00_1005), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1668z00_10165)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1552z00_1006), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1668z00_10165)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1553zd2_1007), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1668z00_10165)))->BgL_keyz00) =
					((obj_t) BgL_key1554z00_1008), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1668z00_10165)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1555z00_1009), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1668z00_10165)))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1556z00_1010), BUNSPEC);
				{
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15544;

					{
						obj_t BgL_auxz00_15545;

						{	/* Cfa/cinfo.sch 1297 */
							BgL_objectz00_bglt BgL_tmpz00_15546;

							BgL_tmpz00_15546 = ((BgL_objectz00_bglt) BgL_new1668z00_10165);
							BgL_auxz00_15545 = BGL_OBJECT_WIDENING(BgL_tmpz00_15546);
						}
						BgL_auxz00_15544 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15545);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15544))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approx1557z00_1011), BUNSPEC);
				}
				return BgL_new1668z00_10165;
			}
		}

	}



/* &make-box-ref/O-Cinfo */
	BgL_boxzd2refzd2_bglt
		BGl_z62makezd2boxzd2refzf2Ozd2Cinfoz42zzcfa_infoz00(obj_t BgL_envz00_8571,
		obj_t BgL_loc1551z00_8572, obj_t BgL_type1552z00_8573,
		obj_t BgL_sidezd2effect1553zd2_8574, obj_t BgL_key1554z00_8575,
		obj_t BgL_var1555z00_8576, obj_t BgL_vtype1556z00_8577,
		obj_t BgL_approx1557z00_8578)
	{
		{	/* Cfa/cinfo.sch 1297 */
			return
				BGl_makezd2boxzd2refzf2Ozd2Cinfoz20zzcfa_infoz00(BgL_loc1551z00_8572,
				((BgL_typez00_bglt) BgL_type1552z00_8573),
				BgL_sidezd2effect1553zd2_8574, BgL_key1554z00_8575,
				((BgL_varz00_bglt) BgL_var1555z00_8576),
				((BgL_typez00_bglt) BgL_vtype1556z00_8577),
				((BgL_approxz00_bglt) BgL_approx1557z00_8578));
		}

	}



/* box-ref/O-Cinfo? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(obj_t
		BgL_objz00_1012)
	{
		{	/* Cfa/cinfo.sch 1298 */
			{	/* Cfa/cinfo.sch 1298 */
				obj_t BgL_classz00_10171;

				BgL_classz00_10171 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				if (BGL_OBJECTP(BgL_objz00_1012))
					{	/* Cfa/cinfo.sch 1298 */
						BgL_objectz00_bglt BgL_arg1858z00_10172;

						BgL_arg1858z00_10172 = (BgL_objectz00_bglt) (BgL_objz00_1012);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Cfa/cinfo.sch 1298 */
								long BgL_idxz00_10173;

								BgL_idxz00_10173 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_10172);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_10173 + 4L)) == BgL_classz00_10171);
							}
						else
							{	/* Cfa/cinfo.sch 1298 */
								bool_t BgL_res3129z00_10176;

								{	/* Cfa/cinfo.sch 1298 */
									obj_t BgL_oclassz00_10177;

									{	/* Cfa/cinfo.sch 1298 */
										obj_t BgL_arg1866z00_10178;
										long BgL_arg1867z00_10179;

										BgL_arg1866z00_10178 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Cfa/cinfo.sch 1298 */
											long BgL_arg1869z00_10180;

											BgL_arg1869z00_10180 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_10172);
											BgL_arg1867z00_10179 =
												(BgL_arg1869z00_10180 - OBJECT_TYPE);
										}
										BgL_oclassz00_10177 =
											VECTOR_REF(BgL_arg1866z00_10178, BgL_arg1867z00_10179);
									}
									{	/* Cfa/cinfo.sch 1298 */
										bool_t BgL__ortest_1115z00_10181;

										BgL__ortest_1115z00_10181 =
											(BgL_classz00_10171 == BgL_oclassz00_10177);
										if (BgL__ortest_1115z00_10181)
											{	/* Cfa/cinfo.sch 1298 */
												BgL_res3129z00_10176 = BgL__ortest_1115z00_10181;
											}
										else
											{	/* Cfa/cinfo.sch 1298 */
												long BgL_odepthz00_10182;

												{	/* Cfa/cinfo.sch 1298 */
													obj_t BgL_arg1855z00_10183;

													BgL_arg1855z00_10183 = (BgL_oclassz00_10177);
													BgL_odepthz00_10182 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_10183);
												}
												if ((4L < BgL_odepthz00_10182))
													{	/* Cfa/cinfo.sch 1298 */
														obj_t BgL_arg1853z00_10184;

														{	/* Cfa/cinfo.sch 1298 */
															obj_t BgL_arg1854z00_10185;

															BgL_arg1854z00_10185 = (BgL_oclassz00_10177);
															BgL_arg1853z00_10184 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_10185,
																4L);
														}
														BgL_res3129z00_10176 =
															(BgL_arg1853z00_10184 == BgL_classz00_10171);
													}
												else
													{	/* Cfa/cinfo.sch 1298 */
														BgL_res3129z00_10176 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3129z00_10176;
							}
					}
				else
					{	/* Cfa/cinfo.sch 1298 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref/O-Cinfo? */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozf3z63zzcfa_infoz00(obj_t BgL_envz00_8579,
		obj_t BgL_objz00_8580)
	{
		{	/* Cfa/cinfo.sch 1298 */
			return
				BBOOL(BGl_boxzd2refzf2Ozd2Cinfozf3z01zzcfa_infoz00(BgL_objz00_8580));
		}

	}



/* box-ref/O-Cinfo-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.sch 1299 */
			{	/* Cfa/cinfo.sch 1299 */
				obj_t BgL_classz00_6052;

				BgL_classz00_6052 = BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
				{	/* Cfa/cinfo.sch 1299 */
					obj_t BgL__ortest_1117z00_6053;

					BgL__ortest_1117z00_6053 = BGL_CLASS_NIL(BgL_classz00_6052);
					if (CBOOL(BgL__ortest_1117z00_6053))
						{	/* Cfa/cinfo.sch 1299 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1117z00_6053);
						}
					else
						{	/* Cfa/cinfo.sch 1299 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_6052));
						}
				}
			}
		}

	}



/* &box-ref/O-Cinfo-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2nilz42zzcfa_infoz00(obj_t
		BgL_envz00_8581)
	{
		{	/* Cfa/cinfo.sch 1299 */
			return BGl_boxzd2refzf2Ozd2Cinfozd2nilz20zzcfa_infoz00();
		}

	}



/* box-ref/O-Cinfo-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1013)
	{
		{	/* Cfa/cinfo.sch 1300 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_15587;

				{
					obj_t BgL_auxz00_15588;

					{	/* Cfa/cinfo.sch 1300 */
						BgL_objectz00_bglt BgL_tmpz00_15589;

						BgL_tmpz00_15589 = ((BgL_objectz00_bglt) BgL_oz00_1013);
						BgL_auxz00_15588 = BGL_OBJECT_WIDENING(BgL_tmpz00_15589);
					}
					BgL_auxz00_15587 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_15588);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_15587))->
					BgL_approxz00);
			}
		}

	}



/* &box-ref/O-Cinfo-approx */
	BgL_approxz00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2approxz42zzcfa_infoz00(obj_t
		BgL_envz00_8582, obj_t BgL_oz00_8583)
	{
		{	/* Cfa/cinfo.sch 1300 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2approxz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8583));
		}

	}



/* box-ref/O-Cinfo-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1016)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1016)))->BgL_vtypez00);
		}

	}



/* &box-ref/O-Cinfo-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypez42zzcfa_infoz00(obj_t
		BgL_envz00_8584, obj_t BgL_oz00_8585)
	{
		{	/* Cfa/cinfo.sch 1302 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypez20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8585));
		}

	}



/* box-ref/O-Cinfo-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1017, BgL_typez00_bglt BgL_vz00_1018)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1017)))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1018), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-vtype-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8586, obj_t BgL_oz00_8587, obj_t BgL_vz00_8588)
	{
		{	/* Cfa/cinfo.sch 1303 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2vtypezd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8587),
				((BgL_typez00_bglt) BgL_vz00_8588));
		}

	}



/* box-ref/O-Cinfo-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1019)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_1019)))->BgL_varz00);
		}

	}



/* &box-ref/O-Cinfo-var */
	BgL_varz00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2varz42zzcfa_infoz00(obj_t
		BgL_envz00_8589, obj_t BgL_oz00_8590)
	{
		{	/* Cfa/cinfo.sch 1304 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8590));
		}

	}



/* box-ref/O-Cinfo-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1020, BgL_varz00_bglt BgL_vz00_1021)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_1020)))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1021), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-var-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2varzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8591, obj_t BgL_oz00_8592, obj_t BgL_vz00_8593)
	{
		{	/* Cfa/cinfo.sch 1305 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2varzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8592),
				((BgL_varz00_bglt) BgL_vz00_8593));
		}

	}



/* box-ref/O-Cinfo-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1022)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1022)))->BgL_keyz00);
		}

	}



/* &box-ref/O-Cinfo-key */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyz42zzcfa_infoz00(obj_t
		BgL_envz00_8594, obj_t BgL_oz00_8595)
	{
		{	/* Cfa/cinfo.sch 1306 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8595));
		}

	}



/* box-ref/O-Cinfo-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1023, obj_t BgL_vz00_1024)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1023)))->BgL_keyz00) =
				((obj_t) BgL_vz00_1024), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-key-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2keyzd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8596, obj_t BgL_oz00_8597, obj_t BgL_vz00_8598)
	{
		{	/* Cfa/cinfo.sch 1307 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2keyzd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8597), BgL_vz00_8598);
		}

	}



/* box-ref/O-Cinfo-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1025)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_1025)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &box-ref/O-Cinfo-side-effect */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectz90zzcfa_infoz00(obj_t
		BgL_envz00_8599, obj_t BgL_oz00_8600)
	{
		{	/* Cfa/cinfo.sch 1308 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzf2zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8600));
		}

	}



/* box-ref/O-Cinfo-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1026, obj_t BgL_vz00_1027)
	{
		{	/* Cfa/cinfo.sch 1309 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_1026)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_1027), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-side-effect-set! */
	obj_t
		BGl_z62boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z50zzcfa_infoz00(obj_t
		BgL_envz00_8601, obj_t BgL_oz00_8602, obj_t BgL_vz00_8603)
	{
		{	/* Cfa/cinfo.sch 1309 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2sidezd2effectzd2setz12z32zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8602), BgL_vz00_8603);
		}

	}



/* box-ref/O-Cinfo-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1028)
	{
		{	/* Cfa/cinfo.sch 1310 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1028)))->BgL_typez00);
		}

	}



/* &box-ref/O-Cinfo-type */
	BgL_typez00_bglt BGl_z62boxzd2refzf2Ozd2Cinfozd2typez42zzcfa_infoz00(obj_t
		BgL_envz00_8604, obj_t BgL_oz00_8605)
	{
		{	/* Cfa/cinfo.sch 1310 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typez20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8605));
		}

	}



/* box-ref/O-Cinfo-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00
		(BgL_boxzd2refzd2_bglt BgL_oz00_1029, BgL_typez00_bglt BgL_vz00_1030)
	{
		{	/* Cfa/cinfo.sch 1311 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1029)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1030), BUNSPEC);
		}

	}



/* &box-ref/O-Cinfo-type-set! */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2typezd2setz12z82zzcfa_infoz00(obj_t
		BgL_envz00_8606, obj_t BgL_oz00_8607, obj_t BgL_vz00_8608)
	{
		{	/* Cfa/cinfo.sch 1311 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2typezd2setz12ze0zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8607),
				((BgL_typez00_bglt) BgL_vz00_8608));
		}

	}



/* box-ref/O-Cinfo-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(BgL_boxzd2refzd2_bglt
		BgL_oz00_1031)
	{
		{	/* Cfa/cinfo.sch 1312 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1031)))->BgL_locz00);
		}

	}



/* &box-ref/O-Cinfo-loc */
	obj_t BGl_z62boxzd2refzf2Ozd2Cinfozd2locz42zzcfa_infoz00(obj_t
		BgL_envz00_8609, obj_t BgL_oz00_8610)
	{
		{	/* Cfa/cinfo.sch 1312 */
			return
				BGl_boxzd2refzf2Ozd2Cinfozd2locz20zzcfa_infoz00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_8610));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			{	/* Cfa/cinfo.scm 25 */
				obj_t BgL_arg2067z00_2574;
				obj_t BgL_arg2068z00_2575;

				{	/* Cfa/cinfo.scm 25 */
					obj_t BgL_v1927z00_2592;

					BgL_v1927z00_2592 = create_vector(7L);
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2074z00_2593;

						BgL_arg2074z00_2593 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc3132z00zzcfa_infoz00,
							BGl_proc3131z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3130z00zzcfa_infoz00, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1927z00_2592, 0L, BgL_arg2074z00_2593);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2081z00_2606;

						BgL_arg2081z00_2606 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3135z00zzcfa_infoz00,
							BGl_proc3134z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3133z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1927z00_2592, 1L, BgL_arg2081z00_2606);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2088z00_2619;

						BgL_arg2088z00_2619 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc3137z00zzcfa_infoz00,
							BGl_proc3136z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1927z00_2592, 2L, BgL_arg2088z00_2619);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2093z00_2629;

						BgL_arg2093z00_2629 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(5)), BGl_proc3140z00zzcfa_infoz00,
							BGl_proc3139z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3138z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1927z00_2592, 3L, BgL_arg2093z00_2629);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2100z00_2642;

						BgL_arg2100z00_2642 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc3143z00zzcfa_infoz00,
							BGl_proc3142z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3141z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1927z00_2592, 4L, BgL_arg2100z00_2642);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2107z00_2655;

						BgL_arg2107z00_2655 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc3146z00zzcfa_infoz00,
							BGl_proc3145z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3144z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1927z00_2592, 5L, BgL_arg2107z00_2655);
					}
					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_arg2114z00_2668;

						BgL_arg2114z00_2668 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3149z00zzcfa_infoz00,
							BGl_proc3148z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3147z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1927z00_2592, 6L, BgL_arg2114z00_2668);
					}
					BgL_arg2067z00_2574 = BgL_v1927z00_2592;
				}
				{	/* Cfa/cinfo.scm 25 */
					obj_t BgL_v1928z00_2681;

					BgL_v1928z00_2681 = create_vector(0L);
					BgL_arg2068z00_2575 = BgL_v1928z00_2681;
				}
				BGl_approxz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(10)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_objectz00zz__objectz00, 36467L,
					BGl_proc3152z00zzcfa_infoz00, BGl_proc3151z00zzcfa_infoz00, BFALSE,
					BGl_proc3150z00zzcfa_infoz00, BFALSE, BgL_arg2067z00_2574,
					BgL_arg2068z00_2575);
			}
			{	/* Cfa/cinfo.scm 47 */
				obj_t BgL_arg2125z00_2689;
				obj_t BgL_arg2126z00_2690;

				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_v1929z00_2726;

					BgL_v1929z00_2726 = create_vector(1L);
					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_arg2137z00_2727;

						BgL_arg2137z00_2727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3154z00zzcfa_infoz00,
							BGl_proc3153z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1929z00_2726, 0L, BgL_arg2137z00_2727);
					}
					BgL_arg2125z00_2689 = BgL_v1929z00_2726;
				}
				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_v1930z00_2737;

					BgL_v1930z00_2737 = create_vector(0L);
					BgL_arg2126z00_2690 = BgL_v1930z00_2737;
				}
				BGl_cfunzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(12)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_cfunz00zzast_varz00, 40442L,
					BGl_proc3158z00zzcfa_infoz00, BGl_proc3157z00zzcfa_infoz00, BFALSE,
					BGl_proc3156z00zzcfa_infoz00, BGl_proc3155z00zzcfa_infoz00,
					BgL_arg2125z00_2689, BgL_arg2126z00_2690);
			}
			{	/* Cfa/cinfo.scm 49 */
				obj_t BgL_arg2146z00_2746;
				obj_t BgL_arg2147z00_2747;

				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_v1931z00_2792;

					BgL_v1931z00_2792 = create_vector(2L);
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2159z00_2793;

						BgL_arg2159z00_2793 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc3161z00zzcfa_infoz00,
							BGl_proc3160z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3159z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1931z00_2792, 0L, BgL_arg2159z00_2793);
					}
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2166z00_2806;

						BgL_arg2166z00_2806 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3163z00zzcfa_infoz00,
							BGl_proc3162z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1931z00_2792, 1L, BgL_arg2166z00_2806);
					}
					BgL_arg2146z00_2746 = BgL_v1931z00_2792;
				}
				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_v1932z00_2816;

					BgL_v1932z00_2816 = create_vector(0L);
					BgL_arg2147z00_2747 = BgL_v1932z00_2816;
				}
				BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(14)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_sfunz00zzast_varz00, 13434L,
					BGl_proc3167z00zzcfa_infoz00, BGl_proc3166z00zzcfa_infoz00, BFALSE,
					BGl_proc3165z00zzcfa_infoz00, BGl_proc3164z00zzcfa_infoz00,
					BgL_arg2146z00_2746, BgL_arg2147z00_2747);
			}
			{	/* Cfa/cinfo.scm 52 */
				obj_t BgL_arg2175z00_2825;
				obj_t BgL_arg2176z00_2826;

				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_v1933z00_2872;

					BgL_v1933z00_2872 = create_vector(3L);
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2187z00_2873;

						BgL_arg2187z00_2873 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc3170z00zzcfa_infoz00,
							BGl_proc3169z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3168z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1933z00_2872, 0L, BgL_arg2187z00_2873);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2194z00_2886;

						BgL_arg2194z00_2886 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3172z00zzcfa_infoz00,
							BGl_proc3171z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1933z00_2872, 1L, BgL_arg2194z00_2886);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2200z00_2896;

						BgL_arg2200z00_2896 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc3175z00zzcfa_infoz00,
							BGl_proc3174z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3173z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1933z00_2872, 2L, BgL_arg2200z00_2896);
					}
					BgL_arg2175z00_2825 = BgL_v1933z00_2872;
				}
				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_v1934z00_2909;

					BgL_v1934z00_2909 = create_vector(0L);
					BgL_arg2176z00_2826 = BgL_v1934z00_2909;
				}
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(16)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_sfunz00zzast_varz00, 35313L,
					BGl_proc3179z00zzcfa_infoz00, BGl_proc3178z00zzcfa_infoz00, BFALSE,
					BGl_proc3177z00zzcfa_infoz00, BGl_proc3176z00zzcfa_infoz00,
					BgL_arg2175z00_2825, BgL_arg2176z00_2826);
			}
			{	/* Cfa/cinfo.scm 58 */
				obj_t BgL_arg2211z00_2918;
				obj_t BgL_arg2212z00_2919;

				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_v1935z00_2944;

					BgL_v1935z00_2944 = create_vector(1L);
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_arg2223z00_2945;

						BgL_arg2223z00_2945 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3181z00zzcfa_infoz00,
							BGl_proc3180z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1935z00_2944, 0L, BgL_arg2223z00_2945);
					}
					BgL_arg2211z00_2918 = BgL_v1935z00_2944;
				}
				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_v1936z00_2955;

					BgL_v1936z00_2955 = create_vector(0L);
					BgL_arg2212z00_2919 = BgL_v1936z00_2955;
				}
				BGl_scnstzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(17)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_scnstz00zzast_varz00, 26820L,
					BGl_proc3185z00zzcfa_infoz00, BGl_proc3184z00zzcfa_infoz00, BFALSE,
					BGl_proc3183z00zzcfa_infoz00, BGl_proc3182z00zzcfa_infoz00,
					BgL_arg2211z00_2918, BgL_arg2212z00_2919);
			}
			{	/* Cfa/cinfo.scm 62 */
				obj_t BgL_arg2234z00_2964;
				obj_t BgL_arg2235z00_2965;

				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_v1937z00_2987;

					BgL_v1937z00_2987 = create_vector(0L);
					BgL_arg2234z00_2964 = BgL_v1937z00_2987;
				}
				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_v1938z00_2988;

					BgL_v1938z00_2988 = create_vector(0L);
					BgL_arg2235z00_2965 = BgL_v1938z00_2988;
				}
				BGl_prezd2clozd2envz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(18)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_svarz00zzast_varz00, 52997L,
					BGl_proc3189z00zzcfa_infoz00, BGl_proc3188z00zzcfa_infoz00, BFALSE,
					BGl_proc3187z00zzcfa_infoz00, BGl_proc3186z00zzcfa_infoz00,
					BgL_arg2234z00_2964, BgL_arg2235z00_2965);
			}
			{	/* Cfa/cinfo.scm 63 */
				obj_t BgL_arg2250z00_2997;
				obj_t BgL_arg2252z00_2998;

				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_v1939z00_3023;

					BgL_v1939z00_3023 = create_vector(3L);
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2263z00_3024;

						BgL_arg2263z00_3024 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3191z00zzcfa_infoz00,
							BGl_proc3190z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1939z00_3023, 0L, BgL_arg2263z00_3024);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2268z00_3034;

						BgL_arg2268z00_3034 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(19)), BGl_proc3194z00zzcfa_infoz00,
							BGl_proc3193z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3192z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1939z00_3023, 1L, BgL_arg2268z00_3034);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2275z00_3047;

						BgL_arg2275z00_3047 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc3197z00zzcfa_infoz00,
							BGl_proc3196z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3195z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(7)));
						VECTOR_SET(BgL_v1939z00_3023, 2L, BgL_arg2275z00_3047);
					}
					BgL_arg2250z00_2997 = BgL_v1939z00_3023;
				}
				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_v1940z00_3060;

					BgL_v1940z00_3060 = create_vector(0L);
					BgL_arg2252z00_2998 = BgL_v1940z00_3060;
				}
				BGl_svarzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(20)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_svarz00zzast_varz00, 20622L,
					BGl_proc3201z00zzcfa_infoz00, BGl_proc3200z00zzcfa_infoz00, BFALSE,
					BGl_proc3199z00zzcfa_infoz00, BGl_proc3198z00zzcfa_infoz00,
					BgL_arg2250z00_2997, BgL_arg2252z00_2998);
			}
			{	/* Cfa/cinfo.scm 70 */
				obj_t BgL_arg2287z00_3069;
				obj_t BgL_arg2288z00_3070;

				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_v1941z00_3093;

					BgL_v1941z00_3093 = create_vector(1L);
					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_arg2302z00_3094;

						BgL_arg2302z00_3094 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3203z00zzcfa_infoz00,
							BGl_proc3202z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1941z00_3093, 0L, BgL_arg2302z00_3094);
					}
					BgL_arg2287z00_3069 = BgL_v1941z00_3093;
				}
				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_v1942z00_3104;

					BgL_v1942z00_3104 = create_vector(0L);
					BgL_arg2288z00_3070 = BgL_v1942z00_3104;
				}
				BGl_cvarzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(21)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_cvarz00zzast_varz00, 55546L,
					BGl_proc3207z00zzcfa_infoz00, BGl_proc3206z00zzcfa_infoz00, BFALSE,
					BGl_proc3205z00zzcfa_infoz00, BGl_proc3204z00zzcfa_infoz00,
					BgL_arg2287z00_3069, BgL_arg2288z00_3070);
			}
			{	/* Cfa/cinfo.scm 74 */
				obj_t BgL_arg2314z00_3113;
				obj_t BgL_arg2315z00_3114;

				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_v1943z00_3138;

					BgL_v1943z00_3138 = create_vector(1L);
					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_arg2327z00_3139;

						BgL_arg2327z00_3139 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3209z00zzcfa_infoz00,
							BGl_proc3208z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1943z00_3138, 0L, BgL_arg2327z00_3139);
					}
					BgL_arg2314z00_3113 = BgL_v1943z00_3138;
				}
				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_v1944z00_3149;

					BgL_v1944z00_3149 = create_vector(0L);
					BgL_arg2315z00_3114 = BgL_v1944z00_3149;
				}
				BGl_sexitzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(22)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_sexitz00zzast_varz00, 9112L,
					BGl_proc3213z00zzcfa_infoz00, BGl_proc3212z00zzcfa_infoz00, BFALSE,
					BGl_proc3211z00zzcfa_infoz00, BGl_proc3210z00zzcfa_infoz00,
					BgL_arg2314z00_3113, BgL_arg2315z00_3114);
			}
			{	/* Cfa/cinfo.scm 78 */
				obj_t BgL_arg2338z00_3158;
				obj_t BgL_arg2340z00_3159;

				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_v1945z00_3194;

					BgL_v1945z00_3194 = create_vector(1L);
					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_arg2351z00_3195;

						BgL_arg2351z00_3195 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc3216z00zzcfa_infoz00,
							BGl_proc3215z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3214z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(4)));
						VECTOR_SET(BgL_v1945z00_3194, 0L, BgL_arg2351z00_3195);
					}
					BgL_arg2338z00_3158 = BgL_v1945z00_3194;
				}
				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_v1946z00_3208;

					BgL_v1946z00_3208 = create_vector(0L);
					BgL_arg2340z00_3159 = BgL_v1946z00_3208;
				}
				BGl_reshapedzd2localzd2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(24)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_localz00zzast_varz00, 49630L,
					BGl_proc3220z00zzcfa_infoz00, BGl_proc3219z00zzcfa_infoz00, BFALSE,
					BGl_proc3218z00zzcfa_infoz00, BGl_proc3217z00zzcfa_infoz00,
					BgL_arg2338z00_3158, BgL_arg2340z00_3159);
			}
			{	/* Cfa/cinfo.scm 80 */
				obj_t BgL_arg2364z00_3217;
				obj_t BgL_arg2365z00_3218;

				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_v1947z00_3259;

					BgL_v1947z00_3259 = create_vector(0L);
					BgL_arg2364z00_3217 = BgL_v1947z00_3259;
				}
				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_v1948z00_3260;

					BgL_v1948z00_3260 = create_vector(0L);
					BgL_arg2365z00_3218 = BgL_v1948z00_3260;
				}
				BGl_reshapedzd2globalzd2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(25)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_globalz00zzast_varz00, 31470L,
					BGl_proc3224z00zzcfa_infoz00, BGl_proc3223z00zzcfa_infoz00, BFALSE,
					BGl_proc3222z00zzcfa_infoz00, BGl_proc3221z00zzcfa_infoz00,
					BgL_arg2364z00_3217, BgL_arg2365z00_3218);
			}
			{	/* Cfa/cinfo.scm 83 */
				obj_t BgL_arg2387z00_3269;
				obj_t BgL_arg2388z00_3270;

				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_v1949z00_3295;

					BgL_v1949z00_3295 = create_vector(1L);
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_arg2401z00_3296;

						BgL_arg2401z00_3296 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3226z00zzcfa_infoz00,
							BGl_proc3225z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1949z00_3295, 0L, BgL_arg2401z00_3296);
					}
					BgL_arg2387z00_3269 = BgL_v1949z00_3295;
				}
				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_v1950z00_3306;

					BgL_v1950z00_3306 = create_vector(0L);
					BgL_arg2388z00_3270 = BgL_v1950z00_3306;
				}
				BGl_literalzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(26)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_literalz00zzast_nodez00, 15512L,
					BGl_proc3230z00zzcfa_infoz00, BGl_proc3229z00zzcfa_infoz00, BFALSE,
					BGl_proc3228z00zzcfa_infoz00, BGl_proc3227z00zzcfa_infoz00,
					BgL_arg2387z00_3269, BgL_arg2388z00_3270);
			}
			{	/* Cfa/cinfo.scm 85 */
				obj_t BgL_arg2415z00_3315;
				obj_t BgL_arg2417z00_3316;

				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_v1951z00_3346;

					BgL_v1951z00_3346 = create_vector(1L);
					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_arg2431z00_3347;

						BgL_arg2431z00_3347 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3232z00zzcfa_infoz00,
							BGl_proc3231z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1951z00_3346, 0L, BgL_arg2431z00_3347);
					}
					BgL_arg2415z00_3315 = BgL_v1951z00_3346;
				}
				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_v1952z00_3357;

					BgL_v1952z00_3357 = create_vector(0L);
					BgL_arg2417z00_3316 = BgL_v1952z00_3357;
				}
				BGl_genpatchidzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(27)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_genpatchidz00zzast_nodez00, 36492L,
					BGl_proc3236z00zzcfa_infoz00, BGl_proc3235z00zzcfa_infoz00, BFALSE,
					BGl_proc3234z00zzcfa_infoz00, BGl_proc3233z00zzcfa_infoz00,
					BgL_arg2415z00_3315, BgL_arg2417z00_3316);
			}
			{	/* Cfa/cinfo.scm 87 */
				obj_t BgL_arg2450z00_3366;
				obj_t BgL_arg2451z00_3367;

				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_v1953z00_3395;

					BgL_v1953z00_3395 = create_vector(1L);
					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_arg2465z00_3396;

						BgL_arg2465z00_3396 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3238z00zzcfa_infoz00,
							BGl_proc3237z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1953z00_3395, 0L, BgL_arg2465z00_3396);
					}
					BgL_arg2450z00_3366 = BgL_v1953z00_3395;
				}
				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_v1954z00_3406;

					BgL_v1954z00_3406 = create_vector(0L);
					BgL_arg2451z00_3367 = BgL_v1954z00_3406;
				}
				BGl_patchzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(28)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_patchz00zzast_nodez00, 35506L,
					BGl_proc3242z00zzcfa_infoz00, BGl_proc3241z00zzcfa_infoz00, BFALSE,
					BGl_proc3240z00zzcfa_infoz00, BGl_proc3239z00zzcfa_infoz00,
					BgL_arg2450z00_3366, BgL_arg2451z00_3367);
			}
			{	/* Cfa/cinfo.scm 89 */
				obj_t BgL_arg2474z00_3415;
				obj_t BgL_arg2476z00_3416;

				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_v1955z00_3441;

					BgL_v1955z00_3441 = create_vector(1L);
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_arg2489z00_3442;

						BgL_arg2489z00_3442 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc3244z00zzcfa_infoz00,
							BGl_proc3243z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1955z00_3441, 0L, BgL_arg2489z00_3442);
					}
					BgL_arg2474z00_3415 = BgL_v1955z00_3441;
				}
				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_v1956z00_3452;

					BgL_v1956z00_3452 = create_vector(0L);
					BgL_arg2476z00_3416 = BgL_v1956z00_3452;
				}
				BGl_kwotezf2nodezf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(30)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_kwotez00zzast_nodez00, 38145L,
					BGl_proc3248z00zzcfa_infoz00, BGl_proc3247z00zzcfa_infoz00, BFALSE,
					BGl_proc3246z00zzcfa_infoz00, BGl_proc3245z00zzcfa_infoz00,
					BgL_arg2474z00_3415, BgL_arg2476z00_3416);
			}
			{	/* Cfa/cinfo.scm 91 */
				obj_t BgL_arg2499z00_3461;
				obj_t BgL_arg2500z00_3462;

				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_v1957z00_3487;

					BgL_v1957z00_3487 = create_vector(1L);
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_arg2514z00_3488;

						BgL_arg2514z00_3488 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3250z00zzcfa_infoz00,
							BGl_proc3249z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1957z00_3487, 0L, BgL_arg2514z00_3488);
					}
					BgL_arg2499z00_3461 = BgL_v1957z00_3487;
				}
				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_v1958z00_3498;

					BgL_v1958z00_3498 = create_vector(0L);
					BgL_arg2500z00_3462 = BgL_v1958z00_3498;
				}
				BGl_kwotezf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(31)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_kwotez00zzast_nodez00, 22246L,
					BGl_proc3254z00zzcfa_infoz00, BGl_proc3253z00zzcfa_infoz00, BFALSE,
					BGl_proc3252z00zzcfa_infoz00, BGl_proc3251z00zzcfa_infoz00,
					BgL_arg2499z00_3461, BgL_arg2500z00_3462);
			}
			{	/* Cfa/cinfo.scm 93 */
				obj_t BgL_arg2528z00_3507;
				obj_t BgL_arg2529z00_3508;

				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_v1959z00_3534;

					BgL_v1959z00_3534 = create_vector(1L);
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_arg2542z00_3535;

						BgL_arg2542z00_3535 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3256z00zzcfa_infoz00,
							BGl_proc3255z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1959z00_3534, 0L, BgL_arg2542z00_3535);
					}
					BgL_arg2528z00_3507 = BgL_v1959z00_3534;
				}
				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_v1960z00_3545;

					BgL_v1960z00_3545 = create_vector(0L);
					BgL_arg2529z00_3508 = BgL_v1960z00_3545;
				}
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(32)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_appzd2lyzd2zzast_nodez00, 50484L,
					BGl_proc3260z00zzcfa_infoz00, BGl_proc3259z00zzcfa_infoz00, BFALSE,
					BGl_proc3258z00zzcfa_infoz00, BGl_proc3257z00zzcfa_infoz00,
					BgL_arg2528z00_3507, BgL_arg2529z00_3508);
			}
			{	/* Cfa/cinfo.scm 95 */
				obj_t BgL_arg2552z00_3554;
				obj_t BgL_arg2553z00_3555;

				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_v1961z00_3586;

					BgL_v1961z00_3586 = create_vector(4L);
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2564z00_3587;

						BgL_arg2564z00_3587 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3262z00zzcfa_infoz00,
							BGl_proc3261z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1961z00_3586, 0L, BgL_arg2564z00_3587);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2569z00_3597;

						BgL_arg2569z00_3597 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc3264z00zzcfa_infoz00,
							BGl_proc3263z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1961z00_3586, 1L, BgL_arg2569z00_3597);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2575z00_3607;

						BgL_arg2575z00_3607 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(34)), BGl_proc3267z00zzcfa_infoz00,
							BGl_proc3266z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3265z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1961z00_3586, 2L, BgL_arg2575z00_3607);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2583z00_3621;

						BgL_arg2583z00_3621 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(35)), BGl_proc3270z00zzcfa_infoz00,
							BGl_proc3269z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3268z00zzcfa_infoz00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1961z00_3586, 3L, BgL_arg2583z00_3621);
					}
					BgL_arg2552z00_3554 = BgL_v1961z00_3586;
				}
				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_v1962z00_3635;

					BgL_v1962z00_3635 = create_vector(0L);
					BgL_arg2553z00_3555 = BgL_v1962z00_3635;
				}
				BGl_funcallzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(36)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_funcallz00zzast_nodez00, 44044L,
					BGl_proc3274z00zzcfa_infoz00, BGl_proc3273z00zzcfa_infoz00, BFALSE,
					BGl_proc3272z00zzcfa_infoz00, BGl_proc3271z00zzcfa_infoz00,
					BgL_arg2552z00_3554, BgL_arg2553z00_3555);
			}
			{	/* Cfa/cinfo.scm 100 */
				obj_t BgL_arg2596z00_3644;
				obj_t BgL_arg2597z00_3645;

				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_v1963z00_3671;

					BgL_v1963z00_3671 = create_vector(1L);
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_arg2609z00_3672;

						BgL_arg2609z00_3672 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3276z00zzcfa_infoz00,
							BGl_proc3275z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1963z00_3671, 0L, BgL_arg2609z00_3672);
					}
					BgL_arg2596z00_3644 = BgL_v1963z00_3671;
				}
				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_v1964z00_3682;

					BgL_v1964z00_3682 = create_vector(0L);
					BgL_arg2597z00_3645 = BgL_v1964z00_3682;
				}
				BGl_setqzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(37)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_setqz00zzast_nodez00, 63192L,
					BGl_proc3280z00zzcfa_infoz00, BGl_proc3279z00zzcfa_infoz00, BFALSE,
					BGl_proc3278z00zzcfa_infoz00, BGl_proc3277z00zzcfa_infoz00,
					BgL_arg2596z00_3644, BgL_arg2597z00_3645);
			}
			{	/* Cfa/cinfo.scm 102 */
				obj_t BgL_arg2624z00_3691;
				obj_t BgL_arg2625z00_3692;

				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_v1965z00_3721;

					BgL_v1965z00_3721 = create_vector(1L);
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_arg2640z00_3722;

						BgL_arg2640z00_3722 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3282z00zzcfa_infoz00,
							BGl_proc3281z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1965z00_3721, 0L, BgL_arg2640z00_3722);
					}
					BgL_arg2624z00_3691 = BgL_v1965z00_3721;
				}
				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_v1966z00_3732;

					BgL_v1966z00_3732 = create_vector(0L);
					BgL_arg2625z00_3692 = BgL_v1966z00_3732;
				}
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(38)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_conditionalz00zzast_nodez00, 32010L,
					BGl_proc3286z00zzcfa_infoz00, BGl_proc3285z00zzcfa_infoz00, BFALSE,
					BGl_proc3284z00zzcfa_infoz00, BGl_proc3283z00zzcfa_infoz00,
					BgL_arg2624z00_3691, BgL_arg2625z00_3692);
			}
			{	/* Cfa/cinfo.scm 104 */
				obj_t BgL_arg2658z00_3741;
				obj_t BgL_arg2659z00_3742;

				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_v1967z00_3769;

					BgL_v1967z00_3769 = create_vector(1L);
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_arg2673z00_3770;

						BgL_arg2673z00_3770 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3288z00zzcfa_infoz00,
							BGl_proc3287z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1967z00_3769, 0L, BgL_arg2673z00_3770);
					}
					BgL_arg2658z00_3741 = BgL_v1967z00_3769;
				}
				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_v1968z00_3780;

					BgL_v1968z00_3780 = create_vector(0L);
					BgL_arg2659z00_3742 = BgL_v1968z00_3780;
				}
				BGl_failzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(39)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_failz00zzast_nodez00, 30234L,
					BGl_proc3292z00zzcfa_infoz00, BGl_proc3291z00zzcfa_infoz00, BFALSE,
					BGl_proc3290z00zzcfa_infoz00, BGl_proc3289z00zzcfa_infoz00,
					BgL_arg2658z00_3741, BgL_arg2659z00_3742);
			}
			{	/* Cfa/cinfo.scm 106 */
				obj_t BgL_arg2689z00_3789;
				obj_t BgL_arg2690z00_3790;

				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_v1969z00_3819;

					BgL_v1969z00_3819 = create_vector(1L);
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_arg2715z00_3820;

						BgL_arg2715z00_3820 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3294z00zzcfa_infoz00,
							BGl_proc3293z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1969z00_3819, 0L, BgL_arg2715z00_3820);
					}
					BgL_arg2689z00_3789 = BgL_v1969z00_3819;
				}
				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_v1970z00_3830;

					BgL_v1970z00_3830 = create_vector(0L);
					BgL_arg2690z00_3790 = BgL_v1970z00_3830;
				}
				BGl_switchzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(40)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_switchz00zzast_nodez00, 51702L,
					BGl_proc3298z00zzcfa_infoz00, BGl_proc3297z00zzcfa_infoz00, BFALSE,
					BGl_proc3296z00zzcfa_infoz00, BGl_proc3295z00zzcfa_infoz00,
					BgL_arg2689z00_3789, BgL_arg2690z00_3790);
			}
			{	/* Cfa/cinfo.scm 108 */
				obj_t BgL_arg2727z00_3839;
				obj_t BgL_arg2728z00_3840;

				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_v1971z00_3867;

					BgL_v1971z00_3867 = create_vector(1L);
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_arg2739z00_3868;

						BgL_arg2739z00_3868 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3300z00zzcfa_infoz00,
							BGl_proc3299z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1971z00_3867, 0L, BgL_arg2739z00_3868);
					}
					BgL_arg2727z00_3839 = BgL_v1971z00_3867;
				}
				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_v1972z00_3878;

					BgL_v1972z00_3878 = create_vector(0L);
					BgL_arg2728z00_3840 = BgL_v1972z00_3878;
				}
				BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(41)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_setzd2exzd2itz00zzast_nodez00, 14994L,
					BGl_proc3304z00zzcfa_infoz00, BGl_proc3303z00zzcfa_infoz00, BFALSE,
					BGl_proc3302z00zzcfa_infoz00, BGl_proc3301z00zzcfa_infoz00,
					BgL_arg2727z00_3839, BgL_arg2728z00_3840);
			}
			{	/* Cfa/cinfo.scm 110 */
				obj_t BgL_arg2752z00_3887;
				obj_t BgL_arg2753z00_3888;

				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_v1973z00_3914;

					BgL_v1973z00_3914 = create_vector(1L);
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_arg2767z00_3915;

						BgL_arg2767z00_3915 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3306z00zzcfa_infoz00,
							BGl_proc3305z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1973z00_3914, 0L, BgL_arg2767z00_3915);
					}
					BgL_arg2752z00_3887 = BgL_v1973z00_3914;
				}
				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_v1974z00_3925;

					BgL_v1974z00_3925 = create_vector(0L);
					BgL_arg2753z00_3888 = BgL_v1974z00_3925;
				}
				BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(42)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_jumpzd2exzd2itz00zzast_nodez00, 42482L,
					BGl_proc3310z00zzcfa_infoz00, BGl_proc3309z00zzcfa_infoz00, BFALSE,
					BGl_proc3308z00zzcfa_infoz00, BGl_proc3307z00zzcfa_infoz00,
					BgL_arg2752z00_3887, BgL_arg2753z00_3888);
			}
			{	/* Cfa/cinfo.scm 114 */
				obj_t BgL_arg2802z00_3934;
				obj_t BgL_arg2803z00_3935;

				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_v1975z00_3963;

					BgL_v1975z00_3963 = create_vector(0L);
					BgL_arg2802z00_3934 = BgL_v1975z00_3963;
				}
				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_v1976z00_3964;

					BgL_v1976z00_3964 = create_vector(0L);
					BgL_arg2803z00_3935 = BgL_v1976z00_3964;
				}
				BGl_prezd2makezd2boxz00zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(43)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_makezd2boxzd2zzast_nodez00, 16397L,
					BGl_proc3314z00zzcfa_infoz00, BGl_proc3313z00zzcfa_infoz00, BFALSE,
					BGl_proc3312z00zzcfa_infoz00, BGl_proc3311z00zzcfa_infoz00,
					BgL_arg2802z00_3934, BgL_arg2803z00_3935);
			}
			{	/* Cfa/cinfo.scm 115 */
				obj_t BgL_arg2821z00_3973;
				obj_t BgL_arg2822z00_3974;

				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_v1977z00_4003;

					BgL_v1977z00_4003 = create_vector(1L);
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_arg2833z00_4004;

						BgL_arg2833z00_4004 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3316z00zzcfa_infoz00,
							BGl_proc3315z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1977z00_4003, 0L, BgL_arg2833z00_4004);
					}
					BgL_arg2821z00_3973 = BgL_v1977z00_4003;
				}
				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_v1978z00_4014;

					BgL_v1978z00_4014 = create_vector(0L);
					BgL_arg2822z00_3974 = BgL_v1978z00_4014;
				}
				BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(44)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_makezd2boxzd2zzast_nodez00, 38858L,
					BGl_proc3320z00zzcfa_infoz00, BGl_proc3319z00zzcfa_infoz00, BFALSE,
					BGl_proc3318z00zzcfa_infoz00, BGl_proc3317z00zzcfa_infoz00,
					BgL_arg2821z00_3973, BgL_arg2822z00_3974);
			}
			{	/* Cfa/cinfo.scm 117 */
				obj_t BgL_arg2842z00_4023;
				obj_t BgL_arg2846z00_4024;

				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_v1979z00_4054;

					BgL_v1979z00_4054 = create_vector(2L);
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2860z00_4055;

						BgL_arg2860z00_4055 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3322z00zzcfa_infoz00,
							BGl_proc3321z00zzcfa_infoz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1979z00_4054, 0L, BgL_arg2860z00_4055);
					}
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2865z00_4065;

						BgL_arg2865z00_4065 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(45)), BGl_proc3324z00zzcfa_infoz00,
							BGl_proc3323z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1979z00_4054, 1L, BgL_arg2865z00_4065);
					}
					BgL_arg2842z00_4023 = BgL_v1979z00_4054;
				}
				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_v1980z00_4075;

					BgL_v1980z00_4075 = create_vector(0L);
					BgL_arg2846z00_4024 = BgL_v1980z00_4075;
				}
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(46)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_makezd2boxzd2zzast_nodez00, 63072L,
					BGl_proc3328z00zzcfa_infoz00, BGl_proc3327z00zzcfa_infoz00, BFALSE,
					BGl_proc3326z00zzcfa_infoz00, BGl_proc3325z00zzcfa_infoz00,
					BgL_arg2842z00_4023, BgL_arg2846z00_4024);
			}
			{	/* Cfa/cinfo.scm 120 */
				obj_t BgL_arg2898z00_4084;
				obj_t BgL_arg2899z00_4085;

				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_v1981z00_4112;

					BgL_v1981z00_4112 = create_vector(1L);
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_arg2913z00_4113;

						BgL_arg2913z00_4113 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3330z00zzcfa_infoz00,
							BGl_proc3329z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1981z00_4112, 0L, BgL_arg2913z00_4113);
					}
					BgL_arg2898z00_4084 = BgL_v1981z00_4112;
				}
				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_v1982z00_4123;

					BgL_v1982z00_4123 = create_vector(0L);
					BgL_arg2899z00_4085 = BgL_v1982z00_4123;
				}
				BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(47)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_boxzd2setz12zc0zzast_nodez00, 62996L,
					BGl_proc3334z00zzcfa_infoz00, BGl_proc3333z00zzcfa_infoz00, BFALSE,
					BGl_proc3332z00zzcfa_infoz00, BGl_proc3331z00zzcfa_infoz00,
					BgL_arg2898z00_4084, BgL_arg2899z00_4085);
			}
			{	/* Cfa/cinfo.scm 122 */
				obj_t BgL_arg2923z00_4132;
				obj_t BgL_arg2924z00_4133;

				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_v1983z00_4161;

					BgL_v1983z00_4161 = create_vector(1L);
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_arg2952z00_4162;

						BgL_arg2952z00_4162 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3336z00zzcfa_infoz00,
							BGl_proc3335z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1983z00_4161, 0L, BgL_arg2952z00_4162);
					}
					BgL_arg2923z00_4132 = BgL_v1983z00_4161;
				}
				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_v1984z00_4172;

					BgL_v1984z00_4172 = create_vector(0L);
					BgL_arg2924z00_4133 = BgL_v1984z00_4172;
				}
				BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(48)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_boxzd2refzd2zzast_nodez00, 63316L,
					BGl_proc3340z00zzcfa_infoz00, BGl_proc3339z00zzcfa_infoz00, BFALSE,
					BGl_proc3338z00zzcfa_infoz00, BGl_proc3337z00zzcfa_infoz00,
					BgL_arg2923z00_4132, BgL_arg2924z00_4133);
			}
			{	/* Cfa/cinfo.scm 124 */
				obj_t BgL_arg2962z00_4181;
				obj_t BgL_arg2965z00_4182;

				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_v1985z00_4209;

					BgL_v1985z00_4209 = create_vector(1L);
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_arg2976z00_4210;

						BgL_arg2976z00_4210 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3342z00zzcfa_infoz00,
							BGl_proc3341z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1985z00_4209, 0L, BgL_arg2976z00_4210);
					}
					BgL_arg2962z00_4181 = BgL_v1985z00_4209;
				}
				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_v1986z00_4220;

					BgL_v1986z00_4220 = create_vector(0L);
					BgL_arg2965z00_4182 = BgL_v1986z00_4220;
				}
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(49)),
					((obj_t)
						CNST_TABLE_REF(11)), BGl_boxzd2setz12zc0zzast_nodez00, 40624L,
					BGl_proc3346z00zzcfa_infoz00, BGl_proc3345z00zzcfa_infoz00, BFALSE,
					BGl_proc3344z00zzcfa_infoz00, BGl_proc3343z00zzcfa_infoz00,
					BgL_arg2962z00_4181, BgL_arg2965z00_4182);
			}
			{	/* Cfa/cinfo.scm 126 */
				obj_t BgL_arg2985z00_4229;
				obj_t BgL_arg2986z00_4230;

				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_v1987z00_4258;

					BgL_v1987z00_4258 = create_vector(1L);
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_arg3009z00_4259;

						BgL_arg3009z00_4259 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(10)), BGl_proc3348z00zzcfa_infoz00,
							BGl_proc3347z00zzcfa_infoz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_approxz00zzcfa_infoz00);
						VECTOR_SET(BgL_v1987z00_4258, 0L, BgL_arg3009z00_4259);
					}
					BgL_arg2985z00_4229 = BgL_v1987z00_4258;
				}
				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_v1988z00_4269;

					BgL_v1988z00_4269 = create_vector(0L);
					BgL_arg2986z00_4230 = BgL_v1988z00_4269;
				}
				return (BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(50)),
						((obj_t)
							CNST_TABLE_REF(11)), BGl_boxzd2refzd2zzast_nodez00, 17520L,
						BGl_proc3352z00zzcfa_infoz00, BGl_proc3351z00zzcfa_infoz00, BFALSE,
						BGl_proc3350z00zzcfa_infoz00, BGl_proc3349z00zzcfa_infoz00,
						BgL_arg2985z00_4229, BgL_arg2986z00_4230), BUNSPEC);
			}
		}

	}



/* &lambda3001 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3001z62zzcfa_infoz00(obj_t BgL_envz00_8834,
		obj_t BgL_o1546z00_8835)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				long BgL_arg3003z00_10187;

				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_arg3004z00_10188;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_arg3008z00_10189;

						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL_arg1866z00_10190;
							long BgL_arg1867z00_10191;

							BgL_arg1866z00_10190 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 126 */
								long BgL_arg1869z00_10192;

								BgL_arg1869z00_10192 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1546z00_8835)));
								BgL_arg1867z00_10191 = (BgL_arg1869z00_10192 - OBJECT_TYPE);
							}
							BgL_arg3008z00_10189 =
								VECTOR_REF(BgL_arg1866z00_10190, BgL_arg1867z00_10191);
						}
						BgL_arg3004z00_10188 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3008z00_10189);
					}
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_tmpz00_16067;

						BgL_tmpz00_16067 = ((obj_t) BgL_arg3004z00_10188);
						BgL_arg3003z00_10187 = BGL_CLASS_NUM(BgL_tmpz00_16067);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1546z00_8835)), BgL_arg3003z00_10187);
			}
			{	/* Cfa/cinfo.scm 126 */
				BgL_objectz00_bglt BgL_tmpz00_16073;

				BgL_tmpz00_16073 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1546z00_8835));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16073, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1546z00_8835));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1546z00_8835));
		}

	}



/* &<@anonymous:3000> */
	obj_t BGl_z62zc3z04anonymousza33000ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8836,
		obj_t BgL_new1545z00_8837)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_16081;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16085;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10194;

						BgL_classz00_10194 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1117z00_10195;

							BgL__ortest_1117z00_10195 = BGL_CLASS_NIL(BgL_classz00_10194);
							if (CBOOL(BgL__ortest_1117z00_10195))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16085 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10195);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16085 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10194));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16085), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1545z00_8837))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_16101;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10196;

						BgL_classz00_10196 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1117z00_10197;

							BgL__ortest_1117z00_10197 = BGL_CLASS_NIL(BgL_classz00_10196);
							if (CBOOL(BgL__ortest_1117z00_10197))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16101 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10197);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16101 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10196));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16101), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16111;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10198;

						BgL_classz00_10198 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1117z00_10199;

							BgL__ortest_1117z00_10199 = BGL_CLASS_NIL(BgL_classz00_10198);
							if (CBOOL(BgL__ortest_1117z00_10199))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16111 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10199);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16111 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10198));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16111), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16128;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_16121;

					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_classz00_10200;

						BgL_classz00_10200 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 126 */
							obj_t BgL__ortest_1117z00_10201;

							BgL__ortest_1117z00_10201 = BGL_CLASS_NIL(BgL_classz00_10200);
							if (CBOOL(BgL__ortest_1117z00_10201))
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16128 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10201);
								}
							else
								{	/* Cfa/cinfo.scm 126 */
									BgL_auxz00_16128 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10200));
								}
						}
					}
					{
						obj_t BgL_auxz00_16122;

						{	/* Cfa/cinfo.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_16123;

							BgL_tmpz00_16123 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837));
							BgL_auxz00_16122 = BGL_OBJECT_WIDENING(BgL_tmpz00_16123);
						}
						BgL_auxz00_16121 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_16122);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16121))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16128), BUNSPEC);
				}
				BgL_auxz00_16081 = ((BgL_boxzd2refzd2_bglt) BgL_new1545z00_8837);
				return ((obj_t) BgL_auxz00_16081);
			}
		}

	}



/* &lambda2994 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2994z62zzcfa_infoz00(obj_t BgL_envz00_8838,
		obj_t BgL_o1542z00_8839)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1544z00_10203;

				BgL_wide1544z00_10203 =
					((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 126 */
					obj_t BgL_auxz00_16143;
					BgL_objectz00_bglt BgL_tmpz00_16139;

					BgL_auxz00_16143 = ((obj_t) BgL_wide1544z00_10203);
					BgL_tmpz00_16139 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1542z00_8839)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16139, BgL_auxz00_16143);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1542z00_8839)));
				{	/* Cfa/cinfo.scm 126 */
					long BgL_arg2999z00_10204;

					BgL_arg2999z00_10204 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1542z00_8839))),
						BgL_arg2999z00_10204);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1542z00_8839)));
			}
		}

	}



/* &lambda2987 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2987z62zzcfa_infoz00(obj_t BgL_envz00_8840,
		obj_t BgL_loc1535z00_8841, obj_t BgL_type1536z00_8842,
		obj_t BgL_sidezd2effect1537zd2_8843, obj_t BgL_key1538z00_8844,
		obj_t BgL_var1539z00_8845, obj_t BgL_vtype1540z00_8846,
		obj_t BgL_approx1541z00_8847)
	{
		{	/* Cfa/cinfo.scm 126 */
			{	/* Cfa/cinfo.scm 126 */
				BgL_boxzd2refzd2_bglt BgL_new1819z00_10209;

				{	/* Cfa/cinfo.scm 126 */
					BgL_boxzd2refzd2_bglt BgL_tmp1817z00_10210;
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1818z00_10211;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_16157;

						{	/* Cfa/cinfo.scm 126 */
							BgL_boxzd2refzd2_bglt BgL_new1816z00_10212;

							BgL_new1816z00_10212 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.scm 126 */
								long BgL_arg2993z00_10213;

								BgL_arg2993z00_10213 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1816z00_10212),
									BgL_arg2993z00_10213);
							}
							{	/* Cfa/cinfo.scm 126 */
								BgL_objectz00_bglt BgL_tmpz00_16162;

								BgL_tmpz00_16162 = ((BgL_objectz00_bglt) BgL_new1816z00_10212);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16162, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1816z00_10212);
							BgL_auxz00_16157 = BgL_new1816z00_10212;
						}
						BgL_tmp1817z00_10210 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_16157);
					}
					BgL_wide1818z00_10211 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 126 */
						obj_t BgL_auxz00_16170;
						BgL_objectz00_bglt BgL_tmpz00_16168;

						BgL_auxz00_16170 = ((obj_t) BgL_wide1818z00_10211);
						BgL_tmpz00_16168 = ((BgL_objectz00_bglt) BgL_tmp1817z00_10210);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16168, BgL_auxz00_16170);
					}
					((BgL_objectz00_bglt) BgL_tmp1817z00_10210);
					{	/* Cfa/cinfo.scm 126 */
						long BgL_arg2991z00_10214;

						BgL_arg2991z00_10214 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1817z00_10210),
							BgL_arg2991z00_10214);
					}
					BgL_new1819z00_10209 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1817z00_10210);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1819z00_10209)))->BgL_locz00) =
					((obj_t) BgL_loc1535z00_8841), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1819z00_10209)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1536z00_8842)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1819z00_10209)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1537zd2_8843), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1819z00_10209)))->BgL_keyz00) =
					((obj_t) BgL_key1538z00_8844), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1819z00_10209)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1539z00_8845)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1819z00_10209)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1540z00_8846)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_16193;

					{
						obj_t BgL_auxz00_16194;

						{	/* Cfa/cinfo.scm 126 */
							BgL_objectz00_bglt BgL_tmpz00_16195;

							BgL_tmpz00_16195 = ((BgL_objectz00_bglt) BgL_new1819z00_10209);
							BgL_auxz00_16194 = BGL_OBJECT_WIDENING(BgL_tmpz00_16195);
						}
						BgL_auxz00_16193 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_16194);
					}
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16193))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1541z00_8847)), BUNSPEC);
				}
				return BgL_new1819z00_10209;
			}
		}

	}



/* &lambda3014 */
	obj_t BGl_z62lambda3014z62zzcfa_infoz00(obj_t BgL_envz00_8848,
		obj_t BgL_oz00_8849, obj_t BgL_vz00_8850)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_16201;

				{
					obj_t BgL_auxz00_16202;

					{	/* Cfa/cinfo.scm 126 */
						BgL_objectz00_bglt BgL_tmpz00_16203;

						BgL_tmpz00_16203 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8849));
						BgL_auxz00_16202 = BGL_OBJECT_WIDENING(BgL_tmpz00_16203);
					}
					BgL_auxz00_16201 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_16202);
				}
				return
					((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16201))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8850)), BUNSPEC);
			}
		}

	}



/* &lambda3013 */
	BgL_approxz00_bglt BGl_z62lambda3013z62zzcfa_infoz00(obj_t BgL_envz00_8851,
		obj_t BgL_oz00_8852)
	{
		{	/* Cfa/cinfo.scm 126 */
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_16210;

				{
					obj_t BgL_auxz00_16211;

					{	/* Cfa/cinfo.scm 126 */
						BgL_objectz00_bglt BgL_tmpz00_16212;

						BgL_tmpz00_16212 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8852));
						BgL_auxz00_16211 = BGL_OBJECT_WIDENING(BgL_tmpz00_16212);
					}
					BgL_auxz00_16210 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_16211);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16210))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2972 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2972z62zzcfa_infoz00(obj_t
		BgL_envz00_8853, obj_t BgL_o1533z00_8854)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				long BgL_arg2973z00_10219;

				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_arg2974z00_10220;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_arg2975z00_10221;

						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL_arg1866z00_10222;
							long BgL_arg1867z00_10223;

							BgL_arg1866z00_10222 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 124 */
								long BgL_arg1869z00_10224;

								BgL_arg1869z00_10224 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1533z00_8854)));
								BgL_arg1867z00_10223 = (BgL_arg1869z00_10224 - OBJECT_TYPE);
							}
							BgL_arg2975z00_10221 =
								VECTOR_REF(BgL_arg1866z00_10222, BgL_arg1867z00_10223);
						}
						BgL_arg2974z00_10220 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2975z00_10221);
					}
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_tmpz00_16225;

						BgL_tmpz00_16225 = ((obj_t) BgL_arg2974z00_10220);
						BgL_arg2973z00_10219 = BGL_CLASS_NUM(BgL_tmpz00_16225);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1533z00_8854)),
					BgL_arg2973z00_10219);
			}
			{	/* Cfa/cinfo.scm 124 */
				BgL_objectz00_bglt BgL_tmpz00_16231;

				BgL_tmpz00_16231 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1533z00_8854));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16231, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1533z00_8854));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1533z00_8854));
		}

	}



/* &<@anonymous:2971> */
	obj_t BGl_z62zc3z04anonymousza32971ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8855,
		obj_t BgL_new1532z00_8856)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_16239;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16243;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10226;

						BgL_classz00_10226 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1117z00_10227;

							BgL__ortest_1117z00_10227 = BGL_CLASS_NIL(BgL_classz00_10226);
							if (CBOOL(BgL__ortest_1117z00_10227))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16243 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10227);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16243 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10226));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16243), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_16253;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10228;

						BgL_classz00_10228 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1117z00_10229;

							BgL__ortest_1117z00_10229 = BGL_CLASS_NIL(BgL_classz00_10228);
							if (CBOOL(BgL__ortest_1117z00_10229))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16253 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10229);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16253 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10228));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16253), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16263;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10230;

						BgL_classz00_10230 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1117z00_10231;

							BgL__ortest_1117z00_10231 = BGL_CLASS_NIL(BgL_classz00_10230);
							if (CBOOL(BgL__ortest_1117z00_10231))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16263 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10231);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16263 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10230));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16263), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16273;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10232;

						BgL_classz00_10232 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1117z00_10233;

							BgL__ortest_1117z00_10233 = BGL_CLASS_NIL(BgL_classz00_10232);
							if (CBOOL(BgL__ortest_1117z00_10233))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16273 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10233);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16273 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10232));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16273), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16290;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_16283;

					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_classz00_10234;

						BgL_classz00_10234 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 124 */
							obj_t BgL__ortest_1117z00_10235;

							BgL__ortest_1117z00_10235 = BGL_CLASS_NIL(BgL_classz00_10234);
							if (CBOOL(BgL__ortest_1117z00_10235))
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16290 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10235);
								}
							else
								{	/* Cfa/cinfo.scm 124 */
									BgL_auxz00_16290 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10234));
								}
						}
					}
					{
						obj_t BgL_auxz00_16284;

						{	/* Cfa/cinfo.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_16285;

							BgL_tmpz00_16285 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856));
							BgL_auxz00_16284 = BGL_OBJECT_WIDENING(BgL_tmpz00_16285);
						}
						BgL_auxz00_16283 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_16284);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_16283))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16290), BUNSPEC);
				}
				BgL_auxz00_16239 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1532z00_8856);
				return ((obj_t) BgL_auxz00_16239);
			}
		}

	}



/* &lambda2969 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2969z62zzcfa_infoz00(obj_t
		BgL_envz00_8857, obj_t BgL_o1529z00_8858)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1531z00_10237;

				BgL_wide1531z00_10237 =
					((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
				{	/* Cfa/cinfo.scm 124 */
					obj_t BgL_auxz00_16305;
					BgL_objectz00_bglt BgL_tmpz00_16301;

					BgL_auxz00_16305 = ((obj_t) BgL_wide1531z00_10237);
					BgL_tmpz00_16301 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1529z00_8858)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16301, BgL_auxz00_16305);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1529z00_8858)));
				{	/* Cfa/cinfo.scm 124 */
					long BgL_arg2970z00_10238;

					BgL_arg2970z00_10238 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1529z00_8858))),
						BgL_arg2970z00_10238);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1529z00_8858)));
			}
		}

	}



/* &lambda2966 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2966z62zzcfa_infoz00(obj_t
		BgL_envz00_8859, obj_t BgL_loc1523z00_8860, obj_t BgL_type1524z00_8861,
		obj_t BgL_var1525z00_8862, obj_t BgL_value1526z00_8863,
		obj_t BgL_vtype1527z00_8864, obj_t BgL_approx1528z00_8865)
	{
		{	/* Cfa/cinfo.scm 124 */
			{	/* Cfa/cinfo.scm 124 */
				BgL_boxzd2setz12zc0_bglt BgL_new1814z00_10244;

				{	/* Cfa/cinfo.scm 124 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1812z00_10245;
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1813z00_10246;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_16319;

						{	/* Cfa/cinfo.scm 124 */
							BgL_boxzd2setz12zc0_bglt BgL_new1811z00_10247;

							BgL_new1811z00_10247 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.scm 124 */
								long BgL_arg2968z00_10248;

								BgL_arg2968z00_10248 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1811z00_10247),
									BgL_arg2968z00_10248);
							}
							{	/* Cfa/cinfo.scm 124 */
								BgL_objectz00_bglt BgL_tmpz00_16324;

								BgL_tmpz00_16324 = ((BgL_objectz00_bglt) BgL_new1811z00_10247);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16324, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1811z00_10247);
							BgL_auxz00_16319 = BgL_new1811z00_10247;
						}
						BgL_tmp1812z00_10245 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_16319);
					}
					BgL_wide1813z00_10246 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
					{	/* Cfa/cinfo.scm 124 */
						obj_t BgL_auxz00_16332;
						BgL_objectz00_bglt BgL_tmpz00_16330;

						BgL_auxz00_16332 = ((obj_t) BgL_wide1813z00_10246);
						BgL_tmpz00_16330 = ((BgL_objectz00_bglt) BgL_tmp1812z00_10245);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16330, BgL_auxz00_16332);
					}
					((BgL_objectz00_bglt) BgL_tmp1812z00_10245);
					{	/* Cfa/cinfo.scm 124 */
						long BgL_arg2967z00_10249;

						BgL_arg2967z00_10249 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1812z00_10245),
							BgL_arg2967z00_10249);
					}
					BgL_new1814z00_10244 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1812z00_10245);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1814z00_10244)))->BgL_locz00) =
					((obj_t) BgL_loc1523z00_8860), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1814z00_10244)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1524z00_8861)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1814z00_10244)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1525z00_8862)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1814z00_10244)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1526z00_8863)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1814z00_10244)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1527z00_8864)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_16354;

					{
						obj_t BgL_auxz00_16355;

						{	/* Cfa/cinfo.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_16356;

							BgL_tmpz00_16356 = ((BgL_objectz00_bglt) BgL_new1814z00_10244);
							BgL_auxz00_16355 = BGL_OBJECT_WIDENING(BgL_tmpz00_16356);
						}
						BgL_auxz00_16354 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_16355);
					}
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_16354))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1528z00_8865)), BUNSPEC);
				}
				return BgL_new1814z00_10244;
			}
		}

	}



/* &lambda2980 */
	obj_t BGl_z62lambda2980z62zzcfa_infoz00(obj_t BgL_envz00_8866,
		obj_t BgL_oz00_8867, obj_t BgL_vz00_8868)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_16362;

				{
					obj_t BgL_auxz00_16363;

					{	/* Cfa/cinfo.scm 124 */
						BgL_objectz00_bglt BgL_tmpz00_16364;

						BgL_tmpz00_16364 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8867));
						BgL_auxz00_16363 = BGL_OBJECT_WIDENING(BgL_tmpz00_16364);
					}
					BgL_auxz00_16362 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_16363);
				}
				return
					((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_16362))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8868)), BUNSPEC);
			}
		}

	}



/* &lambda2979 */
	BgL_approxz00_bglt BGl_z62lambda2979z62zzcfa_infoz00(obj_t BgL_envz00_8869,
		obj_t BgL_oz00_8870)
	{
		{	/* Cfa/cinfo.scm 124 */
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_16371;

				{
					obj_t BgL_auxz00_16372;

					{	/* Cfa/cinfo.scm 124 */
						BgL_objectz00_bglt BgL_tmpz00_16373;

						BgL_tmpz00_16373 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8870));
						BgL_auxz00_16372 = BGL_OBJECT_WIDENING(BgL_tmpz00_16373);
					}
					BgL_auxz00_16371 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_16372);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_16371))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2931 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2931z62zzcfa_infoz00(obj_t BgL_envz00_8871,
		obj_t BgL_o1520z00_8872)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				long BgL_arg2937z00_10254;

				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_arg2941z00_10255;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_arg2943z00_10256;

						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL_arg1866z00_10257;
							long BgL_arg1867z00_10258;

							BgL_arg1866z00_10257 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 122 */
								long BgL_arg1869z00_10259;

								BgL_arg1869z00_10259 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1520z00_8872)));
								BgL_arg1867z00_10258 = (BgL_arg1869z00_10259 - OBJECT_TYPE);
							}
							BgL_arg2943z00_10256 =
								VECTOR_REF(BgL_arg1866z00_10257, BgL_arg1867z00_10258);
						}
						BgL_arg2941z00_10255 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2943z00_10256);
					}
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_tmpz00_16386;

						BgL_tmpz00_16386 = ((obj_t) BgL_arg2941z00_10255);
						BgL_arg2937z00_10254 = BGL_CLASS_NUM(BgL_tmpz00_16386);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1520z00_8872)), BgL_arg2937z00_10254);
			}
			{	/* Cfa/cinfo.scm 122 */
				BgL_objectz00_bglt BgL_tmpz00_16392;

				BgL_tmpz00_16392 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1520z00_8872));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16392, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1520z00_8872));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1520z00_8872));
		}

	}



/* &<@anonymous:2930> */
	obj_t BGl_z62zc3z04anonymousza32930ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8873,
		obj_t BgL_new1519z00_8874)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_16400;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16404;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10261;

						BgL_classz00_10261 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1117z00_10262;

							BgL__ortest_1117z00_10262 = BGL_CLASS_NIL(BgL_classz00_10261);
							if (CBOOL(BgL__ortest_1117z00_10262))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16404 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10262);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16404 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10261));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16404), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1519z00_8874))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_16420;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10263;

						BgL_classz00_10263 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1117z00_10264;

							BgL__ortest_1117z00_10264 = BGL_CLASS_NIL(BgL_classz00_10263);
							if (CBOOL(BgL__ortest_1117z00_10264))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16420 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10264);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16420 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10263));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16420), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16430;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10265;

						BgL_classz00_10265 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1117z00_10266;

							BgL__ortest_1117z00_10266 = BGL_CLASS_NIL(BgL_classz00_10265);
							if (CBOOL(BgL__ortest_1117z00_10266))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16430 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10266);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16430 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10265));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16430), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16447;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16440;

					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_classz00_10267;

						BgL_classz00_10267 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 122 */
							obj_t BgL__ortest_1117z00_10268;

							BgL__ortest_1117z00_10268 = BGL_CLASS_NIL(BgL_classz00_10267);
							if (CBOOL(BgL__ortest_1117z00_10268))
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16447 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10268);
								}
							else
								{	/* Cfa/cinfo.scm 122 */
									BgL_auxz00_16447 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10267));
								}
						}
					}
					{
						obj_t BgL_auxz00_16441;

						{	/* Cfa/cinfo.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_16442;

							BgL_tmpz00_16442 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874));
							BgL_auxz00_16441 = BGL_OBJECT_WIDENING(BgL_tmpz00_16442);
						}
						BgL_auxz00_16440 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16441);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16440))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16447), BUNSPEC);
				}
				BgL_auxz00_16400 = ((BgL_boxzd2refzd2_bglt) BgL_new1519z00_8874);
				return ((obj_t) BgL_auxz00_16400);
			}
		}

	}



/* &lambda2928 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2928z62zzcfa_infoz00(obj_t BgL_envz00_8875,
		obj_t BgL_o1516z00_8876)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1518z00_10270;

				BgL_wide1518z00_10270 =
					((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 122 */
					obj_t BgL_auxz00_16462;
					BgL_objectz00_bglt BgL_tmpz00_16458;

					BgL_auxz00_16462 = ((obj_t) BgL_wide1518z00_10270);
					BgL_tmpz00_16458 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1516z00_8876)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16458, BgL_auxz00_16462);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1516z00_8876)));
				{	/* Cfa/cinfo.scm 122 */
					long BgL_arg2929z00_10271;

					BgL_arg2929z00_10271 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1516z00_8876))),
						BgL_arg2929z00_10271);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1516z00_8876)));
			}
		}

	}



/* &lambda2925 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2925z62zzcfa_infoz00(obj_t BgL_envz00_8877,
		obj_t BgL_loc1509z00_8878, obj_t BgL_type1510z00_8879,
		obj_t BgL_sidezd2effect1511zd2_8880, obj_t BgL_key1512z00_8881,
		obj_t BgL_var1513z00_8882, obj_t BgL_vtype1514z00_8883,
		obj_t BgL_approx1515z00_8884)
	{
		{	/* Cfa/cinfo.scm 122 */
			{	/* Cfa/cinfo.scm 122 */
				BgL_boxzd2refzd2_bglt BgL_new1809z00_10276;

				{	/* Cfa/cinfo.scm 122 */
					BgL_boxzd2refzd2_bglt BgL_tmp1807z00_10277;
					BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1808z00_10278;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_16476;

						{	/* Cfa/cinfo.scm 122 */
							BgL_boxzd2refzd2_bglt BgL_new1806z00_10279;

							BgL_new1806z00_10279 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Cfa/cinfo.scm 122 */
								long BgL_arg2927z00_10280;

								BgL_arg2927z00_10280 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1806z00_10279),
									BgL_arg2927z00_10280);
							}
							{	/* Cfa/cinfo.scm 122 */
								BgL_objectz00_bglt BgL_tmpz00_16481;

								BgL_tmpz00_16481 = ((BgL_objectz00_bglt) BgL_new1806z00_10279);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16481, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1806z00_10279);
							BgL_auxz00_16476 = BgL_new1806z00_10279;
						}
						BgL_tmp1807z00_10277 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_16476);
					}
					BgL_wide1808z00_10278 =
						((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 122 */
						obj_t BgL_auxz00_16489;
						BgL_objectz00_bglt BgL_tmpz00_16487;

						BgL_auxz00_16489 = ((obj_t) BgL_wide1808z00_10278);
						BgL_tmpz00_16487 = ((BgL_objectz00_bglt) BgL_tmp1807z00_10277);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16487, BgL_auxz00_16489);
					}
					((BgL_objectz00_bglt) BgL_tmp1807z00_10277);
					{	/* Cfa/cinfo.scm 122 */
						long BgL_arg2926z00_10281;

						BgL_arg2926z00_10281 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1807z00_10277),
							BgL_arg2926z00_10281);
					}
					BgL_new1809z00_10276 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1807z00_10277);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1809z00_10276)))->BgL_locz00) =
					((obj_t) BgL_loc1509z00_8878), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1809z00_10276)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1510z00_8879)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1809z00_10276)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1511zd2_8880), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1809z00_10276)))->BgL_keyz00) =
					((obj_t) BgL_key1512z00_8881), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1809z00_10276)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1513z00_8882)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1809z00_10276)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1514z00_8883)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16512;

					{
						obj_t BgL_auxz00_16513;

						{	/* Cfa/cinfo.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_16514;

							BgL_tmpz00_16514 = ((BgL_objectz00_bglt) BgL_new1809z00_10276);
							BgL_auxz00_16513 = BGL_OBJECT_WIDENING(BgL_tmpz00_16514);
						}
						BgL_auxz00_16512 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16513);
					}
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16512))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1515z00_8884)), BUNSPEC);
				}
				return BgL_new1809z00_10276;
			}
		}

	}



/* &lambda2956 */
	obj_t BGl_z62lambda2956z62zzcfa_infoz00(obj_t BgL_envz00_8885,
		obj_t BgL_oz00_8886, obj_t BgL_vz00_8887)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16520;

				{
					obj_t BgL_auxz00_16521;

					{	/* Cfa/cinfo.scm 122 */
						BgL_objectz00_bglt BgL_tmpz00_16522;

						BgL_tmpz00_16522 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8886));
						BgL_auxz00_16521 = BGL_OBJECT_WIDENING(BgL_tmpz00_16522);
					}
					BgL_auxz00_16520 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16521);
				}
				return
					((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16520))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8887)), BUNSPEC);
			}
		}

	}



/* &lambda2955 */
	BgL_approxz00_bglt BGl_z62lambda2955z62zzcfa_infoz00(obj_t BgL_envz00_8888,
		obj_t BgL_oz00_8889)
	{
		{	/* Cfa/cinfo.scm 122 */
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_16529;

				{
					obj_t BgL_auxz00_16530;

					{	/* Cfa/cinfo.scm 122 */
						BgL_objectz00_bglt BgL_tmpz00_16531;

						BgL_tmpz00_16531 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_8889));
						BgL_auxz00_16530 = BGL_OBJECT_WIDENING(BgL_tmpz00_16531);
					}
					BgL_auxz00_16529 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_16530);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16529))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2908 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2908z62zzcfa_infoz00(obj_t
		BgL_envz00_8890, obj_t BgL_o1506z00_8891)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				long BgL_arg2909z00_10286;

				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_arg2910z00_10287;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_arg2912z00_10288;

						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL_arg1866z00_10289;
							long BgL_arg1867z00_10290;

							BgL_arg1866z00_10289 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 120 */
								long BgL_arg1869z00_10291;

								BgL_arg1869z00_10291 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1506z00_8891)));
								BgL_arg1867z00_10290 = (BgL_arg1869z00_10291 - OBJECT_TYPE);
							}
							BgL_arg2912z00_10288 =
								VECTOR_REF(BgL_arg1866z00_10289, BgL_arg1867z00_10290);
						}
						BgL_arg2910z00_10287 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2912z00_10288);
					}
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_tmpz00_16544;

						BgL_tmpz00_16544 = ((obj_t) BgL_arg2910z00_10287);
						BgL_arg2909z00_10286 = BGL_CLASS_NUM(BgL_tmpz00_16544);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1506z00_8891)),
					BgL_arg2909z00_10286);
			}
			{	/* Cfa/cinfo.scm 120 */
				BgL_objectz00_bglt BgL_tmpz00_16550;

				BgL_tmpz00_16550 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1506z00_8891));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16550, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1506z00_8891));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1506z00_8891));
		}

	}



/* &<@anonymous:2907> */
	obj_t BGl_z62zc3z04anonymousza32907ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8892,
		obj_t BgL_new1505z00_8893)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_16558;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16562;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10293;

						BgL_classz00_10293 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1117z00_10294;

							BgL__ortest_1117z00_10294 = BGL_CLASS_NIL(BgL_classz00_10293);
							if (CBOOL(BgL__ortest_1117z00_10294))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16562 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10294);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16562 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10293));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16562), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_16572;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10295;

						BgL_classz00_10295 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1117z00_10296;

							BgL__ortest_1117z00_10296 = BGL_CLASS_NIL(BgL_classz00_10295);
							if (CBOOL(BgL__ortest_1117z00_10296))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16572 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10296);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16572 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10295));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_16572), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16582;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10297;

						BgL_classz00_10297 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1117z00_10298;

							BgL__ortest_1117z00_10298 = BGL_CLASS_NIL(BgL_classz00_10297);
							if (CBOOL(BgL__ortest_1117z00_10298))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16582 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10298);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16582 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10297));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16582), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16592;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10299;

						BgL_classz00_10299 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1117z00_10300;

							BgL__ortest_1117z00_10300 = BGL_CLASS_NIL(BgL_classz00_10299);
							if (CBOOL(BgL__ortest_1117z00_10300))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16592 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10300);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16592 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10299));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16592), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16609;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16602;

					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_classz00_10301;

						BgL_classz00_10301 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 120 */
							obj_t BgL__ortest_1117z00_10302;

							BgL__ortest_1117z00_10302 = BGL_CLASS_NIL(BgL_classz00_10301);
							if (CBOOL(BgL__ortest_1117z00_10302))
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16609 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10302);
								}
							else
								{	/* Cfa/cinfo.scm 120 */
									BgL_auxz00_16609 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10301));
								}
						}
					}
					{
						obj_t BgL_auxz00_16603;

						{	/* Cfa/cinfo.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_16604;

							BgL_tmpz00_16604 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893));
							BgL_auxz00_16603 = BGL_OBJECT_WIDENING(BgL_tmpz00_16604);
						}
						BgL_auxz00_16602 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16603);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16602))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16609), BUNSPEC);
				}
				BgL_auxz00_16558 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1505z00_8893);
				return ((obj_t) BgL_auxz00_16558);
			}
		}

	}



/* &lambda2904 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2904z62zzcfa_infoz00(obj_t
		BgL_envz00_8894, obj_t BgL_o1502z00_8895)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1504z00_10304;

				BgL_wide1504z00_10304 =
					((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2cinfoz32_bgl))));
				{	/* Cfa/cinfo.scm 120 */
					obj_t BgL_auxz00_16624;
					BgL_objectz00_bglt BgL_tmpz00_16620;

					BgL_auxz00_16624 = ((obj_t) BgL_wide1504z00_10304);
					BgL_tmpz00_16620 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1502z00_8895)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16620, BgL_auxz00_16624);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1502z00_8895)));
				{	/* Cfa/cinfo.scm 120 */
					long BgL_arg2906z00_10305;

					BgL_arg2906z00_10305 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1502z00_8895))),
						BgL_arg2906z00_10305);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1502z00_8895)));
			}
		}

	}



/* &lambda2900 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2900z62zzcfa_infoz00(obj_t
		BgL_envz00_8896, obj_t BgL_loc1496z00_8897, obj_t BgL_type1497z00_8898,
		obj_t BgL_var1498z00_8899, obj_t BgL_value1499z00_8900,
		obj_t BgL_vtype1500z00_8901, obj_t BgL_approx1501z00_8902)
	{
		{	/* Cfa/cinfo.scm 120 */
			{	/* Cfa/cinfo.scm 120 */
				BgL_boxzd2setz12zc0_bglt BgL_new1804z00_10311;

				{	/* Cfa/cinfo.scm 120 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1802z00_10312;
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1803z00_10313;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_16638;

						{	/* Cfa/cinfo.scm 120 */
							BgL_boxzd2setz12zc0_bglt BgL_new1801z00_10314;

							BgL_new1801z00_10314 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Cfa/cinfo.scm 120 */
								long BgL_arg2903z00_10315;

								BgL_arg2903z00_10315 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1801z00_10314),
									BgL_arg2903z00_10315);
							}
							{	/* Cfa/cinfo.scm 120 */
								BgL_objectz00_bglt BgL_tmpz00_16643;

								BgL_tmpz00_16643 = ((BgL_objectz00_bglt) BgL_new1801z00_10314);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16643, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1801z00_10314);
							BgL_auxz00_16638 = BgL_new1801z00_10314;
						}
						BgL_tmp1802z00_10312 =
							((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_16638);
					}
					BgL_wide1803z00_10313 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2cinfoz32_bgl))));
					{	/* Cfa/cinfo.scm 120 */
						obj_t BgL_auxz00_16651;
						BgL_objectz00_bglt BgL_tmpz00_16649;

						BgL_auxz00_16651 = ((obj_t) BgL_wide1803z00_10313);
						BgL_tmpz00_16649 = ((BgL_objectz00_bglt) BgL_tmp1802z00_10312);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16649, BgL_auxz00_16651);
					}
					((BgL_objectz00_bglt) BgL_tmp1802z00_10312);
					{	/* Cfa/cinfo.scm 120 */
						long BgL_arg2902z00_10316;

						BgL_arg2902z00_10316 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1802z00_10312),
							BgL_arg2902z00_10316);
					}
					BgL_new1804z00_10311 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1802z00_10312);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1804z00_10311)))->BgL_locz00) =
					((obj_t) BgL_loc1496z00_8897), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1804z00_10311)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1497z00_8898)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1804z00_10311)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1498z00_8899)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1804z00_10311)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1499z00_8900)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1804z00_10311)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1500z00_8901)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16673;

					{
						obj_t BgL_auxz00_16674;

						{	/* Cfa/cinfo.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_16675;

							BgL_tmpz00_16675 = ((BgL_objectz00_bglt) BgL_new1804z00_10311);
							BgL_auxz00_16674 = BGL_OBJECT_WIDENING(BgL_tmpz00_16675);
						}
						BgL_auxz00_16673 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16674);
					}
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16673))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1501z00_8902)), BUNSPEC);
				}
				return BgL_new1804z00_10311;
			}
		}

	}



/* &lambda2917 */
	obj_t BGl_z62lambda2917z62zzcfa_infoz00(obj_t BgL_envz00_8903,
		obj_t BgL_oz00_8904, obj_t BgL_vz00_8905)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16681;

				{
					obj_t BgL_auxz00_16682;

					{	/* Cfa/cinfo.scm 120 */
						BgL_objectz00_bglt BgL_tmpz00_16683;

						BgL_tmpz00_16683 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8904));
						BgL_auxz00_16682 = BGL_OBJECT_WIDENING(BgL_tmpz00_16683);
					}
					BgL_auxz00_16681 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16682);
				}
				return
					((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16681))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8905)), BUNSPEC);
			}
		}

	}



/* &lambda2916 */
	BgL_approxz00_bglt BGl_z62lambda2916z62zzcfa_infoz00(obj_t BgL_envz00_8906,
		obj_t BgL_oz00_8907)
	{
		{	/* Cfa/cinfo.scm 120 */
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_16690;

				{
					obj_t BgL_auxz00_16691;

					{	/* Cfa/cinfo.scm 120 */
						BgL_objectz00_bglt BgL_tmpz00_16692;

						BgL_tmpz00_16692 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8907));
						BgL_auxz00_16691 = BGL_OBJECT_WIDENING(BgL_tmpz00_16692);
					}
					BgL_auxz00_16690 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_16691);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_16690))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2853 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2853z62zzcfa_infoz00(obj_t
		BgL_envz00_8908, obj_t BgL_o1494z00_8909)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				long BgL_arg2857z00_10321;

				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_arg2858z00_10322;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_arg2859z00_10323;

						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL_arg1866z00_10324;
							long BgL_arg1867z00_10325;

							BgL_arg1866z00_10324 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 117 */
								long BgL_arg1869z00_10326;

								BgL_arg1869z00_10326 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1494z00_8909)));
								BgL_arg1867z00_10325 = (BgL_arg1869z00_10326 - OBJECT_TYPE);
							}
							BgL_arg2859z00_10323 =
								VECTOR_REF(BgL_arg1866z00_10324, BgL_arg1867z00_10325);
						}
						BgL_arg2858z00_10322 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2859z00_10323);
					}
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_tmpz00_16705;

						BgL_tmpz00_16705 = ((obj_t) BgL_arg2858z00_10322);
						BgL_arg2857z00_10321 = BGL_CLASS_NUM(BgL_tmpz00_16705);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1494z00_8909)),
					BgL_arg2857z00_10321);
			}
			{	/* Cfa/cinfo.scm 117 */
				BgL_objectz00_bglt BgL_tmpz00_16711;

				BgL_tmpz00_16711 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1494z00_8909));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16711, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1494z00_8909));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1494z00_8909));
		}

	}



/* &<@anonymous:2852> */
	obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8910,
		obj_t BgL_new1493z00_8911)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_16719;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16723;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10328;

						BgL_classz00_10328 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1117z00_10329;

							BgL__ortest_1117z00_10329 = BGL_CLASS_NIL(BgL_classz00_10328);
							if (CBOOL(BgL__ortest_1117z00_10329))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16723 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10329);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16723 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10328));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16723), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1493z00_8911))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16739;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10330;

						BgL_classz00_10330 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1117z00_10331;

							BgL__ortest_1117z00_10331 = BGL_CLASS_NIL(BgL_classz00_10330);
							if (CBOOL(BgL__ortest_1117z00_10331))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16739 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10331);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16739 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10330));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16739), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16749;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10332;

						BgL_classz00_10332 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1117z00_10333;

							BgL__ortest_1117z00_10333 = BGL_CLASS_NIL(BgL_classz00_10332);
							if (CBOOL(BgL__ortest_1117z00_10333))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16749 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10333);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16749 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10332));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16749), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_16769;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16762;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10334;

						BgL_classz00_10334 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1117z00_10335;

							BgL__ortest_1117z00_10335 = BGL_CLASS_NIL(BgL_classz00_10334);
							if (CBOOL(BgL__ortest_1117z00_10335))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16769 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10335);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16769 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10334));
								}
						}
					}
					{
						obj_t BgL_auxz00_16763;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16764;

							BgL_tmpz00_16764 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911));
							BgL_auxz00_16763 = BGL_OBJECT_WIDENING(BgL_tmpz00_16764);
						}
						BgL_auxz00_16762 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16763);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16762))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16769), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_16784;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16777;

					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_classz00_10336;

						BgL_classz00_10336 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 117 */
							obj_t BgL__ortest_1117z00_10337;

							BgL__ortest_1117z00_10337 = BGL_CLASS_NIL(BgL_classz00_10336);
							if (CBOOL(BgL__ortest_1117z00_10337))
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16784 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10337);
								}
							else
								{	/* Cfa/cinfo.scm 117 */
									BgL_auxz00_16784 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10336));
								}
						}
					}
					{
						obj_t BgL_auxz00_16778;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16779;

							BgL_tmpz00_16779 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911));
							BgL_auxz00_16778 = BGL_OBJECT_WIDENING(BgL_tmpz00_16779);
						}
						BgL_auxz00_16777 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16778);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16777))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) BgL_auxz00_16784), BUNSPEC);
				}
				BgL_auxz00_16719 = ((BgL_makezd2boxzd2_bglt) BgL_new1493z00_8911);
				return ((obj_t) BgL_auxz00_16719);
			}
		}

	}



/* &lambda2850 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2850z62zzcfa_infoz00(obj_t
		BgL_envz00_8912, obj_t BgL_o1490z00_8913)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1492z00_10339;

				BgL_wide1492z00_10339 =
					((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 117 */
					obj_t BgL_auxz00_16799;
					BgL_objectz00_bglt BgL_tmpz00_16795;

					BgL_auxz00_16799 = ((obj_t) BgL_wide1492z00_10339);
					BgL_tmpz00_16795 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1490z00_8913)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16795, BgL_auxz00_16799);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1490z00_8913)));
				{	/* Cfa/cinfo.scm 117 */
					long BgL_arg2851z00_10340;

					BgL_arg2851z00_10340 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1490z00_8913))),
						BgL_arg2851z00_10340);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1490z00_8913)));
			}
		}

	}



/* &lambda2847 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2847z62zzcfa_infoz00(obj_t
		BgL_envz00_8914, obj_t BgL_loc1481z00_8915, obj_t BgL_type1482z00_8916,
		obj_t BgL_sidezd2effect1483zd2_8917, obj_t BgL_key1484z00_8918,
		obj_t BgL_value1485z00_8919, obj_t BgL_vtype1486z00_8920,
		obj_t BgL_stackable1487z00_8921, obj_t BgL_approx1488z00_8922,
		obj_t BgL_valuezd2approx1489zd2_8923)
	{
		{	/* Cfa/cinfo.scm 117 */
			{	/* Cfa/cinfo.scm 117 */
				BgL_makezd2boxzd2_bglt BgL_new1799z00_10346;

				{	/* Cfa/cinfo.scm 117 */
					BgL_makezd2boxzd2_bglt BgL_tmp1797z00_10347;
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1798z00_10348;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_16813;

						{	/* Cfa/cinfo.scm 117 */
							BgL_makezd2boxzd2_bglt BgL_new1796z00_10349;

							BgL_new1796z00_10349 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 117 */
								long BgL_arg2849z00_10350;

								BgL_arg2849z00_10350 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1796z00_10349),
									BgL_arg2849z00_10350);
							}
							{	/* Cfa/cinfo.scm 117 */
								BgL_objectz00_bglt BgL_tmpz00_16818;

								BgL_tmpz00_16818 = ((BgL_objectz00_bglt) BgL_new1796z00_10349);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16818, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1796z00_10349);
							BgL_auxz00_16813 = BgL_new1796z00_10349;
						}
						BgL_tmp1797z00_10347 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_16813);
					}
					BgL_wide1798z00_10348 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 117 */
						obj_t BgL_auxz00_16826;
						BgL_objectz00_bglt BgL_tmpz00_16824;

						BgL_auxz00_16826 = ((obj_t) BgL_wide1798z00_10348);
						BgL_tmpz00_16824 = ((BgL_objectz00_bglt) BgL_tmp1797z00_10347);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16824, BgL_auxz00_16826);
					}
					((BgL_objectz00_bglt) BgL_tmp1797z00_10347);
					{	/* Cfa/cinfo.scm 117 */
						long BgL_arg2848z00_10351;

						BgL_arg2848z00_10351 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1797z00_10347),
							BgL_arg2848z00_10351);
					}
					BgL_new1799z00_10346 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1797z00_10347);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1799z00_10346)))->BgL_locz00) =
					((obj_t) BgL_loc1481z00_8915), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1799z00_10346)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1482z00_8916)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1799z00_10346)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1483zd2_8917), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1799z00_10346)))->BgL_keyz00) =
					((obj_t) BgL_key1484z00_8918), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1799z00_10346)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1485z00_8919)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1799z00_10346)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1486z00_8920)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1799z00_10346)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1487z00_8921), BUNSPEC);
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16851;

					{
						obj_t BgL_auxz00_16852;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16853;

							BgL_tmpz00_16853 = ((BgL_objectz00_bglt) BgL_new1799z00_10346);
							BgL_auxz00_16852 = BGL_OBJECT_WIDENING(BgL_tmpz00_16853);
						}
						BgL_auxz00_16851 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16852);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16851))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1488z00_8922)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16859;

					{
						obj_t BgL_auxz00_16860;

						{	/* Cfa/cinfo.scm 117 */
							BgL_objectz00_bglt BgL_tmpz00_16861;

							BgL_tmpz00_16861 = ((BgL_objectz00_bglt) BgL_new1799z00_10346);
							BgL_auxz00_16860 = BGL_OBJECT_WIDENING(BgL_tmpz00_16861);
						}
						BgL_auxz00_16859 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16860);
					}
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16859))->
							BgL_valuezd2approxzd2) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_valuezd2approx1489zd2_8923)), BUNSPEC);
				}
				return BgL_new1799z00_10346;
			}
		}

	}



/* &lambda2873 */
	obj_t BGl_z62lambda2873z62zzcfa_infoz00(obj_t BgL_envz00_8924,
		obj_t BgL_oz00_8925, obj_t BgL_vz00_8926)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16867;

				{
					obj_t BgL_auxz00_16868;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16869;

						BgL_tmpz00_16869 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8925));
						BgL_auxz00_16868 = BGL_OBJECT_WIDENING(BgL_tmpz00_16869);
					}
					BgL_auxz00_16867 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16868);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16867))->
						BgL_valuezd2approxzd2) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8926)), BUNSPEC);
			}
		}

	}



/* &lambda2872 */
	BgL_approxz00_bglt BGl_z62lambda2872z62zzcfa_infoz00(obj_t BgL_envz00_8927,
		obj_t BgL_oz00_8928)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16876;

				{
					obj_t BgL_auxz00_16877;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16878;

						BgL_tmpz00_16878 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8928));
						BgL_auxz00_16877 = BGL_OBJECT_WIDENING(BgL_tmpz00_16878);
					}
					BgL_auxz00_16876 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16877);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16876))->
					BgL_valuezd2approxzd2);
			}
		}

	}



/* &lambda2864 */
	obj_t BGl_z62lambda2864z62zzcfa_infoz00(obj_t BgL_envz00_8929,
		obj_t BgL_oz00_8930, obj_t BgL_vz00_8931)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16884;

				{
					obj_t BgL_auxz00_16885;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16886;

						BgL_tmpz00_16886 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8930));
						BgL_auxz00_16885 = BGL_OBJECT_WIDENING(BgL_tmpz00_16886);
					}
					BgL_auxz00_16884 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16885);
				}
				return
					((((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16884))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8931)), BUNSPEC);
			}
		}

	}



/* &lambda2863 */
	BgL_approxz00_bglt BGl_z62lambda2863z62zzcfa_infoz00(obj_t BgL_envz00_8932,
		obj_t BgL_oz00_8933)
	{
		{	/* Cfa/cinfo.scm 117 */
			{
				BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_16893;

				{
					obj_t BgL_auxz00_16894;

					{	/* Cfa/cinfo.scm 117 */
						BgL_objectz00_bglt BgL_tmpz00_16895;

						BgL_tmpz00_16895 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8933));
						BgL_auxz00_16894 = BGL_OBJECT_WIDENING(BgL_tmpz00_16895);
					}
					BgL_auxz00_16893 =
						((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_16894);
				}
				return
					(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_16893))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2829 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2829z62zzcfa_infoz00(obj_t
		BgL_envz00_8934, obj_t BgL_o1479z00_8935)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				long BgL_arg2830z00_10359;

				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_arg2831z00_10360;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_arg2832z00_10361;

						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL_arg1866z00_10362;
							long BgL_arg1867z00_10363;

							BgL_arg1866z00_10362 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 115 */
								long BgL_arg1869z00_10364;

								BgL_arg1869z00_10364 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1479z00_8935)));
								BgL_arg1867z00_10363 = (BgL_arg1869z00_10364 - OBJECT_TYPE);
							}
							BgL_arg2832z00_10361 =
								VECTOR_REF(BgL_arg1866z00_10362, BgL_arg1867z00_10363);
						}
						BgL_arg2831z00_10360 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2832z00_10361);
					}
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_tmpz00_16908;

						BgL_tmpz00_16908 = ((obj_t) BgL_arg2831z00_10360);
						BgL_arg2830z00_10359 = BGL_CLASS_NUM(BgL_tmpz00_16908);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1479z00_8935)),
					BgL_arg2830z00_10359);
			}
			{	/* Cfa/cinfo.scm 115 */
				BgL_objectz00_bglt BgL_tmpz00_16914;

				BgL_tmpz00_16914 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1479z00_8935));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16914, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1479z00_8935));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1479z00_8935));
		}

	}



/* &<@anonymous:2828> */
	obj_t BGl_z62zc3z04anonymousza32828ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8936,
		obj_t BgL_new1478z00_8937)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_16922;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16926;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10366;

						BgL_classz00_10366 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1117z00_10367;

							BgL__ortest_1117z00_10367 = BGL_CLASS_NIL(BgL_classz00_10366);
							if (CBOOL(BgL__ortest_1117z00_10367))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16926 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10367);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16926 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10366));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16926), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1478z00_8937))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16942;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10368;

						BgL_classz00_10368 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1117z00_10369;

							BgL__ortest_1117z00_10369 = BGL_CLASS_NIL(BgL_classz00_10368);
							if (CBOOL(BgL__ortest_1117z00_10369))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16942 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10369);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16942 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10368));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_16942), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16952;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10370;

						BgL_classz00_10370 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1117z00_10371;

							BgL__ortest_1117z00_10371 = BGL_CLASS_NIL(BgL_classz00_10370);
							if (CBOOL(BgL__ortest_1117z00_10371))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16952 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10371);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16952 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10370));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_16952), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_16972;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_16965;

					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_classz00_10372;

						BgL_classz00_10372 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 115 */
							obj_t BgL__ortest_1117z00_10373;

							BgL__ortest_1117z00_10373 = BGL_CLASS_NIL(BgL_classz00_10372);
							if (CBOOL(BgL__ortest_1117z00_10373))
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16972 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10373);
								}
							else
								{	/* Cfa/cinfo.scm 115 */
									BgL_auxz00_16972 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10372));
								}
						}
					}
					{
						obj_t BgL_auxz00_16966;

						{	/* Cfa/cinfo.scm 115 */
							BgL_objectz00_bglt BgL_tmpz00_16967;

							BgL_tmpz00_16967 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937));
							BgL_auxz00_16966 = BGL_OBJECT_WIDENING(BgL_tmpz00_16967);
						}
						BgL_auxz00_16965 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_16966);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_16965))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_16972), BUNSPEC);
				}
				BgL_auxz00_16922 = ((BgL_makezd2boxzd2_bglt) BgL_new1478z00_8937);
				return ((obj_t) BgL_auxz00_16922);
			}
		}

	}



/* &lambda2826 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2826z62zzcfa_infoz00(obj_t
		BgL_envz00_8938, obj_t BgL_o1475z00_8939)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1477z00_10375;

				BgL_wide1477z00_10375 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 115 */
					obj_t BgL_auxz00_16987;
					BgL_objectz00_bglt BgL_tmpz00_16983;

					BgL_auxz00_16987 = ((obj_t) BgL_wide1477z00_10375);
					BgL_tmpz00_16983 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1475z00_8939)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16983, BgL_auxz00_16987);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1475z00_8939)));
				{	/* Cfa/cinfo.scm 115 */
					long BgL_arg2827z00_10376;

					BgL_arg2827z00_10376 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1475z00_8939))),
						BgL_arg2827z00_10376);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1475z00_8939)));
			}
		}

	}



/* &lambda2823 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2823z62zzcfa_infoz00(obj_t
		BgL_envz00_8940, obj_t BgL_loc1467z00_8941, obj_t BgL_type1468z00_8942,
		obj_t BgL_sidezd2effect1469zd2_8943, obj_t BgL_key1470z00_8944,
		obj_t BgL_value1471z00_8945, obj_t BgL_vtype1472z00_8946,
		obj_t BgL_stackable1473z00_8947, obj_t BgL_approx1474z00_8948)
	{
		{	/* Cfa/cinfo.scm 115 */
			{	/* Cfa/cinfo.scm 115 */
				BgL_makezd2boxzd2_bglt BgL_new1794z00_10381;

				{	/* Cfa/cinfo.scm 115 */
					BgL_makezd2boxzd2_bglt BgL_tmp1792z00_10382;
					BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1793z00_10383;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_17001;

						{	/* Cfa/cinfo.scm 115 */
							BgL_makezd2boxzd2_bglt BgL_new1791z00_10384;

							BgL_new1791z00_10384 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 115 */
								long BgL_arg2825z00_10385;

								BgL_arg2825z00_10385 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1791z00_10384),
									BgL_arg2825z00_10385);
							}
							{	/* Cfa/cinfo.scm 115 */
								BgL_objectz00_bglt BgL_tmpz00_17006;

								BgL_tmpz00_17006 = ((BgL_objectz00_bglt) BgL_new1791z00_10384);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17006, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1791z00_10384);
							BgL_auxz00_17001 = BgL_new1791z00_10384;
						}
						BgL_tmp1792z00_10382 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_17001);
					}
					BgL_wide1793z00_10383 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 115 */
						obj_t BgL_auxz00_17014;
						BgL_objectz00_bglt BgL_tmpz00_17012;

						BgL_auxz00_17014 = ((obj_t) BgL_wide1793z00_10383);
						BgL_tmpz00_17012 = ((BgL_objectz00_bglt) BgL_tmp1792z00_10382);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17012, BgL_auxz00_17014);
					}
					((BgL_objectz00_bglt) BgL_tmp1792z00_10382);
					{	/* Cfa/cinfo.scm 115 */
						long BgL_arg2824z00_10386;

						BgL_arg2824z00_10386 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1792z00_10382),
							BgL_arg2824z00_10386);
					}
					BgL_new1794z00_10381 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1792z00_10382);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1794z00_10381)))->BgL_locz00) =
					((obj_t) BgL_loc1467z00_8941), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1794z00_10381)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1468z00_8942)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1794z00_10381)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1469zd2_8943), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1794z00_10381)))->BgL_keyz00) =
					((obj_t) BgL_key1470z00_8944), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1794z00_10381)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1471z00_8945)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1794z00_10381)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1472z00_8946)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1794z00_10381)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1473z00_8947), BUNSPEC);
				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_17039;

					{
						obj_t BgL_auxz00_17040;

						{	/* Cfa/cinfo.scm 115 */
							BgL_objectz00_bglt BgL_tmpz00_17041;

							BgL_tmpz00_17041 = ((BgL_objectz00_bglt) BgL_new1794z00_10381);
							BgL_auxz00_17040 = BGL_OBJECT_WIDENING(BgL_tmpz00_17041);
						}
						BgL_auxz00_17039 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_17040);
					}
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_17039))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1474z00_8948)), BUNSPEC);
				}
				return BgL_new1794z00_10381;
			}
		}

	}



/* &lambda2837 */
	obj_t BGl_z62lambda2837z62zzcfa_infoz00(obj_t BgL_envz00_8949,
		obj_t BgL_oz00_8950, obj_t BgL_vz00_8951)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_17047;

				{
					obj_t BgL_auxz00_17048;

					{	/* Cfa/cinfo.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_17049;

						BgL_tmpz00_17049 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8950));
						BgL_auxz00_17048 = BGL_OBJECT_WIDENING(BgL_tmpz00_17049);
					}
					BgL_auxz00_17047 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_17048);
				}
				return
					((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_17047))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8951)), BUNSPEC);
			}
		}

	}



/* &lambda2836 */
	BgL_approxz00_bglt BGl_z62lambda2836z62zzcfa_infoz00(obj_t BgL_envz00_8952,
		obj_t BgL_oz00_8953)
	{
		{	/* Cfa/cinfo.scm 115 */
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_17056;

				{
					obj_t BgL_auxz00_17057;

					{	/* Cfa/cinfo.scm 115 */
						BgL_objectz00_bglt BgL_tmpz00_17058;

						BgL_tmpz00_17058 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_8953));
						BgL_auxz00_17057 = BGL_OBJECT_WIDENING(BgL_tmpz00_17058);
					}
					BgL_auxz00_17056 =
						((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_17057);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_17056))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2812 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2812z62zzcfa_infoz00(obj_t
		BgL_envz00_8954, obj_t BgL_o1465z00_8955)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				long BgL_arg2813z00_10391;

				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_arg2815z00_10392;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_arg2816z00_10393;

						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL_arg1866z00_10394;
							long BgL_arg1867z00_10395;

							BgL_arg1866z00_10394 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 114 */
								long BgL_arg1869z00_10396;

								BgL_arg1869z00_10396 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1465z00_8955)));
								BgL_arg1867z00_10395 = (BgL_arg1869z00_10396 - OBJECT_TYPE);
							}
							BgL_arg2816z00_10393 =
								VECTOR_REF(BgL_arg1866z00_10394, BgL_arg1867z00_10395);
						}
						BgL_arg2815z00_10392 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2816z00_10393);
					}
					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_tmpz00_17071;

						BgL_tmpz00_17071 = ((obj_t) BgL_arg2815z00_10392);
						BgL_arg2813z00_10391 = BGL_CLASS_NUM(BgL_tmpz00_17071);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1465z00_8955)),
					BgL_arg2813z00_10391);
			}
			{	/* Cfa/cinfo.scm 114 */
				BgL_objectz00_bglt BgL_tmpz00_17077;

				BgL_tmpz00_17077 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1465z00_8955));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17077, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1465z00_8955));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1465z00_8955));
		}

	}



/* &<@anonymous:2811> */
	obj_t BGl_z62zc3z04anonymousza32811ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8956,
		obj_t BgL_new1464z00_8957)
	{
		{	/* Cfa/cinfo.scm 114 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_17085;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17089;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10398;

						BgL_classz00_10398 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1117z00_10399;

							BgL__ortest_1117z00_10399 = BGL_CLASS_NIL(BgL_classz00_10398);
							if (CBOOL(BgL__ortest_1117z00_10399))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17089 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10399);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17089 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10398));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17089), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1464z00_8957))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_17105;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10400;

						BgL_classz00_10400 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1117z00_10401;

							BgL__ortest_1117z00_10401 = BGL_CLASS_NIL(BgL_classz00_10400);
							if (CBOOL(BgL__ortest_1117z00_10401))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17105 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10401);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17105 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10400));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_17105), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_17115;

					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_classz00_10402;

						BgL_classz00_10402 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 114 */
							obj_t BgL__ortest_1117z00_10403;

							BgL__ortest_1117z00_10403 = BGL_CLASS_NIL(BgL_classz00_10402);
							if (CBOOL(BgL__ortest_1117z00_10403))
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17115 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10403);
								}
							else
								{	/* Cfa/cinfo.scm 114 */
									BgL_auxz00_17115 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10402));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_17115), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17085 = ((BgL_makezd2boxzd2_bglt) BgL_new1464z00_8957);
				return ((obj_t) BgL_auxz00_17085);
			}
		}

	}



/* &lambda2807 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2807z62zzcfa_infoz00(obj_t
		BgL_envz00_8958, obj_t BgL_o1461z00_8959)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				BgL_prezd2makezd2boxz00_bglt BgL_wide1463z00_10405;

				BgL_wide1463z00_10405 =
					((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_prezd2makezd2boxz00_bgl))));
				{	/* Cfa/cinfo.scm 114 */
					obj_t BgL_auxz00_17135;
					BgL_objectz00_bglt BgL_tmpz00_17131;

					BgL_auxz00_17135 = ((obj_t) BgL_wide1463z00_10405);
					BgL_tmpz00_17131 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1461z00_8959)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17131, BgL_auxz00_17135);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1461z00_8959)));
				{	/* Cfa/cinfo.scm 114 */
					long BgL_arg2810z00_10406;

					BgL_arg2810z00_10406 =
						BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1461z00_8959))),
						BgL_arg2810z00_10406);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1461z00_8959)));
			}
		}

	}



/* &lambda2804 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2804z62zzcfa_infoz00(obj_t
		BgL_envz00_8960, obj_t BgL_loc1454z00_8961, obj_t BgL_type1455z00_8962,
		obj_t BgL_sidezd2effect1456zd2_8963, obj_t BgL_key1457z00_8964,
		obj_t BgL_value1458z00_8965, obj_t BgL_vtype1459z00_8966,
		obj_t BgL_stackable1460z00_8967)
	{
		{	/* Cfa/cinfo.scm 114 */
			{	/* Cfa/cinfo.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1789z00_10410;

				{	/* Cfa/cinfo.scm 114 */
					BgL_makezd2boxzd2_bglt BgL_tmp1787z00_10411;
					BgL_prezd2makezd2boxz00_bglt BgL_wide1788z00_10412;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_17149;

						{	/* Cfa/cinfo.scm 114 */
							BgL_makezd2boxzd2_bglt BgL_new1786z00_10413;

							BgL_new1786z00_10413 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Cfa/cinfo.scm 114 */
								long BgL_arg2806z00_10414;

								BgL_arg2806z00_10414 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1786z00_10413),
									BgL_arg2806z00_10414);
							}
							{	/* Cfa/cinfo.scm 114 */
								BgL_objectz00_bglt BgL_tmpz00_17154;

								BgL_tmpz00_17154 = ((BgL_objectz00_bglt) BgL_new1786z00_10413);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17154, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1786z00_10413);
							BgL_auxz00_17149 = BgL_new1786z00_10413;
						}
						BgL_tmp1787z00_10411 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_17149);
					}
					BgL_wide1788z00_10412 =
						((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2makezd2boxz00_bgl))));
					{	/* Cfa/cinfo.scm 114 */
						obj_t BgL_auxz00_17162;
						BgL_objectz00_bglt BgL_tmpz00_17160;

						BgL_auxz00_17162 = ((obj_t) BgL_wide1788z00_10412);
						BgL_tmpz00_17160 = ((BgL_objectz00_bglt) BgL_tmp1787z00_10411);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17160, BgL_auxz00_17162);
					}
					((BgL_objectz00_bglt) BgL_tmp1787z00_10411);
					{	/* Cfa/cinfo.scm 114 */
						long BgL_arg2805z00_10415;

						BgL_arg2805z00_10415 =
							BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1787z00_10411),
							BgL_arg2805z00_10415);
					}
					BgL_new1789z00_10410 =
						((BgL_makezd2boxzd2_bglt) BgL_tmp1787z00_10411);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1789z00_10410)))->BgL_locz00) =
					((obj_t) BgL_loc1454z00_8961), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1789z00_10410)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1455z00_8962)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1789z00_10410)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1456zd2_8963), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1789z00_10410)))->BgL_keyz00) =
					((obj_t) BgL_key1457z00_8964), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1789z00_10410)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1458z00_8965)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1789z00_10410)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1459z00_8966)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1789z00_10410)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1460z00_8967), BUNSPEC);
				return BgL_new1789z00_10410;
			}
		}

	}



/* &lambda2763 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2763z62zzcfa_infoz00(obj_t
		BgL_envz00_8968, obj_t BgL_o1452z00_8969)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				long BgL_arg2764z00_10417;

				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_arg2765z00_10418;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_arg2766z00_10419;

						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL_arg1866z00_10420;
							long BgL_arg1867z00_10421;

							BgL_arg1866z00_10420 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 110 */
								long BgL_arg1869z00_10422;

								BgL_arg1869z00_10422 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_o1452z00_8969)));
								BgL_arg1867z00_10421 = (BgL_arg1869z00_10422 - OBJECT_TYPE);
							}
							BgL_arg2766z00_10419 =
								VECTOR_REF(BgL_arg1866z00_10420, BgL_arg1867z00_10421);
						}
						BgL_arg2765z00_10418 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2766z00_10419);
					}
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_tmpz00_17194;

						BgL_tmpz00_17194 = ((obj_t) BgL_arg2765z00_10418);
						BgL_arg2764z00_10417 = BGL_CLASS_NUM(BgL_tmpz00_17194);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1452z00_8969)),
					BgL_arg2764z00_10417);
			}
			{	/* Cfa/cinfo.scm 110 */
				BgL_objectz00_bglt BgL_tmpz00_17200;

				BgL_tmpz00_17200 =
					((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt) BgL_o1452z00_8969));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17200, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_o1452z00_8969));
			return
				((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_o1452z00_8969));
		}

	}



/* &<@anonymous:2762> */
	obj_t BGl_z62zc3z04anonymousza32762ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8970,
		obj_t BgL_new1451z00_8971)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_17208;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17212;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10424;

						BgL_classz00_10424 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1117z00_10425;

							BgL__ortest_1117z00_10425 = BGL_CLASS_NIL(BgL_classz00_10424);
							if (CBOOL(BgL__ortest_1117z00_10425))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17212 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10425);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17212 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10424));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17212), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17222;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10426;

						BgL_classz00_10426 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1117z00_10427;

							BgL__ortest_1117z00_10427 = BGL_CLASS_NIL(BgL_classz00_10426);
							if (CBOOL(BgL__ortest_1117z00_10427))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17222 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10427);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17222 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10426));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971))))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_17222), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17232;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10428;

						BgL_classz00_10428 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1117z00_10429;

							BgL__ortest_1117z00_10429 = BGL_CLASS_NIL(BgL_classz00_10428);
							if (CBOOL(BgL__ortest_1117z00_10429))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17232 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10429);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17232 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10428));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_17232), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17249;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17242;

					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_classz00_10430;

						BgL_classz00_10430 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 110 */
							obj_t BgL__ortest_1117z00_10431;

							BgL__ortest_1117z00_10431 = BGL_CLASS_NIL(BgL_classz00_10430);
							if (CBOOL(BgL__ortest_1117z00_10431))
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17249 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10431);
								}
							else
								{	/* Cfa/cinfo.scm 110 */
									BgL_auxz00_17249 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10430));
								}
						}
					}
					{
						obj_t BgL_auxz00_17243;

						{	/* Cfa/cinfo.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_17244;

							BgL_tmpz00_17244 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971));
							BgL_auxz00_17243 = BGL_OBJECT_WIDENING(BgL_tmpz00_17244);
						}
						BgL_auxz00_17242 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17243);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17242))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17249), BUNSPEC);
				}
				BgL_auxz00_17208 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1451z00_8971);
				return ((obj_t) BgL_auxz00_17208);
			}
		}

	}



/* &lambda2757 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2757z62zzcfa_infoz00(obj_t
		BgL_envz00_8972, obj_t BgL_o1448z00_8973)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1450z00_10433;

				BgL_wide1450z00_10433 =
					((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 110 */
					obj_t BgL_auxz00_17264;
					BgL_objectz00_bglt BgL_tmpz00_17260;

					BgL_auxz00_17264 = ((obj_t) BgL_wide1450z00_10433);
					BgL_tmpz00_17260 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_o1448z00_8973)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17260, BgL_auxz00_17264);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1448z00_8973)));
				{	/* Cfa/cinfo.scm 110 */
					long BgL_arg2761z00_10434;

					BgL_arg2761z00_10434 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_o1448z00_8973))),
						BgL_arg2761z00_10434);
				}
				return
					((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1448z00_8973)));
			}
		}

	}



/* &lambda2754 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2754z62zzcfa_infoz00(obj_t
		BgL_envz00_8974, obj_t BgL_loc1443z00_8975, obj_t BgL_type1444z00_8976,
		obj_t BgL_exit1445z00_8977, obj_t BgL_value1446z00_8978,
		obj_t BgL_approx1447z00_8979)
	{
		{	/* Cfa/cinfo.scm 110 */
			{	/* Cfa/cinfo.scm 110 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1784z00_10439;

				{	/* Cfa/cinfo.scm 110 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1782z00_10440;
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1783z00_10441;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_17278;

						{	/* Cfa/cinfo.scm 110 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1781z00_10442;

							BgL_new1781z00_10442 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.scm 110 */
								long BgL_arg2756z00_10443;

								BgL_arg2756z00_10443 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1781z00_10442),
									BgL_arg2756z00_10443);
							}
							{	/* Cfa/cinfo.scm 110 */
								BgL_objectz00_bglt BgL_tmpz00_17283;

								BgL_tmpz00_17283 = ((BgL_objectz00_bglt) BgL_new1781z00_10442);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17283, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1781z00_10442);
							BgL_auxz00_17278 = BgL_new1781z00_10442;
						}
						BgL_tmp1782z00_10440 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_17278);
					}
					BgL_wide1783z00_10441 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 110 */
						obj_t BgL_auxz00_17291;
						BgL_objectz00_bglt BgL_tmpz00_17289;

						BgL_auxz00_17291 = ((obj_t) BgL_wide1783z00_10441);
						BgL_tmpz00_17289 = ((BgL_objectz00_bglt) BgL_tmp1782z00_10440);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17289, BgL_auxz00_17291);
					}
					((BgL_objectz00_bglt) BgL_tmp1782z00_10440);
					{	/* Cfa/cinfo.scm 110 */
						long BgL_arg2755z00_10444;

						BgL_arg2755z00_10444 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1782z00_10440),
							BgL_arg2755z00_10444);
					}
					BgL_new1784z00_10439 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1782z00_10440);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1784z00_10439)))->BgL_locz00) =
					((obj_t) BgL_loc1443z00_8975), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1784z00_10439)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1444z00_8976)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1784z00_10439)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1445z00_8977)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1784z00_10439)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1446z00_8978)),
					BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17310;

					{
						obj_t BgL_auxz00_17311;

						{	/* Cfa/cinfo.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_17312;

							BgL_tmpz00_17312 = ((BgL_objectz00_bglt) BgL_new1784z00_10439);
							BgL_auxz00_17311 = BGL_OBJECT_WIDENING(BgL_tmpz00_17312);
						}
						BgL_auxz00_17310 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17311);
					}
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17310))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1447z00_8979)), BUNSPEC);
				}
				return BgL_new1784z00_10439;
			}
		}

	}



/* &lambda2771 */
	obj_t BGl_z62lambda2771z62zzcfa_infoz00(obj_t BgL_envz00_8980,
		obj_t BgL_oz00_8981, obj_t BgL_vz00_8982)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17318;

				{
					obj_t BgL_auxz00_17319;

					{	/* Cfa/cinfo.scm 110 */
						BgL_objectz00_bglt BgL_tmpz00_17320;

						BgL_tmpz00_17320 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8981));
						BgL_auxz00_17319 = BGL_OBJECT_WIDENING(BgL_tmpz00_17320);
					}
					BgL_auxz00_17318 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17319);
				}
				return
					((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17318))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_8982)), BUNSPEC);
			}
		}

	}



/* &lambda2770 */
	BgL_approxz00_bglt BGl_z62lambda2770z62zzcfa_infoz00(obj_t BgL_envz00_8983,
		obj_t BgL_oz00_8984)
	{
		{	/* Cfa/cinfo.scm 110 */
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17327;

				{
					obj_t BgL_auxz00_17328;

					{	/* Cfa/cinfo.scm 110 */
						BgL_objectz00_bglt BgL_tmpz00_17329;

						BgL_tmpz00_17329 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8984));
						BgL_auxz00_17328 = BGL_OBJECT_WIDENING(BgL_tmpz00_17329);
					}
					BgL_auxz00_17327 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17328);
				}
				return
					(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17327))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2735 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2735z62zzcfa_infoz00(obj_t
		BgL_envz00_8985, obj_t BgL_o1440z00_8986)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				long BgL_arg2736z00_10449;

				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_arg2737z00_10450;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_arg2738z00_10451;

						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL_arg1866z00_10452;
							long BgL_arg1867z00_10453;

							BgL_arg1866z00_10452 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 108 */
								long BgL_arg1869z00_10454;

								BgL_arg1869z00_10454 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_o1440z00_8986)));
								BgL_arg1867z00_10453 = (BgL_arg1869z00_10454 - OBJECT_TYPE);
							}
							BgL_arg2738z00_10451 =
								VECTOR_REF(BgL_arg1866z00_10452, BgL_arg1867z00_10453);
						}
						BgL_arg2737z00_10450 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2738z00_10451);
					}
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_tmpz00_17342;

						BgL_tmpz00_17342 = ((obj_t) BgL_arg2737z00_10450);
						BgL_arg2736z00_10449 = BGL_CLASS_NUM(BgL_tmpz00_17342);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1440z00_8986)),
					BgL_arg2736z00_10449);
			}
			{	/* Cfa/cinfo.scm 108 */
				BgL_objectz00_bglt BgL_tmpz00_17348;

				BgL_tmpz00_17348 =
					((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt) BgL_o1440z00_8986));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17348, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_o1440z00_8986));
			return
				((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_o1440z00_8986));
		}

	}



/* &<@anonymous:2734> */
	obj_t BGl_z62zc3z04anonymousza32734ze3ze5zzcfa_infoz00(obj_t BgL_envz00_8987,
		obj_t BgL_new1439z00_8988)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_17356;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17360;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10456;

						BgL_classz00_10456 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1117z00_10457;

							BgL__ortest_1117z00_10457 = BGL_CLASS_NIL(BgL_classz00_10456);
							if (CBOOL(BgL__ortest_1117z00_10457))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17360 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10457);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17360 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10456));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17360), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_17370;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10458;

						BgL_classz00_10458 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1117z00_10459;

							BgL__ortest_1117z00_10459 = BGL_CLASS_NIL(BgL_classz00_10458);
							if (CBOOL(BgL__ortest_1117z00_10459))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17370 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10459);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17370 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10458));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_17370), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17380;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10460;

						BgL_classz00_10460 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1117z00_10461;

							BgL__ortest_1117z00_10461 = BGL_CLASS_NIL(BgL_classz00_10460);
							if (CBOOL(BgL__ortest_1117z00_10461))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17380 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10461);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17380 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10460));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_17380), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17390;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10462;

						BgL_classz00_10462 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1117z00_10463;

							BgL__ortest_1117z00_10463 = BGL_CLASS_NIL(BgL_classz00_10462);
							if (CBOOL(BgL__ortest_1117z00_10463))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17390 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10463);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17390 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10462));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988))))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_17390), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17407;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17400;

					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_classz00_10464;

						BgL_classz00_10464 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 108 */
							obj_t BgL__ortest_1117z00_10465;

							BgL__ortest_1117z00_10465 = BGL_CLASS_NIL(BgL_classz00_10464);
							if (CBOOL(BgL__ortest_1117z00_10465))
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17407 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10465);
								}
							else
								{	/* Cfa/cinfo.scm 108 */
									BgL_auxz00_17407 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10464));
								}
						}
					}
					{
						obj_t BgL_auxz00_17401;

						{	/* Cfa/cinfo.scm 108 */
							BgL_objectz00_bglt BgL_tmpz00_17402;

							BgL_tmpz00_17402 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988));
							BgL_auxz00_17401 = BGL_OBJECT_WIDENING(BgL_tmpz00_17402);
						}
						BgL_auxz00_17400 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17401);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17400))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17407), BUNSPEC);
				}
				BgL_auxz00_17356 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1439z00_8988);
				return ((obj_t) BgL_auxz00_17356);
			}
		}

	}



/* &lambda2732 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2732z62zzcfa_infoz00(obj_t
		BgL_envz00_8989, obj_t BgL_o1436z00_8990)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1438z00_10467;

				BgL_wide1438z00_10467 =
					((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 108 */
					obj_t BgL_auxz00_17422;
					BgL_objectz00_bglt BgL_tmpz00_17418;

					BgL_auxz00_17422 = ((obj_t) BgL_wide1438z00_10467);
					BgL_tmpz00_17418 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_o1436z00_8990)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17418, BgL_auxz00_17422);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1436z00_8990)));
				{	/* Cfa/cinfo.scm 108 */
					long BgL_arg2733z00_10468;

					BgL_arg2733z00_10468 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_o1436z00_8990))),
						BgL_arg2733z00_10468);
				}
				return
					((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1436z00_8990)));
			}
		}

	}



/* &lambda2729 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2729z62zzcfa_infoz00(obj_t
		BgL_envz00_8991, obj_t BgL_loc1430z00_8992, obj_t BgL_type1431z00_8993,
		obj_t BgL_var1432z00_8994, obj_t BgL_body1433z00_8995,
		obj_t BgL_onexit1434z00_8996, obj_t BgL_approx1435z00_8997)
	{
		{	/* Cfa/cinfo.scm 108 */
			{	/* Cfa/cinfo.scm 108 */
				BgL_setzd2exzd2itz00_bglt BgL_new1779z00_10474;

				{	/* Cfa/cinfo.scm 108 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1777z00_10475;
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1778z00_10476;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_17436;

						{	/* Cfa/cinfo.scm 108 */
							BgL_setzd2exzd2itz00_bglt BgL_new1776z00_10477;

							BgL_new1776z00_10477 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Cfa/cinfo.scm 108 */
								long BgL_arg2731z00_10478;

								BgL_arg2731z00_10478 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1776z00_10477),
									BgL_arg2731z00_10478);
							}
							{	/* Cfa/cinfo.scm 108 */
								BgL_objectz00_bglt BgL_tmpz00_17441;

								BgL_tmpz00_17441 = ((BgL_objectz00_bglt) BgL_new1776z00_10477);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17441, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1776z00_10477);
							BgL_auxz00_17436 = BgL_new1776z00_10477;
						}
						BgL_tmp1777z00_10475 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_17436);
					}
					BgL_wide1778z00_10476 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 108 */
						obj_t BgL_auxz00_17449;
						BgL_objectz00_bglt BgL_tmpz00_17447;

						BgL_auxz00_17449 = ((obj_t) BgL_wide1778z00_10476);
						BgL_tmpz00_17447 = ((BgL_objectz00_bglt) BgL_tmp1777z00_10475);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17447, BgL_auxz00_17449);
					}
					((BgL_objectz00_bglt) BgL_tmp1777z00_10475);
					{	/* Cfa/cinfo.scm 108 */
						long BgL_arg2730z00_10479;

						BgL_arg2730z00_10479 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1777z00_10475),
							BgL_arg2730z00_10479);
					}
					BgL_new1779z00_10474 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1777z00_10475);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1779z00_10474)))->BgL_locz00) =
					((obj_t) BgL_loc1430z00_8992), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1779z00_10474)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1431z00_8993)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1779z00_10474)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1432z00_8994)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1779z00_10474)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1433z00_8995)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1779z00_10474)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1434z00_8996)),
					BUNSPEC);
				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17471;

					{
						obj_t BgL_auxz00_17472;

						{	/* Cfa/cinfo.scm 108 */
							BgL_objectz00_bglt BgL_tmpz00_17473;

							BgL_tmpz00_17473 = ((BgL_objectz00_bglt) BgL_new1779z00_10474);
							BgL_auxz00_17472 = BGL_OBJECT_WIDENING(BgL_tmpz00_17473);
						}
						BgL_auxz00_17471 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17472);
					}
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17471))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1435z00_8997)), BUNSPEC);
				}
				return BgL_new1779z00_10474;
			}
		}

	}



/* &lambda2744 */
	obj_t BGl_z62lambda2744z62zzcfa_infoz00(obj_t BgL_envz00_8998,
		obj_t BgL_oz00_8999, obj_t BgL_vz00_9000)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17479;

				{
					obj_t BgL_auxz00_17480;

					{	/* Cfa/cinfo.scm 108 */
						BgL_objectz00_bglt BgL_tmpz00_17481;

						BgL_tmpz00_17481 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8999));
						BgL_auxz00_17480 = BGL_OBJECT_WIDENING(BgL_tmpz00_17481);
					}
					BgL_auxz00_17479 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17480);
				}
				return
					((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17479))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9000)), BUNSPEC);
			}
		}

	}



/* &lambda2743 */
	BgL_approxz00_bglt BGl_z62lambda2743z62zzcfa_infoz00(obj_t BgL_envz00_9001,
		obj_t BgL_oz00_9002)
	{
		{	/* Cfa/cinfo.scm 108 */
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_17488;

				{
					obj_t BgL_auxz00_17489;

					{	/* Cfa/cinfo.scm 108 */
						BgL_objectz00_bglt BgL_tmpz00_17490;

						BgL_tmpz00_17490 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_9002));
						BgL_auxz00_17489 = BGL_OBJECT_WIDENING(BgL_tmpz00_17490);
					}
					BgL_auxz00_17488 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_17489);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17488))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2710 */
	BgL_switchz00_bglt BGl_z62lambda2710z62zzcfa_infoz00(obj_t BgL_envz00_9003,
		obj_t BgL_o1428z00_9004)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				long BgL_arg2711z00_10484;

				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_arg2712z00_10485;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_arg2713z00_10486;

						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL_arg1866z00_10487;
							long BgL_arg1867z00_10488;

							BgL_arg1866z00_10487 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 106 */
								long BgL_arg1869z00_10489;

								BgL_arg1869z00_10489 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1428z00_9004)));
								BgL_arg1867z00_10488 = (BgL_arg1869z00_10489 - OBJECT_TYPE);
							}
							BgL_arg2713z00_10486 =
								VECTOR_REF(BgL_arg1866z00_10487, BgL_arg1867z00_10488);
						}
						BgL_arg2712z00_10485 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2713z00_10486);
					}
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_tmpz00_17503;

						BgL_tmpz00_17503 = ((obj_t) BgL_arg2712z00_10485);
						BgL_arg2711z00_10484 = BGL_CLASS_NUM(BgL_tmpz00_17503);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1428z00_9004)), BgL_arg2711z00_10484);
			}
			{	/* Cfa/cinfo.scm 106 */
				BgL_objectz00_bglt BgL_tmpz00_17509;

				BgL_tmpz00_17509 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1428z00_9004));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17509, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1428z00_9004));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1428z00_9004));
		}

	}



/* &<@anonymous:2709> */
	obj_t BGl_z62zc3z04anonymousza32709ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9005,
		obj_t BgL_new1427z00_9006)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchz00_bglt BgL_auxz00_17517;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1427z00_9006))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17521;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10491;

						BgL_classz00_10491 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1117z00_10492;

							BgL__ortest_1117z00_10492 = BGL_CLASS_NIL(BgL_classz00_10491);
							if (CBOOL(BgL__ortest_1117z00_10492))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17521 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10492);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17521 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10491));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1427z00_9006))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17521), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1427z00_9006))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1427z00_9006))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_17537;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10493;

						BgL_classz00_10493 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1117z00_10494;

							BgL__ortest_1117z00_10494 = BGL_CLASS_NIL(BgL_classz00_10493);
							if (CBOOL(BgL__ortest_1117z00_10494))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17537 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10494);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17537 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10493));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1427z00_9006))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_17537), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1427z00_9006))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17550;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10495;

						BgL_classz00_10495 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1117z00_10496;

							BgL__ortest_1117z00_10496 = BGL_CLASS_NIL(BgL_classz00_10495);
							if (CBOOL(BgL__ortest_1117z00_10496))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17550 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10496);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17550 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10495));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1427z00_9006))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_17550), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17567;
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_17560;

					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_classz00_10497;

						BgL_classz00_10497 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 106 */
							obj_t BgL__ortest_1117z00_10498;

							BgL__ortest_1117z00_10498 = BGL_CLASS_NIL(BgL_classz00_10497);
							if (CBOOL(BgL__ortest_1117z00_10498))
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17567 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10498);
								}
							else
								{	/* Cfa/cinfo.scm 106 */
									BgL_auxz00_17567 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10497));
								}
						}
					}
					{
						obj_t BgL_auxz00_17561;

						{	/* Cfa/cinfo.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_17562;

							BgL_tmpz00_17562 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1427z00_9006));
							BgL_auxz00_17561 = BGL_OBJECT_WIDENING(BgL_tmpz00_17562);
						}
						BgL_auxz00_17560 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17561);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17560))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17567), BUNSPEC);
				}
				BgL_auxz00_17517 = ((BgL_switchz00_bglt) BgL_new1427z00_9006);
				return ((obj_t) BgL_auxz00_17517);
			}
		}

	}



/* &lambda2706 */
	BgL_switchz00_bglt BGl_z62lambda2706z62zzcfa_infoz00(obj_t BgL_envz00_9007,
		obj_t BgL_o1424z00_9008)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				BgL_switchzf2cinfozf2_bglt BgL_wide1426z00_10500;

				BgL_wide1426z00_10500 =
					((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 106 */
					obj_t BgL_auxz00_17582;
					BgL_objectz00_bglt BgL_tmpz00_17578;

					BgL_auxz00_17582 = ((obj_t) BgL_wide1426z00_10500);
					BgL_tmpz00_17578 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1424z00_9008)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17578, BgL_auxz00_17582);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1424z00_9008)));
				{	/* Cfa/cinfo.scm 106 */
					long BgL_arg2708z00_10501;

					BgL_arg2708z00_10501 =
						BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1424z00_9008))),
						BgL_arg2708z00_10501);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1424z00_9008)));
			}
		}

	}



/* &lambda2691 */
	BgL_switchz00_bglt BGl_z62lambda2691z62zzcfa_infoz00(obj_t BgL_envz00_9009,
		obj_t BgL_loc1416z00_9010, obj_t BgL_type1417z00_9011,
		obj_t BgL_sidezd2effect1418zd2_9012, obj_t BgL_key1419z00_9013,
		obj_t BgL_test1420z00_9014, obj_t BgL_clauses1421z00_9015,
		obj_t BgL_itemzd2type1422zd2_9016, obj_t BgL_approx1423z00_9017)
	{
		{	/* Cfa/cinfo.scm 106 */
			{	/* Cfa/cinfo.scm 106 */
				BgL_switchz00_bglt BgL_new1774z00_10506;

				{	/* Cfa/cinfo.scm 106 */
					BgL_switchz00_bglt BgL_tmp1772z00_10507;
					BgL_switchzf2cinfozf2_bglt BgL_wide1773z00_10508;

					{
						BgL_switchz00_bglt BgL_auxz00_17596;

						{	/* Cfa/cinfo.scm 106 */
							BgL_switchz00_bglt BgL_new1771z00_10509;

							BgL_new1771z00_10509 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Cfa/cinfo.scm 106 */
								long BgL_arg2705z00_10510;

								BgL_arg2705z00_10510 =
									BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1771z00_10509),
									BgL_arg2705z00_10510);
							}
							{	/* Cfa/cinfo.scm 106 */
								BgL_objectz00_bglt BgL_tmpz00_17601;

								BgL_tmpz00_17601 = ((BgL_objectz00_bglt) BgL_new1771z00_10509);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17601, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1771z00_10509);
							BgL_auxz00_17596 = BgL_new1771z00_10509;
						}
						BgL_tmp1772z00_10507 = ((BgL_switchz00_bglt) BgL_auxz00_17596);
					}
					BgL_wide1773z00_10508 =
						((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 106 */
						obj_t BgL_auxz00_17609;
						BgL_objectz00_bglt BgL_tmpz00_17607;

						BgL_auxz00_17609 = ((obj_t) BgL_wide1773z00_10508);
						BgL_tmpz00_17607 = ((BgL_objectz00_bglt) BgL_tmp1772z00_10507);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17607, BgL_auxz00_17609);
					}
					((BgL_objectz00_bglt) BgL_tmp1772z00_10507);
					{	/* Cfa/cinfo.scm 106 */
						long BgL_arg2697z00_10511;

						BgL_arg2697z00_10511 =
							BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1772z00_10507),
							BgL_arg2697z00_10511);
					}
					BgL_new1774z00_10506 = ((BgL_switchz00_bglt) BgL_tmp1772z00_10507);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1774z00_10506)))->BgL_locz00) =
					((obj_t) BgL_loc1416z00_9010), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1774z00_10506)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1417z00_9011)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1774z00_10506)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1418zd2_9012), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1774z00_10506)))->BgL_keyz00) =
					((obj_t) BgL_key1419z00_9013), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1774z00_10506)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1420z00_9014)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1774z00_10506)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1421z00_9015), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1774z00_10506)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1422zd2_9016)),
					BUNSPEC);
				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_17634;

					{
						obj_t BgL_auxz00_17635;

						{	/* Cfa/cinfo.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_17636;

							BgL_tmpz00_17636 = ((BgL_objectz00_bglt) BgL_new1774z00_10506);
							BgL_auxz00_17635 = BGL_OBJECT_WIDENING(BgL_tmpz00_17636);
						}
						BgL_auxz00_17634 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17635);
					}
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17634))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1423z00_9017)), BUNSPEC);
				}
				return BgL_new1774z00_10506;
			}
		}

	}



/* &lambda2722 */
	obj_t BGl_z62lambda2722z62zzcfa_infoz00(obj_t BgL_envz00_9018,
		obj_t BgL_oz00_9019, obj_t BgL_vz00_9020)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_17642;

				{
					obj_t BgL_auxz00_17643;

					{	/* Cfa/cinfo.scm 106 */
						BgL_objectz00_bglt BgL_tmpz00_17644;

						BgL_tmpz00_17644 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_9019));
						BgL_auxz00_17643 = BGL_OBJECT_WIDENING(BgL_tmpz00_17644);
					}
					BgL_auxz00_17642 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17643);
				}
				return
					((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17642))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9020)), BUNSPEC);
			}
		}

	}



/* &lambda2721 */
	BgL_approxz00_bglt BGl_z62lambda2721z62zzcfa_infoz00(obj_t BgL_envz00_9021,
		obj_t BgL_oz00_9022)
	{
		{	/* Cfa/cinfo.scm 106 */
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_17651;

				{
					obj_t BgL_auxz00_17652;

					{	/* Cfa/cinfo.scm 106 */
						BgL_objectz00_bglt BgL_tmpz00_17653;

						BgL_tmpz00_17653 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_9022));
						BgL_auxz00_17652 = BGL_OBJECT_WIDENING(BgL_tmpz00_17653);
					}
					BgL_auxz00_17651 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_17652);
				}
				return
					(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17651))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2667 */
	BgL_failz00_bglt BGl_z62lambda2667z62zzcfa_infoz00(obj_t BgL_envz00_9023,
		obj_t BgL_o1414z00_9024)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				long BgL_arg2668z00_10516;

				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_arg2670z00_10517;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_arg2671z00_10518;

						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL_arg1866z00_10519;
							long BgL_arg1867z00_10520;

							BgL_arg1866z00_10519 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 104 */
								long BgL_arg1869z00_10521;

								BgL_arg1869z00_10521 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_failz00_bglt) BgL_o1414z00_9024)));
								BgL_arg1867z00_10520 = (BgL_arg1869z00_10521 - OBJECT_TYPE);
							}
							BgL_arg2671z00_10518 =
								VECTOR_REF(BgL_arg1866z00_10519, BgL_arg1867z00_10520);
						}
						BgL_arg2670z00_10517 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2671z00_10518);
					}
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_tmpz00_17666;

						BgL_tmpz00_17666 = ((obj_t) BgL_arg2670z00_10517);
						BgL_arg2668z00_10516 = BGL_CLASS_NUM(BgL_tmpz00_17666);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_failz00_bglt) BgL_o1414z00_9024)), BgL_arg2668z00_10516);
			}
			{	/* Cfa/cinfo.scm 104 */
				BgL_objectz00_bglt BgL_tmpz00_17672;

				BgL_tmpz00_17672 =
					((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1414z00_9024));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17672, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1414z00_9024));
			return ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1414z00_9024));
		}

	}



/* &<@anonymous:2666> */
	obj_t BGl_z62zc3z04anonymousza32666ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9025,
		obj_t BgL_new1413z00_9026)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failz00_bglt BgL_auxz00_17680;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1413z00_9026))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17684;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10523;

						BgL_classz00_10523 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1117z00_10524;

							BgL__ortest_1117z00_10524 = BGL_CLASS_NIL(BgL_classz00_10523);
							if (CBOOL(BgL__ortest_1117z00_10524))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17684 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10524);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17684 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10523));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1413z00_9026))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17684), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17694;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10525;

						BgL_classz00_10525 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1117z00_10526;

							BgL__ortest_1117z00_10526 = BGL_CLASS_NIL(BgL_classz00_10525);
							if (CBOOL(BgL__ortest_1117z00_10526))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17694 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10526);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17694 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10525));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1413z00_9026))))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17694), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17704;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10527;

						BgL_classz00_10527 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1117z00_10528;

							BgL__ortest_1117z00_10528 = BGL_CLASS_NIL(BgL_classz00_10527);
							if (CBOOL(BgL__ortest_1117z00_10528))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17704 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10528);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17704 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10527));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1413z00_9026))))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17704), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17714;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10529;

						BgL_classz00_10529 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1117z00_10530;

							BgL__ortest_1117z00_10530 = BGL_CLASS_NIL(BgL_classz00_10529);
							if (CBOOL(BgL__ortest_1117z00_10530))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17714 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10530);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17714 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10529));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1413z00_9026))))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17714), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17731;
					BgL_failzf2cinfozf2_bglt BgL_auxz00_17724;

					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_classz00_10531;

						BgL_classz00_10531 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 104 */
							obj_t BgL__ortest_1117z00_10532;

							BgL__ortest_1117z00_10532 = BGL_CLASS_NIL(BgL_classz00_10531);
							if (CBOOL(BgL__ortest_1117z00_10532))
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17731 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10532);
								}
							else
								{	/* Cfa/cinfo.scm 104 */
									BgL_auxz00_17731 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10531));
								}
						}
					}
					{
						obj_t BgL_auxz00_17725;

						{	/* Cfa/cinfo.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_17726;

							BgL_tmpz00_17726 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1413z00_9026));
							BgL_auxz00_17725 = BGL_OBJECT_WIDENING(BgL_tmpz00_17726);
						}
						BgL_auxz00_17724 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17725);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17724))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17731), BUNSPEC);
				}
				BgL_auxz00_17680 = ((BgL_failz00_bglt) BgL_new1413z00_9026);
				return ((obj_t) BgL_auxz00_17680);
			}
		}

	}



/* &lambda2664 */
	BgL_failz00_bglt BGl_z62lambda2664z62zzcfa_infoz00(obj_t BgL_envz00_9027,
		obj_t BgL_o1410z00_9028)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				BgL_failzf2cinfozf2_bglt BgL_wide1412z00_10534;

				BgL_wide1412z00_10534 =
					((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 104 */
					obj_t BgL_auxz00_17746;
					BgL_objectz00_bglt BgL_tmpz00_17742;

					BgL_auxz00_17746 = ((obj_t) BgL_wide1412z00_10534);
					BgL_tmpz00_17742 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1410z00_9028)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17742, BgL_auxz00_17746);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1410z00_9028)));
				{	/* Cfa/cinfo.scm 104 */
					long BgL_arg2665z00_10535;

					BgL_arg2665z00_10535 =
						BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_o1410z00_9028))), BgL_arg2665z00_10535);
				}
				return
					((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1410z00_9028)));
			}
		}

	}



/* &lambda2660 */
	BgL_failz00_bglt BGl_z62lambda2660z62zzcfa_infoz00(obj_t BgL_envz00_9029,
		obj_t BgL_loc1404z00_9030, obj_t BgL_type1405z00_9031,
		obj_t BgL_proc1406z00_9032, obj_t BgL_msg1407z00_9033,
		obj_t BgL_obj1408z00_9034, obj_t BgL_approx1409z00_9035)
	{
		{	/* Cfa/cinfo.scm 104 */
			{	/* Cfa/cinfo.scm 104 */
				BgL_failz00_bglt BgL_new1769z00_10541;

				{	/* Cfa/cinfo.scm 104 */
					BgL_failz00_bglt BgL_tmp1767z00_10542;
					BgL_failzf2cinfozf2_bglt BgL_wide1768z00_10543;

					{
						BgL_failz00_bglt BgL_auxz00_17760;

						{	/* Cfa/cinfo.scm 104 */
							BgL_failz00_bglt BgL_new1766z00_10544;

							BgL_new1766z00_10544 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Cfa/cinfo.scm 104 */
								long BgL_arg2663z00_10545;

								BgL_arg2663z00_10545 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1766z00_10544),
									BgL_arg2663z00_10545);
							}
							{	/* Cfa/cinfo.scm 104 */
								BgL_objectz00_bglt BgL_tmpz00_17765;

								BgL_tmpz00_17765 = ((BgL_objectz00_bglt) BgL_new1766z00_10544);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17765, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1766z00_10544);
							BgL_auxz00_17760 = BgL_new1766z00_10544;
						}
						BgL_tmp1767z00_10542 = ((BgL_failz00_bglt) BgL_auxz00_17760);
					}
					BgL_wide1768z00_10543 =
						((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 104 */
						obj_t BgL_auxz00_17773;
						BgL_objectz00_bglt BgL_tmpz00_17771;

						BgL_auxz00_17773 = ((obj_t) BgL_wide1768z00_10543);
						BgL_tmpz00_17771 = ((BgL_objectz00_bglt) BgL_tmp1767z00_10542);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17771, BgL_auxz00_17773);
					}
					((BgL_objectz00_bglt) BgL_tmp1767z00_10542);
					{	/* Cfa/cinfo.scm 104 */
						long BgL_arg2662z00_10546;

						BgL_arg2662z00_10546 =
							BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1767z00_10542),
							BgL_arg2662z00_10546);
					}
					BgL_new1769z00_10541 = ((BgL_failz00_bglt) BgL_tmp1767z00_10542);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1769z00_10541)))->BgL_locz00) =
					((obj_t) BgL_loc1404z00_9030), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1769z00_10541)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1405z00_9031)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1769z00_10541)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1406z00_9032)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1769z00_10541)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1407z00_9033)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1769z00_10541)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1408z00_9034)),
					BUNSPEC);
				{
					BgL_failzf2cinfozf2_bglt BgL_auxz00_17795;

					{
						obj_t BgL_auxz00_17796;

						{	/* Cfa/cinfo.scm 104 */
							BgL_objectz00_bglt BgL_tmpz00_17797;

							BgL_tmpz00_17797 = ((BgL_objectz00_bglt) BgL_new1769z00_10541);
							BgL_auxz00_17796 = BGL_OBJECT_WIDENING(BgL_tmpz00_17797);
						}
						BgL_auxz00_17795 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17796);
					}
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17795))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1409z00_9035)), BUNSPEC);
				}
				return BgL_new1769z00_10541;
			}
		}

	}



/* &lambda2677 */
	obj_t BGl_z62lambda2677z62zzcfa_infoz00(obj_t BgL_envz00_9036,
		obj_t BgL_oz00_9037, obj_t BgL_vz00_9038)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_17803;

				{
					obj_t BgL_auxz00_17804;

					{	/* Cfa/cinfo.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_17805;

						BgL_tmpz00_17805 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_9037));
						BgL_auxz00_17804 = BGL_OBJECT_WIDENING(BgL_tmpz00_17805);
					}
					BgL_auxz00_17803 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17804);
				}
				return
					((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17803))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9038)), BUNSPEC);
			}
		}

	}



/* &lambda2676 */
	BgL_approxz00_bglt BGl_z62lambda2676z62zzcfa_infoz00(obj_t BgL_envz00_9039,
		obj_t BgL_oz00_9040)
	{
		{	/* Cfa/cinfo.scm 104 */
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_17812;

				{
					obj_t BgL_auxz00_17813;

					{	/* Cfa/cinfo.scm 104 */
						BgL_objectz00_bglt BgL_tmpz00_17814;

						BgL_tmpz00_17814 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_9040));
						BgL_auxz00_17813 = BGL_OBJECT_WIDENING(BgL_tmpz00_17814);
					}
					BgL_auxz00_17812 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_17813);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17812))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2633 */
	BgL_conditionalz00_bglt BGl_z62lambda2633z62zzcfa_infoz00(obj_t
		BgL_envz00_9041, obj_t BgL_o1402z00_9042)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				long BgL_arg2634z00_10551;

				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_arg2635z00_10552;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_arg2636z00_10553;

						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL_arg1866z00_10554;
							long BgL_arg1867z00_10555;

							BgL_arg1866z00_10554 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 102 */
								long BgL_arg1869z00_10556;

								BgL_arg1869z00_10556 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_o1402z00_9042)));
								BgL_arg1867z00_10555 = (BgL_arg1869z00_10556 - OBJECT_TYPE);
							}
							BgL_arg2636z00_10553 =
								VECTOR_REF(BgL_arg1866z00_10554, BgL_arg1867z00_10555);
						}
						BgL_arg2635z00_10552 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2636z00_10553);
					}
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_tmpz00_17827;

						BgL_tmpz00_17827 = ((obj_t) BgL_arg2635z00_10552);
						BgL_arg2634z00_10551 = BGL_CLASS_NUM(BgL_tmpz00_17827);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1402z00_9042)),
					BgL_arg2634z00_10551);
			}
			{	/* Cfa/cinfo.scm 102 */
				BgL_objectz00_bglt BgL_tmpz00_17833;

				BgL_tmpz00_17833 =
					((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1402z00_9042));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17833, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1402z00_9042));
			return
				((BgL_conditionalz00_bglt)
				((BgL_conditionalz00_bglt) BgL_o1402z00_9042));
		}

	}



/* &<@anonymous:2632> */
	obj_t BGl_z62zc3z04anonymousza32632ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9043,
		obj_t BgL_new1401z00_9044)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_17841;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17845;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10558;

						BgL_classz00_10558 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1117z00_10559;

							BgL__ortest_1117z00_10559 = BGL_CLASS_NIL(BgL_classz00_10558);
							if (CBOOL(BgL__ortest_1117z00_10559))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17845 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10559);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17845 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10558));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17845), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1401z00_9044))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_17861;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10560;

						BgL_classz00_10560 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1117z00_10561;

							BgL__ortest_1117z00_10561 = BGL_CLASS_NIL(BgL_classz00_10560);
							if (CBOOL(BgL__ortest_1117z00_10561))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17861 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10561);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17861 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10560));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_17861), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17871;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10562;

						BgL_classz00_10562 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1117z00_10563;

							BgL__ortest_1117z00_10563 = BGL_CLASS_NIL(BgL_classz00_10562);
							if (CBOOL(BgL__ortest_1117z00_10563))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17871 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10563);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17871 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10562));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_17871), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17881;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10564;

						BgL_classz00_10564 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1117z00_10565;

							BgL__ortest_1117z00_10565 = BGL_CLASS_NIL(BgL_classz00_10564);
							if (CBOOL(BgL__ortest_1117z00_10565))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17881 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10565);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17881 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10564));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1401z00_9044))))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_17881), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_17898;
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17891;

					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_classz00_10566;

						BgL_classz00_10566 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 102 */
							obj_t BgL__ortest_1117z00_10567;

							BgL__ortest_1117z00_10567 = BGL_CLASS_NIL(BgL_classz00_10566);
							if (CBOOL(BgL__ortest_1117z00_10567))
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17898 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10567);
								}
							else
								{	/* Cfa/cinfo.scm 102 */
									BgL_auxz00_17898 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10566));
								}
						}
					}
					{
						obj_t BgL_auxz00_17892;

						{	/* Cfa/cinfo.scm 102 */
							BgL_objectz00_bglt BgL_tmpz00_17893;

							BgL_tmpz00_17893 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1401z00_9044));
							BgL_auxz00_17892 = BGL_OBJECT_WIDENING(BgL_tmpz00_17893);
						}
						BgL_auxz00_17891 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17892);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17891))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_17898), BUNSPEC);
				}
				BgL_auxz00_17841 = ((BgL_conditionalz00_bglt) BgL_new1401z00_9044);
				return ((obj_t) BgL_auxz00_17841);
			}
		}

	}



/* &lambda2630 */
	BgL_conditionalz00_bglt BGl_z62lambda2630z62zzcfa_infoz00(obj_t
		BgL_envz00_9045, obj_t BgL_o1398z00_9046)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				BgL_conditionalzf2cinfozf2_bglt BgL_wide1400z00_10569;

				BgL_wide1400z00_10569 =
					((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 102 */
					obj_t BgL_auxz00_17913;
					BgL_objectz00_bglt BgL_tmpz00_17909;

					BgL_auxz00_17913 = ((obj_t) BgL_wide1400z00_10569);
					BgL_tmpz00_17909 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_o1398z00_9046)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17909, BgL_auxz00_17913);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1398z00_9046)));
				{	/* Cfa/cinfo.scm 102 */
					long BgL_arg2631z00_10570;

					BgL_arg2631z00_10570 =
						BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_o1398z00_9046))),
						BgL_arg2631z00_10570);
				}
				return
					((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1398z00_9046)));
			}
		}

	}



/* &lambda2626 */
	BgL_conditionalz00_bglt BGl_z62lambda2626z62zzcfa_infoz00(obj_t
		BgL_envz00_9047, obj_t BgL_loc1390z00_9048, obj_t BgL_type1391z00_9049,
		obj_t BgL_sidezd2effect1392zd2_9050, obj_t BgL_key1393z00_9051,
		obj_t BgL_test1394z00_9052, obj_t BgL_true1395z00_9053,
		obj_t BgL_false1396z00_9054, obj_t BgL_approx1397z00_9055)
	{
		{	/* Cfa/cinfo.scm 102 */
			{	/* Cfa/cinfo.scm 102 */
				BgL_conditionalz00_bglt BgL_new1764z00_10576;

				{	/* Cfa/cinfo.scm 102 */
					BgL_conditionalz00_bglt BgL_tmp1762z00_10577;
					BgL_conditionalzf2cinfozf2_bglt BgL_wide1763z00_10578;

					{
						BgL_conditionalz00_bglt BgL_auxz00_17927;

						{	/* Cfa/cinfo.scm 102 */
							BgL_conditionalz00_bglt BgL_new1761z00_10579;

							BgL_new1761z00_10579 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Cfa/cinfo.scm 102 */
								long BgL_arg2629z00_10580;

								BgL_arg2629z00_10580 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1761z00_10579),
									BgL_arg2629z00_10580);
							}
							{	/* Cfa/cinfo.scm 102 */
								BgL_objectz00_bglt BgL_tmpz00_17932;

								BgL_tmpz00_17932 = ((BgL_objectz00_bglt) BgL_new1761z00_10579);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17932, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1761z00_10579);
							BgL_auxz00_17927 = BgL_new1761z00_10579;
						}
						BgL_tmp1762z00_10577 = ((BgL_conditionalz00_bglt) BgL_auxz00_17927);
					}
					BgL_wide1763z00_10578 =
						((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 102 */
						obj_t BgL_auxz00_17940;
						BgL_objectz00_bglt BgL_tmpz00_17938;

						BgL_auxz00_17940 = ((obj_t) BgL_wide1763z00_10578);
						BgL_tmpz00_17938 = ((BgL_objectz00_bglt) BgL_tmp1762z00_10577);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17938, BgL_auxz00_17940);
					}
					((BgL_objectz00_bglt) BgL_tmp1762z00_10577);
					{	/* Cfa/cinfo.scm 102 */
						long BgL_arg2628z00_10581;

						BgL_arg2628z00_10581 =
							BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1762z00_10577),
							BgL_arg2628z00_10581);
					}
					BgL_new1764z00_10576 =
						((BgL_conditionalz00_bglt) BgL_tmp1762z00_10577);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1764z00_10576)))->BgL_locz00) =
					((obj_t) BgL_loc1390z00_9048), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1764z00_10576)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1391z00_9049)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1764z00_10576)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1392zd2_9050), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1764z00_10576)))->BgL_keyz00) =
					((obj_t) BgL_key1393z00_9051), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1764z00_10576)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1394z00_9052)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1764z00_10576)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1395z00_9053)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1764z00_10576)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1396z00_9054)),
					BUNSPEC);
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17966;

					{
						obj_t BgL_auxz00_17967;

						{	/* Cfa/cinfo.scm 102 */
							BgL_objectz00_bglt BgL_tmpz00_17968;

							BgL_tmpz00_17968 = ((BgL_objectz00_bglt) BgL_new1764z00_10576);
							BgL_auxz00_17967 = BGL_OBJECT_WIDENING(BgL_tmpz00_17968);
						}
						BgL_auxz00_17966 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17967);
					}
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17966))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1397z00_9055)), BUNSPEC);
				}
				return BgL_new1764z00_10576;
			}
		}

	}



/* &lambda2647 */
	obj_t BGl_z62lambda2647z62zzcfa_infoz00(obj_t BgL_envz00_9056,
		obj_t BgL_oz00_9057, obj_t BgL_vz00_9058)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17974;

				{
					obj_t BgL_auxz00_17975;

					{	/* Cfa/cinfo.scm 102 */
						BgL_objectz00_bglt BgL_tmpz00_17976;

						BgL_tmpz00_17976 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_9057));
						BgL_auxz00_17975 = BGL_OBJECT_WIDENING(BgL_tmpz00_17976);
					}
					BgL_auxz00_17974 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17975);
				}
				return
					((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17974))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9058)), BUNSPEC);
			}
		}

	}



/* &lambda2646 */
	BgL_approxz00_bglt BGl_z62lambda2646z62zzcfa_infoz00(obj_t BgL_envz00_9059,
		obj_t BgL_oz00_9060)
	{
		{	/* Cfa/cinfo.scm 102 */
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_17983;

				{
					obj_t BgL_auxz00_17984;

					{	/* Cfa/cinfo.scm 102 */
						BgL_objectz00_bglt BgL_tmpz00_17985;

						BgL_tmpz00_17985 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_9060));
						BgL_auxz00_17984 = BGL_OBJECT_WIDENING(BgL_tmpz00_17985);
					}
					BgL_auxz00_17983 =
						((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_17984);
				}
				return
					(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_17983))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2604 */
	BgL_setqz00_bglt BGl_z62lambda2604z62zzcfa_infoz00(obj_t BgL_envz00_9061,
		obj_t BgL_o1388z00_9062)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				long BgL_arg2606z00_10586;

				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_arg2607z00_10587;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_arg2608z00_10588;

						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL_arg1866z00_10589;
							long BgL_arg1867z00_10590;

							BgL_arg1866z00_10589 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 100 */
								long BgL_arg1869z00_10591;

								BgL_arg1869z00_10591 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) BgL_o1388z00_9062)));
								BgL_arg1867z00_10590 = (BgL_arg1869z00_10591 - OBJECT_TYPE);
							}
							BgL_arg2608z00_10588 =
								VECTOR_REF(BgL_arg1866z00_10589, BgL_arg1867z00_10590);
						}
						BgL_arg2607z00_10587 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2608z00_10588);
					}
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_tmpz00_17998;

						BgL_tmpz00_17998 = ((obj_t) BgL_arg2607z00_10587);
						BgL_arg2606z00_10586 = BGL_CLASS_NUM(BgL_tmpz00_17998);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) BgL_o1388z00_9062)), BgL_arg2606z00_10586);
			}
			{	/* Cfa/cinfo.scm 100 */
				BgL_objectz00_bglt BgL_tmpz00_18004;

				BgL_tmpz00_18004 =
					((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1388z00_9062));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18004, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1388z00_9062));
			return ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1388z00_9062));
		}

	}



/* &<@anonymous:2603> */
	obj_t BGl_z62zc3z04anonymousza32603ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9063,
		obj_t BgL_new1387z00_9064)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqz00_bglt BgL_auxz00_18012;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1387z00_9064))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18016;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10593;

						BgL_classz00_10593 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1117z00_10594;

							BgL__ortest_1117z00_10594 = BGL_CLASS_NIL(BgL_classz00_10593);
							if (CBOOL(BgL__ortest_1117z00_10594))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18016 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10594);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18016 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10593));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1387z00_9064))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18016), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_18026;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10595;

						BgL_classz00_10595 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1117z00_10596;

							BgL__ortest_1117z00_10596 = BGL_CLASS_NIL(BgL_classz00_10595);
							if (CBOOL(BgL__ortest_1117z00_10596))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18026 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10596);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18026 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10595));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1387z00_9064))))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_18026), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18036;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10597;

						BgL_classz00_10597 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1117z00_10598;

							BgL__ortest_1117z00_10598 = BGL_CLASS_NIL(BgL_classz00_10597);
							if (CBOOL(BgL__ortest_1117z00_10598))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18036 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10598);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18036 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10597));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1387z00_9064))))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_18036), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_18053;
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_18046;

					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_classz00_10599;

						BgL_classz00_10599 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 100 */
							obj_t BgL__ortest_1117z00_10600;

							BgL__ortest_1117z00_10600 = BGL_CLASS_NIL(BgL_classz00_10599);
							if (CBOOL(BgL__ortest_1117z00_10600))
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18053 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10600);
								}
							else
								{	/* Cfa/cinfo.scm 100 */
									BgL_auxz00_18053 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10599));
								}
						}
					}
					{
						obj_t BgL_auxz00_18047;

						{	/* Cfa/cinfo.scm 100 */
							BgL_objectz00_bglt BgL_tmpz00_18048;

							BgL_tmpz00_18048 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1387z00_9064));
							BgL_auxz00_18047 = BGL_OBJECT_WIDENING(BgL_tmpz00_18048);
						}
						BgL_auxz00_18046 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_18047);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18046))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18053), BUNSPEC);
				}
				BgL_auxz00_18012 = ((BgL_setqz00_bglt) BgL_new1387z00_9064);
				return ((obj_t) BgL_auxz00_18012);
			}
		}

	}



/* &lambda2601 */
	BgL_setqz00_bglt BGl_z62lambda2601z62zzcfa_infoz00(obj_t BgL_envz00_9065,
		obj_t BgL_o1384z00_9066)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				BgL_setqzf2cinfozf2_bglt BgL_wide1386z00_10602;

				BgL_wide1386z00_10602 =
					((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 100 */
					obj_t BgL_auxz00_18068;
					BgL_objectz00_bglt BgL_tmpz00_18064;

					BgL_auxz00_18068 = ((obj_t) BgL_wide1386z00_10602);
					BgL_tmpz00_18064 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1384z00_9066)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18064, BgL_auxz00_18068);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1384z00_9066)));
				{	/* Cfa/cinfo.scm 100 */
					long BgL_arg2602z00_10603;

					BgL_arg2602z00_10603 =
						BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_o1384z00_9066))), BgL_arg2602z00_10603);
				}
				return
					((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1384z00_9066)));
			}
		}

	}



/* &lambda2598 */
	BgL_setqz00_bglt BGl_z62lambda2598z62zzcfa_infoz00(obj_t BgL_envz00_9067,
		obj_t BgL_loc1379z00_9068, obj_t BgL_type1380z00_9069,
		obj_t BgL_var1381z00_9070, obj_t BgL_value1382z00_9071,
		obj_t BgL_approx1383z00_9072)
	{
		{	/* Cfa/cinfo.scm 100 */
			{	/* Cfa/cinfo.scm 100 */
				BgL_setqz00_bglt BgL_new1759z00_10608;

				{	/* Cfa/cinfo.scm 100 */
					BgL_setqz00_bglt BgL_tmp1757z00_10609;
					BgL_setqzf2cinfozf2_bglt BgL_wide1758z00_10610;

					{
						BgL_setqz00_bglt BgL_auxz00_18082;

						{	/* Cfa/cinfo.scm 100 */
							BgL_setqz00_bglt BgL_new1756z00_10611;

							BgL_new1756z00_10611 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Cfa/cinfo.scm 100 */
								long BgL_arg2600z00_10612;

								BgL_arg2600z00_10612 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1756z00_10611),
									BgL_arg2600z00_10612);
							}
							{	/* Cfa/cinfo.scm 100 */
								BgL_objectz00_bglt BgL_tmpz00_18087;

								BgL_tmpz00_18087 = ((BgL_objectz00_bglt) BgL_new1756z00_10611);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18087, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1756z00_10611);
							BgL_auxz00_18082 = BgL_new1756z00_10611;
						}
						BgL_tmp1757z00_10609 = ((BgL_setqz00_bglt) BgL_auxz00_18082);
					}
					BgL_wide1758z00_10610 =
						((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 100 */
						obj_t BgL_auxz00_18095;
						BgL_objectz00_bglt BgL_tmpz00_18093;

						BgL_auxz00_18095 = ((obj_t) BgL_wide1758z00_10610);
						BgL_tmpz00_18093 = ((BgL_objectz00_bglt) BgL_tmp1757z00_10609);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18093, BgL_auxz00_18095);
					}
					((BgL_objectz00_bglt) BgL_tmp1757z00_10609);
					{	/* Cfa/cinfo.scm 100 */
						long BgL_arg2599z00_10613;

						BgL_arg2599z00_10613 =
							BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1757z00_10609),
							BgL_arg2599z00_10613);
					}
					BgL_new1759z00_10608 = ((BgL_setqz00_bglt) BgL_tmp1757z00_10609);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1759z00_10608)))->BgL_locz00) =
					((obj_t) BgL_loc1379z00_9068), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1759z00_10608)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1380z00_9069)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1759z00_10608)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1381z00_9070)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1759z00_10608)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1382z00_9071)),
					BUNSPEC);
				{
					BgL_setqzf2cinfozf2_bglt BgL_auxz00_18114;

					{
						obj_t BgL_auxz00_18115;

						{	/* Cfa/cinfo.scm 100 */
							BgL_objectz00_bglt BgL_tmpz00_18116;

							BgL_tmpz00_18116 = ((BgL_objectz00_bglt) BgL_new1759z00_10608);
							BgL_auxz00_18115 = BGL_OBJECT_WIDENING(BgL_tmpz00_18116);
						}
						BgL_auxz00_18114 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_18115);
					}
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18114))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1383z00_9072)), BUNSPEC);
				}
				return BgL_new1759z00_10608;
			}
		}

	}



/* &lambda2613 */
	obj_t BGl_z62lambda2613z62zzcfa_infoz00(obj_t BgL_envz00_9073,
		obj_t BgL_oz00_9074, obj_t BgL_vz00_9075)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_18122;

				{
					obj_t BgL_auxz00_18123;

					{	/* Cfa/cinfo.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_18124;

						BgL_tmpz00_18124 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_9074));
						BgL_auxz00_18123 = BGL_OBJECT_WIDENING(BgL_tmpz00_18124);
					}
					BgL_auxz00_18122 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_18123);
				}
				return
					((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18122))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9075)), BUNSPEC);
			}
		}

	}



/* &lambda2612 */
	BgL_approxz00_bglt BGl_z62lambda2612z62zzcfa_infoz00(obj_t BgL_envz00_9076,
		obj_t BgL_oz00_9077)
	{
		{	/* Cfa/cinfo.scm 100 */
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_18131;

				{
					obj_t BgL_auxz00_18132;

					{	/* Cfa/cinfo.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_18133;

						BgL_tmpz00_18133 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_9077));
						BgL_auxz00_18132 = BGL_OBJECT_WIDENING(BgL_tmpz00_18133);
					}
					BgL_auxz00_18131 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_18132);
				}
				return
					(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18131))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2560 */
	BgL_funcallz00_bglt BGl_z62lambda2560z62zzcfa_infoz00(obj_t BgL_envz00_9078,
		obj_t BgL_o1377z00_9079)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				long BgL_arg2561z00_10618;

				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_arg2562z00_10619;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_arg2563z00_10620;

						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL_arg1866z00_10621;
							long BgL_arg1867z00_10622;

							BgL_arg1866z00_10621 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 95 */
								long BgL_arg1869z00_10623;

								BgL_arg1869z00_10623 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_o1377z00_9079)));
								BgL_arg1867z00_10622 = (BgL_arg1869z00_10623 - OBJECT_TYPE);
							}
							BgL_arg2563z00_10620 =
								VECTOR_REF(BgL_arg1866z00_10621, BgL_arg1867z00_10622);
						}
						BgL_arg2562z00_10619 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2563z00_10620);
					}
					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_tmpz00_18146;

						BgL_tmpz00_18146 = ((obj_t) BgL_arg2562z00_10619);
						BgL_arg2561z00_10618 = BGL_CLASS_NUM(BgL_tmpz00_18146);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) BgL_o1377z00_9079)), BgL_arg2561z00_10618);
			}
			{	/* Cfa/cinfo.scm 95 */
				BgL_objectz00_bglt BgL_tmpz00_18152;

				BgL_tmpz00_18152 =
					((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1377z00_9079));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18152, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1377z00_9079));
			return ((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1377z00_9079));
		}

	}



/* &<@anonymous:2559> */
	obj_t BGl_z62zc3z04anonymousza32559ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9080,
		obj_t BgL_new1376z00_9081)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallz00_bglt BgL_auxz00_18160;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1376z00_9081))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18164;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10625;

						BgL_classz00_10625 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1117z00_10626;

							BgL__ortest_1117z00_10626 = BGL_CLASS_NIL(BgL_classz00_10625);
							if (CBOOL(BgL__ortest_1117z00_10626))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18164 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10626);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18164 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10625));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1376z00_9081))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18164), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18174;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10627;

						BgL_classz00_10627 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1117z00_10628;

							BgL__ortest_1117z00_10628 = BGL_CLASS_NIL(BgL_classz00_10627);
							if (CBOOL(BgL__ortest_1117z00_10628))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18174 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10628);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18174 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10627));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_new1376z00_9081))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_18174), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_new1376z00_9081))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1376z00_9081))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1376z00_9081))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18202;
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18195;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10629;

						BgL_classz00_10629 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1117z00_10630;

							BgL__ortest_1117z00_10630 = BGL_CLASS_NIL(BgL_classz00_10629);
							if (CBOOL(BgL__ortest_1117z00_10630))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18202 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10630);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18202 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10629));
								}
						}
					}
					{
						obj_t BgL_auxz00_18196;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18197;

							BgL_tmpz00_18197 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1376z00_9081));
							BgL_auxz00_18196 = BGL_OBJECT_WIDENING(BgL_tmpz00_18197);
						}
						BgL_auxz00_18195 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18196);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18195))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18202), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_18217;
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18210;

					{	/* Cfa/cinfo.scm 95 */
						obj_t BgL_classz00_10631;

						BgL_classz00_10631 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL__ortest_1117z00_10632;

							BgL__ortest_1117z00_10632 = BGL_CLASS_NIL(BgL_classz00_10631);
							if (CBOOL(BgL__ortest_1117z00_10632))
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18217 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10632);
								}
							else
								{	/* Cfa/cinfo.scm 95 */
									BgL_auxz00_18217 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10631));
								}
						}
					}
					{
						obj_t BgL_auxz00_18211;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18212;

							BgL_tmpz00_18212 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1376z00_9081));
							BgL_auxz00_18211 = BGL_OBJECT_WIDENING(BgL_tmpz00_18212);
						}
						BgL_auxz00_18210 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18211);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18210))->
							BgL_vazd2approxzd2) =
						((BgL_approxz00_bglt) BgL_auxz00_18217), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18225;

					{
						obj_t BgL_auxz00_18226;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18227;

							BgL_tmpz00_18227 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1376z00_9081));
							BgL_auxz00_18226 = BGL_OBJECT_WIDENING(BgL_tmpz00_18227);
						}
						BgL_auxz00_18225 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18226);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18225))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18233;

					{
						obj_t BgL_auxz00_18234;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18235;

							BgL_tmpz00_18235 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1376z00_9081));
							BgL_auxz00_18234 = BGL_OBJECT_WIDENING(BgL_tmpz00_18235);
						}
						BgL_auxz00_18233 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18234);
					}
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18233))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_18160 = ((BgL_funcallz00_bglt) BgL_new1376z00_9081);
				return ((obj_t) BgL_auxz00_18160);
			}
		}

	}



/* &lambda2557 */
	BgL_funcallz00_bglt BGl_z62lambda2557z62zzcfa_infoz00(obj_t BgL_envz00_9082,
		obj_t BgL_o1373z00_9083)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				BgL_funcallzf2cinfozf2_bglt BgL_wide1375z00_10634;

				BgL_wide1375z00_10634 =
					((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 95 */
					obj_t BgL_auxz00_18248;
					BgL_objectz00_bglt BgL_tmpz00_18244;

					BgL_auxz00_18248 = ((obj_t) BgL_wide1375z00_10634);
					BgL_tmpz00_18244 =
						((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1373z00_9083)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18244, BgL_auxz00_18248);
				}
				((BgL_objectz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1373z00_9083)));
				{	/* Cfa/cinfo.scm 95 */
					long BgL_arg2558z00_10635;

					BgL_arg2558z00_10635 =
						BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_o1373z00_9083))),
						BgL_arg2558z00_10635);
				}
				return
					((BgL_funcallz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1373z00_9083)));
			}
		}

	}



/* &lambda2554 */
	BgL_funcallz00_bglt BGl_z62lambda2554z62zzcfa_infoz00(obj_t BgL_envz00_9084,
		obj_t BgL_loc1363z00_9085, obj_t BgL_type1364z00_9086,
		obj_t BgL_fun1365z00_9087, obj_t BgL_args1366z00_9088,
		obj_t BgL_strength1367z00_9089, obj_t BgL_functions1368z00_9090,
		obj_t BgL_approx1369z00_9091, obj_t BgL_vazd2approx1370zd2_9092,
		obj_t BgL_arityzd2errorzd2noticedzf31371zf3_9093,
		obj_t BgL_typezd2errorzd2noticedzf31372zf3_9094)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_arityzd2errorzd2noticedzf31371zf3_10641;
				bool_t BgL_typezd2errorzd2noticedzf31372zf3_10642;

				BgL_arityzd2errorzd2noticedzf31371zf3_10641 =
					CBOOL(BgL_arityzd2errorzd2noticedzf31371zf3_9093);
				BgL_typezd2errorzd2noticedzf31372zf3_10642 =
					CBOOL(BgL_typezd2errorzd2noticedzf31372zf3_9094);
				{	/* Cfa/cinfo.scm 95 */
					BgL_funcallz00_bglt BgL_new1754z00_10643;

					{	/* Cfa/cinfo.scm 95 */
						BgL_funcallz00_bglt BgL_tmp1752z00_10644;
						BgL_funcallzf2cinfozf2_bglt BgL_wide1753z00_10645;

						{
							BgL_funcallz00_bglt BgL_auxz00_18264;

							{	/* Cfa/cinfo.scm 95 */
								BgL_funcallz00_bglt BgL_new1751z00_10646;

								BgL_new1751z00_10646 =
									((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_funcallz00_bgl))));
								{	/* Cfa/cinfo.scm 95 */
									long BgL_arg2556z00_10647;

									BgL_arg2556z00_10647 =
										BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1751z00_10646),
										BgL_arg2556z00_10647);
								}
								{	/* Cfa/cinfo.scm 95 */
									BgL_objectz00_bglt BgL_tmpz00_18269;

									BgL_tmpz00_18269 =
										((BgL_objectz00_bglt) BgL_new1751z00_10646);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18269, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1751z00_10646);
								BgL_auxz00_18264 = BgL_new1751z00_10646;
							}
							BgL_tmp1752z00_10644 = ((BgL_funcallz00_bglt) BgL_auxz00_18264);
						}
						BgL_wide1753z00_10645 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 95 */
							obj_t BgL_auxz00_18277;
							BgL_objectz00_bglt BgL_tmpz00_18275;

							BgL_auxz00_18277 = ((obj_t) BgL_wide1753z00_10645);
							BgL_tmpz00_18275 = ((BgL_objectz00_bglt) BgL_tmp1752z00_10644);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18275, BgL_auxz00_18277);
						}
						((BgL_objectz00_bglt) BgL_tmp1752z00_10644);
						{	/* Cfa/cinfo.scm 95 */
							long BgL_arg2555z00_10648;

							BgL_arg2555z00_10648 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1752z00_10644),
								BgL_arg2555z00_10648);
						}
						BgL_new1754z00_10643 = ((BgL_funcallz00_bglt) BgL_tmp1752z00_10644);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1754z00_10643)))->BgL_locz00) =
						((obj_t) BgL_loc1363z00_9085), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1754z00_10643)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1364z00_9086)),
						BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1754z00_10643)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1365z00_9087)),
						BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1754z00_10643)))->BgL_argsz00) =
						((obj_t) BgL_args1366z00_9088), BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1754z00_10643)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1367z00_9089)), BUNSPEC);
					((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_new1754z00_10643)))->BgL_functionsz00) =
						((obj_t) BgL_functions1368z00_9090), BUNSPEC);
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18300;

						{
							obj_t BgL_auxz00_18301;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_18302;

								BgL_tmpz00_18302 = ((BgL_objectz00_bglt) BgL_new1754z00_10643);
								BgL_auxz00_18301 = BGL_OBJECT_WIDENING(BgL_tmpz00_18302);
							}
							BgL_auxz00_18300 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18301);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18300))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1369z00_9091)), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18308;

						{
							obj_t BgL_auxz00_18309;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_18310;

								BgL_tmpz00_18310 = ((BgL_objectz00_bglt) BgL_new1754z00_10643);
								BgL_auxz00_18309 = BGL_OBJECT_WIDENING(BgL_tmpz00_18310);
							}
							BgL_auxz00_18308 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18309);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18308))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_vazd2approx1370zd2_9092)), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18316;

						{
							obj_t BgL_auxz00_18317;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_18318;

								BgL_tmpz00_18318 = ((BgL_objectz00_bglt) BgL_new1754z00_10643);
								BgL_auxz00_18317 = BGL_OBJECT_WIDENING(BgL_tmpz00_18318);
							}
							BgL_auxz00_18316 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18317);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18316))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_arityzd2errorzd2noticedzf31371zf3_10641), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18323;

						{
							obj_t BgL_auxz00_18324;

							{	/* Cfa/cinfo.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_18325;

								BgL_tmpz00_18325 = ((BgL_objectz00_bglt) BgL_new1754z00_10643);
								BgL_auxz00_18324 = BGL_OBJECT_WIDENING(BgL_tmpz00_18325);
							}
							BgL_auxz00_18323 =
								((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18324);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18323))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_typezd2errorzd2noticedzf31372zf3_10642), BUNSPEC);
					}
					return BgL_new1754z00_10643;
				}
			}
		}

	}



/* &<@anonymous:2589> */
	obj_t BGl_z62zc3z04anonymousza32589ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9095)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 99 */
				bool_t BgL_tmpz00_18330;

				{	/* Cfa/cinfo.scm 99 */
					int BgL_arg2590z00_10649;

					BgL_arg2590z00_10649 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_tmpz00_18330 = ((long) (BgL_arg2590z00_10649) == 0L);
				}
				return BBOOL(BgL_tmpz00_18330);
			}
		}

	}



/* &lambda2588 */
	obj_t BGl_z62lambda2588z62zzcfa_infoz00(obj_t BgL_envz00_9096,
		obj_t BgL_oz00_9097, obj_t BgL_vz00_9098)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_vz00_10651;

				BgL_vz00_10651 = CBOOL(BgL_vz00_9098);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18336;

					{
						obj_t BgL_auxz00_18337;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18338;

							BgL_tmpz00_18338 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9097));
							BgL_auxz00_18337 = BGL_OBJECT_WIDENING(BgL_tmpz00_18338);
						}
						BgL_auxz00_18336 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18337);
					}
					return
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18336))->
							BgL_typezd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_vz00_10651), BUNSPEC);
				}
			}
		}

	}



/* &lambda2587 */
	obj_t BGl_z62lambda2587z62zzcfa_infoz00(obj_t BgL_envz00_9099,
		obj_t BgL_oz00_9100)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_tmpz00_18344;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18345;

					{
						obj_t BgL_auxz00_18346;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18347;

							BgL_tmpz00_18347 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9100));
							BgL_auxz00_18346 = BGL_OBJECT_WIDENING(BgL_tmpz00_18347);
						}
						BgL_auxz00_18345 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18346);
					}
					BgL_tmpz00_18344 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18345))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_18344);
			}
		}

	}



/* &<@anonymous:2581> */
	obj_t BGl_z62zc3z04anonymousza32581ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9101)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 98 */
				bool_t BgL_tmpz00_18354;

				{	/* Cfa/cinfo.scm 98 */
					int BgL_arg2582z00_10653;

					BgL_arg2582z00_10653 = BGl_bigloozd2warningzd2zz__paramz00();
					BgL_tmpz00_18354 = ((long) (BgL_arg2582z00_10653) == 0L);
				}
				return BBOOL(BgL_tmpz00_18354);
			}
		}

	}



/* &lambda2580 */
	obj_t BGl_z62lambda2580z62zzcfa_infoz00(obj_t BgL_envz00_9102,
		obj_t BgL_oz00_9103, obj_t BgL_vz00_9104)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_vz00_10655;

				BgL_vz00_10655 = CBOOL(BgL_vz00_9104);
				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18360;

					{
						obj_t BgL_auxz00_18361;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18362;

							BgL_tmpz00_18362 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9103));
							BgL_auxz00_18361 = BGL_OBJECT_WIDENING(BgL_tmpz00_18362);
						}
						BgL_auxz00_18360 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18361);
					}
					return
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18360))->
							BgL_arityzd2errorzd2noticedzf3zf3) =
						((bool_t) BgL_vz00_10655), BUNSPEC);
				}
			}
		}

	}



/* &lambda2579 */
	obj_t BGl_z62lambda2579z62zzcfa_infoz00(obj_t BgL_envz00_9105,
		obj_t BgL_oz00_9106)
	{
		{	/* Cfa/cinfo.scm 95 */
			{	/* Cfa/cinfo.scm 95 */
				bool_t BgL_tmpz00_18368;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18369;

					{
						obj_t BgL_auxz00_18370;

						{	/* Cfa/cinfo.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_18371;

							BgL_tmpz00_18371 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9106));
							BgL_auxz00_18370 = BGL_OBJECT_WIDENING(BgL_tmpz00_18371);
						}
						BgL_auxz00_18369 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18370);
					}
					BgL_tmpz00_18368 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18369))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				return BBOOL(BgL_tmpz00_18368);
			}
		}

	}



/* &lambda2574 */
	obj_t BGl_z62lambda2574z62zzcfa_infoz00(obj_t BgL_envz00_9107,
		obj_t BgL_oz00_9108, obj_t BgL_vz00_9109)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18378;

				{
					obj_t BgL_auxz00_18379;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_18380;

						BgL_tmpz00_18380 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9108));
						BgL_auxz00_18379 = BGL_OBJECT_WIDENING(BgL_tmpz00_18380);
					}
					BgL_auxz00_18378 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18379);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18378))->
						BgL_vazd2approxzd2) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9109)), BUNSPEC);
			}
		}

	}



/* &lambda2573 */
	BgL_approxz00_bglt BGl_z62lambda2573z62zzcfa_infoz00(obj_t BgL_envz00_9110,
		obj_t BgL_oz00_9111)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18387;

				{
					obj_t BgL_auxz00_18388;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_18389;

						BgL_tmpz00_18389 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9111));
						BgL_auxz00_18388 = BGL_OBJECT_WIDENING(BgL_tmpz00_18389);
					}
					BgL_auxz00_18387 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18388);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18387))->
					BgL_vazd2approxzd2);
			}
		}

	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzcfa_infoz00(obj_t BgL_envz00_9112,
		obj_t BgL_oz00_9113, obj_t BgL_vz00_9114)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18395;

				{
					obj_t BgL_auxz00_18396;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_18397;

						BgL_tmpz00_18397 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9113));
						BgL_auxz00_18396 = BGL_OBJECT_WIDENING(BgL_tmpz00_18397);
					}
					BgL_auxz00_18395 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18396);
				}
				return
					((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18395))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9114)), BUNSPEC);
			}
		}

	}



/* &lambda2567 */
	BgL_approxz00_bglt BGl_z62lambda2567z62zzcfa_infoz00(obj_t BgL_envz00_9115,
		obj_t BgL_oz00_9116)
	{
		{	/* Cfa/cinfo.scm 95 */
			{
				BgL_funcallzf2cinfozf2_bglt BgL_auxz00_18404;

				{
					obj_t BgL_auxz00_18405;

					{	/* Cfa/cinfo.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_18406;

						BgL_tmpz00_18406 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_9116));
						BgL_auxz00_18405 = BGL_OBJECT_WIDENING(BgL_tmpz00_18406);
					}
					BgL_auxz00_18404 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_18405);
				}
				return
					(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18404))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2537 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2537z62zzcfa_infoz00(obj_t BgL_envz00_9117,
		obj_t BgL_o1361z00_9118)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				long BgL_arg2538z00_10664;

				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_arg2539z00_10665;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_arg2541z00_10666;

						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL_arg1866z00_10667;
							long BgL_arg1867z00_10668;

							BgL_arg1866z00_10667 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 93 */
								long BgL_arg1869z00_10669;

								BgL_arg1869z00_10669 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_o1361z00_9118)));
								BgL_arg1867z00_10668 = (BgL_arg1869z00_10669 - OBJECT_TYPE);
							}
							BgL_arg2541z00_10666 =
								VECTOR_REF(BgL_arg1866z00_10667, BgL_arg1867z00_10668);
						}
						BgL_arg2539z00_10665 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2541z00_10666);
					}
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_tmpz00_18419;

						BgL_tmpz00_18419 = ((obj_t) BgL_arg2539z00_10665);
						BgL_arg2538z00_10664 = BGL_CLASS_NUM(BgL_tmpz00_18419);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt) BgL_o1361z00_9118)), BgL_arg2538z00_10664);
			}
			{	/* Cfa/cinfo.scm 93 */
				BgL_objectz00_bglt BgL_tmpz00_18425;

				BgL_tmpz00_18425 =
					((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1361z00_9118));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18425, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1361z00_9118));
			return
				((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1361z00_9118));
		}

	}



/* &<@anonymous:2536> */
	obj_t BGl_z62zc3z04anonymousza32536ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9119,
		obj_t BgL_new1360z00_9120)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_18433;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18437;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10671;

						BgL_classz00_10671 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1117z00_10672;

							BgL__ortest_1117z00_10672 = BGL_CLASS_NIL(BgL_classz00_10671);
							if (CBOOL(BgL__ortest_1117z00_10672))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18437 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10672);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18437 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10671));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18437), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18447;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10673;

						BgL_classz00_10673 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1117z00_10674;

							BgL__ortest_1117z00_10674 = BGL_CLASS_NIL(BgL_classz00_10673);
							if (CBOOL(BgL__ortest_1117z00_10674))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18447 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10674);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18447 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10673));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_18447), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_18457;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10675;

						BgL_classz00_10675 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1117z00_10676;

							BgL__ortest_1117z00_10676 = BGL_CLASS_NIL(BgL_classz00_10675);
							if (CBOOL(BgL__ortest_1117z00_10676))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18457 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10676);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18457 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10675));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120))))->
							BgL_argz00) = ((BgL_nodez00_bglt) BgL_auxz00_18457), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_18474;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18467;

					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_classz00_10677;

						BgL_classz00_10677 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 93 */
							obj_t BgL__ortest_1117z00_10678;

							BgL__ortest_1117z00_10678 = BGL_CLASS_NIL(BgL_classz00_10677);
							if (CBOOL(BgL__ortest_1117z00_10678))
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18474 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10678);
								}
							else
								{	/* Cfa/cinfo.scm 93 */
									BgL_auxz00_18474 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10677));
								}
						}
					}
					{
						obj_t BgL_auxz00_18468;

						{	/* Cfa/cinfo.scm 93 */
							BgL_objectz00_bglt BgL_tmpz00_18469;

							BgL_tmpz00_18469 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120));
							BgL_auxz00_18468 = BGL_OBJECT_WIDENING(BgL_tmpz00_18469);
						}
						BgL_auxz00_18467 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18468);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18467))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18474), BUNSPEC);
				}
				BgL_auxz00_18433 = ((BgL_appzd2lyzd2_bglt) BgL_new1360z00_9120);
				return ((obj_t) BgL_auxz00_18433);
			}
		}

	}



/* &lambda2534 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2534z62zzcfa_infoz00(obj_t BgL_envz00_9121,
		obj_t BgL_o1357z00_9122)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1359z00_10680;

				BgL_wide1359z00_10680 =
					((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 93 */
					obj_t BgL_auxz00_18489;
					BgL_objectz00_bglt BgL_tmpz00_18485;

					BgL_auxz00_18489 = ((obj_t) BgL_wide1359z00_10680);
					BgL_tmpz00_18485 =
						((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_o1357z00_9122)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18485, BgL_auxz00_18489);
				}
				((BgL_objectz00_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1357z00_9122)));
				{	/* Cfa/cinfo.scm 93 */
					long BgL_arg2535z00_10681;

					BgL_arg2535z00_10681 =
						BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_o1357z00_9122))),
						BgL_arg2535z00_10681);
				}
				return
					((BgL_appzd2lyzd2_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1357z00_9122)));
			}
		}

	}



/* &lambda2530 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2530z62zzcfa_infoz00(obj_t BgL_envz00_9123,
		obj_t BgL_loc1346z00_9124, obj_t BgL_type1347z00_9125,
		obj_t BgL_fun1348z00_9126, obj_t BgL_arg1355z00_9127,
		obj_t BgL_approx1356z00_9128)
	{
		{	/* Cfa/cinfo.scm 93 */
			{	/* Cfa/cinfo.scm 93 */
				BgL_appzd2lyzd2_bglt BgL_new1749z00_10686;

				{	/* Cfa/cinfo.scm 93 */
					BgL_appzd2lyzd2_bglt BgL_tmp1747z00_10687;
					BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1748z00_10688;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_18503;

						{	/* Cfa/cinfo.scm 93 */
							BgL_appzd2lyzd2_bglt BgL_new1746z00_10689;

							BgL_new1746z00_10689 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Cfa/cinfo.scm 93 */
								long BgL_arg2533z00_10690;

								BgL_arg2533z00_10690 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1746z00_10689),
									BgL_arg2533z00_10690);
							}
							{	/* Cfa/cinfo.scm 93 */
								BgL_objectz00_bglt BgL_tmpz00_18508;

								BgL_tmpz00_18508 = ((BgL_objectz00_bglt) BgL_new1746z00_10689);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18508, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1746z00_10689);
							BgL_auxz00_18503 = BgL_new1746z00_10689;
						}
						BgL_tmp1747z00_10687 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_18503);
					}
					BgL_wide1748z00_10688 =
						((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2cinfoz20_bgl))));
					{	/* Cfa/cinfo.scm 93 */
						obj_t BgL_auxz00_18516;
						BgL_objectz00_bglt BgL_tmpz00_18514;

						BgL_auxz00_18516 = ((obj_t) BgL_wide1748z00_10688);
						BgL_tmpz00_18514 = ((BgL_objectz00_bglt) BgL_tmp1747z00_10687);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18514, BgL_auxz00_18516);
					}
					((BgL_objectz00_bglt) BgL_tmp1747z00_10687);
					{	/* Cfa/cinfo.scm 93 */
						long BgL_arg2532z00_10691;

						BgL_arg2532z00_10691 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1747z00_10687),
							BgL_arg2532z00_10691);
					}
					BgL_new1749z00_10686 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1747z00_10687);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1749z00_10686)))->BgL_locz00) =
					((obj_t) BgL_loc1346z00_9124), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1749z00_10686)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1347z00_9125)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1749z00_10686)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1348z00_9126)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1749z00_10686)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1355z00_9127)),
					BUNSPEC);
				{
					BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18535;

					{
						obj_t BgL_auxz00_18536;

						{	/* Cfa/cinfo.scm 93 */
							BgL_objectz00_bglt BgL_tmpz00_18537;

							BgL_tmpz00_18537 = ((BgL_objectz00_bglt) BgL_new1749z00_10686);
							BgL_auxz00_18536 = BGL_OBJECT_WIDENING(BgL_tmpz00_18537);
						}
						BgL_auxz00_18535 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18536);
					}
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18535))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1356z00_9128)), BUNSPEC);
				}
				return BgL_new1749z00_10686;
			}
		}

	}



/* &lambda2547 */
	obj_t BGl_z62lambda2547z62zzcfa_infoz00(obj_t BgL_envz00_9129,
		obj_t BgL_oz00_9130, obj_t BgL_vz00_9131)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18543;

				{
					obj_t BgL_auxz00_18544;

					{	/* Cfa/cinfo.scm 93 */
						BgL_objectz00_bglt BgL_tmpz00_18545;

						BgL_tmpz00_18545 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_9130));
						BgL_auxz00_18544 = BGL_OBJECT_WIDENING(BgL_tmpz00_18545);
					}
					BgL_auxz00_18543 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18544);
				}
				return
					((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18543))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9131)), BUNSPEC);
			}
		}

	}



/* &lambda2546 */
	BgL_approxz00_bglt BGl_z62lambda2546z62zzcfa_infoz00(obj_t BgL_envz00_9132,
		obj_t BgL_oz00_9133)
	{
		{	/* Cfa/cinfo.scm 93 */
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_18552;

				{
					obj_t BgL_auxz00_18553;

					{	/* Cfa/cinfo.scm 93 */
						BgL_objectz00_bglt BgL_tmpz00_18554;

						BgL_tmpz00_18554 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_9133));
						BgL_auxz00_18553 = BGL_OBJECT_WIDENING(BgL_tmpz00_18554);
					}
					BgL_auxz00_18552 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_18553);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_18552))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2508 */
	BgL_kwotez00_bglt BGl_z62lambda2508z62zzcfa_infoz00(obj_t BgL_envz00_9134,
		obj_t BgL_o1344z00_9135)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				long BgL_arg2509z00_10696;

				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_arg2510z00_10697;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_arg2512z00_10698;

						{	/* Cfa/cinfo.scm 91 */
							obj_t BgL_arg1866z00_10699;
							long BgL_arg1867z00_10700;

							BgL_arg1866z00_10699 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 91 */
								long BgL_arg1869z00_10701;

								BgL_arg1869z00_10701 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1344z00_9135)));
								BgL_arg1867z00_10700 = (BgL_arg1869z00_10701 - OBJECT_TYPE);
							}
							BgL_arg2512z00_10698 =
								VECTOR_REF(BgL_arg1866z00_10699, BgL_arg1867z00_10700);
						}
						BgL_arg2510z00_10697 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2512z00_10698);
					}
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_tmpz00_18567;

						BgL_tmpz00_18567 = ((obj_t) BgL_arg2510z00_10697);
						BgL_arg2509z00_10696 = BGL_CLASS_NUM(BgL_tmpz00_18567);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1344z00_9135)), BgL_arg2509z00_10696);
			}
			{	/* Cfa/cinfo.scm 91 */
				BgL_objectz00_bglt BgL_tmpz00_18573;

				BgL_tmpz00_18573 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1344z00_9135));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18573, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1344z00_9135));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1344z00_9135));
		}

	}



/* &<@anonymous:2507> */
	obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9136,
		obj_t BgL_new1343z00_9137)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18581;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1343z00_9137))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18585;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_classz00_10703;

						BgL_classz00_10703 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 91 */
							obj_t BgL__ortest_1117z00_10704;

							BgL__ortest_1117z00_10704 = BGL_CLASS_NIL(BgL_classz00_10703);
							if (CBOOL(BgL__ortest_1117z00_10704))
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18585 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10704);
								}
							else
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18585 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10703));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1343z00_9137))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18585), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1343z00_9137))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18605;
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18598;

					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_classz00_10705;

						BgL_classz00_10705 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 91 */
							obj_t BgL__ortest_1117z00_10706;

							BgL__ortest_1117z00_10706 = BGL_CLASS_NIL(BgL_classz00_10705);
							if (CBOOL(BgL__ortest_1117z00_10706))
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18605 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10706);
								}
							else
								{	/* Cfa/cinfo.scm 91 */
									BgL_auxz00_18605 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10705));
								}
						}
					}
					{
						obj_t BgL_auxz00_18599;

						{	/* Cfa/cinfo.scm 91 */
							BgL_objectz00_bglt BgL_tmpz00_18600;

							BgL_tmpz00_18600 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1343z00_9137));
							BgL_auxz00_18599 = BGL_OBJECT_WIDENING(BgL_tmpz00_18600);
						}
						BgL_auxz00_18598 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18599);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18598))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18605), BUNSPEC);
				}
				BgL_auxz00_18581 = ((BgL_kwotez00_bglt) BgL_new1343z00_9137);
				return ((obj_t) BgL_auxz00_18581);
			}
		}

	}



/* &lambda2504 */
	BgL_kwotez00_bglt BGl_z62lambda2504z62zzcfa_infoz00(obj_t BgL_envz00_9138,
		obj_t BgL_o1340z00_9139)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				BgL_kwotezf2cinfozf2_bglt BgL_wide1342z00_10708;

				BgL_wide1342z00_10708 =
					((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 91 */
					obj_t BgL_auxz00_18620;
					BgL_objectz00_bglt BgL_tmpz00_18616;

					BgL_auxz00_18620 = ((obj_t) BgL_wide1342z00_10708);
					BgL_tmpz00_18616 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1340z00_9139)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18616, BgL_auxz00_18620);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1340z00_9139)));
				{	/* Cfa/cinfo.scm 91 */
					long BgL_arg2506z00_10709;

					BgL_arg2506z00_10709 =
						BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1340z00_9139))),
						BgL_arg2506z00_10709);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1340z00_9139)));
			}
		}

	}



/* &lambda2501 */
	BgL_kwotez00_bglt BGl_z62lambda2501z62zzcfa_infoz00(obj_t BgL_envz00_9140,
		obj_t BgL_loc1336z00_9141, obj_t BgL_type1337z00_9142,
		obj_t BgL_value1338z00_9143, obj_t BgL_approx1339z00_9144)
	{
		{	/* Cfa/cinfo.scm 91 */
			{	/* Cfa/cinfo.scm 91 */
				BgL_kwotez00_bglt BgL_new1744z00_10712;

				{	/* Cfa/cinfo.scm 91 */
					BgL_kwotez00_bglt BgL_tmp1742z00_10713;
					BgL_kwotezf2cinfozf2_bglt BgL_wide1743z00_10714;

					{
						BgL_kwotez00_bglt BgL_auxz00_18634;

						{	/* Cfa/cinfo.scm 91 */
							BgL_kwotez00_bglt BgL_new1741z00_10715;

							BgL_new1741z00_10715 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.scm 91 */
								long BgL_arg2503z00_10716;

								BgL_arg2503z00_10716 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1741z00_10715),
									BgL_arg2503z00_10716);
							}
							{	/* Cfa/cinfo.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_18639;

								BgL_tmpz00_18639 = ((BgL_objectz00_bglt) BgL_new1741z00_10715);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18639, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1741z00_10715);
							BgL_auxz00_18634 = BgL_new1741z00_10715;
						}
						BgL_tmp1742z00_10713 = ((BgL_kwotez00_bglt) BgL_auxz00_18634);
					}
					BgL_wide1743z00_10714 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 91 */
						obj_t BgL_auxz00_18647;
						BgL_objectz00_bglt BgL_tmpz00_18645;

						BgL_auxz00_18647 = ((obj_t) BgL_wide1743z00_10714);
						BgL_tmpz00_18645 = ((BgL_objectz00_bglt) BgL_tmp1742z00_10713);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18645, BgL_auxz00_18647);
					}
					((BgL_objectz00_bglt) BgL_tmp1742z00_10713);
					{	/* Cfa/cinfo.scm 91 */
						long BgL_arg2502z00_10717;

						BgL_arg2502z00_10717 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1742z00_10713),
							BgL_arg2502z00_10717);
					}
					BgL_new1744z00_10712 = ((BgL_kwotez00_bglt) BgL_tmp1742z00_10713);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1744z00_10712)))->BgL_locz00) =
					((obj_t) BgL_loc1336z00_9141), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1744z00_10712)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1337z00_9142)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1744z00_10712)))->BgL_valuez00) =
					((obj_t) BgL_value1338z00_9143), BUNSPEC);
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18662;

					{
						obj_t BgL_auxz00_18663;

						{	/* Cfa/cinfo.scm 91 */
							BgL_objectz00_bglt BgL_tmpz00_18664;

							BgL_tmpz00_18664 = ((BgL_objectz00_bglt) BgL_new1744z00_10712);
							BgL_auxz00_18663 = BGL_OBJECT_WIDENING(BgL_tmpz00_18664);
						}
						BgL_auxz00_18662 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18663);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18662))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1339z00_9144)), BUNSPEC);
				}
				return BgL_new1744z00_10712;
			}
		}

	}



/* &lambda2521 */
	obj_t BGl_z62lambda2521z62zzcfa_infoz00(obj_t BgL_envz00_9145,
		obj_t BgL_oz00_9146, obj_t BgL_vz00_9147)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18670;

				{
					obj_t BgL_auxz00_18671;

					{	/* Cfa/cinfo.scm 91 */
						BgL_objectz00_bglt BgL_tmpz00_18672;

						BgL_tmpz00_18672 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9146));
						BgL_auxz00_18671 = BGL_OBJECT_WIDENING(BgL_tmpz00_18672);
					}
					BgL_auxz00_18670 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18671);
				}
				return
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18670))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9147)), BUNSPEC);
			}
		}

	}



/* &lambda2520 */
	BgL_approxz00_bglt BGl_z62lambda2520z62zzcfa_infoz00(obj_t BgL_envz00_9148,
		obj_t BgL_oz00_9149)
	{
		{	/* Cfa/cinfo.scm 91 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_18679;

				{
					obj_t BgL_auxz00_18680;

					{	/* Cfa/cinfo.scm 91 */
						BgL_objectz00_bglt BgL_tmpz00_18681;

						BgL_tmpz00_18681 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9149));
						BgL_auxz00_18680 = BGL_OBJECT_WIDENING(BgL_tmpz00_18681);
					}
					BgL_auxz00_18679 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_18680);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_18679))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2483 */
	BgL_kwotez00_bglt BGl_z62lambda2483z62zzcfa_infoz00(obj_t BgL_envz00_9150,
		obj_t BgL_o1334z00_9151)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				long BgL_arg2485z00_10722;

				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_arg2487z00_10723;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_arg2488z00_10724;

						{	/* Cfa/cinfo.scm 89 */
							obj_t BgL_arg1866z00_10725;
							long BgL_arg1867z00_10726;

							BgL_arg1866z00_10725 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 89 */
								long BgL_arg1869z00_10727;

								BgL_arg1869z00_10727 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1334z00_9151)));
								BgL_arg1867z00_10726 = (BgL_arg1869z00_10727 - OBJECT_TYPE);
							}
							BgL_arg2488z00_10724 =
								VECTOR_REF(BgL_arg1866z00_10725, BgL_arg1867z00_10726);
						}
						BgL_arg2487z00_10723 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2488z00_10724);
					}
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_tmpz00_18694;

						BgL_tmpz00_18694 = ((obj_t) BgL_arg2487z00_10723);
						BgL_arg2485z00_10722 = BGL_CLASS_NUM(BgL_tmpz00_18694);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1334z00_9151)), BgL_arg2485z00_10722);
			}
			{	/* Cfa/cinfo.scm 89 */
				BgL_objectz00_bglt BgL_tmpz00_18700;

				BgL_tmpz00_18700 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1334z00_9151));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18700, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1334z00_9151));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1334z00_9151));
		}

	}



/* &<@anonymous:2482> */
	obj_t BGl_z62zc3z04anonymousza32482ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9152,
		obj_t BgL_new1333z00_9153)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18708;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1333z00_9153))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18712;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_classz00_10729;

						BgL_classz00_10729 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 89 */
							obj_t BgL__ortest_1117z00_10730;

							BgL__ortest_1117z00_10730 = BGL_CLASS_NIL(BgL_classz00_10729);
							if (CBOOL(BgL__ortest_1117z00_10730))
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18712 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10730);
								}
							else
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18712 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10729));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1333z00_9153))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18712), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1333z00_9153))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_18732;
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_18725;

					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_classz00_10731;

						BgL_classz00_10731 = BGl_nodez00zzast_nodez00;
						{	/* Cfa/cinfo.scm 89 */
							obj_t BgL__ortest_1117z00_10732;

							BgL__ortest_1117z00_10732 = BGL_CLASS_NIL(BgL_classz00_10731);
							if (CBOOL(BgL__ortest_1117z00_10732))
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18732 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10732);
								}
							else
								{	/* Cfa/cinfo.scm 89 */
									BgL_auxz00_18732 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10731));
								}
						}
					}
					{
						obj_t BgL_auxz00_18726;

						{	/* Cfa/cinfo.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_18727;

							BgL_tmpz00_18727 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1333z00_9153));
							BgL_auxz00_18726 = BGL_OBJECT_WIDENING(BgL_tmpz00_18727);
						}
						BgL_auxz00_18725 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18726);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18725))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_auxz00_18732), BUNSPEC);
				}
				BgL_auxz00_18708 = ((BgL_kwotez00_bglt) BgL_new1333z00_9153);
				return ((obj_t) BgL_auxz00_18708);
			}
		}

	}



/* &lambda2480 */
	BgL_kwotez00_bglt BGl_z62lambda2480z62zzcfa_infoz00(obj_t BgL_envz00_9154,
		obj_t BgL_o1330z00_9155)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				BgL_kwotezf2nodezf2_bglt BgL_wide1332z00_10734;

				BgL_wide1332z00_10734 =
					((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2nodezf2_bgl))));
				{	/* Cfa/cinfo.scm 89 */
					obj_t BgL_auxz00_18747;
					BgL_objectz00_bglt BgL_tmpz00_18743;

					BgL_auxz00_18747 = ((obj_t) BgL_wide1332z00_10734);
					BgL_tmpz00_18743 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1330z00_9155)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18743, BgL_auxz00_18747);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1330z00_9155)));
				{	/* Cfa/cinfo.scm 89 */
					long BgL_arg2481z00_10735;

					BgL_arg2481z00_10735 =
						BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1330z00_9155))),
						BgL_arg2481z00_10735);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1330z00_9155)));
			}
		}

	}



/* &lambda2477 */
	BgL_kwotez00_bglt BGl_z62lambda2477z62zzcfa_infoz00(obj_t BgL_envz00_9156,
		obj_t BgL_loc1326z00_9157, obj_t BgL_type1327z00_9158,
		obj_t BgL_value1328z00_9159, obj_t BgL_node1329z00_9160)
	{
		{	/* Cfa/cinfo.scm 89 */
			{	/* Cfa/cinfo.scm 89 */
				BgL_kwotez00_bglt BgL_new1739z00_10738;

				{	/* Cfa/cinfo.scm 89 */
					BgL_kwotez00_bglt BgL_tmp1737z00_10739;
					BgL_kwotezf2nodezf2_bglt BgL_wide1738z00_10740;

					{
						BgL_kwotez00_bglt BgL_auxz00_18761;

						{	/* Cfa/cinfo.scm 89 */
							BgL_kwotez00_bglt BgL_new1736z00_10741;

							BgL_new1736z00_10741 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Cfa/cinfo.scm 89 */
								long BgL_arg2479z00_10742;

								BgL_arg2479z00_10742 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1736z00_10741),
									BgL_arg2479z00_10742);
							}
							{	/* Cfa/cinfo.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_18766;

								BgL_tmpz00_18766 = ((BgL_objectz00_bglt) BgL_new1736z00_10741);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18766, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1736z00_10741);
							BgL_auxz00_18761 = BgL_new1736z00_10741;
						}
						BgL_tmp1737z00_10739 = ((BgL_kwotez00_bglt) BgL_auxz00_18761);
					}
					BgL_wide1738z00_10740 =
						((BgL_kwotezf2nodezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2nodezf2_bgl))));
					{	/* Cfa/cinfo.scm 89 */
						obj_t BgL_auxz00_18774;
						BgL_objectz00_bglt BgL_tmpz00_18772;

						BgL_auxz00_18774 = ((obj_t) BgL_wide1738z00_10740);
						BgL_tmpz00_18772 = ((BgL_objectz00_bglt) BgL_tmp1737z00_10739);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18772, BgL_auxz00_18774);
					}
					((BgL_objectz00_bglt) BgL_tmp1737z00_10739);
					{	/* Cfa/cinfo.scm 89 */
						long BgL_arg2478z00_10743;

						BgL_arg2478z00_10743 =
							BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1737z00_10739),
							BgL_arg2478z00_10743);
					}
					BgL_new1739z00_10738 = ((BgL_kwotez00_bglt) BgL_tmp1737z00_10739);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1739z00_10738)))->BgL_locz00) =
					((obj_t) BgL_loc1326z00_9157), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1739z00_10738)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1327z00_9158)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1739z00_10738)))->BgL_valuez00) =
					((obj_t) BgL_value1328z00_9159), BUNSPEC);
				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_18789;

					{
						obj_t BgL_auxz00_18790;

						{	/* Cfa/cinfo.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_18791;

							BgL_tmpz00_18791 = ((BgL_objectz00_bglt) BgL_new1739z00_10738);
							BgL_auxz00_18790 = BGL_OBJECT_WIDENING(BgL_tmpz00_18791);
						}
						BgL_auxz00_18789 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18790);
					}
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18789))->
							BgL_nodez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_node1329z00_9160)),
						BUNSPEC);
				}
				return BgL_new1739z00_10738;
			}
		}

	}



/* &lambda2493 */
	obj_t BGl_z62lambda2493z62zzcfa_infoz00(obj_t BgL_envz00_9161,
		obj_t BgL_oz00_9162, obj_t BgL_vz00_9163)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_18797;

				{
					obj_t BgL_auxz00_18798;

					{	/* Cfa/cinfo.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_18799;

						BgL_tmpz00_18799 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9162));
						BgL_auxz00_18798 = BGL_OBJECT_WIDENING(BgL_tmpz00_18799);
					}
					BgL_auxz00_18797 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18798);
				}
				return
					((((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18797))->
						BgL_nodez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_9163)), BUNSPEC);
			}
		}

	}



/* &lambda2492 */
	BgL_nodez00_bglt BGl_z62lambda2492z62zzcfa_infoz00(obj_t BgL_envz00_9164,
		obj_t BgL_oz00_9165)
	{
		{	/* Cfa/cinfo.scm 89 */
			{
				BgL_kwotezf2nodezf2_bglt BgL_auxz00_18806;

				{
					obj_t BgL_auxz00_18807;

					{	/* Cfa/cinfo.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_18808;

						BgL_tmpz00_18808 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_9165));
						BgL_auxz00_18807 = BGL_OBJECT_WIDENING(BgL_tmpz00_18808);
					}
					BgL_auxz00_18806 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_18807);
				}
				return
					(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_18806))->BgL_nodez00);
			}
		}

	}



/* &lambda2459 */
	BgL_patchz00_bglt BGl_z62lambda2459z62zzcfa_infoz00(obj_t BgL_envz00_9166,
		obj_t BgL_o1324z00_9167)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				long BgL_arg2461z00_10748;

				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_arg2462z00_10749;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_arg2464z00_10750;

						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL_arg1866z00_10751;
							long BgL_arg1867z00_10752;

							BgL_arg1866z00_10751 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 87 */
								long BgL_arg1869z00_10753;

								BgL_arg1869z00_10753 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_patchz00_bglt) BgL_o1324z00_9167)));
								BgL_arg1867z00_10752 = (BgL_arg1869z00_10753 - OBJECT_TYPE);
							}
							BgL_arg2464z00_10750 =
								VECTOR_REF(BgL_arg1866z00_10751, BgL_arg1867z00_10752);
						}
						BgL_arg2462z00_10749 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2464z00_10750);
					}
					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_tmpz00_18821;

						BgL_tmpz00_18821 = ((obj_t) BgL_arg2462z00_10749);
						BgL_arg2461z00_10748 = BGL_CLASS_NUM(BgL_tmpz00_18821);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) BgL_o1324z00_9167)), BgL_arg2461z00_10748);
			}
			{	/* Cfa/cinfo.scm 87 */
				BgL_objectz00_bglt BgL_tmpz00_18827;

				BgL_tmpz00_18827 =
					((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_o1324z00_9167));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18827, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_o1324z00_9167));
			return ((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1324z00_9167));
		}

	}



/* &<@anonymous:2458> */
	obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9168,
		obj_t BgL_new1323z00_9169)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchz00_bglt BgL_auxz00_18835;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1323z00_9169))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18839;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10755;

						BgL_classz00_10755 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1117z00_10756;

							BgL__ortest_1117z00_10756 = BGL_CLASS_NIL(BgL_classz00_10755);
							if (CBOOL(BgL__ortest_1117z00_10756))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18839 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10756);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18839 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10755));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1323z00_9169))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18839), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1323z00_9169))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_18852;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10757;

						BgL_classz00_10757 = BGl_varz00zzast_nodez00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1117z00_10758;

							BgL__ortest_1117z00_10758 = BGL_CLASS_NIL(BgL_classz00_10757);
							if (CBOOL(BgL__ortest_1117z00_10758))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18852 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10758);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18852 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10757));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt)
										((BgL_patchz00_bglt) BgL_new1323z00_9169))))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_18852), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt)
									((BgL_patchz00_bglt) BgL_new1323z00_9169))))->BgL_indexz00) =
					((long) 0L), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt) ((BgL_patchz00_bglt)
										BgL_new1323z00_9169))))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_18875;
					BgL_patchzf2cinfozf2_bglt BgL_auxz00_18868;

					{	/* Cfa/cinfo.scm 87 */
						obj_t BgL_classz00_10759;

						BgL_classz00_10759 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL__ortest_1117z00_10760;

							BgL__ortest_1117z00_10760 = BGL_CLASS_NIL(BgL_classz00_10759);
							if (CBOOL(BgL__ortest_1117z00_10760))
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18875 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10760);
								}
							else
								{	/* Cfa/cinfo.scm 87 */
									BgL_auxz00_18875 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10759));
								}
						}
					}
					{
						obj_t BgL_auxz00_18869;

						{	/* Cfa/cinfo.scm 87 */
							BgL_objectz00_bglt BgL_tmpz00_18870;

							BgL_tmpz00_18870 =
								((BgL_objectz00_bglt)
								((BgL_patchz00_bglt) BgL_new1323z00_9169));
							BgL_auxz00_18869 = BGL_OBJECT_WIDENING(BgL_tmpz00_18870);
						}
						BgL_auxz00_18868 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18869);
					}
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18868))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_18875), BUNSPEC);
				}
				BgL_auxz00_18835 = ((BgL_patchz00_bglt) BgL_new1323z00_9169);
				return ((obj_t) BgL_auxz00_18835);
			}
		}

	}



/* &lambda2456 */
	BgL_patchz00_bglt BGl_z62lambda2456z62zzcfa_infoz00(obj_t BgL_envz00_9170,
		obj_t BgL_o1320z00_9171)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				BgL_patchzf2cinfozf2_bglt BgL_wide1322z00_10762;

				BgL_wide1322z00_10762 =
					((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 87 */
					obj_t BgL_auxz00_18890;
					BgL_objectz00_bglt BgL_tmpz00_18886;

					BgL_auxz00_18890 = ((obj_t) BgL_wide1322z00_10762);
					BgL_tmpz00_18886 =
						((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1320z00_9171)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18886, BgL_auxz00_18890);
				}
				((BgL_objectz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1320z00_9171)));
				{	/* Cfa/cinfo.scm 87 */
					long BgL_arg2457z00_10763;

					BgL_arg2457z00_10763 =
						BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_patchz00_bglt)
								((BgL_patchz00_bglt) BgL_o1320z00_9171))),
						BgL_arg2457z00_10763);
				}
				return
					((BgL_patchz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_o1320z00_9171)));
			}
		}

	}



/* &lambda2452 */
	BgL_patchz00_bglt BGl_z62lambda2452z62zzcfa_infoz00(obj_t BgL_envz00_9172,
		obj_t BgL_loc1313z00_9173, obj_t BgL_type1314z00_9174,
		obj_t BgL_value1315z00_9175, obj_t BgL_ref1316z00_9176,
		obj_t BgL_index1317z00_9177, obj_t BgL_patchid1318z00_9178,
		obj_t BgL_approx1319z00_9179)
	{
		{	/* Cfa/cinfo.scm 87 */
			{	/* Cfa/cinfo.scm 87 */
				long BgL_index1317z00_10766;

				BgL_index1317z00_10766 = (long) CINT(BgL_index1317z00_9177);
				{	/* Cfa/cinfo.scm 87 */
					BgL_patchz00_bglt BgL_new1734z00_10768;

					{	/* Cfa/cinfo.scm 87 */
						BgL_patchz00_bglt BgL_tmp1732z00_10769;
						BgL_patchzf2cinfozf2_bglt BgL_wide1733z00_10770;

						{
							BgL_patchz00_bglt BgL_auxz00_18905;

							{	/* Cfa/cinfo.scm 87 */
								BgL_patchz00_bglt BgL_new1731z00_10771;

								BgL_new1731z00_10771 =
									((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_patchz00_bgl))));
								{	/* Cfa/cinfo.scm 87 */
									long BgL_arg2455z00_10772;

									BgL_arg2455z00_10772 =
										BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1731z00_10771),
										BgL_arg2455z00_10772);
								}
								{	/* Cfa/cinfo.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_18910;

									BgL_tmpz00_18910 =
										((BgL_objectz00_bglt) BgL_new1731z00_10771);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18910, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1731z00_10771);
								BgL_auxz00_18905 = BgL_new1731z00_10771;
							}
							BgL_tmp1732z00_10769 = ((BgL_patchz00_bglt) BgL_auxz00_18905);
						}
						BgL_wide1733z00_10770 =
							((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 87 */
							obj_t BgL_auxz00_18918;
							BgL_objectz00_bglt BgL_tmpz00_18916;

							BgL_auxz00_18918 = ((obj_t) BgL_wide1733z00_10770);
							BgL_tmpz00_18916 = ((BgL_objectz00_bglt) BgL_tmp1732z00_10769);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18916, BgL_auxz00_18918);
						}
						((BgL_objectz00_bglt) BgL_tmp1732z00_10769);
						{	/* Cfa/cinfo.scm 87 */
							long BgL_arg2454z00_10773;

							BgL_arg2454z00_10773 =
								BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1732z00_10769),
								BgL_arg2454z00_10773);
						}
						BgL_new1734z00_10768 = ((BgL_patchz00_bglt) BgL_tmp1732z00_10769);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1734z00_10768)))->BgL_locz00) =
						((obj_t) BgL_loc1313z00_9173), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1734z00_10768)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1314z00_9174)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1734z00_10768)))->BgL_valuez00) =
						((obj_t) BgL_value1315z00_9175), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1734z00_10768)))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1316z00_9176)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1734z00_10768)))->BgL_indexz00) =
						((long) BgL_index1317z00_10766), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
										BgL_new1734z00_10768)))->BgL_patchidz00) =
						((obj_t) BgL_patchid1318z00_9178), BUNSPEC);
					{
						BgL_patchzf2cinfozf2_bglt BgL_auxz00_18940;

						{
							obj_t BgL_auxz00_18941;

							{	/* Cfa/cinfo.scm 87 */
								BgL_objectz00_bglt BgL_tmpz00_18942;

								BgL_tmpz00_18942 = ((BgL_objectz00_bglt) BgL_new1734z00_10768);
								BgL_auxz00_18941 = BGL_OBJECT_WIDENING(BgL_tmpz00_18942);
							}
							BgL_auxz00_18940 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18941);
						}
						((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18940))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1319z00_9179)), BUNSPEC);
					}
					return BgL_new1734z00_10768;
				}
			}
		}

	}



/* &lambda2469 */
	obj_t BGl_z62lambda2469z62zzcfa_infoz00(obj_t BgL_envz00_9180,
		obj_t BgL_oz00_9181, obj_t BgL_vz00_9182)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_18948;

				{
					obj_t BgL_auxz00_18949;

					{	/* Cfa/cinfo.scm 87 */
						BgL_objectz00_bglt BgL_tmpz00_18950;

						BgL_tmpz00_18950 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_oz00_9181));
						BgL_auxz00_18949 = BGL_OBJECT_WIDENING(BgL_tmpz00_18950);
					}
					BgL_auxz00_18948 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18949);
				}
				return
					((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18948))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9182)), BUNSPEC);
			}
		}

	}



/* &lambda2468 */
	BgL_approxz00_bglt BGl_z62lambda2468z62zzcfa_infoz00(obj_t BgL_envz00_9183,
		obj_t BgL_oz00_9184)
	{
		{	/* Cfa/cinfo.scm 87 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_18957;

				{
					obj_t BgL_auxz00_18958;

					{	/* Cfa/cinfo.scm 87 */
						BgL_objectz00_bglt BgL_tmpz00_18959;

						BgL_tmpz00_18959 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_oz00_9184));
						BgL_auxz00_18958 = BGL_OBJECT_WIDENING(BgL_tmpz00_18959);
					}
					BgL_auxz00_18957 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_18958);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_18957))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2426 */
	BgL_genpatchidz00_bglt BGl_z62lambda2426z62zzcfa_infoz00(obj_t
		BgL_envz00_9185, obj_t BgL_o1311z00_9186)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				long BgL_arg2428z00_10778;

				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_arg2429z00_10779;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_arg2430z00_10780;

						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL_arg1866z00_10781;
							long BgL_arg1867z00_10782;

							BgL_arg1866z00_10781 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 85 */
								long BgL_arg1869z00_10783;

								BgL_arg1869z00_10783 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_genpatchidz00_bglt) BgL_o1311z00_9186)));
								BgL_arg1867z00_10782 = (BgL_arg1869z00_10783 - OBJECT_TYPE);
							}
							BgL_arg2430z00_10780 =
								VECTOR_REF(BgL_arg1866z00_10781, BgL_arg1867z00_10782);
						}
						BgL_arg2429z00_10779 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2430z00_10780);
					}
					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_tmpz00_18972;

						BgL_tmpz00_18972 = ((obj_t) BgL_arg2429z00_10779);
						BgL_arg2428z00_10778 = BGL_CLASS_NUM(BgL_tmpz00_18972);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1311z00_9186)),
					BgL_arg2428z00_10778);
			}
			{	/* Cfa/cinfo.scm 85 */
				BgL_objectz00_bglt BgL_tmpz00_18978;

				BgL_tmpz00_18978 =
					((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1311z00_9186));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18978, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1311z00_9186));
			return
				((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt) BgL_o1311z00_9186));
		}

	}



/* &<@anonymous:2425> */
	obj_t BGl_z62zc3z04anonymousza32425ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9187,
		obj_t BgL_new1310z00_9188)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_18986;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1310z00_9188))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18990;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_classz00_10785;

						BgL_classz00_10785 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL__ortest_1117z00_10786;

							BgL__ortest_1117z00_10786 = BGL_CLASS_NIL(BgL_classz00_10785);
							if (CBOOL(BgL__ortest_1117z00_10786))
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18990 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10786);
								}
							else
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_18990 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10785));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1310z00_9188))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18990), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1310z00_9188))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1310z00_9188))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1310z00_9188))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1310z00_9188))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt)
							COBJECT(((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1310z00_9188))))->BgL_indexz00) =
					((long) 0L), BUNSPEC);
				((((BgL_genpatchidz00_bglt)
							COBJECT(((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1310z00_9188))))->BgL_rindexz00) =
					((long) 0L), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19025;
					BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_19018;

					{	/* Cfa/cinfo.scm 85 */
						obj_t BgL_classz00_10787;

						BgL_classz00_10787 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL__ortest_1117z00_10788;

							BgL__ortest_1117z00_10788 = BGL_CLASS_NIL(BgL_classz00_10787);
							if (CBOOL(BgL__ortest_1117z00_10788))
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_19025 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10788);
								}
							else
								{	/* Cfa/cinfo.scm 85 */
									BgL_auxz00_19025 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10787));
								}
						}
					}
					{
						obj_t BgL_auxz00_19019;

						{	/* Cfa/cinfo.scm 85 */
							BgL_objectz00_bglt BgL_tmpz00_19020;

							BgL_tmpz00_19020 =
								((BgL_objectz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_new1310z00_9188));
							BgL_auxz00_19019 = BGL_OBJECT_WIDENING(BgL_tmpz00_19020);
						}
						BgL_auxz00_19018 =
							((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_19019);
					}
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19018))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19025), BUNSPEC);
				}
				BgL_auxz00_18986 = ((BgL_genpatchidz00_bglt) BgL_new1310z00_9188);
				return ((obj_t) BgL_auxz00_18986);
			}
		}

	}



/* &lambda2423 */
	BgL_genpatchidz00_bglt BGl_z62lambda2423z62zzcfa_infoz00(obj_t
		BgL_envz00_9189, obj_t BgL_o1307z00_9190)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				BgL_genpatchidzf2cinfozf2_bglt BgL_wide1309z00_10790;

				BgL_wide1309z00_10790 =
					((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 85 */
					obj_t BgL_auxz00_19040;
					BgL_objectz00_bglt BgL_tmpz00_19036;

					BgL_auxz00_19040 = ((obj_t) BgL_wide1309z00_10790);
					BgL_tmpz00_19036 =
						((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_o1307z00_9190)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19036, BgL_auxz00_19040);
				}
				((BgL_objectz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1307z00_9190)));
				{	/* Cfa/cinfo.scm 85 */
					long BgL_arg2424z00_10791;

					BgL_arg2424z00_10791 =
						BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_o1307z00_9190))),
						BgL_arg2424z00_10791);
				}
				return
					((BgL_genpatchidz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_o1307z00_9190)));
			}
		}

	}



/* &lambda2418 */
	BgL_genpatchidz00_bglt BGl_z62lambda2418z62zzcfa_infoz00(obj_t
		BgL_envz00_9191, obj_t BgL_loc1298z00_9192, obj_t BgL_type1299z00_9193,
		obj_t BgL_sidezd2effect1300zd2_9194, obj_t BgL_key1301z00_9195,
		obj_t BgL_exprza21302za2_9196, obj_t BgL_effect1303z00_9197,
		obj_t BgL_index1304z00_9198, obj_t BgL_rindex1305z00_9199,
		obj_t BgL_approx1306z00_9200)
	{
		{	/* Cfa/cinfo.scm 85 */
			{	/* Cfa/cinfo.scm 85 */
				long BgL_index1304z00_10794;
				long BgL_rindex1305z00_10795;

				BgL_index1304z00_10794 = (long) CINT(BgL_index1304z00_9198);
				BgL_rindex1305z00_10795 = (long) CINT(BgL_rindex1305z00_9199);
				{	/* Cfa/cinfo.scm 85 */
					BgL_genpatchidz00_bglt BgL_new1729z00_10797;

					{	/* Cfa/cinfo.scm 85 */
						BgL_genpatchidz00_bglt BgL_tmp1727z00_10798;
						BgL_genpatchidzf2cinfozf2_bglt BgL_wide1728z00_10799;

						{
							BgL_genpatchidz00_bglt BgL_auxz00_19056;

							{	/* Cfa/cinfo.scm 85 */
								BgL_genpatchidz00_bglt BgL_new1726z00_10800;

								BgL_new1726z00_10800 =
									((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_genpatchidz00_bgl))));
								{	/* Cfa/cinfo.scm 85 */
									long BgL_arg2422z00_10801;

									BgL_arg2422z00_10801 =
										BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1726z00_10800),
										BgL_arg2422z00_10801);
								}
								{	/* Cfa/cinfo.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_19061;

									BgL_tmpz00_19061 =
										((BgL_objectz00_bglt) BgL_new1726z00_10800);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19061, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1726z00_10800);
								BgL_auxz00_19056 = BgL_new1726z00_10800;
							}
							BgL_tmp1727z00_10798 =
								((BgL_genpatchidz00_bglt) BgL_auxz00_19056);
						}
						BgL_wide1728z00_10799 =
							((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 85 */
							obj_t BgL_auxz00_19069;
							BgL_objectz00_bglt BgL_tmpz00_19067;

							BgL_auxz00_19069 = ((obj_t) BgL_wide1728z00_10799);
							BgL_tmpz00_19067 = ((BgL_objectz00_bglt) BgL_tmp1727z00_10798);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19067, BgL_auxz00_19069);
						}
						((BgL_objectz00_bglt) BgL_tmp1727z00_10798);
						{	/* Cfa/cinfo.scm 85 */
							long BgL_arg2421z00_10802;

							BgL_arg2421z00_10802 =
								BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1727z00_10798),
								BgL_arg2421z00_10802);
						}
						BgL_new1729z00_10797 =
							((BgL_genpatchidz00_bglt) BgL_tmp1727z00_10798);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1729z00_10797)))->BgL_locz00) =
						((obj_t) BgL_loc1298z00_9192), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1729z00_10797)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1299z00_9193)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1729z00_10797)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1300zd2_9194), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1729z00_10797)))->BgL_keyz00) =
						((obj_t) BgL_key1301z00_9195), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1729z00_10797)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21302za2_9196)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1729z00_10797)))->BgL_effectz00) =
						((obj_t) BgL_effect1303z00_9197), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
										BgL_new1729z00_10797)))->BgL_indexz00) =
						((long) BgL_index1304z00_10794), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
										BgL_new1729z00_10797)))->BgL_rindexz00) =
						((long) BgL_rindex1305z00_10795), BUNSPEC);
					{
						BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_19095;

						{
							obj_t BgL_auxz00_19096;

							{	/* Cfa/cinfo.scm 85 */
								BgL_objectz00_bglt BgL_tmpz00_19097;

								BgL_tmpz00_19097 = ((BgL_objectz00_bglt) BgL_new1729z00_10797);
								BgL_auxz00_19096 = BGL_OBJECT_WIDENING(BgL_tmpz00_19097);
							}
							BgL_auxz00_19095 =
								((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_19096);
						}
						((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19095))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1306z00_9200)), BUNSPEC);
					}
					return BgL_new1729z00_10797;
				}
			}
		}

	}



/* &lambda2440 */
	obj_t BGl_z62lambda2440z62zzcfa_infoz00(obj_t BgL_envz00_9201,
		obj_t BgL_oz00_9202, obj_t BgL_vz00_9203)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_19103;

				{
					obj_t BgL_auxz00_19104;

					{	/* Cfa/cinfo.scm 85 */
						BgL_objectz00_bglt BgL_tmpz00_19105;

						BgL_tmpz00_19105 =
							((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_oz00_9202));
						BgL_auxz00_19104 = BGL_OBJECT_WIDENING(BgL_tmpz00_19105);
					}
					BgL_auxz00_19103 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_19104);
				}
				return
					((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19103))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9203)), BUNSPEC);
			}
		}

	}



/* &lambda2439 */
	BgL_approxz00_bglt BGl_z62lambda2439z62zzcfa_infoz00(obj_t BgL_envz00_9204,
		obj_t BgL_oz00_9205)
	{
		{	/* Cfa/cinfo.scm 85 */
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_19112;

				{
					obj_t BgL_auxz00_19113;

					{	/* Cfa/cinfo.scm 85 */
						BgL_objectz00_bglt BgL_tmpz00_19114;

						BgL_tmpz00_19114 =
							((BgL_objectz00_bglt) ((BgL_genpatchidz00_bglt) BgL_oz00_9205));
						BgL_auxz00_19113 = BGL_OBJECT_WIDENING(BgL_tmpz00_19114);
					}
					BgL_auxz00_19112 =
						((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_19113);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19112))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2395 */
	BgL_literalz00_bglt BGl_z62lambda2395z62zzcfa_infoz00(obj_t BgL_envz00_9206,
		obj_t BgL_o1296z00_9207)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				long BgL_arg2396z00_10807;

				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_arg2398z00_10808;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_arg2399z00_10809;

						{	/* Cfa/cinfo.scm 83 */
							obj_t BgL_arg1866z00_10810;
							long BgL_arg1867z00_10811;

							BgL_arg1866z00_10810 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 83 */
								long BgL_arg1869z00_10812;

								BgL_arg1869z00_10812 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_o1296z00_9207)));
								BgL_arg1867z00_10811 = (BgL_arg1869z00_10812 - OBJECT_TYPE);
							}
							BgL_arg2399z00_10809 =
								VECTOR_REF(BgL_arg1866z00_10810, BgL_arg1867z00_10811);
						}
						BgL_arg2398z00_10808 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2399z00_10809);
					}
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_tmpz00_19127;

						BgL_tmpz00_19127 = ((obj_t) BgL_arg2398z00_10808);
						BgL_arg2396z00_10807 = BGL_CLASS_NUM(BgL_tmpz00_19127);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) BgL_o1296z00_9207)), BgL_arg2396z00_10807);
			}
			{	/* Cfa/cinfo.scm 83 */
				BgL_objectz00_bglt BgL_tmpz00_19133;

				BgL_tmpz00_19133 =
					((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1296z00_9207));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19133, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1296z00_9207));
			return ((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1296z00_9207));
		}

	}



/* &<@anonymous:2394> */
	obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9208,
		obj_t BgL_new1295z00_9209)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalz00_bglt BgL_auxz00_19141;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1295z00_9209))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19145;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_classz00_10814;

						BgL_classz00_10814 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 83 */
							obj_t BgL__ortest_1117z00_10815;

							BgL__ortest_1117z00_10815 = BGL_CLASS_NIL(BgL_classz00_10814);
							if (CBOOL(BgL__ortest_1117z00_10815))
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_19145 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10815);
								}
							else
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_19145 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10814));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1295z00_9209))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_19145), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1295z00_9209))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19165;
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_19158;

					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_classz00_10816;

						BgL_classz00_10816 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 83 */
							obj_t BgL__ortest_1117z00_10817;

							BgL__ortest_1117z00_10817 = BGL_CLASS_NIL(BgL_classz00_10816);
							if (CBOOL(BgL__ortest_1117z00_10817))
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_19165 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10817);
								}
							else
								{	/* Cfa/cinfo.scm 83 */
									BgL_auxz00_19165 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10816));
								}
						}
					}
					{
						obj_t BgL_auxz00_19159;

						{	/* Cfa/cinfo.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_19160;

							BgL_tmpz00_19160 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1295z00_9209));
							BgL_auxz00_19159 = BGL_OBJECT_WIDENING(BgL_tmpz00_19160);
						}
						BgL_auxz00_19158 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_19159);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19158))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19165), BUNSPEC);
				}
				BgL_auxz00_19141 = ((BgL_literalz00_bglt) BgL_new1295z00_9209);
				return ((obj_t) BgL_auxz00_19141);
			}
		}

	}



/* &lambda2392 */
	BgL_literalz00_bglt BGl_z62lambda2392z62zzcfa_infoz00(obj_t BgL_envz00_9210,
		obj_t BgL_o1292z00_9211)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				BgL_literalzf2cinfozf2_bglt BgL_wide1294z00_10819;

				BgL_wide1294z00_10819 =
					((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 83 */
					obj_t BgL_auxz00_19180;
					BgL_objectz00_bglt BgL_tmpz00_19176;

					BgL_auxz00_19180 = ((obj_t) BgL_wide1294z00_10819);
					BgL_tmpz00_19176 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9211)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19176, BgL_auxz00_19180);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9211)));
				{	/* Cfa/cinfo.scm 83 */
					long BgL_arg2393z00_10820;

					BgL_arg2393z00_10820 =
						BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_o1292z00_9211))),
						BgL_arg2393z00_10820);
				}
				return
					((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1292z00_9211)));
			}
		}

	}



/* &lambda2389 */
	BgL_literalz00_bglt BGl_z62lambda2389z62zzcfa_infoz00(obj_t BgL_envz00_9212,
		obj_t BgL_loc1288z00_9213, obj_t BgL_type1289z00_9214,
		obj_t BgL_value1290z00_9215, obj_t BgL_approx1291z00_9216)
	{
		{	/* Cfa/cinfo.scm 83 */
			{	/* Cfa/cinfo.scm 83 */
				BgL_literalz00_bglt BgL_new1724z00_10823;

				{	/* Cfa/cinfo.scm 83 */
					BgL_literalz00_bglt BgL_tmp1722z00_10824;
					BgL_literalzf2cinfozf2_bglt BgL_wide1723z00_10825;

					{
						BgL_literalz00_bglt BgL_auxz00_19194;

						{	/* Cfa/cinfo.scm 83 */
							BgL_literalz00_bglt BgL_new1721z00_10826;

							BgL_new1721z00_10826 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Cfa/cinfo.scm 83 */
								long BgL_arg2391z00_10827;

								BgL_arg2391z00_10827 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1721z00_10826),
									BgL_arg2391z00_10827);
							}
							{	/* Cfa/cinfo.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_19199;

								BgL_tmpz00_19199 = ((BgL_objectz00_bglt) BgL_new1721z00_10826);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19199, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1721z00_10826);
							BgL_auxz00_19194 = BgL_new1721z00_10826;
						}
						BgL_tmp1722z00_10824 = ((BgL_literalz00_bglt) BgL_auxz00_19194);
					}
					BgL_wide1723z00_10825 =
						((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 83 */
						obj_t BgL_auxz00_19207;
						BgL_objectz00_bglt BgL_tmpz00_19205;

						BgL_auxz00_19207 = ((obj_t) BgL_wide1723z00_10825);
						BgL_tmpz00_19205 = ((BgL_objectz00_bglt) BgL_tmp1722z00_10824);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19205, BgL_auxz00_19207);
					}
					((BgL_objectz00_bglt) BgL_tmp1722z00_10824);
					{	/* Cfa/cinfo.scm 83 */
						long BgL_arg2390z00_10828;

						BgL_arg2390z00_10828 =
							BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1722z00_10824),
							BgL_arg2390z00_10828);
					}
					BgL_new1724z00_10823 = ((BgL_literalz00_bglt) BgL_tmp1722z00_10824);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1724z00_10823)))->BgL_locz00) =
					((obj_t) BgL_loc1288z00_9213), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1724z00_10823)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1289z00_9214)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1724z00_10823)))->BgL_valuez00) =
					((obj_t) BgL_value1290z00_9215), BUNSPEC);
				{
					BgL_literalzf2cinfozf2_bglt BgL_auxz00_19222;

					{
						obj_t BgL_auxz00_19223;

						{	/* Cfa/cinfo.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_19224;

							BgL_tmpz00_19224 = ((BgL_objectz00_bglt) BgL_new1724z00_10823);
							BgL_auxz00_19223 = BGL_OBJECT_WIDENING(BgL_tmpz00_19224);
						}
						BgL_auxz00_19222 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_19223);
					}
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19222))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1291z00_9216)), BUNSPEC);
				}
				return BgL_new1724z00_10823;
			}
		}

	}



/* &lambda2405 */
	obj_t BGl_z62lambda2405z62zzcfa_infoz00(obj_t BgL_envz00_9217,
		obj_t BgL_oz00_9218, obj_t BgL_vz00_9219)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_19230;

				{
					obj_t BgL_auxz00_19231;

					{	/* Cfa/cinfo.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_19232;

						BgL_tmpz00_19232 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_9218));
						BgL_auxz00_19231 = BGL_OBJECT_WIDENING(BgL_tmpz00_19232);
					}
					BgL_auxz00_19230 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_19231);
				}
				return
					((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19230))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9219)), BUNSPEC);
			}
		}

	}



/* &lambda2404 */
	BgL_approxz00_bglt BGl_z62lambda2404z62zzcfa_infoz00(obj_t BgL_envz00_9220,
		obj_t BgL_oz00_9221)
	{
		{	/* Cfa/cinfo.scm 83 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_19239;

				{
					obj_t BgL_auxz00_19240;

					{	/* Cfa/cinfo.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_19241;

						BgL_tmpz00_19241 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_9221));
						BgL_auxz00_19240 = BGL_OBJECT_WIDENING(BgL_tmpz00_19241);
					}
					BgL_auxz00_19239 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_19240);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19239))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2375 */
	BgL_globalz00_bglt BGl_z62lambda2375z62zzcfa_infoz00(obj_t BgL_envz00_9222,
		obj_t BgL_o1286z00_9223)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				long BgL_arg2377z00_10833;

				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_arg2379z00_10834;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_arg2380z00_10835;

						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL_arg1866z00_10836;
							long BgL_arg1867z00_10837;

							BgL_arg1866z00_10836 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 80 */
								long BgL_arg1869z00_10838;

								BgL_arg1869z00_10838 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1286z00_9223)));
								BgL_arg1867z00_10837 = (BgL_arg1869z00_10838 - OBJECT_TYPE);
							}
							BgL_arg2380z00_10835 =
								VECTOR_REF(BgL_arg1866z00_10836, BgL_arg1867z00_10837);
						}
						BgL_arg2379z00_10834 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2380z00_10835);
					}
					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_tmpz00_19254;

						BgL_tmpz00_19254 = ((obj_t) BgL_arg2379z00_10834);
						BgL_arg2377z00_10833 = BGL_CLASS_NUM(BgL_tmpz00_19254);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1286z00_9223)), BgL_arg2377z00_10833);
			}
			{	/* Cfa/cinfo.scm 80 */
				BgL_objectz00_bglt BgL_tmpz00_19260;

				BgL_tmpz00_19260 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1286z00_9223));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19260, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1286z00_9223));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1286z00_9223));
		}

	}



/* &<@anonymous:2374> */
	obj_t BGl_z62zc3z04anonymousza32374ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9224,
		obj_t BgL_new1285z00_9225)
	{
		{	/* Cfa/cinfo.scm 80 */
			{
				BgL_globalz00_bglt BgL_auxz00_19268;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1285z00_9225))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19277;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_classz00_10840;

						BgL_classz00_10840 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL__ortest_1117z00_10841;

							BgL__ortest_1117z00_10841 = BGL_CLASS_NIL(BgL_classz00_10840);
							if (CBOOL(BgL__ortest_1117z00_10841))
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_19277 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10841);
								}
							else
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_19277 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10840));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1285z00_9225))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_19277), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19287;

					{	/* Cfa/cinfo.scm 80 */
						obj_t BgL_classz00_10842;

						BgL_classz00_10842 = BGl_valuez00zzast_varz00;
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL__ortest_1117z00_10843;

							BgL__ortest_1117z00_10843 = BGL_CLASS_NIL(BgL_classz00_10842);
							if (CBOOL(BgL__ortest_1117z00_10843))
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_19287 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_10843);
								}
							else
								{	/* Cfa/cinfo.scm 80 */
									BgL_auxz00_19287 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10842));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1285z00_9225))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19287), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1285z00_9225))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string3353z00zzcfa_infoz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1285z00_9225))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_19268 = ((BgL_globalz00_bglt) BgL_new1285z00_9225);
				return ((obj_t) BgL_auxz00_19268);
			}
		}

	}



/* &lambda2372 */
	BgL_globalz00_bglt BGl_z62lambda2372z62zzcfa_infoz00(obj_t BgL_envz00_9226,
		obj_t BgL_o1281z00_9227)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				BgL_reshapedzd2globalzd2_bglt BgL_wide1283z00_10845;

				BgL_wide1283z00_10845 =
					((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reshapedzd2globalzd2_bgl))));
				{	/* Cfa/cinfo.scm 80 */
					obj_t BgL_auxz00_19354;
					BgL_objectz00_bglt BgL_tmpz00_19350;

					BgL_auxz00_19354 = ((obj_t) BgL_wide1283z00_10845);
					BgL_tmpz00_19350 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1281z00_9227)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19350, BgL_auxz00_19354);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1281z00_9227)));
				{	/* Cfa/cinfo.scm 80 */
					long BgL_arg2373z00_10846;

					BgL_arg2373z00_10846 =
						BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1281z00_9227))),
						BgL_arg2373z00_10846);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1281z00_9227)));
			}
		}

	}



/* &lambda2366 */
	BgL_globalz00_bglt BGl_z62lambda2366z62zzcfa_infoz00(obj_t BgL_envz00_9228,
		obj_t BgL_id1261z00_9229, obj_t BgL_name1262z00_9230,
		obj_t BgL_type1263z00_9231, obj_t BgL_value1264z00_9232,
		obj_t BgL_access1265z00_9233, obj_t BgL_fastzd2alpha1266zd2_9234,
		obj_t BgL_removable1267z00_9235, obj_t BgL_occurrence1268z00_9236,
		obj_t BgL_occurrencew1269z00_9237, obj_t BgL_userzf31270zf3_9238,
		obj_t BgL_module1271z00_9239, obj_t BgL_import1272z00_9240,
		obj_t BgL_evaluablezf31273zf3_9241, obj_t BgL_evalzf31274zf3_9242,
		obj_t BgL_library1275z00_9243, obj_t BgL_pragma1276z00_9244,
		obj_t BgL_src1277z00_9245, obj_t BgL_qualifiedzd2typezd2name1278z00_9246,
		obj_t BgL_init1279z00_9247, obj_t BgL_alias1280z00_9248)
	{
		{	/* Cfa/cinfo.scm 80 */
			{	/* Cfa/cinfo.scm 80 */
				long BgL_occurrence1268z00_10850;
				long BgL_occurrencew1269z00_10851;
				bool_t BgL_userzf31270zf3_10852;
				bool_t BgL_evaluablezf31273zf3_10854;
				bool_t BgL_evalzf31274zf3_10855;

				BgL_occurrence1268z00_10850 = (long) CINT(BgL_occurrence1268z00_9236);
				BgL_occurrencew1269z00_10851 = (long) CINT(BgL_occurrencew1269z00_9237);
				BgL_userzf31270zf3_10852 = CBOOL(BgL_userzf31270zf3_9238);
				BgL_evaluablezf31273zf3_10854 = CBOOL(BgL_evaluablezf31273zf3_9241);
				BgL_evalzf31274zf3_10855 = CBOOL(BgL_evalzf31274zf3_9242);
				{	/* Cfa/cinfo.scm 80 */
					BgL_globalz00_bglt BgL_new1719z00_10857;

					{	/* Cfa/cinfo.scm 80 */
						BgL_globalz00_bglt BgL_tmp1717z00_10858;
						BgL_reshapedzd2globalzd2_bglt BgL_wide1718z00_10859;

						{
							BgL_globalz00_bglt BgL_auxz00_19373;

							{	/* Cfa/cinfo.scm 80 */
								BgL_globalz00_bglt BgL_new1716z00_10860;

								BgL_new1716z00_10860 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/cinfo.scm 80 */
									long BgL_arg2371z00_10861;

									BgL_arg2371z00_10861 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1716z00_10860),
										BgL_arg2371z00_10861);
								}
								{	/* Cfa/cinfo.scm 80 */
									BgL_objectz00_bglt BgL_tmpz00_19378;

									BgL_tmpz00_19378 =
										((BgL_objectz00_bglt) BgL_new1716z00_10860);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19378, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1716z00_10860);
								BgL_auxz00_19373 = BgL_new1716z00_10860;
							}
							BgL_tmp1717z00_10858 = ((BgL_globalz00_bglt) BgL_auxz00_19373);
						}
						BgL_wide1718z00_10859 =
							((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reshapedzd2globalzd2_bgl))));
						{	/* Cfa/cinfo.scm 80 */
							obj_t BgL_auxz00_19386;
							BgL_objectz00_bglt BgL_tmpz00_19384;

							BgL_auxz00_19386 = ((obj_t) BgL_wide1718z00_10859);
							BgL_tmpz00_19384 = ((BgL_objectz00_bglt) BgL_tmp1717z00_10858);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19384, BgL_auxz00_19386);
						}
						((BgL_objectz00_bglt) BgL_tmp1717z00_10858);
						{	/* Cfa/cinfo.scm 80 */
							long BgL_arg2369z00_10862;

							BgL_arg2369z00_10862 =
								BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1717z00_10858),
								BgL_arg2369z00_10862);
						}
						BgL_new1719z00_10857 = ((BgL_globalz00_bglt) BgL_tmp1717z00_10858);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1719z00_10857)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1261z00_9229)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_namez00) =
						((obj_t) BgL_name1262z00_9230), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1263z00_9231)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1264z00_9232)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_accessz00) =
						((obj_t) BgL_access1265z00_9233), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1266zd2_9234), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_removablez00) =
						((obj_t) BgL_removable1267z00_9235), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_occurrencez00) =
						((long) BgL_occurrence1268z00_10850), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1269z00_10851), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1719z00_10857)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31270zf3_10852), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1271z00_9239)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_importz00) =
						((obj_t) BgL_import1272z00_9240), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31273zf3_10854), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31274zf3_10855), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_libraryz00) =
						((obj_t) BgL_library1275z00_9243), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1276z00_9244), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_srcz00) =
						((obj_t) BgL_src1277z00_9245), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1278z00_9246)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_initz00) =
						((obj_t) BgL_init1279z00_9247), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1719z00_10857)))->BgL_aliasz00) =
						((obj_t) BgL_alias1280z00_9248), BUNSPEC);
					return BgL_new1719z00_10857;
				}
			}
		}

	}



/* &lambda2347 */
	BgL_localz00_bglt BGl_z62lambda2347z62zzcfa_infoz00(obj_t BgL_envz00_9249,
		obj_t BgL_o1259z00_9250)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				long BgL_arg2348z00_10864;

				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_arg2349z00_10865;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_arg2350z00_10866;

						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL_arg1866z00_10867;
							long BgL_arg1867z00_10868;

							BgL_arg1866z00_10867 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 78 */
								long BgL_arg1869z00_10869;

								BgL_arg1869z00_10869 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1259z00_9250)));
								BgL_arg1867z00_10868 = (BgL_arg1869z00_10869 - OBJECT_TYPE);
							}
							BgL_arg2350z00_10866 =
								VECTOR_REF(BgL_arg1866z00_10867, BgL_arg1867z00_10868);
						}
						BgL_arg2349z00_10865 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2350z00_10866);
					}
					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_tmpz00_19446;

						BgL_tmpz00_19446 = ((obj_t) BgL_arg2349z00_10865);
						BgL_arg2348z00_10864 = BGL_CLASS_NUM(BgL_tmpz00_19446);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1259z00_9250)), BgL_arg2348z00_10864);
			}
			{	/* Cfa/cinfo.scm 78 */
				BgL_objectz00_bglt BgL_tmpz00_19452;

				BgL_tmpz00_19452 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1259z00_9250));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19452, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1259z00_9250));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1259z00_9250));
		}

	}



/* &<@anonymous:2346> */
	obj_t BGl_z62zc3z04anonymousza32346ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9251,
		obj_t BgL_new1258z00_9252)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_localz00_bglt BgL_auxz00_19460;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1258z00_9252))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19469;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_classz00_10871;

						BgL_classz00_10871 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL__ortest_1117z00_10872;

							BgL__ortest_1117z00_10872 = BGL_CLASS_NIL(BgL_classz00_10871);
							if (CBOOL(BgL__ortest_1117z00_10872))
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19469 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10872);
								}
							else
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19469 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10871));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1258z00_9252))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19469), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19479;

					{	/* Cfa/cinfo.scm 78 */
						obj_t BgL_classz00_10873;

						BgL_classz00_10873 = BGl_valuez00zzast_varz00;
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL__ortest_1117z00_10874;

							BgL__ortest_1117z00_10874 = BGL_CLASS_NIL(BgL_classz00_10873);
							if (CBOOL(BgL__ortest_1117z00_10874))
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19479 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_10874);
								}
							else
								{	/* Cfa/cinfo.scm 78 */
									BgL_auxz00_19479 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10873));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1258z00_9252))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19479), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1258z00_9252))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1258z00_9252))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_19516;

					{
						obj_t BgL_auxz00_19517;

						{	/* Cfa/cinfo.scm 78 */
							BgL_objectz00_bglt BgL_tmpz00_19518;

							BgL_tmpz00_19518 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1258z00_9252));
							BgL_auxz00_19517 = BGL_OBJECT_WIDENING(BgL_tmpz00_19518);
						}
						BgL_auxz00_19516 =
							((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19517);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19516))->
							BgL_bindingzd2valuezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_19460 = ((BgL_localz00_bglt) BgL_new1258z00_9252);
				return ((obj_t) BgL_auxz00_19460);
			}
		}

	}



/* &lambda2344 */
	BgL_localz00_bglt BGl_z62lambda2344z62zzcfa_infoz00(obj_t BgL_envz00_9253,
		obj_t BgL_o1255z00_9254)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				BgL_reshapedzd2localzd2_bglt BgL_wide1257z00_10876;

				BgL_wide1257z00_10876 =
					((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reshapedzd2localzd2_bgl))));
				{	/* Cfa/cinfo.scm 78 */
					obj_t BgL_auxz00_19531;
					BgL_objectz00_bglt BgL_tmpz00_19527;

					BgL_auxz00_19531 = ((obj_t) BgL_wide1257z00_10876);
					BgL_tmpz00_19527 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1255z00_9254)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19527, BgL_auxz00_19531);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1255z00_9254)));
				{	/* Cfa/cinfo.scm 78 */
					long BgL_arg2345z00_10877;

					BgL_arg2345z00_10877 =
						BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1255z00_9254))),
						BgL_arg2345z00_10877);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1255z00_9254)));
			}
		}

	}



/* &lambda2341 */
	BgL_localz00_bglt BGl_z62lambda2341z62zzcfa_infoz00(obj_t BgL_envz00_9255,
		obj_t BgL_id1241z00_9256, obj_t BgL_name1242z00_9257,
		obj_t BgL_type1243z00_9258, obj_t BgL_value1244z00_9259,
		obj_t BgL_access1245z00_9260, obj_t BgL_fastzd2alpha1246zd2_9261,
		obj_t BgL_removable1247z00_9262, obj_t BgL_occurrence1248z00_9263,
		obj_t BgL_occurrencew1249z00_9264, obj_t BgL_userzf31250zf3_9265,
		obj_t BgL_key1251z00_9266, obj_t BgL_valzd2noescape1252zd2_9267,
		obj_t BgL_volatile1253z00_9268, obj_t BgL_bindingzd2value1254zd2_9269)
	{
		{	/* Cfa/cinfo.scm 78 */
			{	/* Cfa/cinfo.scm 78 */
				long BgL_occurrence1248z00_10881;
				long BgL_occurrencew1249z00_10882;
				bool_t BgL_userzf31250zf3_10883;
				long BgL_key1251z00_10884;
				bool_t BgL_volatile1253z00_10885;

				BgL_occurrence1248z00_10881 = (long) CINT(BgL_occurrence1248z00_9263);
				BgL_occurrencew1249z00_10882 = (long) CINT(BgL_occurrencew1249z00_9264);
				BgL_userzf31250zf3_10883 = CBOOL(BgL_userzf31250zf3_9265);
				BgL_key1251z00_10884 = (long) CINT(BgL_key1251z00_9266);
				BgL_volatile1253z00_10885 = CBOOL(BgL_volatile1253z00_9268);
				{	/* Cfa/cinfo.scm 78 */
					BgL_localz00_bglt BgL_new1714z00_10886;

					{	/* Cfa/cinfo.scm 78 */
						BgL_localz00_bglt BgL_tmp1712z00_10887;
						BgL_reshapedzd2localzd2_bglt BgL_wide1713z00_10888;

						{
							BgL_localz00_bglt BgL_auxz00_19550;

							{	/* Cfa/cinfo.scm 78 */
								BgL_localz00_bglt BgL_new1711z00_10889;

								BgL_new1711z00_10889 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Cfa/cinfo.scm 78 */
									long BgL_arg2343z00_10890;

									BgL_arg2343z00_10890 =
										BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1711z00_10889),
										BgL_arg2343z00_10890);
								}
								{	/* Cfa/cinfo.scm 78 */
									BgL_objectz00_bglt BgL_tmpz00_19555;

									BgL_tmpz00_19555 =
										((BgL_objectz00_bglt) BgL_new1711z00_10889);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19555, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1711z00_10889);
								BgL_auxz00_19550 = BgL_new1711z00_10889;
							}
							BgL_tmp1712z00_10887 = ((BgL_localz00_bglt) BgL_auxz00_19550);
						}
						BgL_wide1713z00_10888 =
							((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reshapedzd2localzd2_bgl))));
						{	/* Cfa/cinfo.scm 78 */
							obj_t BgL_auxz00_19563;
							BgL_objectz00_bglt BgL_tmpz00_19561;

							BgL_auxz00_19563 = ((obj_t) BgL_wide1713z00_10888);
							BgL_tmpz00_19561 = ((BgL_objectz00_bglt) BgL_tmp1712z00_10887);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19561, BgL_auxz00_19563);
						}
						((BgL_objectz00_bglt) BgL_tmp1712z00_10887);
						{	/* Cfa/cinfo.scm 78 */
							long BgL_arg2342z00_10891;

							BgL_arg2342z00_10891 =
								BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1712z00_10887),
								BgL_arg2342z00_10891);
						}
						BgL_new1714z00_10886 = ((BgL_localz00_bglt) BgL_tmp1712z00_10887);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1714z00_10886)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1241z00_9256)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_namez00) =
						((obj_t) BgL_name1242z00_9257), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1243z00_9258)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1244z00_9259)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_accessz00) =
						((obj_t) BgL_access1245z00_9260), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1246zd2_9261), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_removablez00) =
						((obj_t) BgL_removable1247z00_9262), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_occurrencez00) =
						((long) BgL_occurrence1248z00_10881), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1249z00_10882), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1714z00_10886)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31250zf3_10883), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1714z00_10886)))->BgL_keyz00) =
						((long) BgL_key1251z00_10884), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1714z00_10886)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1252zd2_9267), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1714z00_10886)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1253z00_10885), BUNSPEC);
					{
						BgL_reshapedzd2localzd2_bglt BgL_auxz00_19600;

						{
							obj_t BgL_auxz00_19601;

							{	/* Cfa/cinfo.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_19602;

								BgL_tmpz00_19602 = ((BgL_objectz00_bglt) BgL_new1714z00_10886);
								BgL_auxz00_19601 = BGL_OBJECT_WIDENING(BgL_tmpz00_19602);
							}
							BgL_auxz00_19600 =
								((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19601);
						}
						((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19600))->
								BgL_bindingzd2valuezd2) =
							((obj_t) BgL_bindingzd2value1254zd2_9269), BUNSPEC);
					}
					return BgL_new1714z00_10886;
				}
			}
		}

	}



/* &<@anonymous:2358> */
	obj_t BGl_z62zc3z04anonymousza32358ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9270)
	{
		{	/* Cfa/cinfo.scm 78 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2357 */
	obj_t BGl_z62lambda2357z62zzcfa_infoz00(obj_t BgL_envz00_9271,
		obj_t BgL_oz00_9272, obj_t BgL_vz00_9273)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_19608;

				{
					obj_t BgL_auxz00_19609;

					{	/* Cfa/cinfo.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_19610;

						BgL_tmpz00_19610 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_9272));
						BgL_auxz00_19609 = BGL_OBJECT_WIDENING(BgL_tmpz00_19610);
					}
					BgL_auxz00_19608 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19609);
				}
				return
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19608))->
						BgL_bindingzd2valuezd2) = ((obj_t) BgL_vz00_9273), BUNSPEC);
			}
		}

	}



/* &lambda2356 */
	obj_t BGl_z62lambda2356z62zzcfa_infoz00(obj_t BgL_envz00_9274,
		obj_t BgL_oz00_9275)
	{
		{	/* Cfa/cinfo.scm 78 */
			{
				BgL_reshapedzd2localzd2_bglt BgL_auxz00_19616;

				{
					obj_t BgL_auxz00_19617;

					{	/* Cfa/cinfo.scm 78 */
						BgL_objectz00_bglt BgL_tmpz00_19618;

						BgL_tmpz00_19618 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_9275));
						BgL_auxz00_19617 = BGL_OBJECT_WIDENING(BgL_tmpz00_19618);
					}
					BgL_auxz00_19616 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_19617);
				}
				return
					(((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_19616))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* &lambda2323 */
	BgL_sexitz00_bglt BGl_z62lambda2323z62zzcfa_infoz00(obj_t BgL_envz00_9276,
		obj_t BgL_o1239z00_9277)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				long BgL_arg2324z00_10895;

				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_arg2325z00_10896;

					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_arg2326z00_10897;

						{	/* Cfa/cinfo.scm 74 */
							obj_t BgL_arg1866z00_10898;
							long BgL_arg1867z00_10899;

							BgL_arg1866z00_10898 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 74 */
								long BgL_arg1869z00_10900;

								BgL_arg1869z00_10900 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sexitz00_bglt) BgL_o1239z00_9277)));
								BgL_arg1867z00_10899 = (BgL_arg1869z00_10900 - OBJECT_TYPE);
							}
							BgL_arg2326z00_10897 =
								VECTOR_REF(BgL_arg1866z00_10898, BgL_arg1867z00_10899);
						}
						BgL_arg2325z00_10896 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2326z00_10897);
					}
					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_tmpz00_19631;

						BgL_tmpz00_19631 = ((obj_t) BgL_arg2325z00_10896);
						BgL_arg2324z00_10895 = BGL_CLASS_NUM(BgL_tmpz00_19631);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) BgL_o1239z00_9277)), BgL_arg2324z00_10895);
			}
			{	/* Cfa/cinfo.scm 74 */
				BgL_objectz00_bglt BgL_tmpz00_19637;

				BgL_tmpz00_19637 =
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1239z00_9277));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19637, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_o1239z00_9277));
			return ((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1239z00_9277));
		}

	}



/* &<@anonymous:2322> */
	obj_t BGl_z62zc3z04anonymousza32322ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9278,
		obj_t BgL_new1238z00_9279)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitz00_bglt BgL_auxz00_19645;

				((((BgL_sexitz00_bglt) COBJECT(
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_new1238z00_9279))))->
						BgL_handlerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt)
										BgL_new1238z00_9279))))->BgL_detachedzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19659;
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19652;

					{	/* Cfa/cinfo.scm 74 */
						obj_t BgL_classz00_10902;

						BgL_classz00_10902 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 74 */
							obj_t BgL__ortest_1117z00_10903;

							BgL__ortest_1117z00_10903 = BGL_CLASS_NIL(BgL_classz00_10902);
							if (CBOOL(BgL__ortest_1117z00_10903))
								{	/* Cfa/cinfo.scm 74 */
									BgL_auxz00_19659 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10903);
								}
							else
								{	/* Cfa/cinfo.scm 74 */
									BgL_auxz00_19659 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10902));
								}
						}
					}
					{
						obj_t BgL_auxz00_19653;

						{	/* Cfa/cinfo.scm 74 */
							BgL_objectz00_bglt BgL_tmpz00_19654;

							BgL_tmpz00_19654 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_new1238z00_9279));
							BgL_auxz00_19653 = BGL_OBJECT_WIDENING(BgL_tmpz00_19654);
						}
						BgL_auxz00_19652 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19653);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19652))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19659), BUNSPEC);
				}
				BgL_auxz00_19645 = ((BgL_sexitz00_bglt) BgL_new1238z00_9279);
				return ((obj_t) BgL_auxz00_19645);
			}
		}

	}



/* &lambda2320 */
	BgL_sexitz00_bglt BGl_z62lambda2320z62zzcfa_infoz00(obj_t BgL_envz00_9280,
		obj_t BgL_o1235z00_9281)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				BgL_sexitzf2cinfozf2_bglt BgL_wide1237z00_10905;

				BgL_wide1237z00_10905 =
					((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sexitzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 74 */
					obj_t BgL_auxz00_19674;
					BgL_objectz00_bglt BgL_tmpz00_19670;

					BgL_auxz00_19674 = ((obj_t) BgL_wide1237z00_10905);
					BgL_tmpz00_19670 =
						((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1235z00_9281)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19670, BgL_auxz00_19674);
				}
				((BgL_objectz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1235z00_9281)));
				{	/* Cfa/cinfo.scm 74 */
					long BgL_arg2321z00_10906;

					BgL_arg2321z00_10906 =
						BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt)
								((BgL_sexitz00_bglt) BgL_o1235z00_9281))),
						BgL_arg2321z00_10906);
				}
				return
					((BgL_sexitz00_bglt)
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_o1235z00_9281)));
			}
		}

	}



/* &lambda2316 */
	BgL_sexitz00_bglt BGl_z62lambda2316z62zzcfa_infoz00(obj_t BgL_envz00_9282,
		obj_t BgL_handler1232z00_9283, obj_t BgL_detachedzf31233zf3_9284,
		obj_t BgL_approx1234z00_9285)
	{
		{	/* Cfa/cinfo.scm 74 */
			{	/* Cfa/cinfo.scm 74 */
				bool_t BgL_detachedzf31233zf3_10907;

				BgL_detachedzf31233zf3_10907 = CBOOL(BgL_detachedzf31233zf3_9284);
				{	/* Cfa/cinfo.scm 74 */
					BgL_sexitz00_bglt BgL_new1709z00_10909;

					{	/* Cfa/cinfo.scm 74 */
						BgL_sexitz00_bglt BgL_tmp1707z00_10910;
						BgL_sexitzf2cinfozf2_bglt BgL_wide1708z00_10911;

						{
							BgL_sexitz00_bglt BgL_auxz00_19689;

							{	/* Cfa/cinfo.scm 74 */
								BgL_sexitz00_bglt BgL_new1706z00_10912;

								BgL_new1706z00_10912 =
									((BgL_sexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sexitz00_bgl))));
								{	/* Cfa/cinfo.scm 74 */
									long BgL_arg2319z00_10913;

									BgL_arg2319z00_10913 =
										BGL_CLASS_NUM(BGl_sexitz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1706z00_10912),
										BgL_arg2319z00_10913);
								}
								{	/* Cfa/cinfo.scm 74 */
									BgL_objectz00_bglt BgL_tmpz00_19694;

									BgL_tmpz00_19694 =
										((BgL_objectz00_bglt) BgL_new1706z00_10912);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19694, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1706z00_10912);
								BgL_auxz00_19689 = BgL_new1706z00_10912;
							}
							BgL_tmp1707z00_10910 = ((BgL_sexitz00_bglt) BgL_auxz00_19689);
						}
						BgL_wide1708z00_10911 =
							((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sexitzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 74 */
							obj_t BgL_auxz00_19702;
							BgL_objectz00_bglt BgL_tmpz00_19700;

							BgL_auxz00_19702 = ((obj_t) BgL_wide1708z00_10911);
							BgL_tmpz00_19700 = ((BgL_objectz00_bglt) BgL_tmp1707z00_10910);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19700, BgL_auxz00_19702);
						}
						((BgL_objectz00_bglt) BgL_tmp1707z00_10910);
						{	/* Cfa/cinfo.scm 74 */
							long BgL_arg2318z00_10914;

							BgL_arg2318z00_10914 =
								BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1707z00_10910),
								BgL_arg2318z00_10914);
						}
						BgL_new1709z00_10909 = ((BgL_sexitz00_bglt) BgL_tmp1707z00_10910);
					}
					((((BgL_sexitz00_bglt) COBJECT(
									((BgL_sexitz00_bglt) BgL_new1709z00_10909)))->
							BgL_handlerz00) = ((obj_t) BgL_handler1232z00_9283), BUNSPEC);
					((((BgL_sexitz00_bglt) COBJECT(((BgL_sexitz00_bglt)
										BgL_new1709z00_10909)))->BgL_detachedzf3zf3) =
						((bool_t) BgL_detachedzf31233zf3_10907), BUNSPEC);
					{
						BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19714;

						{
							obj_t BgL_auxz00_19715;

							{	/* Cfa/cinfo.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_19716;

								BgL_tmpz00_19716 = ((BgL_objectz00_bglt) BgL_new1709z00_10909);
								BgL_auxz00_19715 = BGL_OBJECT_WIDENING(BgL_tmpz00_19716);
							}
							BgL_auxz00_19714 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19715);
						}
						((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19714))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1234z00_9285)), BUNSPEC);
					}
					return BgL_new1709z00_10909;
				}
			}
		}

	}



/* &lambda2331 */
	obj_t BGl_z62lambda2331z62zzcfa_infoz00(obj_t BgL_envz00_9286,
		obj_t BgL_oz00_9287, obj_t BgL_vz00_9288)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19722;

				{
					obj_t BgL_auxz00_19723;

					{	/* Cfa/cinfo.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_19724;

						BgL_tmpz00_19724 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_9287));
						BgL_auxz00_19723 = BGL_OBJECT_WIDENING(BgL_tmpz00_19724);
					}
					BgL_auxz00_19722 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19723);
				}
				return
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19722))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9288)), BUNSPEC);
			}
		}

	}



/* &lambda2330 */
	BgL_approxz00_bglt BGl_z62lambda2330z62zzcfa_infoz00(obj_t BgL_envz00_9289,
		obj_t BgL_oz00_9290)
	{
		{	/* Cfa/cinfo.scm 74 */
			{
				BgL_sexitzf2cinfozf2_bglt BgL_auxz00_19731;

				{
					obj_t BgL_auxz00_19732;

					{	/* Cfa/cinfo.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_19733;

						BgL_tmpz00_19733 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_oz00_9290));
						BgL_auxz00_19732 = BGL_OBJECT_WIDENING(BgL_tmpz00_19733);
					}
					BgL_auxz00_19731 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_19732);
				}
				return
					(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19731))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2296 */
	BgL_cvarz00_bglt BGl_z62lambda2296z62zzcfa_infoz00(obj_t BgL_envz00_9291,
		obj_t BgL_o1230z00_9292)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				long BgL_arg2298z00_10919;

				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_arg2300z00_10920;

					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_arg2301z00_10921;

						{	/* Cfa/cinfo.scm 70 */
							obj_t BgL_arg1866z00_10922;
							long BgL_arg1867z00_10923;

							BgL_arg1866z00_10922 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 70 */
								long BgL_arg1869z00_10924;

								BgL_arg1869z00_10924 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_cvarz00_bglt) BgL_o1230z00_9292)));
								BgL_arg1867z00_10923 = (BgL_arg1869z00_10924 - OBJECT_TYPE);
							}
							BgL_arg2301z00_10921 =
								VECTOR_REF(BgL_arg1866z00_10922, BgL_arg1867z00_10923);
						}
						BgL_arg2300z00_10920 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2301z00_10921);
					}
					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_tmpz00_19746;

						BgL_tmpz00_19746 = ((obj_t) BgL_arg2300z00_10920);
						BgL_arg2298z00_10919 = BGL_CLASS_NUM(BgL_tmpz00_19746);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) BgL_o1230z00_9292)), BgL_arg2298z00_10919);
			}
			{	/* Cfa/cinfo.scm 70 */
				BgL_objectz00_bglt BgL_tmpz00_19752;

				BgL_tmpz00_19752 =
					((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_o1230z00_9292));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19752, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_o1230z00_9292));
			return ((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1230z00_9292));
		}

	}



/* &<@anonymous:2295> */
	obj_t BGl_z62zc3z04anonymousza32295ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9293,
		obj_t BgL_new1229z00_9294)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarz00_bglt BgL_auxz00_19760;

				((((BgL_cvarz00_bglt) COBJECT(
								((BgL_cvarz00_bglt)
									((BgL_cvarz00_bglt) BgL_new1229z00_9294))))->
						BgL_macrozf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19771;
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19764;

					{	/* Cfa/cinfo.scm 70 */
						obj_t BgL_classz00_10926;

						BgL_classz00_10926 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 70 */
							obj_t BgL__ortest_1117z00_10927;

							BgL__ortest_1117z00_10927 = BGL_CLASS_NIL(BgL_classz00_10926);
							if (CBOOL(BgL__ortest_1117z00_10927))
								{	/* Cfa/cinfo.scm 70 */
									BgL_auxz00_19771 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10927);
								}
							else
								{	/* Cfa/cinfo.scm 70 */
									BgL_auxz00_19771 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10926));
								}
						}
					}
					{
						obj_t BgL_auxz00_19765;

						{	/* Cfa/cinfo.scm 70 */
							BgL_objectz00_bglt BgL_tmpz00_19766;

							BgL_tmpz00_19766 =
								((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_new1229z00_9294));
							BgL_auxz00_19765 = BGL_OBJECT_WIDENING(BgL_tmpz00_19766);
						}
						BgL_auxz00_19764 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19765);
					}
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19764))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19771), BUNSPEC);
				}
				BgL_auxz00_19760 = ((BgL_cvarz00_bglt) BgL_new1229z00_9294);
				return ((obj_t) BgL_auxz00_19760);
			}
		}

	}



/* &lambda2293 */
	BgL_cvarz00_bglt BGl_z62lambda2293z62zzcfa_infoz00(obj_t BgL_envz00_9295,
		obj_t BgL_o1225z00_9296)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				BgL_cvarzf2cinfozf2_bglt BgL_wide1227z00_10929;

				BgL_wide1227z00_10929 =
					((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 70 */
					obj_t BgL_auxz00_19786;
					BgL_objectz00_bglt BgL_tmpz00_19782;

					BgL_auxz00_19786 = ((obj_t) BgL_wide1227z00_10929);
					BgL_tmpz00_19782 =
						((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1225z00_9296)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19782, BgL_auxz00_19786);
				}
				((BgL_objectz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1225z00_9296)));
				{	/* Cfa/cinfo.scm 70 */
					long BgL_arg2294z00_10930;

					BgL_arg2294z00_10930 =
						BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt)
								((BgL_cvarz00_bglt) BgL_o1225z00_9296))), BgL_arg2294z00_10930);
				}
				return
					((BgL_cvarz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_o1225z00_9296)));
			}
		}

	}



/* &lambda2289 */
	BgL_cvarz00_bglt BGl_z62lambda2289z62zzcfa_infoz00(obj_t BgL_envz00_9297,
		obj_t BgL_macrozf31223zf3_9298, obj_t BgL_approx1224z00_9299)
	{
		{	/* Cfa/cinfo.scm 70 */
			{	/* Cfa/cinfo.scm 70 */
				bool_t BgL_macrozf31223zf3_10931;

				BgL_macrozf31223zf3_10931 = CBOOL(BgL_macrozf31223zf3_9298);
				{	/* Cfa/cinfo.scm 70 */
					BgL_cvarz00_bglt BgL_new1704z00_10933;

					{	/* Cfa/cinfo.scm 70 */
						BgL_cvarz00_bglt BgL_tmp1702z00_10934;
						BgL_cvarzf2cinfozf2_bglt BgL_wide1703z00_10935;

						{
							BgL_cvarz00_bglt BgL_auxz00_19801;

							{	/* Cfa/cinfo.scm 70 */
								BgL_cvarz00_bglt BgL_new1701z00_10936;

								BgL_new1701z00_10936 =
									((BgL_cvarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_cvarz00_bgl))));
								{	/* Cfa/cinfo.scm 70 */
									long BgL_arg2292z00_10937;

									BgL_arg2292z00_10937 = BGL_CLASS_NUM(BGl_cvarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1701z00_10936),
										BgL_arg2292z00_10937);
								}
								{	/* Cfa/cinfo.scm 70 */
									BgL_objectz00_bglt BgL_tmpz00_19806;

									BgL_tmpz00_19806 =
										((BgL_objectz00_bglt) BgL_new1701z00_10936);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19806, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1701z00_10936);
								BgL_auxz00_19801 = BgL_new1701z00_10936;
							}
							BgL_tmp1702z00_10934 = ((BgL_cvarz00_bglt) BgL_auxz00_19801);
						}
						BgL_wide1703z00_10935 =
							((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cvarzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 70 */
							obj_t BgL_auxz00_19814;
							BgL_objectz00_bglt BgL_tmpz00_19812;

							BgL_auxz00_19814 = ((obj_t) BgL_wide1703z00_10935);
							BgL_tmpz00_19812 = ((BgL_objectz00_bglt) BgL_tmp1702z00_10934);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19812, BgL_auxz00_19814);
						}
						((BgL_objectz00_bglt) BgL_tmp1702z00_10934);
						{	/* Cfa/cinfo.scm 70 */
							long BgL_arg2291z00_10938;

							BgL_arg2291z00_10938 =
								BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1702z00_10934),
								BgL_arg2291z00_10938);
						}
						BgL_new1704z00_10933 = ((BgL_cvarz00_bglt) BgL_tmp1702z00_10934);
					}
					((((BgL_cvarz00_bglt) COBJECT(
									((BgL_cvarz00_bglt) BgL_new1704z00_10933)))->
							BgL_macrozf3zf3) = ((bool_t) BgL_macrozf31223zf3_10931), BUNSPEC);
					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19824;

						{
							obj_t BgL_auxz00_19825;

							{	/* Cfa/cinfo.scm 70 */
								BgL_objectz00_bglt BgL_tmpz00_19826;

								BgL_tmpz00_19826 = ((BgL_objectz00_bglt) BgL_new1704z00_10933);
								BgL_auxz00_19825 = BGL_OBJECT_WIDENING(BgL_tmpz00_19826);
							}
							BgL_auxz00_19824 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19825);
						}
						((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19824))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1224z00_9299)), BUNSPEC);
					}
					return BgL_new1704z00_10933;
				}
			}
		}

	}



/* &lambda2307 */
	obj_t BGl_z62lambda2307z62zzcfa_infoz00(obj_t BgL_envz00_9300,
		obj_t BgL_oz00_9301, obj_t BgL_vz00_9302)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19832;

				{
					obj_t BgL_auxz00_19833;

					{	/* Cfa/cinfo.scm 70 */
						BgL_objectz00_bglt BgL_tmpz00_19834;

						BgL_tmpz00_19834 =
							((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_oz00_9301));
						BgL_auxz00_19833 = BGL_OBJECT_WIDENING(BgL_tmpz00_19834);
					}
					BgL_auxz00_19832 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19833);
				}
				return
					((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19832))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9302)), BUNSPEC);
			}
		}

	}



/* &lambda2306 */
	BgL_approxz00_bglt BGl_z62lambda2306z62zzcfa_infoz00(obj_t BgL_envz00_9303,
		obj_t BgL_oz00_9304)
	{
		{	/* Cfa/cinfo.scm 70 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_19841;

				{
					obj_t BgL_auxz00_19842;

					{	/* Cfa/cinfo.scm 70 */
						BgL_objectz00_bglt BgL_tmpz00_19843;

						BgL_tmpz00_19843 =
							((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_oz00_9304));
						BgL_auxz00_19842 = BGL_OBJECT_WIDENING(BgL_tmpz00_19843);
					}
					BgL_auxz00_19841 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_19842);
				}
				return
					(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19841))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2259 */
	BgL_svarz00_bglt BGl_z62lambda2259z62zzcfa_infoz00(obj_t BgL_envz00_9305,
		obj_t BgL_o1221z00_9306)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_arg2260z00_10943;

				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_arg2261z00_10944;

					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_arg2262z00_10945;

						{	/* Cfa/cinfo.scm 63 */
							obj_t BgL_arg1866z00_10946;
							long BgL_arg1867z00_10947;

							BgL_arg1866z00_10946 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 63 */
								long BgL_arg1869z00_10948;

								BgL_arg1869z00_10948 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1221z00_9306)));
								BgL_arg1867z00_10947 = (BgL_arg1869z00_10948 - OBJECT_TYPE);
							}
							BgL_arg2262z00_10945 =
								VECTOR_REF(BgL_arg1866z00_10946, BgL_arg1867z00_10947);
						}
						BgL_arg2261z00_10944 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2262z00_10945);
					}
					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_tmpz00_19856;

						BgL_tmpz00_19856 = ((obj_t) BgL_arg2261z00_10944);
						BgL_arg2260z00_10943 = BGL_CLASS_NUM(BgL_tmpz00_19856);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1221z00_9306)), BgL_arg2260z00_10943);
			}
			{	/* Cfa/cinfo.scm 63 */
				BgL_objectz00_bglt BgL_tmpz00_19862;

				BgL_tmpz00_19862 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1221z00_9306));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19862, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1221z00_9306));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1221z00_9306));
		}

	}



/* &<@anonymous:2258> */
	obj_t BGl_z62zc3z04anonymousza32258ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9307,
		obj_t BgL_new1220z00_9308)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarz00_bglt BgL_auxz00_19870;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1220z00_9308))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_19881;
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19874;

					{	/* Cfa/cinfo.scm 63 */
						obj_t BgL_classz00_10950;

						BgL_classz00_10950 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 63 */
							obj_t BgL__ortest_1117z00_10951;

							BgL__ortest_1117z00_10951 = BGL_CLASS_NIL(BgL_classz00_10950);
							if (CBOOL(BgL__ortest_1117z00_10951))
								{	/* Cfa/cinfo.scm 63 */
									BgL_auxz00_19881 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10951);
								}
							else
								{	/* Cfa/cinfo.scm 63 */
									BgL_auxz00_19881 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10950));
								}
						}
					}
					{
						obj_t BgL_auxz00_19875;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19876;

							BgL_tmpz00_19876 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1220z00_9308));
							BgL_auxz00_19875 = BGL_OBJECT_WIDENING(BgL_tmpz00_19876);
						}
						BgL_auxz00_19874 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19875);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19874))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_19881), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19889;

					{
						obj_t BgL_auxz00_19890;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19891;

							BgL_tmpz00_19891 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1220z00_9308));
							BgL_auxz00_19890 = BGL_OBJECT_WIDENING(BgL_tmpz00_19891);
						}
						BgL_auxz00_19889 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19890);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19889))->
							BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19897;

					{
						obj_t BgL_auxz00_19898;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19899;

							BgL_tmpz00_19899 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_new1220z00_9308));
							BgL_auxz00_19898 = BGL_OBJECT_WIDENING(BgL_tmpz00_19899);
						}
						BgL_auxz00_19897 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19898);
					}
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19897))->
							BgL_stampz00) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_19870 = ((BgL_svarz00_bglt) BgL_new1220z00_9308);
				return ((obj_t) BgL_auxz00_19870);
			}
		}

	}



/* &lambda2256 */
	BgL_svarz00_bglt BGl_z62lambda2256z62zzcfa_infoz00(obj_t BgL_envz00_9309,
		obj_t BgL_o1217z00_9310)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				BgL_svarzf2cinfozf2_bglt BgL_wide1219z00_10953;

				BgL_wide1219z00_10953 =
					((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_svarzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 63 */
					obj_t BgL_auxz00_19912;
					BgL_objectz00_bglt BgL_tmpz00_19908;

					BgL_auxz00_19912 = ((obj_t) BgL_wide1219z00_10953);
					BgL_tmpz00_19908 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1217z00_9310)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19908, BgL_auxz00_19912);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1217z00_9310)));
				{	/* Cfa/cinfo.scm 63 */
					long BgL_arg2257z00_10954;

					BgL_arg2257z00_10954 =
						BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1217z00_9310))), BgL_arg2257z00_10954);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1217z00_9310)));
			}
		}

	}



/* &lambda2253 */
	BgL_svarz00_bglt BGl_z62lambda2253z62zzcfa_infoz00(obj_t BgL_envz00_9311,
		obj_t BgL_loc1213z00_9312, obj_t BgL_approx1214z00_9313,
		obj_t BgL_clozd2envzf31215z21_9314, obj_t BgL_stamp1216z00_9315)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_clozd2envzf31215z21_10956;
				long BgL_stamp1216z00_10957;

				BgL_clozd2envzf31215z21_10956 = CBOOL(BgL_clozd2envzf31215z21_9314);
				BgL_stamp1216z00_10957 = (long) CINT(BgL_stamp1216z00_9315);
				{	/* Cfa/cinfo.scm 63 */
					BgL_svarz00_bglt BgL_new1699z00_10958;

					{	/* Cfa/cinfo.scm 63 */
						BgL_svarz00_bglt BgL_tmp1697z00_10959;
						BgL_svarzf2cinfozf2_bglt BgL_wide1698z00_10960;

						{
							BgL_svarz00_bglt BgL_auxz00_19928;

							{	/* Cfa/cinfo.scm 63 */
								BgL_svarz00_bglt BgL_new1696z00_10961;

								BgL_new1696z00_10961 =
									((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarz00_bgl))));
								{	/* Cfa/cinfo.scm 63 */
									long BgL_arg2255z00_10962;

									BgL_arg2255z00_10962 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1696z00_10961),
										BgL_arg2255z00_10962);
								}
								{	/* Cfa/cinfo.scm 63 */
									BgL_objectz00_bglt BgL_tmpz00_19933;

									BgL_tmpz00_19933 =
										((BgL_objectz00_bglt) BgL_new1696z00_10961);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19933, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1696z00_10961);
								BgL_auxz00_19928 = BgL_new1696z00_10961;
							}
							BgL_tmp1697z00_10959 = ((BgL_svarz00_bglt) BgL_auxz00_19928);
						}
						BgL_wide1698z00_10960 =
							((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_svarzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 63 */
							obj_t BgL_auxz00_19941;
							BgL_objectz00_bglt BgL_tmpz00_19939;

							BgL_auxz00_19941 = ((obj_t) BgL_wide1698z00_10960);
							BgL_tmpz00_19939 = ((BgL_objectz00_bglt) BgL_tmp1697z00_10959);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19939, BgL_auxz00_19941);
						}
						((BgL_objectz00_bglt) BgL_tmp1697z00_10959);
						{	/* Cfa/cinfo.scm 63 */
							long BgL_arg2254z00_10963;

							BgL_arg2254z00_10963 =
								BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1697z00_10959),
								BgL_arg2254z00_10963);
						}
						BgL_new1699z00_10958 = ((BgL_svarz00_bglt) BgL_tmp1697z00_10959);
					}
					((((BgL_svarz00_bglt) COBJECT(
									((BgL_svarz00_bglt) BgL_new1699z00_10958)))->BgL_locz00) =
						((obj_t) BgL_loc1213z00_9312), BUNSPEC);
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19951;

						{
							obj_t BgL_auxz00_19952;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19953;

								BgL_tmpz00_19953 = ((BgL_objectz00_bglt) BgL_new1699z00_10958);
								BgL_auxz00_19952 = BGL_OBJECT_WIDENING(BgL_tmpz00_19953);
							}
							BgL_auxz00_19951 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19952);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19951))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1214z00_9313)), BUNSPEC);
					}
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19959;

						{
							obj_t BgL_auxz00_19960;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19961;

								BgL_tmpz00_19961 = ((BgL_objectz00_bglt) BgL_new1699z00_10958);
								BgL_auxz00_19960 = BGL_OBJECT_WIDENING(BgL_tmpz00_19961);
							}
							BgL_auxz00_19959 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19960);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19959))->
								BgL_clozd2envzf3z21) =
							((bool_t) BgL_clozd2envzf31215z21_10956), BUNSPEC);
					}
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_19966;

						{
							obj_t BgL_auxz00_19967;

							{	/* Cfa/cinfo.scm 63 */
								BgL_objectz00_bglt BgL_tmpz00_19968;

								BgL_tmpz00_19968 = ((BgL_objectz00_bglt) BgL_new1699z00_10958);
								BgL_auxz00_19967 = BGL_OBJECT_WIDENING(BgL_tmpz00_19968);
							}
							BgL_auxz00_19966 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19967);
						}
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19966))->
								BgL_stampz00) = ((long) BgL_stamp1216z00_10957), BUNSPEC);
					}
					return BgL_new1699z00_10958;
				}
			}
		}

	}



/* &<@anonymous:2282> */
	obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9316)
	{
		{	/* Cfa/cinfo.scm 63 */
			return BINT((-1L));
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzcfa_infoz00(obj_t BgL_envz00_9317,
		obj_t BgL_oz00_9318, obj_t BgL_vz00_9319)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_vz00_10965;

				BgL_vz00_10965 = (long) CINT(BgL_vz00_9319);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19975;

					{
						obj_t BgL_auxz00_19976;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19977;

							BgL_tmpz00_19977 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9318));
							BgL_auxz00_19976 = BGL_OBJECT_WIDENING(BgL_tmpz00_19977);
						}
						BgL_auxz00_19975 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19976);
					}
					return
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19975))->
							BgL_stampz00) = ((long) BgL_vz00_10965), BUNSPEC);
		}}}

	}



/* &lambda2280 */
	obj_t BGl_z62lambda2280z62zzcfa_infoz00(obj_t BgL_envz00_9320,
		obj_t BgL_oz00_9321)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				long BgL_tmpz00_19983;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19984;

					{
						obj_t BgL_auxz00_19985;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19986;

							BgL_tmpz00_19986 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9321));
							BgL_auxz00_19985 = BGL_OBJECT_WIDENING(BgL_tmpz00_19986);
						}
						BgL_auxz00_19984 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19985);
					}
					BgL_tmpz00_19983 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19984))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_19983);
			}
		}

	}



/* &<@anonymous:2274> */
	obj_t BGl_z62zc3z04anonymousza32274ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9322)
	{
		{	/* Cfa/cinfo.scm 63 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2273 */
	obj_t BGl_z62lambda2273z62zzcfa_infoz00(obj_t BgL_envz00_9323,
		obj_t BgL_oz00_9324, obj_t BgL_vz00_9325)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_vz00_10968;

				BgL_vz00_10968 = CBOOL(BgL_vz00_9325);
				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_19995;

					{
						obj_t BgL_auxz00_19996;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_19997;

							BgL_tmpz00_19997 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9324));
							BgL_auxz00_19996 = BGL_OBJECT_WIDENING(BgL_tmpz00_19997);
						}
						BgL_auxz00_19995 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_19996);
					}
					return
						((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_19995))->
							BgL_clozd2envzf3z21) = ((bool_t) BgL_vz00_10968), BUNSPEC);
				}
			}
		}

	}



/* &lambda2272 */
	obj_t BGl_z62lambda2272z62zzcfa_infoz00(obj_t BgL_envz00_9326,
		obj_t BgL_oz00_9327)
	{
		{	/* Cfa/cinfo.scm 63 */
			{	/* Cfa/cinfo.scm 63 */
				bool_t BgL_tmpz00_20003;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_20004;

					{
						obj_t BgL_auxz00_20005;

						{	/* Cfa/cinfo.scm 63 */
							BgL_objectz00_bglt BgL_tmpz00_20006;

							BgL_tmpz00_20006 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9327));
							BgL_auxz00_20005 = BGL_OBJECT_WIDENING(BgL_tmpz00_20006);
						}
						BgL_auxz00_20004 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_20005);
					}
					BgL_tmpz00_20003 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20004))->
						BgL_clozd2envzf3z21);
				}
				return BBOOL(BgL_tmpz00_20003);
			}
		}

	}



/* &lambda2267 */
	obj_t BGl_z62lambda2267z62zzcfa_infoz00(obj_t BgL_envz00_9328,
		obj_t BgL_oz00_9329, obj_t BgL_vz00_9330)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_20013;

				{
					obj_t BgL_auxz00_20014;

					{	/* Cfa/cinfo.scm 63 */
						BgL_objectz00_bglt BgL_tmpz00_20015;

						BgL_tmpz00_20015 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9329));
						BgL_auxz00_20014 = BGL_OBJECT_WIDENING(BgL_tmpz00_20015);
					}
					BgL_auxz00_20013 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_20014);
				}
				return
					((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20013))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9330)), BUNSPEC);
			}
		}

	}



/* &lambda2266 */
	BgL_approxz00_bglt BGl_z62lambda2266z62zzcfa_infoz00(obj_t BgL_envz00_9331,
		obj_t BgL_oz00_9332)
	{
		{	/* Cfa/cinfo.scm 63 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_auxz00_20022;

				{
					obj_t BgL_auxz00_20023;

					{	/* Cfa/cinfo.scm 63 */
						BgL_objectz00_bglt BgL_tmpz00_20024;

						BgL_tmpz00_20024 =
							((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_oz00_9332));
						BgL_auxz00_20023 = BGL_OBJECT_WIDENING(BgL_tmpz00_20024);
					}
					BgL_auxz00_20022 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_20023);
				}
				return
					(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20022))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2242 */
	BgL_svarz00_bglt BGl_z62lambda2242z62zzcfa_infoz00(obj_t BgL_envz00_9333,
		obj_t BgL_o1211z00_9334)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				long BgL_arg2243z00_10974;

				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_arg2244z00_10975;

					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_arg2245z00_10976;

						{	/* Cfa/cinfo.scm 62 */
							obj_t BgL_arg1866z00_10977;
							long BgL_arg1867z00_10978;

							BgL_arg1866z00_10977 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 62 */
								long BgL_arg1869z00_10979;

								BgL_arg1869z00_10979 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_o1211z00_9334)));
								BgL_arg1867z00_10978 = (BgL_arg1869z00_10979 - OBJECT_TYPE);
							}
							BgL_arg2245z00_10976 =
								VECTOR_REF(BgL_arg1866z00_10977, BgL_arg1867z00_10978);
						}
						BgL_arg2244z00_10975 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2245z00_10976);
					}
					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_tmpz00_20037;

						BgL_tmpz00_20037 = ((obj_t) BgL_arg2244z00_10975);
						BgL_arg2243z00_10974 = BGL_CLASS_NUM(BgL_tmpz00_20037);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) BgL_o1211z00_9334)), BgL_arg2243z00_10974);
			}
			{	/* Cfa/cinfo.scm 62 */
				BgL_objectz00_bglt BgL_tmpz00_20043;

				BgL_tmpz00_20043 =
					((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1211z00_9334));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20043, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_o1211z00_9334));
			return ((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1211z00_9334));
		}

	}



/* &<@anonymous:2241> */
	obj_t BGl_z62zc3z04anonymousza32241ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9335,
		obj_t BgL_new1210z00_9336)
	{
		{	/* Cfa/cinfo.scm 62 */
			{
				BgL_svarz00_bglt BgL_auxz00_20051;

				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) BgL_new1210z00_9336))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_20051 = ((BgL_svarz00_bglt) BgL_new1210z00_9336);
				return ((obj_t) BgL_auxz00_20051);
			}
		}

	}



/* &lambda2239 */
	BgL_svarz00_bglt BGl_z62lambda2239z62zzcfa_infoz00(obj_t BgL_envz00_9337,
		obj_t BgL_o1207z00_9338)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				BgL_prezd2clozd2envz00_bglt BgL_wide1209z00_10982;

				BgL_wide1209z00_10982 =
					((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_prezd2clozd2envz00_bgl))));
				{	/* Cfa/cinfo.scm 62 */
					obj_t BgL_auxz00_20062;
					BgL_objectz00_bglt BgL_tmpz00_20058;

					BgL_auxz00_20062 = ((obj_t) BgL_wide1209z00_10982);
					BgL_tmpz00_20058 =
						((BgL_objectz00_bglt)
						((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1207z00_9338)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20058, BgL_auxz00_20062);
				}
				((BgL_objectz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1207z00_9338)));
				{	/* Cfa/cinfo.scm 62 */
					long BgL_arg2240z00_10983;

					BgL_arg2240z00_10983 =
						BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt)
								((BgL_svarz00_bglt) BgL_o1207z00_9338))), BgL_arg2240z00_10983);
				}
				return
					((BgL_svarz00_bglt)
					((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_o1207z00_9338)));
			}
		}

	}



/* &lambda2236 */
	BgL_svarz00_bglt BGl_z62lambda2236z62zzcfa_infoz00(obj_t BgL_envz00_9339,
		obj_t BgL_loc1206z00_9340)
	{
		{	/* Cfa/cinfo.scm 62 */
			{	/* Cfa/cinfo.scm 62 */
				BgL_svarz00_bglt BgL_new1694z00_10984;

				{	/* Cfa/cinfo.scm 62 */
					BgL_svarz00_bglt BgL_tmp1692z00_10985;
					BgL_prezd2clozd2envz00_bglt BgL_wide1693z00_10986;

					{
						BgL_svarz00_bglt BgL_auxz00_20076;

						{	/* Cfa/cinfo.scm 62 */
							BgL_svarz00_bglt BgL_new1691z00_10987;

							BgL_new1691z00_10987 =
								((BgL_svarz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_svarz00_bgl))));
							{	/* Cfa/cinfo.scm 62 */
								long BgL_arg2238z00_10988;

								BgL_arg2238z00_10988 = BGL_CLASS_NUM(BGl_svarz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1691z00_10987),
									BgL_arg2238z00_10988);
							}
							{	/* Cfa/cinfo.scm 62 */
								BgL_objectz00_bglt BgL_tmpz00_20081;

								BgL_tmpz00_20081 = ((BgL_objectz00_bglt) BgL_new1691z00_10987);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20081, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1691z00_10987);
							BgL_auxz00_20076 = BgL_new1691z00_10987;
						}
						BgL_tmp1692z00_10985 = ((BgL_svarz00_bglt) BgL_auxz00_20076);
					}
					BgL_wide1693z00_10986 =
						((BgL_prezd2clozd2envz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_prezd2clozd2envz00_bgl))));
					{	/* Cfa/cinfo.scm 62 */
						obj_t BgL_auxz00_20089;
						BgL_objectz00_bglt BgL_tmpz00_20087;

						BgL_auxz00_20089 = ((obj_t) BgL_wide1693z00_10986);
						BgL_tmpz00_20087 = ((BgL_objectz00_bglt) BgL_tmp1692z00_10985);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20087, BgL_auxz00_20089);
					}
					((BgL_objectz00_bglt) BgL_tmp1692z00_10985);
					{	/* Cfa/cinfo.scm 62 */
						long BgL_arg2237z00_10989;

						BgL_arg2237z00_10989 =
							BGL_CLASS_NUM(BGl_prezd2clozd2envz00zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1692z00_10985),
							BgL_arg2237z00_10989);
					}
					BgL_new1694z00_10984 = ((BgL_svarz00_bglt) BgL_tmp1692z00_10985);
				}
				((((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_new1694z00_10984)))->BgL_locz00) =
					((obj_t) BgL_loc1206z00_9340), BUNSPEC);
				return BgL_new1694z00_10984;
			}
		}

	}



/* &lambda2219 */
	BgL_scnstz00_bglt BGl_z62lambda2219z62zzcfa_infoz00(obj_t BgL_envz00_9341,
		obj_t BgL_o1204z00_9342)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				long BgL_arg2220z00_10991;

				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_arg2221z00_10992;

					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_arg2222z00_10993;

						{	/* Cfa/cinfo.scm 58 */
							obj_t BgL_arg1866z00_10994;
							long BgL_arg1867z00_10995;

							BgL_arg1866z00_10994 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 58 */
								long BgL_arg1869z00_10996;

								BgL_arg1869z00_10996 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt) BgL_o1204z00_9342)));
								BgL_arg1867z00_10995 = (BgL_arg1869z00_10996 - OBJECT_TYPE);
							}
							BgL_arg2222z00_10993 =
								VECTOR_REF(BgL_arg1866z00_10994, BgL_arg1867z00_10995);
						}
						BgL_arg2221z00_10992 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2222z00_10993);
					}
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_tmpz00_20106;

						BgL_tmpz00_20106 = ((obj_t) BgL_arg2221z00_10992);
						BgL_arg2220z00_10991 = BGL_CLASS_NUM(BgL_tmpz00_20106);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_scnstz00_bglt) BgL_o1204z00_9342)), BgL_arg2220z00_10991);
			}
			{	/* Cfa/cinfo.scm 58 */
				BgL_objectz00_bglt BgL_tmpz00_20112;

				BgL_tmpz00_20112 =
					((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_o1204z00_9342));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20112, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_o1204z00_9342));
			return ((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1204z00_9342));
		}

	}



/* &<@anonymous:2218> */
	obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9343,
		obj_t BgL_new1203z00_9344)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstz00_bglt BgL_auxz00_20120;

				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt)
									((BgL_scnstz00_bglt) BgL_new1203z00_9344))))->BgL_nodez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt)
										BgL_new1203z00_9344))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt)
										BgL_new1203z00_9344))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_20137;
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_20130;

					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_classz00_10998;

						BgL_classz00_10998 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 58 */
							obj_t BgL__ortest_1117z00_10999;

							BgL__ortest_1117z00_10999 = BGL_CLASS_NIL(BgL_classz00_10998);
							if (CBOOL(BgL__ortest_1117z00_10999))
								{	/* Cfa/cinfo.scm 58 */
									BgL_auxz00_20137 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_10999);
								}
							else
								{	/* Cfa/cinfo.scm 58 */
									BgL_auxz00_20137 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10998));
								}
						}
					}
					{
						obj_t BgL_auxz00_20131;

						{	/* Cfa/cinfo.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_20132;

							BgL_tmpz00_20132 =
								((BgL_objectz00_bglt)
								((BgL_scnstz00_bglt) BgL_new1203z00_9344));
							BgL_auxz00_20131 = BGL_OBJECT_WIDENING(BgL_tmpz00_20132);
						}
						BgL_auxz00_20130 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_20131);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20130))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20137), BUNSPEC);
				}
				BgL_auxz00_20120 = ((BgL_scnstz00_bglt) BgL_new1203z00_9344);
				return ((obj_t) BgL_auxz00_20120);
			}
		}

	}



/* &lambda2216 */
	BgL_scnstz00_bglt BGl_z62lambda2216z62zzcfa_infoz00(obj_t BgL_envz00_9345,
		obj_t BgL_o1200z00_9346)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				BgL_scnstzf2cinfozf2_bglt BgL_wide1202z00_11001;

				BgL_wide1202z00_11001 =
					((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_scnstzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 58 */
					obj_t BgL_auxz00_20152;
					BgL_objectz00_bglt BgL_tmpz00_20148;

					BgL_auxz00_20152 = ((obj_t) BgL_wide1202z00_11001);
					BgL_tmpz00_20148 =
						((BgL_objectz00_bglt)
						((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1200z00_9346)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20148, BgL_auxz00_20152);
				}
				((BgL_objectz00_bglt)
					((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1200z00_9346)));
				{	/* Cfa/cinfo.scm 58 */
					long BgL_arg2217z00_11002;

					BgL_arg2217z00_11002 =
						BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_scnstz00_bglt)
								((BgL_scnstz00_bglt) BgL_o1200z00_9346))),
						BgL_arg2217z00_11002);
				}
				return
					((BgL_scnstz00_bglt)
					((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_o1200z00_9346)));
			}
		}

	}



/* &lambda2213 */
	BgL_scnstz00_bglt BGl_z62lambda2213z62zzcfa_infoz00(obj_t BgL_envz00_9347,
		obj_t BgL_node1196z00_9348, obj_t BgL_class1197z00_9349,
		obj_t BgL_loc1198z00_9350, obj_t BgL_approx1199z00_9351)
	{
		{	/* Cfa/cinfo.scm 58 */
			{	/* Cfa/cinfo.scm 58 */
				BgL_scnstz00_bglt BgL_new1689z00_11004;

				{	/* Cfa/cinfo.scm 58 */
					BgL_scnstz00_bglt BgL_tmp1687z00_11005;
					BgL_scnstzf2cinfozf2_bglt BgL_wide1688z00_11006;

					{
						BgL_scnstz00_bglt BgL_auxz00_20166;

						{	/* Cfa/cinfo.scm 58 */
							BgL_scnstz00_bglt BgL_new1686z00_11007;

							BgL_new1686z00_11007 =
								((BgL_scnstz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstz00_bgl))));
							{	/* Cfa/cinfo.scm 58 */
								long BgL_arg2215z00_11008;

								BgL_arg2215z00_11008 = BGL_CLASS_NUM(BGl_scnstz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1686z00_11007),
									BgL_arg2215z00_11008);
							}
							{	/* Cfa/cinfo.scm 58 */
								BgL_objectz00_bglt BgL_tmpz00_20171;

								BgL_tmpz00_20171 = ((BgL_objectz00_bglt) BgL_new1686z00_11007);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20171, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1686z00_11007);
							BgL_auxz00_20166 = BgL_new1686z00_11007;
						}
						BgL_tmp1687z00_11005 = ((BgL_scnstz00_bglt) BgL_auxz00_20166);
					}
					BgL_wide1688z00_11006 =
						((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_scnstzf2cinfozf2_bgl))));
					{	/* Cfa/cinfo.scm 58 */
						obj_t BgL_auxz00_20179;
						BgL_objectz00_bglt BgL_tmpz00_20177;

						BgL_auxz00_20179 = ((obj_t) BgL_wide1688z00_11006);
						BgL_tmpz00_20177 = ((BgL_objectz00_bglt) BgL_tmp1687z00_11005);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20177, BgL_auxz00_20179);
					}
					((BgL_objectz00_bglt) BgL_tmp1687z00_11005);
					{	/* Cfa/cinfo.scm 58 */
						long BgL_arg2214z00_11009;

						BgL_arg2214z00_11009 =
							BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1687z00_11005),
							BgL_arg2214z00_11009);
					}
					BgL_new1689z00_11004 = ((BgL_scnstz00_bglt) BgL_tmp1687z00_11005);
				}
				((((BgL_scnstz00_bglt) COBJECT(
								((BgL_scnstz00_bglt) BgL_new1689z00_11004)))->BgL_nodez00) =
					((obj_t) BgL_node1196z00_9348), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1689z00_11004)))->BgL_classz00) =
					((obj_t) BgL_class1197z00_9349), BUNSPEC);
				((((BgL_scnstz00_bglt) COBJECT(((BgL_scnstz00_bglt)
									BgL_new1689z00_11004)))->BgL_locz00) =
					((obj_t) BgL_loc1198z00_9350), BUNSPEC);
				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_20193;

					{
						obj_t BgL_auxz00_20194;

						{	/* Cfa/cinfo.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_20195;

							BgL_tmpz00_20195 = ((BgL_objectz00_bglt) BgL_new1689z00_11004);
							BgL_auxz00_20194 = BGL_OBJECT_WIDENING(BgL_tmpz00_20195);
						}
						BgL_auxz00_20193 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_20194);
					}
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20193))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
								BgL_approx1199z00_9351)), BUNSPEC);
				}
				return BgL_new1689z00_11004;
			}
		}

	}



/* &lambda2227 */
	obj_t BGl_z62lambda2227z62zzcfa_infoz00(obj_t BgL_envz00_9352,
		obj_t BgL_oz00_9353, obj_t BgL_vz00_9354)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_20201;

				{
					obj_t BgL_auxz00_20202;

					{	/* Cfa/cinfo.scm 58 */
						BgL_objectz00_bglt BgL_tmpz00_20203;

						BgL_tmpz00_20203 =
							((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_oz00_9353));
						BgL_auxz00_20202 = BGL_OBJECT_WIDENING(BgL_tmpz00_20203);
					}
					BgL_auxz00_20201 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_20202);
				}
				return
					((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20201))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9354)), BUNSPEC);
			}
		}

	}



/* &lambda2226 */
	BgL_approxz00_bglt BGl_z62lambda2226z62zzcfa_infoz00(obj_t BgL_envz00_9355,
		obj_t BgL_oz00_9356)
	{
		{	/* Cfa/cinfo.scm 58 */
			{
				BgL_scnstzf2cinfozf2_bglt BgL_auxz00_20210;

				{
					obj_t BgL_auxz00_20211;

					{	/* Cfa/cinfo.scm 58 */
						BgL_objectz00_bglt BgL_tmpz00_20212;

						BgL_tmpz00_20212 =
							((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_oz00_9356));
						BgL_auxz00_20211 = BGL_OBJECT_WIDENING(BgL_tmpz00_20212);
					}
					BgL_auxz00_20210 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_20211);
				}
				return
					(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20210))->
					BgL_approxz00);
			}
		}

	}



/* &lambda2183 */
	BgL_sfunz00_bglt BGl_z62lambda2183z62zzcfa_infoz00(obj_t BgL_envz00_9357,
		obj_t BgL_o1194z00_9358)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_arg2184z00_11014;

				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_arg2185z00_11015;

					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_arg2186z00_11016;

						{	/* Cfa/cinfo.scm 52 */
							obj_t BgL_arg1866z00_11017;
							long BgL_arg1867z00_11018;

							BgL_arg1866z00_11017 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 52 */
								long BgL_arg1869z00_11019;

								BgL_arg1869z00_11019 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1194z00_9358)));
								BgL_arg1867z00_11018 = (BgL_arg1869z00_11019 - OBJECT_TYPE);
							}
							BgL_arg2186z00_11016 =
								VECTOR_REF(BgL_arg1866z00_11017, BgL_arg1867z00_11018);
						}
						BgL_arg2185z00_11015 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2186z00_11016);
					}
					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_tmpz00_20225;

						BgL_tmpz00_20225 = ((obj_t) BgL_arg2185z00_11015);
						BgL_arg2184z00_11014 = BGL_CLASS_NUM(BgL_tmpz00_20225);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1194z00_9358)), BgL_arg2184z00_11014);
			}
			{	/* Cfa/cinfo.scm 52 */
				BgL_objectz00_bglt BgL_tmpz00_20231;

				BgL_tmpz00_20231 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1194z00_9358));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20231, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1194z00_9358));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1194z00_9358));
		}

	}



/* &<@anonymous:2182> */
	obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9359,
		obj_t BgL_new1193z00_9360)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_sfunz00_bglt BgL_auxz00_20239;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1193z00_9360))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1193z00_9360))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20308;

					{
						obj_t BgL_auxz00_20309;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20310;

							BgL_tmpz00_20310 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1193z00_9360));
							BgL_auxz00_20309 = BGL_OBJECT_WIDENING(BgL_tmpz00_20310);
						}
						BgL_auxz00_20308 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20309);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20308))->
							BgL_polymorphiczf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_20323;
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20316;

					{	/* Cfa/cinfo.scm 52 */
						obj_t BgL_classz00_11021;

						BgL_classz00_11021 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 52 */
							obj_t BgL__ortest_1117z00_11022;

							BgL__ortest_1117z00_11022 = BGL_CLASS_NIL(BgL_classz00_11021);
							if (CBOOL(BgL__ortest_1117z00_11022))
								{	/* Cfa/cinfo.scm 52 */
									BgL_auxz00_20323 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_11022);
								}
							else
								{	/* Cfa/cinfo.scm 52 */
									BgL_auxz00_20323 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_11021));
								}
						}
					}
					{
						obj_t BgL_auxz00_20317;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20318;

							BgL_tmpz00_20318 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1193z00_9360));
							BgL_auxz00_20317 = BGL_OBJECT_WIDENING(BgL_tmpz00_20318);
						}
						BgL_auxz00_20316 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20317);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20316))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20323), BUNSPEC);
				}
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20331;

					{
						obj_t BgL_auxz00_20332;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20333;

							BgL_tmpz00_20333 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1193z00_9360));
							BgL_auxz00_20332 = BGL_OBJECT_WIDENING(BgL_tmpz00_20333);
						}
						BgL_auxz00_20331 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20332);
					}
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20331))->
							BgL_stampz00) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_20239 = ((BgL_sfunz00_bglt) BgL_new1193z00_9360);
				return ((obj_t) BgL_auxz00_20239);
			}
		}

	}



/* &lambda2180 */
	BgL_sfunz00_bglt BGl_z62lambda2180z62zzcfa_infoz00(obj_t BgL_envz00_9361,
		obj_t BgL_o1190z00_9362)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1192z00_11024;

				BgL_wide1192z00_11024 =
					((BgL_internzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_internzd2sfunzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 52 */
					obj_t BgL_auxz00_20346;
					BgL_objectz00_bglt BgL_tmpz00_20342;

					BgL_auxz00_20346 = ((obj_t) BgL_wide1192z00_11024);
					BgL_tmpz00_20342 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1190z00_9362)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20342, BgL_auxz00_20346);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1190z00_9362)));
				{	/* Cfa/cinfo.scm 52 */
					long BgL_arg2181z00_11025;

					BgL_arg2181z00_11025 =
						BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1190z00_9362))), BgL_arg2181z00_11025);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1190z00_9362)));
			}
		}

	}



/* &lambda2177 */
	BgL_sfunz00_bglt BGl_z62lambda2177z62zzcfa_infoz00(obj_t BgL_envz00_9363,
		obj_t BgL_arity1165z00_9364, obj_t BgL_sidezd2effect1166zd2_9365,
		obj_t BgL_predicatezd2of1167zd2_9366,
		obj_t BgL_stackzd2allocator1168zd2_9367, obj_t BgL_topzf31169zf3_9368,
		obj_t BgL_thezd2closure1170zd2_9369, obj_t BgL_effect1171z00_9370,
		obj_t BgL_failsafe1172z00_9371, obj_t BgL_argszd2noescape1173zd2_9372,
		obj_t BgL_argszd2retescape1174zd2_9373, obj_t BgL_property1175z00_9374,
		obj_t BgL_args1176z00_9375, obj_t BgL_argszd2name1177zd2_9376,
		obj_t BgL_body1178z00_9377, obj_t BgL_class1179z00_9378,
		obj_t BgL_dssslzd2keywords1180zd2_9379, obj_t BgL_loc1181z00_9380,
		obj_t BgL_optionals1182z00_9381, obj_t BgL_keys1183z00_9382,
		obj_t BgL_thezd2closurezd2global1184z00_9383,
		obj_t BgL_strength1185z00_9384, obj_t BgL_stackable1186z00_9385,
		obj_t BgL_polymorphiczf31187zf3_9386, obj_t BgL_approx1188z00_9387,
		obj_t BgL_stamp1189z00_9388)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_arity1165z00_11026;
				bool_t BgL_topzf31169zf3_11027;
				bool_t BgL_polymorphiczf31187zf3_11029;
				long BgL_stamp1189z00_11031;

				BgL_arity1165z00_11026 = (long) CINT(BgL_arity1165z00_9364);
				BgL_topzf31169zf3_11027 = CBOOL(BgL_topzf31169zf3_9368);
				BgL_polymorphiczf31187zf3_11029 = CBOOL(BgL_polymorphiczf31187zf3_9386);
				BgL_stamp1189z00_11031 = (long) CINT(BgL_stamp1189z00_9388);
				{	/* Cfa/cinfo.scm 52 */
					BgL_sfunz00_bglt BgL_new1684z00_11032;

					{	/* Cfa/cinfo.scm 52 */
						BgL_sfunz00_bglt BgL_tmp1682z00_11033;
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1683z00_11034;

						{
							BgL_sfunz00_bglt BgL_auxz00_20364;

							{	/* Cfa/cinfo.scm 52 */
								BgL_sfunz00_bglt BgL_new1681z00_11035;

								BgL_new1681z00_11035 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Cfa/cinfo.scm 52 */
									long BgL_arg2179z00_11036;

									BgL_arg2179z00_11036 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1681z00_11035),
										BgL_arg2179z00_11036);
								}
								{	/* Cfa/cinfo.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_20369;

									BgL_tmpz00_20369 =
										((BgL_objectz00_bglt) BgL_new1681z00_11035);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20369, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1681z00_11035);
								BgL_auxz00_20364 = BgL_new1681z00_11035;
							}
							BgL_tmp1682z00_11033 = ((BgL_sfunz00_bglt) BgL_auxz00_20364);
						}
						BgL_wide1683z00_11034 =
							((BgL_internzd2sfunzf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_internzd2sfunzf2cinfoz20_bgl))));
						{	/* Cfa/cinfo.scm 52 */
							obj_t BgL_auxz00_20377;
							BgL_objectz00_bglt BgL_tmpz00_20375;

							BgL_auxz00_20377 = ((obj_t) BgL_wide1683z00_11034);
							BgL_tmpz00_20375 = ((BgL_objectz00_bglt) BgL_tmp1682z00_11033);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20375, BgL_auxz00_20377);
						}
						((BgL_objectz00_bglt) BgL_tmp1682z00_11033);
						{	/* Cfa/cinfo.scm 52 */
							long BgL_arg2178z00_11037;

							BgL_arg2178z00_11037 =
								BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1682z00_11033),
								BgL_arg2178z00_11037);
						}
						BgL_new1684z00_11032 = ((BgL_sfunz00_bglt) BgL_tmp1682z00_11033);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1684z00_11032)))->BgL_arityz00) =
						((long) BgL_arity1165z00_11026), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1166zd2_9365), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1167zd2_9366), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1168zd2_9367), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31169zf3_11027), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1170zd2_9369), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_effectz00) =
						((obj_t) BgL_effect1171z00_9370), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1172z00_9371), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1173zd2_9372), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1684z00_11032)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1174zd2_9373), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_propertyz00) =
						((obj_t) BgL_property1175z00_9374), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_argsz00) =
						((obj_t) BgL_args1176z00_9375), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1177zd2_9376), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_bodyz00) =
						((obj_t) BgL_body1178z00_9377), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_classz00) =
						((obj_t) BgL_class1179z00_9378), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1180zd2_9379), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_locz00) =
						((obj_t) BgL_loc1181z00_9380), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1182z00_9381), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_keysz00) =
						((obj_t) BgL_keys1183z00_9382), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1184z00_9383), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1185z00_9384)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1684z00_11032)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1186z00_9385), BUNSPEC);
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20430;

						{
							obj_t BgL_auxz00_20431;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_20432;

								BgL_tmpz00_20432 = ((BgL_objectz00_bglt) BgL_new1684z00_11032);
								BgL_auxz00_20431 = BGL_OBJECT_WIDENING(BgL_tmpz00_20432);
							}
							BgL_auxz00_20430 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20431);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20430))->
								BgL_polymorphiczf3zf3) =
							((bool_t) BgL_polymorphiczf31187zf3_11029), BUNSPEC);
					}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20437;

						{
							obj_t BgL_auxz00_20438;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_20439;

								BgL_tmpz00_20439 = ((BgL_objectz00_bglt) BgL_new1684z00_11032);
								BgL_auxz00_20438 = BGL_OBJECT_WIDENING(BgL_tmpz00_20439);
							}
							BgL_auxz00_20437 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20438);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20437))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1188z00_9387)), BUNSPEC);
					}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20445;

						{
							obj_t BgL_auxz00_20446;

							{	/* Cfa/cinfo.scm 52 */
								BgL_objectz00_bglt BgL_tmpz00_20447;

								BgL_tmpz00_20447 = ((BgL_objectz00_bglt) BgL_new1684z00_11032);
								BgL_auxz00_20446 = BGL_OBJECT_WIDENING(BgL_tmpz00_20447);
							}
							BgL_auxz00_20445 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20446);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20445))->
								BgL_stampz00) = ((long) BgL_stamp1189z00_11031), BUNSPEC);
					}
					return BgL_new1684z00_11032;
				}
			}
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9389)
	{
		{	/* Cfa/cinfo.scm 52 */
			return BINT((-1L));
		}

	}



/* &lambda2205 */
	obj_t BGl_z62lambda2205z62zzcfa_infoz00(obj_t BgL_envz00_9390,
		obj_t BgL_oz00_9391, obj_t BgL_vz00_9392)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_vz00_11039;

				BgL_vz00_11039 = (long) CINT(BgL_vz00_9392);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20454;

					{
						obj_t BgL_auxz00_20455;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20456;

							BgL_tmpz00_20456 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9391));
							BgL_auxz00_20455 = BGL_OBJECT_WIDENING(BgL_tmpz00_20456);
						}
						BgL_auxz00_20454 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20455);
					}
					return
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20454))->
							BgL_stampz00) = ((long) BgL_vz00_11039), BUNSPEC);
		}}}

	}



/* &lambda2204 */
	obj_t BGl_z62lambda2204z62zzcfa_infoz00(obj_t BgL_envz00_9393,
		obj_t BgL_oz00_9394)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				long BgL_tmpz00_20462;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20463;

					{
						obj_t BgL_auxz00_20464;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20465;

							BgL_tmpz00_20465 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9394));
							BgL_auxz00_20464 = BGL_OBJECT_WIDENING(BgL_tmpz00_20465);
						}
						BgL_auxz00_20463 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20464);
					}
					BgL_tmpz00_20462 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20463))->
						BgL_stampz00);
				}
				return BINT(BgL_tmpz00_20462);
			}
		}

	}



/* &lambda2198 */
	obj_t BGl_z62lambda2198z62zzcfa_infoz00(obj_t BgL_envz00_9395,
		obj_t BgL_oz00_9396, obj_t BgL_vz00_9397)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20472;

				{
					obj_t BgL_auxz00_20473;

					{	/* Cfa/cinfo.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_20474;

						BgL_tmpz00_20474 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9396));
						BgL_auxz00_20473 = BGL_OBJECT_WIDENING(BgL_tmpz00_20474);
					}
					BgL_auxz00_20472 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20473);
				}
				return
					((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20472))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9397)), BUNSPEC);
			}
		}

	}



/* &lambda2197 */
	BgL_approxz00_bglt BGl_z62lambda2197z62zzcfa_infoz00(obj_t BgL_envz00_9398,
		obj_t BgL_oz00_9399)
	{
		{	/* Cfa/cinfo.scm 52 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20481;

				{
					obj_t BgL_auxz00_20482;

					{	/* Cfa/cinfo.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_20483;

						BgL_tmpz00_20483 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9399));
						BgL_auxz00_20482 = BGL_OBJECT_WIDENING(BgL_tmpz00_20483);
					}
					BgL_auxz00_20481 =
						((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20482);
				}
				return
					(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20481))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9400)
	{
		{	/* Cfa/cinfo.scm 52 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2192 */
	obj_t BGl_z62lambda2192z62zzcfa_infoz00(obj_t BgL_envz00_9401,
		obj_t BgL_oz00_9402, obj_t BgL_vz00_9403)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				bool_t BgL_vz00_11045;

				BgL_vz00_11045 = CBOOL(BgL_vz00_9403);
				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20491;

					{
						obj_t BgL_auxz00_20492;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20493;

							BgL_tmpz00_20493 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9402));
							BgL_auxz00_20492 = BGL_OBJECT_WIDENING(BgL_tmpz00_20493);
						}
						BgL_auxz00_20491 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20492);
					}
					return
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20491))->
							BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_11045), BUNSPEC);
				}
			}
		}

	}



/* &lambda2191 */
	obj_t BGl_z62lambda2191z62zzcfa_infoz00(obj_t BgL_envz00_9404,
		obj_t BgL_oz00_9405)
	{
		{	/* Cfa/cinfo.scm 52 */
			{	/* Cfa/cinfo.scm 52 */
				bool_t BgL_tmpz00_20499;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_20500;

					{
						obj_t BgL_auxz00_20501;

						{	/* Cfa/cinfo.scm 52 */
							BgL_objectz00_bglt BgL_tmpz00_20502;

							BgL_tmpz00_20502 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9405));
							BgL_auxz00_20501 = BGL_OBJECT_WIDENING(BgL_tmpz00_20502);
						}
						BgL_auxz00_20500 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20501);
					}
					BgL_tmpz00_20499 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20500))->
						BgL_polymorphiczf3zf3);
				}
				return BBOOL(BgL_tmpz00_20499);
			}
		}

	}



/* &lambda2154 */
	BgL_sfunz00_bglt BGl_z62lambda2154z62zzcfa_infoz00(obj_t BgL_envz00_9406,
		obj_t BgL_o1163z00_9407)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				long BgL_arg2155z00_11048;

				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_arg2156z00_11049;

					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_arg2157z00_11050;

						{	/* Cfa/cinfo.scm 49 */
							obj_t BgL_arg1866z00_11051;
							long BgL_arg1867z00_11052;

							BgL_arg1866z00_11051 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 49 */
								long BgL_arg1869z00_11053;

								BgL_arg1869z00_11053 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1163z00_9407)));
								BgL_arg1867z00_11052 = (BgL_arg1869z00_11053 - OBJECT_TYPE);
							}
							BgL_arg2157z00_11050 =
								VECTOR_REF(BgL_arg1866z00_11051, BgL_arg1867z00_11052);
						}
						BgL_arg2156z00_11049 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2157z00_11050);
					}
					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_tmpz00_20516;

						BgL_tmpz00_20516 = ((obj_t) BgL_arg2156z00_11049);
						BgL_arg2155z00_11048 = BGL_CLASS_NUM(BgL_tmpz00_20516);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1163z00_9407)), BgL_arg2155z00_11048);
			}
			{	/* Cfa/cinfo.scm 49 */
				BgL_objectz00_bglt BgL_tmpz00_20522;

				BgL_tmpz00_20522 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1163z00_9407));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20522, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1163z00_9407));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1163z00_9407));
		}

	}



/* &<@anonymous:2153> */
	obj_t BGl_z62zc3z04anonymousza32153ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9408,
		obj_t BgL_new1162z00_9409)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_sfunz00_bglt BgL_auxz00_20530;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1162z00_9409))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(51))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1162z00_9409))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20599;

					{
						obj_t BgL_auxz00_20600;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20601;

							BgL_tmpz00_20601 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1162z00_9409));
							BgL_auxz00_20600 = BGL_OBJECT_WIDENING(BgL_tmpz00_20601);
						}
						BgL_auxz00_20599 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20600);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20599))->
							BgL_polymorphiczf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_approxz00_bglt BgL_auxz00_20614;
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20607;

					{	/* Cfa/cinfo.scm 49 */
						obj_t BgL_classz00_11055;

						BgL_classz00_11055 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 49 */
							obj_t BgL__ortest_1117z00_11056;

							BgL__ortest_1117z00_11056 = BGL_CLASS_NIL(BgL_classz00_11055);
							if (CBOOL(BgL__ortest_1117z00_11056))
								{	/* Cfa/cinfo.scm 49 */
									BgL_auxz00_20614 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_11056);
								}
							else
								{	/* Cfa/cinfo.scm 49 */
									BgL_auxz00_20614 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_11055));
								}
						}
					}
					{
						obj_t BgL_auxz00_20608;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20609;

							BgL_tmpz00_20609 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_new1162z00_9409));
							BgL_auxz00_20608 = BGL_OBJECT_WIDENING(BgL_tmpz00_20609);
						}
						BgL_auxz00_20607 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20608);
					}
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20607))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20614), BUNSPEC);
				}
				BgL_auxz00_20530 = ((BgL_sfunz00_bglt) BgL_new1162z00_9409);
				return ((obj_t) BgL_auxz00_20530);
			}
		}

	}



/* &lambda2151 */
	BgL_sfunz00_bglt BGl_z62lambda2151z62zzcfa_infoz00(obj_t BgL_envz00_9410,
		obj_t BgL_o1159z00_9411)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1161z00_11058;

				BgL_wide1161z00_11058 =
					((BgL_externzd2sfunzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externzd2sfunzf2cinfoz20_bgl))));
				{	/* Cfa/cinfo.scm 49 */
					obj_t BgL_auxz00_20629;
					BgL_objectz00_bglt BgL_tmpz00_20625;

					BgL_auxz00_20629 = ((obj_t) BgL_wide1161z00_11058);
					BgL_tmpz00_20625 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1159z00_9411)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20625, BgL_auxz00_20629);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1159z00_9411)));
				{	/* Cfa/cinfo.scm 49 */
					long BgL_arg2152z00_11059;

					BgL_arg2152z00_11059 =
						BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1159z00_9411))), BgL_arg2152z00_11059);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1159z00_9411)));
			}
		}

	}



/* &lambda2148 */
	BgL_sfunz00_bglt BGl_z62lambda2148z62zzcfa_infoz00(obj_t BgL_envz00_9412,
		obj_t BgL_arity1135z00_9413, obj_t BgL_sidezd2effect1136zd2_9414,
		obj_t BgL_predicatezd2of1137zd2_9415,
		obj_t BgL_stackzd2allocator1138zd2_9416, obj_t BgL_topzf31139zf3_9417,
		obj_t BgL_thezd2closure1140zd2_9418, obj_t BgL_effect1141z00_9419,
		obj_t BgL_failsafe1142z00_9420, obj_t BgL_argszd2noescape1143zd2_9421,
		obj_t BgL_argszd2retescape1144zd2_9422, obj_t BgL_property1145z00_9423,
		obj_t BgL_args1146z00_9424, obj_t BgL_argszd2name1147zd2_9425,
		obj_t BgL_body1148z00_9426, obj_t BgL_class1149z00_9427,
		obj_t BgL_dssslzd2keywords1150zd2_9428, obj_t BgL_loc1151z00_9429,
		obj_t BgL_optionals1152z00_9430, obj_t BgL_keys1153z00_9431,
		obj_t BgL_thezd2closurezd2global1154z00_9432,
		obj_t BgL_strength1155z00_9433, obj_t BgL_stackable1156z00_9434,
		obj_t BgL_polymorphiczf31157zf3_9435, obj_t BgL_approx1158z00_9436)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				long BgL_arity1135z00_11060;
				bool_t BgL_topzf31139zf3_11061;
				bool_t BgL_polymorphiczf31157zf3_11063;

				BgL_arity1135z00_11060 = (long) CINT(BgL_arity1135z00_9413);
				BgL_topzf31139zf3_11061 = CBOOL(BgL_topzf31139zf3_9417);
				BgL_polymorphiczf31157zf3_11063 = CBOOL(BgL_polymorphiczf31157zf3_9435);
				{	/* Cfa/cinfo.scm 49 */
					BgL_sfunz00_bglt BgL_new1679z00_11065;

					{	/* Cfa/cinfo.scm 49 */
						BgL_sfunz00_bglt BgL_tmp1677z00_11066;
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1678z00_11067;

						{
							BgL_sfunz00_bglt BgL_auxz00_20646;

							{	/* Cfa/cinfo.scm 49 */
								BgL_sfunz00_bglt BgL_new1676z00_11068;

								BgL_new1676z00_11068 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Cfa/cinfo.scm 49 */
									long BgL_arg2150z00_11069;

									BgL_arg2150z00_11069 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1676z00_11068),
										BgL_arg2150z00_11069);
								}
								{	/* Cfa/cinfo.scm 49 */
									BgL_objectz00_bglt BgL_tmpz00_20651;

									BgL_tmpz00_20651 =
										((BgL_objectz00_bglt) BgL_new1676z00_11068);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20651, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1676z00_11068);
								BgL_auxz00_20646 = BgL_new1676z00_11068;
							}
							BgL_tmp1677z00_11066 = ((BgL_sfunz00_bglt) BgL_auxz00_20646);
						}
						BgL_wide1678z00_11067 =
							((BgL_externzd2sfunzf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_externzd2sfunzf2cinfoz20_bgl))));
						{	/* Cfa/cinfo.scm 49 */
							obj_t BgL_auxz00_20659;
							BgL_objectz00_bglt BgL_tmpz00_20657;

							BgL_auxz00_20659 = ((obj_t) BgL_wide1678z00_11067);
							BgL_tmpz00_20657 = ((BgL_objectz00_bglt) BgL_tmp1677z00_11066);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20657, BgL_auxz00_20659);
						}
						((BgL_objectz00_bglt) BgL_tmp1677z00_11066);
						{	/* Cfa/cinfo.scm 49 */
							long BgL_arg2149z00_11070;

							BgL_arg2149z00_11070 =
								BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1677z00_11066),
								BgL_arg2149z00_11070);
						}
						BgL_new1679z00_11065 = ((BgL_sfunz00_bglt) BgL_tmp1677z00_11066);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1679z00_11065)))->BgL_arityz00) =
						((long) BgL_arity1135z00_11060), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1136zd2_9414), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1137zd2_9415), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1138zd2_9416), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31139zf3_11061), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1140zd2_9418), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_effectz00) =
						((obj_t) BgL_effect1141z00_9419), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1142z00_9420), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1143zd2_9421), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1679z00_11065)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1144zd2_9422), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_propertyz00) =
						((obj_t) BgL_property1145z00_9423), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_argsz00) =
						((obj_t) BgL_args1146z00_9424), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1147zd2_9425), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_bodyz00) =
						((obj_t) BgL_body1148z00_9426), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_classz00) =
						((obj_t) BgL_class1149z00_9427), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1150zd2_9428), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_locz00) =
						((obj_t) BgL_loc1151z00_9429), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1152z00_9430), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_keysz00) =
						((obj_t) BgL_keys1153z00_9431), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1154z00_9432), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1155z00_9433)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1679z00_11065)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1156z00_9434), BUNSPEC);
					{
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20712;

						{
							obj_t BgL_auxz00_20713;

							{	/* Cfa/cinfo.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_20714;

								BgL_tmpz00_20714 = ((BgL_objectz00_bglt) BgL_new1679z00_11065);
								BgL_auxz00_20713 = BGL_OBJECT_WIDENING(BgL_tmpz00_20714);
							}
							BgL_auxz00_20712 =
								((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20713);
						}
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20712))->
								BgL_polymorphiczf3zf3) =
							((bool_t) BgL_polymorphiczf31157zf3_11063), BUNSPEC);
					}
					{
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20719;

						{
							obj_t BgL_auxz00_20720;

							{	/* Cfa/cinfo.scm 49 */
								BgL_objectz00_bglt BgL_tmpz00_20721;

								BgL_tmpz00_20721 = ((BgL_objectz00_bglt) BgL_new1679z00_11065);
								BgL_auxz00_20720 = BGL_OBJECT_WIDENING(BgL_tmpz00_20721);
							}
							BgL_auxz00_20719 =
								((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20720);
						}
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20719))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1158z00_9436)), BUNSPEC);
					}
					return BgL_new1679z00_11065;
				}
			}
		}

	}



/* &lambda2170 */
	obj_t BGl_z62lambda2170z62zzcfa_infoz00(obj_t BgL_envz00_9437,
		obj_t BgL_oz00_9438, obj_t BgL_vz00_9439)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20727;

				{
					obj_t BgL_auxz00_20728;

					{	/* Cfa/cinfo.scm 49 */
						BgL_objectz00_bglt BgL_tmpz00_20729;

						BgL_tmpz00_20729 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9438));
						BgL_auxz00_20728 = BGL_OBJECT_WIDENING(BgL_tmpz00_20729);
					}
					BgL_auxz00_20727 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20728);
				}
				return
					((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20727))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9439)), BUNSPEC);
			}
		}

	}



/* &lambda2169 */
	BgL_approxz00_bglt BGl_z62lambda2169z62zzcfa_infoz00(obj_t BgL_envz00_9440,
		obj_t BgL_oz00_9441)
	{
		{	/* Cfa/cinfo.scm 49 */
			{
				BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20736;

				{
					obj_t BgL_auxz00_20737;

					{	/* Cfa/cinfo.scm 49 */
						BgL_objectz00_bglt BgL_tmpz00_20738;

						BgL_tmpz00_20738 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9441));
						BgL_auxz00_20737 = BGL_OBJECT_WIDENING(BgL_tmpz00_20738);
					}
					BgL_auxz00_20736 =
						((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20737);
				}
				return
					(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20736))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2165> */
	obj_t BGl_z62zc3z04anonymousza32165ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9442)
	{
		{	/* Cfa/cinfo.scm 49 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2164 */
	obj_t BGl_z62lambda2164z62zzcfa_infoz00(obj_t BgL_envz00_9443,
		obj_t BgL_oz00_9444, obj_t BgL_vz00_9445)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				bool_t BgL_vz00_11075;

				BgL_vz00_11075 = CBOOL(BgL_vz00_9445);
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20746;

					{
						obj_t BgL_auxz00_20747;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20748;

							BgL_tmpz00_20748 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9444));
							BgL_auxz00_20747 = BGL_OBJECT_WIDENING(BgL_tmpz00_20748);
						}
						BgL_auxz00_20746 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20747);
					}
					return
						((((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20746))->
							BgL_polymorphiczf3zf3) = ((bool_t) BgL_vz00_11075), BUNSPEC);
				}
			}
		}

	}



/* &lambda2163 */
	obj_t BGl_z62lambda2163z62zzcfa_infoz00(obj_t BgL_envz00_9446,
		obj_t BgL_oz00_9447)
	{
		{	/* Cfa/cinfo.scm 49 */
			{	/* Cfa/cinfo.scm 49 */
				bool_t BgL_tmpz00_20754;

				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_20755;

					{
						obj_t BgL_auxz00_20756;

						{	/* Cfa/cinfo.scm 49 */
							BgL_objectz00_bglt BgL_tmpz00_20757;

							BgL_tmpz00_20757 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_9447));
							BgL_auxz00_20756 = BGL_OBJECT_WIDENING(BgL_tmpz00_20757);
						}
						BgL_auxz00_20755 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_20756);
					}
					BgL_tmpz00_20754 =
						(((BgL_externzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_20755))->
						BgL_polymorphiczf3zf3);
				}
				return BBOOL(BgL_tmpz00_20754);
			}
		}

	}



/* &lambda2133 */
	BgL_cfunz00_bglt BGl_z62lambda2133z62zzcfa_infoz00(obj_t BgL_envz00_9448,
		obj_t BgL_o1133z00_9449)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				long BgL_arg2134z00_11078;

				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_arg2135z00_11079;

					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_arg2136z00_11080;

						{	/* Cfa/cinfo.scm 47 */
							obj_t BgL_arg1866z00_11081;
							long BgL_arg1867z00_11082;

							BgL_arg1866z00_11081 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/cinfo.scm 47 */
								long BgL_arg1869z00_11083;

								BgL_arg1869z00_11083 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_cfunz00_bglt) BgL_o1133z00_9449)));
								BgL_arg1867z00_11082 = (BgL_arg1869z00_11083 - OBJECT_TYPE);
							}
							BgL_arg2136z00_11080 =
								VECTOR_REF(BgL_arg1866z00_11081, BgL_arg1867z00_11082);
						}
						BgL_arg2135z00_11079 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2136z00_11080);
					}
					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_tmpz00_20771;

						BgL_tmpz00_20771 = ((obj_t) BgL_arg2135z00_11079);
						BgL_arg2134z00_11078 = BGL_CLASS_NUM(BgL_tmpz00_20771);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_cfunz00_bglt) BgL_o1133z00_9449)), BgL_arg2134z00_11078);
			}
			{	/* Cfa/cinfo.scm 47 */
				BgL_objectz00_bglt BgL_tmpz00_20777;

				BgL_tmpz00_20777 =
					((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_o1133z00_9449));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20777, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_o1133z00_9449));
			return ((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1133z00_9449));
		}

	}



/* &<@anonymous:2132> */
	obj_t BGl_z62zc3z04anonymousza32132ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9450,
		obj_t BgL_new1132z00_9451)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunz00_bglt BgL_auxz00_20785;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_new1132z00_9451))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_argszd2typezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_macrozf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_infixzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt)
										BgL_new1132z00_9451))))->BgL_methodz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_approxz00_bglt BgL_auxz00_20835;
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20828;

					{	/* Cfa/cinfo.scm 47 */
						obj_t BgL_classz00_11085;

						BgL_classz00_11085 = BGl_approxz00zzcfa_infoz00;
						{	/* Cfa/cinfo.scm 47 */
							obj_t BgL__ortest_1117z00_11086;

							BgL__ortest_1117z00_11086 = BGL_CLASS_NIL(BgL_classz00_11085);
							if (CBOOL(BgL__ortest_1117z00_11086))
								{	/* Cfa/cinfo.scm 47 */
									BgL_auxz00_20835 =
										((BgL_approxz00_bglt) BgL__ortest_1117z00_11086);
								}
							else
								{	/* Cfa/cinfo.scm 47 */
									BgL_auxz00_20835 =
										((BgL_approxz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_11085));
								}
						}
					}
					{
						obj_t BgL_auxz00_20829;

						{	/* Cfa/cinfo.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_20830;

							BgL_tmpz00_20830 =
								((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_new1132z00_9451));
							BgL_auxz00_20829 = BGL_OBJECT_WIDENING(BgL_tmpz00_20830);
						}
						BgL_auxz00_20828 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20829);
					}
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20828))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_auxz00_20835), BUNSPEC);
				}
				BgL_auxz00_20785 = ((BgL_cfunz00_bglt) BgL_new1132z00_9451);
				return ((obj_t) BgL_auxz00_20785);
			}
		}

	}



/* &lambda2130 */
	BgL_cfunz00_bglt BGl_z62lambda2130z62zzcfa_infoz00(obj_t BgL_envz00_9452,
		obj_t BgL_o1129z00_9453)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				BgL_cfunzf2cinfozf2_bglt BgL_wide1131z00_11088;

				BgL_wide1131z00_11088 =
					((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cfunzf2cinfozf2_bgl))));
				{	/* Cfa/cinfo.scm 47 */
					obj_t BgL_auxz00_20850;
					BgL_objectz00_bglt BgL_tmpz00_20846;

					BgL_auxz00_20850 = ((obj_t) BgL_wide1131z00_11088);
					BgL_tmpz00_20846 =
						((BgL_objectz00_bglt)
						((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1129z00_9453)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20846, BgL_auxz00_20850);
				}
				((BgL_objectz00_bglt)
					((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1129z00_9453)));
				{	/* Cfa/cinfo.scm 47 */
					long BgL_arg2131z00_11089;

					BgL_arg2131z00_11089 =
						BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cfunz00_bglt)
								((BgL_cfunz00_bglt) BgL_o1129z00_9453))), BgL_arg2131z00_11089);
				}
				return
					((BgL_cfunz00_bglt)
					((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_o1129z00_9453)));
			}
		}

	}



/* &lambda2127 */
	BgL_cfunz00_bglt BGl_z62lambda2127z62zzcfa_infoz00(obj_t BgL_envz00_9454,
		obj_t BgL_arity1114z00_9455, obj_t BgL_sidezd2effect1115zd2_9456,
		obj_t BgL_predicatezd2of1116zd2_9457,
		obj_t BgL_stackzd2allocator1117zd2_9458, obj_t BgL_topzf31118zf3_9459,
		obj_t BgL_thezd2closure1119zd2_9460, obj_t BgL_effect1120z00_9461,
		obj_t BgL_failsafe1121z00_9462, obj_t BgL_argszd2noescape1122zd2_9463,
		obj_t BgL_argszd2retescape1123zd2_9464, obj_t BgL_argszd2type1124zd2_9465,
		obj_t BgL_macrozf31125zf3_9466, obj_t BgL_infixzf31126zf3_9467,
		obj_t BgL_method1127z00_9468, obj_t BgL_approx1128z00_9469)
	{
		{	/* Cfa/cinfo.scm 47 */
			{	/* Cfa/cinfo.scm 47 */
				long BgL_arity1114z00_11090;
				bool_t BgL_topzf31118zf3_11091;
				bool_t BgL_macrozf31125zf3_11092;
				bool_t BgL_infixzf31126zf3_11093;

				BgL_arity1114z00_11090 = (long) CINT(BgL_arity1114z00_9455);
				BgL_topzf31118zf3_11091 = CBOOL(BgL_topzf31118zf3_9459);
				BgL_macrozf31125zf3_11092 = CBOOL(BgL_macrozf31125zf3_9466);
				BgL_infixzf31126zf3_11093 = CBOOL(BgL_infixzf31126zf3_9467);
				{	/* Cfa/cinfo.scm 47 */
					BgL_cfunz00_bglt BgL_new1674z00_11096;

					{	/* Cfa/cinfo.scm 47 */
						BgL_cfunz00_bglt BgL_tmp1672z00_11097;
						BgL_cfunzf2cinfozf2_bglt BgL_wide1673z00_11098;

						{
							BgL_cfunz00_bglt BgL_auxz00_20868;

							{	/* Cfa/cinfo.scm 47 */
								BgL_cfunz00_bglt BgL_new1671z00_11099;

								BgL_new1671z00_11099 =
									((BgL_cfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_cfunz00_bgl))));
								{	/* Cfa/cinfo.scm 47 */
									long BgL_arg2129z00_11100;

									BgL_arg2129z00_11100 = BGL_CLASS_NUM(BGl_cfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1671z00_11099),
										BgL_arg2129z00_11100);
								}
								{	/* Cfa/cinfo.scm 47 */
									BgL_objectz00_bglt BgL_tmpz00_20873;

									BgL_tmpz00_20873 =
										((BgL_objectz00_bglt) BgL_new1671z00_11099);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20873, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1671z00_11099);
								BgL_auxz00_20868 = BgL_new1671z00_11099;
							}
							BgL_tmp1672z00_11097 = ((BgL_cfunz00_bglt) BgL_auxz00_20868);
						}
						BgL_wide1673z00_11098 =
							((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunzf2cinfozf2_bgl))));
						{	/* Cfa/cinfo.scm 47 */
							obj_t BgL_auxz00_20881;
							BgL_objectz00_bglt BgL_tmpz00_20879;

							BgL_auxz00_20881 = ((obj_t) BgL_wide1673z00_11098);
							BgL_tmpz00_20879 = ((BgL_objectz00_bglt) BgL_tmp1672z00_11097);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_20879, BgL_auxz00_20881);
						}
						((BgL_objectz00_bglt) BgL_tmp1672z00_11097);
						{	/* Cfa/cinfo.scm 47 */
							long BgL_arg2128z00_11101;

							BgL_arg2128z00_11101 =
								BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1672z00_11097),
								BgL_arg2128z00_11101);
						}
						BgL_new1674z00_11096 = ((BgL_cfunz00_bglt) BgL_tmp1672z00_11097);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1674z00_11096)))->BgL_arityz00) =
						((long) BgL_arity1114z00_11090), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1115zd2_9456), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1116zd2_9457), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1117zd2_9458), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31118zf3_11091), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1119zd2_9460), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_effectz00) =
						((obj_t) BgL_effect1120z00_9461), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1121z00_9462), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1122zd2_9463), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1674z00_11096)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1123zd2_9464), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1674z00_11096)))->BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1124zd2_9465), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1674z00_11096)))->BgL_macrozf3zf3) =
						((bool_t) BgL_macrozf31125zf3_11092), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1674z00_11096)))->BgL_infixzf3zf3) =
						((bool_t) BgL_infixzf31126zf3_11093), BUNSPEC);
					((((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt)
										BgL_new1674z00_11096)))->BgL_methodz00) =
						((obj_t) ((obj_t) BgL_method1127z00_9468)), BUNSPEC);
					{
						BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20918;

						{
							obj_t BgL_auxz00_20919;

							{	/* Cfa/cinfo.scm 47 */
								BgL_objectz00_bglt BgL_tmpz00_20920;

								BgL_tmpz00_20920 = ((BgL_objectz00_bglt) BgL_new1674z00_11096);
								BgL_auxz00_20919 = BGL_OBJECT_WIDENING(BgL_tmpz00_20920);
							}
							BgL_auxz00_20918 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20919);
						}
						((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20918))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) ((BgL_approxz00_bglt)
									BgL_approx1128z00_9469)), BUNSPEC);
					}
					return BgL_new1674z00_11096;
				}
			}
		}

	}



/* &lambda2141 */
	obj_t BGl_z62lambda2141z62zzcfa_infoz00(obj_t BgL_envz00_9470,
		obj_t BgL_oz00_9471, obj_t BgL_vz00_9472)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20926;

				{
					obj_t BgL_auxz00_20927;

					{	/* Cfa/cinfo.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_20928;

						BgL_tmpz00_20928 =
							((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_oz00_9471));
						BgL_auxz00_20927 = BGL_OBJECT_WIDENING(BgL_tmpz00_20928);
					}
					BgL_auxz00_20926 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20927);
				}
				return
					((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20926))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) ((BgL_approxz00_bglt) BgL_vz00_9472)), BUNSPEC);
			}
		}

	}



/* &lambda2140 */
	BgL_approxz00_bglt BGl_z62lambda2140z62zzcfa_infoz00(obj_t BgL_envz00_9473,
		obj_t BgL_oz00_9474)
	{
		{	/* Cfa/cinfo.scm 47 */
			{
				BgL_cfunzf2cinfozf2_bglt BgL_auxz00_20935;

				{
					obj_t BgL_auxz00_20936;

					{	/* Cfa/cinfo.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_20937;

						BgL_tmpz00_20937 =
							((BgL_objectz00_bglt) ((BgL_cfunz00_bglt) BgL_oz00_9474));
						BgL_auxz00_20936 = BGL_OBJECT_WIDENING(BgL_tmpz00_20937);
					}
					BgL_auxz00_20935 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_20936);
				}
				return
					(((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_20935))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:2073> */
	obj_t BGl_z62zc3z04anonymousza32073ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9475,
		obj_t BgL_new1112z00_9476)
	{
		{	/* Cfa/cinfo.scm 25 */
			{
				BgL_approxz00_bglt BgL_auxz00_20943;

				{
					BgL_typez00_bglt BgL_auxz00_20944;

					{	/* Cfa/cinfo.scm 25 */
						obj_t BgL_classz00_11106;

						BgL_classz00_11106 = BGl_typez00zztype_typez00;
						{	/* Cfa/cinfo.scm 25 */
							obj_t BgL__ortest_1117z00_11107;

							BgL__ortest_1117z00_11107 = BGL_CLASS_NIL(BgL_classz00_11106);
							if (CBOOL(BgL__ortest_1117z00_11107))
								{	/* Cfa/cinfo.scm 25 */
									BgL_auxz00_20944 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_11107);
								}
							else
								{	/* Cfa/cinfo.scm 25 */
									BgL_auxz00_20944 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_11106));
								}
						}
					}
					((((BgL_approxz00_bglt) COBJECT(
									((BgL_approxz00_bglt) BgL_new1112z00_9476)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_20944), BUNSPEC);
				}
				((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_new1112z00_9476)))->
						BgL_typezd2lockedzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1112z00_9476)))->BgL_allocsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1112z00_9476)))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1112z00_9476)))->BgL_lostzd2stampzd2) =
					((long) 0L), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1112z00_9476)))->BgL_dupz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
									BgL_new1112z00_9476)))->BgL_haszd2procedurezf3z21) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_20943 = ((BgL_approxz00_bglt) BgL_new1112z00_9476);
				return ((obj_t) BgL_auxz00_20943);
			}
		}

	}



/* &lambda2071 */
	BgL_approxz00_bglt BGl_z62lambda2071z62zzcfa_infoz00(obj_t BgL_envz00_9477)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				BgL_approxz00_bglt BgL_new1110z00_11108;

				BgL_new1110z00_11108 =
					((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_approxz00_bgl))));
				{	/* Cfa/cinfo.scm 25 */
					long BgL_arg2072z00_11109;

					BgL_arg2072z00_11109 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_11108), BgL_arg2072z00_11109);
				}
				return BgL_new1110z00_11108;
			}
		}

	}



/* &lambda2069 */
	BgL_approxz00_bglt BGl_z62lambda2069z62zzcfa_infoz00(obj_t BgL_envz00_9478,
		obj_t BgL_type1103z00_9479, obj_t BgL_typezd2lockedzf31104z21_9480,
		obj_t BgL_allocs1105z00_9481, obj_t BgL_topzf31106zf3_9482,
		obj_t BgL_lostzd2stamp1107zd2_9483, obj_t BgL_dup1108z00_9484,
		obj_t BgL_haszd2procedurezf31109z21_9485)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_typezd2lockedzf31104z21_11111;
				bool_t BgL_topzf31106zf3_11112;
				long BgL_lostzd2stamp1107zd2_11113;
				bool_t BgL_haszd2procedurezf31109z21_11114;

				BgL_typezd2lockedzf31104z21_11111 =
					CBOOL(BgL_typezd2lockedzf31104z21_9480);
				BgL_topzf31106zf3_11112 = CBOOL(BgL_topzf31106zf3_9482);
				BgL_lostzd2stamp1107zd2_11113 =
					(long) CINT(BgL_lostzd2stamp1107zd2_9483);
				BgL_haszd2procedurezf31109z21_11114 =
					CBOOL(BgL_haszd2procedurezf31109z21_9485);
				{	/* Cfa/cinfo.scm 25 */
					BgL_approxz00_bglt BgL_new1670z00_11115;

					{	/* Cfa/cinfo.scm 25 */
						BgL_approxz00_bglt BgL_new1669z00_11116;

						BgL_new1669z00_11116 =
							((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/cinfo.scm 25 */
							long BgL_arg2070z00_11117;

							BgL_arg2070z00_11117 = BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1669z00_11116),
								BgL_arg2070z00_11117);
						}
						BgL_new1670z00_11115 = BgL_new1669z00_11116;
					}
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1103z00_9479)),
						BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->
							BgL_typezd2lockedzf3z21) =
						((bool_t) BgL_typezd2lockedzf31104z21_11111), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->
							BgL_allocsz00) = ((obj_t) BgL_allocs1105z00_9481), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31106zf3_11112), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->
							BgL_lostzd2stampzd2) =
						((long) BgL_lostzd2stamp1107zd2_11113), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->BgL_dupz00) =
						((obj_t) BgL_dup1108z00_9484), BUNSPEC);
					((((BgL_approxz00_bglt) COBJECT(BgL_new1670z00_11115))->
							BgL_haszd2procedurezf3z21) =
						((bool_t) BgL_haszd2procedurezf31109z21_11114), BUNSPEC);
					return BgL_new1670z00_11115;
				}
			}
		}

	}



/* &<@anonymous:2120> */
	obj_t BGl_z62zc3z04anonymousza32120ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9486)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2119 */
	obj_t BGl_z62lambda2119z62zzcfa_infoz00(obj_t BgL_envz00_9487,
		obj_t BgL_oz00_9488, obj_t BgL_vz00_9489)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_11119;

				BgL_vz00_11119 = CBOOL(BgL_vz00_9489);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9488)))->
						BgL_haszd2procedurezf3z21) = ((bool_t) BgL_vz00_11119), BUNSPEC);
			}
		}

	}



/* &lambda2118 */
	obj_t BGl_z62lambda2118z62zzcfa_infoz00(obj_t BgL_envz00_9490,
		obj_t BgL_oz00_9491)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9491)))->
					BgL_haszd2procedurezf3z21));
		}

	}



/* &<@anonymous:2113> */
	obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9492)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BUNSPEC;
		}

	}



/* &lambda2112 */
	obj_t BGl_z62lambda2112z62zzcfa_infoz00(obj_t BgL_envz00_9493,
		obj_t BgL_oz00_9494, obj_t BgL_vz00_9495)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9494)))->BgL_dupz00) =
				((obj_t) BgL_vz00_9495), BUNSPEC);
		}

	}



/* &lambda2111 */
	obj_t BGl_z62lambda2111z62zzcfa_infoz00(obj_t BgL_envz00_9496,
		obj_t BgL_oz00_9497)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9497)))->BgL_dupz00);
		}

	}



/* &<@anonymous:2106> */
	obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9498)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BINT((-1L));
		}

	}



/* &lambda2105 */
	obj_t BGl_z62lambda2105z62zzcfa_infoz00(obj_t BgL_envz00_9499,
		obj_t BgL_oz00_9500, obj_t BgL_vz00_9501)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				long BgL_vz00_11124;

				BgL_vz00_11124 = (long) CINT(BgL_vz00_9501);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9500)))->BgL_lostzd2stampzd2) =
					((long) BgL_vz00_11124), BUNSPEC);
		}}

	}



/* &lambda2104 */
	obj_t BGl_z62lambda2104z62zzcfa_infoz00(obj_t BgL_envz00_9502,
		obj_t BgL_oz00_9503)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BINT(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9503)))->BgL_lostzd2stampzd2));
		}

	}



/* &<@anonymous:2099> */
	obj_t BGl_z62zc3z04anonymousza32099ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9504)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2098 */
	obj_t BGl_z62lambda2098z62zzcfa_infoz00(obj_t BgL_envz00_9505,
		obj_t BgL_oz00_9506, obj_t BgL_vz00_9507)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_11127;

				BgL_vz00_11127 = CBOOL(BgL_vz00_9507);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9506)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_11127), BUNSPEC);
			}
		}

	}



/* &lambda2097 */
	obj_t BGl_z62lambda2097z62zzcfa_infoz00(obj_t BgL_envz00_9508,
		obj_t BgL_oz00_9509)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9509)))->BgL_topzf3zf3));
		}

	}



/* &lambda2092 */
	obj_t BGl_z62lambda2092z62zzcfa_infoz00(obj_t BgL_envz00_9510,
		obj_t BgL_oz00_9511, obj_t BgL_vz00_9512)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9511)))->BgL_allocsz00) =
				((obj_t) BgL_vz00_9512), BUNSPEC);
		}

	}



/* &lambda2091 */
	obj_t BGl_z62lambda2091z62zzcfa_infoz00(obj_t BgL_envz00_9513,
		obj_t BgL_oz00_9514)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9514)))->BgL_allocsz00);
		}

	}



/* &<@anonymous:2087> */
	obj_t BGl_z62zc3z04anonymousza32087ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9515)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2086 */
	obj_t BGl_z62lambda2086z62zzcfa_infoz00(obj_t BgL_envz00_9516,
		obj_t BgL_oz00_9517, obj_t BgL_vz00_9518)
	{
		{	/* Cfa/cinfo.scm 25 */
			{	/* Cfa/cinfo.scm 25 */
				bool_t BgL_vz00_11132;

				BgL_vz00_11132 = CBOOL(BgL_vz00_9518);
				return
					((((BgL_approxz00_bglt) COBJECT(
								((BgL_approxz00_bglt) BgL_oz00_9517)))->
						BgL_typezd2lockedzf3z21) = ((bool_t) BgL_vz00_11132), BUNSPEC);
			}
		}

	}



/* &lambda2085 */
	obj_t BGl_z62lambda2085z62zzcfa_infoz00(obj_t BgL_envz00_9519,
		obj_t BgL_oz00_9520)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				BBOOL(
				(((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9520)))->BgL_typezd2lockedzf3z21));
		}

	}



/* &<@anonymous:2080> */
	obj_t BGl_z62zc3z04anonymousza32080ze3ze5zzcfa_infoz00(obj_t BgL_envz00_9521)
	{
		{	/* Cfa/cinfo.scm 25 */
			return BGl_za2_za2z00zztype_cachez00;
		}

	}



/* &lambda2079 */
	obj_t BGl_z62lambda2079z62zzcfa_infoz00(obj_t BgL_envz00_9522,
		obj_t BgL_oz00_9523, obj_t BgL_vz00_9524)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				((((BgL_approxz00_bglt) COBJECT(
							((BgL_approxz00_bglt) BgL_oz00_9523)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_9524)), BUNSPEC);
		}

	}



/* &lambda2078 */
	BgL_typez00_bglt BGl_z62lambda2078z62zzcfa_infoz00(obj_t BgL_envz00_9525,
		obj_t BgL_oz00_9526)
	{
		{	/* Cfa/cinfo.scm 25 */
			return
				(((BgL_approxz00_bglt) COBJECT(
						((BgL_approxz00_bglt) BgL_oz00_9526)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_infoz00(void)
	{
		{	/* Cfa/cinfo.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3354z00zzcfa_infoz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string3354z00zzcfa_infoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3354z00zzcfa_infoz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3354z00zzcfa_infoz00));
		}

	}

#ifdef __cplusplus
}
#endif
