/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_TYPE_TYPE_DEFINITIONS
#define BGL_CFA_TYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
		bool_t BgL_tvectorzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


#endif													// BGL_CFA_TYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern1694z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2sexit1658z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2cfazf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun1714za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_typez00(void);
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21656z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21652z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2procedurezd2lza2zd2zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1706z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1708z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_typez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00(void);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62typezd2variablez121649za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom1664z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1680z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1682z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var1716za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1720z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62typezd2nodez121661za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_typez00(void);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1676z70zzcfa_typez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast1702z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_setzd2everyzd2zzcfa_setz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcall1690z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C1692z82zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq1704z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2variablez12zd2inter1660z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync1674z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_markzd2nullzd2typezd2ctorz12zc0zzcfa_typez00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00(void);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_setzd2headzd2zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121724zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box1722za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti1678z70zzcfa_typez00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref1698z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst1654z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern bool_t
		BGl_unoptimiza7edzd2closurezf3z86zzcfa_closurez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote1666z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1668z70zzcfa_typez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1688z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref1726za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00(void);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1718z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00(void);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence1672z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz121700z62zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc1696z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure1670z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2switch1712z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail1710z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2ly1686za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21684z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2449z00,
		BGl_z62typezd2variablez12zd2svarzf21652z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2450z00,
		BGl_z62typezd2variablez12zd2scnst1654z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2451z00,
		BGl_z62typezd2variablez12zd2cvarzf21656z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2452z00,
		BGl_z62typezd2variablez12zd2sexit1658z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2407z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2453z00,
		BGl_z62typezd2variablez12zd2inter1660z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712454za7,
		BGl_z62typezd2nodez12zd2atom1664z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712455za7,
		BGl_z62typezd2nodez12zd2kwote1666z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712456za7,
		BGl_z62typezd2nodez12zd2var1668z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712457za7,
		BGl_z62typezd2nodez12zd2closure1670z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712458za7,
		BGl_z62typezd2nodez12zd2sequence1672z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712459za7,
		BGl_z62typezd2nodez12zd2sync1674z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712460za7,
		BGl_z62typezd2nodez12zd2app1676z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712461za7,
		BGl_z62typezd2nodez12zd2arithmeti1678z70zzcfa_typez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712462za7,
		BGl_z62typezd2nodez12zd2procedure1680z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712463za7,
		BGl_z62typezd2nodez12zd2procedure1682z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712464za7,
		BGl_z62typezd2nodez12zd2conszd2refzd21684z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712465za7,
		BGl_z62typezd2nodez12zd2appzd2ly1686za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712466za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1688z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712467za7,
		BGl_z62typezd2nodez12zd2funcall1690z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712468za7,
		BGl_z62typezd2nodez12zd2funcallzf2C1692z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712469za7,
		BGl_z62typezd2nodez12zd2extern1694z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712470za7,
		BGl_z62typezd2nodez12zd2valloc1696z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712471za7,
		BGl_z62typezd2nodez12zd2vref1698z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712472za7,
		BGl_z62typezd2nodez12zd2vsetz121700z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712473za7,
		BGl_z62typezd2nodez12zd2cast1702z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712474za7,
		BGl_z62typezd2nodez12zd2setq1704z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712475za7,
		BGl_z62typezd2nodez12zd2condition1706z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712476za7,
		BGl_z62typezd2nodez12zd2condition1708z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712477za7,
		BGl_z62typezd2nodez12zd2fail1710z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712478za7,
		BGl_z62typezd2nodez12zd2switch1712z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712479za7,
		BGl_z62typezd2nodez12zd2letzd2fun1714za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712480za7,
		BGl_z62typezd2nodez12zd2letzd2var1716za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712481za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1718z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712482za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1720z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712483za7,
		BGl_z62typezd2nodez12zd2makezd2box1722za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712484za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121724zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712485za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1726za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2391z00zzcfa_typez00,
		BgL_bgl_string2391za700za7za7c2486za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string2392z00zzcfa_typez00,
		BgL_bgl_string2392za700za7za7c2487za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string2395z00zzcfa_typez00,
		BgL_bgl_string2395za700za7za7c2488za7, "cfg:null-type!", 14);
	      DEFINE_STRING(BGl_string2396z00zzcfa_typez00,
		BgL_bgl_string2396za700za7za7c2489za7, "Cannot find null-type variable",
		30);
	      DEFINE_STRING(BGl_string2398z00zzcfa_typez00,
		BgL_bgl_string2398za700za7za7c2490za7, "type-variable!1649", 18);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2491z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2400z00zzcfa_typez00,
		BgL_bgl_string2400za700za7za7c2492za7, "type-node!1661", 14);
	      DEFINE_STRING(BGl_string2401z00zzcfa_typez00,
		BgL_bgl_string2401za700za7za7c2493za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2403z00zzcfa_typez00,
		BgL_bgl_string2403za700za7za7c2494za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string2409z00zzcfa_typez00,
		BgL_bgl_string2409za700za7za7c2495za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string2441z00zzcfa_typez00,
		BgL_bgl_string2441za700za7za7c2496za7, "unexpected node", 15);
	      DEFINE_STRING(BGl_string2442z00zzcfa_typez00,
		BgL_bgl_string2442za700za7za7c2497za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2443z00zzcfa_typez00,
		BgL_bgl_string2443za700za7za7c2498za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string2444z00zzcfa_typez00,
		BgL_bgl_string2444za700za7za7c2499za7,
		"nothing static light type-node!1661 bigloo elight ", 50);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin2500z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712501za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2393z00zzcfa_typez00,
		BgL_bgl_za762za7c3za704anonymo2502za7,
		BGl_z62zc3z04anonymousza31877ze3ze5zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zzcfa_typez00,
		BgL_bgl_za762za7c3za704anonymo2503za7,
		BGl_z62zc3z04anonymousza31873ze3ze5zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2504z00,
		BGl_z62typezd2variablez121649za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712505za7,
		BGl_z62typezd2nodez121661za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza72506za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6895, char *BgL_fromz00_6896)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_typez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BGl_toplevelzd2initzd2zzcfa_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6553;

				{	/* Cfa/type.scm 15 */
					obj_t BgL_stringz00_6560;

					BgL_stringz00_6560 = BGl_string2444z00zzcfa_typez00;
					{	/* Cfa/type.scm 15 */
						obj_t BgL_startz00_6561;

						BgL_startz00_6561 = BINT(0L);
						{	/* Cfa/type.scm 15 */
							obj_t BgL_endz00_6562;

							BgL_endz00_6562 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6560)));
							{	/* Cfa/type.scm 15 */

								BgL_cportz00_6553 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6560, BgL_startz00_6561, BgL_endz00_6562);
				}}}}
				{
					long BgL_iz00_6554;

					BgL_iz00_6554 = 5L;
				BgL_loopz00_6555:
					if ((BgL_iz00_6554 == (-1L)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg2448z00_6556;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6558;

										BgL_locationz00_6558 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg2448z00_6556 =
												BGl_readz00zz__readerz00(BgL_cportz00_6553,
												BgL_locationz00_6558);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_tmpz00_6928;

									BgL_tmpz00_6928 = (int) (BgL_iz00_6554);
									CNST_TABLE_SET(BgL_tmpz00_6928, BgL_arg2448z00_6556);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6559;

								BgL_auxz00_6559 = (int) ((BgL_iz00_6554 - 1L));
								{
									long BgL_iz00_6933;

									BgL_iz00_6933 = (long) (BgL_auxz00_6559);
									BgL_iz00_6554 = BgL_iz00_6933;
									goto BgL_loopz00_6555;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_23)
	{
		{	/* Cfa/type.scm 44 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l1623z00_3904;

				{	/* Cfa/type.scm 49 */
					bool_t BgL_tmpz00_6937;

					BgL_l1623z00_3904 = BgL_globalsz00_23;
				BgL_zc3z04anonymousza31777ze3z87_3905:
					if (PAIRP(BgL_l1623z00_3904))
						{	/* Cfa/type.scm 49 */
							{	/* Cfa/type.scm 49 */
								obj_t BgL_arg1782z00_3907;

								BgL_arg1782z00_3907 = CAR(BgL_l1623z00_3904);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg1782z00_3907));
							}
							{
								obj_t BgL_l1623z00_6943;

								BgL_l1623z00_6943 = CDR(BgL_l1623z00_3904);
								BgL_l1623z00_3904 = BgL_l1623z00_6943;
								goto BgL_zc3z04anonymousza31777ze3z87_3905;
							}
						}
					else
						{	/* Cfa/type.scm 49 */
							BgL_tmpz00_6937 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6937);
				}
			}
		}

	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6408,
		obj_t BgL_globalsz00_6409)
	{
		{	/* Cfa/type.scm 44 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6409);
		}

	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_24)
	{
		{	/* Cfa/type.scm 54 */
			{	/* Cfa/type.scm 55 */
				BgL_valuez00_bglt BgL_funz00_3910;

				BgL_funz00_3910 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->BgL_valuez00);
				{	/* Cfa/type.scm 59 */
					bool_t BgL_test2510z00_6948;

					{	/* Cfa/type.scm 59 */
						obj_t BgL_classz00_5099;

						BgL_classz00_5099 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
						{	/* Cfa/type.scm 59 */
							BgL_objectz00_bglt BgL_arg1858z00_5101;

							{	/* Cfa/type.scm 59 */
								obj_t BgL_tmpz00_6949;

								BgL_tmpz00_6949 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3910));
								BgL_arg1858z00_5101 = (BgL_objectz00_bglt) (BgL_tmpz00_6949);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 59 */
									long BgL_idxz00_5107;

									BgL_idxz00_5107 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5101);
									BgL_test2510z00_6948 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5107 + 4L)) == BgL_classz00_5099);
								}
							else
								{	/* Cfa/type.scm 59 */
									bool_t BgL_res2349z00_5132;

									{	/* Cfa/type.scm 59 */
										obj_t BgL_oclassz00_5115;

										{	/* Cfa/type.scm 59 */
											obj_t BgL_arg1866z00_5123;
											long BgL_arg1867z00_5124;

											BgL_arg1866z00_5123 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/type.scm 59 */
												long BgL_arg1869z00_5125;

												BgL_arg1869z00_5125 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5101);
												BgL_arg1867z00_5124 =
													(BgL_arg1869z00_5125 - OBJECT_TYPE);
											}
											BgL_oclassz00_5115 =
												VECTOR_REF(BgL_arg1866z00_5123, BgL_arg1867z00_5124);
										}
										{	/* Cfa/type.scm 59 */
											bool_t BgL__ortest_1115z00_5116;

											BgL__ortest_1115z00_5116 =
												(BgL_classz00_5099 == BgL_oclassz00_5115);
											if (BgL__ortest_1115z00_5116)
												{	/* Cfa/type.scm 59 */
													BgL_res2349z00_5132 = BgL__ortest_1115z00_5116;
												}
											else
												{	/* Cfa/type.scm 59 */
													long BgL_odepthz00_5117;

													{	/* Cfa/type.scm 59 */
														obj_t BgL_arg1855z00_5118;

														BgL_arg1855z00_5118 = (BgL_oclassz00_5115);
														BgL_odepthz00_5117 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5118);
													}
													if ((4L < BgL_odepthz00_5117))
														{	/* Cfa/type.scm 59 */
															obj_t BgL_arg1853z00_5120;

															{	/* Cfa/type.scm 59 */
																obj_t BgL_arg1854z00_5121;

																BgL_arg1854z00_5121 = (BgL_oclassz00_5115);
																BgL_arg1853z00_5120 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5121,
																	4L);
															}
															BgL_res2349z00_5132 =
																(BgL_arg1853z00_5120 == BgL_classz00_5099);
														}
													else
														{	/* Cfa/type.scm 59 */
															BgL_res2349z00_5132 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2510z00_6948 = BgL_res2349z00_5132;
								}
						}
					}
					if (BgL_test2510z00_6948)
						{	/* Cfa/type.scm 59 */
							if (BGl_unoptimiza7edzd2closurezf3z86zzcfa_closurez00(
									((BgL_sfunz00_bglt) BgL_funz00_3910)))
								{	/* Cfa/type.scm 68 */
									obj_t BgL_g1627z00_3914;

									{	/* Cfa/type.scm 71 */
										obj_t BgL_pairz00_5133;

										BgL_pairz00_5133 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3910))))->
											BgL_argsz00);
										BgL_g1627z00_3914 = CDR(BgL_pairz00_5133);
									}
									{
										obj_t BgL_l1625z00_3916;

										BgL_l1625z00_3916 = BgL_g1627z00_3914;
									BgL_zc3z04anonymousza31787ze3z87_3917:
										if (PAIRP(BgL_l1625z00_3916))
											{	/* Cfa/type.scm 71 */
												{	/* Cfa/type.scm 70 */
													obj_t BgL_varz00_3919;

													BgL_varz00_3919 = CAR(BgL_l1625z00_3916);
													{	/* Cfa/type.scm 70 */
														BgL_typez00_bglt BgL_vz00_5136;

														BgL_vz00_5136 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_varz00_3919)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_5136), BUNSPEC);
													}
												}
												{
													obj_t BgL_l1625z00_6985;

													BgL_l1625z00_6985 = CDR(BgL_l1625z00_3916);
													BgL_l1625z00_3916 = BgL_l1625z00_6985;
													goto BgL_zc3z04anonymousza31787ze3z87_3917;
												}
											}
										else
											{	/* Cfa/type.scm 71 */
												((bool_t) 1);
											}
									}
								}
							else
								{	/* Cfa/type.scm 74 */
									obj_t BgL_g1630z00_3923;

									BgL_g1630z00_3923 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3910))))->BgL_argsz00);
									{
										obj_t BgL_l1628z00_3925;

										BgL_l1628z00_3925 = BgL_g1630z00_3923;
									BgL_zc3z04anonymousza31791ze3z87_3926:
										if (PAIRP(BgL_l1628z00_3925))
											{	/* Cfa/type.scm 74 */
												{	/* Cfa/type.scm 76 */
													obj_t BgL_varz00_3928;

													BgL_varz00_3928 = CAR(BgL_l1628z00_3925);
													{	/* Cfa/type.scm 77 */
														BgL_valuez00_bglt BgL_arg1796z00_3929;

														BgL_arg1796z00_3929 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_3928))))->
															BgL_valuez00);
														BGl_typezd2variablez12zc0zzcfa_typez00
															(BgL_arg1796z00_3929,
															((BgL_variablez00_bglt) BgL_varz00_3928));
													}
												}
												{
													obj_t BgL_l1628z00_6998;

													BgL_l1628z00_6998 = CDR(BgL_l1628z00_3925);
													BgL_l1628z00_3925 = BgL_l1628z00_6998;
													goto BgL_zc3z04anonymousza31791ze3z87_3926;
												}
											}
										else
											{	/* Cfa/type.scm 74 */
												((bool_t) 1);
											}
									}
								}
							{	/* Cfa/type.scm 80 */
								BgL_backendz00_bglt BgL_i1179z00_3932;

								BgL_i1179z00_3932 =
									((BgL_backendz00_bglt)
									BGl_thezd2backendzd2zzbackend_backendz00());
								{	/* Cfa/type.scm 81 */
									bool_t BgL_test2517z00_7002;

									if (
										(((BgL_backendz00_bglt) COBJECT(BgL_i1179z00_3932))->
											BgL_typedzd2closureszd2))
										{	/* Cfa/type.scm 81 */
											BgL_test2517z00_7002 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 82 */
											bool_t BgL_test2519z00_7005;

											{	/* Cfa/type.scm 82 */
												obj_t BgL_arg1814z00_3944;

												BgL_arg1814z00_3944 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_3910))))->
													BgL_thezd2closurezd2globalz00);
												{	/* Cfa/type.scm 82 */
													obj_t BgL_classz00_5141;

													BgL_classz00_5141 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_arg1814z00_3944))
														{	/* Cfa/type.scm 82 */
															BgL_objectz00_bglt BgL_arg1858z00_5143;

															BgL_arg1858z00_5143 =
																(BgL_objectz00_bglt) (BgL_arg1814z00_3944);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Cfa/type.scm 82 */
																	long BgL_idxz00_5149;

																	BgL_idxz00_5149 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_5143);
																	BgL_test2519z00_7005 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5149 + 2L)) ==
																		BgL_classz00_5141);
																}
															else
																{	/* Cfa/type.scm 82 */
																	bool_t BgL_res2350z00_5174;

																	{	/* Cfa/type.scm 82 */
																		obj_t BgL_oclassz00_5157;

																		{	/* Cfa/type.scm 82 */
																			obj_t BgL_arg1866z00_5165;
																			long BgL_arg1867z00_5166;

																			BgL_arg1866z00_5165 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Cfa/type.scm 82 */
																				long BgL_arg1869z00_5167;

																				BgL_arg1869z00_5167 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_5143);
																				BgL_arg1867z00_5166 =
																					(BgL_arg1869z00_5167 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5157 =
																				VECTOR_REF(BgL_arg1866z00_5165,
																				BgL_arg1867z00_5166);
																		}
																		{	/* Cfa/type.scm 82 */
																			bool_t BgL__ortest_1115z00_5158;

																			BgL__ortest_1115z00_5158 =
																				(BgL_classz00_5141 ==
																				BgL_oclassz00_5157);
																			if (BgL__ortest_1115z00_5158)
																				{	/* Cfa/type.scm 82 */
																					BgL_res2350z00_5174 =
																						BgL__ortest_1115z00_5158;
																				}
																			else
																				{	/* Cfa/type.scm 82 */
																					long BgL_odepthz00_5159;

																					{	/* Cfa/type.scm 82 */
																						obj_t BgL_arg1855z00_5160;

																						BgL_arg1855z00_5160 =
																							(BgL_oclassz00_5157);
																						BgL_odepthz00_5159 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_5160);
																					}
																					if ((2L < BgL_odepthz00_5159))
																						{	/* Cfa/type.scm 82 */
																							obj_t BgL_arg1853z00_5162;

																							{	/* Cfa/type.scm 82 */
																								obj_t BgL_arg1854z00_5163;

																								BgL_arg1854z00_5163 =
																									(BgL_oclassz00_5157);
																								BgL_arg1853z00_5162 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_5163, 2L);
																							}
																							BgL_res2350z00_5174 =
																								(BgL_arg1853z00_5162 ==
																								BgL_classz00_5141);
																						}
																					else
																						{	/* Cfa/type.scm 82 */
																							BgL_res2350z00_5174 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2519z00_7005 = BgL_res2350z00_5174;
																}
														}
													else
														{	/* Cfa/type.scm 82 */
															BgL_test2519z00_7005 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2519z00_7005)
												{	/* Cfa/type.scm 82 */
													BgL_test2517z00_7002 =
														(
														(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		((BgL_sfunz00_bglt) BgL_funz00_3910))))->
															BgL_strengthz00) == ((obj_t) CNST_TABLE_REF(0)));
												}
											else
												{	/* Cfa/type.scm 82 */
													BgL_test2517z00_7002 = ((bool_t) 1);
												}
										}
									if (BgL_test2517z00_7002)
										{	/* Cfa/type.scm 84 */
											obj_t BgL_arg1804z00_3939;

											{	/* Cfa/type.scm 84 */
												BgL_approxz00_bglt BgL_arg1810z00_3940;

												{
													BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7037;

													{
														obj_t BgL_auxz00_7038;

														{	/* Cfa/type.scm 84 */
															BgL_objectz00_bglt BgL_tmpz00_7039;

															BgL_tmpz00_7039 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_3910));
															BgL_auxz00_7038 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7039);
														}
														BgL_auxz00_7037 =
															((BgL_internzd2sfunzf2cinfoz20_bglt)
															BgL_auxz00_7038);
													}
													BgL_arg1810z00_3940 =
														(((BgL_internzd2sfunzf2cinfoz20_bglt)
															COBJECT(BgL_auxz00_7037))->BgL_approxz00);
												}
												BgL_arg1804z00_3939 =
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg1810z00_3940, ((obj_t) BgL_varz00_24));
											}
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
												(BgL_varz00_24,
												((BgL_typez00_bglt) BgL_arg1804z00_3939));
										}
									else
										{	/* Cfa/type.scm 85 */
											BgL_typez00_bglt BgL_vz00_5177;

											BgL_vz00_5177 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(BgL_varz00_24))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5177), BUNSPEC);
										}
								}
							}
							{	/* Cfa/type.scm 86 */
								long BgL_arg1818z00_3946;

								{	/* Cfa/type.scm 86 */
									obj_t BgL_arg1821z00_3947;

									{	/* Cfa/type.scm 86 */
										obj_t BgL_arg1822z00_3948;

										{	/* Cfa/type.scm 86 */
											obj_t BgL_arg1866z00_5179;
											long BgL_arg1867z00_5180;

											BgL_arg1866z00_5179 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/type.scm 86 */
												long BgL_arg1869z00_5181;

												BgL_arg1869z00_5181 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_funz00_3910));
												BgL_arg1867z00_5180 =
													(BgL_arg1869z00_5181 - OBJECT_TYPE);
											}
											BgL_arg1822z00_3948 =
												VECTOR_REF(BgL_arg1866z00_5179, BgL_arg1867z00_5180);
										}
										BgL_arg1821z00_3947 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1822z00_3948);
									}
									{	/* Cfa/type.scm 86 */
										obj_t BgL_tmpz00_7057;

										BgL_tmpz00_7057 = ((obj_t) BgL_arg1821z00_3947);
										BgL_arg1818z00_3946 = BGL_CLASS_NUM(BgL_tmpz00_7057);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_funz00_3910), BgL_arg1818z00_3946);
							}
							{	/* Cfa/type.scm 86 */
								BgL_objectz00_bglt BgL_tmpz00_7062;

								BgL_tmpz00_7062 = ((BgL_objectz00_bglt) BgL_funz00_3910);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7062, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_funz00_3910);
							BgL_funz00_3910;
							{
								obj_t BgL_auxz00_7066;

								{	/* Cfa/type.scm 88 */
									obj_t BgL_arg1825z00_3949;

									BgL_arg1825z00_3949 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3910))))->BgL_bodyz00);
									BgL_auxz00_7066 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg1825z00_3949)));
								}
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3910))))->
										BgL_bodyz00) = ((obj_t) BgL_auxz00_7066), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 89 */
							bool_t BgL_test2524z00_7076;

							{	/* Cfa/type.scm 89 */
								obj_t BgL_classz00_5191;

								BgL_classz00_5191 = BGl_sfunz00zzast_varz00;
								{	/* Cfa/type.scm 89 */
									BgL_objectz00_bglt BgL_arg1858z00_5193;

									{	/* Cfa/type.scm 89 */
										obj_t BgL_tmpz00_7077;

										BgL_tmpz00_7077 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3910));
										BgL_arg1858z00_5193 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7077);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 89 */
											long BgL_idxz00_5199;

											BgL_idxz00_5199 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5193);
											BgL_test2524z00_7076 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5199 + 3L)) == BgL_classz00_5191);
										}
									else
										{	/* Cfa/type.scm 89 */
											bool_t BgL_res2351z00_5224;

											{	/* Cfa/type.scm 89 */
												obj_t BgL_oclassz00_5207;

												{	/* Cfa/type.scm 89 */
													obj_t BgL_arg1866z00_5215;
													long BgL_arg1867z00_5216;

													BgL_arg1866z00_5215 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/type.scm 89 */
														long BgL_arg1869z00_5217;

														BgL_arg1869z00_5217 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5193);
														BgL_arg1867z00_5216 =
															(BgL_arg1869z00_5217 - OBJECT_TYPE);
													}
													BgL_oclassz00_5207 =
														VECTOR_REF(BgL_arg1866z00_5215,
														BgL_arg1867z00_5216);
												}
												{	/* Cfa/type.scm 89 */
													bool_t BgL__ortest_1115z00_5208;

													BgL__ortest_1115z00_5208 =
														(BgL_classz00_5191 == BgL_oclassz00_5207);
													if (BgL__ortest_1115z00_5208)
														{	/* Cfa/type.scm 89 */
															BgL_res2351z00_5224 = BgL__ortest_1115z00_5208;
														}
													else
														{	/* Cfa/type.scm 89 */
															long BgL_odepthz00_5209;

															{	/* Cfa/type.scm 89 */
																obj_t BgL_arg1855z00_5210;

																BgL_arg1855z00_5210 = (BgL_oclassz00_5207);
																BgL_odepthz00_5209 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5210);
															}
															if ((3L < BgL_odepthz00_5209))
																{	/* Cfa/type.scm 89 */
																	obj_t BgL_arg1853z00_5212;

																	{	/* Cfa/type.scm 89 */
																		obj_t BgL_arg1854z00_5213;

																		BgL_arg1854z00_5213 = (BgL_oclassz00_5207);
																		BgL_arg1853z00_5212 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5213, 3L);
																	}
																	BgL_res2351z00_5224 =
																		(BgL_arg1853z00_5212 == BgL_classz00_5191);
																}
															else
																{	/* Cfa/type.scm 89 */
																	BgL_res2351z00_5224 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2524z00_7076 = BgL_res2351z00_5224;
										}
								}
							}
							if (BgL_test2524z00_7076)
								{
									obj_t BgL_auxz00_7100;

									{	/* Cfa/type.scm 91 */
										obj_t BgL_arg1829z00_3952;

										BgL_arg1829z00_3952 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3910)))->BgL_bodyz00);
										BgL_auxz00_7100 =
											((obj_t)
											BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg1829z00_3952)));
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3910)))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_7100), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 93 */
									obj_t BgL_arg1834z00_3953;

									BgL_arg1834z00_3953 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_24));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2391z00zzcfa_typez00,
										BGl_string2392z00zzcfa_typez00, BgL_arg1834z00_3953);
								}
						}
				}
			}
		}

	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_25)
	{
		{	/* Cfa/type.scm 98 */
			{	/* Cfa/type.scm 99 */
				BgL_variablez00_bglt BgL_varz00_3954;

				BgL_varz00_3954 =
					(((BgL_varz00_bglt) COBJECT(BgL_vz00_25))->BgL_variablez00);
				{	/* Cfa/type.scm 99 */
					BgL_valuez00_bglt BgL_funz00_3955;

					BgL_funz00_3955 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3954))->BgL_valuez00);
					{	/* Cfa/type.scm 100 */

						{	/* Cfa/type.scm 101 */
							bool_t BgL_test2528z00_7113;

							{	/* Cfa/type.scm 101 */
								obj_t BgL_classz00_5227;

								BgL_classz00_5227 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
								{	/* Cfa/type.scm 101 */
									BgL_objectz00_bglt BgL_arg1858z00_5229;

									{	/* Cfa/type.scm 101 */
										obj_t BgL_tmpz00_7114;

										BgL_tmpz00_7114 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3955));
										BgL_arg1858z00_5229 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7114);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 101 */
											long BgL_idxz00_5235;

											BgL_idxz00_5235 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5229);
											BgL_test2528z00_7113 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5235 + 4L)) == BgL_classz00_5227);
										}
									else
										{	/* Cfa/type.scm 101 */
											bool_t BgL_res2352z00_5260;

											{	/* Cfa/type.scm 101 */
												obj_t BgL_oclassz00_5243;

												{	/* Cfa/type.scm 101 */
													obj_t BgL_arg1866z00_5251;
													long BgL_arg1867z00_5252;

													BgL_arg1866z00_5251 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/type.scm 101 */
														long BgL_arg1869z00_5253;

														BgL_arg1869z00_5253 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5229);
														BgL_arg1867z00_5252 =
															(BgL_arg1869z00_5253 - OBJECT_TYPE);
													}
													BgL_oclassz00_5243 =
														VECTOR_REF(BgL_arg1866z00_5251,
														BgL_arg1867z00_5252);
												}
												{	/* Cfa/type.scm 101 */
													bool_t BgL__ortest_1115z00_5244;

													BgL__ortest_1115z00_5244 =
														(BgL_classz00_5227 == BgL_oclassz00_5243);
													if (BgL__ortest_1115z00_5244)
														{	/* Cfa/type.scm 101 */
															BgL_res2352z00_5260 = BgL__ortest_1115z00_5244;
														}
													else
														{	/* Cfa/type.scm 101 */
															long BgL_odepthz00_5245;

															{	/* Cfa/type.scm 101 */
																obj_t BgL_arg1855z00_5246;

																BgL_arg1855z00_5246 = (BgL_oclassz00_5243);
																BgL_odepthz00_5245 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5246);
															}
															if ((4L < BgL_odepthz00_5245))
																{	/* Cfa/type.scm 101 */
																	obj_t BgL_arg1853z00_5248;

																	{	/* Cfa/type.scm 101 */
																		obj_t BgL_arg1854z00_5249;

																		BgL_arg1854z00_5249 = (BgL_oclassz00_5243);
																		BgL_arg1853z00_5248 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5249, 4L);
																	}
																	BgL_res2352z00_5260 =
																		(BgL_arg1853z00_5248 == BgL_classz00_5227);
																}
															else
																{	/* Cfa/type.scm 101 */
																	BgL_res2352z00_5260 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2528z00_7113 = BgL_res2352z00_5260;
										}
								}
							}
							if (BgL_test2528z00_7113)
								{	/* Cfa/type.scm 103 */
									obj_t BgL_arg1842z00_3958;

									{	/* Cfa/type.scm 103 */
										BgL_approxz00_bglt BgL_arg1845z00_3959;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7137;

											{
												obj_t BgL_auxz00_7138;

												{	/* Cfa/type.scm 103 */
													BgL_objectz00_bglt BgL_tmpz00_7139;

													BgL_tmpz00_7139 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3955));
													BgL_auxz00_7138 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7139);
												}
												BgL_auxz00_7137 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7138);
											}
											BgL_arg1845z00_3959 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													COBJECT(BgL_auxz00_7137))->BgL_approxz00);
										}
										BgL_arg1842z00_3958 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg1845z00_3959, ((obj_t) BgL_vz00_25));
									}
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00
										(BgL_varz00_3954, ((BgL_typez00_bglt) BgL_arg1842z00_3958));
								}
							else
								{	/* Cfa/type.scm 101 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_26,
		obj_t BgL_nodez00_27)
	{
		{	/* Cfa/type.scm 108 */
			{	/* Cfa/type.scm 109 */
				obj_t BgL_tyz00_3960;
				obj_t BgL_allocsz00_3961;

				BgL_tyz00_3960 =
					((obj_t)
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_typez00));
				BgL_allocsz00_3961 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->BgL_allocsz00);
				{	/* Cfa/type.scm 112 */
					bool_t BgL_test2532z00_7152;

					{	/* Cfa/type.scm 112 */
						obj_t BgL_arg1878z00_4016;

						BgL_arg1878z00_4016 =
							BGl_setzd2lengthzd2zzcfa_setz00(BgL_allocsz00_3961);
						BgL_test2532z00_7152 = ((long) CINT(BgL_arg1878z00_4016) == 0L);
					}
					if (BgL_test2532z00_7152)
						{	/* Cfa/type.scm 112 */
							return BgL_tyz00_3960;
						}
					else
						{	/* Cfa/type.scm 112 */
							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_26))->
									BgL_topzf3zf3))
								{	/* Cfa/type.scm 114 */
									return BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 114 */
									if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
											(BGl_makezd2vectorzd2appzf3zd2envz21zzcfa_info2z00,
												BgL_allocsz00_3961)))
										{	/* Cfa/type.scm 117 */
											obj_t BgL_appz00_3966;

											{	/* Cfa/type.scm 117 */

												BgL_appz00_3966 =
													BGl_setzd2headzd2zzcfa_setz00(BgL_allocsz00_3961,
													BFALSE);
											}
											{	/* Cfa/type.scm 117 */
												BgL_typez00_bglt BgL_tvzd2typezd2_3967;

												BgL_tvzd2typezd2_3967 =
													BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
													((BgL_nodez00_bglt) BgL_appz00_3966));
												{	/* Cfa/type.scm 118 */
													BgL_approxz00_bglt BgL_valuezd2approxzd2_3968;

													{
														BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_7164;

														{
															obj_t BgL_auxz00_7165;

															{	/* Cfa/type.scm 119 */
																BgL_objectz00_bglt BgL_tmpz00_7166;

																BgL_tmpz00_7166 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_3966));
																BgL_auxz00_7165 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7166);
															}
															BgL_auxz00_7164 =
																((BgL_makezd2vectorzd2appz00_bglt)
																BgL_auxz00_7165);
														}
														BgL_valuezd2approxzd2_3968 =
															(((BgL_makezd2vectorzd2appz00_bglt)
																COBJECT(BgL_auxz00_7164))->
															BgL_valuezd2approxzd2);
													}
													{	/* Cfa/type.scm 119 */
														BgL_typez00_bglt BgL_itemzd2typezd2_3969;

														BgL_itemzd2typezd2_3969 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_valuezd2approxzd2_3968))->
															BgL_typez00);
														{	/* Cfa/type.scm 120 */
															obj_t BgL_tvz00_3970;

															BgL_tvz00_3970 =
																(((BgL_typez00_bglt)
																	COBJECT(BgL_itemzd2typezd2_3969))->
																BgL_tvectorz00);
															{	/* Cfa/type.scm 121 */

																{	/* Cfa/type.scm 123 */
																	bool_t BgL_test2535z00_7174;

																	{	/* Cfa/type.scm 123 */
																		obj_t BgL_classz00_5270;

																		BgL_classz00_5270 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_tvz00_3970))
																			{	/* Cfa/type.scm 123 */
																				BgL_objectz00_bglt BgL_arg1858z00_5272;

																				BgL_arg1858z00_5272 =
																					(BgL_objectz00_bglt) (BgL_tvz00_3970);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Cfa/type.scm 123 */
																						long BgL_idxz00_5278;

																						BgL_idxz00_5278 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_5272);
																						BgL_test2535z00_7174 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_5278 + 1L)) ==
																							BgL_classz00_5270);
																					}
																				else
																					{	/* Cfa/type.scm 123 */
																						bool_t BgL_res2353z00_5303;

																						{	/* Cfa/type.scm 123 */
																							obj_t BgL_oclassz00_5286;

																							{	/* Cfa/type.scm 123 */
																								obj_t BgL_arg1866z00_5294;
																								long BgL_arg1867z00_5295;

																								BgL_arg1866z00_5294 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Cfa/type.scm 123 */
																									long BgL_arg1869z00_5296;

																									BgL_arg1869z00_5296 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_5272);
																									BgL_arg1867z00_5295 =
																										(BgL_arg1869z00_5296 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_5286 =
																									VECTOR_REF
																									(BgL_arg1866z00_5294,
																									BgL_arg1867z00_5295);
																							}
																							{	/* Cfa/type.scm 123 */
																								bool_t BgL__ortest_1115z00_5287;

																								BgL__ortest_1115z00_5287 =
																									(BgL_classz00_5270 ==
																									BgL_oclassz00_5286);
																								if (BgL__ortest_1115z00_5287)
																									{	/* Cfa/type.scm 123 */
																										BgL_res2353z00_5303 =
																											BgL__ortest_1115z00_5287;
																									}
																								else
																									{	/* Cfa/type.scm 123 */
																										long BgL_odepthz00_5288;

																										{	/* Cfa/type.scm 123 */
																											obj_t BgL_arg1855z00_5289;

																											BgL_arg1855z00_5289 =
																												(BgL_oclassz00_5286);
																											BgL_odepthz00_5288 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_5289);
																										}
																										if (
																											(1L < BgL_odepthz00_5288))
																											{	/* Cfa/type.scm 123 */
																												obj_t
																													BgL_arg1853z00_5291;
																												{	/* Cfa/type.scm 123 */
																													obj_t
																														BgL_arg1854z00_5292;
																													BgL_arg1854z00_5292 =
																														(BgL_oclassz00_5286);
																													BgL_arg1853z00_5291 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_5292,
																														1L);
																												}
																												BgL_res2353z00_5303 =
																													(BgL_arg1853z00_5291
																													== BgL_classz00_5270);
																											}
																										else
																											{	/* Cfa/type.scm 123 */
																												BgL_res2353z00_5303 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2535z00_7174 =
																							BgL_res2353z00_5303;
																					}
																			}
																		else
																			{	/* Cfa/type.scm 123 */
																				BgL_test2535z00_7174 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2535z00_7174)
																		{	/* Cfa/type.scm 123 */
																			return BgL_tvz00_3970;
																		}
																	else
																		{	/* Cfa/type.scm 123 */
																			if (
																				(BgL_tyz00_3960 ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Cfa/type.scm 124 */
																					return
																						BGl_za2vectorza2z00zztype_cachez00;
																				}
																			else
																				{	/* Cfa/type.scm 124 */
																					return BgL_tyz00_3960;
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Cfa/type.scm 116 */
											if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
													(BGl_valloczf2Cinfozb2optimzf3zd2envz61zzcfa_info3z00,
														BgL_allocsz00_3961)))
												{	/* Cfa/type.scm 126 */
													if (CBOOL
														(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
															()))
														{	/* Cfa/type.scm 131 */
															obj_t BgL_appz00_3976;

															{	/* Cfa/type.scm 131 */

																BgL_appz00_3976 =
																	BGl_setzd2headzd2zzcfa_setz00
																	(BgL_allocsz00_3961, BFALSE);
															}
															{	/* Cfa/type.scm 131 */
																BgL_typez00_bglt BgL_tvzd2typezd2_3977;

																BgL_tvzd2typezd2_3977 =
																	BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																	(((BgL_nodez00_bglt) BgL_appz00_3976));
																{	/* Cfa/type.scm 132 */
																	BgL_approxz00_bglt BgL_valuezd2approxzd2_3978;

																	{
																		BgL_valloczf2cinfozb2optimz40_bglt
																			BgL_auxz00_7208;
																		{
																			obj_t BgL_auxz00_7209;

																			{	/* Cfa/type.scm 133 */
																				BgL_objectz00_bglt BgL_tmpz00_7210;

																				BgL_tmpz00_7210 =
																					((BgL_objectz00_bglt)
																					((BgL_vallocz00_bglt)
																						BgL_appz00_3976));
																				BgL_auxz00_7209 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7210);
																			}
																			BgL_auxz00_7208 =
																				((BgL_valloczf2cinfozb2optimz40_bglt)
																				BgL_auxz00_7209);
																		}
																		BgL_valuezd2approxzd2_3978 =
																			(((BgL_valloczf2cinfozb2optimz40_bglt)
																				COBJECT(BgL_auxz00_7208))->
																			BgL_valuezd2approxzd2);
																	}
																	{	/* Cfa/type.scm 133 */
																		BgL_typez00_bglt BgL_itemzd2typezd2_3979;

																		BgL_itemzd2typezd2_3979 =
																			(((BgL_approxz00_bglt)
																				COBJECT(BgL_valuezd2approxzd2_3978))->
																			BgL_typez00);
																		{	/* Cfa/type.scm 134 */
																			obj_t BgL_tvz00_3980;

																			BgL_tvz00_3980 =
																				(((BgL_typez00_bglt)
																					COBJECT(BgL_itemzd2typezd2_3979))->
																				BgL_tvectorz00);
																			{	/* Cfa/type.scm 135 */

																				{	/* Cfa/type.scm 137 */
																					bool_t BgL_test2543z00_7218;

																					{	/* Cfa/type.scm 137 */
																						obj_t BgL_classz00_5308;

																						BgL_classz00_5308 =
																							BGl_typez00zztype_typez00;
																						if (BGL_OBJECTP(BgL_tvz00_3980))
																							{	/* Cfa/type.scm 137 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_5310;
																								BgL_arg1858z00_5310 =
																									(BgL_objectz00_bglt)
																									(BgL_tvz00_3980);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Cfa/type.scm 137 */
																										long BgL_idxz00_5316;

																										BgL_idxz00_5316 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_5310);
																										BgL_test2543z00_7218 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_5316 +
																													1L)) ==
																											BgL_classz00_5308);
																									}
																								else
																									{	/* Cfa/type.scm 137 */
																										bool_t BgL_res2354z00_5341;

																										{	/* Cfa/type.scm 137 */
																											obj_t BgL_oclassz00_5324;

																											{	/* Cfa/type.scm 137 */
																												obj_t
																													BgL_arg1866z00_5332;
																												long
																													BgL_arg1867z00_5333;
																												BgL_arg1866z00_5332 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Cfa/type.scm 137 */
																													long
																														BgL_arg1869z00_5334;
																													BgL_arg1869z00_5334 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_5310);
																													BgL_arg1867z00_5333 =
																														(BgL_arg1869z00_5334
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_5324 =
																													VECTOR_REF
																													(BgL_arg1866z00_5332,
																													BgL_arg1867z00_5333);
																											}
																											{	/* Cfa/type.scm 137 */
																												bool_t
																													BgL__ortest_1115z00_5325;
																												BgL__ortest_1115z00_5325
																													=
																													(BgL_classz00_5308 ==
																													BgL_oclassz00_5324);
																												if (BgL__ortest_1115z00_5325)
																													{	/* Cfa/type.scm 137 */
																														BgL_res2354z00_5341
																															=
																															BgL__ortest_1115z00_5325;
																													}
																												else
																													{	/* Cfa/type.scm 137 */
																														long
																															BgL_odepthz00_5326;
																														{	/* Cfa/type.scm 137 */
																															obj_t
																																BgL_arg1855z00_5327;
																															BgL_arg1855z00_5327
																																=
																																(BgL_oclassz00_5324);
																															BgL_odepthz00_5326
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_5327);
																														}
																														if (
																															(1L <
																																BgL_odepthz00_5326))
																															{	/* Cfa/type.scm 137 */
																																obj_t
																																	BgL_arg1853z00_5329;
																																{	/* Cfa/type.scm 137 */
																																	obj_t
																																		BgL_arg1854z00_5330;
																																	BgL_arg1854z00_5330
																																		=
																																		(BgL_oclassz00_5324);
																																	BgL_arg1853z00_5329
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_5330,
																																		1L);
																																}
																																BgL_res2354z00_5341
																																	=
																																	(BgL_arg1853z00_5329
																																	==
																																	BgL_classz00_5308);
																															}
																														else
																															{	/* Cfa/type.scm 137 */
																																BgL_res2354z00_5341
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2543z00_7218 =
																											BgL_res2354z00_5341;
																									}
																							}
																						else
																							{	/* Cfa/type.scm 137 */
																								BgL_test2543z00_7218 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test2543z00_7218)
																						{	/* Cfa/type.scm 137 */
																							return BgL_tvz00_3980;
																						}
																					else
																						{	/* Cfa/type.scm 137 */
																							if (
																								(BgL_tyz00_3960 ==
																									BGl_za2_za2z00zztype_cachez00))
																								{	/* Cfa/type.scm 138 */
																									return
																										BGl_za2vectorza2z00zztype_cachez00;
																								}
																							else
																								{	/* Cfa/type.scm 138 */
																									return BgL_tyz00_3960;
																								}
																						}
																				}
																			}
																		}
																	}
																}
															}
														}
													else
														{	/* Cfa/type.scm 127 */
															if (
																(BgL_tyz00_3960 ==
																	BGl_za2_za2z00zztype_cachez00))
																{	/* Cfa/type.scm 128 */
																	return BGl_za2vectorza2z00zztype_cachez00;
																}
															else
																{	/* Cfa/type.scm 128 */
																	return BgL_tyz00_3960;
																}
														}
												}
											else
												{	/* Cfa/type.scm 126 */
													if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
															(BGl_proc2393z00zzcfa_typez00,
																BgL_allocsz00_3961)))
														{	/* Cfa/type.scm 140 */
															return BGl_za2procedurezd2lza2zd2zztype_cachez00;
														}
													else
														{	/* Cfa/type.scm 140 */
															if (CBOOL(BGl_setzd2everyzd2zzcfa_setz00
																	(BGl_proc2394z00zzcfa_typez00,
																		BgL_allocsz00_3961)))
																{	/* Cfa/type.scm 146 */
																	return
																		BGl_za2procedurezd2elza2zd2zztype_cachez00;
																}
															else
																{	/* Cfa/type.scm 146 */
																	return BgL_tyz00_3960;
																}
														}
												}
										}
								}
						}
				}
			}
		}

	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6412,
		obj_t BgL_approxz00_6413, obj_t BgL_nodez00_6414)
	{
		{	/* Cfa/type.scm 108 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6413), BgL_nodez00_6414);
		}

	}



/* &<@anonymous:1877> */
	obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzcfa_typez00(obj_t BgL_envz00_6415,
		obj_t BgL_az00_6416)
	{
		{	/* Cfa/type.scm 140 */
			{	/* Cfa/type.scm 141 */
				bool_t BgL_tmpz00_7253;

				{	/* Cfa/type.scm 141 */
					bool_t BgL_test2552z00_7254;

					{	/* Cfa/type.scm 141 */
						obj_t BgL_classz00_6564;

						BgL_classz00_6564 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_az00_6416))
							{	/* Cfa/type.scm 141 */
								BgL_objectz00_bglt BgL_arg1858z00_6565;

								BgL_arg1858z00_6565 = (BgL_objectz00_bglt) (BgL_az00_6416);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/type.scm 141 */
										long BgL_idxz00_6566;

										BgL_idxz00_6566 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6565);
										BgL_test2552z00_7254 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6566 + 4L)) == BgL_classz00_6564);
									}
								else
									{	/* Cfa/type.scm 141 */
										bool_t BgL_res2355z00_6569;

										{	/* Cfa/type.scm 141 */
											obj_t BgL_oclassz00_6570;

											{	/* Cfa/type.scm 141 */
												obj_t BgL_arg1866z00_6571;
												long BgL_arg1867z00_6572;

												BgL_arg1866z00_6571 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/type.scm 141 */
													long BgL_arg1869z00_6573;

													BgL_arg1869z00_6573 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6565);
													BgL_arg1867z00_6572 =
														(BgL_arg1869z00_6573 - OBJECT_TYPE);
												}
												BgL_oclassz00_6570 =
													VECTOR_REF(BgL_arg1866z00_6571, BgL_arg1867z00_6572);
											}
											{	/* Cfa/type.scm 141 */
												bool_t BgL__ortest_1115z00_6574;

												BgL__ortest_1115z00_6574 =
													(BgL_classz00_6564 == BgL_oclassz00_6570);
												if (BgL__ortest_1115z00_6574)
													{	/* Cfa/type.scm 141 */
														BgL_res2355z00_6569 = BgL__ortest_1115z00_6574;
													}
												else
													{	/* Cfa/type.scm 141 */
														long BgL_odepthz00_6575;

														{	/* Cfa/type.scm 141 */
															obj_t BgL_arg1855z00_6576;

															BgL_arg1855z00_6576 = (BgL_oclassz00_6570);
															BgL_odepthz00_6575 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6576);
														}
														if ((4L < BgL_odepthz00_6575))
															{	/* Cfa/type.scm 141 */
																obj_t BgL_arg1853z00_6577;

																{	/* Cfa/type.scm 141 */
																	obj_t BgL_arg1854z00_6578;

																	BgL_arg1854z00_6578 = (BgL_oclassz00_6570);
																	BgL_arg1853z00_6577 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6578,
																		4L);
																}
																BgL_res2355z00_6569 =
																	(BgL_arg1853z00_6577 == BgL_classz00_6564);
															}
														else
															{	/* Cfa/type.scm 141 */
																BgL_res2355z00_6569 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2552z00_7254 = BgL_res2355z00_6569;
									}
							}
						else
							{	/* Cfa/type.scm 141 */
								BgL_test2552z00_7254 = ((bool_t) 0);
							}
					}
					if (BgL_test2552z00_7254)
						{	/* Cfa/type.scm 143 */
							bool_t BgL_test2557z00_7277;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7278;

								{
									obj_t BgL_auxz00_7279;

									{	/* Cfa/type.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_7280;

										BgL_tmpz00_7280 =
											((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_az00_6416));
										BgL_auxz00_7279 = BGL_OBJECT_WIDENING(BgL_tmpz00_7280);
									}
									BgL_auxz00_7278 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7279);
								}
								BgL_test2557z00_7277 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_7278))->BgL_tz00);
							}
							if (BgL_test2557z00_7277)
								{	/* Cfa/type.scm 143 */
									bool_t BgL_test2558z00_7286;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7287;

										{
											obj_t BgL_auxz00_7288;

											{	/* Cfa/type.scm 143 */
												BgL_objectz00_bglt BgL_tmpz00_7289;

												BgL_tmpz00_7289 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_az00_6416));
												BgL_auxz00_7288 = BGL_OBJECT_WIDENING(BgL_tmpz00_7289);
											}
											BgL_auxz00_7287 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7288);
										}
										BgL_test2558z00_7286 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_7287))->BgL_xz00);
									}
									if (BgL_test2558z00_7286)
										{	/* Cfa/type.scm 143 */
											BgL_tmpz00_7253 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 143 */
											BgL_tmpz00_7253 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/type.scm 143 */
									BgL_tmpz00_7253 = ((bool_t) 0);
								}
						}
					else
						{	/* Cfa/type.scm 141 */
							BgL_tmpz00_7253 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_7253);
			}
		}

	}



/* &<@anonymous:1873> */
	obj_t BGl_z62zc3z04anonymousza31873ze3ze5zzcfa_typez00(obj_t BgL_envz00_6417,
		obj_t BgL_az00_6418)
	{
		{	/* Cfa/type.scm 146 */
			{	/* Cfa/type.scm 147 */
				bool_t BgL_tmpz00_7296;

				{	/* Cfa/type.scm 147 */
					bool_t BgL_test2559z00_7297;

					{	/* Cfa/type.scm 147 */
						obj_t BgL_classz00_6579;

						BgL_classz00_6579 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_az00_6418))
							{	/* Cfa/type.scm 147 */
								BgL_objectz00_bglt BgL_arg1858z00_6580;

								BgL_arg1858z00_6580 = (BgL_objectz00_bglt) (BgL_az00_6418);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/type.scm 147 */
										long BgL_idxz00_6581;

										BgL_idxz00_6581 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6580);
										BgL_test2559z00_7297 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6581 + 4L)) == BgL_classz00_6579);
									}
								else
									{	/* Cfa/type.scm 147 */
										bool_t BgL_res2356z00_6584;

										{	/* Cfa/type.scm 147 */
											obj_t BgL_oclassz00_6585;

											{	/* Cfa/type.scm 147 */
												obj_t BgL_arg1866z00_6586;
												long BgL_arg1867z00_6587;

												BgL_arg1866z00_6586 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/type.scm 147 */
													long BgL_arg1869z00_6588;

													BgL_arg1869z00_6588 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6580);
													BgL_arg1867z00_6587 =
														(BgL_arg1869z00_6588 - OBJECT_TYPE);
												}
												BgL_oclassz00_6585 =
													VECTOR_REF(BgL_arg1866z00_6586, BgL_arg1867z00_6587);
											}
											{	/* Cfa/type.scm 147 */
												bool_t BgL__ortest_1115z00_6589;

												BgL__ortest_1115z00_6589 =
													(BgL_classz00_6579 == BgL_oclassz00_6585);
												if (BgL__ortest_1115z00_6589)
													{	/* Cfa/type.scm 147 */
														BgL_res2356z00_6584 = BgL__ortest_1115z00_6589;
													}
												else
													{	/* Cfa/type.scm 147 */
														long BgL_odepthz00_6590;

														{	/* Cfa/type.scm 147 */
															obj_t BgL_arg1855z00_6591;

															BgL_arg1855z00_6591 = (BgL_oclassz00_6585);
															BgL_odepthz00_6590 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6591);
														}
														if ((4L < BgL_odepthz00_6590))
															{	/* Cfa/type.scm 147 */
																obj_t BgL_arg1853z00_6592;

																{	/* Cfa/type.scm 147 */
																	obj_t BgL_arg1854z00_6593;

																	BgL_arg1854z00_6593 = (BgL_oclassz00_6585);
																	BgL_arg1853z00_6592 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6593,
																		4L);
																}
																BgL_res2356z00_6584 =
																	(BgL_arg1853z00_6592 == BgL_classz00_6579);
															}
														else
															{	/* Cfa/type.scm 147 */
																BgL_res2356z00_6584 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2559z00_7297 = BgL_res2356z00_6584;
									}
							}
						else
							{	/* Cfa/type.scm 147 */
								BgL_test2559z00_7297 = ((bool_t) 0);
							}
					}
					if (BgL_test2559z00_7297)
						{	/* Cfa/type.scm 149 */
							bool_t BgL_test2564z00_7320;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7321;

								{
									obj_t BgL_auxz00_7322;

									{	/* Cfa/type.scm 149 */
										BgL_objectz00_bglt BgL_tmpz00_7323;

										BgL_tmpz00_7323 =
											((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_az00_6418));
										BgL_auxz00_7322 = BGL_OBJECT_WIDENING(BgL_tmpz00_7323);
									}
									BgL_auxz00_7321 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7322);
								}
								BgL_test2564z00_7320 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_7321))->BgL_tz00);
							}
							if (BgL_test2564z00_7320)
								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_7329;

									{
										obj_t BgL_auxz00_7330;

										{	/* Cfa/type.scm 149 */
											BgL_objectz00_bglt BgL_tmpz00_7331;

											BgL_tmpz00_7331 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_az00_6418));
											BgL_auxz00_7330 = BGL_OBJECT_WIDENING(BgL_tmpz00_7331);
										}
										BgL_auxz00_7329 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_7330);
									}
									BgL_tmpz00_7296 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_7329))->BgL_xz00);
								}
							else
								{	/* Cfa/type.scm 149 */
									BgL_tmpz00_7296 = ((bool_t) 0);
								}
						}
					else
						{	/* Cfa/type.scm 147 */
							BgL_tmpz00_7296 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_7296);
			}
		}

	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_40, BgL_typez00_bglt BgL_typez00_41)
	{
		{	/* Cfa/type.scm 213 */
			{	/* Cfa/type.scm 214 */
				obj_t BgL_ntypez00_4017;
				obj_t BgL_otypez00_4018;

				if ((((obj_t) BgL_typez00_41) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 214 */
						BgL_ntypez00_4017 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 214 */
						BgL_ntypez00_4017 = ((obj_t) BgL_typez00_41);
					}
				BgL_otypez00_4018 =
					((obj_t)
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->BgL_typez00));
				if ((BgL_otypez00_4018 == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 218 */
						bool_t BgL_test2567z00_7346;

						{	/* Cfa/type.scm 218 */
							bool_t BgL_test2568z00_7347;

							{	/* Cfa/type.scm 218 */
								obj_t BgL_classz00_5415;

								BgL_classz00_5415 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 218 */
									BgL_objectz00_bglt BgL_arg1858z00_5417;

									{	/* Cfa/type.scm 218 */
										obj_t BgL_tmpz00_7348;

										BgL_tmpz00_7348 = ((obj_t) BgL_variablez00_40);
										BgL_arg1858z00_5417 =
											(BgL_objectz00_bglt) (BgL_tmpz00_7348);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 218 */
											long BgL_idxz00_5423;

											BgL_idxz00_5423 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5417);
											BgL_test2568z00_7347 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5423 + 2L)) == BgL_classz00_5415);
										}
									else
										{	/* Cfa/type.scm 218 */
											bool_t BgL_res2357z00_5448;

											{	/* Cfa/type.scm 218 */
												obj_t BgL_oclassz00_5431;

												{	/* Cfa/type.scm 218 */
													obj_t BgL_arg1866z00_5439;
													long BgL_arg1867z00_5440;

													BgL_arg1866z00_5439 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/type.scm 218 */
														long BgL_arg1869z00_5441;

														BgL_arg1869z00_5441 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5417);
														BgL_arg1867z00_5440 =
															(BgL_arg1869z00_5441 - OBJECT_TYPE);
													}
													BgL_oclassz00_5431 =
														VECTOR_REF(BgL_arg1866z00_5439,
														BgL_arg1867z00_5440);
												}
												{	/* Cfa/type.scm 218 */
													bool_t BgL__ortest_1115z00_5432;

													BgL__ortest_1115z00_5432 =
														(BgL_classz00_5415 == BgL_oclassz00_5431);
													if (BgL__ortest_1115z00_5432)
														{	/* Cfa/type.scm 218 */
															BgL_res2357z00_5448 = BgL__ortest_1115z00_5432;
														}
													else
														{	/* Cfa/type.scm 218 */
															long BgL_odepthz00_5433;

															{	/* Cfa/type.scm 218 */
																obj_t BgL_arg1855z00_5434;

																BgL_arg1855z00_5434 = (BgL_oclassz00_5431);
																BgL_odepthz00_5433 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5434);
															}
															if ((2L < BgL_odepthz00_5433))
																{	/* Cfa/type.scm 218 */
																	obj_t BgL_arg1853z00_5436;

																	{	/* Cfa/type.scm 218 */
																		obj_t BgL_arg1854z00_5437;

																		BgL_arg1854z00_5437 = (BgL_oclassz00_5431);
																		BgL_arg1853z00_5436 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5437, 2L);
																	}
																	BgL_res2357z00_5448 =
																		(BgL_arg1853z00_5436 == BgL_classz00_5415);
																}
															else
																{	/* Cfa/type.scm 218 */
																	BgL_res2357z00_5448 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2568z00_7347 = BgL_res2357z00_5448;
										}
								}
							}
							if (BgL_test2568z00_7347)
								{	/* Cfa/type.scm 219 */
									bool_t BgL_test2572z00_7370;

									{	/* Cfa/type.scm 219 */
										BgL_valuez00_bglt BgL_arg1896z00_4037;

										BgL_arg1896z00_4037 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_40))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 219 */
											obj_t BgL_classz00_5450;

											BgL_classz00_5450 = BGl_funz00zzast_varz00;
											{	/* Cfa/type.scm 219 */
												BgL_objectz00_bglt BgL_arg1858z00_5452;

												{	/* Cfa/type.scm 219 */
													obj_t BgL_tmpz00_7374;

													BgL_tmpz00_7374 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1896z00_4037));
													BgL_arg1858z00_5452 =
														(BgL_objectz00_bglt) (BgL_tmpz00_7374);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/type.scm 219 */
														long BgL_idxz00_5458;

														BgL_idxz00_5458 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5452);
														BgL_test2572z00_7370 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5458 + 2L)) == BgL_classz00_5450);
													}
												else
													{	/* Cfa/type.scm 219 */
														bool_t BgL_res2358z00_5483;

														{	/* Cfa/type.scm 219 */
															obj_t BgL_oclassz00_5466;

															{	/* Cfa/type.scm 219 */
																obj_t BgL_arg1866z00_5474;
																long BgL_arg1867z00_5475;

																BgL_arg1866z00_5474 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/type.scm 219 */
																	long BgL_arg1869z00_5476;

																	BgL_arg1869z00_5476 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5452);
																	BgL_arg1867z00_5475 =
																		(BgL_arg1869z00_5476 - OBJECT_TYPE);
																}
																BgL_oclassz00_5466 =
																	VECTOR_REF(BgL_arg1866z00_5474,
																	BgL_arg1867z00_5475);
															}
															{	/* Cfa/type.scm 219 */
																bool_t BgL__ortest_1115z00_5467;

																BgL__ortest_1115z00_5467 =
																	(BgL_classz00_5450 == BgL_oclassz00_5466);
																if (BgL__ortest_1115z00_5467)
																	{	/* Cfa/type.scm 219 */
																		BgL_res2358z00_5483 =
																			BgL__ortest_1115z00_5467;
																	}
																else
																	{	/* Cfa/type.scm 219 */
																		long BgL_odepthz00_5468;

																		{	/* Cfa/type.scm 219 */
																			obj_t BgL_arg1855z00_5469;

																			BgL_arg1855z00_5469 =
																				(BgL_oclassz00_5466);
																			BgL_odepthz00_5468 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_5469);
																		}
																		if ((2L < BgL_odepthz00_5468))
																			{	/* Cfa/type.scm 219 */
																				obj_t BgL_arg1853z00_5471;

																				{	/* Cfa/type.scm 219 */
																					obj_t BgL_arg1854z00_5472;

																					BgL_arg1854z00_5472 =
																						(BgL_oclassz00_5466);
																					BgL_arg1853z00_5471 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_5472, 2L);
																				}
																				BgL_res2358z00_5483 =
																					(BgL_arg1853z00_5471 ==
																					BgL_classz00_5450);
																			}
																		else
																			{	/* Cfa/type.scm 219 */
																				BgL_res2358z00_5483 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2572z00_7370 = BgL_res2358z00_5483;
													}
											}
										}
									}
									if (BgL_test2572z00_7370)
										{	/* Cfa/type.scm 219 */
											BgL_test2567z00_7346 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 220 */
											bool_t BgL_test2576z00_7397;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 220 */
													BgL_test2576z00_7397 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 220 */
													BgL_test2576z00_7397 =
														(
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_variablez00_40)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_test2576z00_7397)
												{	/* Cfa/type.scm 220 */
													BgL_test2567z00_7346 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 220 */
													if (
														((((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_ntypez00_4017)))->
																BgL_classz00) == ((obj_t) CNST_TABLE_REF(1))))
														{	/* Cfa/type.scm 221 */
															BgL_test2567z00_7346 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 221 */
															BgL_test2567z00_7346 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 218 */
									BgL_test2567z00_7346 = ((bool_t) 0);
								}
						}
						if (BgL_test2567z00_7346)
							{	/* Cfa/type.scm 226 */
								BgL_typez00_bglt BgL_vz00_5487;

								BgL_vz00_5487 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5487), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 227 */
								obj_t BgL_arg1893z00_4030;

								BgL_arg1893z00_4030 =
									BGl_markzd2nullzd2typezd2ctorz12zc0zzcfa_typez00
									(BgL_ntypez00_4017);
								return ((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1893z00_4030)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 228 */
						bool_t BgL_test2579z00_7414;

						if ((BgL_otypez00_4018 == BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 228 */
								obj_t BgL_classz00_5490;

								BgL_classz00_5490 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_ntypez00_4017))
									{	/* Cfa/type.scm 228 */
										BgL_objectz00_bglt BgL_arg1858z00_5492;

										BgL_arg1858z00_5492 =
											(BgL_objectz00_bglt) (BgL_ntypez00_4017);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/type.scm 228 */
												long BgL_idxz00_5498;

												BgL_idxz00_5498 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5492);
												BgL_test2579z00_7414 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5498 + 2L)) == BgL_classz00_5490);
											}
										else
											{	/* Cfa/type.scm 228 */
												bool_t BgL_res2359z00_5523;

												{	/* Cfa/type.scm 228 */
													obj_t BgL_oclassz00_5506;

													{	/* Cfa/type.scm 228 */
														obj_t BgL_arg1866z00_5514;
														long BgL_arg1867z00_5515;

														BgL_arg1866z00_5514 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/type.scm 228 */
															long BgL_arg1869z00_5516;

															BgL_arg1869z00_5516 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5492);
															BgL_arg1867z00_5515 =
																(BgL_arg1869z00_5516 - OBJECT_TYPE);
														}
														BgL_oclassz00_5506 =
															VECTOR_REF(BgL_arg1866z00_5514,
															BgL_arg1867z00_5515);
													}
													{	/* Cfa/type.scm 228 */
														bool_t BgL__ortest_1115z00_5507;

														BgL__ortest_1115z00_5507 =
															(BgL_classz00_5490 == BgL_oclassz00_5506);
														if (BgL__ortest_1115z00_5507)
															{	/* Cfa/type.scm 228 */
																BgL_res2359z00_5523 = BgL__ortest_1115z00_5507;
															}
														else
															{	/* Cfa/type.scm 228 */
																long BgL_odepthz00_5508;

																{	/* Cfa/type.scm 228 */
																	obj_t BgL_arg1855z00_5509;

																	BgL_arg1855z00_5509 = (BgL_oclassz00_5506);
																	BgL_odepthz00_5508 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5509);
																}
																if ((2L < BgL_odepthz00_5508))
																	{	/* Cfa/type.scm 228 */
																		obj_t BgL_arg1853z00_5511;

																		{	/* Cfa/type.scm 228 */
																			obj_t BgL_arg1854z00_5512;

																			BgL_arg1854z00_5512 =
																				(BgL_oclassz00_5506);
																			BgL_arg1853z00_5511 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5512, 2L);
																		}
																		BgL_res2359z00_5523 =
																			(BgL_arg1853z00_5511 ==
																			BgL_classz00_5490);
																	}
																else
																	{	/* Cfa/type.scm 228 */
																		BgL_res2359z00_5523 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2579z00_7414 = BgL_res2359z00_5523;
											}
									}
								else
									{	/* Cfa/type.scm 228 */
										BgL_test2579z00_7414 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/type.scm 228 */
								BgL_test2579z00_7414 = ((bool_t) 0);
							}
						if (BgL_test2579z00_7414)
							{	/* Cfa/type.scm 229 */
								obj_t BgL_arg1898z00_4039;

								BgL_arg1898z00_4039 =
									BGl_markzd2nullzd2typezd2ctorz12zc0zzcfa_typez00
									(BgL_ntypez00_4017);
								return ((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1898z00_4039)),
									BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 230 */
								bool_t BgL_test2585z00_7442;

								if (
									(BgL_otypez00_4018 == BGl_za2procedureza2z00zztype_cachez00))
									{	/* Cfa/type.scm 230 */
										BgL_test2585z00_7442 =
											(BgL_ntypez00_4017 ==
											BGl_za2procedurezd2lza2zd2zztype_cachez00);
									}
								else
									{	/* Cfa/type.scm 230 */
										BgL_test2585z00_7442 = ((bool_t) 0);
									}
								if (BgL_test2585z00_7442)
									{	/* Cfa/type.scm 230 */
										return
											((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_40))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_typez00_41), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 230 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* mark-null-type-ctor! */
	obj_t BGl_markzd2nullzd2typezd2ctorz12zc0zzcfa_typez00(obj_t BgL_typez00_42)
	{
		{	/* Cfa/type.scm 246 */
			{	/* Cfa/type.scm 248 */
				bool_t BgL_test2587z00_7447;

				{	/* Cfa/type.scm 248 */
					obj_t BgL_tmpz00_7448;

					BgL_tmpz00_7448 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00);
					BgL_test2587z00_7447 = SYMBOLP(BgL_tmpz00_7448);
				}
				if (BgL_test2587z00_7447)
					{	/* Cfa/type.scm 248 */
						{
							obj_t BgL_auxz00_7452;

							{	/* Cfa/type.scm 249 */
								obj_t BgL_arg1902z00_4044;

								BgL_arg1902z00_4044 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00);
								BgL_auxz00_7452 =
									BGl_findzd2globalzd2zzast_envz00(BgL_arg1902z00_4044, BNIL);
							}
							((((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00) =
								((obj_t) BgL_auxz00_7452), BUNSPEC);
						}
						if (CBOOL(
								(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00)))
							{	/* Cfa/type.scm 250 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 251 */
								obj_t BgL_arg1905z00_4047;

								BgL_arg1905z00_4047 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00);
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2395z00zzcfa_typez00,
									BGl_string2396z00zzcfa_typez00, BgL_arg1905z00_4047);
							}
					}
				else
					{	/* Cfa/type.scm 248 */
						BFALSE;
					}
			}
			{	/* Cfa/type.scm 253 */
				bool_t BgL_test2589z00_7465;

				{	/* Cfa/type.scm 253 */
					obj_t BgL_arg1910z00_4053;

					BgL_arg1910z00_4053 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00);
					{	/* Cfa/type.scm 253 */
						obj_t BgL_classz00_5528;

						BgL_classz00_5528 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_arg1910z00_4053))
							{	/* Cfa/type.scm 253 */
								BgL_objectz00_bglt BgL_arg1858z00_5530;

								BgL_arg1858z00_5530 =
									(BgL_objectz00_bglt) (BgL_arg1910z00_4053);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/type.scm 253 */
										long BgL_idxz00_5536;

										BgL_idxz00_5536 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5530);
										BgL_test2589z00_7465 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5536 + 2L)) == BgL_classz00_5528);
									}
								else
									{	/* Cfa/type.scm 253 */
										bool_t BgL_res2360z00_5561;

										{	/* Cfa/type.scm 253 */
											obj_t BgL_oclassz00_5544;

											{	/* Cfa/type.scm 253 */
												obj_t BgL_arg1866z00_5552;
												long BgL_arg1867z00_5553;

												BgL_arg1866z00_5552 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/type.scm 253 */
													long BgL_arg1869z00_5554;

													BgL_arg1869z00_5554 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5530);
													BgL_arg1867z00_5553 =
														(BgL_arg1869z00_5554 - OBJECT_TYPE);
												}
												BgL_oclassz00_5544 =
													VECTOR_REF(BgL_arg1866z00_5552, BgL_arg1867z00_5553);
											}
											{	/* Cfa/type.scm 253 */
												bool_t BgL__ortest_1115z00_5545;

												BgL__ortest_1115z00_5545 =
													(BgL_classz00_5528 == BgL_oclassz00_5544);
												if (BgL__ortest_1115z00_5545)
													{	/* Cfa/type.scm 253 */
														BgL_res2360z00_5561 = BgL__ortest_1115z00_5545;
													}
												else
													{	/* Cfa/type.scm 253 */
														long BgL_odepthz00_5546;

														{	/* Cfa/type.scm 253 */
															obj_t BgL_arg1855z00_5547;

															BgL_arg1855z00_5547 = (BgL_oclassz00_5544);
															BgL_odepthz00_5546 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5547);
														}
														if ((2L < BgL_odepthz00_5546))
															{	/* Cfa/type.scm 253 */
																obj_t BgL_arg1853z00_5549;

																{	/* Cfa/type.scm 253 */
																	obj_t BgL_arg1854z00_5550;

																	BgL_arg1854z00_5550 = (BgL_oclassz00_5544);
																	BgL_arg1853z00_5549 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5550,
																		2L);
																}
																BgL_res2360z00_5561 =
																	(BgL_arg1853z00_5549 == BgL_classz00_5528);
															}
														else
															{	/* Cfa/type.scm 253 */
																BgL_res2360z00_5561 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2589z00_7465 = BgL_res2360z00_5561;
									}
							}
						else
							{	/* Cfa/type.scm 253 */
								BgL_test2589z00_7465 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2589z00_7465)
					{	/* Cfa/type.scm 254 */
						BgL_globalz00_bglt BgL_i1190z00_4051;

						BgL_i1190z00_4051 =
							((BgL_globalz00_bglt)
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_typez00_42)))->BgL_nullz00));
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1190z00_4051)))->
								BgL_occurrencez00) =
							((long) (1L +
									(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
													BgL_i1190z00_4051)))->BgL_occurrencez00))), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 253 */
						BFALSE;
					}
			}
			return BgL_typez00_42;
		}

	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_78)
	{
		{	/* Cfa/type.scm 697 */
			{
				obj_t BgL_l1647z00_4057;

				BgL_l1647z00_4057 = BgL_nodeza2za2_78;
			BgL_zc3z04anonymousza31912ze3z87_4058:
				if (NULLP(BgL_l1647z00_4057))
					{	/* Cfa/type.scm 698 */
						return BgL_nodeza2za2_78;
					}
				else
					{	/* Cfa/type.scm 698 */
						{	/* Cfa/type.scm 698 */
							BgL_nodez00_bglt BgL_arg1915z00_4060;

							{	/* Cfa/type.scm 698 */
								obj_t BgL_arg1916z00_4061;

								BgL_arg1916z00_4061 = CAR(((obj_t) BgL_l1647z00_4057));
								BgL_arg1915z00_4060 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg1916z00_4061));
							}
							{	/* Cfa/type.scm 698 */
								obj_t BgL_auxz00_7506;
								obj_t BgL_tmpz00_7504;

								BgL_auxz00_7506 = ((obj_t) BgL_arg1915z00_4060);
								BgL_tmpz00_7504 = ((obj_t) BgL_l1647z00_4057);
								SET_CAR(BgL_tmpz00_7504, BgL_auxz00_7506);
							}
						}
						{	/* Cfa/type.scm 698 */
							obj_t BgL_arg1917z00_4062;

							BgL_arg1917z00_4062 = CDR(((obj_t) BgL_l1647z00_4057));
							{
								obj_t BgL_l1647z00_7511;

								BgL_l1647z00_7511 = BgL_arg1917z00_4062;
								BgL_l1647z00_4057 = BgL_l1647z00_7511;
								goto BgL_zc3z04anonymousza31912ze3z87_4058;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc2397z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string2398z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc2399z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string2400z00zzcfa_typez00);
		}

	}



/* &type-node!1661 */
	obj_t BGl_z62typezd2nodez121661za2zzcfa_typez00(obj_t BgL_envz00_6425,
		obj_t BgL_nodez00_6426)
	{
		{	/* Cfa/type.scm 261 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(2)), BGl_string2401z00zzcfa_typez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_6426)));
		}

	}



/* &type-variable!1649 */
	obj_t BGl_z62typezd2variablez121649za2zzcfa_typez00(obj_t BgL_envz00_6427,
		obj_t BgL_valuez00_6428, obj_t BgL_variablez00_6429)
	{
		{	/* Cfa/type.scm 158 */
			{	/* Cfa/type.scm 159 */
				BgL_typez00_bglt BgL_tyz00_6597;

				BgL_tyz00_6597 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_6429)))->BgL_typez00);
				{	/* Cfa/type.scm 161 */
					bool_t BgL_test2595z00_7521;

					{	/* Cfa/type.scm 161 */
						obj_t BgL_classz00_6598;

						BgL_classz00_6598 = BGl_typez00zztype_typez00;
						{	/* Cfa/type.scm 161 */
							BgL_objectz00_bglt BgL_arg1858z00_6599;

							{	/* Cfa/type.scm 161 */
								obj_t BgL_tmpz00_7522;

								BgL_tmpz00_7522 =
									((obj_t) ((BgL_objectz00_bglt) BgL_tyz00_6597));
								BgL_arg1858z00_6599 = (BgL_objectz00_bglt) (BgL_tmpz00_7522);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 161 */
									long BgL_idxz00_6600;

									BgL_idxz00_6600 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6599);
									BgL_test2595z00_7521 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6600 + 1L)) == BgL_classz00_6598);
								}
							else
								{	/* Cfa/type.scm 161 */
									bool_t BgL_res2361z00_6603;

									{	/* Cfa/type.scm 161 */
										obj_t BgL_oclassz00_6604;

										{	/* Cfa/type.scm 161 */
											obj_t BgL_arg1866z00_6605;
											long BgL_arg1867z00_6606;

											BgL_arg1866z00_6605 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/type.scm 161 */
												long BgL_arg1869z00_6607;

												BgL_arg1869z00_6607 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6599);
												BgL_arg1867z00_6606 =
													(BgL_arg1869z00_6607 - OBJECT_TYPE);
											}
											BgL_oclassz00_6604 =
												VECTOR_REF(BgL_arg1866z00_6605, BgL_arg1867z00_6606);
										}
										{	/* Cfa/type.scm 161 */
											bool_t BgL__ortest_1115z00_6608;

											BgL__ortest_1115z00_6608 =
												(BgL_classz00_6598 == BgL_oclassz00_6604);
											if (BgL__ortest_1115z00_6608)
												{	/* Cfa/type.scm 161 */
													BgL_res2361z00_6603 = BgL__ortest_1115z00_6608;
												}
											else
												{	/* Cfa/type.scm 161 */
													long BgL_odepthz00_6609;

													{	/* Cfa/type.scm 161 */
														obj_t BgL_arg1855z00_6610;

														BgL_arg1855z00_6610 = (BgL_oclassz00_6604);
														BgL_odepthz00_6609 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6610);
													}
													if ((1L < BgL_odepthz00_6609))
														{	/* Cfa/type.scm 161 */
															obj_t BgL_arg1853z00_6611;

															{	/* Cfa/type.scm 161 */
																obj_t BgL_arg1854z00_6612;

																BgL_arg1854z00_6612 = (BgL_oclassz00_6604);
																BgL_arg1853z00_6611 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6612,
																	1L);
															}
															BgL_res2361z00_6603 =
																(BgL_arg1853z00_6611 == BgL_classz00_6598);
														}
													else
														{	/* Cfa/type.scm 161 */
															BgL_res2361z00_6603 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2595z00_7521 = BgL_res2361z00_6603;
								}
						}
					}
					if (BgL_test2595z00_7521)
						{	/* Cfa/type.scm 163 */
							bool_t BgL_test2599z00_7545;

							if ((BGl_typez00zztype_typez00 == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/type.scm 163 */
									if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
										{	/* Cfa/type.scm 163 */
											BgL_test2599z00_7545 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 163 */
											BgL_test2599z00_7545 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/type.scm 163 */
									BgL_test2599z00_7545 = ((bool_t) 0);
								}
							if (BgL_test2599z00_7545)
								{	/* Cfa/type.scm 163 */
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_variablez00_6429),
										BGl_getzd2defaultzd2typez00zztype_cachez00());
								}
							else
								{	/* Cfa/type.scm 163 */
									return BFALSE;
								}
						}
					else
						{	/* Cfa/type.scm 161 */
							return
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(
								((BgL_variablez00_bglt) BgL_variablez00_6429),
								BGl_getzd2defaultzd2typez00zztype_cachez00());
						}
				}
			}
		}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt
		BgL_valuez00_28, BgL_variablez00_bglt BgL_variablez00_29)
	{
		{	/* Cfa/type.scm 158 */
			{	/* Cfa/type.scm 158 */
				obj_t BgL_method1650z00_4078;

				{	/* Cfa/type.scm 158 */
					obj_t BgL_res2366z00_5632;

					{	/* Cfa/type.scm 158 */
						long BgL_objzd2classzd2numz00_5603;

						BgL_objzd2classzd2numz00_5603 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_28));
						{	/* Cfa/type.scm 158 */
							obj_t BgL_arg1862z00_5604;

							BgL_arg1862z00_5604 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (1L));
							{	/* Cfa/type.scm 158 */
								int BgL_offsetz00_5607;

								BgL_offsetz00_5607 = (int) (BgL_objzd2classzd2numz00_5603);
								{	/* Cfa/type.scm 158 */
									long BgL_offsetz00_5608;

									BgL_offsetz00_5608 =
										((long) (BgL_offsetz00_5607) - OBJECT_TYPE);
									{	/* Cfa/type.scm 158 */
										long BgL_modz00_5609;

										BgL_modz00_5609 =
											(BgL_offsetz00_5608 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/type.scm 158 */
											long BgL_restz00_5611;

											BgL_restz00_5611 =
												(BgL_offsetz00_5608 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/type.scm 158 */

												{	/* Cfa/type.scm 158 */
													obj_t BgL_bucketz00_5613;

													BgL_bucketz00_5613 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5604), BgL_modz00_5609);
													BgL_res2366z00_5632 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5613), BgL_restz00_5611);
					}}}}}}}}
					BgL_method1650z00_4078 = BgL_res2366z00_5632;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1650z00_4078,
					((obj_t) BgL_valuez00_28), ((obj_t) BgL_variablez00_29));
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6430,
		obj_t BgL_valuez00_6431, obj_t BgL_variablez00_6432)
	{
		{	/* Cfa/type.scm 158 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6431),
				((BgL_variablez00_bglt) BgL_variablez00_6432));
		}

	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_43)
	{
		{	/* Cfa/type.scm 261 */
			{	/* Cfa/type.scm 261 */
				obj_t BgL_method1662z00_4079;

				{	/* Cfa/type.scm 261 */
					obj_t BgL_res2371z00_5663;

					{	/* Cfa/type.scm 261 */
						long BgL_objzd2classzd2numz00_5634;

						BgL_objzd2classzd2numz00_5634 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
						{	/* Cfa/type.scm 261 */
							obj_t BgL_arg1862z00_5635;

							BgL_arg1862z00_5635 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (1L));
							{	/* Cfa/type.scm 261 */
								int BgL_offsetz00_5638;

								BgL_offsetz00_5638 = (int) (BgL_objzd2classzd2numz00_5634);
								{	/* Cfa/type.scm 261 */
									long BgL_offsetz00_5639;

									BgL_offsetz00_5639 =
										((long) (BgL_offsetz00_5638) - OBJECT_TYPE);
									{	/* Cfa/type.scm 261 */
										long BgL_modz00_5640;

										BgL_modz00_5640 =
											(BgL_offsetz00_5639 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/type.scm 261 */
											long BgL_restz00_5642;

											BgL_restz00_5642 =
												(BgL_offsetz00_5639 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/type.scm 261 */

												{	/* Cfa/type.scm 261 */
													obj_t BgL_bucketz00_5644;

													BgL_bucketz00_5644 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5635), BgL_modz00_5640);
													BgL_res2371z00_5663 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5644), BgL_restz00_5642);
					}}}}}}}}
					BgL_method1662z00_4079 = BgL_res2371z00_5663;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1662z00_4079,
						((obj_t) BgL_nodez00_43)));
			}
		}

	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6433,
		obj_t BgL_nodez00_6434)
	{
		{	/* Cfa/type.scm 261 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6434));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2402z00zzcfa_typez00,
				BGl_string2403z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2404z00zzcfa_typez00,
				BGl_string2403z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2405z00zzcfa_typez00,
				BGl_string2403z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2406z00zzcfa_typez00,
				BGl_string2403z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2407z00zzcfa_typez00,
				BGl_string2403z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc2408z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2410z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc2411z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc2412z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2413z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc2414z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc2415z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc2416z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc2417z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2418z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc2419z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2420z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc2421z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2422z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc2423z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc2424z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2425z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2426z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2427z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc2428z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc2429z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2430z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2431z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc2432z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_switchz00zzast_nodez00,
				BGl_proc2433z00zzcfa_typez00, BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2434z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2435z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2436z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2437z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2438z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2439z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2440z00zzcfa_typez00,
				BGl_string2409z00zzcfa_typez00);
		}

	}



/* &type-node!-box-ref1726 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref1726za2zzcfa_typez00(obj_t
		BgL_envz00_6472, obj_t BgL_nodez00_6473)
	{
		{	/* Cfa/type.scm 687 */
			{
				BgL_varz00_bglt BgL_auxz00_7661;

				{	/* Cfa/type.scm 689 */
					BgL_varz00_bglt BgL_arg2131z00_6614;

					BgL_arg2131z00_6614 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_6473)))->BgL_varz00);
					BgL_auxz00_7661 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2131z00_6614)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_6473)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7661), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6473));
		}

	}



/* &type-node!-box-set!1724 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121724zb0zzcfa_typez00(obj_t
		BgL_envz00_6474, obj_t BgL_nodez00_6475)
	{
		{	/* Cfa/type.scm 678 */
			{
				BgL_varz00_bglt BgL_auxz00_7671;

				{	/* Cfa/type.scm 680 */
					BgL_varz00_bglt BgL_arg2129z00_6616;

					BgL_arg2129z00_6616 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6475)))->BgL_varz00);
					BgL_auxz00_7671 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2129z00_6616)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6475)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7671), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7679;

				{	/* Cfa/type.scm 681 */
					BgL_nodez00_bglt BgL_arg2130z00_6617;

					BgL_arg2130z00_6617 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6475)))->BgL_valuez00);
					BgL_auxz00_7679 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2130z00_6617);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6475)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7679), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6475));
		}

	}



/* &type-node!-make-box1722 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box1722za2zzcfa_typez00(obj_t
		BgL_envz00_6476, obj_t BgL_nodez00_6477)
	{
		{	/* Cfa/type.scm 670 */
			{
				BgL_nodez00_bglt BgL_auxz00_7687;

				{	/* Cfa/type.scm 672 */
					BgL_nodez00_bglt BgL_arg2128z00_6619;

					BgL_arg2128z00_6619 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_6477)))->BgL_valuez00);
					BgL_auxz00_7687 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2128z00_6619);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_6477)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7687), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6477));
		}

	}



/* &type-node!-jump-ex-i1720 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1720z70zzcfa_typez00(obj_t
		BgL_envz00_6478, obj_t BgL_nodez00_6479)
	{
		{	/* Cfa/type.scm 661 */
			{
				BgL_nodez00_bglt BgL_auxz00_7695;

				{	/* Cfa/type.scm 663 */
					BgL_nodez00_bglt BgL_arg2126z00_6621;

					BgL_arg2126z00_6621 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6479)))->BgL_exitz00);
					BgL_auxz00_7695 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2126z00_6621);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6479)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_7695), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7701;

				{	/* Cfa/type.scm 664 */
					BgL_nodez00_bglt BgL_arg2127z00_6622;

					BgL_arg2127z00_6622 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6479)))->
						BgL_valuez00);
					BgL_auxz00_7701 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2127z00_6622);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6479)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_7701), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6479));
		}

	}



/* &type-node!-set-ex-it1718 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1718z70zzcfa_typez00(obj_t
		BgL_envz00_6480, obj_t BgL_nodez00_6481)
	{
		{	/* Cfa/type.scm 649 */
			{	/* Cfa/type.scm 651 */
				BgL_variablez00_bglt BgL_vz00_6624;

				BgL_vz00_6624 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/type.scm 652 */
					BgL_valuez00_bglt BgL_arg2121z00_6625;

					BgL_arg2121z00_6625 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_6624))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2121z00_6625,
						BgL_vz00_6624);
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7716;

				{	/* Cfa/type.scm 653 */
					BgL_nodez00_bglt BgL_arg2123z00_6626;

					BgL_arg2123z00_6626 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->BgL_bodyz00);
					BgL_auxz00_7716 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2123z00_6626);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7716), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7722;

				{	/* Cfa/type.scm 654 */
					BgL_nodez00_bglt BgL_arg2124z00_6627;

					BgL_arg2124z00_6627 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->
						BgL_onexitz00);
					BgL_auxz00_7722 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2124z00_6627);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_7722), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_7728;

				{	/* Cfa/type.scm 655 */
					BgL_varz00_bglt BgL_arg2125z00_6628;

					BgL_arg2125z00_6628 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->BgL_varz00);
					BgL_auxz00_7728 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2125z00_6628)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7728), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6481));
		}

	}



/* &type-node!-let-var1716 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var1716za2zzcfa_typez00(obj_t
		BgL_envz00_6482, obj_t BgL_nodez00_6483)
	{
		{	/* Cfa/type.scm 634 */
			{	/* Cfa/type.scm 636 */
				obj_t BgL_g1645z00_6630;

				BgL_g1645z00_6630 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_6483)))->BgL_bindingsz00);
				{
					obj_t BgL_l1643z00_6632;

					BgL_l1643z00_6632 = BgL_g1645z00_6630;
				BgL_zc3z04anonymousza32114ze3z87_6631:
					if (PAIRP(BgL_l1643z00_6632))
						{	/* Cfa/type.scm 636 */
							{	/* Cfa/type.scm 637 */
								obj_t BgL_bindingz00_6633;

								BgL_bindingz00_6633 = CAR(BgL_l1643z00_6632);
								{	/* Cfa/type.scm 637 */
									obj_t BgL_varz00_6634;
									obj_t BgL_valz00_6635;

									BgL_varz00_6634 = CAR(((obj_t) BgL_bindingz00_6633));
									BgL_valz00_6635 = CDR(((obj_t) BgL_bindingz00_6633));
									{	/* Cfa/type.scm 639 */
										BgL_nodez00_bglt BgL_arg2116z00_6636;

										BgL_arg2116z00_6636 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_valz00_6635));
										{	/* Cfa/type.scm 639 */
											obj_t BgL_auxz00_7751;
											obj_t BgL_tmpz00_7749;

											BgL_auxz00_7751 = ((obj_t) BgL_arg2116z00_6636);
											BgL_tmpz00_7749 = ((obj_t) BgL_bindingz00_6633);
											SET_CDR(BgL_tmpz00_7749, BgL_auxz00_7751);
										}
									}
									{	/* Cfa/type.scm 640 */
										BgL_valuez00_bglt BgL_arg2117z00_6637;

										BgL_arg2117z00_6637 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_6634))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2117z00_6637,
											((BgL_variablez00_bglt) BgL_varz00_6634));
									}
								}
							}
							{
								obj_t BgL_l1643z00_7759;

								BgL_l1643z00_7759 = CDR(BgL_l1643z00_6632);
								BgL_l1643z00_6632 = BgL_l1643z00_7759;
								goto BgL_zc3z04anonymousza32114ze3z87_6631;
							}
						}
					else
						{	/* Cfa/type.scm 636 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7761;

				{	/* Cfa/type.scm 642 */
					BgL_nodez00_bglt BgL_arg2119z00_6638;

					BgL_arg2119z00_6638 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6483)))->BgL_bodyz00);
					BgL_auxz00_7761 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2119z00_6638);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6483)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7761), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6483))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
												BgL_nodez00_6483)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_6483));
		}

	}



/* &type-node!-let-fun1714 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun1714za2zzcfa_typez00(obj_t
		BgL_envz00_6484, obj_t BgL_nodez00_6485)
	{
		{	/* Cfa/type.scm 624 */
			{	/* Cfa/type.scm 626 */
				obj_t BgL_g1642z00_6640;

				BgL_g1642z00_6640 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_6485)))->BgL_localsz00);
				{
					obj_t BgL_l1640z00_6642;

					BgL_l1640z00_6642 = BgL_g1642z00_6640;
				BgL_zc3z04anonymousza32108ze3z87_6641:
					if (PAIRP(BgL_l1640z00_6642))
						{	/* Cfa/type.scm 626 */
							{	/* Cfa/type.scm 626 */
								obj_t BgL_arg2110z00_6643;

								BgL_arg2110z00_6643 = CAR(BgL_l1640z00_6642);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg2110z00_6643));
							}
							{
								obj_t BgL_l1640z00_7782;

								BgL_l1640z00_7782 = CDR(BgL_l1640z00_6642);
								BgL_l1640z00_6642 = BgL_l1640z00_7782;
								goto BgL_zc3z04anonymousza32108ze3z87_6641;
							}
						}
					else
						{	/* Cfa/type.scm 626 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7784;

				{	/* Cfa/type.scm 627 */
					BgL_nodez00_bglt BgL_arg2112z00_6644;

					BgL_arg2112z00_6644 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6485)))->BgL_bodyz00);
					BgL_auxz00_7784 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2112z00_6644);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6485)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7784), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6485))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_6485)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_6485));
		}

	}



/* &type-node!-switch1712 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2switch1712z70zzcfa_typez00(obj_t
		BgL_envz00_6486, obj_t BgL_nodez00_6487)
	{
		{	/* Cfa/type.scm 599 */
			{
				BgL_nodez00_bglt BgL_auxz00_7798;

				{	/* Cfa/type.scm 601 */
					BgL_nodez00_bglt BgL_arg2102z00_6646;

					BgL_arg2102z00_6646 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_6487)))->BgL_testz00);
					BgL_auxz00_7798 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2102z00_6646);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_6487)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7798), BUNSPEC);
			}
			{	/* Cfa/type.scm 602 */
				obj_t BgL_g1639z00_6647;

				BgL_g1639z00_6647 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_6487)))->BgL_clausesz00);
				{
					obj_t BgL_l1637z00_6649;

					BgL_l1637z00_6649 = BgL_g1639z00_6647;
				BgL_zc3z04anonymousza32103ze3z87_6648:
					if (PAIRP(BgL_l1637z00_6649))
						{	/* Cfa/type.scm 602 */
							{	/* Cfa/type.scm 603 */
								obj_t BgL_clausez00_6650;

								BgL_clausez00_6650 = CAR(BgL_l1637z00_6649);
								{	/* Cfa/type.scm 603 */
									BgL_nodez00_bglt BgL_arg2105z00_6651;

									{	/* Cfa/type.scm 603 */
										obj_t BgL_arg2106z00_6652;

										BgL_arg2106z00_6652 = CDR(((obj_t) BgL_clausez00_6650));
										BgL_arg2105z00_6651 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg2106z00_6652));
									}
									{	/* Cfa/type.scm 603 */
										obj_t BgL_auxz00_7815;
										obj_t BgL_tmpz00_7813;

										BgL_auxz00_7815 = ((obj_t) BgL_arg2105z00_6651);
										BgL_tmpz00_7813 = ((obj_t) BgL_clausez00_6650);
										SET_CDR(BgL_tmpz00_7813, BgL_auxz00_7815);
									}
								}
							}
							{
								obj_t BgL_l1637z00_7818;

								BgL_l1637z00_7818 = CDR(BgL_l1637z00_6649);
								BgL_l1637z00_6649 = BgL_l1637z00_7818;
								goto BgL_zc3z04anonymousza32103ze3z87_6648;
							}
						}
					else
						{	/* Cfa/type.scm 602 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_6487))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_switchz00_bglt) BgL_nodez00_6487)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_6487));
		}

	}



/* &type-node!-fail1710 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail1710z70zzcfa_typez00(obj_t
		BgL_envz00_6488, obj_t BgL_nodez00_6489)
	{
		{	/* Cfa/type.scm 589 */
			{
				BgL_nodez00_bglt BgL_auxz00_7828;

				{	/* Cfa/type.scm 591 */
					BgL_nodez00_bglt BgL_arg2099z00_6654;

					BgL_arg2099z00_6654 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_procz00);
					BgL_auxz00_7828 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2099z00_6654);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7828), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7834;

				{	/* Cfa/type.scm 592 */
					BgL_nodez00_bglt BgL_arg2100z00_6655;

					BgL_arg2100z00_6655 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_msgz00);
					BgL_auxz00_7834 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2100z00_6655);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7834), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7840;

				{	/* Cfa/type.scm 593 */
					BgL_nodez00_bglt BgL_arg2101z00_6656;

					BgL_arg2101z00_6656 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_objz00);
					BgL_auxz00_7840 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2101z00_6656);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_6489)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7840), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_6489));
		}

	}



/* &type-node!-condition1708 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1708z70zzcfa_typez00(obj_t
		BgL_envz00_6490, obj_t BgL_nodez00_6491)
	{
		{	/* Cfa/type.scm 582 */
			{

				{	/* Cfa/type.scm 582 */
					obj_t BgL_nextzd2method1707zd2_6659;

					BgL_nextzd2method1707zd2_6659 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_6491)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1707zd2_6659,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_6491)));
				}
				return
					((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_6491));
			}
		}

	}



/* &type-node!-condition1706 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1706z70zzcfa_typez00(obj_t
		BgL_envz00_6492, obj_t BgL_nodez00_6493)
	{
		{	/* Cfa/type.scm 571 */
			{
				BgL_nodez00_bglt BgL_auxz00_7859;

				{	/* Cfa/type.scm 573 */
					BgL_nodez00_bglt BgL_arg2096z00_6661;

					BgL_arg2096z00_6661 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_testz00);
					BgL_auxz00_7859 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2096z00_6661);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7859), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7865;

				{	/* Cfa/type.scm 574 */
					BgL_nodez00_bglt BgL_arg2097z00_6662;

					BgL_arg2097z00_6662 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_truez00);
					BgL_auxz00_7865 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2097z00_6662);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7865), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_7871;

				{	/* Cfa/type.scm 575 */
					BgL_nodez00_bglt BgL_arg2098z00_6663;

					BgL_arg2098z00_6663 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_falsez00);
					BgL_auxz00_7871 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2098z00_6663);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_6493)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7871), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_6493))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_conditionalz00_bglt) BgL_nodez00_6493)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_6493));
		}

	}



/* &type-node!-setq1704 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq1704z70zzcfa_typez00(obj_t
		BgL_envz00_6494, obj_t BgL_nodez00_6495)
	{
		{	/* Cfa/type.scm 560 */
			{
				BgL_nodez00_bglt BgL_auxz00_7885;

				{	/* Cfa/type.scm 562 */
					BgL_nodez00_bglt BgL_arg2094z00_6665;

					BgL_arg2094z00_6665 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6495)))->BgL_valuez00);
					BgL_auxz00_7885 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2094z00_6665);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6495)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_7885), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_7891;

				{	/* Cfa/type.scm 563 */
					BgL_varz00_bglt BgL_arg2095z00_6666;

					BgL_arg2095z00_6666 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6495)))->BgL_varz00);
					BgL_auxz00_7891 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2095z00_6666)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_6495)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_7891), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_6495));
		}

	}



/* &type-node!-cast1702 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast1702z70zzcfa_typez00(obj_t
		BgL_envz00_6496, obj_t BgL_nodez00_6497)
	{
		{	/* Cfa/type.scm 552 */
			{
				BgL_nodez00_bglt BgL_auxz00_7901;

				{	/* Cfa/type.scm 554 */
					BgL_nodez00_bglt BgL_arg2093z00_6668;

					BgL_arg2093z00_6668 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_6497)))->BgL_argz00);
					BgL_auxz00_7901 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2093z00_6668);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_6497)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_7901), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_6497));
		}

	}



/* &type-node!-vset!1700 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz121700z62zzcfa_typez00(obj_t
		BgL_envz00_6498, obj_t BgL_nodez00_6499)
	{
		{	/* Cfa/type.scm 542 */
			{

				{	/* Cfa/type.scm 542 */
					obj_t BgL_nextzd2method1699zd2_6671;

					BgL_nextzd2method1699zd2_6671 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_6499)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vsetz12z12zzast_nodez00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1699zd2_6671,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_6499)));
				}
				{	/* Cfa/type.scm 545 */
					bool_t BgL_test2605z00_7918;

					{	/* Cfa/type.scm 545 */
						obj_t BgL_arg2092z00_6672;

						BgL_arg2092z00_6672 =
							((obj_t)
							(((BgL_vsetz12z12_bglt) COBJECT(
										((BgL_vsetz12z12_bglt) BgL_nodez00_6499)))->BgL_ftypez00));
						BgL_test2605z00_7918 =
							(BgL_arg2092z00_6672 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2605z00_7918)
						{	/* Cfa/type.scm 545 */
							((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_6499)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 545 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_6499));
			}
		}

	}



/* &type-node!-vref1698 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref1698z70zzcfa_typez00(obj_t
		BgL_envz00_6500, obj_t BgL_nodez00_6501)
	{
		{	/* Cfa/type.scm 516 */
			{

				{	/* Cfa/type.scm 516 */
					obj_t BgL_nextzd2method1697zd2_6675;

					BgL_nextzd2method1697zd2_6675 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_6501)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1697zd2_6675,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_6501)));
				}
				{	/* Cfa/type.scm 520 */
					bool_t BgL_test2606z00_7937;

					{	/* Cfa/type.scm 520 */
						BgL_typez00_bglt BgL_arg2089z00_6676;

						BgL_arg2089z00_6676 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_6501)))->BgL_vtypez00);
						{	/* Cfa/type.scm 520 */
							obj_t BgL_classz00_6677;

							BgL_classz00_6677 = BGl_tvecz00zztvector_tvectorz00;
							{	/* Cfa/type.scm 520 */
								BgL_objectz00_bglt BgL_arg1858z00_6678;

								{	/* Cfa/type.scm 520 */
									obj_t BgL_tmpz00_7940;

									BgL_tmpz00_7940 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2089z00_6676));
									BgL_arg1858z00_6678 = (BgL_objectz00_bglt) (BgL_tmpz00_7940);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/type.scm 520 */
										long BgL_idxz00_6679;

										BgL_idxz00_6679 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6678);
										BgL_test2606z00_7937 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6679 + 2L)) == BgL_classz00_6677);
									}
								else
									{	/* Cfa/type.scm 520 */
										bool_t BgL_res2379z00_6682;

										{	/* Cfa/type.scm 520 */
											obj_t BgL_oclassz00_6683;

											{	/* Cfa/type.scm 520 */
												obj_t BgL_arg1866z00_6684;
												long BgL_arg1867z00_6685;

												BgL_arg1866z00_6684 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/type.scm 520 */
													long BgL_arg1869z00_6686;

													BgL_arg1869z00_6686 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6678);
													BgL_arg1867z00_6685 =
														(BgL_arg1869z00_6686 - OBJECT_TYPE);
												}
												BgL_oclassz00_6683 =
													VECTOR_REF(BgL_arg1866z00_6684, BgL_arg1867z00_6685);
											}
											{	/* Cfa/type.scm 520 */
												bool_t BgL__ortest_1115z00_6687;

												BgL__ortest_1115z00_6687 =
													(BgL_classz00_6677 == BgL_oclassz00_6683);
												if (BgL__ortest_1115z00_6687)
													{	/* Cfa/type.scm 520 */
														BgL_res2379z00_6682 = BgL__ortest_1115z00_6687;
													}
												else
													{	/* Cfa/type.scm 520 */
														long BgL_odepthz00_6688;

														{	/* Cfa/type.scm 520 */
															obj_t BgL_arg1855z00_6689;

															BgL_arg1855z00_6689 = (BgL_oclassz00_6683);
															BgL_odepthz00_6688 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6689);
														}
														if ((2L < BgL_odepthz00_6688))
															{	/* Cfa/type.scm 520 */
																obj_t BgL_arg1853z00_6690;

																{	/* Cfa/type.scm 520 */
																	obj_t BgL_arg1854z00_6691;

																	BgL_arg1854z00_6691 = (BgL_oclassz00_6683);
																	BgL_arg1853z00_6690 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6691,
																		2L);
																}
																BgL_res2379z00_6682 =
																	(BgL_arg1853z00_6690 == BgL_classz00_6677);
															}
														else
															{	/* Cfa/type.scm 520 */
																BgL_res2379z00_6682 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2606z00_7937 = BgL_res2379z00_6682;
									}
							}
						}
					}
					if (BgL_test2606z00_7937)
						{	/* Cfa/type.scm 520 */
							return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_6501));
						}
					else
						{	/* Cfa/type.scm 522 */
							bool_t BgL_test2610z00_7965;

							{	/* Cfa/type.scm 522 */
								obj_t BgL_arg2088z00_6692;

								BgL_arg2088z00_6692 =
									((obj_t)
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_6501)))->BgL_ftypez00));
								BgL_test2610z00_7965 =
									(BgL_arg2088z00_6692 == BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2610z00_7965)
								{	/* Cfa/type.scm 522 */
									((((BgL_vrefz00_bglt) COBJECT(
													((BgL_vrefz00_bglt) BgL_nodez00_6501)))->
											BgL_ftypez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
															BgL_nodez00_6501))))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
									return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
											BgL_nodez00_6501));
								}
							else
								{	/* Cfa/type.scm 526 */
									bool_t BgL_test2611z00_7979;

									{	/* Cfa/type.scm 526 */
										obj_t BgL_arg2087z00_6693;

										BgL_arg2087z00_6693 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_test2611z00_7979 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg2087z00_6693)))->
											BgL_strictzd2typezd2castz00);
									}
									if (BgL_test2611z00_7979)
										{	/* Cfa/type.scm 527 */
											obj_t BgL_ctypez00_6694;

											BgL_ctypez00_6694 =
												((obj_t)
												(((BgL_vrefz00_bglt) COBJECT(
															((BgL_vrefz00_bglt) BgL_nodez00_6501)))->
													BgL_ftypez00));
											((((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
																	BgL_nodez00_6501))))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
																BgL_nodez00_6501)))->BgL_ftypez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											if ((BgL_ctypez00_6694 ==
													BGl_za2objza2z00zztype_cachez00))
												{	/* Cfa/type.scm 530 */
													return
														((BgL_nodez00_bglt)
														((BgL_vrefz00_bglt) BgL_nodez00_6501));
												}
											else
												{	/* Cfa/type.scm 532 */
													BgL_castz00_bglt BgL_new1221z00_6695;

													{	/* Cfa/type.scm 532 */
														BgL_castz00_bglt BgL_new1220z00_6696;

														BgL_new1220z00_6696 =
															((BgL_castz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_castz00_bgl))));
														{	/* Cfa/type.scm 532 */
															long BgL_arg2086z00_6697;

															BgL_arg2086z00_6697 =
																BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1220z00_6696),
																BgL_arg2086z00_6697);
														}
														{	/* Cfa/type.scm 532 */
															BgL_objectz00_bglt BgL_tmpz00_8001;

															BgL_tmpz00_8001 =
																((BgL_objectz00_bglt) BgL_new1220z00_6696);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8001, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1220z00_6696);
														BgL_new1221z00_6695 = BgL_new1220z00_6696;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1221z00_6695)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1221z00_6695)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BgL_ctypez00_6694)), BUNSPEC);
													((((BgL_castz00_bglt) COBJECT(BgL_new1221z00_6695))->
															BgL_argz00) =
														((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (
																	(BgL_vrefz00_bglt) BgL_nodez00_6501))),
														BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1221z00_6695);
												}
										}
									else
										{	/* Cfa/type.scm 526 */
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_6501))))->
													BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_vrefz00_bglt)
															COBJECT(((BgL_vrefz00_bglt) BgL_nodez00_6501)))->
														BgL_ftypez00)), BUNSPEC);
											return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
													BgL_nodez00_6501));
										}
								}
						}
				}
			}
		}

	}



/* &type-node!-valloc1696 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc1696z70zzcfa_typez00(obj_t
		BgL_envz00_6502, obj_t BgL_nodez00_6503)
	{
		{	/* Cfa/type.scm 505 */
			{

				{	/* Cfa/type.scm 505 */
					obj_t BgL_nextzd2method1695zd2_6700;

					BgL_nextzd2method1695zd2_6700 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_6503)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vallocz00zzast_nodez00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1695zd2_6700,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_6503)));
				}
				{	/* Cfa/type.scm 508 */
					obj_t BgL_arg2071z00_6701;

					BgL_arg2071z00_6701 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_6503))))->BgL_exprza2za2);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg2071z00_6701);
				}
				{
					BgL_typez00_bglt BgL_auxz00_8034;

					{	/* Cfa/type.scm 509 */
						obj_t BgL_arg2072z00_6702;
						BgL_typez00_bglt BgL_arg2073z00_6703;

						{	/* Cfa/type.scm 509 */
							bool_t BgL_test2613z00_8037;

							{	/* Cfa/type.scm 509 */
								obj_t BgL_arg2076z00_6704;

								BgL_arg2076z00_6704 =
									((obj_t)
									(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_vallocz00_bglt) BgL_nodez00_6503))))->
										BgL_typez00));
								BgL_test2613z00_8037 =
									(BgL_arg2076z00_6704 == BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2613z00_8037)
								{	/* Cfa/type.scm 509 */
									BgL_arg2072z00_6702 = BGl_za2vectorza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 509 */
									BgL_arg2072z00_6702 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_6503))))->
											BgL_typez00));
								}
						}
						BgL_arg2073z00_6703 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6503))))->BgL_typez00);
						BgL_auxz00_8034 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_arg2072z00_6702), BgL_arg2073z00_6703);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6503))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_8034), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_8053;

					{	/* Cfa/type.scm 510 */
						bool_t BgL_test2614z00_8055;

						{	/* Cfa/type.scm 510 */
							obj_t BgL_arg2079z00_6705;

							BgL_arg2079z00_6705 =
								((obj_t)
								(((BgL_vallocz00_bglt) COBJECT(
											((BgL_vallocz00_bglt) BgL_nodez00_6503)))->BgL_ftypez00));
							BgL_test2614z00_8055 =
								(BgL_arg2079z00_6705 == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2614z00_8055)
							{	/* Cfa/type.scm 510 */
								BgL_auxz00_8053 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
							}
						else
							{	/* Cfa/type.scm 510 */
								BgL_auxz00_8053 =
									(((BgL_vallocz00_bglt) COBJECT(
											((BgL_vallocz00_bglt) BgL_nodez00_6503)))->BgL_ftypez00);
							}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_6503)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_8053), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_6503));
			}
		}

	}



/* &type-node!-extern1694 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern1694z70zzcfa_typez00(obj_t
		BgL_envz00_6504, obj_t BgL_nodez00_6505)
	{
		{	/* Cfa/type.scm 497 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_6505)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_6505));
		}

	}



/* &type-node!-funcall/C1692 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C1692z82zzcfa_typez00(obj_t
		BgL_envz00_6506, obj_t BgL_nodez00_6507)
	{
		{	/* Cfa/type.scm 466 */
			{
				BgL_nodez00_bglt BgL_auxz00_8071;

				{	/* Cfa/type.scm 468 */
					BgL_nodez00_bglt BgL_arg2064z00_6708;

					BgL_arg2064z00_6708 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_6507))))->BgL_funz00);
					BgL_auxz00_8071 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2064z00_6708);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_6507))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8071), BUNSPEC);
			}
			{	/* Cfa/type.scm 469 */
				obj_t BgL_arg2065z00_6709;

				BgL_arg2065z00_6709 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_6507))))->BgL_argsz00);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg2065z00_6709);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/type.scm 471 */
					obj_t BgL_typz00_6710;

					{	/* Cfa/type.scm 471 */
						BgL_approxz00_bglt BgL_arg2069z00_6711;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_8085;

							{
								obj_t BgL_auxz00_8086;

								{	/* Cfa/type.scm 471 */
									BgL_objectz00_bglt BgL_tmpz00_8087;

									BgL_tmpz00_8087 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_6507));
									BgL_auxz00_8086 = BGL_OBJECT_WIDENING(BgL_tmpz00_8087);
								}
								BgL_auxz00_8085 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_8086);
							}
							BgL_arg2069z00_6711 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8085))->
								BgL_approxz00);
						}
						BgL_typz00_6710 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2069z00_6711,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_6507)));
					}
					if ((BgL_typz00_6710 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 472 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_funcallz00_bglt) BgL_nodez00_6507))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_6507));
						}
					else
						{	/* Cfa/type.scm 472 */
							{	/* Cfa/type.scm 481 */
								obj_t BgL_casezd2valuezd2_6712;

								BgL_casezd2valuezd2_6712 =
									(((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt)
												((BgL_funcallz00_bglt) BgL_nodez00_6507))))->
									BgL_strengthz00);
								if ((BgL_casezd2valuezd2_6712 == ((obj_t) CNST_TABLE_REF(0))))
									{	/* Cfa/type.scm 481 */
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_6507))))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_6710)),
											BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 481 */
										if (
											(BgL_casezd2valuezd2_6712 == ((obj_t) CNST_TABLE_REF(3))))
											{	/* Cfa/type.scm 485 */
												BgL_backendz00_bglt BgL_i1216z00_6713;

												BgL_i1216z00_6713 =
													((BgL_backendz00_bglt)
													BGl_thezd2backendzd2zzbackend_backendz00());
												{
													BgL_typez00_bglt BgL_auxz00_8121;

													if (
														(((BgL_backendz00_bglt)
																COBJECT(BgL_i1216z00_6713))->
															BgL_typedzd2closureszd2))
														{	/* Cfa/type.scm 486 */
															BgL_auxz00_8121 =
																((BgL_typez00_bglt) BgL_typz00_6710);
														}
													else
														{	/* Cfa/type.scm 486 */
															BgL_auxz00_8121 =
																((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00);
														}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt)
																		((BgL_funcallz00_bglt)
																			BgL_nodez00_6507))))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_8121), BUNSPEC);
												}
											}
										else
											{	/* Cfa/type.scm 481 */
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_funcallz00_bglt) BgL_nodez00_6507))))->
														BgL_typez00) =
													((BgL_typez00_bglt)
														BGl_getzd2bigloozd2typez00zztype_cachez00((
																(BgL_typez00_bglt) BgL_typz00_6710))), BUNSPEC);
											}
									}
							}
							return
								((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6507));
						}
				}
			else
				{	/* Cfa/type.scm 470 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_6507))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6507));
				}
		}

	}



/* &type-node!-funcall1690 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcall1690z70zzcfa_typez00(obj_t
		BgL_envz00_6508, obj_t BgL_nodez00_6509)
	{
		{	/* Cfa/type.scm 455 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 456 */
					obj_t BgL_arg2060z00_6715;

					BgL_arg2060z00_6715 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_6509)));
					BGl_errorz00zz__errorz00(BGl_string2409z00zzcfa_typez00,
						BGl_string2441z00zzcfa_typez00, BgL_arg2060z00_6715);
				}
			else
				{	/* Cfa/type.scm 456 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_8148;

				{	/* Cfa/type.scm 458 */
					BgL_nodez00_bglt BgL_arg2061z00_6716;

					BgL_arg2061z00_6716 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_6509)))->BgL_funz00);
					BgL_auxz00_8148 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2061z00_6716);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_6509)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8148), BUNSPEC);
			}
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_6509)))->BgL_argsz00));
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_6509))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_6509));
		}

	}



/* &type-node!-app-ly/Ci1688 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1688z50zzcfa_typez00(obj_t
		BgL_envz00_6510, obj_t BgL_nodez00_6511)
	{
		{	/* Cfa/type.scm 443 */
			{
				BgL_nodez00_bglt BgL_auxz00_8163;

				{	/* Cfa/type.scm 445 */
					BgL_nodez00_bglt BgL_arg2056z00_6718;

					BgL_arg2056z00_6718 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_funz00);
					BgL_auxz00_8163 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2056z00_6718);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8163), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_8171;

				{	/* Cfa/type.scm 446 */
					BgL_nodez00_bglt BgL_arg2058z00_6719;

					BgL_arg2058z00_6719 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_argz00);
					BgL_auxz00_8171 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2058z00_6719);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8171), BUNSPEC);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{
					BgL_typez00_bglt BgL_auxz00_8181;

					{	/* Cfa/type.scm 448 */
						BgL_approxz00_bglt BgL_arg2059z00_6720;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_8184;

							{
								obj_t BgL_auxz00_8185;

								{	/* Cfa/type.scm 448 */
									BgL_objectz00_bglt BgL_tmpz00_8186;

									BgL_tmpz00_8186 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511));
									BgL_auxz00_8185 = BGL_OBJECT_WIDENING(BgL_tmpz00_8186);
								}
								BgL_auxz00_8184 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_8185);
							}
							BgL_arg2059z00_6720 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_8184))->
								BgL_approxz00);
						}
						BgL_auxz00_8181 =
							((BgL_typez00_bglt)
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2059z00_6720,
								((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))));
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_8181), BUNSPEC);
				}
			else
				{	/* Cfa/type.scm 447 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
				}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6511));
		}

	}



/* &type-node!-app-ly1686 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2appzd2ly1686za2zzcfa_typez00(obj_t
		BgL_envz00_6512, obj_t BgL_nodez00_6513)
	{
		{	/* Cfa/type.scm 432 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 433 */
					obj_t BgL_arg2053z00_6722;

					BgL_arg2053z00_6722 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)));
					BGl_errorz00zz__errorz00(BGl_string2409z00zzcfa_typez00,
						BGl_string2441z00zzcfa_typez00, BgL_arg2053z00_6722);
				}
			else
				{	/* Cfa/type.scm 433 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_8209;

				{	/* Cfa/type.scm 435 */
					BgL_nodez00_bglt BgL_arg2054z00_6723;

					BgL_arg2054z00_6723 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)))))->BgL_funz00);
					BgL_auxz00_8209 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2054z00_6723);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8209), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_8219;

				{	/* Cfa/type.scm 436 */
					BgL_nodez00_bglt BgL_arg2055z00_6724;

					BgL_arg2055z00_6724 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)))))->BgL_argz00);
					BgL_auxz00_8219 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2055z00_6724);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8219), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513)))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6513));
		}

	}



/* &type-node!-cons-ref-1684 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21684z70zzcfa_typez00(obj_t
		BgL_envz00_6514, obj_t BgL_nodez00_6515)
	{
		{	/* Cfa/type.scm 421 */
			{

				{	/* Cfa/type.scm 421 */
					obj_t BgL_nextzd2method1683zd2_6727;

					BgL_nextzd2method1683zd2_6727 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6515)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conszd2refzd2appz00zzcfa_info2z00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1683zd2_6727,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6515)));
				}
				{	/* Cfa/type.scm 424 */
					obj_t BgL_atypez00_6728;

					{	/* Cfa/type.scm 424 */
						BgL_approxz00_bglt BgL_arg2052z00_6729;

						{
							BgL_conszd2refzd2appz00_bglt BgL_auxz00_8245;

							{
								obj_t BgL_auxz00_8246;

								{	/* Cfa/type.scm 424 */
									BgL_objectz00_bglt BgL_tmpz00_8247;

									BgL_tmpz00_8247 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6515));
									BgL_auxz00_8246 = BGL_OBJECT_WIDENING(BgL_tmpz00_8247);
								}
								BgL_auxz00_8245 =
									((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_8246);
							}
							BgL_arg2052z00_6729 =
								(((BgL_conszd2refzd2appz00_bglt) COBJECT(BgL_auxz00_8245))->
								BgL_approxz00);
						}
						BgL_atypez00_6728 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2052z00_6729,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6515)));
					}
					if ((BgL_atypez00_6728 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 425 */
							BFALSE;
						}
					else
						{	/* Cfa/type.scm 425 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6515))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6728)),
								BUNSPEC);
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6515));
			}
		}

	}



/* &type-node!-procedure1682 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1682z70zzcfa_typez00(obj_t
		BgL_envz00_6516, obj_t BgL_nodez00_6517)
	{
		{	/* Cfa/type.scm 404 */
			{

				{	/* Cfa/type.scm 404 */
					obj_t BgL_nextzd2method1681zd2_6732;

					BgL_nextzd2method1681zd2_6732 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6517)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1681zd2_6732,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6517)));
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 408 */
						obj_t BgL_atypez00_6733;

						{	/* Cfa/type.scm 408 */
							obj_t BgL_arg2051z00_6734;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_8275;

								{
									obj_t BgL_auxz00_8276;

									{	/* Cfa/type.scm 408 */
										BgL_objectz00_bglt BgL_tmpz00_8277;

										BgL_tmpz00_8277 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6517));
										BgL_auxz00_8276 = BGL_OBJECT_WIDENING(BgL_tmpz00_8277);
									}
									BgL_auxz00_8275 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_8276);
								}
								BgL_arg2051z00_6734 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_8275))->BgL_vapproxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
									((BgL_approxz00_bglt) BgL_arg2051z00_6734)))
								{	/* Cfa/type.scm 380 */
									BgL_atypez00_6733 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 380 */
									BgL_atypez00_6733 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(
										((BgL_approxz00_bglt) BgL_arg2051z00_6734),
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6517)));
								}
						}
						{	/* Cfa/type.scm 409 */
							bool_t BgL_test2626z00_8290;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6733)))
								{	/* Cfa/type.scm 409 */
									if ((BgL_atypez00_6733 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 410 */
											BgL_test2626z00_8290 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 411 */
											bool_t BgL_test2629z00_8296;

											{	/* Cfa/type.scm 411 */
												obj_t BgL_arg2047z00_6735;

												{	/* Cfa/type.scm 411 */
													obj_t BgL_arg2049z00_6736;

													{	/* Cfa/type.scm 411 */
														obj_t BgL_pairz00_6737;

														BgL_pairz00_6737 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_6517))))->
															BgL_argsz00);
														BgL_arg2049z00_6736 =
															CAR(CDR(CDR(BgL_pairz00_6737)));
													}
													BgL_arg2047z00_6735 =
														((obj_t)
														BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg2049z00_6736),
															((bool_t) 0)));
												}
												BgL_test2629z00_8296 =
													(BgL_atypez00_6733 == BgL_arg2047z00_6735);
											}
											if (BgL_test2629z00_8296)
												{	/* Cfa/type.scm 411 */
													BgL_test2626z00_8290 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 411 */
													BgL_test2626z00_8290 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 409 */
									BgL_test2626z00_8290 = ((bool_t) 0);
								}
							if (BgL_test2626z00_8290)
								{	/* Cfa/type.scm 412 */
									obj_t BgL_arg2042z00_6738;
									BgL_castz00_bglt BgL_arg2043z00_6739;

									{	/* Cfa/type.scm 412 */
										obj_t BgL_pairz00_6740;

										BgL_pairz00_6740 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_6517))))->
											BgL_argsz00);
										BgL_arg2042z00_6738 = CDR(CDR(BgL_pairz00_6740));
									}
									{	/* Cfa/type.scm 413 */
										BgL_castz00_bglt BgL_new1210z00_6741;

										{	/* Cfa/type.scm 413 */
											BgL_castz00_bglt BgL_new1209z00_6742;

											BgL_new1209z00_6742 =
												((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 413 */
												long BgL_arg2046z00_6743;

												BgL_arg2046z00_6743 =
													BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1209z00_6742),
													BgL_arg2046z00_6743);
											}
											{	/* Cfa/type.scm 413 */
												BgL_objectz00_bglt BgL_tmpz00_8316;

												BgL_tmpz00_8316 =
													((BgL_objectz00_bglt) BgL_new1209z00_6742);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8316, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1209z00_6742);
											BgL_new1210z00_6741 = BgL_new1209z00_6742;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1210z00_6741)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1210z00_6741)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										{
											BgL_nodez00_bglt BgL_auxz00_8325;

											{	/* Cfa/type.scm 415 */
												obj_t BgL_pairz00_6744;

												BgL_pairz00_6744 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_6517))))->
													BgL_argsz00);
												{	/* Cfa/type.scm 415 */
													obj_t BgL_pairz00_6745;

													{	/* Cfa/type.scm 415 */
														obj_t BgL_pairz00_6746;

														BgL_pairz00_6746 = CDR(BgL_pairz00_6744);
														BgL_pairz00_6745 = CDR(BgL_pairz00_6746);
													}
													BgL_auxz00_8325 =
														((BgL_nodez00_bglt) CAR(BgL_pairz00_6745));
											}}
											((((BgL_castz00_bglt) COBJECT(BgL_new1210z00_6741))->
													BgL_argz00) =
												((BgL_nodez00_bglt) BgL_auxz00_8325), BUNSPEC);
										}
										BgL_arg2043z00_6739 = BgL_new1210z00_6741;
									}
									{	/* Cfa/type.scm 412 */
										obj_t BgL_auxz00_8336;
										obj_t BgL_tmpz00_8334;

										BgL_auxz00_8336 = ((obj_t) BgL_arg2043z00_6739);
										BgL_tmpz00_8334 = ((obj_t) BgL_arg2042z00_6738);
										SET_CAR(BgL_tmpz00_8334, BgL_auxz00_8336);
								}}
							else
								{	/* Cfa/type.scm 409 */
									BFALSE;
								}
						}
					}
				else
					{	/* Cfa/type.scm 407 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6517));
			}
		}

	}



/* &type-node!-procedure1680 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1680z70zzcfa_typez00(obj_t
		BgL_envz00_6518, obj_t BgL_nodez00_6519)
	{
		{	/* Cfa/type.scm 387 */
			{

				{	/* Cfa/type.scm 387 */
					obj_t BgL_nextzd2method1679zd2_6749;

					BgL_nextzd2method1679zd2_6749 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6519)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2refzd2appz00zzcfa_info2z00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1679zd2_6749,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6519)));
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 391 */
						obj_t BgL_atypez00_6750;

						{	/* Cfa/type.scm 391 */
							BgL_approxz00_bglt BgL_arg2032z00_6751;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_8352;

								{
									obj_t BgL_auxz00_8353;

									{	/* Cfa/type.scm 391 */
										BgL_objectz00_bglt BgL_tmpz00_8354;

										BgL_tmpz00_8354 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_6519));
										BgL_auxz00_8353 = BGL_OBJECT_WIDENING(BgL_tmpz00_8354);
									}
									BgL_auxz00_8352 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_8353);
								}
								BgL_arg2032z00_6751 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_8352))->BgL_approxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
								(BgL_arg2032z00_6751))
								{	/* Cfa/type.scm 380 */
									BgL_atypez00_6750 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 380 */
									BgL_atypez00_6750 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg2032z00_6751,
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6519)));
								}
						}
						{	/* Cfa/type.scm 392 */
							bool_t BgL_test2632z00_8365;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_6750)))
								{	/* Cfa/type.scm 392 */
									if ((BgL_atypez00_6750 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 393 */
											BgL_test2632z00_8365 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 394 */
											bool_t BgL_test2635z00_8371;

											{	/* Cfa/type.scm 394 */
												obj_t BgL_arg2031z00_6752;

												BgL_arg2031z00_6752 =
													((obj_t)
													BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_6519)),
														((bool_t) 0)));
												BgL_test2635z00_8371 =
													(BgL_atypez00_6750 == BgL_arg2031z00_6752);
											}
											if (BgL_test2635z00_8371)
												{	/* Cfa/type.scm 394 */
													BgL_test2632z00_8365 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 394 */
													BgL_test2632z00_8365 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 392 */
									BgL_test2632z00_8365 = ((bool_t) 0);
								}
							if (BgL_test2632z00_8365)
								{	/* Cfa/type.scm 395 */
									BgL_castz00_bglt BgL_new1207z00_6753;

									{	/* Cfa/type.scm 395 */
										BgL_castz00_bglt BgL_new1206z00_6754;

										BgL_new1206z00_6754 =
											((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_castz00_bgl))));
										{	/* Cfa/type.scm 395 */
											long BgL_arg2030z00_6755;

											BgL_arg2030z00_6755 =
												BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1206z00_6754),
												BgL_arg2030z00_6755);
										}
										{	/* Cfa/type.scm 395 */
											BgL_objectz00_bglt BgL_tmpz00_8381;

											BgL_tmpz00_8381 =
												((BgL_objectz00_bglt) BgL_new1206z00_6754);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8381, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1206z00_6754);
										BgL_new1207z00_6753 = BgL_new1206z00_6754;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1207z00_6753)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1207z00_6753)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_6750)),
										BUNSPEC);
									((((BgL_castz00_bglt) COBJECT(BgL_new1207z00_6753))->
											BgL_argz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_appz00_bglt)
													BgL_nodez00_6519))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1207z00_6753);
								}
							else
								{	/* Cfa/type.scm 392 */
									return
										((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6519));
								}
						}
					}
				else
					{	/* Cfa/type.scm 390 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6519));
					}
			}
		}

	}



/* &type-node!-arithmeti1678 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti1678z70zzcfa_typez00(obj_t
		BgL_envz00_6520, obj_t BgL_nodez00_6521)
	{
		{	/* Cfa/type.scm 343 */
			{

				{	/* Cfa/type.scm 343 */
					obj_t BgL_nextzd2method1677zd2_6758;

					BgL_nextzd2method1677zd2_6758 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_6521)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_arithmeticzd2appzd2zzcfa_info2z00);
					BGL_PROCEDURE_CALL1(BgL_nextzd2method1677zd2_6758,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_6521)));
				}
				{	/* Cfa/type.scm 360 */
					BgL_variablez00_bglt BgL_vz00_6759;

					BgL_vz00_6759 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6521))))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/type.scm 360 */
						BgL_valuez00_bglt BgL_valz00_6760;

						BgL_valz00_6760 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6759))->BgL_valuez00);
						{	/* Cfa/type.scm 361 */

							{	/* Cfa/type.scm 362 */
								bool_t BgL_test2636z00_8412;

								{	/* Cfa/type.scm 362 */
									obj_t BgL_arg2000z00_6761;

									BgL_arg2000z00_6761 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6759))->
											BgL_typez00));
									BgL_test2636z00_8412 =
										(BgL_arg2000z00_6761 == BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2636z00_8412)
									{	/* Cfa/type.scm 363 */
										BgL_typez00_bglt BgL_vz00_6762;

										BgL_vz00_6762 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_6759))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6762), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 362 */
										BFALSE;
									}
							}
							{	/* Cfa/type.scm 366 */
								bool_t BgL_test2637z00_8418;

								{	/* Cfa/type.scm 366 */
									obj_t BgL_classz00_6763;

									BgL_classz00_6763 = BGl_sfunz00zzast_varz00;
									{	/* Cfa/type.scm 366 */
										BgL_objectz00_bglt BgL_arg1858z00_6764;

										{	/* Cfa/type.scm 366 */
											obj_t BgL_tmpz00_8419;

											BgL_tmpz00_8419 =
												((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6760));
											BgL_arg1858z00_6764 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8419);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/type.scm 366 */
												long BgL_idxz00_6765;

												BgL_idxz00_6765 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6764);
												BgL_test2637z00_8418 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6765 + 3L)) == BgL_classz00_6763);
											}
										else
											{	/* Cfa/type.scm 366 */
												bool_t BgL_res2377z00_6768;

												{	/* Cfa/type.scm 366 */
													obj_t BgL_oclassz00_6769;

													{	/* Cfa/type.scm 366 */
														obj_t BgL_arg1866z00_6770;
														long BgL_arg1867z00_6771;

														BgL_arg1866z00_6770 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/type.scm 366 */
															long BgL_arg1869z00_6772;

															BgL_arg1869z00_6772 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6764);
															BgL_arg1867z00_6771 =
																(BgL_arg1869z00_6772 - OBJECT_TYPE);
														}
														BgL_oclassz00_6769 =
															VECTOR_REF(BgL_arg1866z00_6770,
															BgL_arg1867z00_6771);
													}
													{	/* Cfa/type.scm 366 */
														bool_t BgL__ortest_1115z00_6773;

														BgL__ortest_1115z00_6773 =
															(BgL_classz00_6763 == BgL_oclassz00_6769);
														if (BgL__ortest_1115z00_6773)
															{	/* Cfa/type.scm 366 */
																BgL_res2377z00_6768 = BgL__ortest_1115z00_6773;
															}
														else
															{	/* Cfa/type.scm 366 */
																long BgL_odepthz00_6774;

																{	/* Cfa/type.scm 366 */
																	obj_t BgL_arg1855z00_6775;

																	BgL_arg1855z00_6775 = (BgL_oclassz00_6769);
																	BgL_odepthz00_6774 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6775);
																}
																if ((3L < BgL_odepthz00_6774))
																	{	/* Cfa/type.scm 366 */
																		obj_t BgL_arg1853z00_6776;

																		{	/* Cfa/type.scm 366 */
																			obj_t BgL_arg1854z00_6777;

																			BgL_arg1854z00_6777 =
																				(BgL_oclassz00_6769);
																			BgL_arg1853z00_6776 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6777, 3L);
																		}
																		BgL_res2377z00_6768 =
																			(BgL_arg1853z00_6776 ==
																			BgL_classz00_6763);
																	}
																else
																	{	/* Cfa/type.scm 366 */
																		BgL_res2377z00_6768 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2637z00_8418 = BgL_res2377z00_6768;
											}
									}
								}
								if (BgL_test2637z00_8418)
									{	/* Cfa/type.scm 367 */
										obj_t BgL_l01633z00_6778;

										BgL_l01633z00_6778 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_6760)))->BgL_argsz00);
										{
											obj_t BgL_l1632z00_6780;

											BgL_l1632z00_6780 = BgL_l01633z00_6778;
										BgL_zc3z04anonymousza32002ze3z87_6779:
											if (NULLP(BgL_l1632z00_6780))
												{	/* Cfa/type.scm 367 */
													BgL_l01633z00_6778;
												}
											else
												{	/* Cfa/type.scm 367 */
													{	/* Cfa/type.scm 367 */
														obj_t BgL_arg2004z00_6781;

														{	/* Cfa/type.scm 367 */
															obj_t BgL_arg2005z00_6782;

															BgL_arg2005z00_6782 =
																CAR(((obj_t) BgL_l1632z00_6780));
															BgL_arg2004z00_6781 =
																BGl_cleanupzd2typeze70z35zzcfa_typez00
																(BgL_arg2005z00_6782);
														}
														{	/* Cfa/type.scm 367 */
															obj_t BgL_tmpz00_8449;

															BgL_tmpz00_8449 = ((obj_t) BgL_l1632z00_6780);
															SET_CAR(BgL_tmpz00_8449, BgL_arg2004z00_6781);
														}
													}
													{	/* Cfa/type.scm 367 */
														obj_t BgL_arg2006z00_6783;

														BgL_arg2006z00_6783 =
															CDR(((obj_t) BgL_l1632z00_6780));
														{
															obj_t BgL_l1632z00_8454;

															BgL_l1632z00_8454 = BgL_arg2006z00_6783;
															BgL_l1632z00_6780 = BgL_l1632z00_8454;
															goto BgL_zc3z04anonymousza32002ze3z87_6779;
														}
													}
												}
										}
									}
								else
									{	/* Cfa/type.scm 368 */
										bool_t BgL_test2642z00_8455;

										{	/* Cfa/type.scm 368 */
											obj_t BgL_classz00_6784;

											BgL_classz00_6784 = BGl_cfunz00zzast_varz00;
											{	/* Cfa/type.scm 368 */
												BgL_objectz00_bglt BgL_arg1858z00_6785;

												{	/* Cfa/type.scm 368 */
													obj_t BgL_tmpz00_8456;

													BgL_tmpz00_8456 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valz00_6760));
													BgL_arg1858z00_6785 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8456);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/type.scm 368 */
														long BgL_idxz00_6786;

														BgL_idxz00_6786 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6785);
														BgL_test2642z00_8455 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6786 + 3L)) == BgL_classz00_6784);
													}
												else
													{	/* Cfa/type.scm 368 */
														bool_t BgL_res2378z00_6789;

														{	/* Cfa/type.scm 368 */
															obj_t BgL_oclassz00_6790;

															{	/* Cfa/type.scm 368 */
																obj_t BgL_arg1866z00_6791;
																long BgL_arg1867z00_6792;

																BgL_arg1866z00_6791 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/type.scm 368 */
																	long BgL_arg1869z00_6793;

																	BgL_arg1869z00_6793 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6785);
																	BgL_arg1867z00_6792 =
																		(BgL_arg1869z00_6793 - OBJECT_TYPE);
																}
																BgL_oclassz00_6790 =
																	VECTOR_REF(BgL_arg1866z00_6791,
																	BgL_arg1867z00_6792);
															}
															{	/* Cfa/type.scm 368 */
																bool_t BgL__ortest_1115z00_6794;

																BgL__ortest_1115z00_6794 =
																	(BgL_classz00_6784 == BgL_oclassz00_6790);
																if (BgL__ortest_1115z00_6794)
																	{	/* Cfa/type.scm 368 */
																		BgL_res2378z00_6789 =
																			BgL__ortest_1115z00_6794;
																	}
																else
																	{	/* Cfa/type.scm 368 */
																		long BgL_odepthz00_6795;

																		{	/* Cfa/type.scm 368 */
																			obj_t BgL_arg1855z00_6796;

																			BgL_arg1855z00_6796 =
																				(BgL_oclassz00_6790);
																			BgL_odepthz00_6795 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6796);
																		}
																		if ((3L < BgL_odepthz00_6795))
																			{	/* Cfa/type.scm 368 */
																				obj_t BgL_arg1853z00_6797;

																				{	/* Cfa/type.scm 368 */
																					obj_t BgL_arg1854z00_6798;

																					BgL_arg1854z00_6798 =
																						(BgL_oclassz00_6790);
																					BgL_arg1853z00_6797 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6798, 3L);
																				}
																				BgL_res2378z00_6789 =
																					(BgL_arg1853z00_6797 ==
																					BgL_classz00_6784);
																			}
																		else
																			{	/* Cfa/type.scm 368 */
																				BgL_res2378z00_6789 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2642z00_8455 = BgL_res2378z00_6789;
													}
											}
										}
										if (BgL_test2642z00_8455)
											{	/* Cfa/type.scm 369 */
												obj_t BgL_l01636z00_6799;

												BgL_l01636z00_6799 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt) BgL_valz00_6760)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_l1635z00_6801;

													BgL_l1635z00_6801 = BgL_l01636z00_6799;
												BgL_zc3z04anonymousza32008ze3z87_6800:
													if (NULLP(BgL_l1635z00_6801))
														{	/* Cfa/type.scm 369 */
															BgL_l01636z00_6799;
														}
													else
														{	/* Cfa/type.scm 369 */
															{	/* Cfa/type.scm 369 */
																obj_t BgL_arg2010z00_6802;

																{	/* Cfa/type.scm 369 */
																	obj_t BgL_arg2011z00_6803;

																	BgL_arg2011z00_6803 =
																		CAR(((obj_t) BgL_l1635z00_6801));
																	BgL_arg2010z00_6802 =
																		BGl_cleanupzd2typeze70z35zzcfa_typez00
																		(BgL_arg2011z00_6803);
																}
																{	/* Cfa/type.scm 369 */
																	obj_t BgL_tmpz00_8486;

																	BgL_tmpz00_8486 = ((obj_t) BgL_l1635z00_6801);
																	SET_CAR(BgL_tmpz00_8486, BgL_arg2010z00_6802);
																}
															}
															{	/* Cfa/type.scm 369 */
																obj_t BgL_arg2012z00_6804;

																BgL_arg2012z00_6804 =
																	CDR(((obj_t) BgL_l1635z00_6801));
																{
																	obj_t BgL_l1635z00_8491;

																	BgL_l1635z00_8491 = BgL_arg2012z00_6804;
																	BgL_l1635z00_6801 = BgL_l1635z00_8491;
																	goto BgL_zc3z04anonymousza32008ze3z87_6800;
																}
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 368 */
												BFALSE;
											}
									}
							}
						}
					}
				}
				{	/* Cfa/type.scm 371 */
					bool_t BgL_test2647z00_8492;

					{	/* Cfa/type.scm 371 */
						obj_t BgL_arg2016z00_6805;

						BgL_arg2016z00_6805 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_6521)))))->BgL_typez00));
						BgL_test2647z00_8492 =
							(BgL_arg2016z00_6805 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2647z00_8492)
						{	/* Cfa/type.scm 371 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6521)))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 371 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6521));
			}
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t BgL_tz00_4251)
	{
		{	/* Cfa/type.scm 354 */
			{	/* Cfa/type.scm 347 */
				bool_t BgL_test2648z00_8506;

				{	/* Cfa/type.scm 347 */
					obj_t BgL_classz00_5782;

					BgL_classz00_5782 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_tz00_4251))
						{	/* Cfa/type.scm 347 */
							BgL_objectz00_bglt BgL_arg1858z00_5784;

							BgL_arg1858z00_5784 = (BgL_objectz00_bglt) (BgL_tz00_4251);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/type.scm 347 */
									long BgL_idxz00_5790;

									BgL_idxz00_5790 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5784);
									BgL_test2648z00_8506 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5790 + 1L)) == BgL_classz00_5782);
								}
							else
								{	/* Cfa/type.scm 347 */
									bool_t BgL_res2375z00_5815;

									{	/* Cfa/type.scm 347 */
										obj_t BgL_oclassz00_5798;

										{	/* Cfa/type.scm 347 */
											obj_t BgL_arg1866z00_5806;
											long BgL_arg1867z00_5807;

											BgL_arg1866z00_5806 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/type.scm 347 */
												long BgL_arg1869z00_5808;

												BgL_arg1869z00_5808 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5784);
												BgL_arg1867z00_5807 =
													(BgL_arg1869z00_5808 - OBJECT_TYPE);
											}
											BgL_oclassz00_5798 =
												VECTOR_REF(BgL_arg1866z00_5806, BgL_arg1867z00_5807);
										}
										{	/* Cfa/type.scm 347 */
											bool_t BgL__ortest_1115z00_5799;

											BgL__ortest_1115z00_5799 =
												(BgL_classz00_5782 == BgL_oclassz00_5798);
											if (BgL__ortest_1115z00_5799)
												{	/* Cfa/type.scm 347 */
													BgL_res2375z00_5815 = BgL__ortest_1115z00_5799;
												}
											else
												{	/* Cfa/type.scm 347 */
													long BgL_odepthz00_5800;

													{	/* Cfa/type.scm 347 */
														obj_t BgL_arg1855z00_5801;

														BgL_arg1855z00_5801 = (BgL_oclassz00_5798);
														BgL_odepthz00_5800 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5801);
													}
													if ((1L < BgL_odepthz00_5800))
														{	/* Cfa/type.scm 347 */
															obj_t BgL_arg1853z00_5803;

															{	/* Cfa/type.scm 347 */
																obj_t BgL_arg1854z00_5804;

																BgL_arg1854z00_5804 = (BgL_oclassz00_5798);
																BgL_arg1853z00_5803 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5804,
																	1L);
															}
															BgL_res2375z00_5815 =
																(BgL_arg1853z00_5803 == BgL_classz00_5782);
														}
													else
														{	/* Cfa/type.scm 347 */
															BgL_res2375z00_5815 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2648z00_8506 = BgL_res2375z00_5815;
								}
						}
					else
						{	/* Cfa/type.scm 347 */
							BgL_test2648z00_8506 = ((bool_t) 0);
						}
				}
				if (BgL_test2648z00_8506)
					{	/* Cfa/type.scm 347 */
						if ((BgL_tz00_4251 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 348 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 348 */
								return BgL_tz00_4251;
							}
					}
				else
					{	/* Cfa/type.scm 349 */
						bool_t BgL_test2654z00_8531;

						{	/* Cfa/type.scm 349 */
							obj_t BgL_classz00_5816;

							BgL_classz00_5816 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_tz00_4251))
								{	/* Cfa/type.scm 349 */
									BgL_objectz00_bglt BgL_arg1858z00_5818;

									BgL_arg1858z00_5818 = (BgL_objectz00_bglt) (BgL_tz00_4251);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 349 */
											long BgL_idxz00_5824;

											BgL_idxz00_5824 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5818);
											BgL_test2654z00_8531 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5824 + 2L)) == BgL_classz00_5816);
										}
									else
										{	/* Cfa/type.scm 349 */
											bool_t BgL_res2376z00_5849;

											{	/* Cfa/type.scm 349 */
												obj_t BgL_oclassz00_5832;

												{	/* Cfa/type.scm 349 */
													obj_t BgL_arg1866z00_5840;
													long BgL_arg1867z00_5841;

													BgL_arg1866z00_5840 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/type.scm 349 */
														long BgL_arg1869z00_5842;

														BgL_arg1869z00_5842 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5818);
														BgL_arg1867z00_5841 =
															(BgL_arg1869z00_5842 - OBJECT_TYPE);
													}
													BgL_oclassz00_5832 =
														VECTOR_REF(BgL_arg1866z00_5840,
														BgL_arg1867z00_5841);
												}
												{	/* Cfa/type.scm 349 */
													bool_t BgL__ortest_1115z00_5833;

													BgL__ortest_1115z00_5833 =
														(BgL_classz00_5816 == BgL_oclassz00_5832);
													if (BgL__ortest_1115z00_5833)
														{	/* Cfa/type.scm 349 */
															BgL_res2376z00_5849 = BgL__ortest_1115z00_5833;
														}
													else
														{	/* Cfa/type.scm 349 */
															long BgL_odepthz00_5834;

															{	/* Cfa/type.scm 349 */
																obj_t BgL_arg1855z00_5835;

																BgL_arg1855z00_5835 = (BgL_oclassz00_5832);
																BgL_odepthz00_5834 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5835);
															}
															if ((2L < BgL_odepthz00_5834))
																{	/* Cfa/type.scm 349 */
																	obj_t BgL_arg1853z00_5837;

																	{	/* Cfa/type.scm 349 */
																		obj_t BgL_arg1854z00_5838;

																		BgL_arg1854z00_5838 = (BgL_oclassz00_5832);
																		BgL_arg1853z00_5837 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5838, 2L);
																	}
																	BgL_res2376z00_5849 =
																		(BgL_arg1853z00_5837 == BgL_classz00_5816);
																}
															else
																{	/* Cfa/type.scm 349 */
																	BgL_res2376z00_5849 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2654z00_8531 = BgL_res2376z00_5849;
										}
								}
							else
								{	/* Cfa/type.scm 349 */
									BgL_test2654z00_8531 = ((bool_t) 0);
								}
						}
						if (BgL_test2654z00_8531)
							{	/* Cfa/type.scm 349 */
								{	/* Cfa/type.scm 350 */
									bool_t BgL_test2659z00_8554;

									{	/* Cfa/type.scm 350 */
										obj_t BgL_arg2023z00_4257;

										BgL_arg2023z00_4257 =
											((obj_t)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_4251))))->
												BgL_typez00));
										BgL_test2659z00_8554 =
											(BgL_arg2023z00_4257 == BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2659z00_8554)
										{	/* Cfa/type.scm 351 */
											BgL_typez00_bglt BgL_vz00_5852;

											BgL_vz00_5852 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_tz00_4251))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5852), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 350 */
											BFALSE;
										}
								}
								return BgL_tz00_4251;
							}
						else
							{	/* Cfa/type.scm 349 */
								return BgL_tz00_4251;
							}
					}
			}
		}

	}



/* &type-node!-app1676 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1676z70zzcfa_typez00(obj_t
		BgL_envz00_6522, obj_t BgL_nodez00_6523)
	{
		{	/* Cfa/type.scm 333 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6523)))->BgL_argsz00));
			BGl_typezd2funzd2nodez12z12zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_6523)))->BgL_funz00));
			{
				BgL_typez00_bglt BgL_auxz00_8570;

				{	/* Cfa/type.scm 337 */
					BgL_typez00_bglt BgL_arg1990z00_6807;
					BgL_typez00_bglt BgL_arg1991z00_6808;

					BgL_arg1990z00_6807 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_6523)))->
												BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_arg1991z00_6808 =
						(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
										BgL_nodez00_6523))))->BgL_typez00);
					BgL_auxz00_8570 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1990z00_6807,
						BgL_arg1991z00_6808);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_6523))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_8570), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6523));
		}

	}



/* &type-node!-sync1674 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync1674z70zzcfa_typez00(obj_t
		BgL_envz00_6524, obj_t BgL_nodez00_6525)
	{
		{	/* Cfa/type.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_8584;

				{	/* Cfa/type.scm 323 */
					BgL_nodez00_bglt BgL_arg1981z00_6810;

					BgL_arg1981z00_6810 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_mutexz00);
					BgL_auxz00_8584 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1981z00_6810);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8584), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_8590;

				{	/* Cfa/type.scm 324 */
					BgL_nodez00_bglt BgL_arg1982z00_6811;

					BgL_arg1982z00_6811 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_prelockz00);
					BgL_auxz00_8590 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1982z00_6811);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8590), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_8596;

				{	/* Cfa/type.scm 325 */
					BgL_nodez00_bglt BgL_arg1983z00_6812;

					BgL_arg1983z00_6812 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_bodyz00);
					BgL_auxz00_8596 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1983z00_6812);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_8596), BUNSPEC);
			}
			{	/* Cfa/type.scm 326 */
				bool_t BgL_test2660z00_8602;

				{	/* Cfa/type.scm 326 */
					obj_t BgL_arg1987z00_6813;

					BgL_arg1987z00_6813 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_nodez00_6525))))->BgL_typez00));
					BgL_test2660z00_8602 =
						(BgL_arg1987z00_6813 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2660z00_8602)
					{
						BgL_typez00_bglt BgL_auxz00_8608;

						{	/* Cfa/type.scm 327 */
							BgL_nodez00_bglt BgL_arg1986z00_6814;

							BgL_arg1986z00_6814 =
								(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_6525)))->BgL_bodyz00);
							BgL_auxz00_8608 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg1986z00_6814,
								((bool_t) 0));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_6525))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_8608), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 326 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_6525));
		}

	}



/* &type-node!-sequence1672 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence1672z70zzcfa_typez00(obj_t
		BgL_envz00_6526, obj_t BgL_nodez00_6527)
	{
		{	/* Cfa/type.scm 309 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_6527)))->BgL_nodesz00));
			{	/* Cfa/type.scm 312 */
				bool_t BgL_test2661z00_8620;

				{	/* Cfa/type.scm 312 */
					obj_t BgL_arg1980z00_6816;

					BgL_arg1980z00_6816 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_6527))))->BgL_typez00));
					BgL_test2661z00_8620 =
						(BgL_arg1980z00_6816 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2661z00_8620)
					{	/* Cfa/type.scm 312 */
						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_nodez00_6527)))->
									BgL_nodesz00)))
							{	/* Cfa/type.scm 313 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6527))))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{
								BgL_typez00_bglt BgL_auxz00_8634;

								{	/* Cfa/type.scm 314 */
									obj_t BgL_arg1975z00_6817;

									BgL_arg1975z00_6817 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_nodez00_6527)))->
												BgL_nodesz00)));
									BgL_auxz00_8634 =
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_arg1975z00_6817), ((bool_t) 0));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_6527))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_8634), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 312 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_6527));
		}

	}



/* &type-node!-closure1670 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure1670z70zzcfa_typez00(obj_t
		BgL_envz00_6528, obj_t BgL_nodez00_6529)
	{
		{	/* Cfa/type.scm 303 */
			{	/* Cfa/type.scm 304 */
				obj_t BgL_arg1969z00_6819;

				BgL_arg1969z00_6819 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_6529)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2409z00zzcfa_typez00, BGl_string2442z00zzcfa_typez00,
						BgL_arg1969z00_6819));
			}
		}

	}



/* &type-node!-var1668 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1668z70zzcfa_typez00(obj_t
		BgL_envz00_6530, obj_t BgL_nodez00_6531)
	{
		{	/* Cfa/type.scm 281 */
			{
				obj_t BgL_ntypez00_6822;
				obj_t BgL_vtypez00_6823;

				{	/* Cfa/type.scm 292 */
					bool_t BgL_test2663z00_8651;

					{	/* Cfa/type.scm 292 */
						bool_t BgL_test2664z00_8652;

						{	/* Cfa/type.scm 292 */
							BgL_variablez00_bglt BgL_arg1946z00_6860;

							BgL_arg1946z00_6860 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_6531)))->BgL_variablez00);
							{	/* Cfa/type.scm 292 */
								obj_t BgL_classz00_6861;

								BgL_classz00_6861 = BGl_globalz00zzast_varz00;
								{	/* Cfa/type.scm 292 */
									BgL_objectz00_bglt BgL_arg1858z00_6862;

									{	/* Cfa/type.scm 292 */
										obj_t BgL_tmpz00_8655;

										BgL_tmpz00_8655 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1946z00_6860));
										BgL_arg1858z00_6862 =
											(BgL_objectz00_bglt) (BgL_tmpz00_8655);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/type.scm 292 */
											long BgL_idxz00_6863;

											BgL_idxz00_6863 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6862);
											BgL_test2664z00_8652 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6863 + 2L)) == BgL_classz00_6861);
										}
									else
										{	/* Cfa/type.scm 292 */
											bool_t BgL_res2374z00_6866;

											{	/* Cfa/type.scm 292 */
												obj_t BgL_oclassz00_6867;

												{	/* Cfa/type.scm 292 */
													obj_t BgL_arg1866z00_6868;
													long BgL_arg1867z00_6869;

													BgL_arg1866z00_6868 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/type.scm 292 */
														long BgL_arg1869z00_6870;

														BgL_arg1869z00_6870 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6862);
														BgL_arg1867z00_6869 =
															(BgL_arg1869z00_6870 - OBJECT_TYPE);
													}
													BgL_oclassz00_6867 =
														VECTOR_REF(BgL_arg1866z00_6868,
														BgL_arg1867z00_6869);
												}
												{	/* Cfa/type.scm 292 */
													bool_t BgL__ortest_1115z00_6871;

													BgL__ortest_1115z00_6871 =
														(BgL_classz00_6861 == BgL_oclassz00_6867);
													if (BgL__ortest_1115z00_6871)
														{	/* Cfa/type.scm 292 */
															BgL_res2374z00_6866 = BgL__ortest_1115z00_6871;
														}
													else
														{	/* Cfa/type.scm 292 */
															long BgL_odepthz00_6872;

															{	/* Cfa/type.scm 292 */
																obj_t BgL_arg1855z00_6873;

																BgL_arg1855z00_6873 = (BgL_oclassz00_6867);
																BgL_odepthz00_6872 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6873);
															}
															if ((2L < BgL_odepthz00_6872))
																{	/* Cfa/type.scm 292 */
																	obj_t BgL_arg1853z00_6874;

																	{	/* Cfa/type.scm 292 */
																		obj_t BgL_arg1854z00_6875;

																		BgL_arg1854z00_6875 = (BgL_oclassz00_6867);
																		BgL_arg1853z00_6874 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6875, 2L);
																	}
																	BgL_res2374z00_6866 =
																		(BgL_arg1853z00_6874 == BgL_classz00_6861);
																}
															else
																{	/* Cfa/type.scm 292 */
																	BgL_res2374z00_6866 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2664z00_8652 = BgL_res2374z00_6866;
										}
								}
							}
						}
						if (BgL_test2664z00_8652)
							{	/* Cfa/type.scm 292 */
								BgL_test2663z00_8651 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_6531)))->
														BgL_variablez00))))->BgL_importz00) ==
									((obj_t) CNST_TABLE_REF(4)));
							}
						else
							{	/* Cfa/type.scm 292 */
								BgL_test2663z00_8651 = ((bool_t) 0);
							}
					}
					if (BgL_test2663z00_8651)
						{	/* Cfa/type.scm 293 */
							BgL_valuez00_bglt BgL_arg1940z00_6876;
							BgL_variablez00_bglt BgL_arg1942z00_6877;

							BgL_arg1940z00_6876 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_6531)))->
													BgL_variablez00)))))->BgL_valuez00);
							BgL_arg1942z00_6877 =
								(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
											BgL_nodez00_6531)))->BgL_variablez00);
							BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg1940z00_6876,
								BgL_arg1942z00_6877);
						}
					else
						{	/* Cfa/type.scm 292 */
							BFALSE;
						}
				}
				{	/* Cfa/type.scm 294 */
					bool_t BgL_test2668z00_8693;

					{	/* Cfa/type.scm 294 */
						bool_t BgL_test2669z00_8694;

						{	/* Cfa/type.scm 294 */
							obj_t BgL_arg1966z00_6878;

							BgL_arg1966z00_6878 =
								((obj_t)
								(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_6531))))->BgL_typez00));
							BgL_test2669z00_8694 =
								(BgL_arg1966z00_6878 == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2669z00_8694)
							{	/* Cfa/type.scm 294 */
								BgL_test2668z00_8693 = ((bool_t) 1);
							}
						else
							{	/* Cfa/type.scm 295 */
								bool_t BgL_test2670z00_8700;

								{	/* Cfa/type.scm 295 */
									obj_t BgL_arg1965z00_6879;

									BgL_arg1965z00_6879 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_6531))))->
											BgL_typez00));
									BgL_test2670z00_8700 =
										(BgL_arg1965z00_6879 == BGl_za2vectorza2z00zztype_cachez00);
								}
								if (BgL_test2670z00_8700)
									{	/* Cfa/type.scm 295 */
										BgL_test2668z00_8693 = ((bool_t) 1);
									}
								else
									{	/* Cfa/type.scm 296 */
										BgL_typez00_bglt BgL_arg1961z00_6880;
										BgL_typez00_bglt BgL_arg1962z00_6881;

										BgL_arg1961z00_6880 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_6531))))->
											BgL_typez00);
										BgL_arg1962z00_6881 =
											(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) BgL_nodez00_6531)))->
														BgL_variablez00)))->BgL_typez00);
										BgL_ntypez00_6822 = ((obj_t) BgL_arg1961z00_6880);
										BgL_vtypez00_6823 = ((obj_t) BgL_arg1962z00_6881);
										{	/* Cfa/type.scm 284 */
											bool_t BgL__ortest_1192z00_6824;

											if (BGl_bigloozd2typezf3z21zztype_typez00(
													((BgL_typez00_bglt) BgL_vtypez00_6823)))
												{	/* Cfa/type.scm 284 */
													BgL__ortest_1192z00_6824 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 284 */
													BgL__ortest_1192z00_6824 = ((bool_t) 1);
												}
											if (BgL__ortest_1192z00_6824)
												{	/* Cfa/type.scm 284 */
													BgL_test2668z00_8693 = BgL__ortest_1192z00_6824;
												}
											else
												{	/* Cfa/type.scm 285 */
													bool_t BgL__ortest_1193z00_6825;

													BgL__ortest_1193z00_6825 =
														(BgL_ntypez00_6822 ==
														BGl_za2objza2z00zztype_cachez00);
													if (BgL__ortest_1193z00_6825)
														{	/* Cfa/type.scm 285 */
															BgL_test2668z00_8693 = BgL__ortest_1193z00_6825;
														}
													else
														{	/* Cfa/type.scm 286 */
															bool_t BgL__ortest_1194z00_6826;

															{	/* Cfa/type.scm 286 */
																bool_t BgL__ortest_1197z00_6827;

																BgL__ortest_1197z00_6827 =
																	(BgL_vtypez00_6823 ==
																	BGl_za2pairza2z00zztype_cachez00);
																if (BgL__ortest_1197z00_6827)
																	{	/* Cfa/type.scm 286 */
																		BgL__ortest_1194z00_6826 =
																			BgL__ortest_1197z00_6827;
																	}
																else
																	{	/* Cfa/type.scm 286 */
																		BgL__ortest_1194z00_6826 =
																			(BgL_vtypez00_6823 ==
																			BGl_za2epairza2z00zztype_cachez00);
																	}
															}
															if (BgL__ortest_1194z00_6826)
																{	/* Cfa/type.scm 286 */
																	BgL_test2668z00_8693 =
																		BgL__ortest_1194z00_6826;
																}
															else
																{	/* Cfa/type.scm 287 */
																	bool_t BgL__ortest_1195z00_6828;

																	{	/* Cfa/type.scm 287 */
																		bool_t BgL_test2676z00_8722;

																		{	/* Cfa/type.scm 287 */
																			obj_t BgL_classz00_6829;

																			BgL_classz00_6829 =
																				BGl_tclassz00zzobject_classz00;
																			if (BGL_OBJECTP(BgL_vtypez00_6823))
																				{	/* Cfa/type.scm 287 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_6830;
																					BgL_arg1858z00_6830 =
																						(BgL_objectz00_bglt)
																						(BgL_vtypez00_6823);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Cfa/type.scm 287 */
																							long BgL_idxz00_6831;

																							BgL_idxz00_6831 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_6830);
																							BgL_test2676z00_8722 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_6831 + 2L)) ==
																								BgL_classz00_6829);
																						}
																					else
																						{	/* Cfa/type.scm 287 */
																							bool_t BgL_res2372z00_6834;

																							{	/* Cfa/type.scm 287 */
																								obj_t BgL_oclassz00_6835;

																								{	/* Cfa/type.scm 287 */
																									obj_t BgL_arg1866z00_6836;
																									long BgL_arg1867z00_6837;

																									BgL_arg1866z00_6836 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Cfa/type.scm 287 */
																										long BgL_arg1869z00_6838;

																										BgL_arg1869z00_6838 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_6830);
																										BgL_arg1867z00_6837 =
																											(BgL_arg1869z00_6838 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_6835 =
																										VECTOR_REF
																										(BgL_arg1866z00_6836,
																										BgL_arg1867z00_6837);
																								}
																								{	/* Cfa/type.scm 287 */
																									bool_t
																										BgL__ortest_1115z00_6839;
																									BgL__ortest_1115z00_6839 =
																										(BgL_classz00_6829 ==
																										BgL_oclassz00_6835);
																									if (BgL__ortest_1115z00_6839)
																										{	/* Cfa/type.scm 287 */
																											BgL_res2372z00_6834 =
																												BgL__ortest_1115z00_6839;
																										}
																									else
																										{	/* Cfa/type.scm 287 */
																											long BgL_odepthz00_6840;

																											{	/* Cfa/type.scm 287 */
																												obj_t
																													BgL_arg1855z00_6841;
																												BgL_arg1855z00_6841 =
																													(BgL_oclassz00_6835);
																												BgL_odepthz00_6840 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_6841);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_6840))
																												{	/* Cfa/type.scm 287 */
																													obj_t
																														BgL_arg1853z00_6842;
																													{	/* Cfa/type.scm 287 */
																														obj_t
																															BgL_arg1854z00_6843;
																														BgL_arg1854z00_6843
																															=
																															(BgL_oclassz00_6835);
																														BgL_arg1853z00_6842
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_6843,
																															2L);
																													}
																													BgL_res2372z00_6834 =
																														(BgL_arg1853z00_6842
																														==
																														BgL_classz00_6829);
																												}
																											else
																												{	/* Cfa/type.scm 287 */
																													BgL_res2372z00_6834 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2676z00_8722 =
																								BgL_res2372z00_6834;
																						}
																				}
																			else
																				{	/* Cfa/type.scm 287 */
																					BgL_test2676z00_8722 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2676z00_8722)
																			{	/* Cfa/type.scm 287 */
																				bool_t BgL_test2681z00_8745;

																				{	/* Cfa/type.scm 287 */
																					obj_t BgL_classz00_6844;

																					BgL_classz00_6844 =
																						BGl_tclassz00zzobject_classz00;
																					if (BGL_OBJECTP(BgL_ntypez00_6822))
																						{	/* Cfa/type.scm 287 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_6845;
																							BgL_arg1858z00_6845 =
																								(BgL_objectz00_bglt)
																								(BgL_ntypez00_6822);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Cfa/type.scm 287 */
																									long BgL_idxz00_6846;

																									BgL_idxz00_6846 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_6845);
																									BgL_test2681z00_8745 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_6846 + 2L)) ==
																										BgL_classz00_6844);
																								}
																							else
																								{	/* Cfa/type.scm 287 */
																									bool_t BgL_res2373z00_6849;

																									{	/* Cfa/type.scm 287 */
																										obj_t BgL_oclassz00_6850;

																										{	/* Cfa/type.scm 287 */
																											obj_t BgL_arg1866z00_6851;
																											long BgL_arg1867z00_6852;

																											BgL_arg1866z00_6851 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Cfa/type.scm 287 */
																												long
																													BgL_arg1869z00_6853;
																												BgL_arg1869z00_6853 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_6845);
																												BgL_arg1867z00_6852 =
																													(BgL_arg1869z00_6853 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_6850 =
																												VECTOR_REF
																												(BgL_arg1866z00_6851,
																												BgL_arg1867z00_6852);
																										}
																										{	/* Cfa/type.scm 287 */
																											bool_t
																												BgL__ortest_1115z00_6854;
																											BgL__ortest_1115z00_6854 =
																												(BgL_classz00_6844 ==
																												BgL_oclassz00_6850);
																											if (BgL__ortest_1115z00_6854)
																												{	/* Cfa/type.scm 287 */
																													BgL_res2373z00_6849 =
																														BgL__ortest_1115z00_6854;
																												}
																											else
																												{	/* Cfa/type.scm 287 */
																													long
																														BgL_odepthz00_6855;
																													{	/* Cfa/type.scm 287 */
																														obj_t
																															BgL_arg1855z00_6856;
																														BgL_arg1855z00_6856
																															=
																															(BgL_oclassz00_6850);
																														BgL_odepthz00_6855 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_6856);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_6855))
																														{	/* Cfa/type.scm 287 */
																															obj_t
																																BgL_arg1853z00_6857;
																															{	/* Cfa/type.scm 287 */
																																obj_t
																																	BgL_arg1854z00_6858;
																																BgL_arg1854z00_6858
																																	=
																																	(BgL_oclassz00_6850);
																																BgL_arg1853z00_6857
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_6858,
																																	2L);
																															}
																															BgL_res2373z00_6849
																																=
																																(BgL_arg1853z00_6857
																																==
																																BgL_classz00_6844);
																														}
																													else
																														{	/* Cfa/type.scm 287 */
																															BgL_res2373z00_6849
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2681z00_8745 =
																										BgL_res2373z00_6849;
																								}
																						}
																					else
																						{	/* Cfa/type.scm 287 */
																							BgL_test2681z00_8745 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2681z00_8745)
																					{	/* Cfa/type.scm 287 */
																						BgL__ortest_1195z00_6828 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(((BgL_typez00_bglt)
																								BgL_vtypez00_6823),
																							((BgL_typez00_bglt)
																								BgL_ntypez00_6822));
																					}
																				else
																					{	/* Cfa/type.scm 287 */
																						BgL__ortest_1195z00_6828 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 287 */
																				BgL__ortest_1195z00_6828 = ((bool_t) 0);
																			}
																	}
																	if (BgL__ortest_1195z00_6828)
																		{	/* Cfa/type.scm 287 */
																			BgL_test2668z00_8693 =
																				BgL__ortest_1195z00_6828;
																		}
																	else
																		{	/* Cfa/type.scm 288 */
																			bool_t BgL__ortest_1196z00_6859;

																			BgL__ortest_1196z00_6859 =
																				(BgL_vtypez00_6823 ==
																				BGl_za2procedurezd2lza2zd2zztype_cachez00);
																			if (BgL__ortest_1196z00_6859)
																				{	/* Cfa/type.scm 288 */
																					BgL_test2668z00_8693 =
																						BgL__ortest_1196z00_6859;
																				}
																			else
																				{	/* Cfa/type.scm 288 */
																					BgL_test2668z00_8693 =
																						(BgL_vtypez00_6823 ==
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																				}
																		}
																}
														}
												}
										}
									}
							}
					}
					if (BgL_test2668z00_8693)
						{	/* Cfa/type.scm 294 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_6531))))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_nodez00_6531)))->BgL_variablez00)))->
										BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 294 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_6531));
			}
		}

	}



/* &type-node!-kwote1666 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote1666z70zzcfa_typez00(obj_t
		BgL_envz00_6532, obj_t BgL_nodez00_6533)
	{
		{	/* Cfa/type.scm 272 */
			{	/* Cfa/type.scm 274 */
				bool_t BgL_test2688z00_8785;

				{	/* Cfa/type.scm 274 */
					obj_t BgL_arg1932z00_6883;

					BgL_arg1932z00_6883 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_nodez00_6533))))->BgL_typez00));
					BgL_test2688z00_8785 =
						(BgL_arg1932z00_6883 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2688z00_8785)
					{
						BgL_typez00_bglt BgL_auxz00_8791;

						{	/* Cfa/type.scm 275 */
							obj_t BgL_arg1930z00_6884;

							BgL_arg1930z00_6884 =
								(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_6533)))->BgL_valuez00);
							BgL_auxz00_8791 =
								BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_arg1930z00_6884);
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_kwotez00_bglt) BgL_nodez00_6533))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_8791), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 274 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_6533));
		}

	}



/* &type-node!-atom1664 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom1664z70zzcfa_typez00(obj_t
		BgL_envz00_6534, obj_t BgL_nodez00_6535)
	{
		{	/* Cfa/type.scm 266 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6535));
		}

	}



/* &type-variable!-inter1660 */
	obj_t BGl_z62typezd2variablez12zd2inter1660z70zzcfa_typez00(obj_t
		BgL_envz00_6536, obj_t BgL_valuez00_6537, obj_t BgL_variablez00_6538)
	{
		{	/* Cfa/type.scm 202 */
			return ((obj_t) CNST_TABLE_REF(5));
		}

	}



/* &type-variable!-sexit1658 */
	obj_t BGl_z62typezd2variablez12zd2sexit1658z70zzcfa_typez00(obj_t
		BgL_envz00_6539, obj_t BgL_valuez00_6540, obj_t BgL_variablez00_6541)
	{
		{	/* Cfa/type.scm 192 */
			return ((obj_t) CNST_TABLE_REF(5));
		}

	}



/* &type-variable!-cvar/1656 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21656z82zzcfa_typez00(obj_t
		BgL_envz00_6542, obj_t BgL_valuez00_6543, obj_t BgL_variablez00_6544)
	{
		{	/* Cfa/type.scm 185 */
			{	/* Cfa/type.scm 187 */
				obj_t BgL_arg1926z00_6889;

				{	/* Cfa/type.scm 187 */
					BgL_approxz00_bglt BgL_arg1927z00_6890;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_8806;

						{
							obj_t BgL_auxz00_8807;

							{	/* Cfa/type.scm 187 */
								BgL_objectz00_bglt BgL_tmpz00_8808;

								BgL_tmpz00_8808 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_6543));
								BgL_auxz00_8807 = BGL_OBJECT_WIDENING(BgL_tmpz00_8808);
							}
							BgL_auxz00_8806 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_8807);
						}
						BgL_arg1927z00_6890 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8806))->
							BgL_approxz00);
					}
					BgL_arg1926z00_6889 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1927z00_6890,
						((obj_t) ((BgL_cvarz00_bglt) BgL_valuez00_6543)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6544),
					((BgL_typez00_bglt) BgL_arg1926z00_6889));
			}
		}

	}



/* &type-variable!-scnst1654 */
	obj_t BGl_z62typezd2variablez12zd2scnst1654z70zzcfa_typez00(obj_t
		BgL_envz00_6545, obj_t BgL_valuez00_6546, obj_t BgL_variablez00_6547)
	{
		{	/* Cfa/type.scm 179 */
			return ((obj_t) CNST_TABLE_REF(5));
		}

	}



/* &type-variable!-svar/1652 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21652z82zzcfa_typez00(obj_t
		BgL_envz00_6548, obj_t BgL_valuez00_6549, obj_t BgL_variablez00_6550)
	{
		{	/* Cfa/type.scm 169 */
			{	/* Cfa/type.scm 171 */
				obj_t BgL_tyz00_6893;

				{	/* Cfa/type.scm 171 */
					BgL_approxz00_bglt BgL_arg1924z00_6894;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_8822;

						{
							obj_t BgL_auxz00_8823;

							{	/* Cfa/type.scm 171 */
								BgL_objectz00_bglt BgL_tmpz00_8824;

								BgL_tmpz00_8824 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_6549));
								BgL_auxz00_8823 = BGL_OBJECT_WIDENING(BgL_tmpz00_8824);
							}
							BgL_auxz00_8822 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8823);
						}
						BgL_arg1924z00_6894 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8822))->
							BgL_approxz00);
					}
					BgL_tyz00_6893 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1924z00_6894,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_6549)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_6550),
					((BgL_typez00_bglt) BgL_tyz00_6893));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00(void)
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(5932721L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(324810626L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(188963689L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2443z00zzcfa_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
