/*===========================================================================*/
/*   (Cnst/node.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cnst/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CNST_NODE_TYPE_DEFINITIONS
#define BGL_CNST_NODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_localzf2bvaluezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_bindingzd2valuezd2;
	}                        *BgL_localzf2bvaluezf2_bglt;


#endif													// BGL_CNST_NODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt BGl_z62cnstz12zd2funcall1351za2zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2boxzd2ref1345z70zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2appzd2ly1349z70zzcnst_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_nodez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2extern1323za2zzcnst_nodez00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt
		BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BGL_LONGLONG_T, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2switch1333za2zzcnst_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62cnstz121305z70zzcnst_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12z70zzcnst_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcnst_nodez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcnst_nodez00(void);
	static BgL_nodez00_bglt
		BGl_z62cnstz12zd2jumpzd2exzd2it1341za2zzcnst_nodez00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(long,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcnst_nodez00(void);
	static obj_t BGl_localzf2bvaluezf2zzcnst_nodez00 = BUNSPEC;
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstz12zd2setzd2exzd2it1339za2zzcnst_nodez00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62cnstz12zd2conditional1329za2zzcnst_nodez00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2llongzd2ze3bllongza2z31zzcnst_cachez00;
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcnst_nodez00(obj_t, obj_t);
	extern obj_t BGl_za2makezd2lzd2procedureza2z00zzcnst_cachez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_cnstza2z12zb0zzcnst_nodez00(obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(int32_t,
		obj_t);
	extern obj_t BGl_za2bfalseza2z00zzcnst_cachez00;
	extern obj_t BGl_za2elongzd2ze3belongza2z31zzcnst_cachez00;
	extern obj_t BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	extern obj_t BGl_za2longzd2ze3bintza2z31zzcnst_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzcnst_nodez00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcnst_nodez00(void);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(int64_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2var1315za2zzcnst_nodez00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2kwote1313za2zzcnst_nodez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern obj_t BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21357z62zzcnst_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21359z62zzcnst_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd21361z62zzcnst_nodez00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt
		BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2patch1311za2zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2letzd2fun1335z70zzcnst_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_za2int64zd2ze3bint64za2z31zzcnst_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_za2uint64zd2ze3buint64za2z31zzcnst_cachez00;
	extern obj_t BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00;
	static obj_t BGl_z62getzd2nodezd2atomzd2value1354zb0zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1415z62zzcnst_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1418z62zzcnst_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2app1353za2zzcnst_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_za2longzd2ze3intza2z31zzcnst_cachez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_localz00_bglt BGl_z62lambda1421z62zzcnst_nodez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcnst_nodez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_nodez00(void);
	extern BgL_nodez00_bglt
		BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2uint32zd2ze3buint32za2z31zzcnst_cachez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_nodez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcnst_nodez00(void);
	extern obj_t BGl_za2fixnumzd2ze3bignumza2z31zzcnst_cachez00;
	static BgL_nodez00_bglt
		BGl_z62cnstz12zd2boxzd2setz121347z62zzcnst_nodez00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(uint32_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstz12zd2makezd2box1343z70zzcnst_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2literal1309za2zzcnst_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_za2btrueza2z00zzcnst_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2cast1325za2zzcnst_nodez00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(uint64_t,
		obj_t);
	extern obj_t BGl_za2int32zd2ze3bint32za2z31zzcnst_cachez00;
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2structz00zzcnst_allocz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2integerz00zzcnst_allocz00(long,
		obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2setq1327za2zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1488z62zzcnst_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1489z62zzcnst_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2doublezd2ze3realza2z31zzcnst_cachez00;
	extern obj_t BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2sync1321za2zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2fail1331za2zzcnst_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62cnstz12zd2letzd2var1337z70zzcnst_nodez00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2sequence1319za2zzcnst_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62cnstz12zd2closure1317za2zzcnst_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2app2125za7,
		BGl_z62cnstz12zd2appzd2ly1349z70zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2fun2126za7,
		BGl_z62cnstz12zd2funcall1351za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2120z00zzcnst_nodez00,
		BgL_bgl_string2120za700za7za7c2127za7, "cnst-quote", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2app2128za7,
		BGl_z62cnstz12zd2app1353za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2121z00zzcnst_nodez00,
		BgL_bgl_string2121za700za7za7c2129za7, "Illegal expression", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzcnst_nodez00,
		BgL_bgl_za762getza7d2nodeza7d22130za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21357z62zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2122z00zzcnst_nodez00,
		BgL_bgl_string2122za700za7za7c2131za7, "cnst_node", 9);
	      DEFINE_STRING(BGl_string2123z00zzcnst_nodez00,
		BgL_bgl_string2123za700za7za7c2132za7,
		"a-tvector read cnst!1305 (no-atom-value) _ cnst_node local/bvalue binding-value done ",
		85);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzcnst_nodez00,
		BgL_bgl_za762getza7d2nodeza7d22133za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21359z62zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzcnst_nodez00,
		BgL_bgl_za762getza7d2nodeza7d22134za7,
		BGl_z62getzd2nodezd2atomzd2valuezd21361z62zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_cnstz12zd2envzc0zzcnst_nodez00,
		BgL_bgl_za762cnstza712za770za7za7c2135za7, BGl_z62cnstz12z70zzcnst_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2087z00zzcnst_nodez00,
		BgL_bgl_string2087za700za7za7c2136za7, "cnst!1305", 9);
	      DEFINE_STRING(BGl_string2089z00zzcnst_nodez00,
		BgL_bgl_string2089za700za7za7c2137za7, "get-node-atom-value1354", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzcnst_nodez00,
		BgL_bgl_za762lambda1489za7622138z00, BGl_z62lambda1489z62zzcnst_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzcnst_nodez00,
		BgL_bgl_za762lambda1488za7622139z00, BGl_z62lambda1488z62zzcnst_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzcnst_nodez00,
		BgL_bgl_za762lambda1421za7622140z00, BGl_z62lambda1421z62zzcnst_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzcnst_nodez00,
		BgL_bgl_za762za7c3za704anonymo2141za7,
		BGl_z62zc3z04anonymousza31420ze3ze5zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2090z00zzcnst_nodez00,
		BgL_bgl_string2090za700za7za7c2142za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzcnst_nodez00,
		BgL_bgl_za762lambda1418za7622143z00, BGl_z62lambda1418z62zzcnst_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzcnst_nodez00,
		BgL_bgl_za762lambda1415za7622144z00, BGl_z62lambda1415z62zzcnst_nodez00, 0L,
		BUNSPEC, 14);
	      DEFINE_STRING(BGl_string2092z00zzcnst_nodez00,
		BgL_bgl_string2092za700za7za7c2145za7, "cnst!", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzcnst_nodez00,
		BgL_bgl_za762cnstza7121305za772146za7, BGl_z62cnstz121305z70zzcnst_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzcnst_nodez00,
		BgL_bgl_za762getza7d2nodeza7d22147za7,
		BGl_z62getzd2nodezd2atomzd2value1354zb0zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2lit2148za7,
		BGl_z62cnstz12zd2literal1309za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2pat2149za7,
		BGl_z62cnstz12zd2patch1311za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2kwo2150za7,
		BGl_z62cnstz12zd2kwote1313za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2var2151za7,
		BGl_z62cnstz12zd2var1315za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2clo2152za7,
		BGl_z62cnstz12zd2closure1317za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2seq2153za7,
		BGl_z62cnstz12zd2sequence1319za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2syn2154za7,
		BGl_z62cnstz12zd2sync1321za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2ext2155za7,
		BGl_z62cnstz12zd2extern1323za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
		BgL_bgl_za762getza7d2nodeza7d22156za7,
		BGl_z62getzd2nodezd2atomzd2valuezb0zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2cas2157za7,
		BGl_z62cnstz12zd2cast1325za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2set2158za7,
		BGl_z62cnstz12zd2setq1327za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2con2159za7,
		BGl_z62cnstz12zd2conditional1329za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2fai2160za7,
		BGl_z62cnstz12zd2fail1331za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2swi2161za7,
		BGl_z62cnstz12zd2switch1333za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2let2162za7,
		BGl_z62cnstz12zd2letzd2fun1335z70zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2let2163za7,
		BGl_z62cnstz12zd2letzd2var1337z70zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2set2164za7,
		BGl_z62cnstz12zd2setzd2exzd2it1339za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2jum2165za7,
		BGl_z62cnstz12zd2jumpzd2exzd2it1341za2zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2mak2166za7,
		BGl_z62cnstz12zd2makezd2box1343z70zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2116z00zzcnst_nodez00,
		BgL_bgl_string2116za700za7za7c2167za7, "get-node-atom-value", 19);
	      DEFINE_STRING(BGl_string2119z00zzcnst_nodez00,
		BgL_bgl_string2119za700za7za7c2168za7, "Unexepected `closure' node", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2box2169za7,
		BGl_z62cnstz12zd2boxzd2ref1345z70zzcnst_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzcnst_nodez00,
		BgL_bgl_za762cnstza712za7d2box2170za7,
		BGl_z62cnstz12zd2boxzd2setz121347z62zzcnst_nodez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcnst_nodez00));
		     ADD_ROOT((void *) (&BGl_localzf2bvaluezf2zzcnst_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long
		BgL_checksumz00_2755, char *BgL_fromz00_2756)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzcnst_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcnst_nodez00();
					BGl_libraryzd2moduleszd2initz00zzcnst_nodez00();
					BGl_cnstzd2initzd2zzcnst_nodez00();
					BGl_importedzd2moduleszd2initz00zzcnst_nodez00();
					BGl_objectzd2initzd2zzcnst_nodez00();
					BGl_genericzd2initzd2zzcnst_nodez00();
					BGl_methodzd2initzd2zzcnst_nodez00();
					return BGl_toplevelzd2initzd2zzcnst_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__unicodez00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cnst_node");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "cnst_node");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cnst_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			{	/* Cnst/node.scm 16 */
				obj_t BgL_cportz00_2547;

				{	/* Cnst/node.scm 16 */
					obj_t BgL_stringz00_2554;

					BgL_stringz00_2554 = BGl_string2123z00zzcnst_nodez00;
					{	/* Cnst/node.scm 16 */
						obj_t BgL_startz00_2555;

						BgL_startz00_2555 = BINT(0L);
						{	/* Cnst/node.scm 16 */
							obj_t BgL_endz00_2556;

							BgL_endz00_2556 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2554)));
							{	/* Cnst/node.scm 16 */

								BgL_cportz00_2547 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2554, BgL_startz00_2555, BgL_endz00_2556);
				}}}}
				{
					long BgL_iz00_2548;

					BgL_iz00_2548 = 8L;
				BgL_loopz00_2549:
					if ((BgL_iz00_2548 == (-1L)))
						{	/* Cnst/node.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/node.scm 16 */
							{	/* Cnst/node.scm 16 */
								obj_t BgL_arg2124z00_2550;

								{	/* Cnst/node.scm 16 */

									{	/* Cnst/node.scm 16 */
										obj_t BgL_locationz00_2552;

										BgL_locationz00_2552 = BBOOL(((bool_t) 0));
										{	/* Cnst/node.scm 16 */

											BgL_arg2124z00_2550 =
												BGl_readz00zz__readerz00(BgL_cportz00_2547,
												BgL_locationz00_2552);
										}
									}
								}
								{	/* Cnst/node.scm 16 */
									int BgL_tmpz00_2796;

									BgL_tmpz00_2796 = (int) (BgL_iz00_2548);
									CNST_TABLE_SET(BgL_tmpz00_2796, BgL_arg2124z00_2550);
							}}
							{	/* Cnst/node.scm 16 */
								int BgL_auxz00_2553;

								BgL_auxz00_2553 = (int) ((BgL_iz00_2548 - 1L));
								{
									long BgL_iz00_2801;

									BgL_iz00_2801 = (long) (BgL_auxz00_2553);
									BgL_iz00_2548 = BgL_iz00_2801;
									goto BgL_loopz00_2549;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			return BUNSPEC;
		}

	}



/* cnst*! */
	obj_t BGl_cnstza2z12zb0zzcnst_nodez00(obj_t BgL_nodesz00_85)
	{
		{	/* Cnst/node.scm 290 */
			{
				obj_t BgL_hookz00_1563;

				BgL_hookz00_1563 = BgL_nodesz00_85;
			BgL_zc3z04anonymousza31386ze3z87_1564:
				if (NULLP(BgL_hookz00_1563))
					{	/* Cnst/node.scm 292 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Cnst/node.scm 292 */
						{	/* Cnst/node.scm 295 */
							BgL_nodez00_bglt BgL_arg1388z00_1566;

							{	/* Cnst/node.scm 295 */
								obj_t BgL_arg1390z00_1567;

								BgL_arg1390z00_1567 = CAR(((obj_t) BgL_hookz00_1563));
								BgL_arg1388z00_1566 =
									BGl_cnstz12z12zzcnst_nodez00(
									((BgL_nodez00_bglt) BgL_arg1390z00_1567));
							}
							{	/* Cnst/node.scm 295 */
								obj_t BgL_auxz00_2814;
								obj_t BgL_tmpz00_2812;

								BgL_auxz00_2814 = ((obj_t) BgL_arg1388z00_1566);
								BgL_tmpz00_2812 = ((obj_t) BgL_hookz00_1563);
								SET_CAR(BgL_tmpz00_2812, BgL_auxz00_2814);
							}
						}
						{	/* Cnst/node.scm 296 */
							obj_t BgL_arg1392z00_1568;

							BgL_arg1392z00_1568 = CDR(((obj_t) BgL_hookz00_1563));
							{
								obj_t BgL_hookz00_2819;

								BgL_hookz00_2819 = BgL_arg1392z00_1568;
								BgL_hookz00_1563 = BgL_hookz00_2819;
								goto BgL_zc3z04anonymousza31386ze3z87_1564;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			{	/* Cnst/node.scm 34 */
				obj_t BgL_arg1406z00_1574;
				obj_t BgL_arg1414z00_1575;

				{	/* Cnst/node.scm 34 */
					obj_t BgL_v1303z00_1610;

					BgL_v1303z00_1610 = create_vector(1L);
					{	/* Cnst/node.scm 34 */
						obj_t BgL_arg1480z00_1611;

						BgL_arg1480z00_1611 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc2081z00zzcnst_nodez00,
							BGl_proc2080z00zzcnst_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1303z00_1610, 0L, BgL_arg1480z00_1611);
					}
					BgL_arg1406z00_1574 = BgL_v1303z00_1610;
				}
				{	/* Cnst/node.scm 34 */
					obj_t BgL_v1304z00_1621;

					BgL_v1304z00_1621 = create_vector(0L);
					BgL_arg1414z00_1575 = BgL_v1304z00_1621;
				}
				return (BGl_localzf2bvaluezf2zzcnst_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(2)),
						((obj_t)
							CNST_TABLE_REF(3)), BGl_localz00zzast_varz00, 17823L,
						BGl_proc2085z00zzcnst_nodez00, BGl_proc2084z00zzcnst_nodez00,
						BFALSE, BGl_proc2083z00zzcnst_nodez00,
						BGl_proc2082z00zzcnst_nodez00, BgL_arg1406z00_1574,
						BgL_arg1414z00_1575), BUNSPEC);
			}
		}

	}



/* &lambda1421 */
	BgL_localz00_bglt BGl_z62lambda1421z62zzcnst_nodez00(obj_t BgL_envz00_2432,
		obj_t BgL_o1122z00_2433)
	{
		{	/* Cnst/node.scm 34 */
			{	/* Cnst/node.scm 34 */
				long BgL_arg1446z00_2559;

				{	/* Cnst/node.scm 34 */
					obj_t BgL_arg1457z00_2560;

					{	/* Cnst/node.scm 34 */
						obj_t BgL_arg1471z00_2561;

						{	/* Cnst/node.scm 34 */
							obj_t BgL_arg1866z00_2562;
							long BgL_arg1867z00_2563;

							BgL_arg1866z00_2562 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cnst/node.scm 34 */
								long BgL_arg1869z00_2564;

								BgL_arg1869z00_2564 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1122z00_2433)));
								BgL_arg1867z00_2563 = (BgL_arg1869z00_2564 - OBJECT_TYPE);
							}
							BgL_arg1471z00_2561 =
								VECTOR_REF(BgL_arg1866z00_2562, BgL_arg1867z00_2563);
						}
						BgL_arg1457z00_2560 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1471z00_2561);
					}
					{	/* Cnst/node.scm 34 */
						obj_t BgL_tmpz00_2838;

						BgL_tmpz00_2838 = ((obj_t) BgL_arg1457z00_2560);
						BgL_arg1446z00_2559 = BGL_CLASS_NUM(BgL_tmpz00_2838);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1122z00_2433)), BgL_arg1446z00_2559);
			}
			{	/* Cnst/node.scm 34 */
				BgL_objectz00_bglt BgL_tmpz00_2844;

				BgL_tmpz00_2844 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2433));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2844, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2433));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2433));
		}

	}



/* &<@anonymous:1420> */
	obj_t BGl_z62zc3z04anonymousza31420ze3ze5zzcnst_nodez00(obj_t BgL_envz00_2434,
		obj_t BgL_new1121z00_2435)
	{
		{	/* Cnst/node.scm 34 */
			{
				BgL_localz00_bglt BgL_auxz00_2852;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_2435))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2861;

					{	/* Cnst/node.scm 34 */
						obj_t BgL_classz00_2566;

						BgL_classz00_2566 = BGl_typez00zztype_typez00;
						{	/* Cnst/node.scm 34 */
							obj_t BgL__ortest_1117z00_2567;

							BgL__ortest_1117z00_2567 = BGL_CLASS_NIL(BgL_classz00_2566);
							if (CBOOL(BgL__ortest_1117z00_2567))
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2861 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2567);
								}
							else
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2861 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2566));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_2435))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2861), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2871;

					{	/* Cnst/node.scm 34 */
						obj_t BgL_classz00_2568;

						BgL_classz00_2568 = BGl_valuez00zzast_varz00;
						{	/* Cnst/node.scm 34 */
							obj_t BgL__ortest_1117z00_2569;

							BgL__ortest_1117z00_2569 = BGL_CLASS_NIL(BgL_classz00_2568);
							if (CBOOL(BgL__ortest_1117z00_2569))
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2871 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_2569);
								}
							else
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2871 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2568));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_2435))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2871), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_2435))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2435))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_2915;
					BgL_localzf2bvaluezf2_bglt BgL_auxz00_2908;

					{	/* Cnst/node.scm 34 */
						obj_t BgL_classz00_2570;

						BgL_classz00_2570 = BGl_nodez00zzast_nodez00;
						{	/* Cnst/node.scm 34 */
							obj_t BgL__ortest_1117z00_2571;

							BgL__ortest_1117z00_2571 = BGL_CLASS_NIL(BgL_classz00_2570);
							if (CBOOL(BgL__ortest_1117z00_2571))
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2915 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_2571);
								}
							else
								{	/* Cnst/node.scm 34 */
									BgL_auxz00_2915 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2570));
								}
						}
					}
					{
						obj_t BgL_auxz00_2909;

						{	/* Cnst/node.scm 34 */
							BgL_objectz00_bglt BgL_tmpz00_2910;

							BgL_tmpz00_2910 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1121z00_2435));
							BgL_auxz00_2909 = BGL_OBJECT_WIDENING(BgL_tmpz00_2910);
						}
						BgL_auxz00_2908 = ((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_2909);
					}
					((((BgL_localzf2bvaluezf2_bglt) COBJECT(BgL_auxz00_2908))->
							BgL_bindingzd2valuezd2) =
						((BgL_nodez00_bglt) BgL_auxz00_2915), BUNSPEC);
				}
				BgL_auxz00_2852 = ((BgL_localz00_bglt) BgL_new1121z00_2435);
				return ((obj_t) BgL_auxz00_2852);
			}
		}

	}



/* &lambda1418 */
	BgL_localz00_bglt BGl_z62lambda1418z62zzcnst_nodez00(obj_t BgL_envz00_2436,
		obj_t BgL_o1118z00_2437)
	{
		{	/* Cnst/node.scm 34 */
			{	/* Cnst/node.scm 34 */
				BgL_localzf2bvaluezf2_bglt BgL_wide1120z00_2573;

				BgL_wide1120z00_2573 =
					((BgL_localzf2bvaluezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2bvaluezf2_bgl))));
				{	/* Cnst/node.scm 34 */
					obj_t BgL_auxz00_2930;
					BgL_objectz00_bglt BgL_tmpz00_2926;

					BgL_auxz00_2930 = ((obj_t) BgL_wide1120z00_2573);
					BgL_tmpz00_2926 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2437)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2926, BgL_auxz00_2930);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2437)));
				{	/* Cnst/node.scm 34 */
					long BgL_arg1419z00_2574;

					BgL_arg1419z00_2574 =
						BGL_CLASS_NUM(BGl_localzf2bvaluezf2zzcnst_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1118z00_2437))), BgL_arg1419z00_2574);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2437)));
			}
		}

	}



/* &lambda1415 */
	BgL_localz00_bglt BGl_z62lambda1415z62zzcnst_nodez00(obj_t BgL_envz00_2438,
		obj_t BgL_id1104z00_2439, obj_t BgL_name1105z00_2440,
		obj_t BgL_type1106z00_2441, obj_t BgL_value1107z00_2442,
		obj_t BgL_access1108z00_2443, obj_t BgL_fastzd2alpha1109zd2_2444,
		obj_t BgL_removable1110z00_2445, obj_t BgL_occurrence1111z00_2446,
		obj_t BgL_occurrencew1112z00_2447, obj_t BgL_userzf31113zf3_2448,
		obj_t BgL_key1114z00_2449, obj_t BgL_valzd2noescape1115zd2_2450,
		obj_t BgL_volatile1116z00_2451, obj_t BgL_bindingzd2value1117zd2_2452)
	{
		{	/* Cnst/node.scm 34 */
			{	/* Cnst/node.scm 34 */
				long BgL_occurrence1111z00_2578;
				long BgL_occurrencew1112z00_2579;
				bool_t BgL_userzf31113zf3_2580;
				long BgL_key1114z00_2581;
				bool_t BgL_volatile1116z00_2582;

				BgL_occurrence1111z00_2578 = (long) CINT(BgL_occurrence1111z00_2446);
				BgL_occurrencew1112z00_2579 = (long) CINT(BgL_occurrencew1112z00_2447);
				BgL_userzf31113zf3_2580 = CBOOL(BgL_userzf31113zf3_2448);
				BgL_key1114z00_2581 = (long) CINT(BgL_key1114z00_2449);
				BgL_volatile1116z00_2582 = CBOOL(BgL_volatile1116z00_2451);
				{	/* Cnst/node.scm 34 */
					BgL_localz00_bglt BgL_new1175z00_2584;

					{	/* Cnst/node.scm 34 */
						BgL_localz00_bglt BgL_tmp1173z00_2585;
						BgL_localzf2bvaluezf2_bglt BgL_wide1174z00_2586;

						{
							BgL_localz00_bglt BgL_auxz00_2949;

							{	/* Cnst/node.scm 34 */
								BgL_localz00_bglt BgL_new1172z00_2587;

								BgL_new1172z00_2587 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Cnst/node.scm 34 */
									long BgL_arg1417z00_2588;

									BgL_arg1417z00_2588 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1172z00_2587),
										BgL_arg1417z00_2588);
								}
								{	/* Cnst/node.scm 34 */
									BgL_objectz00_bglt BgL_tmpz00_2954;

									BgL_tmpz00_2954 = ((BgL_objectz00_bglt) BgL_new1172z00_2587);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2954, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1172z00_2587);
								BgL_auxz00_2949 = BgL_new1172z00_2587;
							}
							BgL_tmp1173z00_2585 = ((BgL_localz00_bglt) BgL_auxz00_2949);
						}
						BgL_wide1174z00_2586 =
							((BgL_localzf2bvaluezf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2bvaluezf2_bgl))));
						{	/* Cnst/node.scm 34 */
							obj_t BgL_auxz00_2962;
							BgL_objectz00_bglt BgL_tmpz00_2960;

							BgL_auxz00_2962 = ((obj_t) BgL_wide1174z00_2586);
							BgL_tmpz00_2960 = ((BgL_objectz00_bglt) BgL_tmp1173z00_2585);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2960, BgL_auxz00_2962);
						}
						((BgL_objectz00_bglt) BgL_tmp1173z00_2585);
						{	/* Cnst/node.scm 34 */
							long BgL_arg1416z00_2589;

							BgL_arg1416z00_2589 =
								BGL_CLASS_NUM(BGl_localzf2bvaluezf2zzcnst_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1173z00_2585),
								BgL_arg1416z00_2589);
						}
						BgL_new1175z00_2584 = ((BgL_localz00_bglt) BgL_tmp1173z00_2585);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1175z00_2584)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_2439)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_2440), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_2441)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_2442)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_2443), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_2444), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_2445), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_2578), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_2579), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1175z00_2584)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_2580), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2584)))->BgL_keyz00) =
						((long) BgL_key1114z00_2581), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2584)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1115zd2_2450), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1175z00_2584)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1116z00_2582), BUNSPEC);
					{
						BgL_localzf2bvaluezf2_bglt BgL_auxz00_2999;

						{
							obj_t BgL_auxz00_3000;

							{	/* Cnst/node.scm 34 */
								BgL_objectz00_bglt BgL_tmpz00_3001;

								BgL_tmpz00_3001 = ((BgL_objectz00_bglt) BgL_new1175z00_2584);
								BgL_auxz00_3000 = BGL_OBJECT_WIDENING(BgL_tmpz00_3001);
							}
							BgL_auxz00_2999 = ((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_3000);
						}
						((((BgL_localzf2bvaluezf2_bglt) COBJECT(BgL_auxz00_2999))->
								BgL_bindingzd2valuezd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BgL_bindingzd2value1117zd2_2452)), BUNSPEC);
					}
					return BgL_new1175z00_2584;
				}
			}
		}

	}



/* &lambda1489 */
	obj_t BGl_z62lambda1489z62zzcnst_nodez00(obj_t BgL_envz00_2453,
		obj_t BgL_oz00_2454, obj_t BgL_vz00_2455)
	{
		{	/* Cnst/node.scm 34 */
			{
				BgL_localzf2bvaluezf2_bglt BgL_auxz00_3007;

				{
					obj_t BgL_auxz00_3008;

					{	/* Cnst/node.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_3009;

						BgL_tmpz00_3009 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2454));
						BgL_auxz00_3008 = BGL_OBJECT_WIDENING(BgL_tmpz00_3009);
					}
					BgL_auxz00_3007 = ((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_3008);
				}
				return
					((((BgL_localzf2bvaluezf2_bglt) COBJECT(BgL_auxz00_3007))->
						BgL_bindingzd2valuezd2) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_2455)), BUNSPEC);
			}
		}

	}



/* &lambda1488 */
	BgL_nodez00_bglt BGl_z62lambda1488z62zzcnst_nodez00(obj_t BgL_envz00_2456,
		obj_t BgL_oz00_2457)
	{
		{	/* Cnst/node.scm 34 */
			{
				BgL_localzf2bvaluezf2_bglt BgL_auxz00_3016;

				{
					obj_t BgL_auxz00_3017;

					{	/* Cnst/node.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_3018;

						BgL_tmpz00_3018 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2457));
						BgL_auxz00_3017 = BGL_OBJECT_WIDENING(BgL_tmpz00_3018);
					}
					BgL_auxz00_3016 = ((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_3017);
				}
				return
					(((BgL_localzf2bvaluezf2_bglt) COBJECT(BgL_auxz00_3016))->
					BgL_bindingzd2valuezd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_proc2086z00zzcnst_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string2087z00zzcnst_nodez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
				BGl_proc2088z00zzcnst_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string2089z00zzcnst_nodez00);
		}

	}



/* &get-node-atom-value1354 */
	obj_t BGl_z62getzd2nodezd2atomzd2value1354zb0zzcnst_nodez00(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461)
	{
		{	/* Cnst/node.scm 387 */
			return ((obj_t) CNST_TABLE_REF(5));
		}

	}



/* &cnst!1305 */
	obj_t BGl_z62cnstz121305z70zzcnst_nodez00(obj_t BgL_envz00_2462,
		obj_t BgL_nodez00_2463)
	{
		{	/* Cnst/node.scm 40 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(6)), BGl_string2090z00zzcnst_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2463)));
		}

	}



/* cnst! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt BgL_nodez00_62)
	{
		{	/* Cnst/node.scm 40 */
			{	/* Cnst/node.scm 40 */
				obj_t BgL_method1307z00_1634;

				{	/* Cnst/node.scm 40 */
					obj_t BgL_res2073z00_2310;

					{	/* Cnst/node.scm 40 */
						long BgL_objzd2classzd2numz00_2281;

						BgL_objzd2classzd2numz00_2281 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_62));
						{	/* Cnst/node.scm 40 */
							obj_t BgL_arg1862z00_2282;

							BgL_arg1862z00_2282 =
								PROCEDURE_REF(BGl_cnstz12zd2envzc0zzcnst_nodez00, (int) (1L));
							{	/* Cnst/node.scm 40 */
								int BgL_offsetz00_2285;

								BgL_offsetz00_2285 = (int) (BgL_objzd2classzd2numz00_2281);
								{	/* Cnst/node.scm 40 */
									long BgL_offsetz00_2286;

									BgL_offsetz00_2286 =
										((long) (BgL_offsetz00_2285) - OBJECT_TYPE);
									{	/* Cnst/node.scm 40 */
										long BgL_modz00_2287;

										BgL_modz00_2287 =
											(BgL_offsetz00_2286 >> (int) ((long) ((int) (4L))));
										{	/* Cnst/node.scm 40 */
											long BgL_restz00_2289;

											BgL_restz00_2289 =
												(BgL_offsetz00_2286 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cnst/node.scm 40 */

												{	/* Cnst/node.scm 40 */
													obj_t BgL_bucketz00_2291;

													BgL_bucketz00_2291 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2282), BgL_modz00_2287);
													BgL_res2073z00_2310 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2291), BgL_restz00_2289);
					}}}}}}}}
					BgL_method1307z00_1634 = BgL_res2073z00_2310;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1307z00_1634,
						((obj_t) BgL_nodez00_62)));
			}
		}

	}



/* &cnst! */
	BgL_nodez00_bglt BGl_z62cnstz12z70zzcnst_nodez00(obj_t BgL_envz00_2464,
		obj_t BgL_nodez00_2465)
	{
		{	/* Cnst/node.scm 40 */
			return
				BGl_cnstz12z12zzcnst_nodez00(((BgL_nodez00_bglt) BgL_nodez00_2465));
		}

	}



/* get-node-atom-value */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt
		BgL_nodez00_87)
	{
		{	/* Cnst/node.scm 387 */
			{	/* Cnst/node.scm 387 */
				obj_t BgL_method1355z00_1635;

				{	/* Cnst/node.scm 387 */
					obj_t BgL_res2078z00_2341;

					{	/* Cnst/node.scm 387 */
						long BgL_objzd2classzd2numz00_2312;

						BgL_objzd2classzd2numz00_2312 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_87));
						{	/* Cnst/node.scm 387 */
							obj_t BgL_arg1862z00_2313;

							BgL_arg1862z00_2313 =
								PROCEDURE_REF
								(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
								(int) (1L));
							{	/* Cnst/node.scm 387 */
								int BgL_offsetz00_2316;

								BgL_offsetz00_2316 = (int) (BgL_objzd2classzd2numz00_2312);
								{	/* Cnst/node.scm 387 */
									long BgL_offsetz00_2317;

									BgL_offsetz00_2317 =
										((long) (BgL_offsetz00_2316) - OBJECT_TYPE);
									{	/* Cnst/node.scm 387 */
										long BgL_modz00_2318;

										BgL_modz00_2318 =
											(BgL_offsetz00_2317 >> (int) ((long) ((int) (4L))));
										{	/* Cnst/node.scm 387 */
											long BgL_restz00_2320;

											BgL_restz00_2320 =
												(BgL_offsetz00_2317 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cnst/node.scm 387 */

												{	/* Cnst/node.scm 387 */
													obj_t BgL_bucketz00_2322;

													BgL_bucketz00_2322 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2313), BgL_modz00_2318);
													BgL_res2078z00_2341 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2322), BgL_restz00_2320);
					}}}}}}}}
					BgL_method1355z00_1635 = BgL_res2078z00_2341;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1355z00_1635, ((obj_t) BgL_nodez00_87));
			}
		}

	}



/* &get-node-atom-value */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcnst_nodez00(obj_t BgL_envz00_2466,
		obj_t BgL_nodez00_2467)
	{
		{	/* Cnst/node.scm 387 */
			return
				BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2467));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_literalz00zzast_nodez00,
				BGl_proc2091z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_patchz00zzast_nodez00,
				BGl_proc2093z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2094z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc2095z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc2096z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2097z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc2098z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc2099z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc2100z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc2101z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2102z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc2103z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc2104z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2105z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2106z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2107z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2108z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2109z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2110z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc2111z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2112z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2113z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cnstz12zd2envzc0zzcnst_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc2114z00zzcnst_nodez00, BGl_string2092z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
				BGl_atomz00zzast_nodez00, BGl_proc2115z00zzcnst_nodez00,
				BGl_string2116z00zzcnst_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
				BGl_varz00zzast_nodez00, BGl_proc2117z00zzcnst_nodez00,
				BGl_string2116z00zzcnst_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcnst_nodez00,
				BGl_appz00zzast_nodez00, BGl_proc2118z00zzcnst_nodez00,
				BGl_string2116z00zzcnst_nodez00);
		}

	}



/* &get-node-atom-value-1361 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21361z62zzcnst_nodez00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495)
	{
		{	/* Cnst/node.scm 408 */
			{	/* Cnst/node.scm 410 */
				obj_t BgL_funz00_2596;

				BgL_funz00_2596 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2495)))->BgL_funz00)))->
						BgL_variablez00));
				if ((BgL_funz00_2596 == BGl_za2longzd2ze3intza2z31zzcnst_cachez00))
					{	/* Cnst/node.scm 413 */
						bool_t BgL_test2178z00_3130;

						{	/* Cnst/node.scm 413 */
							bool_t BgL_test2179z00_3131;

							{	/* Cnst/node.scm 413 */
								obj_t BgL_tmpz00_3132;

								BgL_tmpz00_3132 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2495)))->BgL_argsz00);
								BgL_test2179z00_3131 = PAIRP(BgL_tmpz00_3132);
							}
							if (BgL_test2179z00_3131)
								{	/* Cnst/node.scm 413 */
									BgL_test2178z00_3130 =
										NULLP(CDR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2495)))->
												BgL_argsz00)));
								}
							else
								{	/* Cnst/node.scm 413 */
									BgL_test2178z00_3130 = ((bool_t) 0);
								}
						}
						if (BgL_test2178z00_3130)
							{	/* Cnst/node.scm 414 */
								obj_t BgL_arg2002z00_2597;

								BgL_arg2002z00_2597 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2495)))->BgL_argsz00));
								return
									BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
									((BgL_nodez00_bglt) BgL_arg2002z00_2597));
							}
						else
							{	/* Cnst/node.scm 413 */
								return ((obj_t) CNST_TABLE_REF(5));
							}
					}
				else
					{	/* Cnst/node.scm 412 */
						return ((obj_t) CNST_TABLE_REF(5));
					}
			}
		}

	}



/* &get-node-atom-value-1359 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21359z62zzcnst_nodez00(obj_t
		BgL_envz00_2496, obj_t BgL_nodez00_2497)
	{
		{	/* Cnst/node.scm 399 */
			{	/* Cnst/node.scm 400 */
				BgL_variablez00_bglt BgL_vz00_2599;

				BgL_vz00_2599 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2497)))->BgL_variablez00);
				{	/* Cnst/node.scm 401 */
					bool_t BgL_test2180z00_3151;

					{	/* Cnst/node.scm 401 */
						obj_t BgL_classz00_2600;

						BgL_classz00_2600 = BGl_localzf2bvaluezf2zzcnst_nodez00;
						{	/* Cnst/node.scm 401 */
							obj_t BgL_oclassz00_2601;

							{	/* Cnst/node.scm 401 */
								obj_t BgL_arg1866z00_2602;
								long BgL_arg1867z00_2603;

								BgL_arg1866z00_2602 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Cnst/node.scm 401 */
									long BgL_arg1869z00_2604;

									BgL_arg1869z00_2604 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_vz00_2599));
									BgL_arg1867z00_2603 = (BgL_arg1869z00_2604 - OBJECT_TYPE);
								}
								BgL_oclassz00_2601 =
									VECTOR_REF(BgL_arg1866z00_2602, BgL_arg1867z00_2603);
							}
							BgL_test2180z00_3151 = (BgL_oclassz00_2601 == BgL_classz00_2600);
					}}
					if (BgL_test2180z00_3151)
						{	/* Cnst/node.scm 402 */
							BgL_nodez00_bglt BgL_arg1994z00_2605;

							{
								BgL_localzf2bvaluezf2_bglt BgL_auxz00_3158;

								{
									obj_t BgL_auxz00_3159;

									{	/* Cnst/node.scm 402 */
										BgL_objectz00_bglt BgL_tmpz00_3160;

										BgL_tmpz00_3160 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_vz00_2599));
										BgL_auxz00_3159 = BGL_OBJECT_WIDENING(BgL_tmpz00_3160);
									}
									BgL_auxz00_3158 =
										((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_3159);
								}
								BgL_arg1994z00_2605 =
									(((BgL_localzf2bvaluezf2_bglt) COBJECT(BgL_auxz00_3158))->
									BgL_bindingzd2valuezd2);
							}
							return
								BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00
								(BgL_arg1994z00_2605);
						}
					else
						{	/* Cnst/node.scm 401 */
							return ((obj_t) CNST_TABLE_REF(5));
						}
				}
			}
		}

	}



/* &get-node-atom-value-1357 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd21357z62zzcnst_nodez00(obj_t
		BgL_envz00_2498, obj_t BgL_nodez00_2499)
	{
		{	/* Cnst/node.scm 393 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_nodez00_2499)))->BgL_valuez00);
		}

	}



/* &cnst!-app1353 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2app1353za2zzcnst_nodez00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501)
	{
		{	/* Cnst/node.scm 301 */
			BGl_cnstza2z12zb0zzcnst_nodez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2501)))->BgL_argsz00));
			if (NULLP(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2501)))->BgL_argsz00)))
				{	/* Cnst/node.scm 305 */
					return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2501));
				}
			else
				{	/* Cnst/node.scm 307 */
					obj_t BgL_funz00_2608;

					BgL_funz00_2608 =
						((obj_t)
						(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2501)))->BgL_funz00)))->
							BgL_variablez00));
					{	/* Cnst/node.scm 307 */
						obj_t BgL_actualz00_2609;

						BgL_actualz00_2609 =
							CAR(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2501)))->BgL_argsz00));
						{	/* Cnst/node.scm 308 */
							obj_t BgL_actualzd2valuezd2_2610;

							BgL_actualzd2valuezd2_2610 =
								BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
								((BgL_nodez00_bglt) BgL_actualz00_2609));
							{	/* Cnst/node.scm 309 */

								if (
									(BgL_funz00_2608 ==
										BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00))
									{	/* Cnst/node.scm 311 */
										if (STRINGP(BgL_actualzd2valuezd2_2610))
											{	/* Cnst/node.scm 313 */
												BgL_nodez00_bglt BgL_rz00_2611;

												{	/* Cnst/node.scm 313 */
													obj_t BgL_arg1950z00_2612;

													BgL_arg1950z00_2612 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2501))))->
														BgL_locz00);
													BgL_rz00_2611 =
														BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
														(BgL_actualzd2valuezd2_2610, BgL_arg1950z00_2612);
												}
												return BgL_rz00_2611;
											}
										else
											{	/* Cnst/node.scm 312 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2501));
											}
									}
								else
									{	/* Cnst/node.scm 311 */
										if (
											(BgL_funz00_2608 ==
												BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00))
											{	/* Cnst/node.scm 317 */
												if (BOOLEANP(BgL_actualzd2valuezd2_2610))
													{	/* Cnst/node.scm 318 */
														if (CBOOL(BgL_actualzd2valuezd2_2610))
															{	/* Cnst/node.scm 320 */
																BgL_refz00_bglt BgL_new1166z00_2613;

																{	/* Cnst/node.scm 321 */
																	BgL_refz00_bglt BgL_new1165z00_2614;

																	BgL_new1165z00_2614 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Cnst/node.scm 321 */
																		long BgL_arg1953z00_2615;

																		BgL_arg1953z00_2615 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1165z00_2614),
																			BgL_arg1953z00_2615);
																	}
																	{	/* Cnst/node.scm 321 */
																		BgL_objectz00_bglt BgL_tmpz00_3209;

																		BgL_tmpz00_3209 =
																			((BgL_objectz00_bglt)
																			BgL_new1165z00_2614);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3209,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1165z00_2614);
																	BgL_new1166z00_2613 = BgL_new1165z00_2614;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1166z00_2613)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2501))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1166z00_2613)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2bboolza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1166z00_2613)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BGl_za2btrueza2z00zzcnst_cachez00)),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1166z00_2613);
															}
														else
															{	/* Cnst/node.scm 324 */
																BgL_refz00_bglt BgL_new1168z00_2616;

																{	/* Cnst/node.scm 325 */
																	BgL_refz00_bglt BgL_new1167z00_2617;

																	BgL_new1167z00_2617 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Cnst/node.scm 325 */
																		long BgL_arg1954z00_2618;

																		BgL_arg1954z00_2618 =
																			BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1167z00_2617),
																			BgL_arg1954z00_2618);
																	}
																	{	/* Cnst/node.scm 325 */
																		BgL_objectz00_bglt BgL_tmpz00_3229;

																		BgL_tmpz00_3229 =
																			((BgL_objectz00_bglt)
																			BgL_new1167z00_2617);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3229,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1167z00_2617);
																	BgL_new1168z00_2616 = BgL_new1167z00_2617;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1168z00_2616)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2501))))->
																			BgL_locz00)), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1168z00_2616)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2bboolza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																					BgL_new1168z00_2616)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BGl_za2bfalseza2z00zzcnst_cachez00)),
																	BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1168z00_2616);
															}
													}
												else
													{	/* Cnst/node.scm 318 */
														return
															((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2501));
													}
											}
										else
											{	/* Cnst/node.scm 329 */
												bool_t BgL_test2187z00_3247;

												if (
													(BgL_funz00_2608 ==
														BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00))
													{	/* Cnst/node.scm 329 */
														BgL_test2187z00_3247 = ((bool_t) 1);
													}
												else
													{	/* Cnst/node.scm 329 */
														BgL_test2187z00_3247 =
															(BgL_funz00_2608 ==
															BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00);
													}
												if (BgL_test2187z00_3247)
													{	/* Cnst/node.scm 331 */
														obj_t BgL_siza7ezd2valuez75_2619;

														{	/* Cnst/node.scm 331 */
															obj_t BgL_arg1961z00_2620;

															{	/* Cnst/node.scm 331 */
																obj_t BgL_pairz00_2621;

																BgL_pairz00_2621 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2501)))->
																	BgL_argsz00);
																BgL_arg1961z00_2620 =
																	CAR(CDR(CDR(BgL_pairz00_2621)));
															}
															BgL_siza7ezd2valuez75_2619 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
																((BgL_nodez00_bglt) BgL_arg1961z00_2620));
														}
														{	/* Cnst/node.scm 332 */
															bool_t BgL_test2189z00_3258;

															if (INTEGERP(BgL_siza7ezd2valuez75_2619))
																{	/* Cnst/node.scm 332 */
																	BgL_test2189z00_3258 =
																		(
																		(long) CINT(BgL_siza7ezd2valuez75_2619) ==
																		0L);
																}
															else
																{	/* Cnst/node.scm 332 */
																	BgL_test2189z00_3258 = ((bool_t) 0);
																}
															if (BgL_test2189z00_3258)
																{	/* Cnst/node.scm 333 */
																	obj_t BgL_arg1960z00_2622;

																	BgL_arg1960z00_2622 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_2501))))->BgL_locz00);
																	return
																		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00
																		(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																				BgL_nodez00_2501)),
																		BgL_arg1960z00_2622);
																}
															else
																{	/* Cnst/node.scm 332 */
																	return
																		((BgL_nodez00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_2501));
																}
														}
													}
												else
													{	/* Cnst/node.scm 329 */
														if (
															(BgL_funz00_2608 ==
																BGl_za2makezd2lzd2procedureza2z00zzcnst_cachez00))
															{	/* Cnst/node.scm 336 */
																obj_t BgL_siza7ezd2valuez75_2623;

																{	/* Cnst/node.scm 336 */
																	obj_t BgL_arg1966z00_2624;

																	{	/* Cnst/node.scm 336 */
																		obj_t BgL_pairz00_2625;

																		BgL_pairz00_2625 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2501)))->BgL_argsz00);
																		BgL_arg1966z00_2624 =
																			CAR(CDR(BgL_pairz00_2625));
																	}
																	BgL_siza7ezd2valuez75_2623 =
																		BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00
																		(((BgL_nodez00_bglt) BgL_arg1966z00_2624));
																}
																{	/* Cnst/node.scm 337 */
																	bool_t BgL_test2192z00_3279;

																	if (INTEGERP(BgL_siza7ezd2valuez75_2623))
																		{	/* Cnst/node.scm 337 */
																			BgL_test2192z00_3279 =
																				(
																				(long) CINT(BgL_siza7ezd2valuez75_2623)
																				== 0L);
																		}
																	else
																		{	/* Cnst/node.scm 337 */
																			BgL_test2192z00_3279 = ((bool_t) 0);
																		}
																	if (BgL_test2192z00_3279)
																		{	/* Cnst/node.scm 338 */
																			obj_t BgL_arg1965z00_2626;

																			BgL_arg1965z00_2626 =
																				(((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_2501))))->
																				BgL_locz00);
																			return
																				BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00
																				(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																						BgL_nodez00_2501)),
																				BgL_arg1965z00_2626);
																		}
																	else
																		{	/* Cnst/node.scm 337 */
																			return
																				((BgL_nodez00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_2501));
																		}
																}
															}
														else
															{	/* Cnst/node.scm 335 */
																if (
																	(BgL_funz00_2608 ==
																		BGl_za2doublezd2ze3realza2z31zzcnst_cachez00))
																	{	/* Cnst/node.scm 341 */
																		bool_t BgL_test2195z00_3294;

																		if (INTEGERP(BgL_actualzd2valuezd2_2610))
																			{	/* Cnst/node.scm 341 */
																				BgL_test2195z00_3294 = ((bool_t) 1);
																			}
																		else
																			{	/* Cnst/node.scm 341 */
																				BgL_test2195z00_3294 =
																					REALP(BgL_actualzd2valuezd2_2610);
																			}
																		if (BgL_test2195z00_3294)
																			{	/* Cnst/node.scm 342 */
																				obj_t BgL_arg1969z00_2627;

																				BgL_arg1969z00_2627 =
																					(((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								((BgL_appz00_bglt)
																									BgL_nodez00_2501))))->
																					BgL_locz00);
																				return
																					BGl_cnstzd2alloczd2realz00zzcnst_allocz00
																					(BgL_actualzd2valuezd2_2610,
																					BgL_arg1969z00_2627);
																			}
																		else
																			{	/* Cnst/node.scm 341 */
																				return
																					((BgL_nodez00_bglt)
																					((BgL_appz00_bglt) BgL_nodez00_2501));
																			}
																	}
																else
																	{	/* Cnst/node.scm 344 */
																		bool_t BgL_test2197z00_3304;

																		if (
																			(BgL_funz00_2608 ==
																				BGl_za2longzd2ze3bintza2z31zzcnst_cachez00))
																			{	/* Cnst/node.scm 345 */
																				BgL_backendz00_bglt BgL_i1169z00_2628;

																				BgL_i1169z00_2628 =
																					((BgL_backendz00_bglt)
																					BGl_thezd2backendzd2zzbackend_backendz00
																					());
																				BgL_test2197z00_3304 =
																					(((BgL_backendz00_bglt)
																						COBJECT(BgL_i1169z00_2628))->
																					BgL_boxedzd2fixnumszd2);
																			}
																		else
																			{	/* Cnst/node.scm 344 */
																				BgL_test2197z00_3304 = ((bool_t) 0);
																			}
																		if (BgL_test2197z00_3304)
																			{	/* Cnst/node.scm 344 */
																				if (INTEGERP
																					(BgL_actualzd2valuezd2_2610))
																					{	/* Cnst/node.scm 348 */
																						obj_t BgL_arg1972z00_2629;

																						BgL_arg1972z00_2629 =
																							(((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_2501))))->
																							BgL_locz00);
																						return
																							BGl_cnstzd2alloczd2integerz00zzcnst_allocz00
																							((long)
																							CINT(BgL_actualzd2valuezd2_2610),
																							BgL_arg1972z00_2629);
																					}
																				else
																					{	/* Cnst/node.scm 347 */
																						return
																							((BgL_nodez00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_2501));
																					}
																			}
																		else
																			{	/* Cnst/node.scm 344 */
																				if (
																					(BgL_funz00_2608 ==
																						BGl_za2elongzd2ze3belongza2z31zzcnst_cachez00))
																					{	/* Cnst/node.scm 350 */
																						if (ELONGP
																							(BgL_actualzd2valuezd2_2610))
																							{	/* Cnst/node.scm 352 */
																								obj_t BgL_arg1974z00_2630;

																								BgL_arg1974z00_2630 =
																									(((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_2501))))->
																									BgL_locz00);
																								return
																									BGl_cnstzd2alloczd2elongz00zzcnst_allocz00
																									(BELONG_TO_LONG
																									(BgL_actualzd2valuezd2_2610),
																									BgL_arg1974z00_2630);
																							}
																						else
																							{	/* Cnst/node.scm 351 */
																								return
																									((BgL_nodez00_bglt)
																									((BgL_appz00_bglt)
																										BgL_nodez00_2501));
																							}
																					}
																				else
																					{	/* Cnst/node.scm 350 */
																						if (
																							(BgL_funz00_2608 ==
																								BGl_za2llongzd2ze3bllongza2z31zzcnst_cachez00))
																							{	/* Cnst/node.scm 354 */
																								if (LLONGP
																									(BgL_actualzd2valuezd2_2610))
																									{	/* Cnst/node.scm 356 */
																										obj_t BgL_arg1976z00_2631;

																										BgL_arg1976z00_2631 =
																											(((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_2501))))->
																											BgL_locz00);
																										return
																											BGl_cnstzd2alloczd2llongz00zzcnst_allocz00
																											(BLLONG_TO_LLONG
																											(BgL_actualzd2valuezd2_2610),
																											BgL_arg1976z00_2631);
																									}
																								else
																									{	/* Cnst/node.scm 355 */
																										return
																											((BgL_nodez00_bglt)
																											((BgL_appz00_bglt)
																												BgL_nodez00_2501));
																									}
																							}
																						else
																							{	/* Cnst/node.scm 354 */
																								if (
																									(BgL_funz00_2608 ==
																										BGl_za2int32zd2ze3bint32za2z31zzcnst_cachez00))
																									{	/* Cnst/node.scm 358 */
																										if (BGL_INT32P
																											(BgL_actualzd2valuezd2_2610))
																											{	/* Cnst/node.scm 360 */
																												obj_t
																													BgL_arg1978z00_2632;
																												BgL_arg1978z00_2632 =
																													(((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																((BgL_appz00_bglt) BgL_nodez00_2501))))->BgL_locz00);
																												return
																													BGl_cnstzd2alloczd2int32z00zzcnst_allocz00
																													(BGL_BINT32_TO_INT32
																													(BgL_actualzd2valuezd2_2610),
																													BgL_arg1978z00_2632);
																											}
																										else
																											{	/* Cnst/node.scm 359 */
																												return
																													((BgL_nodez00_bglt)
																													((BgL_appz00_bglt)
																														BgL_nodez00_2501));
																											}
																									}
																								else
																									{	/* Cnst/node.scm 358 */
																										if (
																											(BgL_funz00_2608 ==
																												BGl_za2uint32zd2ze3buint32za2z31zzcnst_cachez00))
																											{	/* Cnst/node.scm 362 */
																												if (BGL_UINT32P
																													(BgL_actualzd2valuezd2_2610))
																													{	/* Cnst/node.scm 364 */
																														obj_t
																															BgL_arg1980z00_2633;
																														BgL_arg1980z00_2633
																															=
																															(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2501))))->BgL_locz00);
																														return
																															BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00
																															(BGL_BUINT32_TO_UINT32
																															(BgL_actualzd2valuezd2_2610),
																															BgL_arg1980z00_2633);
																													}
																												else
																													{	/* Cnst/node.scm 363 */
																														return
																															(
																															(BgL_nodez00_bglt)
																															((BgL_appz00_bglt)
																																BgL_nodez00_2501));
																													}
																											}
																										else
																											{	/* Cnst/node.scm 362 */
																												if (
																													(BgL_funz00_2608 ==
																														BGl_za2int64zd2ze3bint64za2z31zzcnst_cachez00))
																													{	/* Cnst/node.scm 366 */
																														if (BGL_INT64P
																															(BgL_actualzd2valuezd2_2610))
																															{	/* Cnst/node.scm 368 */
																																obj_t
																																	BgL_arg1982z00_2634;
																																BgL_arg1982z00_2634
																																	=
																																	(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2501))))->BgL_locz00);
																																return
																																	BGl_cnstzd2alloczd2int64z00zzcnst_allocz00
																																	(BGL_BINT64_TO_INT64
																																	(BgL_actualzd2valuezd2_2610),
																																	BgL_arg1982z00_2634);
																															}
																														else
																															{	/* Cnst/node.scm 367 */
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	((BgL_appz00_bglt) BgL_nodez00_2501));
																															}
																													}
																												else
																													{	/* Cnst/node.scm 366 */
																														if (
																															(BgL_funz00_2608
																																==
																																BGl_za2uint64zd2ze3buint64za2z31zzcnst_cachez00))
																															{	/* Cnst/node.scm 370 */
																																if (BGL_UINT64P
																																	(BgL_actualzd2valuezd2_2610))
																																	{	/* Cnst/node.scm 372 */
																																		obj_t
																																			BgL_arg1984z00_2635;
																																		BgL_arg1984z00_2635
																																			=
																																			(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2501))))->BgL_locz00);
																																		return
																																			BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00
																																			(BGL_BINT64_TO_INT64
																																			(BgL_actualzd2valuezd2_2610),
																																			BgL_arg1984z00_2635);
																																	}
																																else
																																	{	/* Cnst/node.scm 371 */
																																		return
																																			(
																																			(BgL_nodez00_bglt)
																																			((BgL_appz00_bglt) BgL_nodez00_2501));
																																	}
																															}
																														else
																															{	/* Cnst/node.scm 370 */
																																if (
																																	(BgL_funz00_2608
																																		==
																																		BGl_za2fixnumzd2ze3bignumza2z31zzcnst_cachez00))
																																	{	/* Cnst/node.scm 374 */
																																		if (INTEGERP
																																			(BgL_actualzd2valuezd2_2610))
																																			{	/* Cnst/node.scm 376 */
																																				obj_t
																																					BgL__ortest_1170z00_2636;
																																				{	/* Cnst/node.scm 376 */
																																					obj_t
																																						BgL_arg1986z00_2637;
																																					obj_t
																																						BgL_arg1987z00_2638;
																																					BgL_arg1986z00_2637
																																						=
																																						bgl_long_to_bignum
																																						(
																																						(long)
																																						CINT
																																						(BgL_actualzd2valuezd2_2610));
																																					BgL_arg1987z00_2638
																																						=
																																						(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2501))))->BgL_locz00);
																																					BgL__ortest_1170z00_2636
																																						=
																																						BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00
																																						(BgL_arg1986z00_2637,
																																						BgL_arg1987z00_2638);
																																				}
																																				if (CBOOL(BgL__ortest_1170z00_2636))
																																					{	/* Cnst/node.scm 376 */
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							BgL__ortest_1170z00_2636);
																																					}
																																				else
																																					{	/* Cnst/node.scm 376 */
																																						return
																																							(
																																							(BgL_nodez00_bglt)
																																							((BgL_appz00_bglt) BgL_nodez00_2501));
																																					}
																																			}
																																		else
																																			{	/* Cnst/node.scm 375 */
																																				return
																																					(
																																					(BgL_nodez00_bglt)
																																					((BgL_appz00_bglt) BgL_nodez00_2501));
																																			}
																																	}
																																else
																																	{	/* Cnst/node.scm 374 */
																																		return
																																			(
																																			(BgL_nodez00_bglt)
																																			((BgL_appz00_bglt) BgL_nodez00_2501));
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
						}
					}
				}
		}

	}



/* &cnst!-funcall1351 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2funcall1351za2zzcnst_nodez00(obj_t
		BgL_envz00_2502, obj_t BgL_nodez00_2503)
	{
		{	/* Cnst/node.scm 281 */
			{
				BgL_nodez00_bglt BgL_auxz00_3404;

				{	/* Cnst/node.scm 283 */
					BgL_nodez00_bglt BgL_arg1943z00_2640;

					BgL_arg1943z00_2640 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2503)))->BgL_funz00);
					BgL_auxz00_3404 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1943z00_2640);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2503)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3404), BUNSPEC);
			}
			BGl_cnstza2z12zb0zzcnst_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2503)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2503));
		}

	}



/* &cnst!-app-ly1349 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2appzd2ly1349z70zzcnst_nodez00(obj_t
		BgL_envz00_2504, obj_t BgL_nodez00_2505)
	{
		{	/* Cnst/node.scm 272 */
			{
				BgL_nodez00_bglt BgL_auxz00_3415;

				{	/* Cnst/node.scm 274 */
					BgL_nodez00_bglt BgL_arg1940z00_2642;

					BgL_arg1940z00_2642 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2505)))->BgL_funz00);
					BgL_auxz00_3415 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1940z00_2642);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2505)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3415), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3421;

				{	/* Cnst/node.scm 275 */
					BgL_nodez00_bglt BgL_arg1942z00_2643;

					BgL_arg1942z00_2643 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2505)))->BgL_argz00);
					BgL_auxz00_3421 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1942z00_2643);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2505)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3421), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2505));
		}

	}



/* &cnst!-box-set!1347 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2boxzd2setz121347z62zzcnst_nodez00(obj_t
		BgL_envz00_2506, obj_t BgL_nodez00_2507)
	{
		{	/* Cnst/node.scm 263 */
			{
				BgL_varz00_bglt BgL_auxz00_3429;

				{	/* Cnst/node.scm 265 */
					BgL_varz00_bglt BgL_arg1938z00_2645;

					BgL_arg1938z00_2645 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2507)))->BgL_varz00);
					BgL_auxz00_3429 =
						((BgL_varz00_bglt)
						BGl_cnstz12z12zzcnst_nodez00(
							((BgL_nodez00_bglt) BgL_arg1938z00_2645)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2507)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3429), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3437;

				{	/* Cnst/node.scm 266 */
					BgL_nodez00_bglt BgL_arg1939z00_2646;

					BgL_arg1939z00_2646 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2507)))->BgL_valuez00);
					BgL_auxz00_3437 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1939z00_2646);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2507)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3437), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2507));
		}

	}



/* &cnst!-box-ref1345 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2boxzd2ref1345z70zzcnst_nodez00(obj_t
		BgL_envz00_2508, obj_t BgL_nodez00_2509)
	{
		{	/* Cnst/node.scm 255 */
			{
				BgL_varz00_bglt BgL_auxz00_3445;

				{	/* Cnst/node.scm 257 */
					BgL_varz00_bglt BgL_arg1936z00_2648;

					BgL_arg1936z00_2648 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2509)))->BgL_varz00);
					BgL_auxz00_3445 =
						((BgL_varz00_bglt)
						BGl_cnstz12z12zzcnst_nodez00(
							((BgL_nodez00_bglt) BgL_arg1936z00_2648)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2509)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3445), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2509));
		}

	}



/* &cnst!-make-box1343 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2makezd2box1343z70zzcnst_nodez00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511)
	{
		{	/* Cnst/node.scm 247 */
			{
				BgL_nodez00_bglt BgL_auxz00_3455;

				{	/* Cnst/node.scm 249 */
					BgL_nodez00_bglt BgL_arg1935z00_2650;

					BgL_arg1935z00_2650 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2511)))->BgL_valuez00);
					BgL_auxz00_3455 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1935z00_2650);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2511)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3455), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2511));
		}

	}



/* &cnst!-jump-ex-it1341 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2jumpzd2exzd2it1341za2zzcnst_nodez00(obj_t
		BgL_envz00_2512, obj_t BgL_nodez00_2513)
	{
		{	/* Cnst/node.scm 238 */
			{
				BgL_nodez00_bglt BgL_auxz00_3463;

				{	/* Cnst/node.scm 240 */
					BgL_nodez00_bglt BgL_arg1933z00_2652;

					BgL_arg1933z00_2652 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2513)))->BgL_exitz00);
					BgL_auxz00_3463 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1933z00_2652);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2513)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3463), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3469;

				{	/* Cnst/node.scm 241 */
					BgL_nodez00_bglt BgL_arg1934z00_2653;

					BgL_arg1934z00_2653 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2513)))->
						BgL_valuez00);
					BgL_auxz00_3469 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1934z00_2653);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2513)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3469), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2513));
		}

	}



/* &cnst!-set-ex-it1339 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2setzd2exzd2it1339za2zzcnst_nodez00(obj_t
		BgL_envz00_2514, obj_t BgL_nodez00_2515)
	{
		{	/* Cnst/node.scm 229 */
			{
				BgL_nodez00_bglt BgL_auxz00_3477;

				{	/* Cnst/node.scm 231 */
					BgL_nodez00_bglt BgL_arg1930z00_2655;

					BgL_arg1930z00_2655 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2515)))->BgL_bodyz00);
					BgL_auxz00_3477 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1930z00_2655);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2515)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3477), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3483;

				{	/* Cnst/node.scm 232 */
					BgL_nodez00_bglt BgL_arg1932z00_2656;

					BgL_arg1932z00_2656 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2515)))->
						BgL_onexitz00);
					BgL_auxz00_3483 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1932z00_2656);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2515)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3483), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2515));
		}

	}



/* &cnst!-let-var1337 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2letzd2var1337z70zzcnst_nodez00(obj_t
		BgL_envz00_2516, obj_t BgL_nodez00_2517)
	{
		{	/* Cnst/node.scm 214 */
			{	/* Cnst/node.scm 216 */
				obj_t BgL_g1302z00_2658;

				BgL_g1302z00_2658 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2517)))->BgL_bindingsz00);
				{
					obj_t BgL_l1300z00_2660;

					BgL_l1300z00_2660 = BgL_g1302z00_2658;
				BgL_zc3z04anonymousza31919ze3z87_2659:
					if (PAIRP(BgL_l1300z00_2660))
						{	/* Cnst/node.scm 216 */
							{	/* Cnst/node.scm 217 */
								obj_t BgL_bindingz00_2661;

								BgL_bindingz00_2661 = CAR(BgL_l1300z00_2660);
								{	/* Cnst/node.scm 217 */
									obj_t BgL_varz00_2662;

									BgL_varz00_2662 = CAR(((obj_t) BgL_bindingz00_2661));
									{	/* Cnst/node.scm 218 */
										BgL_nodez00_bglt BgL_arg1921z00_2663;

										{	/* Cnst/node.scm 218 */
											obj_t BgL_arg1922z00_2664;

											BgL_arg1922z00_2664 = CDR(((obj_t) BgL_bindingz00_2661));
											BgL_arg1921z00_2663 =
												BGl_cnstz12z12zzcnst_nodez00(
												((BgL_nodez00_bglt) BgL_arg1922z00_2664));
										}
										{	/* Cnst/node.scm 218 */
											obj_t BgL_auxz00_3504;
											obj_t BgL_tmpz00_3502;

											BgL_auxz00_3504 = ((obj_t) BgL_arg1921z00_2663);
											BgL_tmpz00_3502 = ((obj_t) BgL_bindingz00_2661);
											SET_CDR(BgL_tmpz00_3502, BgL_auxz00_3504);
										}
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_2662))))->
												BgL_accessz00) == ((obj_t) CNST_TABLE_REF(7))))
										{	/* Cnst/node.scm 219 */
											{	/* Cnst/node.scm 220 */
												BgL_localzf2bvaluezf2_bglt BgL_wide1155z00_2665;

												BgL_wide1155z00_2665 =
													((BgL_localzf2bvaluezf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localzf2bvaluezf2_bgl))));
												{	/* Cnst/node.scm 220 */
													obj_t BgL_auxz00_3519;
													BgL_objectz00_bglt BgL_tmpz00_3515;

													BgL_auxz00_3519 = ((obj_t) BgL_wide1155z00_2665);
													BgL_tmpz00_3515 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_varz00_2662)));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3515,
														BgL_auxz00_3519);
												}
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_2662)));
												{	/* Cnst/node.scm 220 */
													long BgL_arg1926z00_2666;

													BgL_arg1926z00_2666 =
														BGL_CLASS_NUM(BGl_localzf2bvaluezf2zzcnst_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2662))),
														BgL_arg1926z00_2666);
												}
												((BgL_localz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_2662)));
											}
											{
												BgL_localzf2bvaluezf2_bglt BgL_auxz00_3533;

												{
													obj_t BgL_auxz00_3534;

													{	/* Cnst/node.scm 221 */
														BgL_objectz00_bglt BgL_tmpz00_3535;

														BgL_tmpz00_3535 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_2662)));
														BgL_auxz00_3534 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3535);
													}
													BgL_auxz00_3533 =
														((BgL_localzf2bvaluezf2_bglt) BgL_auxz00_3534);
												}
												((((BgL_localzf2bvaluezf2_bglt)
															COBJECT(BgL_auxz00_3533))->
														BgL_bindingzd2valuezd2) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt) CDR(((obj_t)
																	BgL_bindingz00_2661)))), BUNSPEC);
											}
											((obj_t)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_varz00_2662)));
										}
									else
										{	/* Cnst/node.scm 219 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1300z00_3548;

								BgL_l1300z00_3548 = CDR(BgL_l1300z00_2660);
								BgL_l1300z00_2660 = BgL_l1300z00_3548;
								goto BgL_zc3z04anonymousza31919ze3z87_2659;
							}
						}
					else
						{	/* Cnst/node.scm 216 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3550;

				{	/* Cnst/node.scm 223 */
					BgL_nodez00_bglt BgL_arg1929z00_2667;

					BgL_arg1929z00_2667 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2517)))->BgL_bodyz00);
					BgL_auxz00_3550 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1929z00_2667);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2517)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3550), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2517));
		}

	}



/* &cnst!-let-fun1335 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2letzd2fun1335z70zzcnst_nodez00(obj_t
		BgL_envz00_2518, obj_t BgL_nodez00_2519)
	{
		{	/* Cnst/node.scm 202 */
			{	/* Cnst/node.scm 204 */
				obj_t BgL_g1299z00_2669;

				BgL_g1299z00_2669 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2519)))->BgL_localsz00);
				{
					obj_t BgL_l1297z00_2671;

					BgL_l1297z00_2671 = BgL_g1299z00_2669;
				BgL_zc3z04anonymousza31912ze3z87_2670:
					if (PAIRP(BgL_l1297z00_2671))
						{	/* Cnst/node.scm 204 */
							{	/* Cnst/node.scm 205 */
								obj_t BgL_localz00_2672;

								BgL_localz00_2672 = CAR(BgL_l1297z00_2671);
								{	/* Cnst/node.scm 205 */
									BgL_valuez00_bglt BgL_funz00_2673;

									BgL_funz00_2673 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2672))))->
										BgL_valuez00);
									{	/* Cnst/node.scm 206 */
										BgL_nodez00_bglt BgL_arg1915z00_2674;

										{	/* Cnst/node.scm 206 */
											obj_t BgL_arg1916z00_2675;

											BgL_arg1916z00_2675 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2673)))->
												BgL_bodyz00);
											BgL_arg1915z00_2674 =
												BGl_cnstz12z12zzcnst_nodez00(((BgL_nodez00_bglt)
													BgL_arg1916z00_2675));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2673)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1915z00_2674)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1297z00_3573;

								BgL_l1297z00_3573 = CDR(BgL_l1297z00_2671);
								BgL_l1297z00_2671 = BgL_l1297z00_3573;
								goto BgL_zc3z04anonymousza31912ze3z87_2670;
							}
						}
					else
						{	/* Cnst/node.scm 204 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3575;

				{	/* Cnst/node.scm 208 */
					BgL_nodez00_bglt BgL_arg1918z00_2676;

					BgL_arg1918z00_2676 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2519)))->BgL_bodyz00);
					BgL_auxz00_3575 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1918z00_2676);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2519)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3575), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2519));
		}

	}



/* &cnst!-switch1333 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2switch1333za2zzcnst_nodez00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521)
	{
		{	/* Cnst/node.scm 191 */
			{
				BgL_nodez00_bglt BgL_auxz00_3583;

				{	/* Cnst/node.scm 193 */
					BgL_nodez00_bglt BgL_arg1906z00_2678;

					BgL_arg1906z00_2678 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2521)))->BgL_testz00);
					BgL_auxz00_3583 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1906z00_2678);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2521)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3583), BUNSPEC);
			}
			{	/* Cnst/node.scm 194 */
				obj_t BgL_g1296z00_2679;

				BgL_g1296z00_2679 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2521)))->BgL_clausesz00);
				{
					obj_t BgL_l1294z00_2681;

					BgL_l1294z00_2681 = BgL_g1296z00_2679;
				BgL_zc3z04anonymousza31907ze3z87_2680:
					if (PAIRP(BgL_l1294z00_2681))
						{	/* Cnst/node.scm 194 */
							{	/* Cnst/node.scm 195 */
								obj_t BgL_clausez00_2682;

								BgL_clausez00_2682 = CAR(BgL_l1294z00_2681);
								{	/* Cnst/node.scm 195 */
									BgL_nodez00_bglt BgL_arg1909z00_2683;

									{	/* Cnst/node.scm 195 */
										obj_t BgL_arg1910z00_2684;

										BgL_arg1910z00_2684 = CDR(((obj_t) BgL_clausez00_2682));
										BgL_arg1909z00_2683 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg1910z00_2684));
									}
									{	/* Cnst/node.scm 195 */
										obj_t BgL_auxz00_3600;
										obj_t BgL_tmpz00_3598;

										BgL_auxz00_3600 = ((obj_t) BgL_arg1909z00_2683);
										BgL_tmpz00_3598 = ((obj_t) BgL_clausez00_2682);
										SET_CDR(BgL_tmpz00_3598, BgL_auxz00_3600);
									}
								}
							}
							{
								obj_t BgL_l1294z00_3603;

								BgL_l1294z00_3603 = CDR(BgL_l1294z00_2681);
								BgL_l1294z00_2681 = BgL_l1294z00_3603;
								goto BgL_zc3z04anonymousza31907ze3z87_2680;
							}
						}
					else
						{	/* Cnst/node.scm 194 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2521));
		}

	}



/* &cnst!-fail1331 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2fail1331za2zzcnst_nodez00(obj_t
		BgL_envz00_2522, obj_t BgL_nodez00_2523)
	{
		{	/* Cnst/node.scm 181 */
			{
				BgL_nodez00_bglt BgL_auxz00_3607;

				{	/* Cnst/node.scm 183 */
					BgL_nodez00_bglt BgL_arg1903z00_2686;

					BgL_arg1903z00_2686 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_procz00);
					BgL_auxz00_3607 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1903z00_2686);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3607), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3613;

				{	/* Cnst/node.scm 184 */
					BgL_nodez00_bglt BgL_arg1904z00_2687;

					BgL_arg1904z00_2687 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_msgz00);
					BgL_auxz00_3613 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1904z00_2687);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3613), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3619;

				{	/* Cnst/node.scm 185 */
					BgL_nodez00_bglt BgL_arg1905z00_2688;

					BgL_arg1905z00_2688 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_objz00);
					BgL_auxz00_3619 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1905z00_2688);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2523)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3619), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2523));
		}

	}



/* &cnst!-conditional1329 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2conditional1329za2zzcnst_nodez00(obj_t
		BgL_envz00_2524, obj_t BgL_nodez00_2525)
	{
		{	/* Cnst/node.scm 171 */
			{
				BgL_nodez00_bglt BgL_auxz00_3627;

				{	/* Cnst/node.scm 173 */
					BgL_nodez00_bglt BgL_arg1900z00_2690;

					BgL_arg1900z00_2690 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_testz00);
					BgL_auxz00_3627 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1900z00_2690);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3627), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3633;

				{	/* Cnst/node.scm 174 */
					BgL_nodez00_bglt BgL_arg1901z00_2691;

					BgL_arg1901z00_2691 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_truez00);
					BgL_auxz00_3633 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1901z00_2691);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3633), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3639;

				{	/* Cnst/node.scm 175 */
					BgL_nodez00_bglt BgL_arg1902z00_2692;

					BgL_arg1902z00_2692 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_falsez00);
					BgL_auxz00_3639 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1902z00_2692);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2525)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3639), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2525));
		}

	}



/* &cnst!-setq1327 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2setq1327za2zzcnst_nodez00(obj_t
		BgL_envz00_2526, obj_t BgL_nodez00_2527)
	{
		{	/* Cnst/node.scm 163 */
			{
				BgL_nodez00_bglt BgL_auxz00_3647;

				{	/* Cnst/node.scm 165 */
					BgL_nodez00_bglt BgL_arg1899z00_2694;

					BgL_arg1899z00_2694 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2527)))->BgL_valuez00);
					BgL_auxz00_3647 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1899z00_2694);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2527)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3647), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2527));
		}

	}



/* &cnst!-cast1325 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2cast1325za2zzcnst_nodez00(obj_t
		BgL_envz00_2528, obj_t BgL_nodez00_2529)
	{
		{	/* Cnst/node.scm 155 */
			{
				BgL_nodez00_bglt BgL_auxz00_3655;

				{	/* Cnst/node.scm 157 */
					BgL_nodez00_bglt BgL_arg1898z00_2696;

					BgL_arg1898z00_2696 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2529)))->BgL_argz00);
					BgL_auxz00_3655 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1898z00_2696);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2529)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3655), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2529));
		}

	}



/* &cnst!-extern1323 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2extern1323za2zzcnst_nodez00(obj_t
		BgL_envz00_2530, obj_t BgL_nodez00_2531)
	{
		{	/* Cnst/node.scm 147 */
			BGl_cnstza2z12zb0zzcnst_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2531)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2531));
		}

	}



/* &cnst!-sync1321 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2sync1321za2zzcnst_nodez00(obj_t
		BgL_envz00_2532, obj_t BgL_nodez00_2533)
	{
		{	/* Cnst/node.scm 137 */
			{
				BgL_nodez00_bglt BgL_auxz00_3668;

				{	/* Cnst/node.scm 139 */
					BgL_nodez00_bglt BgL_arg1894z00_2699;

					BgL_arg1894z00_2699 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_mutexz00);
					BgL_auxz00_3668 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1894z00_2699);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3668), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3674;

				{	/* Cnst/node.scm 140 */
					BgL_nodez00_bglt BgL_arg1895z00_2700;

					BgL_arg1895z00_2700 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_prelockz00);
					BgL_auxz00_3674 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1895z00_2700);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3674), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3680;

				{	/* Cnst/node.scm 141 */
					BgL_nodez00_bglt BgL_arg1896z00_2701;

					BgL_arg1896z00_2701 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_bodyz00);
					BgL_auxz00_3680 = BGl_cnstz12z12zzcnst_nodez00(BgL_arg1896z00_2701);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2533)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3680), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2533));
		}

	}



/* &cnst!-sequence1319 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2sequence1319za2zzcnst_nodez00(obj_t
		BgL_envz00_2534, obj_t BgL_nodez00_2535)
	{
		{	/* Cnst/node.scm 129 */
			BGl_cnstza2z12zb0zzcnst_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2535)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2535));
		}

	}



/* &cnst!-closure1317 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2closure1317za2zzcnst_nodez00(obj_t
		BgL_envz00_2536, obj_t BgL_nodez00_2537)
	{
		{	/* Cnst/node.scm 123 */
			{	/* Cnst/node.scm 124 */
				obj_t BgL_arg1892z00_2704;

				BgL_arg1892z00_2704 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2537)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2092z00zzcnst_nodez00, BGl_string2119z00zzcnst_nodez00,
						BgL_arg1892z00_2704));
			}
		}

	}



/* &cnst!-var1315 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2var1315za2zzcnst_nodez00(obj_t
		BgL_envz00_2538, obj_t BgL_nodez00_2539)
	{
		{	/* Cnst/node.scm 117 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2539));
		}

	}



/* &cnst!-kwote1313 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2kwote1313za2zzcnst_nodez00(obj_t
		BgL_envz00_2540, obj_t BgL_nodez00_2541)
	{
		{	/* Cnst/node.scm 65 */
			{	/* Cnst/node.scm 68 */
				bool_t BgL_test2219z00_3700;

				{	/* Cnst/node.scm 68 */
					obj_t BgL_tmpz00_3701;

					BgL_tmpz00_3701 =
						(((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
					BgL_test2219z00_3700 = SYMBOLP(BgL_tmpz00_3701);
				}
				if (BgL_test2219z00_3700)
					{	/* Cnst/node.scm 69 */
						obj_t BgL_arg1590z00_2707;
						obj_t BgL_arg1592z00_2708;

						BgL_arg1590z00_2707 =
							(((BgL_kwotez00_bglt) COBJECT(
									((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
						BgL_arg1592z00_2708 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_nodez00_2541))))->BgL_locz00);
						return
							BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(BgL_arg1590z00_2707,
							BgL_arg1592z00_2708);
					}
				else
					{	/* Cnst/node.scm 70 */
						bool_t BgL_test2220z00_3711;

						{	/* Cnst/node.scm 70 */
							obj_t BgL_tmpz00_3712;

							BgL_tmpz00_3712 =
								(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
							BgL_test2220z00_3711 = KEYWORDP(BgL_tmpz00_3712);
						}
						if (BgL_test2220z00_3711)
							{	/* Cnst/node.scm 71 */
								obj_t BgL_arg1597z00_2709;
								obj_t BgL_arg1605z00_2710;

								BgL_arg1597z00_2709 =
									(((BgL_kwotez00_bglt) COBJECT(
											((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
								BgL_arg1605z00_2710 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_kwotez00_bglt) BgL_nodez00_2541))))->BgL_locz00);
								return
									BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00
									(BgL_arg1597z00_2709, BgL_arg1605z00_2710);
							}
						else
							{	/* Cnst/node.scm 72 */
								bool_t BgL_test2221z00_3722;

								{	/* Cnst/node.scm 72 */
									obj_t BgL_tmpz00_3723;

									BgL_tmpz00_3723 =
										(((BgL_kwotez00_bglt) COBJECT(
												((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
									BgL_test2221z00_3722 = PAIRP(BgL_tmpz00_3723);
								}
								if (BgL_test2221z00_3722)
									{	/* Cnst/node.scm 73 */
										obj_t BgL_arg1625z00_2711;
										obj_t BgL_arg1626z00_2712;

										BgL_arg1625z00_2711 =
											(((BgL_kwotez00_bglt) COBJECT(
													((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
											BgL_valuez00);
										BgL_arg1626z00_2712 =
											(((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_kwotez00_bglt)
															BgL_nodez00_2541))))->BgL_locz00);
										return
											BGl_cnstzd2alloczd2listz00zzcnst_allocz00
											(BgL_arg1625z00_2711, BgL_arg1626z00_2712);
									}
								else
									{	/* Cnst/node.scm 74 */
										bool_t BgL_test2222z00_3733;

										{	/* Cnst/node.scm 74 */
											obj_t BgL_tmpz00_3734;

											BgL_tmpz00_3734 =
												(((BgL_kwotez00_bglt) COBJECT(
														((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
												BgL_valuez00);
											BgL_test2222z00_3733 = VECTORP(BgL_tmpz00_3734);
										}
										if (BgL_test2222z00_3733)
											{	/* Cnst/node.scm 75 */
												obj_t BgL_arg1633z00_2713;
												obj_t BgL_arg1635z00_2714;

												BgL_arg1633z00_2713 =
													(((BgL_kwotez00_bglt) COBJECT(
															((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
													BgL_valuez00);
												BgL_arg1635z00_2714 =
													(((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_kwotez00_bglt)
																	BgL_nodez00_2541))))->BgL_locz00);
												return
													BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00
													(BgL_arg1633z00_2713, BgL_arg1635z00_2714);
											}
										else
											{	/* Cnst/node.scm 76 */
												bool_t BgL_test2223z00_3744;

												{	/* Cnst/node.scm 76 */
													obj_t BgL_tmpz00_3745;

													BgL_tmpz00_3745 =
														(((BgL_kwotez00_bglt) COBJECT(
																((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
														BgL_valuez00);
													BgL_test2223z00_3744 = BGL_HVECTORP(BgL_tmpz00_3745);
												}
												if (BgL_test2223z00_3744)
													{	/* Cnst/node.scm 77 */
														obj_t BgL_arg1642z00_2715;
														obj_t BgL_arg1643z00_2716;

														BgL_arg1642z00_2715 =
															(((BgL_kwotez00_bglt) COBJECT(
																	((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
															BgL_valuez00);
														BgL_arg1643z00_2716 =
															(((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_kwotez00_bglt)
																			BgL_nodez00_2541))))->BgL_locz00);
														return
															BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00
															(BgL_arg1642z00_2715, BgL_arg1643z00_2716);
													}
												else
													{	/* Cnst/node.scm 78 */
														bool_t BgL_test2224z00_3755;

														{	/* Cnst/node.scm 78 */
															obj_t BgL_tmpz00_3756;

															BgL_tmpz00_3756 =
																(((BgL_kwotez00_bglt) COBJECT(
																		((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
																BgL_valuez00);
															BgL_test2224z00_3755 = STRINGP(BgL_tmpz00_3756);
														}
														if (BgL_test2224z00_3755)
															{	/* Cnst/node.scm 79 */
																obj_t BgL_arg1650z00_2717;
																obj_t BgL_arg1653z00_2718;

																BgL_arg1650z00_2717 =
																	(((BgL_kwotez00_bglt) COBJECT(
																			((BgL_kwotez00_bglt) BgL_nodez00_2541)))->
																	BgL_valuez00);
																BgL_arg1653z00_2718 =
																	(((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt) (
																					(BgL_kwotez00_bglt)
																					BgL_nodez00_2541))))->BgL_locz00);
																return
																	BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
																	(BgL_arg1650z00_2717, BgL_arg1653z00_2718);
															}
														else
															{	/* Cnst/node.scm 80 */
																bool_t BgL_test2225z00_3766;

																{	/* Cnst/node.scm 80 */
																	obj_t BgL_tmpz00_3767;

																	BgL_tmpz00_3767 =
																		(((BgL_kwotez00_bglt) COBJECT(
																				((BgL_kwotez00_bglt)
																					BgL_nodez00_2541)))->BgL_valuez00);
																	BgL_test2225z00_3766 =
																		UCS2_STRINGP(BgL_tmpz00_3767);
																}
																if (BgL_test2225z00_3766)
																	{	/* Cnst/node.scm 81 */
																		obj_t BgL_arg1660z00_2719;
																		obj_t BgL_arg1663z00_2720;

																		BgL_arg1660z00_2719 =
																			(((BgL_kwotez00_bglt) COBJECT(
																					((BgL_kwotez00_bglt)
																						BgL_nodez00_2541)))->BgL_valuez00);
																		BgL_arg1663z00_2720 =
																			(((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_kwotez00_bglt)
																							BgL_nodez00_2541))))->BgL_locz00);
																		return
																			BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00
																			(BgL_arg1660z00_2719,
																			BgL_arg1663z00_2720);
																	}
																else
																	{	/* Cnst/node.scm 82 */
																		bool_t BgL_test2226z00_3777;

																		{	/* Cnst/node.scm 82 */
																			obj_t BgL_arg1882z00_2721;

																			BgL_arg1882z00_2721 =
																				(((BgL_kwotez00_bglt) COBJECT(
																						((BgL_kwotez00_bglt)
																							BgL_nodez00_2541)))->
																				BgL_valuez00);
																			if (STRUCTP(BgL_arg1882z00_2721))
																				{	/* Cnst/node.scm 82 */
																					BgL_test2226z00_3777 =
																						(STRUCT_KEY(BgL_arg1882z00_2721) ==
																						((obj_t) CNST_TABLE_REF(8)));
																				}
																			else
																				{	/* Cnst/node.scm 82 */
																					BgL_test2226z00_3777 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test2226z00_3777)
																			{	/* Cnst/node.scm 83 */
																				obj_t BgL_arg1673z00_2722;
																				obj_t BgL_arg1674z00_2723;

																				BgL_arg1673z00_2722 =
																					(((BgL_kwotez00_bglt) COBJECT(
																							((BgL_kwotez00_bglt)
																								BgL_nodez00_2541)))->
																					BgL_valuez00);
																				BgL_arg1674z00_2723 =
																					(((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt) (
																									(BgL_kwotez00_bglt)
																									BgL_nodez00_2541))))->
																					BgL_locz00);
																				return
																					BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00
																					(BgL_arg1673z00_2722,
																					BgL_arg1674z00_2723);
																			}
																		else
																			{	/* Cnst/node.scm 84 */
																				bool_t BgL_test2228z00_3792;

																				{	/* Cnst/node.scm 84 */
																					bool_t BgL_test2229z00_3793;

																					{	/* Cnst/node.scm 84 */
																						obj_t BgL_tmpz00_3794;

																						BgL_tmpz00_3794 =
																							(((BgL_kwotez00_bglt) COBJECT(
																									((BgL_kwotez00_bglt)
																										BgL_nodez00_2541)))->
																							BgL_valuez00);
																						BgL_test2229z00_3793 =
																							CHARP(BgL_tmpz00_3794);
																					}
																					if (BgL_test2229z00_3793)
																						{	/* Cnst/node.scm 84 */
																							BgL_test2228z00_3792 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Cnst/node.scm 84 */
																							if (INTEGERP(
																									(((BgL_kwotez00_bglt) COBJECT(
																												((BgL_kwotez00_bglt)
																													BgL_nodez00_2541)))->
																										BgL_valuez00)))
																								{	/* Cnst/node.scm 85 */
																									BgL_test2228z00_3792 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cnst/node.scm 86 */
																									bool_t BgL_test2231z00_3802;

																									{	/* Cnst/node.scm 86 */
																										obj_t BgL_tmpz00_3803;

																										BgL_tmpz00_3803 =
																											(((BgL_kwotez00_bglt)
																												COBJECT((
																														(BgL_kwotez00_bglt)
																														BgL_nodez00_2541)))->
																											BgL_valuez00);
																										BgL_test2231z00_3802 =
																											BOOLEANP(BgL_tmpz00_3803);
																									}
																									if (BgL_test2231z00_3802)
																										{	/* Cnst/node.scm 86 */
																											BgL_test2228z00_3792 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cnst/node.scm 87 */
																											bool_t
																												BgL_test2232z00_3807;
																											{	/* Cnst/node.scm 87 */
																												obj_t
																													BgL_arg1872z00_2724;
																												BgL_arg1872z00_2724 =
																													(((BgL_kwotez00_bglt)
																														COBJECT((
																																(BgL_kwotez00_bglt)
																																BgL_nodez00_2541)))->
																													BgL_valuez00);
																												if (INTEGERP
																													(BgL_arg1872z00_2724))
																													{	/* Cnst/node.scm 87 */
																														BgL_test2232z00_3807
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cnst/node.scm 87 */
																														BgL_test2232z00_3807
																															=
																															REALP
																															(BgL_arg1872z00_2724);
																													}
																											}
																											if (BgL_test2232z00_3807)
																												{	/* Cnst/node.scm 87 */
																													BgL_test2228z00_3792 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Cnst/node.scm 88 */
																													bool_t
																														BgL_test2234z00_3813;
																													{	/* Cnst/node.scm 88 */
																														obj_t
																															BgL_tmpz00_3814;
																														BgL_tmpz00_3814 =
																															(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																														BgL_test2234z00_3813
																															=
																															CNSTP
																															(BgL_tmpz00_3814);
																													}
																													if (BgL_test2234z00_3813)
																														{	/* Cnst/node.scm 88 */
																															BgL_test2228z00_3792
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Cnst/node.scm 89 */
																															bool_t
																																BgL_test2235z00_3818;
																															{	/* Cnst/node.scm 89 */
																																obj_t
																																	BgL_tmpz00_3819;
																																BgL_tmpz00_3819
																																	=
																																	(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																BgL_test2235z00_3818
																																	=
																																	ELONGP
																																	(BgL_tmpz00_3819);
																															}
																															if (BgL_test2235z00_3818)
																																{	/* Cnst/node.scm 89 */
																																	BgL_test2228z00_3792
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Cnst/node.scm 90 */
																																	bool_t
																																		BgL_test2236z00_3823;
																																	{	/* Cnst/node.scm 90 */
																																		obj_t
																																			BgL_tmpz00_3824;
																																		BgL_tmpz00_3824
																																			=
																																			(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																		BgL_test2236z00_3823
																																			=
																																			LLONGP
																																			(BgL_tmpz00_3824);
																																	}
																																	if (BgL_test2236z00_3823)
																																		{	/* Cnst/node.scm 90 */
																																			BgL_test2228z00_3792
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Cnst/node.scm 91 */
																																			bool_t
																																				BgL_test2237z00_3828;
																																			{	/* Cnst/node.scm 91 */
																																				obj_t
																																					BgL_tmpz00_3829;
																																				BgL_tmpz00_3829
																																					=
																																					(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																				BgL_test2237z00_3828
																																					=
																																					BGL_INT8P
																																					(BgL_tmpz00_3829);
																																			}
																																			if (BgL_test2237z00_3828)
																																				{	/* Cnst/node.scm 91 */
																																					BgL_test2228z00_3792
																																						=
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Cnst/node.scm 92 */
																																					bool_t
																																						BgL_test2238z00_3833;
																																					{	/* Cnst/node.scm 92 */
																																						obj_t
																																							BgL_tmpz00_3834;
																																						BgL_tmpz00_3834
																																							=
																																							(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																						BgL_test2238z00_3833
																																							=
																																							BGL_UINT8P
																																							(BgL_tmpz00_3834);
																																					}
																																					if (BgL_test2238z00_3833)
																																						{	/* Cnst/node.scm 92 */
																																							BgL_test2228z00_3792
																																								=
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Cnst/node.scm 93 */
																																							bool_t
																																								BgL_test2239z00_3838;
																																							{	/* Cnst/node.scm 93 */
																																								obj_t
																																									BgL_tmpz00_3839;
																																								BgL_tmpz00_3839
																																									=
																																									(
																																									((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																								BgL_test2239z00_3838
																																									=
																																									BGL_INT16P
																																									(BgL_tmpz00_3839);
																																							}
																																							if (BgL_test2239z00_3838)
																																								{	/* Cnst/node.scm 93 */
																																									BgL_test2228z00_3792
																																										=
																																										(
																																										(bool_t)
																																										1);
																																								}
																																							else
																																								{	/* Cnst/node.scm 94 */
																																									bool_t
																																										BgL_test2240z00_3843;
																																									{	/* Cnst/node.scm 94 */
																																										obj_t
																																											BgL_tmpz00_3844;
																																										BgL_tmpz00_3844
																																											=
																																											(
																																											((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																										BgL_test2240z00_3843
																																											=
																																											BGL_UINT16P
																																											(BgL_tmpz00_3844);
																																									}
																																									if (BgL_test2240z00_3843)
																																										{	/* Cnst/node.scm 94 */
																																											BgL_test2228z00_3792
																																												=
																																												(
																																												(bool_t)
																																												1);
																																										}
																																									else
																																										{	/* Cnst/node.scm 95 */
																																											bool_t
																																												BgL_test2241z00_3848;
																																											{	/* Cnst/node.scm 95 */
																																												obj_t
																																													BgL_tmpz00_3849;
																																												BgL_tmpz00_3849
																																													=
																																													(
																																													((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																												BgL_test2241z00_3848
																																													=
																																													BGL_INT32P
																																													(BgL_tmpz00_3849);
																																											}
																																											if (BgL_test2241z00_3848)
																																												{	/* Cnst/node.scm 95 */
																																													BgL_test2228z00_3792
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Cnst/node.scm 96 */
																																													bool_t
																																														BgL_test2242z00_3853;
																																													{	/* Cnst/node.scm 96 */
																																														obj_t
																																															BgL_tmpz00_3854;
																																														BgL_tmpz00_3854
																																															=
																																															(
																																															((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																														BgL_test2242z00_3853
																																															=
																																															BGL_UINT32P
																																															(BgL_tmpz00_3854);
																																													}
																																													if (BgL_test2242z00_3853)
																																														{	/* Cnst/node.scm 96 */
																																															BgL_test2228z00_3792
																																																=
																																																(
																																																(bool_t)
																																																1);
																																														}
																																													else
																																														{	/* Cnst/node.scm 97 */
																																															bool_t
																																																BgL_test2243z00_3858;
																																															{	/* Cnst/node.scm 97 */
																																																obj_t
																																																	BgL_tmpz00_3859;
																																																BgL_tmpz00_3859
																																																	=
																																																	(
																																																	((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																																BgL_test2243z00_3858
																																																	=
																																																	BGL_INT64P
																																																	(BgL_tmpz00_3859);
																																															}
																																															if (BgL_test2243z00_3858)
																																																{	/* Cnst/node.scm 97 */
																																																	BgL_test2228z00_3792
																																																		=
																																																		(
																																																		(bool_t)
																																																		1);
																																																}
																																															else
																																																{	/* Cnst/node.scm 98 */
																																																	obj_t
																																																		BgL_tmpz00_3863;
																																																	BgL_tmpz00_3863
																																																		=
																																																		(
																																																		((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																																																	BgL_test2228z00_3792
																																																		=
																																																		BGL_UINT64P
																																																		(BgL_tmpz00_3863);
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																				if (BgL_test2228z00_3792)
																					{	/* Cnst/node.scm 99 */
																						BgL_literalz00_bglt
																							BgL_new1139z00_2725;
																						{	/* Cnst/node.scm 100 */
																							BgL_literalz00_bglt
																								BgL_new1138z00_2726;
																							BgL_new1138z00_2726 =
																								((BgL_literalz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_literalz00_bgl))));
																							{	/* Cnst/node.scm 100 */
																								long BgL_arg1797z00_2727;

																								BgL_arg1797z00_2727 =
																									BGL_CLASS_NUM
																									(BGl_literalz00zzast_nodez00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1138z00_2726),
																									BgL_arg1797z00_2727);
																							}
																							{	/* Cnst/node.scm 100 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_3871;
																								BgL_tmpz00_3871 =
																									((BgL_objectz00_bglt)
																									BgL_new1138z00_2726);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_3871, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1138z00_2726);
																							BgL_new1139z00_2725 =
																								BgL_new1138z00_2726;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1139z00_2725)))->
																								BgL_locz00) =
																							((obj_t) (((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												((BgL_kwotez00_bglt)
																													BgL_nodez00_2541))))->
																									BgL_locz00)), BUNSPEC);
																						{
																							BgL_typez00_bglt BgL_auxz00_3880;

																							{	/* Cnst/node.scm 101 */
																								BgL_typez00_bglt
																									BgL_arg1789z00_2728;
																								BgL_typez00_bglt
																									BgL_arg1790z00_2729;
																								{	/* Cnst/node.scm 101 */
																									obj_t BgL_arg1796z00_2730;

																									BgL_arg1796z00_2730 =
																										(((BgL_kwotez00_bglt)
																											COBJECT((
																													(BgL_kwotez00_bglt)
																													BgL_nodez00_2541)))->
																										BgL_valuez00);
																									BgL_arg1789z00_2728 =
																										BGl_getzd2typezd2atomz00zztype_typeofz00
																										(BgL_arg1796z00_2730);
																								}
																								BgL_arg1790z00_2729 =
																									(((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												((BgL_kwotez00_bglt)
																													BgL_nodez00_2541))))->
																									BgL_typez00);
																								BgL_auxz00_3880 =
																									BGl_strictzd2nodezd2typez00zzast_nodez00
																									(BgL_arg1789z00_2728,
																									BgL_arg1790z00_2729);
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1139z00_2725)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_auxz00_3880), BUNSPEC);
																						}
																						((((BgL_atomz00_bglt) COBJECT(
																										((BgL_atomz00_bglt)
																											BgL_new1139z00_2725)))->
																								BgL_valuez00) =
																							((obj_t) (((BgL_kwotez00_bglt)
																										COBJECT(((BgL_kwotez00_bglt)
																												BgL_nodez00_2541)))->
																									BgL_valuez00)), BUNSPEC);
																						return ((BgL_nodez00_bglt)
																							BgL_new1139z00_2725);
																					}
																				else
																					{	/* Cnst/node.scm 103 */
																						bool_t BgL_test2244z00_3895;

																						{	/* Cnst/node.scm 103 */
																							obj_t BgL_tmpz00_3896;

																							BgL_tmpz00_3896 =
																								(((BgL_kwotez00_bglt) COBJECT(
																										((BgL_kwotez00_bglt)
																											BgL_nodez00_2541)))->
																								BgL_valuez00);
																							BgL_test2244z00_3895 =
																								BIGNUMP(BgL_tmpz00_3896);
																						}
																						if (BgL_test2244z00_3895)
																							{	/* Cnst/node.scm 104 */
																								obj_t BgL__ortest_1140z00_2731;

																								{	/* Cnst/node.scm 104 */
																									obj_t BgL_arg1810z00_2732;
																									obj_t BgL_arg1811z00_2733;

																									BgL_arg1810z00_2732 =
																										(((BgL_kwotez00_bglt)
																											COBJECT((
																													(BgL_kwotez00_bglt)
																													BgL_nodez00_2541)))->
																										BgL_valuez00);
																									BgL_arg1811z00_2733 =
																										(((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt) (
																														(BgL_kwotez00_bglt)
																														BgL_nodez00_2541))))->
																										BgL_locz00);
																									BgL__ortest_1140z00_2731 =
																										BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00
																										(BgL_arg1810z00_2732,
																										BgL_arg1811z00_2733);
																								}
																								if (CBOOL
																									(BgL__ortest_1140z00_2731))
																									{	/* Cnst/node.scm 104 */
																										return
																											((BgL_nodez00_bglt)
																											BgL__ortest_1140z00_2731);
																									}
																								else
																									{	/* Cnst/node.scm 105 */
																										BgL_literalz00_bglt
																											BgL_new1142z00_2734;
																										{	/* Cnst/node.scm 106 */
																											BgL_literalz00_bglt
																												BgL_new1141z00_2735;
																											BgL_new1141z00_2735 =
																												((BgL_literalz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_literalz00_bgl))));
																											{	/* Cnst/node.scm 106 */
																												long
																													BgL_arg1804z00_2736;
																												BgL_arg1804z00_2736 =
																													BGL_CLASS_NUM
																													(BGl_literalz00zzast_nodez00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1141z00_2735),
																													BgL_arg1804z00_2736);
																											}
																											{	/* Cnst/node.scm 106 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_3913;
																												BgL_tmpz00_3913 =
																													((BgL_objectz00_bglt)
																													BgL_new1141z00_2735);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_3913,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1141z00_2735);
																											BgL_new1142z00_2734 =
																												BgL_new1141z00_2735;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1142z00_2734)))->
																												BgL_locz00) =
																											((obj_t) ((
																														(BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																((BgL_kwotez00_bglt) BgL_nodez00_2541))))->BgL_locz00)), BUNSPEC);
																										{
																											BgL_typez00_bglt
																												BgL_auxz00_3922;
																											{	/* Cnst/node.scm 107 */
																												BgL_typez00_bglt
																													BgL_arg1801z00_2737;
																												BgL_typez00_bglt
																													BgL_arg1802z00_2738;
																												{	/* Cnst/node.scm 107 */
																													obj_t
																														BgL_arg1803z00_2739;
																													BgL_arg1803z00_2739 =
																														(((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_2541)))->BgL_valuez00);
																													BgL_arg1801z00_2737 =
																														BGl_getzd2typezd2atomz00zztype_typeofz00
																														(BgL_arg1803z00_2739);
																												}
																												BgL_arg1802z00_2738 =
																													(((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																((BgL_kwotez00_bglt) BgL_nodez00_2541))))->BgL_typez00);
																												BgL_auxz00_3922 =
																													BGl_strictzd2nodezd2typez00zzast_nodez00
																													(BgL_arg1801z00_2737,
																													BgL_arg1802z00_2738);
																											}
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1142z00_2734)))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_auxz00_3922),
																												BUNSPEC);
																										}
																										((((BgL_atomz00_bglt)
																													COBJECT((
																															(BgL_atomz00_bglt)
																															BgL_new1142z00_2734)))->
																												BgL_valuez00) =
																											((obj_t) ((
																														(BgL_kwotez00_bglt)
																														COBJECT((
																																(BgL_kwotez00_bglt)
																																BgL_nodez00_2541)))->
																													BgL_valuez00)),
																											BUNSPEC);
																										return ((BgL_nodez00_bglt)
																											BgL_new1142z00_2734);
																									}
																							}
																						else
																							{	/* Cnst/node.scm 109 */
																								bool_t BgL_test2246z00_3937;

																								{	/* Cnst/node.scm 109 */
																									obj_t BgL_tmpz00_3938;

																									BgL_tmpz00_3938 =
																										(((BgL_kwotez00_bglt)
																											COBJECT((
																													(BgL_kwotez00_bglt)
																													BgL_nodez00_2541)))->
																										BgL_valuez00);
																									BgL_test2246z00_3937 =
																										STRUCTP(BgL_tmpz00_3938);
																								}
																								if (BgL_test2246z00_3937)
																									{	/* Cnst/node.scm 110 */
																										obj_t BgL_arg1818z00_2740;
																										obj_t BgL_arg1821z00_2741;

																										BgL_arg1818z00_2740 =
																											(((BgL_kwotez00_bglt)
																												COBJECT((
																														(BgL_kwotez00_bglt)
																														BgL_nodez00_2541)))->
																											BgL_valuez00);
																										BgL_arg1821z00_2741 =
																											(((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt) (
																															(BgL_kwotez00_bglt)
																															BgL_nodez00_2541))))->
																											BgL_locz00);
																										return
																											BGl_cnstzd2alloczd2structz00zzcnst_allocz00
																											(BgL_arg1818z00_2740,
																											BgL_arg1821z00_2741);
																									}
																								else
																									{	/* Cnst/node.scm 112 */
																										obj_t BgL_arg1822z00_2742;

																										BgL_arg1822z00_2742 =
																											BGl_shapez00zztools_shapez00
																											(((obj_t) (
																													(BgL_kwotez00_bglt)
																													BgL_nodez00_2541)));
																										return ((BgL_nodez00_bglt)
																											BGl_internalzd2errorzd2zztools_errorz00
																											(BGl_string2120z00zzcnst_nodez00,
																												BGl_string2121z00zzcnst_nodez00,
																												BgL_arg1822z00_2742));
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &cnst!-patch1311 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2patch1311za2zzcnst_nodez00(obj_t
		BgL_envz00_2542, obj_t BgL_nodez00_2543)
	{
		{	/* Cnst/node.scm 57 */
			{	/* Cnst/node.scm 59 */
				obj_t BgL_arg1587z00_2744;

				BgL_arg1587z00_2744 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_2543))))->BgL_valuez00);
				BGl_cnstz12z12zzcnst_nodez00(((BgL_nodez00_bglt) BgL_arg1587z00_2744));
			}
			return ((BgL_nodez00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_2543));
		}

	}



/* &cnst!-literal1309 */
	BgL_nodez00_bglt BGl_z62cnstz12zd2literal1309za2zzcnst_nodez00(obj_t
		BgL_envz00_2544, obj_t BgL_nodez00_2545)
	{
		{	/* Cnst/node.scm 45 */
			{	/* Cnst/node.scm 48 */
				bool_t BgL_test2247z00_3960;

				{	/* Cnst/node.scm 48 */
					obj_t BgL_tmpz00_3961;

					BgL_tmpz00_3961 =
						(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_nodez00_2545))))->BgL_valuez00);
					BgL_test2247z00_3960 = KEYWORDP(BgL_tmpz00_3961);
				}
				if (BgL_test2247z00_3960)
					{	/* Cnst/node.scm 48 */
						obj_t BgL_arg1513z00_2746;
						obj_t BgL_arg1515z00_2747;

						BgL_arg1513z00_2746 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_literalz00_bglt) BgL_nodez00_2545))))->BgL_valuez00);
						BgL_arg1515z00_2747 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_nodez00_2545))))->BgL_locz00);
						return
							BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(BgL_arg1513z00_2746,
							BgL_arg1515z00_2747);
					}
				else
					{	/* Cnst/node.scm 49 */
						bool_t BgL_test2248z00_3973;

						{	/* Cnst/node.scm 49 */
							obj_t BgL_tmpz00_3974;

							BgL_tmpz00_3974 =
								(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt)
											((BgL_literalz00_bglt) BgL_nodez00_2545))))->
								BgL_valuez00);
							BgL_test2248z00_3973 = UCS2_STRINGP(BgL_tmpz00_3974);
						}
						if (BgL_test2248z00_3973)
							{	/* Cnst/node.scm 49 */
								obj_t BgL_arg1530z00_2748;
								obj_t BgL_arg1532z00_2749;

								BgL_arg1530z00_2748 =
									(((BgL_atomz00_bglt) COBJECT(
											((BgL_atomz00_bglt)
												((BgL_literalz00_bglt) BgL_nodez00_2545))))->
									BgL_valuez00);
								BgL_arg1532z00_2749 =
									(((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_literalz00_bglt)
													BgL_nodez00_2545))))->BgL_locz00);
								return
									BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00
									(BgL_arg1530z00_2748, BgL_arg1532z00_2749);
							}
						else
							{	/* Cnst/node.scm 50 */
								bool_t BgL_test2249z00_3986;

								{	/* Cnst/node.scm 50 */
									obj_t BgL_tmpz00_3987;

									BgL_tmpz00_3987 =
										(((BgL_atomz00_bglt) COBJECT(
												((BgL_atomz00_bglt)
													((BgL_literalz00_bglt) BgL_nodez00_2545))))->
										BgL_valuez00);
									BgL_test2249z00_3986 = STRINGP(BgL_tmpz00_3987);
								}
								if (BgL_test2249z00_3986)
									{	/* Cnst/node.scm 50 */
										obj_t BgL_arg1543z00_2750;
										obj_t BgL_arg1545z00_2751;

										BgL_arg1543z00_2750 =
											(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														((BgL_literalz00_bglt) BgL_nodez00_2545))))->
											BgL_valuez00);
										BgL_arg1545z00_2751 =
											(((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_literalz00_bglt)
															BgL_nodez00_2545))))->BgL_locz00);
										return
											BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
											(BgL_arg1543z00_2750, BgL_arg1545z00_2751);
									}
								else
									{	/* Cnst/node.scm 51 */
										bool_t BgL_test2250z00_3999;

										{	/* Cnst/node.scm 51 */
											obj_t BgL_tmpz00_4000;

											BgL_tmpz00_4000 =
												(((BgL_atomz00_bglt) COBJECT(
														((BgL_atomz00_bglt)
															((BgL_literalz00_bglt) BgL_nodez00_2545))))->
												BgL_valuez00);
											BgL_test2250z00_3999 = BIGNUMP(BgL_tmpz00_4000);
										}
										if (BgL_test2250z00_3999)
											{	/* Cnst/node.scm 51 */
												obj_t BgL__ortest_1135z00_2752;

												{	/* Cnst/node.scm 51 */
													obj_t BgL_arg1558z00_2753;
													obj_t BgL_arg1560z00_2754;

													BgL_arg1558z00_2753 =
														(((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	((BgL_literalz00_bglt) BgL_nodez00_2545))))->
														BgL_valuez00);
													BgL_arg1560z00_2754 =
														(((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_literalz00_bglt)
																		BgL_nodez00_2545))))->BgL_locz00);
													BgL__ortest_1135z00_2752 =
														BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00
														(BgL_arg1558z00_2753, BgL_arg1560z00_2754);
												}
												if (CBOOL(BgL__ortest_1135z00_2752))
													{	/* Cnst/node.scm 51 */
														return
															((BgL_nodez00_bglt) BgL__ortest_1135z00_2752);
													}
												else
													{	/* Cnst/node.scm 51 */
														return
															((BgL_nodez00_bglt)
															((BgL_literalz00_bglt) BgL_nodez00_2545));
													}
											}
										else
											{	/* Cnst/node.scm 51 */
												return
													((BgL_nodez00_bglt)
													((BgL_literalz00_bglt) BgL_nodez00_2545));
											}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_nodez00(void)
	{
		{	/* Cnst/node.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			BGl_modulezd2initializa7ationz75zzcnst_cachez00(379900282L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzcnst_allocz00(117763019L,
				BSTRING_TO_STRING(BGl_string2122z00zzcnst_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
