/*===========================================================================*/
/*   (Expand/object.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Expand/object.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_EXPAND_OBJECT_TYPE_DEFINITIONS
#define BGL_EXPAND_OBJECT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


#endif													// BGL_EXPAND_OBJECT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_objectz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzexpand_objectz00(void);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	static obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzexpand_objectz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_slotz00zzobject_slotsz00;
	BGL_IMPORT obj_t make_vector(long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_objectz00(void);
	static obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32312ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	static obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_lexicalzd2stackzd2zzexpand_epsz00(void);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32344ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31381ze3ze5zzexpand_objectz00(obj_t);
	static obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_objectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_inlinezd2definitionzd2queuez00zzread_inlinez00(void);
	static bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t, obj_t);
	extern obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00(void);
	static obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzexpand_objectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[46];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2definezd2classzd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2defi2768z00,
		BGl_z62expandzd2definezd2classz62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2shrinkz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2shri2769z00,
		BGl_z62expandzd2shrinkz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2widenz12zd2envz12zzexpand_objectz00,
		BgL_bgl_za762expandza7d2wide2770z00,
		BGl_z62expandzd2widenz12za2zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2duplicatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2dupl2771z00,
		BGl_z62expandzd2duplicatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2742z00zzexpand_objectz00,
		BgL_bgl_string2742za700za7za7e2772za7, "Illegal define-class", 20);
	      DEFINE_STRING(BGl_string2743z00zzexpand_objectz00,
		BgL_bgl_string2743za700za7za7e2773za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2744z00zzexpand_objectz00,
		BgL_bgl_string2744za700za7za7e2774za7, "Illegal field", 13);
	      DEFINE_STRING(BGl_string2745z00zzexpand_objectz00,
		BgL_bgl_string2745za700za7za7e2775za7, "Illegal class", 13);
	      DEFINE_STRING(BGl_string2746z00zzexpand_objectz00,
		BgL_bgl_string2746za700za7za7e2776za7, "with-access", 11);
	      DEFINE_STRING(BGl_string2747z00zzexpand_objectz00,
		BgL_bgl_string2747za700za7za7e2777za7, "No such field", 13);
	      DEFINE_STRING(BGl_string2748z00zzexpand_objectz00,
		BgL_bgl_string2748za700za7za7e2778za7,
		"Abstract classes can't be instantiated", 38);
	      DEFINE_STRING(BGl_string2749z00zzexpand_objectz00,
		BgL_bgl_string2749za700za7za7e2779za7, "Cannot find class definition", 28);
	      DEFINE_STRING(BGl_string2750z00zzexpand_objectz00,
		BgL_bgl_string2750za700za7za7e2780za7, "instantiate", 11);
	      DEFINE_STRING(BGl_string2751z00zzexpand_objectz00,
		BgL_bgl_string2751za700za7za7e2781za7, "Illegal argument \"~a\"", 21);
	      DEFINE_STRING(BGl_string2752z00zzexpand_objectz00,
		BgL_bgl_string2752za700za7za7e2782za7,
		"Cannot inline slot \"~s\" default value", 37);
	      DEFINE_STRING(BGl_string2753z00zzexpand_objectz00,
		BgL_bgl_string2753za700za7za7e2783za7, "Missing value for field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2754z00zzexpand_objectz00,
		BgL_bgl_string2754za700za7za7e2784za7, "co-instantiate", 14);
	      DEFINE_STRING(BGl_string2755z00zzexpand_objectz00,
		BgL_bgl_string2755za700za7za7e2785za7, "Illegal binding", 15);
	      DEFINE_STRING(BGl_string2756z00zzexpand_objectz00,
		BgL_bgl_string2756za700za7za7e2786za7, "Illegal variable type", 21);
	      DEFINE_STRING(BGl_string2757z00zzexpand_objectz00,
		BgL_bgl_string2757za700za7za7e2787za7,
		"Abstract classes can't be duplicated", 36);
	      DEFINE_STRING(BGl_string2758z00zzexpand_objectz00,
		BgL_bgl_string2758za700za7za7e2788za7, "Illegal class type \"~a\"", 23);
	      DEFINE_STRING(BGl_string2759z00zzexpand_objectz00,
		BgL_bgl_string2759za700za7za7e2789za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string2760z00zzexpand_objectz00,
		BgL_bgl_string2760za700za7za7e2790za7, "wident!", 7);
	      DEFINE_STRING(BGl_string2761z00zzexpand_objectz00,
		BgL_bgl_string2761za700za7za7e2791za7, "Illegal shrink!", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2instantiatezd2envz00zzexpand_objectz00,
		BgL_bgl_za762expandza7d2inst2792z00,
		BGl_z62expandzd2instantiatezb0zzexpand_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2762z00zzexpand_objectz00,
		BgL_bgl_string2762za700za7za7e2793za7, "shrink!", 7);
	      DEFINE_STRING(BGl_string2763z00zzexpand_objectz00,
		BgL_bgl_string2763za700za7za7e2794za7, "Not a wide object", 17);
	      DEFINE_STRING(BGl_string2764z00zzexpand_objectz00,
		BgL_bgl_string2764za700za7za7e2795za7, "Field unknown \"~a\"", 18);
	      DEFINE_STRING(BGl_string2765z00zzexpand_objectz00,
		BgL_bgl_string2765za700za7za7e2796za7, "expand_object", 13);
	      DEFINE_STRING(BGl_string2766z00zzexpand_objectz00,
		BgL_bgl_string2766za700za7za7e2797za7,
		"if error object-widening object? object-widening-set! object-class class-super class-num object-class-num-set! o shrink! cast duplicated tmp instantiate co-instantiate bit-rsh bit-lsh bit-xor bit-and bit-or - + class-nil lambda begin quote sifun default-inline no-literal define-inline class-constructor new class-field-default-value vector-ref-ur @ class-all-fields __object set! let i define-class static define-abstract-class define-final-class class ",
		454);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2cozd2instantiatezd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2coza7d2798za7,
		BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2accesszd2envzd2zzexpand_objectz00,
		BgL_bgl_za762expandza7d2with2799z00,
		BGl_z62expandzd2withzd2accessz62zzexpand_objectz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzexpand_objectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_objectz00(long
		BgL_checksumz00_4277, char *BgL_fromz00_4278)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_objectz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_objectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzexpand_objectz00();
					BGl_libraryzd2moduleszd2initz00zzexpand_objectz00();
					BGl_cnstzd2initzd2zzexpand_objectz00();
					BGl_importedzd2moduleszd2initz00zzexpand_objectz00();
					return BGl_methodzd2initzd2zzexpand_objectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "expand_object");
			BGl_modulezd2initializa7ationz75zz__prognz00(0L, "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"expand_object");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"expand_object");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			{	/* Expand/object.scm 15 */
				obj_t BgL_cportz00_4199;

				{	/* Expand/object.scm 15 */
					obj_t BgL_stringz00_4206;

					BgL_stringz00_4206 = BGl_string2766z00zzexpand_objectz00;
					{	/* Expand/object.scm 15 */
						obj_t BgL_startz00_4207;

						BgL_startz00_4207 = BINT(0L);
						{	/* Expand/object.scm 15 */
							obj_t BgL_endz00_4208;

							BgL_endz00_4208 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4206)));
							{	/* Expand/object.scm 15 */

								BgL_cportz00_4199 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4206, BgL_startz00_4207, BgL_endz00_4208);
				}}}}
				{
					long BgL_iz00_4200;

					BgL_iz00_4200 = 45L;
				BgL_loopz00_4201:
					if ((BgL_iz00_4200 == (-1L)))
						{	/* Expand/object.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/object.scm 15 */
							{	/* Expand/object.scm 15 */
								obj_t BgL_arg2767z00_4202;

								{	/* Expand/object.scm 15 */

									{	/* Expand/object.scm 15 */
										obj_t BgL_locationz00_4204;

										BgL_locationz00_4204 = BBOOL(((bool_t) 0));
										{	/* Expand/object.scm 15 */

											BgL_arg2767z00_4202 =
												BGl_readz00zz__readerz00(BgL_cportz00_4199,
												BgL_locationz00_4204);
										}
									}
								}
								{	/* Expand/object.scm 15 */
									int BgL_tmpz00_4313;

									BgL_tmpz00_4313 = (int) (BgL_iz00_4200);
									CNST_TABLE_SET(BgL_tmpz00_4313, BgL_arg2767z00_4202);
							}}
							{	/* Expand/object.scm 15 */
								int BgL_auxz00_4205;

								BgL_auxz00_4205 = (int) ((BgL_iz00_4200 - 1L));
								{
									long BgL_iz00_4318;

									BgL_iz00_4318 = (long) (BgL_auxz00_4205);
									BgL_iz00_4200 = BgL_iz00_4318;
									goto BgL_loopz00_4201;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* expand-define-class */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2definezd2classz00zzexpand_objectz00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		{	/* Expand/object.scm 52 */
			{
				obj_t BgL_restz00_1678;

				if (PAIRP(BgL_xz00_3))
					{	/* Expand/object.scm 53 */
						obj_t BgL_carzd2106zd2_1683;
						obj_t BgL_cdrzd2107zd2_1684;

						BgL_carzd2106zd2_1683 = CAR(((obj_t) BgL_xz00_3));
						BgL_cdrzd2107zd2_1684 = CDR(((obj_t) BgL_xz00_3));
						if ((BgL_carzd2106zd2_1683 == ((obj_t) CNST_TABLE_REF(4))))
							{	/* Expand/object.scm 53 */
								BgL_restz00_1678 = BgL_cdrzd2107zd2_1684;
							BgL_tagzd2101zd2_1679:
								{	/* Expand/object.scm 55 */
									obj_t BgL_nxz00_1689;

									{	/* Expand/object.scm 55 */
										obj_t BgL_arg1331z00_1697;

										BgL_arg1331z00_1697 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(0)), BgL_restz00_1678);
										BgL_nxz00_1689 =
											BGl_evepairifyz00zz__prognz00(BgL_arg1331z00_1697,
											BgL_xz00_3);
									}
									{	/* Expand/object.scm 55 */
										obj_t BgL_protoz00_1690;

										BgL_protoz00_1690 =
											BGl_parsezd2prototypezd2zzmodule_prototypez00
											(BgL_nxz00_1689);
										{	/* Expand/object.scm 56 */

											if (CBOOL(BgL_protoz00_1690))
												{	/* Expand/object.scm 57 */
													{	/* Expand/object.scm 61 */
														obj_t BgL_arg1319z00_1691;
														bool_t BgL_arg1320z00_1692;
														bool_t BgL_arg1321z00_1693;

														BgL_arg1319z00_1691 =
															CDR(((obj_t) BgL_protoz00_1690));
														BgL_arg1320z00_1692 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															((obj_t) CNST_TABLE_REF(1)));
														BgL_arg1321z00_1693 =
															(CAR(
																((obj_t) BgL_xz00_3)) ==
															((obj_t) CNST_TABLE_REF(2)));
														BGl_declarezd2classz12zc0zzmodule_classz00
															(BgL_arg1319z00_1691,
															BGl_za2moduleza2z00zzmodule_modulez00,
															((obj_t) CNST_TABLE_REF(3)), BgL_arg1320z00_1692,
															BgL_arg1321z00_1693, BgL_nxz00_1689, BFALSE);
													}
													return
														BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00
														();
												}
											else
												{	/* Expand/object.scm 58 */
													obj_t BgL_arg1327z00_1696;

													BgL_arg1327z00_1696 = CAR(((obj_t) BgL_xz00_3));
													return
														BGl_errorz00zz__errorz00(BgL_arg1327z00_1696,
														BGl_string2742z00zzexpand_objectz00, BgL_xz00_3);
												}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 53 */
								if ((BgL_carzd2106zd2_1683 == ((obj_t) CNST_TABLE_REF(1))))
									{
										obj_t BgL_restz00_4361;

										BgL_restz00_4361 = BgL_cdrzd2107zd2_1684;
										BgL_restz00_1678 = BgL_restz00_4361;
										goto BgL_tagzd2101zd2_1679;
									}
								else
									{	/* Expand/object.scm 53 */
										if ((BgL_carzd2106zd2_1683 == ((obj_t) CNST_TABLE_REF(2))))
											{
												obj_t BgL_restz00_4366;

												BgL_restz00_4366 = BgL_cdrzd2107zd2_1684;
												BgL_restz00_1678 = BgL_restz00_4366;
												goto BgL_tagzd2101zd2_1679;
											}
										else
											{	/* Expand/object.scm 53 */
											BgL_tagzd2102zd2_1680:
												return
													BGl_errorz00zz__errorz00(BgL_xz00_3,
													BGl_string2742z00zzexpand_objectz00, BgL_xz00_3);
											}
									}
							}
					}
				else
					{	/* Expand/object.scm 53 */
						goto BgL_tagzd2102zd2_1680;
					}
			}
		}

	}



/* &expand-define-class */
	obj_t BGl_z62expandzd2definezd2classz62zzexpand_objectz00(obj_t
		BgL_envz00_4131, obj_t BgL_xz00_4132, obj_t BgL_ez00_4133)
	{
		{	/* Expand/object.scm 52 */
			return
				BGl_expandzd2definezd2classz00zzexpand_objectz00(BgL_xz00_4132,
				BgL_ez00_4133);
		}

	}



/* expand-with-access */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2accessz00zzexpand_objectz00(obj_t
		BgL_xz00_5, obj_t BgL_ez00_6)
	{
		{	/* Expand/object.scm 71 */
			{
				obj_t BgL_withzd2accesszd2_1698;
				obj_t BgL_instancez00_1699;
				obj_t BgL_slotsz00_1700;
				obj_t BgL_bodyz00_1701;

				if (PAIRP(BgL_xz00_5))
					{	/* Expand/object.scm 72 */
						obj_t BgL_cdrzd2123zd2_1706;

						BgL_cdrzd2123zd2_1706 = CDR(((obj_t) BgL_xz00_5));
						if (PAIRP(BgL_cdrzd2123zd2_1706))
							{	/* Expand/object.scm 72 */
								obj_t BgL_cdrzd2129zd2_1708;

								BgL_cdrzd2129zd2_1708 = CDR(BgL_cdrzd2123zd2_1706);
								if (PAIRP(BgL_cdrzd2129zd2_1708))
									{	/* Expand/object.scm 72 */
										obj_t BgL_carzd2133zd2_1710;
										obj_t BgL_cdrzd2134zd2_1711;

										BgL_carzd2133zd2_1710 = CAR(BgL_cdrzd2129zd2_1708);
										BgL_cdrzd2134zd2_1711 = CDR(BgL_cdrzd2129zd2_1708);
										if (PAIRP(BgL_carzd2133zd2_1710))
											{	/* Expand/object.scm 72 */
												if (PAIRP(BgL_cdrzd2134zd2_1711))
													{	/* Expand/object.scm 72 */
														obj_t BgL_arg1338z00_1714;
														obj_t BgL_arg1339z00_1715;

														BgL_arg1338z00_1714 = CAR(((obj_t) BgL_xz00_5));
														BgL_arg1339z00_1715 = CAR(BgL_cdrzd2123zd2_1706);
														BgL_withzd2accesszd2_1698 = BgL_arg1338z00_1714;
														BgL_instancez00_1699 = BgL_arg1339z00_1715;
														BgL_slotsz00_1700 = BgL_carzd2133zd2_1710;
														BgL_bodyz00_1701 = BgL_cdrzd2134zd2_1711;
														{	/* Expand/object.scm 74 */
															obj_t BgL_locz00_1716;

															BgL_locz00_1716 =
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_xz00_5);
															{	/* Expand/object.scm 74 */
																BgL_typez00_bglt BgL_classz00_1717;

																BgL_classz00_1717 =
																	BGl_typezd2ofzd2idz00zzast_identz00
																	(BgL_withzd2accesszd2_1698, BgL_locz00_1716);
																{	/* Expand/object.scm 75 */

																	{	/* Expand/object.scm 77 */
																		bool_t BgL_test2812z00_4389;

																		{	/* Expand/object.scm 77 */
																			obj_t BgL_classz00_3199;

																			BgL_classz00_3199 =
																				BGl_tclassz00zzobject_classz00;
																			{	/* Expand/object.scm 77 */
																				BgL_objectz00_bglt BgL_arg1858z00_3201;

																				{	/* Expand/object.scm 77 */
																					obj_t BgL_tmpz00_4390;

																					BgL_tmpz00_4390 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_classz00_1717));
																					BgL_arg1858z00_3201 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4390);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Expand/object.scm 77 */
																						long BgL_idxz00_3207;

																						BgL_idxz00_3207 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_3201);
																						BgL_test2812z00_4389 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3207 + 2L)) ==
																							BgL_classz00_3199);
																					}
																				else
																					{	/* Expand/object.scm 77 */
																						bool_t BgL_res2723z00_3232;

																						{	/* Expand/object.scm 77 */
																							obj_t BgL_oclassz00_3215;

																							{	/* Expand/object.scm 77 */
																								obj_t BgL_arg1866z00_3223;
																								long BgL_arg1867z00_3224;

																								BgL_arg1866z00_3223 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Expand/object.scm 77 */
																									long BgL_arg1869z00_3225;

																									BgL_arg1869z00_3225 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_3201);
																									BgL_arg1867z00_3224 =
																										(BgL_arg1869z00_3225 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3215 =
																									VECTOR_REF
																									(BgL_arg1866z00_3223,
																									BgL_arg1867z00_3224);
																							}
																							{	/* Expand/object.scm 77 */
																								bool_t BgL__ortest_1115z00_3216;

																								BgL__ortest_1115z00_3216 =
																									(BgL_classz00_3199 ==
																									BgL_oclassz00_3215);
																								if (BgL__ortest_1115z00_3216)
																									{	/* Expand/object.scm 77 */
																										BgL_res2723z00_3232 =
																											BgL__ortest_1115z00_3216;
																									}
																								else
																									{	/* Expand/object.scm 77 */
																										long BgL_odepthz00_3217;

																										{	/* Expand/object.scm 77 */
																											obj_t BgL_arg1855z00_3218;

																											BgL_arg1855z00_3218 =
																												(BgL_oclassz00_3215);
																											BgL_odepthz00_3217 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_3218);
																										}
																										if (
																											(2L < BgL_odepthz00_3217))
																											{	/* Expand/object.scm 77 */
																												obj_t
																													BgL_arg1853z00_3220;
																												{	/* Expand/object.scm 77 */
																													obj_t
																														BgL_arg1854z00_3221;
																													BgL_arg1854z00_3221 =
																														(BgL_oclassz00_3215);
																													BgL_arg1853z00_3220 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_3221,
																														2L);
																												}
																												BgL_res2723z00_3232 =
																													(BgL_arg1853z00_3220
																													== BgL_classz00_3199);
																											}
																										else
																											{	/* Expand/object.scm 77 */
																												BgL_res2723z00_3232 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2812z00_4389 =
																							BgL_res2723z00_3232;
																					}
																			}
																		}
																		if (BgL_test2812z00_4389)
																			{
																				obj_t BgL_sz00_1721;
																				obj_t BgL_nslotsz00_1722;

																				BgL_sz00_1721 = BgL_slotsz00_1700;
																				BgL_nslotsz00_1722 = BNIL;
																			BgL_zc3z04anonymousza31341ze3z87_1723:
																				if (NULLP(BgL_sz00_1721))
																					{	/* Expand/object.scm 84 */
																						obj_t BgL_auxz00_1725;

																						BgL_auxz00_1725 =
																							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(((obj_t) CNST_TABLE_REF(5))));
																						{	/* Expand/object.scm 84 */
																							obj_t BgL_instancez00_1726;

																							BgL_instancez00_1726 =
																								BGL_PROCEDURE_CALL2(BgL_ez00_6,
																								BgL_instancez00_1699,
																								BgL_ez00_6);
																							{	/* Expand/object.scm 85 */
																								obj_t BgL_classzd2idzd2_1727;

																								BgL_classzd2idzd2_1727 =
																									(((BgL_typez00_bglt)
																										COBJECT
																										(BgL_classz00_1717))->
																									BgL_idz00);
																								{	/* Expand/object.scm 86 */
																									obj_t BgL_tauxz00_1728;

																									BgL_tauxz00_1728 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_auxz00_1725,
																										BgL_classzd2idzd2_1727);
																									{	/* Expand/object.scm 87 */

																										{	/* Expand/object.scm 90 */
																											obj_t BgL_arg1355z00_1729;

																											{	/* Expand/object.scm 90 */
																												obj_t
																													BgL_arg1358z00_1730;
																												obj_t
																													BgL_arg1359z00_1731;
																												if (NULLP
																													(BgL_nslotsz00_1722))
																													{	/* Expand/object.scm 90 */
																														BgL_arg1358z00_1730
																															= BNIL;
																													}
																												else
																													{	/* Expand/object.scm 90 */
																														obj_t
																															BgL_head1264z00_1735;
																														{	/* Expand/object.scm 90 */
																															obj_t
																																BgL_arg1379z00_1747;
																															{	/* Expand/object.scm 90 */
																																obj_t
																																	BgL_pairz00_3235;
																																BgL_pairz00_3235
																																	=
																																	CAR(((obj_t)
																																		BgL_nslotsz00_1722));
																																BgL_arg1379z00_1747
																																	=
																																	CAR
																																	(BgL_pairz00_3235);
																															}
																															BgL_head1264z00_1735
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1379z00_1747,
																																BNIL);
																														}
																														{	/* Expand/object.scm 90 */
																															obj_t
																																BgL_g1267z00_1736;
																															BgL_g1267z00_1736
																																=
																																CDR(((obj_t)
																																	BgL_nslotsz00_1722));
																															{
																																obj_t
																																	BgL_l1262z00_1738;
																																obj_t
																																	BgL_tail1265z00_1739;
																																BgL_l1262z00_1738
																																	=
																																	BgL_g1267z00_1736;
																																BgL_tail1265z00_1739
																																	=
																																	BgL_head1264z00_1735;
																															BgL_zc3z04anonymousza31363ze3z87_1740:
																																if (NULLP
																																	(BgL_l1262z00_1738))
																																	{	/* Expand/object.scm 90 */
																																		BgL_arg1358z00_1730
																																			=
																																			BgL_head1264z00_1735;
																																	}
																																else
																																	{	/* Expand/object.scm 90 */
																																		obj_t
																																			BgL_newtail1266z00_1742;
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1371z00_1744;
																																			{	/* Expand/object.scm 90 */
																																				obj_t
																																					BgL_pairz00_3238;
																																				BgL_pairz00_3238
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_l1262z00_1738));
																																				BgL_arg1371z00_1744
																																					=
																																					CAR
																																					(BgL_pairz00_3238);
																																			}
																																			BgL_newtail1266z00_1742
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1371z00_1744,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail1265z00_1739,
																																			BgL_newtail1266z00_1742);
																																		{	/* Expand/object.scm 90 */
																																			obj_t
																																				BgL_arg1370z00_1743;
																																			BgL_arg1370z00_1743
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_l1262z00_1738));
																																			{
																																				obj_t
																																					BgL_tail1265z00_4444;
																																				obj_t
																																					BgL_l1262z00_4443;
																																				BgL_l1262z00_4443
																																					=
																																					BgL_arg1370z00_1743;
																																				BgL_tail1265z00_4444
																																					=
																																					BgL_newtail1266z00_1742;
																																				BgL_tail1265z00_1739
																																					=
																																					BgL_tail1265z00_4444;
																																				BgL_l1262z00_1738
																																					=
																																					BgL_l1262z00_4443;
																																				goto
																																					BgL_zc3z04anonymousza31363ze3z87_1740;
																																			}
																																		}
																																	}
																															}
																														}
																													}
																												BgL_arg1359z00_1731 =
																													BGl_findzd2locationzd2zztools_locationz00
																													(BgL_xz00_5);
																												{	/* Expand/object.scm 92 */
																													obj_t
																														BgL_zc3z04anonymousza31381ze3z87_4134;
																													BgL_zc3z04anonymousza31381ze3z87_4134
																														=
																														MAKE_FX_PROCEDURE
																														(BGl_z62zc3z04anonymousza31381ze3ze5zzexpand_objectz00,
																														(int) (0L),
																														(int) (8L));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (0L),
																														BgL_ez00_6);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (1L),
																														BgL_auxz00_1725);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (2L),
																														((obj_t)
																															BgL_classz00_1717));
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (3L),
																														BgL_nslotsz00_1722);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (4L),
																														BgL_xz00_5);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (5L),
																														BgL_instancez00_1726);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (6L),
																														BgL_tauxz00_1728);
																													PROCEDURE_SET
																														(BgL_zc3z04anonymousza31381ze3z87_4134,
																														(int) (7L),
																														BgL_bodyz00_1701);
																													BgL_arg1355z00_1729 =
																														BGl_withzd2lexicalzd2zzexpand_epsz00
																														(BgL_arg1358z00_1730,
																														BgL_auxz00_1725,
																														BgL_arg1359z00_1731,
																														BgL_zc3z04anonymousza31381ze3z87_4134);
																											}}
																											return
																												BGl_replacez12z12zztools_miscz00
																												(BgL_xz00_5,
																												BgL_arg1355z00_1729);
																										}
																									}
																								}
																							}
																						}
																					}
																				else
																					{	/* Expand/object.scm 83 */
																						if (PAIRP(BgL_sz00_1721))
																							{	/* Expand/object.scm 99 */
																								bool_t BgL_test2820z00_4470;

																								{	/* Expand/object.scm 99 */
																									obj_t BgL_tmpz00_4471;

																									BgL_tmpz00_4471 =
																										CAR(BgL_sz00_1721);
																									BgL_test2820z00_4470 =
																										SYMBOLP(BgL_tmpz00_4471);
																								}
																								if (BgL_test2820z00_4470)
																									{	/* Expand/object.scm 100 */
																										obj_t BgL_arg1414z00_1764;
																										obj_t BgL_arg1415z00_1765;

																										BgL_arg1414z00_1764 =
																											CDR(BgL_sz00_1721);
																										{	/* Expand/object.scm 100 */
																											obj_t BgL_arg1416z00_1766;

																											{	/* Expand/object.scm 100 */
																												obj_t
																													BgL_arg1417z00_1767;
																												obj_t
																													BgL_arg1418z00_1768;
																												BgL_arg1417z00_1767 =
																													CAR(BgL_sz00_1721);
																												BgL_arg1418z00_1768 =
																													CAR(BgL_sz00_1721);
																												{	/* Expand/object.scm 100 */
																													obj_t
																														BgL_list1419z00_1769;
																													{	/* Expand/object.scm 100 */
																														obj_t
																															BgL_arg1446z00_1770;
																														BgL_arg1446z00_1770
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1418z00_1768,
																															BNIL);
																														BgL_list1419z00_1769
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1417z00_1767,
																															BgL_arg1446z00_1770);
																													}
																													BgL_arg1416z00_1766 =
																														BgL_list1419z00_1769;
																												}
																											}
																											BgL_arg1415z00_1765 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1416z00_1766,
																												BgL_nslotsz00_1722);
																										}
																										{
																											obj_t BgL_nslotsz00_4481;
																											obj_t BgL_sz00_4480;

																											BgL_sz00_4480 =
																												BgL_arg1414z00_1764;
																											BgL_nslotsz00_4481 =
																												BgL_arg1415z00_1765;
																											BgL_nslotsz00_1722 =
																												BgL_nslotsz00_4481;
																											BgL_sz00_1721 =
																												BgL_sz00_4480;
																											goto
																												BgL_zc3z04anonymousza31341ze3z87_1723;
																										}
																									}
																								else
																									{	/* Expand/object.scm 101 */
																										bool_t BgL_test2821z00_4482;

																										{	/* Expand/object.scm 101 */
																											bool_t
																												BgL_test2822z00_4483;
																											{	/* Expand/object.scm 101 */
																												obj_t BgL_tmpz00_4484;

																												BgL_tmpz00_4484 =
																													CAR(BgL_sz00_1721);
																												BgL_test2822z00_4483 =
																													PAIRP
																													(BgL_tmpz00_4484);
																											}
																											if (BgL_test2822z00_4483)
																												{	/* Expand/object.scm 102 */
																													bool_t
																														BgL_test2823z00_4487;
																													{	/* Expand/object.scm 102 */
																														obj_t
																															BgL_tmpz00_4488;
																														BgL_tmpz00_4488 =
																															CAR(CAR
																															(BgL_sz00_1721));
																														BgL_test2823z00_4487
																															=
																															SYMBOLP
																															(BgL_tmpz00_4488);
																													}
																													if (BgL_test2823z00_4487)
																														{	/* Expand/object.scm 103 */
																															bool_t
																																BgL_test2824z00_4492;
																															{	/* Expand/object.scm 103 */
																																obj_t
																																	BgL_tmpz00_4493;
																																BgL_tmpz00_4493
																																	=
																																	CDR(CAR
																																	(BgL_sz00_1721));
																																BgL_test2824z00_4492
																																	=
																																	PAIRP
																																	(BgL_tmpz00_4493);
																															}
																															if (BgL_test2824z00_4492)
																																{	/* Expand/object.scm 104 */
																																	bool_t
																																		BgL_test2825z00_4497;
																																	{	/* Expand/object.scm 104 */
																																		obj_t
																																			BgL_tmpz00_4498;
																																		{	/* Expand/object.scm 104 */
																																			obj_t
																																				BgL_pairz00_3252;
																																			BgL_pairz00_3252
																																				=
																																				CAR
																																				(BgL_sz00_1721);
																																			BgL_tmpz00_4498
																																				=
																																				CAR(CDR
																																				(BgL_pairz00_3252));
																																		}
																																		BgL_test2825z00_4497
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_4498);
																																	}
																																	if (BgL_test2825z00_4497)
																																		{	/* Expand/object.scm 105 */
																																			obj_t
																																				BgL_tmpz00_4503;
																																			{	/* Expand/object.scm 105 */
																																				obj_t
																																					BgL_pairz00_3257;
																																				BgL_pairz00_3257
																																					=
																																					CAR
																																					(BgL_sz00_1721);
																																				BgL_tmpz00_4503
																																					=
																																					CDR
																																					(CDR
																																					(BgL_pairz00_3257));
																																			}
																																			BgL_test2821z00_4482
																																				=
																																				NULLP
																																				(BgL_tmpz00_4503);
																																		}
																																	else
																																		{	/* Expand/object.scm 104 */
																																			BgL_test2821z00_4482
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 103 */
																																	BgL_test2821z00_4482
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 102 */
																															BgL_test2821z00_4482
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* Expand/object.scm 101 */
																													BgL_test2821z00_4482 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2821z00_4482)
																											{	/* Expand/object.scm 106 */
																												obj_t
																													BgL_arg1543z00_1792;
																												obj_t
																													BgL_arg1545z00_1793;
																												BgL_arg1543z00_1792 =
																													CDR(BgL_sz00_1721);
																												BgL_arg1545z00_1793 =
																													MAKE_YOUNG_PAIR(CAR
																													(BgL_sz00_1721),
																													BgL_nslotsz00_1722);
																												{
																													obj_t
																														BgL_nslotsz00_4512;
																													obj_t BgL_sz00_4511;

																													BgL_sz00_4511 =
																														BgL_arg1543z00_1792;
																													BgL_nslotsz00_4512 =
																														BgL_arg1545z00_1793;
																													BgL_nslotsz00_1722 =
																														BgL_nslotsz00_4512;
																													BgL_sz00_1721 =
																														BgL_sz00_4511;
																													goto
																														BgL_zc3z04anonymousza31341ze3z87_1723;
																												}
																											}
																										else
																											{	/* Expand/object.scm 101 */
																												return
																													BGl_errorz00zz__errorz00
																													(CAR(BgL_sz00_1721),
																													BGl_string2743z00zzexpand_objectz00,
																													BgL_xz00_5);
																											}
																									}
																							}
																						else
																							{	/* Expand/object.scm 97 */
																								return
																									BGl_errorz00zz__errorz00
																									(BgL_sz00_1721,
																									BGl_string2744z00zzexpand_objectz00,
																									BgL_xz00_5);
																							}
																					}
																			}
																		else
																			{	/* Expand/object.scm 77 */
																				return
																					BGl_errorz00zz__errorz00
																					(BgL_withzd2accesszd2_1698,
																					BGl_string2745z00zzexpand_objectz00,
																					BgL_xz00_5);
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Expand/object.scm 72 */
													BgL_tagzd2112zd2_1703:
														return
															BGl_errorz00zz__errorz00
															(BGl_string2746z00zzexpand_objectz00,
															BGl_string2743z00zzexpand_objectz00, BgL_xz00_5);
													}
											}
										else
											{	/* Expand/object.scm 72 */
												goto BgL_tagzd2112zd2_1703;
											}
									}
								else
									{	/* Expand/object.scm 72 */
										goto BgL_tagzd2112zd2_1703;
									}
							}
						else
							{	/* Expand/object.scm 72 */
								goto BgL_tagzd2112zd2_1703;
							}
					}
				else
					{	/* Expand/object.scm 72 */
						goto BgL_tagzd2112zd2_1703;
					}
			}
		}

	}



/* &expand-with-access */
	obj_t BGl_z62expandzd2withzd2accessz62zzexpand_objectz00(obj_t
		BgL_envz00_4135, obj_t BgL_xz00_4136, obj_t BgL_ez00_4137)
	{
		{	/* Expand/object.scm 71 */
			return
				BGl_expandzd2withzd2accessz00zzexpand_objectz00(BgL_xz00_4136,
				BgL_ez00_4137);
		}

	}



/* &<@anonymous:1381> */
	obj_t BGl_z62zc3z04anonymousza31381ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4138)
	{
		{	/* Expand/object.scm 91 */
			{	/* Expand/object.scm 92 */
				obj_t BgL_ez00_4139;
				obj_t BgL_auxz00_4140;
				BgL_typez00_bglt BgL_classz00_4141;
				obj_t BgL_nslotsz00_4142;
				obj_t BgL_xz00_4143;
				obj_t BgL_instancez00_4144;
				obj_t BgL_tauxz00_4145;
				obj_t BgL_bodyz00_4146;

				BgL_ez00_4139 = ((obj_t) PROCEDURE_REF(BgL_envz00_4138, (int) (0L)));
				BgL_auxz00_4140 = ((obj_t) PROCEDURE_REF(BgL_envz00_4138, (int) (1L)));
				BgL_classz00_4141 =
					((BgL_typez00_bglt) PROCEDURE_REF(BgL_envz00_4138, (int) (2L)));
				BgL_nslotsz00_4142 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4138, (int) (3L)));
				BgL_xz00_4143 = PROCEDURE_REF(BgL_envz00_4138, (int) (4L));
				BgL_instancez00_4144 = PROCEDURE_REF(BgL_envz00_4138, (int) (5L));
				BgL_tauxz00_4145 = ((obj_t) PROCEDURE_REF(BgL_envz00_4138, (int) (6L)));
				BgL_bodyz00_4146 = ((obj_t) PROCEDURE_REF(BgL_envz00_4138, (int) (7L)));
				{	/* Expand/object.scm 92 */
					obj_t BgL_ez00_4210;

					{	/* Expand/object.scm 93 */
						obj_t BgL_arg1400z00_4211;

						BgL_arg1400z00_4211 =
							BGl_withzd2accesszd2expanderz00zzexpand_objectz00(BgL_ez00_4139,
							BgL_auxz00_4140, ((obj_t) BgL_classz00_4141), BgL_nslotsz00_4142,
							BgL_xz00_4143);
						BgL_ez00_4210 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_arg1400z00_4211);
					}
					{	/* Expand/object.scm 95 */
						obj_t BgL_arg1382z00_4212;

						{	/* Expand/object.scm 95 */
							obj_t BgL_arg1383z00_4213;
							obj_t BgL_arg1385z00_4214;

							{	/* Expand/object.scm 95 */
								obj_t BgL_arg1386z00_4215;

								{	/* Expand/object.scm 95 */
									obj_t BgL_arg1388z00_4216;

									BgL_arg1388z00_4216 =
										MAKE_YOUNG_PAIR(BgL_instancez00_4144, BNIL);
									BgL_arg1386z00_4215 =
										MAKE_YOUNG_PAIR(BgL_tauxz00_4145, BgL_arg1388z00_4216);
								}
								BgL_arg1383z00_4213 =
									MAKE_YOUNG_PAIR(BgL_arg1386z00_4215, BNIL);
							}
							{	/* Expand/object.scm 96 */
								obj_t BgL_arg1390z00_4217;

								{	/* Expand/object.scm 96 */
									obj_t BgL_arg1392z00_4218;

									BgL_arg1392z00_4218 =
										BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_4146);
									BgL_arg1390z00_4217 =
										BGL_PROCEDURE_CALL2(BgL_ez00_4210, BgL_arg1392z00_4218,
										BgL_ez00_4210);
								}
								BgL_arg1385z00_4214 =
									MAKE_YOUNG_PAIR(BgL_arg1390z00_4217, BNIL);
							}
							BgL_arg1382z00_4212 =
								MAKE_YOUNG_PAIR(BgL_arg1383z00_4213, BgL_arg1385z00_4214);
						}
						return
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BgL_arg1382z00_4212);
					}
				}
			}
		}

	}



/* with-access-expander */
	obj_t BGl_withzd2accesszd2expanderz00zzexpand_objectz00(obj_t BgL_oldez00_7,
		obj_t BgL_iz00_8, obj_t BgL_classz00_9, obj_t BgL_slotsz00_10,
		obj_t BgL_formz00_11)
	{
		{	/* Expand/object.scm 115 */
			{	/* Expand/object.scm 119 */
				obj_t BgL_idsz00_1812;

				if (NULLP(BgL_slotsz00_10))
					{	/* Expand/object.scm 119 */
						BgL_idsz00_1812 = BNIL;
					}
				else
					{	/* Expand/object.scm 119 */
						obj_t BgL_head1270z00_1884;

						{	/* Expand/object.scm 119 */
							obj_t BgL_arg1693z00_1896;

							{	/* Expand/object.scm 119 */
								obj_t BgL_pairz00_3276;

								BgL_pairz00_3276 = CAR(((obj_t) BgL_slotsz00_10));
								BgL_arg1693z00_1896 = CAR(BgL_pairz00_3276);
							}
							BgL_head1270z00_1884 = MAKE_YOUNG_PAIR(BgL_arg1693z00_1896, BNIL);
						}
						{	/* Expand/object.scm 119 */
							obj_t BgL_g1273z00_1885;

							BgL_g1273z00_1885 = CDR(((obj_t) BgL_slotsz00_10));
							{
								obj_t BgL_l1268z00_1887;
								obj_t BgL_tail1271z00_1888;

								BgL_l1268z00_1887 = BgL_g1273z00_1885;
								BgL_tail1271z00_1888 = BgL_head1270z00_1884;
							BgL_zc3z04anonymousza31682ze3z87_1889:
								if (NULLP(BgL_l1268z00_1887))
									{	/* Expand/object.scm 119 */
										BgL_idsz00_1812 = BgL_head1270z00_1884;
									}
								else
									{	/* Expand/object.scm 119 */
										obj_t BgL_newtail1272z00_1891;

										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1691z00_1893;

											{	/* Expand/object.scm 119 */
												obj_t BgL_pairz00_3279;

												BgL_pairz00_3279 = CAR(((obj_t) BgL_l1268z00_1887));
												BgL_arg1691z00_1893 = CAR(BgL_pairz00_3279);
											}
											BgL_newtail1272z00_1891 =
												MAKE_YOUNG_PAIR(BgL_arg1691z00_1893, BNIL);
										}
										SET_CDR(BgL_tail1271z00_1888, BgL_newtail1272z00_1891);
										{	/* Expand/object.scm 119 */
											obj_t BgL_arg1686z00_1892;

											BgL_arg1686z00_1892 = CDR(((obj_t) BgL_l1268z00_1887));
											{
												obj_t BgL_tail1271z00_4576;
												obj_t BgL_l1268z00_4575;

												BgL_l1268z00_4575 = BgL_arg1686z00_1892;
												BgL_tail1271z00_4576 = BgL_newtail1272z00_1891;
												BgL_tail1271z00_1888 = BgL_tail1271z00_4576;
												BgL_l1268z00_1887 = BgL_l1268z00_4575;
												goto BgL_zc3z04anonymousza31682ze3z87_1889;
											}
										}
									}
							}
						}
					}
				{	/* Expand/object.scm 120 */
					obj_t BgL_zc3z04anonymousza31593ze3z87_4147;

					BgL_zc3z04anonymousza31593ze3z87_4147 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31593ze3ze5zzexpand_objectz00, (int) (2L),
						(int) (6L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (0L),
						BgL_oldez00_7);
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (1L),
						BgL_slotsz00_10);
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (2L),
						BgL_classz00_9);
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (3L),
						BgL_formz00_11);
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (4L),
						BgL_iz00_8);
					PROCEDURE_SET(BgL_zc3z04anonymousza31593ze3z87_4147, (int) (5L),
						BgL_idsz00_1812);
					return BgL_zc3z04anonymousza31593ze3z87_4147;
				}
			}
		}

	}



/* &<@anonymous:1593> */
	obj_t BGl_z62zc3z04anonymousza31593ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4148, obj_t BgL_xz00_4155, obj_t BgL_ez00_4156)
	{
		{	/* Expand/object.scm 120 */
			{	/* Expand/object.scm 120 */
				obj_t BgL_oldez00_4149;
				obj_t BgL_slotsz00_4150;
				obj_t BgL_classz00_4151;
				obj_t BgL_formz00_4152;
				obj_t BgL_iz00_4153;
				obj_t BgL_idsz00_4154;

				BgL_oldez00_4149 = ((obj_t) PROCEDURE_REF(BgL_envz00_4148, (int) (0L)));
				BgL_slotsz00_4150 = PROCEDURE_REF(BgL_envz00_4148, (int) (1L));
				BgL_classz00_4151 = PROCEDURE_REF(BgL_envz00_4148, (int) (2L));
				BgL_formz00_4152 = PROCEDURE_REF(BgL_envz00_4148, (int) (3L));
				BgL_iz00_4153 = PROCEDURE_REF(BgL_envz00_4148, (int) (4L));
				BgL_idsz00_4154 = ((obj_t) PROCEDURE_REF(BgL_envz00_4148, (int) (5L)));
				{
					obj_t BgL_varz00_4240;
					obj_t BgL_varz00_4222;
					obj_t BgL_valz00_4223;

					if (SYMBOLP(BgL_xz00_4155))
						{	/* Expand/object.scm 120 */
							BgL_varz00_4240 = BgL_xz00_4155;
							{	/* Expand/object.scm 123 */
								bool_t BgL_test2829z00_4608;

								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_varz00_4240, BgL_idsz00_4154)))
									{	/* Expand/object.scm 124 */
										obj_t BgL_cellz00_4241;

										BgL_cellz00_4241 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_4240,
											BGl_lexicalzd2stackzd2zzexpand_epsz00());
										if (PAIRP(BgL_cellz00_4241))
											{	/* Expand/object.scm 125 */
												BgL_test2829z00_4608 =
													(CDR(BgL_cellz00_4241) == BgL_iz00_4153);
											}
										else
											{	/* Expand/object.scm 125 */
												BgL_test2829z00_4608 = ((bool_t) 0);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										BgL_test2829z00_4608 = ((bool_t) 0);
									}
								if (BgL_test2829z00_4608)
									{	/* Expand/object.scm 126 */
										obj_t BgL_slotz00_4242;

										{	/* Expand/object.scm 126 */
											obj_t BgL_arg1643z00_4243;

											{	/* Expand/object.scm 117 */
												obj_t BgL_pairz00_4244;

												BgL_pairz00_4244 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_varz00_4240, BgL_slotsz00_4150);
												BgL_arg1643z00_4243 = CAR(CDR(BgL_pairz00_4244));
											}
											BgL_slotz00_4242 =
												BGl_findzd2classzd2slotz00zzobject_toolsz00(
												((BgL_typez00_bglt) BgL_classz00_4151),
												BgL_arg1643z00_4243);
										}
										if (CBOOL(BgL_slotz00_4242))
											{	/* Expand/object.scm 129 */
												obj_t BgL_arg1635z00_4245;

												{	/* Expand/object.scm 129 */
													obj_t BgL_arg1638z00_4246;

													{	/* Expand/object.scm 117 */
														obj_t BgL_pairz00_4247;

														BgL_pairz00_4247 =
															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_varz00_4240, BgL_slotsz00_4150);
														BgL_arg1638z00_4246 = CAR(CDR(BgL_pairz00_4247));
													}
													{	/* Expand/object.scm 129 */

														BgL_arg1635z00_4245 =
															BGl_fieldzd2accesszd2zzast_objectz00
															(BgL_iz00_4153, BgL_arg1638z00_4246, BFALSE);
													}
												}
												return
													BGL_PROCEDURE_CALL2(BgL_oldez00_4149,
													BgL_arg1635z00_4245, BgL_oldez00_4149);
											}
										else
											{	/* Expand/object.scm 128 */
												obj_t BgL_arg1642z00_4248;

												{	/* Expand/object.scm 117 */
													obj_t BgL_pairz00_4249;

													BgL_pairz00_4249 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_varz00_4240, BgL_slotsz00_4150);
													BgL_arg1642z00_4248 = CAR(CDR(BgL_pairz00_4249));
												}
												return
													BGl_errorz00zz__errorz00(BgL_arg1642z00_4248,
													BGl_string2747z00zzexpand_objectz00,
													BgL_formz00_4152);
											}
									}
								else
									{	/* Expand/object.scm 123 */
										return
											BGL_PROCEDURE_CALL2(BgL_oldez00_4149, BgL_varz00_4240,
											BgL_oldez00_4149);
									}
							}
						}
					else
						{	/* Expand/object.scm 120 */
							if (PAIRP(BgL_xz00_4155))
								{	/* Expand/object.scm 120 */
									obj_t BgL_cdrzd2154zd2_4250;

									BgL_cdrzd2154zd2_4250 = CDR(((obj_t) BgL_xz00_4155));
									if (
										(CAR(
												((obj_t) BgL_xz00_4155)) ==
											((obj_t) CNST_TABLE_REF(7))))
										{	/* Expand/object.scm 120 */
											if (PAIRP(BgL_cdrzd2154zd2_4250))
												{	/* Expand/object.scm 120 */
													obj_t BgL_carzd2157zd2_4251;
													obj_t BgL_cdrzd2158zd2_4252;

													BgL_carzd2157zd2_4251 = CAR(BgL_cdrzd2154zd2_4250);
													BgL_cdrzd2158zd2_4252 = CDR(BgL_cdrzd2154zd2_4250);
													if (SYMBOLP(BgL_carzd2157zd2_4251))
														{	/* Expand/object.scm 120 */
															if (PAIRP(BgL_cdrzd2158zd2_4252))
																{	/* Expand/object.scm 120 */
																	if (NULLP(CDR(BgL_cdrzd2158zd2_4252)))
																		{	/* Expand/object.scm 120 */
																			BgL_varz00_4222 = BgL_carzd2157zd2_4251;
																			BgL_valz00_4223 =
																				CAR(BgL_cdrzd2158zd2_4252);
																			{	/* Expand/object.scm 132 */
																				obj_t BgL_valz00_4224;

																				BgL_valz00_4224 =
																					BGL_PROCEDURE_CALL2(BgL_ez00_4156,
																					BgL_valz00_4223, BgL_ez00_4156);
																				{	/* Expand/object.scm 133 */
																					bool_t BgL_test2839z00_4669;

																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_varz00_4222,
																								BgL_idsz00_4154)))
																						{	/* Expand/object.scm 134 */
																							obj_t BgL_cellz00_4225;

																							BgL_cellz00_4225 =
																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_varz00_4222,
																								BGl_lexicalzd2stackzd2zzexpand_epsz00
																								());
																							if (PAIRP(BgL_cellz00_4225))
																								{	/* Expand/object.scm 135 */
																									BgL_test2839z00_4669 =
																										(CDR(BgL_cellz00_4225) ==
																										BgL_iz00_4153);
																								}
																							else
																								{	/* Expand/object.scm 135 */
																									BgL_test2839z00_4669 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							BgL_test2839z00_4669 =
																								((bool_t) 0);
																						}
																					if (BgL_test2839z00_4669)
																						{	/* Expand/object.scm 136 */
																							obj_t BgL_slotz00_4226;

																							{	/* Expand/object.scm 136 */
																								obj_t BgL_arg1675z00_4227;

																								{	/* Expand/object.scm 117 */
																									obj_t BgL_pairz00_4228;

																									BgL_pairz00_4228 =
																										BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_varz00_4222,
																										BgL_slotsz00_4150);
																									BgL_arg1675z00_4227 =
																										CAR(CDR(BgL_pairz00_4228));
																								}
																								BgL_slotz00_4226 =
																									BGl_findzd2classzd2slotz00zzobject_toolsz00
																									(((BgL_typez00_bglt)
																										BgL_classz00_4151),
																									BgL_arg1675z00_4227);
																							}
																							if (CBOOL(BgL_slotz00_4226))
																								{	/* Expand/object.scm 140 */
																									obj_t BgL_arg1660z00_4229;

																									{	/* Expand/object.scm 140 */
																										obj_t BgL_idz00_4230;

																										{	/* Expand/object.scm 140 */
																											obj_t BgL_arg1673z00_4231;

																											{	/* Expand/object.scm 117 */
																												obj_t BgL_pairz00_4232;

																												BgL_pairz00_4232 =
																													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_varz00_4222,
																													BgL_slotsz00_4150);
																												BgL_arg1673z00_4231 =
																													CAR(CDR
																													(BgL_pairz00_4232));
																											}
																											{	/* Expand/object.scm 140 */

																												BgL_idz00_4230 =
																													BGl_fieldzd2accesszd2zzast_objectz00
																													(BgL_iz00_4153,
																													BgL_arg1673z00_4231,
																													BFALSE);
																											}
																										}
																										{	/* Expand/object.scm 140 */
																											obj_t BgL_nxz00_4233;

																											{	/* Expand/object.scm 141 */
																												obj_t
																													BgL_arg1663z00_4234;
																												{	/* Expand/object.scm 141 */
																													obj_t
																														BgL_arg1664z00_4235;
																													BgL_arg1664z00_4235 =
																														MAKE_YOUNG_PAIR
																														(BgL_valz00_4224,
																														BNIL);
																													BgL_arg1663z00_4234 =
																														MAKE_YOUNG_PAIR
																														(BgL_idz00_4230,
																														BgL_arg1664z00_4235);
																												}
																												BgL_nxz00_4233 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(7)),
																													BgL_arg1663z00_4234);
																											}
																											{	/* Expand/object.scm 141 */

																												BgL_arg1660z00_4229 =
																													BGL_PROCEDURE_CALL2
																													(BgL_oldez00_4149,
																													BgL_nxz00_4233,
																													BgL_oldez00_4149);
																											}
																										}
																									}
																									return
																										BGl_objectzd2epairifyzd2zzexpand_objectz00
																										(BgL_arg1660z00_4229,
																										BgL_xz00_4155);
																								}
																							else
																								{	/* Expand/object.scm 138 */
																									obj_t BgL_arg1674z00_4236;

																									{	/* Expand/object.scm 117 */
																										obj_t BgL_pairz00_4237;

																										BgL_pairz00_4237 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_varz00_4222,
																											BgL_slotsz00_4150);
																										BgL_arg1674z00_4236 =
																											CAR(CDR
																											(BgL_pairz00_4237));
																									}
																									return
																										BGl_errorz00zz__errorz00
																										(BgL_arg1674z00_4236,
																										BGl_string2747z00zzexpand_objectz00,
																										BgL_formz00_4152);
																								}
																						}
																					else
																						{	/* Expand/object.scm 133 */
																							{	/* Expand/object.scm 145 */
																								obj_t BgL_arg1677z00_4238;

																								{	/* Expand/object.scm 145 */
																									obj_t BgL_pairz00_4239;

																									BgL_pairz00_4239 =
																										CDR(
																										((obj_t) BgL_xz00_4155));
																									BgL_arg1677z00_4238 =
																										CDR(BgL_pairz00_4239);
																								}
																								{	/* Expand/object.scm 145 */
																									obj_t BgL_tmpz00_4708;

																									BgL_tmpz00_4708 =
																										((obj_t)
																										BgL_arg1677z00_4238);
																									SET_CAR(BgL_tmpz00_4708,
																										BgL_valz00_4224);
																								}
																							}
																							return
																								BGL_PROCEDURE_CALL2
																								(BgL_oldez00_4149,
																								BgL_xz00_4155,
																								BgL_oldez00_4149);
																						}
																				}
																			}
																		}
																	else
																		{	/* Expand/object.scm 120 */
																		BgL_tagzd2143zd2_4219:
																			return
																				BGL_PROCEDURE_CALL2(BgL_oldez00_4149,
																				BgL_xz00_4155, BgL_ez00_4156);
																		}
																}
															else
																{	/* Expand/object.scm 120 */
																	goto BgL_tagzd2143zd2_4219;
																}
														}
													else
														{	/* Expand/object.scm 120 */
															goto BgL_tagzd2143zd2_4219;
														}
												}
											else
												{	/* Expand/object.scm 120 */
													goto BgL_tagzd2143zd2_4219;
												}
										}
									else
										{	/* Expand/object.scm 120 */
											goto BgL_tagzd2143zd2_4219;
										}
								}
							else
								{	/* Expand/object.scm 120 */
									goto BgL_tagzd2143zd2_4219;
								}
						}
				}
			}
		}

	}



/* expand-instantiate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2instantiatezd2zzexpand_objectz00(obj_t
		BgL_xz00_12, obj_t BgL_ez00_13)
	{
		{	/* Expand/object.scm 153 */
			{
				obj_t BgL_instantiatez00_1902;

				if (PAIRP(BgL_xz00_12))
					{	/* Expand/object.scm 154 */
						obj_t BgL_arg1703z00_1907;

						BgL_arg1703z00_1907 = CAR(((obj_t) BgL_xz00_12));
						BgL_instantiatez00_1902 = BgL_arg1703z00_1907;
						{	/* Expand/object.scm 156 */
							BgL_typez00_bglt BgL_classz00_1908;

							BgL_classz00_1908 =
								BGl_typezd2ofzd2idz00zzast_identz00(BgL_instantiatez00_1902,
								BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_12));
							{	/* Expand/object.scm 158 */
								bool_t BgL_test2844z00_4728;

								{	/* Expand/object.scm 158 */
									obj_t BgL_classz00_3325;

									BgL_classz00_3325 = BGl_tclassz00zzobject_classz00;
									{	/* Expand/object.scm 158 */
										BgL_objectz00_bglt BgL_arg1858z00_3327;

										{	/* Expand/object.scm 158 */
											obj_t BgL_tmpz00_4729;

											BgL_tmpz00_4729 =
												((obj_t) ((BgL_objectz00_bglt) BgL_classz00_1908));
											BgL_arg1858z00_3327 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4729);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Expand/object.scm 158 */
												long BgL_idxz00_3333;

												BgL_idxz00_3333 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3327);
												BgL_test2844z00_4728 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3333 + 2L)) == BgL_classz00_3325);
											}
										else
											{	/* Expand/object.scm 158 */
												bool_t BgL_res2725z00_3358;

												{	/* Expand/object.scm 158 */
													obj_t BgL_oclassz00_3341;

													{	/* Expand/object.scm 158 */
														obj_t BgL_arg1866z00_3349;
														long BgL_arg1867z00_3350;

														BgL_arg1866z00_3349 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Expand/object.scm 158 */
															long BgL_arg1869z00_3351;

															BgL_arg1869z00_3351 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3327);
															BgL_arg1867z00_3350 =
																(BgL_arg1869z00_3351 - OBJECT_TYPE);
														}
														BgL_oclassz00_3341 =
															VECTOR_REF(BgL_arg1866z00_3349,
															BgL_arg1867z00_3350);
													}
													{	/* Expand/object.scm 158 */
														bool_t BgL__ortest_1115z00_3342;

														BgL__ortest_1115z00_3342 =
															(BgL_classz00_3325 == BgL_oclassz00_3341);
														if (BgL__ortest_1115z00_3342)
															{	/* Expand/object.scm 158 */
																BgL_res2725z00_3358 = BgL__ortest_1115z00_3342;
															}
														else
															{	/* Expand/object.scm 158 */
																long BgL_odepthz00_3343;

																{	/* Expand/object.scm 158 */
																	obj_t BgL_arg1855z00_3344;

																	BgL_arg1855z00_3344 = (BgL_oclassz00_3341);
																	BgL_odepthz00_3343 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3344);
																}
																if ((2L < BgL_odepthz00_3343))
																	{	/* Expand/object.scm 158 */
																		obj_t BgL_arg1853z00_3346;

																		{	/* Expand/object.scm 158 */
																			obj_t BgL_arg1854z00_3347;

																			BgL_arg1854z00_3347 =
																				(BgL_oclassz00_3341);
																			BgL_arg1853z00_3346 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3347, 2L);
																		}
																		BgL_res2725z00_3358 =
																			(BgL_arg1853z00_3346 ==
																			BgL_classz00_3325);
																	}
																else
																	{	/* Expand/object.scm 158 */
																		BgL_res2725z00_3358 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2844z00_4728 = BgL_res2725z00_3358;
											}
									}
								}
								if (BgL_test2844z00_4728)
									{	/* Expand/object.scm 160 */
										bool_t BgL_test2848z00_4752;

										{
											BgL_tclassz00_bglt BgL_auxz00_4753;

											{
												obj_t BgL_auxz00_4754;

												{	/* Expand/object.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_4755;

													BgL_tmpz00_4755 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_classz00_1908));
													BgL_auxz00_4754 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4755);
												}
												BgL_auxz00_4753 =
													((BgL_tclassz00_bglt) BgL_auxz00_4754);
											}
											BgL_test2848z00_4752 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4753))->
												BgL_abstractzf3zf3);
										}
										if (BgL_test2848z00_4752)
											{	/* Expand/object.scm 160 */
												return
													BGl_errorz00zz__errorz00(BgL_instantiatez00_1902,
													BGl_string2748z00zzexpand_objectz00, BgL_xz00_12);
											}
										else
											{	/* Expand/object.scm 160 */
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_12,
													BGl_instantiatezd2ze3makez31zzexpand_objectz00
													(BgL_xz00_12, BgL_classz00_1908, BgL_ez00_13));
											}
									}
								else
									{	/* Expand/object.scm 158 */
										return
											BGl_errorz00zz__errorz00(BgL_instantiatez00_1902,
											BGl_string2749z00zzexpand_objectz00, BgL_xz00_12);
									}
							}
						}
					}
				else
					{	/* Expand/object.scm 154 */
						return
							BGl_errorz00zz__errorz00(BGl_string2750z00zzexpand_objectz00,
							BGl_string2743z00zzexpand_objectz00, BgL_xz00_12);
					}
			}
		}

	}



/* &expand-instantiate */
	obj_t BGl_z62expandzd2instantiatezb0zzexpand_objectz00(obj_t BgL_envz00_4157,
		obj_t BgL_xz00_4158, obj_t BgL_ez00_4159)
	{
		{	/* Expand/object.scm 153 */
			return
				BGl_expandzd2instantiatezd2zzexpand_objectz00(BgL_xz00_4158,
				BgL_ez00_4159);
		}

	}



/* instantiate->make */
	obj_t BGl_instantiatezd2ze3makez31zzexpand_objectz00(obj_t BgL_xz00_14,
		BgL_typez00_bglt BgL_classz00_15, obj_t BgL_ez00_16)
	{
		{	/* Expand/object.scm 170 */
			{	/* Expand/object.scm 171 */
				obj_t BgL_oz00_1913;

				BgL_oz00_1913 =
					BGl_allocatezd2exprzd2zzexpand_objectz00(((obj_t) BgL_classz00_15));
				{	/* Expand/object.scm 172 */
					obj_t BgL_arg1717z00_1914;
					obj_t BgL_arg1720z00_1915;
					obj_t BgL_arg1724z00_1916;

					BgL_arg1717z00_1914 = CAR(((obj_t) BgL_xz00_14));
					BgL_arg1720z00_1915 = CDR(((obj_t) BgL_xz00_14));
					{
						BgL_tclassz00_bglt BgL_auxz00_4773;

						{
							obj_t BgL_auxz00_4774;

							{	/* Expand/object.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_4775;

								BgL_tmpz00_4775 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_15));
								BgL_auxz00_4774 = BGL_OBJECT_WIDENING(BgL_tmpz00_4775);
							}
							BgL_auxz00_4773 = ((BgL_tclassz00_bglt) BgL_auxz00_4774);
						}
						BgL_arg1724z00_1916 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4773))->BgL_slotsz00);
					}
					return
						BGl_instantiatezd2fillzd2zzexpand_objectz00(BgL_arg1717z00_1914,
						BgL_arg1720z00_1915, ((obj_t) BgL_classz00_15), BgL_arg1724z00_1916,
						BgL_oz00_1913, BgL_xz00_14, BgL_ez00_16);
				}
			}
		}

	}



/* instantiate-fill */
	obj_t BGl_instantiatezd2fillzd2zzexpand_objectz00(obj_t BgL_opz00_17,
		obj_t BgL_providedz00_18, obj_t BgL_classz00_19, obj_t BgL_slotsz00_20,
		obj_t BgL_initz00_21, obj_t BgL_xz00_22, obj_t BgL_ez00_23)
	{
		{	/* Expand/object.scm 178 */
			{
				BgL_globalz00_bglt BgL_gz00_2366;
				obj_t BgL_sz00_2367;
				obj_t BgL_sz00_2390;
				obj_t BgL_slotsz00_2399;

				{	/* Expand/object.scm 312 */
					obj_t BgL_idz00_1925;

					BgL_idz00_1925 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_19)))->BgL_idz00);
					{	/* Expand/object.scm 312 */
						obj_t BgL_newz00_1926;

						BgL_newz00_1926 =
							BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(13)));
						{	/* Expand/object.scm 313 */
							obj_t BgL_tnewz00_1927;

							BgL_tnewz00_1927 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_1926,
								BgL_idz00_1925);
							{	/* Expand/object.scm 314 */
								obj_t BgL_argsz00_1928;

								BgL_slotsz00_2399 = BgL_slotsz00_20;
								{	/* Expand/object.scm 246 */
									long BgL_offsetz00_2401;
									obj_t BgL_vargsz00_2402;

									{	/* Expand/object.scm 246 */
										long BgL_arg2176z00_2446;
										long BgL_arg2177z00_2447;

										{	/* Expand/object.scm 246 */
											obj_t BgL_arg2178z00_2448;

											{
												BgL_tclassz00_bglt BgL_auxz00_4789;

												{
													obj_t BgL_auxz00_4790;

													{	/* Expand/object.scm 246 */
														BgL_objectz00_bglt BgL_tmpz00_4791;

														BgL_tmpz00_4791 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_19));
														BgL_auxz00_4790 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4791);
													}
													BgL_auxz00_4789 =
														((BgL_tclassz00_bglt) BgL_auxz00_4790);
												}
												BgL_arg2178z00_2448 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4789))->
													BgL_slotsz00);
											}
											BgL_arg2176z00_2446 =
												bgl_list_length(BgL_arg2178z00_2448);
										}
										BgL_arg2177z00_2447 = bgl_list_length(BgL_slotsz00_2399);
										BgL_offsetz00_2401 =
											(BgL_arg2176z00_2446 - BgL_arg2177z00_2447);
									}
									BgL_vargsz00_2402 =
										make_vector(bgl_list_length(BgL_slotsz00_2399), BUNSPEC);
									{
										obj_t BgL_providedz00_2404;

										BgL_providedz00_2404 = BgL_providedz00_18;
									BgL_zc3z04anonymousza32148ze3z87_2405:
										if (PAIRP(BgL_providedz00_2404))
											{	/* Expand/object.scm 251 */
												obj_t BgL_pz00_2407;

												BgL_pz00_2407 = CAR(BgL_providedz00_2404);
												{
													obj_t BgL_szd2namezd2_2408;
													obj_t BgL_valuez00_2409;

													if (PAIRP(BgL_pz00_2407))
														{	/* Expand/object.scm 252 */
															obj_t BgL_carzd2672zd2_2414;
															obj_t BgL_cdrzd2673zd2_2415;

															BgL_carzd2672zd2_2414 =
																CAR(((obj_t) BgL_pz00_2407));
															BgL_cdrzd2673zd2_2415 =
																CDR(((obj_t) BgL_pz00_2407));
															if (SYMBOLP(BgL_carzd2672zd2_2414))
																{	/* Expand/object.scm 252 */
																	if (PAIRP(BgL_cdrzd2673zd2_2415))
																		{	/* Expand/object.scm 252 */
																			if (NULLP(CDR(BgL_cdrzd2673zd2_2415)))
																				{	/* Expand/object.scm 252 */
																					BgL_szd2namezd2_2408 =
																						BgL_carzd2672zd2_2414;
																					BgL_valuez00_2409 =
																						CAR(BgL_cdrzd2673zd2_2415);
																					{	/* Expand/object.scm 255 */
																						long BgL_arg2157z00_2422;
																						obj_t BgL_arg2159z00_2423;

																						{	/* Expand/object.scm 255 */
																							obj_t BgL_arg2160z00_2424;

																							BgL_arg2160z00_2424 =
																								BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																								(BgL_slotsz00_2399,
																								BgL_szd2namezd2_2408,
																								BgL_opz00_17, BgL_pz00_2407);
																							BgL_arg2157z00_2422 =
																								((long)
																								CINT(BgL_arg2160z00_2424) -
																								BgL_offsetz00_2401);
																						}
																						BgL_arg2159z00_2423 =
																							MAKE_YOUNG_PAIR(BTRUE,
																							BGl_objectzd2epairifyzd2zzexpand_objectz00
																							(BgL_valuez00_2409,
																								BgL_pz00_2407));
																						VECTOR_SET(BgL_vargsz00_2402,
																							BgL_arg2157z00_2422,
																							BgL_arg2159z00_2423);
																				}}
																			else
																				{	/* Expand/object.scm 252 */
																				BgL_tagzd2666zd2_2411:
																					{	/* Expand/object.scm 258 */
																						obj_t BgL_arg2162z00_2426;

																						{	/* Expand/object.scm 258 */
																							obj_t BgL_list2163z00_2427;

																							BgL_list2163z00_2427 =
																								MAKE_YOUNG_PAIR(BgL_pz00_2407,
																								BNIL);
																							BgL_arg2162z00_2426 =
																								BGl_formatz00zz__r4_output_6_10_3z00
																								(BGl_string2751z00zzexpand_objectz00,
																								BgL_list2163z00_2427);
																						}
																						BGl_errorz00zz__errorz00
																							(BgL_opz00_17,
																							BgL_arg2162z00_2426, BgL_xz00_22);
																					}
																				}
																		}
																	else
																		{	/* Expand/object.scm 252 */
																			goto BgL_tagzd2666zd2_2411;
																		}
																}
															else
																{	/* Expand/object.scm 252 */
																	goto BgL_tagzd2666zd2_2411;
																}
														}
													else
														{	/* Expand/object.scm 252 */
															goto BgL_tagzd2666zd2_2411;
														}
												}
												{
													obj_t BgL_providedz00_4828;

													BgL_providedz00_4828 = CDR(BgL_providedz00_2404);
													BgL_providedz00_2404 = BgL_providedz00_4828;
													goto BgL_zc3z04anonymousza32148ze3z87_2405;
												}
											}
										else
											{	/* Expand/object.scm 250 */
												((bool_t) 0);
											}
									}
									{
										long BgL_iz00_2431;
										obj_t BgL_slotsz00_2432;

										BgL_iz00_2431 = 0L;
										BgL_slotsz00_2432 = BgL_slotsz00_2399;
									BgL_zc3z04anonymousza32165ze3z87_2433:
										if (PAIRP(BgL_slotsz00_2432))
											{	/* Expand/object.scm 264 */
												obj_t BgL_sz00_2435;

												BgL_sz00_2435 = CAR(BgL_slotsz00_2432);
												{	/* Expand/object.scm 266 */
													bool_t BgL_test2855z00_4833;

													{	/* Expand/object.scm 266 */
														obj_t BgL_tmpz00_4834;

														BgL_tmpz00_4834 =
															VECTOR_REF(BgL_vargsz00_2402, BgL_iz00_2431);
														BgL_test2855z00_4833 = PAIRP(BgL_tmpz00_4834);
													}
													if (BgL_test2855z00_4833)
														{	/* Expand/object.scm 266 */
															BUNSPEC;
														}
													else
														{	/* Expand/object.scm 266 */
															if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_2435)))
																{	/* Expand/object.scm 269 */
																	obj_t BgL_arg2170z00_2439;

																	{	/* Expand/object.scm 269 */
																		obj_t BgL_tmpz00_4840;

																		BgL_sz00_2390 = BgL_sz00_2435;
																		{	/* Expand/object.scm 237 */
																			BgL_globalz00_bglt BgL_gz00_2392;
																			obj_t BgL_mz00_2393;

																			{
																				BgL_tclassz00_bglt BgL_auxz00_4841;

																				{
																					obj_t BgL_auxz00_4842;

																					{	/* Expand/object.scm 237 */
																						BgL_objectz00_bglt BgL_tmpz00_4843;

																						BgL_tmpz00_4843 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_classz00_19));
																						BgL_auxz00_4842 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4843);
																					}
																					BgL_auxz00_4841 =
																						((BgL_tclassz00_bglt)
																						BgL_auxz00_4842);
																				}
																				BgL_gz00_2392 =
																					(((BgL_tclassz00_bglt)
																						COBJECT(BgL_auxz00_4841))->
																					BgL_holderz00);
																			}
																			{	/* Expand/object.scm 238 */
																				BgL_globalz00_bglt BgL_arg2145z00_2397;

																				{	/* Expand/object.scm 238 */
																					BgL_typez00_bglt BgL_oz00_3625;

																					BgL_oz00_3625 =
																						((BgL_typez00_bglt)
																						(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2390)))->
																							BgL_classzd2ownerzd2));
																					{
																						BgL_tclassz00_bglt BgL_auxz00_4852;

																						{
																							obj_t BgL_auxz00_4853;

																							{	/* Expand/object.scm 238 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4854;
																								BgL_tmpz00_4854 =
																									((BgL_objectz00_bglt)
																									BgL_oz00_3625);
																								BgL_auxz00_4853 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4854);
																							}
																							BgL_auxz00_4852 =
																								((BgL_tclassz00_bglt)
																								BgL_auxz00_4853);
																						}
																						BgL_arg2145z00_2397 =
																							(((BgL_tclassz00_bglt)
																								COBJECT(BgL_auxz00_4852))->
																							BgL_holderz00);
																					}
																				}
																				BgL_mz00_2393 =
																					(((BgL_globalz00_bglt)
																						COBJECT(BgL_arg2145z00_2397))->
																					BgL_modulez00);
																			}
																			{	/* Expand/object.scm 239 */
																				bool_t BgL_test2857z00_4860;

																				{	/* Expand/object.scm 239 */
																					obj_t BgL_arg2144z00_2396;

																					BgL_arg2144z00_2396 =
																						(((BgL_slotz00_bglt) COBJECT(
																								((BgL_slotz00_bglt)
																									BgL_sz00_2390)))->
																						BgL_defaultzd2valuezd2);
																					BgL_test2857z00_4860 =
																						BGl_inlinablezf3ze70z14zzexpand_objectz00
																						(BgL_arg2144z00_2396,
																						BgL_mz00_2393);
																				}
																				if (BgL_test2857z00_4860)
																					{	/* Expand/object.scm 239 */
																						BgL_tmpz00_4840 =
																							(((BgL_slotz00_bglt) COBJECT(
																									((BgL_slotz00_bglt)
																										BgL_sz00_2390)))->
																							BgL_defaultzd2valuezd2);
																					}
																				else
																					{	/* Expand/object.scm 239 */
																						BgL_gz00_2366 = BgL_gz00_2392;
																						BgL_sz00_2367 = BgL_sz00_2390;
																						if (CBOOL
																							(BGl_za2warningzd2defaultzd2slotzd2valueza2zd2zzengine_paramz00))
																							{	/* Expand/object.scm 224 */
																								{	/* Expand/object.scm 225 */
																									obj_t BgL_arg2120z00_2369;
																									obj_t BgL_arg2121z00_2370;
																									obj_t BgL_arg2122z00_2371;

																									BgL_arg2120z00_2369 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_xz00_22);
																									{	/* Expand/object.scm 227 */
																										obj_t BgL_arg2123z00_2372;

																										BgL_arg2123z00_2372 =
																											(((BgL_slotz00_bglt)
																												COBJECT((
																														(BgL_slotz00_bglt)
																														BgL_sz00_2367)))->
																											BgL_idz00);
																										{	/* Expand/object.scm 227 */
																											obj_t
																												BgL_list2124z00_2373;
																											BgL_list2124z00_2373 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2123z00_2372,
																												BNIL);
																											BgL_arg2121z00_2370 =
																												BGl_formatz00zz__r4_output_6_10_3z00
																												(BGl_string2752z00zzexpand_objectz00,
																												BgL_list2124z00_2373);
																										}
																									}
																									BgL_arg2122z00_2371 =
																										(((BgL_slotz00_bglt)
																											COBJECT((
																													(BgL_slotz00_bglt)
																													BgL_sz00_2367)))->
																										BgL_defaultzd2valuezd2);
																									BGl_userzd2warningzf2locationz20zztools_errorz00
																										(BgL_arg2120z00_2369,
																										BgL_opz00_17,
																										BgL_arg2121z00_2370,
																										BgL_arg2122z00_2371);
																								}
																								{	/* Expand/object.scm 229 */
																									obj_t BgL_arg2125z00_2374;

																									{	/* Expand/object.scm 229 */
																										obj_t BgL_tmpz00_4876;

																										BgL_tmpz00_4876 =
																											BGL_CURRENT_DYNAMIC_ENV();
																										BgL_arg2125z00_2374 =
																											BGL_ENV_CURRENT_ERROR_PORT
																											(BgL_tmpz00_4876);
																									}
																									bgl_display_char(((unsigned
																												char) 10),
																										BgL_arg2125z00_2374);
																							}}
																						else
																							{	/* Expand/object.scm 224 */
																								BFALSE;
																							}
																						{	/* Expand/object.scm 232 */
																							obj_t BgL_arg2126z00_2375;

																							{	/* Expand/object.scm 232 */
																								obj_t BgL_arg2127z00_2376;

																								{	/* Expand/object.scm 232 */
																									obj_t BgL_arg2128z00_2377;

																									{	/* Expand/object.scm 232 */
																										obj_t BgL_arg2129z00_2378;
																										obj_t BgL_arg2130z00_2379;

																										{	/* Expand/object.scm 232 */
																											obj_t BgL_arg2131z00_2380;
																											obj_t BgL_arg2132z00_2381;

																											{	/* Expand/object.scm 232 */
																												obj_t
																													BgL_arg2133z00_2382;
																												{	/* Expand/object.scm 232 */
																													obj_t
																														BgL_arg2134z00_2383;
																													BgL_arg2134z00_2383 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															CNST_TABLE_REF
																															(8)), BNIL);
																													BgL_arg2133z00_2382 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															CNST_TABLE_REF
																															(9)),
																														BgL_arg2134z00_2383);
																												}
																												BgL_arg2131z00_2380 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(10)),
																													BgL_arg2133z00_2382);
																											}
																											{	/* Expand/object.scm 233 */
																												obj_t
																													BgL_arg2135z00_2384;
																												{	/* Expand/object.scm 233 */
																													obj_t
																														BgL_arg2136z00_2385;
																													{	/* Expand/object.scm 233 */
																														obj_t
																															BgL_arg2137z00_2386;
																														obj_t
																															BgL_arg2138z00_2387;
																														BgL_arg2137z00_2386
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_gz00_2366)))->BgL_idz00);
																														BgL_arg2138z00_2387
																															=
																															MAKE_YOUNG_PAIR(((
																																	(BgL_globalz00_bglt)
																																	COBJECT
																																	(BgL_gz00_2366))->
																																BgL_modulez00),
																															BNIL);
																														BgL_arg2136z00_2385
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg2137z00_2386,
																															BgL_arg2138z00_2387);
																													}
																													BgL_arg2135z00_2384 =
																														MAKE_YOUNG_PAIR(
																														((obj_t)
																															CNST_TABLE_REF
																															(10)),
																														BgL_arg2136z00_2385);
																												}
																												BgL_arg2132z00_2381 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2135z00_2384,
																													BNIL);
																											}
																											BgL_arg2129z00_2378 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2131z00_2380,
																												BgL_arg2132z00_2381);
																										}
																										{	/* Expand/object.scm 234 */
																											long BgL_arg2140z00_2389;

																											BgL_arg2140z00_2389 =
																												(((BgL_slotz00_bglt)
																													COBJECT((
																															(BgL_slotz00_bglt)
																															BgL_sz00_2367)))->
																												BgL_indexz00);
																											BgL_arg2130z00_2379 =
																												MAKE_YOUNG_PAIR(BINT
																												(BgL_arg2140z00_2389),
																												BNIL);
																										}
																										BgL_arg2128z00_2377 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2129z00_2378,
																											BgL_arg2130z00_2379);
																									}
																									BgL_arg2127z00_2376 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(11)),
																										BgL_arg2128z00_2377);
																								}
																								BgL_arg2126z00_2375 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2127z00_2376, BNIL);
																							}
																							BgL_tmpz00_4840 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(12)),
																								BgL_arg2126z00_2375);
																		}}}}
																		BgL_arg2170z00_2439 =
																			MAKE_YOUNG_PAIR(BTRUE, BgL_tmpz00_4840);
																	}
																	VECTOR_SET(BgL_vargsz00_2402, BgL_iz00_2431,
																		BgL_arg2170z00_2439);
																}
															else
																{	/* Expand/object.scm 271 */
																	obj_t BgL_arg2172z00_2441;

																	BgL_arg2172z00_2441 =
																		MAKE_YOUNG_PAIR(BFALSE, BUNSPEC);
																	VECTOR_SET(BgL_vargsz00_2402, BgL_iz00_2431,
																		BgL_arg2172z00_2441);
																}
														}
												}
												{
													obj_t BgL_slotsz00_4917;
													long BgL_iz00_4915;

													BgL_iz00_4915 = (BgL_iz00_2431 + 1L);
													BgL_slotsz00_4917 = CDR(BgL_slotsz00_2432);
													BgL_slotsz00_2432 = BgL_slotsz00_4917;
													BgL_iz00_2431 = BgL_iz00_4915;
													goto BgL_zc3z04anonymousza32165ze3z87_2433;
												}
											}
										else
											{	/* Expand/object.scm 263 */
												((bool_t) 0);
											}
									}
									BgL_argsz00_1928 =
										BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
										(BgL_vargsz00_2402);
								}
								{	/* Expand/object.scm 315 */

									{
										obj_t BgL_ll1284z00_1930;
										obj_t BgL_ll1285z00_1931;

										BgL_ll1284z00_1930 = BgL_argsz00_1928;
										BgL_ll1285z00_1931 = BgL_slotsz00_20;
									BgL_zc3z04anonymousza31725ze3z87_1932:
										if (NULLP(BgL_ll1284z00_1930))
											{	/* Expand/object.scm 317 */
												((bool_t) 1);
											}
										else
											{	/* Expand/object.scm 317 */
												{	/* Expand/object.scm 318 */
													obj_t BgL_az00_1934;
													obj_t BgL_sz00_1935;

													BgL_az00_1934 = CAR(((obj_t) BgL_ll1284z00_1930));
													BgL_sz00_1935 = CAR(((obj_t) BgL_ll1285z00_1931));
													{	/* Expand/object.scm 318 */
														bool_t BgL_test2860z00_4926;

														if (CBOOL(CAR(((obj_t) BgL_az00_1934))))
															{	/* Expand/object.scm 318 */
																BgL_test2860z00_4926 = ((bool_t) 1);
															}
														else
															{	/* Expand/object.scm 318 */
																BgL_test2860z00_4926 =
																	BGl_slotzd2virtualzf3z21zzobject_slotsz00(
																	((BgL_slotz00_bglt) BgL_sz00_1935));
															}
														if (BgL_test2860z00_4926)
															{	/* Expand/object.scm 318 */
																BFALSE;
															}
														else
															{	/* Expand/object.scm 321 */
																obj_t BgL_arg1729z00_1938;

																{	/* Expand/object.scm 321 */
																	obj_t BgL_arg1730z00_1939;

																	BgL_arg1730z00_1939 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_sz00_1935)))->
																		BgL_idz00);
																	{	/* Expand/object.scm 321 */
																		obj_t BgL_list1731z00_1940;

																		BgL_list1731z00_1940 =
																			MAKE_YOUNG_PAIR(BgL_arg1730z00_1939,
																			BNIL);
																		BgL_arg1729z00_1938 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2753z00zzexpand_objectz00,
																			BgL_list1731z00_1940);
																	}
																}
																BGl_errorz00zz__errorz00(BgL_opz00_17,
																	BgL_arg1729z00_1938, BgL_xz00_22);
															}
													}
												}
												{	/* Expand/object.scm 317 */
													obj_t BgL_arg1746z00_1942;
													obj_t BgL_arg1748z00_1943;

													BgL_arg1746z00_1942 =
														CDR(((obj_t) BgL_ll1284z00_1930));
													BgL_arg1748z00_1943 =
														CDR(((obj_t) BgL_ll1285z00_1931));
													{
														obj_t BgL_ll1285z00_4943;
														obj_t BgL_ll1284z00_4942;

														BgL_ll1284z00_4942 = BgL_arg1746z00_1942;
														BgL_ll1285z00_4943 = BgL_arg1748z00_1943;
														BgL_ll1285z00_1931 = BgL_ll1285z00_4943;
														BgL_ll1284z00_1930 = BgL_ll1284z00_4942;
														goto BgL_zc3z04anonymousza31725ze3z87_1932;
													}
												}
											}
									}
									{	/* Expand/object.scm 326 */
										obj_t BgL_arg1755z00_1945;

										{	/* Expand/object.scm 326 */
											obj_t BgL_arg1756z00_1946;
											obj_t BgL_arg1757z00_1947;

											{	/* Expand/object.scm 326 */
												obj_t BgL_arg1763z00_1948;

												{	/* Expand/object.scm 326 */
													obj_t BgL_arg1765z00_1949;

													BgL_arg1765z00_1949 =
														MAKE_YOUNG_PAIR(BgL_initz00_21, BNIL);
													BgL_arg1763z00_1948 =
														MAKE_YOUNG_PAIR(BgL_tnewz00_1927,
														BgL_arg1765z00_1949);
												}
												BgL_arg1756z00_1946 =
													MAKE_YOUNG_PAIR(BgL_arg1763z00_1948, BNIL);
											}
											{	/* Expand/object.scm 329 */
												obj_t BgL_arg1768z00_1950;
												obj_t BgL_arg1770z00_1951;

												{	/* Expand/object.scm 329 */
													obj_t BgL_zc3z04anonymousza31777ze3z87_4161;

													BgL_zc3z04anonymousza31777ze3z87_4161 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31777ze3ze5zzexpand_objectz00,
														(int) (2L), (int) (2L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31777ze3z87_4161,
														(int) (0L), BgL_ez00_23);
													PROCEDURE_SET(BgL_zc3z04anonymousza31777ze3z87_4161,
														(int) (1L), BgL_newz00_1926);
													{	/* Expand/object.scm 328 */
														obj_t BgL_list1773z00_1953;

														{	/* Expand/object.scm 328 */
															obj_t BgL_arg1776z00_1954;

															BgL_arg1776z00_1954 =
																MAKE_YOUNG_PAIR(BgL_argsz00_1928, BNIL);
															BgL_list1773z00_1953 =
																MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																BgL_arg1776z00_1954);
														}
														BgL_arg1768z00_1950 =
															BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
															(BgL_zc3z04anonymousza31777ze3z87_4161,
															BgL_list1773z00_1953);
												}}
												{	/* Expand/object.scm 336 */
													obj_t BgL_arg1790z00_1968;
													obj_t BgL_arg1796z00_1969;

													if (CBOOL
														(BGl_findzd2classzd2constructorz00zzobject_classz00(
																((BgL_typez00_bglt) BgL_classz00_19))))
														{	/* Expand/object.scm 337 */
															BgL_globalz00_bglt BgL_gz00_1971;

															{
																BgL_tclassz00_bglt BgL_auxz00_4961;

																{
																	obj_t BgL_auxz00_4962;

																	{	/* Expand/object.scm 337 */
																		BgL_objectz00_bglt BgL_tmpz00_4963;

																		BgL_tmpz00_4963 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_19));
																		BgL_auxz00_4962 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4963);
																	}
																	BgL_auxz00_4961 =
																		((BgL_tclassz00_bglt) BgL_auxz00_4962);
																}
																BgL_gz00_1971 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_4961))->BgL_holderz00);
															}
															{	/* Expand/object.scm 337 */
																obj_t BgL_nxz00_1972;

																{	/* Expand/object.scm 338 */
																	obj_t BgL_arg1800z00_1974;
																	obj_t BgL_arg1801z00_1975;

																	{	/* Expand/object.scm 338 */
																		obj_t BgL_arg1802z00_1976;
																		obj_t BgL_arg1803z00_1977;

																		{	/* Expand/object.scm 338 */
																			obj_t BgL_arg1804z00_1978;

																			{	/* Expand/object.scm 338 */
																				obj_t BgL_arg1810z00_1979;

																				BgL_arg1810z00_1979 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) CNST_TABLE_REF(8)), BNIL);
																				BgL_arg1804z00_1978 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(14)),
																					BgL_arg1810z00_1979);
																			}
																			BgL_arg1802z00_1976 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(10)),
																				BgL_arg1804z00_1978);
																		}
																		{	/* Expand/object.scm 339 */
																			obj_t BgL_arg1811z00_1980;

																			{	/* Expand/object.scm 339 */
																				obj_t BgL_arg1814z00_1981;

																				{	/* Expand/object.scm 339 */
																					obj_t BgL_arg1818z00_1982;
																					obj_t BgL_arg1821z00_1983;

																					BgL_arg1818z00_1982 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_gz00_1971)))->BgL_idz00);
																					BgL_arg1821z00_1983 =
																						MAKE_YOUNG_PAIR(((
																								(BgL_globalz00_bglt)
																								COBJECT(BgL_gz00_1971))->
																							BgL_modulez00), BNIL);
																					BgL_arg1814z00_1981 =
																						MAKE_YOUNG_PAIR(BgL_arg1818z00_1982,
																						BgL_arg1821z00_1983);
																				}
																				BgL_arg1811z00_1980 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(10)),
																					BgL_arg1814z00_1981);
																			}
																			BgL_arg1803z00_1977 =
																				MAKE_YOUNG_PAIR(BgL_arg1811z00_1980,
																				BNIL);
																		}
																		BgL_arg1800z00_1974 =
																			MAKE_YOUNG_PAIR(BgL_arg1802z00_1976,
																			BgL_arg1803z00_1977);
																	}
																	BgL_arg1801z00_1975 =
																		MAKE_YOUNG_PAIR(BgL_newz00_1926, BNIL);
																	BgL_nxz00_1972 =
																		MAKE_YOUNG_PAIR(BgL_arg1800z00_1974,
																		BgL_arg1801z00_1975);
																}
																{	/* Expand/object.scm 338 */

																	{	/* Expand/object.scm 341 */
																		obj_t BgL_arg1799z00_1973;

																		BgL_arg1799z00_1973 =
																			BGl_objectzd2epairifyzd2zzexpand_objectz00
																			(BgL_nxz00_1972, BgL_xz00_22);
																		BgL_arg1790z00_1968 =
																			BGL_PROCEDURE_CALL2(BgL_ez00_23,
																			BgL_arg1799z00_1973, BgL_ez00_23);
																	}
																}
															}
														}
													else
														{	/* Expand/object.scm 336 */
															BgL_arg1790z00_1968 = BFALSE;
														}
													{	/* Expand/object.scm 344 */
														obj_t BgL_arg1825z00_1985;
														obj_t BgL_arg1829z00_1986;

														{	/* Expand/object.scm 344 */
															obj_t BgL_zc3z04anonymousza31843ze3z87_4160;

															BgL_zc3z04anonymousza31843ze3z87_4160 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00,
																(int) (2L), (int) (2L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31843ze3z87_4160,
																(int) (0L), BgL_ez00_23);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31843ze3z87_4160,
																(int) (1L), BgL_newz00_1926);
															{	/* Expand/object.scm 343 */
																obj_t BgL_list1835z00_1988;

																{	/* Expand/object.scm 343 */
																	obj_t BgL_arg1842z00_1989;

																	BgL_arg1842z00_1989 =
																		MAKE_YOUNG_PAIR(BgL_argsz00_1928, BNIL);
																	BgL_list1835z00_1988 =
																		MAKE_YOUNG_PAIR(BgL_slotsz00_20,
																		BgL_arg1842z00_1989);
																}
																BgL_arg1825z00_1985 =
																	BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																	(BgL_zc3z04anonymousza31843ze3z87_4160,
																	BgL_list1835z00_1988);
														}}
														BgL_arg1829z00_1986 =
															MAKE_YOUNG_PAIR(BgL_newz00_1926, BNIL);
														BgL_arg1796z00_1969 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1825z00_1985, BgL_arg1829z00_1986);
													}
													BgL_arg1770z00_1951 =
														MAKE_YOUNG_PAIR(BgL_arg1790z00_1968,
														BgL_arg1796z00_1969);
												}
												BgL_arg1757z00_1947 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1768z00_1950, BgL_arg1770z00_1951);
											}
											BgL_arg1755z00_1945 =
												MAKE_YOUNG_PAIR(BgL_arg1756z00_1946,
												BgL_arg1757z00_1947);
										}
										return
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(6)), BgL_arg1755z00_1945);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* inlinable-call?~0 */
	obj_t BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00(obj_t BgL_funz00_2007,
		obj_t BgL_modulez00_2008)
	{
		{	/* Expand/object.scm 186 */
			{
				obj_t BgL_gz00_2306;
				obj_t BgL_funz00_2317;
				obj_t BgL_modulez00_2318;

				{	/* Expand/object.scm 181 */
					obj_t BgL_gz00_2010;

					{	/* Expand/object.scm 181 */
						obj_t BgL_list1886z00_2026;

						BgL_list1886z00_2026 = MAKE_YOUNG_PAIR(BgL_modulez00_2008, BNIL);
						BgL_gz00_2010 =
							BGl_findzd2globalzd2zzast_envz00(BgL_funz00_2007,
							BgL_list1886z00_2026);
					}
					{	/* Expand/object.scm 182 */
						bool_t BgL_test2863z00_5016;

						{	/* Expand/object.scm 182 */
							bool_t BgL_test2864z00_5017;

							{	/* Expand/object.scm 182 */
								obj_t BgL_classz00_3366;

								BgL_classz00_3366 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2010))
									{	/* Expand/object.scm 182 */
										BgL_objectz00_bglt BgL_arg1858z00_3368;

										BgL_arg1858z00_3368 = (BgL_objectz00_bglt) (BgL_gz00_2010);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Expand/object.scm 182 */
												long BgL_idxz00_3374;

												BgL_idxz00_3374 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3368);
												BgL_test2864z00_5017 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3374 + 2L)) == BgL_classz00_3366);
											}
										else
											{	/* Expand/object.scm 182 */
												bool_t BgL_res2726z00_3399;

												{	/* Expand/object.scm 182 */
													obj_t BgL_oclassz00_3382;

													{	/* Expand/object.scm 182 */
														obj_t BgL_arg1866z00_3390;
														long BgL_arg1867z00_3391;

														BgL_arg1866z00_3390 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Expand/object.scm 182 */
															long BgL_arg1869z00_3392;

															BgL_arg1869z00_3392 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3368);
															BgL_arg1867z00_3391 =
																(BgL_arg1869z00_3392 - OBJECT_TYPE);
														}
														BgL_oclassz00_3382 =
															VECTOR_REF(BgL_arg1866z00_3390,
															BgL_arg1867z00_3391);
													}
													{	/* Expand/object.scm 182 */
														bool_t BgL__ortest_1115z00_3383;

														BgL__ortest_1115z00_3383 =
															(BgL_classz00_3366 == BgL_oclassz00_3382);
														if (BgL__ortest_1115z00_3383)
															{	/* Expand/object.scm 182 */
																BgL_res2726z00_3399 = BgL__ortest_1115z00_3383;
															}
														else
															{	/* Expand/object.scm 182 */
																long BgL_odepthz00_3384;

																{	/* Expand/object.scm 182 */
																	obj_t BgL_arg1855z00_3385;

																	BgL_arg1855z00_3385 = (BgL_oclassz00_3382);
																	BgL_odepthz00_3384 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3385);
																}
																if ((2L < BgL_odepthz00_3384))
																	{	/* Expand/object.scm 182 */
																		obj_t BgL_arg1853z00_3387;

																		{	/* Expand/object.scm 182 */
																			obj_t BgL_arg1854z00_3388;

																			BgL_arg1854z00_3388 =
																				(BgL_oclassz00_3382);
																			BgL_arg1853z00_3387 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3388, 2L);
																		}
																		BgL_res2726z00_3399 =
																			(BgL_arg1853z00_3387 ==
																			BgL_classz00_3366);
																	}
																else
																	{	/* Expand/object.scm 182 */
																		BgL_res2726z00_3399 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2864z00_5017 = BgL_res2726z00_3399;
											}
									}
								else
									{	/* Expand/object.scm 182 */
										BgL_test2864z00_5017 = ((bool_t) 0);
									}
							}
							if (BgL_test2864z00_5017)
								{	/* Expand/object.scm 182 */
									BgL_valuez00_bglt BgL_arg1885z00_2025;

									BgL_arg1885z00_2025 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_2010))))->
										BgL_valuez00);
									{	/* Expand/object.scm 182 */
										obj_t BgL_classz00_3401;

										BgL_classz00_3401 = BGl_sfunz00zzast_varz00;
										{	/* Expand/object.scm 182 */
											BgL_objectz00_bglt BgL_arg1858z00_3403;

											{	/* Expand/object.scm 182 */
												obj_t BgL_tmpz00_5043;

												BgL_tmpz00_5043 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1885z00_2025));
												BgL_arg1858z00_3403 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5043);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Expand/object.scm 182 */
													long BgL_idxz00_3409;

													BgL_idxz00_3409 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3403);
													BgL_test2863z00_5016 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3409 + 3L)) == BgL_classz00_3401);
												}
											else
												{	/* Expand/object.scm 182 */
													bool_t BgL_res2727z00_3434;

													{	/* Expand/object.scm 182 */
														obj_t BgL_oclassz00_3417;

														{	/* Expand/object.scm 182 */
															obj_t BgL_arg1866z00_3425;
															long BgL_arg1867z00_3426;

															BgL_arg1866z00_3425 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Expand/object.scm 182 */
																long BgL_arg1869z00_3427;

																BgL_arg1869z00_3427 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3403);
																BgL_arg1867z00_3426 =
																	(BgL_arg1869z00_3427 - OBJECT_TYPE);
															}
															BgL_oclassz00_3417 =
																VECTOR_REF(BgL_arg1866z00_3425,
																BgL_arg1867z00_3426);
														}
														{	/* Expand/object.scm 182 */
															bool_t BgL__ortest_1115z00_3418;

															BgL__ortest_1115z00_3418 =
																(BgL_classz00_3401 == BgL_oclassz00_3417);
															if (BgL__ortest_1115z00_3418)
																{	/* Expand/object.scm 182 */
																	BgL_res2727z00_3434 =
																		BgL__ortest_1115z00_3418;
																}
															else
																{	/* Expand/object.scm 182 */
																	long BgL_odepthz00_3419;

																	{	/* Expand/object.scm 182 */
																		obj_t BgL_arg1855z00_3420;

																		BgL_arg1855z00_3420 = (BgL_oclassz00_3417);
																		BgL_odepthz00_3419 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3420);
																	}
																	if ((3L < BgL_odepthz00_3419))
																		{	/* Expand/object.scm 182 */
																			obj_t BgL_arg1853z00_3422;

																			{	/* Expand/object.scm 182 */
																				obj_t BgL_arg1854z00_3423;

																				BgL_arg1854z00_3423 =
																					(BgL_oclassz00_3417);
																				BgL_arg1853z00_3422 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3423, 3L);
																			}
																			BgL_res2727z00_3434 =
																				(BgL_arg1853z00_3422 ==
																				BgL_classz00_3401);
																		}
																	else
																		{	/* Expand/object.scm 182 */
																			BgL_res2727z00_3434 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2863z00_5016 = BgL_res2727z00_3434;
												}
										}
									}
								}
							else
								{	/* Expand/object.scm 182 */
									BgL_test2863z00_5016 = ((bool_t) 0);
								}
						}
						if (BgL_test2863z00_5016)
							{	/* Expand/object.scm 183 */
								bool_t BgL__ortest_1111z00_2014;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_2010))))->
															BgL_valuez00))))->BgL_sidezd2effectzd2)))
									{	/* Expand/object.scm 183 */
										BgL__ortest_1111z00_2014 = ((bool_t) 0);
									}
								else
									{	/* Expand/object.scm 183 */
										BgL__ortest_1111z00_2014 = ((bool_t) 1);
									}
								if (BgL__ortest_1111z00_2014)
									{	/* Expand/object.scm 183 */
										return BBOOL(BgL__ortest_1111z00_2014);
									}
								else
									{	/* Expand/object.scm 184 */
										obj_t BgL__ortest_1112z00_2015;

										BgL__ortest_1112z00_2015 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t)
												CNST_TABLE_REF(17)),
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_gz00_2010)))->
												BgL_pragmaz00));
										if (CBOOL(BgL__ortest_1112z00_2015))
											{	/* Expand/object.scm 184 */
												return BgL__ortest_1112z00_2015;
											}
										else
											{	/* Expand/object.scm 184 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_2010))))->
																			BgL_valuez00))))->BgL_classz00) ==
														((obj_t) CNST_TABLE_REF(18))))
													{	/* Expand/object.scm 186 */
														obj_t BgL_arg1872z00_2017;

														BgL_gz00_2306 = BgL_gz00_2010;
														if (
															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2306))))->
																					BgL_valuez00))))->BgL_bodyz00) ==
																BUNSPEC))
															{	/* Expand/object.scm 212 */
																obj_t BgL__ortest_1125z00_2311;

																{	/* Expand/object.scm 212 */
																	obj_t BgL_arg2084z00_2312;
																	obj_t BgL_arg2085z00_2313;

																	BgL_arg2084z00_2312 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_2306))))->BgL_idz00);
																	BgL_arg2085z00_2313 =
																		(((BgL_globalz00_bglt)
																			COBJECT(((BgL_globalz00_bglt)
																					BgL_gz00_2306)))->BgL_modulez00);
																	BgL_funz00_2317 = BgL_arg2084z00_2312;
																	BgL_modulez00_2318 = BgL_arg2085z00_2313;
																	{	/* Expand/object.scm 216 */
																		obj_t BgL_g1282z00_2320;

																		BgL_g1282z00_2320 =
																			BGl_inlinezd2definitionzd2queuez00zzread_inlinez00
																			();
																		{
																			obj_t BgL_l1280z00_2322;

																			BgL_l1280z00_2322 = BgL_g1282z00_2320;
																		BgL_zc3z04anonymousza32090ze3z87_2323:
																			if (NULLP(BgL_l1280z00_2322))
																				{	/* Expand/object.scm 221 */
																					BgL__ortest_1125z00_2311 = BFALSE;
																				}
																			else
																				{	/* Expand/object.scm 217 */
																					obj_t BgL__ortest_1283z00_2325;

																					{	/* Expand/object.scm 217 */
																						obj_t BgL_defz00_2327;

																						BgL_defz00_2327 =
																							CAR(((obj_t) BgL_l1280z00_2322));
																						if (PAIRP(BgL_defz00_2327))
																							{	/* Expand/object.scm 217 */
																								obj_t BgL_cdrzd2638zd2_2334;

																								BgL_cdrzd2638zd2_2334 =
																									CDR(
																									((obj_t) BgL_defz00_2327));
																								if (
																									(CAR(
																											((obj_t) BgL_defz00_2327))
																										==
																										((obj_t)
																											CNST_TABLE_REF(15))))
																									{	/* Expand/object.scm 217 */
																										if (PAIRP
																											(BgL_cdrzd2638zd2_2334))
																											{	/* Expand/object.scm 217 */
																												obj_t
																													BgL_carzd2642zd2_2338;
																												obj_t
																													BgL_cdrzd2643zd2_2339;
																												BgL_carzd2642zd2_2338 =
																													CAR
																													(BgL_cdrzd2638zd2_2334);
																												BgL_cdrzd2643zd2_2339 =
																													CDR
																													(BgL_cdrzd2638zd2_2334);
																												if (PAIRP
																													(BgL_carzd2642zd2_2338))
																													{	/* Expand/object.scm 217 */
																														obj_t
																															BgL_carzd2646zd2_2341;
																														BgL_carzd2646zd2_2341
																															=
																															CAR
																															(BgL_carzd2642zd2_2338);
																														if (PAIRP
																															(BgL_carzd2646zd2_2341))
																															{	/* Expand/object.scm 217 */
																																obj_t
																																	BgL_cdrzd2651zd2_2343;
																																BgL_cdrzd2651zd2_2343
																																	=
																																	CDR
																																	(BgL_carzd2646zd2_2341);
																																if ((CAR
																																		(BgL_carzd2646zd2_2341)
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(10))))
																																	{	/* Expand/object.scm 217 */
																																		if (PAIRP
																																			(BgL_cdrzd2651zd2_2343))
																																			{	/* Expand/object.scm 217 */
																																				obj_t
																																					BgL_cdrzd2655zd2_2347;
																																				BgL_cdrzd2655zd2_2347
																																					=
																																					CDR
																																					(BgL_cdrzd2651zd2_2343);
																																				if (PAIRP(BgL_cdrzd2655zd2_2347))
																																					{	/* Expand/object.scm 217 */
																																						if (NULLP(CDR(BgL_cdrzd2655zd2_2347)))
																																							{	/* Expand/object.scm 217 */
																																								if (NULLP(CDR(BgL_carzd2642zd2_2338)))
																																									{	/* Expand/object.scm 217 */
																																										if (PAIRP(BgL_cdrzd2643zd2_2339))
																																											{	/* Expand/object.scm 217 */
																																												if (NULLP(CDR(BgL_cdrzd2643zd2_2339)))
																																													{	/* Expand/object.scm 219 */
																																														bool_t
																																															BgL_test2890z00_5149;
																																														if ((CAR(BgL_cdrzd2651zd2_2343) == BgL_funz00_2317))
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2890z00_5149
																																																	=
																																																	(CAR
																																																	(BgL_cdrzd2655zd2_2347)
																																																	==
																																																	BgL_modulez00_2318);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL_test2890z00_5149
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																														if (BgL_test2890z00_5149)
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1283z00_2325
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2643zd2_2339);
																																															}
																																														else
																																															{	/* Expand/object.scm 219 */
																																																BgL__ortest_1283z00_2325
																																																	=
																																																	BFALSE;
																																															}
																																													}
																																												else
																																													{	/* Expand/object.scm 217 */
																																														BgL__ortest_1283z00_2325
																																															=
																																															BFALSE;
																																													}
																																											}
																																										else
																																											{	/* Expand/object.scm 217 */
																																												BgL__ortest_1283z00_2325
																																													=
																																													BFALSE;
																																											}
																																									}
																																								else
																																									{	/* Expand/object.scm 217 */
																																										BgL__ortest_1283z00_2325
																																											=
																																											BFALSE;
																																									}
																																							}
																																						else
																																							{	/* Expand/object.scm 217 */
																																								BgL__ortest_1283z00_2325
																																									=
																																									BFALSE;
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 217 */
																																						BgL__ortest_1283z00_2325
																																							=
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Expand/object.scm 217 */
																																				BgL__ortest_1283z00_2325
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Expand/object.scm 217 */
																																		BgL__ortest_1283z00_2325
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Expand/object.scm 217 */
																																BgL__ortest_1283z00_2325
																																	= BFALSE;
																															}
																													}
																												else
																													{	/* Expand/object.scm 217 */
																														BgL__ortest_1283z00_2325
																															= BFALSE;
																													}
																											}
																										else
																											{	/* Expand/object.scm 217 */
																												BgL__ortest_1283z00_2325
																													= BFALSE;
																											}
																									}
																								else
																									{	/* Expand/object.scm 217 */
																										BgL__ortest_1283z00_2325 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Expand/object.scm 217 */
																								BgL__ortest_1283z00_2325 =
																									BFALSE;
																							}
																					}
																					if (CBOOL(BgL__ortest_1283z00_2325))
																						{	/* Expand/object.scm 221 */
																							BgL__ortest_1125z00_2311 =
																								BgL__ortest_1283z00_2325;
																						}
																					else
																						{
																							obj_t BgL_l1280z00_5158;

																							BgL_l1280z00_5158 =
																								CDR(
																								((obj_t) BgL_l1280z00_2322));
																							BgL_l1280z00_2322 =
																								BgL_l1280z00_5158;
																							goto
																								BgL_zc3z04anonymousza32090ze3z87_2323;
																						}
																				}
																		}
																	}
																}
																if (CBOOL(BgL__ortest_1125z00_2311))
																	{	/* Expand/object.scm 212 */
																		BgL_arg1872z00_2017 =
																			BgL__ortest_1125z00_2311;
																	}
																else
																	{	/* Expand/object.scm 212 */
																		BgL_arg1872z00_2017 =
																			((obj_t) CNST_TABLE_REF(16));
																	}
															}
														else
															{	/* Expand/object.scm 211 */
																BgL_arg1872z00_2017 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_2306))))->
																					BgL_valuez00))))->BgL_bodyz00);
															}
														return
															BBOOL(BGl_inlinablezf3ze70z14zzexpand_objectz00
															(BgL_arg1872z00_2017, BgL_modulez00_2008));
													}
												else
													{	/* Expand/object.scm 185 */
														return BFALSE;
													}
											}
									}
							}
						else
							{	/* Expand/object.scm 182 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* inlinable?~0 */
	bool_t BGl_inlinablezf3ze70z14zzexpand_objectz00(obj_t BgL_nz00_2027,
		obj_t BgL_modulez00_2028)
	{
		{	/* Expand/object.scm 208 */
		BGl_inlinablezf3ze70z14zzexpand_objectz00:
			{	/* Expand/object.scm 189 */
				bool_t BgL__ortest_1114z00_2030;

				BgL__ortest_1114z00_2030 =
					BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_nz00_2027);
				if (BgL__ortest_1114z00_2030)
					{	/* Expand/object.scm 189 */
						return BgL__ortest_1114z00_2030;
					}
				else
					{	/* Expand/object.scm 190 */
						bool_t BgL__ortest_1116z00_2031;

						BgL__ortest_1116z00_2031 = STRINGP(BgL_nz00_2027);
						if (BgL__ortest_1116z00_2031)
							{	/* Expand/object.scm 190 */
								return BgL__ortest_1116z00_2031;
							}
						else
							{	/* Expand/object.scm 191 */
								bool_t BgL__ortest_1118z00_2032;

								BgL__ortest_1118z00_2032 = CHARP(BgL_nz00_2027);
								if (BgL__ortest_1118z00_2032)
									{	/* Expand/object.scm 191 */
										return BgL__ortest_1118z00_2032;
									}
								else
									{	/* Expand/object.scm 192 */
										bool_t BgL__ortest_1119z00_2033;

										BgL__ortest_1119z00_2033 = BOOLEANP(BgL_nz00_2027);
										if (BgL__ortest_1119z00_2033)
											{	/* Expand/object.scm 192 */
												return BgL__ortest_1119z00_2033;
											}
										else
											{	/* Expand/object.scm 193 */
												bool_t BgL__ortest_1120z00_2034;

												BgL__ortest_1120z00_2034 = (BgL_nz00_2027 == BUNSPEC);
												if (BgL__ortest_1120z00_2034)
													{	/* Expand/object.scm 193 */
														return BgL__ortest_1120z00_2034;
													}
												else
													{	/* Expand/object.scm 194 */
														bool_t BgL__ortest_1121z00_2035;

														{	/* Expand/object.scm 194 */
															obj_t BgL_classz00_3440;

															BgL_classz00_3440 = BGl_literalz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_2027))
																{	/* Expand/object.scm 194 */
																	BgL_objectz00_bglt BgL_arg1858z00_3442;

																	BgL_arg1858z00_3442 =
																		(BgL_objectz00_bglt) (BgL_nz00_2027);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Expand/object.scm 194 */
																			long BgL_idxz00_3448;

																			BgL_idxz00_3448 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3442);
																			BgL__ortest_1121z00_2035 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3448 + 3L)) ==
																				BgL_classz00_3440);
																		}
																	else
																		{	/* Expand/object.scm 194 */
																			bool_t BgL_res2728z00_3473;

																			{	/* Expand/object.scm 194 */
																				obj_t BgL_oclassz00_3456;

																				{	/* Expand/object.scm 194 */
																					obj_t BgL_arg1866z00_3464;
																					long BgL_arg1867z00_3465;

																					BgL_arg1866z00_3464 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Expand/object.scm 194 */
																						long BgL_arg1869z00_3466;

																						BgL_arg1869z00_3466 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3442);
																						BgL_arg1867z00_3465 =
																							(BgL_arg1869z00_3466 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3456 =
																						VECTOR_REF(BgL_arg1866z00_3464,
																						BgL_arg1867z00_3465);
																				}
																				{	/* Expand/object.scm 194 */
																					bool_t BgL__ortest_1115z00_3457;

																					BgL__ortest_1115z00_3457 =
																						(BgL_classz00_3440 ==
																						BgL_oclassz00_3456);
																					if (BgL__ortest_1115z00_3457)
																						{	/* Expand/object.scm 194 */
																							BgL_res2728z00_3473 =
																								BgL__ortest_1115z00_3457;
																						}
																					else
																						{	/* Expand/object.scm 194 */
																							long BgL_odepthz00_3458;

																							{	/* Expand/object.scm 194 */
																								obj_t BgL_arg1855z00_3459;

																								BgL_arg1855z00_3459 =
																									(BgL_oclassz00_3456);
																								BgL_odepthz00_3458 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3459);
																							}
																							if ((3L < BgL_odepthz00_3458))
																								{	/* Expand/object.scm 194 */
																									obj_t BgL_arg1853z00_3461;

																									{	/* Expand/object.scm 194 */
																										obj_t BgL_arg1854z00_3462;

																										BgL_arg1854z00_3462 =
																											(BgL_oclassz00_3456);
																										BgL_arg1853z00_3461 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3462, 3L);
																									}
																									BgL_res2728z00_3473 =
																										(BgL_arg1853z00_3461 ==
																										BgL_classz00_3440);
																								}
																							else
																								{	/* Expand/object.scm 194 */
																									BgL_res2728z00_3473 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL__ortest_1121z00_2035 =
																				BgL_res2728z00_3473;
																		}
																}
															else
																{	/* Expand/object.scm 194 */
																	BgL__ortest_1121z00_2035 = ((bool_t) 0);
																}
														}
														if (BgL__ortest_1121z00_2035)
															{	/* Expand/object.scm 194 */
																return BgL__ortest_1121z00_2035;
															}
														else
															{
																obj_t BgL_funz00_2044;
																obj_t BgL_argsz00_2045;
																obj_t BgL_funz00_2047;
																obj_t BgL_modz00_2048;
																obj_t BgL_argsz00_2049;

																if (PAIRP(BgL_nz00_2027))
																	{	/* Expand/object.scm 195 */
																		if (
																			(CAR(
																					((obj_t) BgL_nz00_2027)) ==
																				((obj_t) CNST_TABLE_REF(19))))
																			{	/* Expand/object.scm 195 */
																				return ((bool_t) 1);
																			}
																		else
																			{	/* Expand/object.scm 195 */
																				if (
																					(CAR(
																							((obj_t) BgL_nz00_2027)) ==
																						((obj_t) CNST_TABLE_REF(20))))
																					{	/* Expand/object.scm 195 */
																						obj_t BgL_arg1893z00_2058;

																						BgL_arg1893z00_2058 =
																							CDR(((obj_t) BgL_nz00_2027));
																						{
																							obj_t BgL_nz00_5221;

																							BgL_nz00_5221 =
																								BgL_arg1893z00_2058;
																							BgL_nz00_2027 = BgL_nz00_5221;
																							goto
																								BGl_inlinablezf3ze70z14zzexpand_objectz00;
																						}
																					}
																				else
																					{	/* Expand/object.scm 195 */
																						obj_t BgL_carzd2208zd2_2059;
																						obj_t BgL_cdrzd2209zd2_2060;

																						BgL_carzd2208zd2_2059 =
																							CAR(((obj_t) BgL_nz00_2027));
																						BgL_cdrzd2209zd2_2060 =
																							CDR(((obj_t) BgL_nz00_2027));
																						{

																							if (
																								(BgL_carzd2208zd2_2059 ==
																									((obj_t) CNST_TABLE_REF(23))))
																								{	/* Expand/object.scm 195 */
																								BgL_kapzd2210zd2_2061:
																									if (PAIRP
																										(BgL_cdrzd2209zd2_2060))
																										{	/* Expand/object.scm 195 */
																											obj_t
																												BgL_cdrzd2214zd2_2157;
																											BgL_cdrzd2214zd2_2157 =
																												CDR
																												(BgL_cdrzd2209zd2_2060);
																											if (PAIRP
																												(BgL_cdrzd2214zd2_2157))
																												{	/* Expand/object.scm 195 */
																													if (NULLP(CDR
																															(BgL_cdrzd2214zd2_2157)))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg1974z00_2161;
																															obj_t
																																BgL_arg1975z00_2162;
																															BgL_arg1974z00_2161
																																=
																																CAR
																																(BgL_cdrzd2209zd2_2060);
																															BgL_arg1975z00_2162
																																=
																																CAR
																																(BgL_cdrzd2214zd2_2157);
																															if (BGl_inlinablezf3ze70z14zzexpand_objectz00(BgL_arg1974z00_2161, BgL_modulez00_2028))
																																{
																																	obj_t
																																		BgL_nz00_5242;
																																	BgL_nz00_5242
																																		=
																																		BgL_arg1975z00_2162;
																																	BgL_nz00_2027
																																		=
																																		BgL_nz00_5242;
																																	goto
																																		BGl_inlinablezf3ze70z14zzexpand_objectz00;
																																}
																															else
																																{	/* Expand/object.scm 199 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(CAR(
																																		((obj_t)
																																			BgL_nz00_2027))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(21))))
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 1);
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2233zd2_2165;
																																	BgL_carzd2233zd2_2165
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2027));
																																	if (SYMBOLP
																																		(BgL_carzd2233zd2_2165))
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_arg1979z00_2167;
																																			BgL_arg1979z00_2167
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_nz00_2027));
																																			BgL_funz00_2044
																																				=
																																				BgL_carzd2233zd2_2165;
																																			BgL_argsz00_2045
																																				=
																																				BgL_arg1979z00_2167;
																																		BgL_tagzd2179zd2_2046:
																																			{	/* Expand/object.scm 203 */
																																				obj_t
																																					BgL__andtest_1123z00_2286;
																																				BgL__andtest_1123z00_2286
																																					=
																																					BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																					(BgL_funz00_2044,
																																					BgL_modulez00_2028);
																																				if (CBOOL(BgL__andtest_1123z00_2286))
																																					{
																																						obj_t
																																							BgL_l1274z00_2288;
																																						BgL_l1274z00_2288
																																							=
																																							BgL_argsz00_2045;
																																					BgL_zc3z04anonymousza32074ze3z87_2289:
																																						if (NULLP(BgL_l1274z00_2288))
																																							{	/* Expand/object.scm 204 */
																																								return
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Expand/object.scm 204 */
																																								bool_t
																																									BgL_test2916z00_5260;
																																								{	/* Expand/object.scm 204 */
																																									obj_t
																																										BgL_az00_2294;
																																									BgL_az00_2294
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1274z00_2288));
																																									BgL_test2916z00_5260
																																										=
																																										BGl_inlinablezf3ze70z14zzexpand_objectz00
																																										(BgL_az00_2294,
																																										BgL_modulez00_2028);
																																								}
																																								if (BgL_test2916z00_5260)
																																									{	/* Expand/object.scm 204 */
																																										obj_t
																																											BgL_arg2076z00_2293;
																																										BgL_arg2076z00_2293
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1274z00_2288));
																																										{
																																											obj_t
																																												BgL_l1274z00_5266;
																																											BgL_l1274z00_5266
																																												=
																																												BgL_arg2076z00_2293;
																																											BgL_l1274z00_2288
																																												=
																																												BgL_l1274z00_5266;
																																											goto
																																												BgL_zc3z04anonymousza32074ze3z87_2289;
																																										}
																																									}
																																								else
																																									{	/* Expand/object.scm 204 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 203 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2233zd2_2165))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2250zd2_2170;
																																					BgL_cdrzd2250zd2_2170
																																						=
																																						CDR
																																						(BgL_carzd2233zd2_2165);
																																					if (
																																						(CAR
																																							(BgL_carzd2233zd2_2165)
																																							==
																																							((obj_t) CNST_TABLE_REF(10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2250zd2_2170))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2253zd2_2174;
																																									obj_t
																																										BgL_cdrzd2254zd2_2175;
																																									BgL_carzd2253zd2_2174
																																										=
																																										CAR
																																										(BgL_cdrzd2250zd2_2170);
																																									BgL_cdrzd2254zd2_2175
																																										=
																																										CDR
																																										(BgL_cdrzd2250zd2_2170);
																																									if (SYMBOLP(BgL_carzd2253zd2_2174))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2254zd2_2175))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2259zd2_2178;
																																													BgL_carzd2259zd2_2178
																																														=
																																														CAR
																																														(BgL_cdrzd2254zd2_2175);
																																													if (SYMBOLP(BgL_carzd2259zd2_2178))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2254zd2_2175)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg1989z00_2182;
																																																	BgL_arg1989z00_2182
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2027));
																																																	BgL_funz00_2047
																																																		=
																																																		BgL_carzd2253zd2_2174;
																																																	BgL_modz00_2048
																																																		=
																																																		BgL_carzd2259zd2_2178;
																																																	BgL_argsz00_2049
																																																		=
																																																		BgL_arg1989z00_2182;
																																																BgL_tagzd2180zd2_2050:
																																																	{	/* Expand/object.scm 206 */
																																																		obj_t
																																																			BgL__andtest_1124z00_2296;
																																																		BgL__andtest_1124z00_2296
																																																			=
																																																			BGl_inlinablezd2callzf3ze70zc6zzexpand_objectz00
																																																			(BgL_funz00_2047,
																																																			BgL_modz00_2048);
																																																		if (CBOOL(BgL__andtest_1124z00_2296))
																																																			{
																																																				obj_t
																																																					BgL_l1277z00_2298;
																																																				BgL_l1277z00_2298
																																																					=
																																																					BgL_argsz00_2049;
																																																			BgL_zc3z04anonymousza32077ze3z87_2299:
																																																				if (NULLP(BgL_l1277z00_2298))
																																																					{	/* Expand/object.scm 207 */
																																																						return
																																																							(
																																																							(bool_t)
																																																							1);
																																																					}
																																																				else
																																																					{	/* Expand/object.scm 207 */
																																																						bool_t
																																																							BgL_test2926z00_5296;
																																																						{	/* Expand/object.scm 207 */
																																																							obj_t
																																																								BgL_az00_2304;
																																																							BgL_az00_2304
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_l1277z00_2298));
																																																							BgL_test2926z00_5296
																																																								=
																																																								BGl_inlinablezf3ze70z14zzexpand_objectz00
																																																								(BgL_az00_2304,
																																																								BgL_modulez00_2028);
																																																						}
																																																						if (BgL_test2926z00_5296)
																																																							{	/* Expand/object.scm 207 */
																																																								obj_t
																																																									BgL_arg2079z00_2303;
																																																								BgL_arg2079z00_2303
																																																									=
																																																									CDR
																																																									(
																																																									((obj_t) BgL_l1277z00_2298));
																																																								{
																																																									obj_t
																																																										BgL_l1277z00_5302;
																																																									BgL_l1277z00_5302
																																																										=
																																																										BgL_arg2079z00_2303;
																																																									BgL_l1277z00_2298
																																																										=
																																																										BgL_l1277z00_5302;
																																																									goto
																																																										BgL_zc3z04anonymousza32077ze3z87_2299;
																																																								}
																																																							}
																																																						else
																																																							{	/* Expand/object.scm 207 */
																																																								return
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Expand/object.scm 206 */
																																																				return
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(CAR(
																																((obj_t)
																																	BgL_nz00_2027))
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(21))))
																														{	/* Expand/object.scm 195 */
																															return ((bool_t)
																																1);
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_cdrzd2274zd2_2189;
																															BgL_cdrzd2274zd2_2189
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2027));
																															if ((CAR(((obj_t)
																																			BgL_nz00_2027))
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(22))))
																																{	/* Expand/object.scm 195 */
																																	bool_t
																																		BgL_test2929z00_5317;
																																	{	/* Expand/object.scm 195 */
																																		obj_t
																																			BgL_tmpz00_5318;
																																		BgL_tmpz00_5318
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd2274zd2_2189));
																																		BgL_test2929z00_5317
																																			=
																																			SYMBOLP
																																			(BgL_tmpz00_5318);
																																	}
																																	if (BgL_test2929z00_5317)
																																		{	/* Expand/object.scm 195 */
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd2274zd2_2189))))
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2282zd2_2196;
																																					BgL_carzd2282zd2_2196
																																						=
																																						CAR(
																																						((obj_t) BgL_nz00_2027));
																																					if (SYMBOLP(BgL_carzd2282zd2_2196))
																																						{
																																							obj_t
																																								BgL_argsz00_5331;
																																							obj_t
																																								BgL_funz00_5330;
																																							BgL_funz00_5330
																																								=
																																								BgL_carzd2282zd2_2196;
																																							BgL_argsz00_5331
																																								=
																																								BgL_cdrzd2274zd2_2189;
																																							BgL_argsz00_2045
																																								=
																																								BgL_argsz00_5331;
																																							BgL_funz00_2044
																																								=
																																								BgL_funz00_5330;
																																							goto
																																								BgL_tagzd2179zd2_2046;
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_carzd2282zd2_2196))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_cdrzd2299zd2_2201;
																																									BgL_cdrzd2299zd2_2201
																																										=
																																										CDR
																																										(BgL_carzd2282zd2_2196);
																																									if ((CAR(BgL_carzd2282zd2_2196) == ((obj_t) CNST_TABLE_REF(10))))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2299zd2_2201))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2302zd2_2205;
																																													obj_t
																																														BgL_cdrzd2303zd2_2206;
																																													BgL_carzd2302zd2_2205
																																														=
																																														CAR
																																														(BgL_cdrzd2299zd2_2201);
																																													BgL_cdrzd2303zd2_2206
																																														=
																																														CDR
																																														(BgL_cdrzd2299zd2_2201);
																																													if (SYMBOLP(BgL_carzd2302zd2_2205))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2303zd2_2206))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2308zd2_2209;
																																																	BgL_carzd2308zd2_2209
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2303zd2_2206);
																																																	if (SYMBOLP(BgL_carzd2308zd2_2209))
																																																		{	/* Expand/object.scm 195 */
																																																			if (NULLP(CDR(BgL_cdrzd2303zd2_2206)))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_arg2017z00_2213;
																																																					BgL_arg2017z00_2213
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_nz00_2027));
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5358;
																																																						obj_t
																																																							BgL_modz00_5357;
																																																						obj_t
																																																							BgL_funz00_5356;
																																																						BgL_funz00_5356
																																																							=
																																																							BgL_carzd2302zd2_2205;
																																																						BgL_modz00_5357
																																																							=
																																																							BgL_carzd2308zd2_2209;
																																																						BgL_argsz00_5358
																																																							=
																																																							BgL_arg2017z00_2213;
																																																						BgL_argsz00_2049
																																																							=
																																																							BgL_argsz00_5358;
																																																						BgL_modz00_2048
																																																							=
																																																							BgL_modz00_5357;
																																																						BgL_funz00_2047
																																																							=
																																																							BgL_funz00_5356;
																																																						goto
																																																							BgL_tagzd2180zd2_2050;
																																																					}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			obj_t
																																				BgL_carzd2319zd2_2217;
																																			BgL_carzd2319zd2_2217
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_nz00_2027));
																																			if (SYMBOLP(BgL_carzd2319zd2_2217))
																																				{
																																					obj_t
																																						BgL_argsz00_5364;
																																					obj_t
																																						BgL_funz00_5363;
																																					BgL_funz00_5363
																																						=
																																						BgL_carzd2319zd2_2217;
																																					BgL_argsz00_5364
																																						=
																																						BgL_cdrzd2274zd2_2189;
																																					BgL_argsz00_2045
																																						=
																																						BgL_argsz00_5364;
																																					BgL_funz00_2044
																																						=
																																						BgL_funz00_5363;
																																					goto
																																						BgL_tagzd2179zd2_2046;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (PAIRP(BgL_carzd2319zd2_2217))
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2336zd2_2222;
																																							BgL_cdrzd2336zd2_2222
																																								=
																																								CDR
																																								(BgL_carzd2319zd2_2217);
																																							if ((CAR(BgL_carzd2319zd2_2217) == ((obj_t) CNST_TABLE_REF(10))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2336zd2_2222))
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2339zd2_2226;
																																											obj_t
																																												BgL_cdrzd2340zd2_2227;
																																											BgL_carzd2339zd2_2226
																																												=
																																												CAR
																																												(BgL_cdrzd2336zd2_2222);
																																											BgL_cdrzd2340zd2_2227
																																												=
																																												CDR
																																												(BgL_cdrzd2336zd2_2222);
																																											if (SYMBOLP(BgL_carzd2339zd2_2226))
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_cdrzd2340zd2_2227))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2345zd2_2230;
																																															BgL_carzd2345zd2_2230
																																																=
																																																CAR
																																																(BgL_cdrzd2340zd2_2227);
																																															if (SYMBOLP(BgL_carzd2345zd2_2230))
																																																{	/* Expand/object.scm 195 */
																																																	if (NULLP(CDR(BgL_cdrzd2340zd2_2227)))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_arg2033z00_2234;
																																																			BgL_arg2033z00_2234
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_nz00_2027));
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5391;
																																																				obj_t
																																																					BgL_modz00_5390;
																																																				obj_t
																																																					BgL_funz00_5389;
																																																				BgL_funz00_5389
																																																					=
																																																					BgL_carzd2339zd2_2226;
																																																				BgL_modz00_5390
																																																					=
																																																					BgL_carzd2345zd2_2230;
																																																				BgL_argsz00_5391
																																																					=
																																																					BgL_arg2033z00_2234;
																																																				BgL_argsz00_2049
																																																					=
																																																					BgL_argsz00_5391;
																																																				BgL_modz00_2048
																																																					=
																																																					BgL_modz00_5390;
																																																				BgL_funz00_2047
																																																					=
																																																					BgL_funz00_5389;
																																																				goto
																																																					BgL_tagzd2180zd2_2050;
																																																			}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_carzd2356zd2_2238;
																																	BgL_carzd2356zd2_2238
																																		=
																																		CAR(((obj_t)
																																			BgL_nz00_2027));
																																	if (SYMBOLP
																																		(BgL_carzd2356zd2_2238))
																																		{
																																			obj_t
																																				BgL_argsz00_5397;
																																			obj_t
																																				BgL_funz00_5396;
																																			BgL_funz00_5396
																																				=
																																				BgL_carzd2356zd2_2238;
																																			BgL_argsz00_5397
																																				=
																																				BgL_cdrzd2274zd2_2189;
																																			BgL_argsz00_2045
																																				=
																																				BgL_argsz00_5397;
																																			BgL_funz00_2044
																																				=
																																				BgL_funz00_5396;
																																			goto
																																				BgL_tagzd2179zd2_2046;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_carzd2356zd2_2238))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_cdrzd2373zd2_2243;
																																					BgL_cdrzd2373zd2_2243
																																						=
																																						CDR
																																						(BgL_carzd2356zd2_2238);
																																					if (
																																						(CAR
																																							(BgL_carzd2356zd2_2238)
																																							==
																																							((obj_t) CNST_TABLE_REF(10))))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2373zd2_2243))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2376zd2_2247;
																																									obj_t
																																										BgL_cdrzd2377zd2_2248;
																																									BgL_carzd2376zd2_2247
																																										=
																																										CAR
																																										(BgL_cdrzd2373zd2_2243);
																																									BgL_cdrzd2377zd2_2248
																																										=
																																										CDR
																																										(BgL_cdrzd2373zd2_2243);
																																									if (SYMBOLP(BgL_carzd2376zd2_2247))
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_cdrzd2377zd2_2248))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2382zd2_2251;
																																													BgL_carzd2382zd2_2251
																																														=
																																														CAR
																																														(BgL_cdrzd2377zd2_2248);
																																													if (SYMBOLP(BgL_carzd2382zd2_2251))
																																														{	/* Expand/object.scm 195 */
																																															if (NULLP(CDR(BgL_cdrzd2377zd2_2248)))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_arg2049z00_2255;
																																																	BgL_arg2049z00_2255
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_nz00_2027));
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5424;
																																																		obj_t
																																																			BgL_modz00_5423;
																																																		obj_t
																																																			BgL_funz00_5422;
																																																		BgL_funz00_5422
																																																			=
																																																			BgL_carzd2376zd2_2247;
																																																		BgL_modz00_5423
																																																			=
																																																			BgL_carzd2382zd2_2251;
																																																		BgL_argsz00_5424
																																																			=
																																																			BgL_arg2049z00_2255;
																																																		BgL_argsz00_2049
																																																			=
																																																			BgL_argsz00_5424;
																																																		BgL_modz00_2048
																																																			=
																																																			BgL_modz00_5423;
																																																		BgL_funz00_2047
																																																			=
																																																			BgL_funz00_5422;
																																																		goto
																																																			BgL_tagzd2180zd2_2050;
																																																	}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																														}
																												}
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_nz00_2027)) ==
																													((obj_t)
																														CNST_TABLE_REF
																														(21))))
																												{	/* Expand/object.scm 195 */
																													return ((bool_t) 1);
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													obj_t
																														BgL_carzd2401zd2_2262;
																													BgL_carzd2401zd2_2262
																														=
																														CAR(((obj_t)
																															BgL_nz00_2027));
																													if (SYMBOLP
																														(BgL_carzd2401zd2_2262))
																														{	/* Expand/object.scm 195 */
																															obj_t
																																BgL_arg2058z00_2264;
																															BgL_arg2058z00_2264
																																=
																																CDR(((obj_t)
																																	BgL_nz00_2027));
																															{
																																obj_t
																																	BgL_argsz00_5438;
																																obj_t
																																	BgL_funz00_5437;
																																BgL_funz00_5437
																																	=
																																	BgL_carzd2401zd2_2262;
																																BgL_argsz00_5438
																																	=
																																	BgL_arg2058z00_2264;
																																BgL_argsz00_2045
																																	=
																																	BgL_argsz00_5438;
																																BgL_funz00_2044
																																	=
																																	BgL_funz00_5437;
																																goto
																																	BgL_tagzd2179zd2_2046;
																															}
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (PAIRP
																																(BgL_carzd2401zd2_2262))
																																{	/* Expand/object.scm 195 */
																																	obj_t
																																		BgL_cdrzd2418zd2_2267;
																																	BgL_cdrzd2418zd2_2267
																																		=
																																		CDR
																																		(BgL_carzd2401zd2_2262);
																																	if ((CAR
																																			(BgL_carzd2401zd2_2262)
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(10))))
																																		{	/* Expand/object.scm 195 */
																																			if (PAIRP
																																				(BgL_cdrzd2418zd2_2267))
																																				{	/* Expand/object.scm 195 */
																																					obj_t
																																						BgL_carzd2421zd2_2271;
																																					obj_t
																																						BgL_cdrzd2422zd2_2272;
																																					BgL_carzd2421zd2_2271
																																						=
																																						CAR
																																						(BgL_cdrzd2418zd2_2267);
																																					BgL_cdrzd2422zd2_2272
																																						=
																																						CDR
																																						(BgL_cdrzd2418zd2_2267);
																																					if (SYMBOLP(BgL_carzd2421zd2_2271))
																																						{	/* Expand/object.scm 195 */
																																							if (PAIRP(BgL_cdrzd2422zd2_2272))
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2427zd2_2275;
																																									BgL_carzd2427zd2_2275
																																										=
																																										CAR
																																										(BgL_cdrzd2422zd2_2272);
																																									if (SYMBOLP(BgL_carzd2427zd2_2275))
																																										{	/* Expand/object.scm 195 */
																																											if (NULLP(CDR(BgL_cdrzd2422zd2_2272)))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_arg2068z00_2279;
																																													BgL_arg2068z00_2279
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_nz00_2027));
																																													{
																																														obj_t
																																															BgL_argsz00_5465;
																																														obj_t
																																															BgL_modz00_5464;
																																														obj_t
																																															BgL_funz00_5463;
																																														BgL_funz00_5463
																																															=
																																															BgL_carzd2421zd2_2271;
																																														BgL_modz00_5464
																																															=
																																															BgL_carzd2427zd2_2275;
																																														BgL_argsz00_5465
																																															=
																																															BgL_arg2068z00_2279;
																																														BgL_argsz00_2049
																																															=
																																															BgL_argsz00_5465;
																																														BgL_modz00_2048
																																															=
																																															BgL_modz00_5464;
																																														BgL_funz00_2047
																																															=
																																															BgL_funz00_5463;
																																														goto
																																															BgL_tagzd2180zd2_2050;
																																													}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	return (
																																		(bool_t) 0);
																																}
																														}
																												}
																										}
																								}
																							else
																								{	/* Expand/object.scm 195 */
																									if (
																										(BgL_carzd2208zd2_2059 ==
																											((obj_t)
																												CNST_TABLE_REF(24))))
																										{	/* Expand/object.scm 195 */
																											goto
																												BgL_kapzd2210zd2_2061;
																										}
																									else
																										{	/* Expand/object.scm 195 */
																											if (
																												(BgL_carzd2208zd2_2059
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(25))))
																												{	/* Expand/object.scm 195 */
																													goto
																														BgL_kapzd2210zd2_2061;
																												}
																											else
																												{	/* Expand/object.scm 195 */
																													if (
																														(BgL_carzd2208zd2_2059
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(26))))
																														{	/* Expand/object.scm 195 */
																															goto
																																BgL_kapzd2210zd2_2061;
																														}
																													else
																														{	/* Expand/object.scm 195 */
																															if (
																																(BgL_carzd2208zd2_2059
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(27))))
																																{	/* Expand/object.scm 195 */
																																	goto
																																		BgL_kapzd2210zd2_2061;
																																}
																															else
																																{	/* Expand/object.scm 195 */
																																	if (
																																		(BgL_carzd2208zd2_2059
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(28))))
																																		{	/* Expand/object.scm 195 */
																																			goto
																																				BgL_kapzd2210zd2_2061;
																																		}
																																	else
																																		{	/* Expand/object.scm 195 */
																																			if (
																																				(BgL_carzd2208zd2_2059
																																					==
																																					((obj_t) CNST_TABLE_REF(29))))
																																				{	/* Expand/object.scm 195 */
																																					goto
																																						BgL_kapzd2210zd2_2061;
																																				}
																																			else
																																				{	/* Expand/object.scm 195 */
																																					if (
																																						(BgL_carzd2208zd2_2059
																																							==
																																							((obj_t) CNST_TABLE_REF(21))))
																																						{	/* Expand/object.scm 195 */
																																							return
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Expand/object.scm 195 */
																																							obj_t
																																								BgL_cdrzd2447zd2_2064;
																																							BgL_cdrzd2447zd2_2064
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_nz00_2027));
																																							if ((CAR(((obj_t) BgL_nz00_2027)) == ((obj_t) CNST_TABLE_REF(22))))
																																								{	/* Expand/object.scm 195 */
																																									if (PAIRP(BgL_cdrzd2447zd2_2064))
																																										{	/* Expand/object.scm 195 */
																																											bool_t
																																												BgL_test2973z00_5504;
																																											{	/* Expand/object.scm 195 */
																																												obj_t
																																													BgL_tmpz00_5505;
																																												BgL_tmpz00_5505
																																													=
																																													CAR
																																													(BgL_cdrzd2447zd2_2064);
																																												BgL_test2973z00_5504
																																													=
																																													SYMBOLP
																																													(BgL_tmpz00_5505);
																																											}
																																											if (BgL_test2973z00_5504)
																																												{	/* Expand/object.scm 195 */
																																													if (NULLP(CDR(BgL_cdrzd2447zd2_2064)))
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																1);
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_carzd2455zd2_2072;
																																															BgL_carzd2455zd2_2072
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_nz00_2027));
																																															if (SYMBOLP(BgL_carzd2455zd2_2072))
																																																{
																																																	obj_t
																																																		BgL_argsz00_5516;
																																																	obj_t
																																																		BgL_funz00_5515;
																																																	BgL_funz00_5515
																																																		=
																																																		BgL_carzd2455zd2_2072;
																																																	BgL_argsz00_5516
																																																		=
																																																		BgL_cdrzd2447zd2_2064;
																																																	BgL_argsz00_2045
																																																		=
																																																		BgL_argsz00_5516;
																																																	BgL_funz00_2044
																																																		=
																																																		BgL_funz00_5515;
																																																	goto
																																																		BgL_tagzd2179zd2_2046;
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_carzd2455zd2_2072))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_cdrzd2472zd2_2077;
																																																			BgL_cdrzd2472zd2_2077
																																																				=
																																																				CDR
																																																				(BgL_carzd2455zd2_2072);
																																																			if ((CAR(BgL_carzd2455zd2_2072) == ((obj_t) CNST_TABLE_REF(10))))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2472zd2_2077))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2475zd2_2081;
																																																							obj_t
																																																								BgL_cdrzd2476zd2_2082;
																																																							BgL_carzd2475zd2_2081
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2472zd2_2077);
																																																							BgL_cdrzd2476zd2_2082
																																																								=
																																																								CDR
																																																								(BgL_cdrzd2472zd2_2077);
																																																							if (SYMBOLP(BgL_carzd2475zd2_2081))
																																																								{	/* Expand/object.scm 195 */
																																																									if (PAIRP(BgL_cdrzd2476zd2_2082))
																																																										{	/* Expand/object.scm 195 */
																																																											obj_t
																																																												BgL_carzd2481zd2_2085;
																																																											BgL_carzd2481zd2_2085
																																																												=
																																																												CAR
																																																												(BgL_cdrzd2476zd2_2082);
																																																											if (SYMBOLP(BgL_carzd2481zd2_2085))
																																																												{	/* Expand/object.scm 195 */
																																																													if (NULLP(CDR(BgL_cdrzd2476zd2_2082)))
																																																														{	/* Expand/object.scm 195 */
																																																															obj_t
																																																																BgL_arg1915z00_2089;
																																																															BgL_arg1915z00_2089
																																																																=
																																																																CDR
																																																																(
																																																																((obj_t) BgL_nz00_2027));
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_5543;
																																																																obj_t
																																																																	BgL_modz00_5542;
																																																																obj_t
																																																																	BgL_funz00_5541;
																																																																BgL_funz00_5541
																																																																	=
																																																																	BgL_carzd2475zd2_2081;
																																																																BgL_modz00_5542
																																																																	=
																																																																	BgL_carzd2481zd2_2085;
																																																																BgL_argsz00_5543
																																																																	=
																																																																	BgL_arg1915z00_2089;
																																																																BgL_argsz00_2049
																																																																	=
																																																																	BgL_argsz00_5543;
																																																																BgL_modz00_2048
																																																																	=
																																																																	BgL_modz00_5542;
																																																																BgL_funz00_2047
																																																																	=
																																																																	BgL_funz00_5541;
																																																																goto
																																																																	BgL_tagzd2180zd2_2050;
																																																															}
																																																														}
																																																													else
																																																														{	/* Expand/object.scm 195 */
																																																															return
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_carzd2492zd2_2093;
																																													BgL_carzd2492zd2_2093
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_nz00_2027));
																																													if (SYMBOLP(BgL_carzd2492zd2_2093))
																																														{
																																															obj_t
																																																BgL_argsz00_5549;
																																															obj_t
																																																BgL_funz00_5548;
																																															BgL_funz00_5548
																																																=
																																																BgL_carzd2492zd2_2093;
																																															BgL_argsz00_5549
																																																=
																																																BgL_cdrzd2447zd2_2064;
																																															BgL_argsz00_2045
																																																=
																																																BgL_argsz00_5549;
																																															BgL_funz00_2044
																																																=
																																																BgL_funz00_5548;
																																															goto
																																																BgL_tagzd2179zd2_2046;
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_carzd2492zd2_2093))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_cdrzd2509zd2_2098;
																																																	BgL_cdrzd2509zd2_2098
																																																		=
																																																		CDR
																																																		(BgL_carzd2492zd2_2093);
																																																	if ((CAR(BgL_carzd2492zd2_2093) == ((obj_t) CNST_TABLE_REF(10))))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2509zd2_2098))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2512zd2_2102;
																																																					obj_t
																																																						BgL_cdrzd2513zd2_2103;
																																																					BgL_carzd2512zd2_2102
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2509zd2_2098);
																																																					BgL_cdrzd2513zd2_2103
																																																						=
																																																						CDR
																																																						(BgL_cdrzd2509zd2_2098);
																																																					if (SYMBOLP(BgL_carzd2512zd2_2102))
																																																						{	/* Expand/object.scm 195 */
																																																							if (PAIRP(BgL_cdrzd2513zd2_2103))
																																																								{	/* Expand/object.scm 195 */
																																																									obj_t
																																																										BgL_carzd2518zd2_2106;
																																																									BgL_carzd2518zd2_2106
																																																										=
																																																										CAR
																																																										(BgL_cdrzd2513zd2_2103);
																																																									if (SYMBOLP(BgL_carzd2518zd2_2106))
																																																										{	/* Expand/object.scm 195 */
																																																											if (NULLP(CDR(BgL_cdrzd2513zd2_2103)))
																																																												{	/* Expand/object.scm 195 */
																																																													obj_t
																																																														BgL_arg1932z00_2110;
																																																													BgL_arg1932z00_2110
																																																														=
																																																														CDR
																																																														(
																																																														((obj_t) BgL_nz00_2027));
																																																													{
																																																														obj_t
																																																															BgL_argsz00_5576;
																																																														obj_t
																																																															BgL_modz00_5575;
																																																														obj_t
																																																															BgL_funz00_5574;
																																																														BgL_funz00_5574
																																																															=
																																																															BgL_carzd2512zd2_2102;
																																																														BgL_modz00_5575
																																																															=
																																																															BgL_carzd2518zd2_2106;
																																																														BgL_argsz00_5576
																																																															=
																																																															BgL_arg1932z00_2110;
																																																														BgL_argsz00_2049
																																																															=
																																																															BgL_argsz00_5576;
																																																														BgL_modz00_2048
																																																															=
																																																															BgL_modz00_5575;
																																																														BgL_funz00_2047
																																																															=
																																																															BgL_funz00_5574;
																																																														goto
																																																															BgL_tagzd2180zd2_2050;
																																																													}
																																																												}
																																																											else
																																																												{	/* Expand/object.scm 195 */
																																																													return
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																												}
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											obj_t
																																												BgL_carzd2529zd2_2114;
																																											BgL_carzd2529zd2_2114
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_nz00_2027));
																																											if (SYMBOLP(BgL_carzd2529zd2_2114))
																																												{
																																													obj_t
																																														BgL_argsz00_5582;
																																													obj_t
																																														BgL_funz00_5581;
																																													BgL_funz00_5581
																																														=
																																														BgL_carzd2529zd2_2114;
																																													BgL_argsz00_5582
																																														=
																																														BgL_cdrzd2447zd2_2064;
																																													BgL_argsz00_2045
																																														=
																																														BgL_argsz00_5582;
																																													BgL_funz00_2044
																																														=
																																														BgL_funz00_5581;
																																													goto
																																														BgL_tagzd2179zd2_2046;
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													if (PAIRP(BgL_carzd2529zd2_2114))
																																														{	/* Expand/object.scm 195 */
																																															obj_t
																																																BgL_cdrzd2546zd2_2119;
																																															BgL_cdrzd2546zd2_2119
																																																=
																																																CDR
																																																(BgL_carzd2529zd2_2114);
																																															if ((CAR(BgL_carzd2529zd2_2114) == ((obj_t) CNST_TABLE_REF(10))))
																																																{	/* Expand/object.scm 195 */
																																																	if (PAIRP(BgL_cdrzd2546zd2_2119))
																																																		{	/* Expand/object.scm 195 */
																																																			obj_t
																																																				BgL_carzd2549zd2_2123;
																																																			obj_t
																																																				BgL_cdrzd2550zd2_2124;
																																																			BgL_carzd2549zd2_2123
																																																				=
																																																				CAR
																																																				(BgL_cdrzd2546zd2_2119);
																																																			BgL_cdrzd2550zd2_2124
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2546zd2_2119);
																																																			if (SYMBOLP(BgL_carzd2549zd2_2123))
																																																				{	/* Expand/object.scm 195 */
																																																					if (PAIRP(BgL_cdrzd2550zd2_2124))
																																																						{	/* Expand/object.scm 195 */
																																																							obj_t
																																																								BgL_carzd2555zd2_2127;
																																																							BgL_carzd2555zd2_2127
																																																								=
																																																								CAR
																																																								(BgL_cdrzd2550zd2_2124);
																																																							if (SYMBOLP(BgL_carzd2555zd2_2127))
																																																								{	/* Expand/object.scm 195 */
																																																									if (NULLP(CDR(BgL_cdrzd2550zd2_2124)))
																																																										{	/* Expand/object.scm 195 */
																																																											obj_t
																																																												BgL_arg1948z00_2131;
																																																											BgL_arg1948z00_2131
																																																												=
																																																												CDR
																																																												(
																																																												((obj_t) BgL_nz00_2027));
																																																											{
																																																												obj_t
																																																													BgL_argsz00_5609;
																																																												obj_t
																																																													BgL_modz00_5608;
																																																												obj_t
																																																													BgL_funz00_5607;
																																																												BgL_funz00_5607
																																																													=
																																																													BgL_carzd2549zd2_2123;
																																																												BgL_modz00_5608
																																																													=
																																																													BgL_carzd2555zd2_2127;
																																																												BgL_argsz00_5609
																																																													=
																																																													BgL_arg1948z00_2131;
																																																												BgL_argsz00_2049
																																																													=
																																																													BgL_argsz00_5609;
																																																												BgL_modz00_2048
																																																													=
																																																													BgL_modz00_5608;
																																																												BgL_funz00_2047
																																																													=
																																																													BgL_funz00_5607;
																																																												goto
																																																													BgL_tagzd2180zd2_2050;
																																																											}
																																																										}
																																																									else
																																																										{	/* Expand/object.scm 195 */
																																																											return
																																																												(
																																																												(bool_t)
																																																												0);
																																																										}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																								}
																																							else
																																								{	/* Expand/object.scm 195 */
																																									obj_t
																																										BgL_carzd2566zd2_2134;
																																									BgL_carzd2566zd2_2134
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_nz00_2027));
																																									if (SYMBOLP(BgL_carzd2566zd2_2134))
																																										{
																																											obj_t
																																												BgL_argsz00_5615;
																																											obj_t
																																												BgL_funz00_5614;
																																											BgL_funz00_5614
																																												=
																																												BgL_carzd2566zd2_2134;
																																											BgL_argsz00_5615
																																												=
																																												BgL_cdrzd2447zd2_2064;
																																											BgL_argsz00_2045
																																												=
																																												BgL_argsz00_5615;
																																											BgL_funz00_2044
																																												=
																																												BgL_funz00_5614;
																																											goto
																																												BgL_tagzd2179zd2_2046;
																																										}
																																									else
																																										{	/* Expand/object.scm 195 */
																																											if (PAIRP(BgL_carzd2566zd2_2134))
																																												{	/* Expand/object.scm 195 */
																																													obj_t
																																														BgL_cdrzd2583zd2_2139;
																																													BgL_cdrzd2583zd2_2139
																																														=
																																														CDR
																																														(BgL_carzd2566zd2_2134);
																																													if ((CAR(BgL_carzd2566zd2_2134) == ((obj_t) CNST_TABLE_REF(10))))
																																														{	/* Expand/object.scm 195 */
																																															if (PAIRP(BgL_cdrzd2583zd2_2139))
																																																{	/* Expand/object.scm 195 */
																																																	obj_t
																																																		BgL_carzd2586zd2_2143;
																																																	obj_t
																																																		BgL_cdrzd2587zd2_2144;
																																																	BgL_carzd2586zd2_2143
																																																		=
																																																		CAR
																																																		(BgL_cdrzd2583zd2_2139);
																																																	BgL_cdrzd2587zd2_2144
																																																		=
																																																		CDR
																																																		(BgL_cdrzd2583zd2_2139);
																																																	if (SYMBOLP(BgL_carzd2586zd2_2143))
																																																		{	/* Expand/object.scm 195 */
																																																			if (PAIRP(BgL_cdrzd2587zd2_2144))
																																																				{	/* Expand/object.scm 195 */
																																																					obj_t
																																																						BgL_carzd2592zd2_2147;
																																																					BgL_carzd2592zd2_2147
																																																						=
																																																						CAR
																																																						(BgL_cdrzd2587zd2_2144);
																																																					if (SYMBOLP(BgL_carzd2592zd2_2147))
																																																						{	/* Expand/object.scm 195 */
																																																							if (NULLP(CDR(BgL_cdrzd2587zd2_2144)))
																																																								{	/* Expand/object.scm 195 */
																																																									obj_t
																																																										BgL_arg1965z00_2151;
																																																									BgL_arg1965z00_2151
																																																										=
																																																										CDR
																																																										(
																																																										((obj_t) BgL_nz00_2027));
																																																									{
																																																										obj_t
																																																											BgL_argsz00_5642;
																																																										obj_t
																																																											BgL_modz00_5641;
																																																										obj_t
																																																											BgL_funz00_5640;
																																																										BgL_funz00_5640
																																																											=
																																																											BgL_carzd2586zd2_2143;
																																																										BgL_modz00_5641
																																																											=
																																																											BgL_carzd2592zd2_2147;
																																																										BgL_argsz00_5642
																																																											=
																																																											BgL_arg1965z00_2151;
																																																										BgL_argsz00_2049
																																																											=
																																																											BgL_argsz00_5642;
																																																										BgL_modz00_2048
																																																											=
																																																											BgL_modz00_5641;
																																																										BgL_funz00_2047
																																																											=
																																																											BgL_funz00_5640;
																																																										goto
																																																											BgL_tagzd2180zd2_2050;
																																																									}
																																																								}
																																																							else
																																																								{	/* Expand/object.scm 195 */
																																																									return
																																																										(
																																																										(bool_t)
																																																										0);
																																																								}
																																																						}
																																																					else
																																																						{	/* Expand/object.scm 195 */
																																																							return
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																			else
																																																				{	/* Expand/object.scm 195 */
																																																					return
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Expand/object.scm 195 */
																																																			return
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																															else
																																																{	/* Expand/object.scm 195 */
																																																	return
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																													else
																																														{	/* Expand/object.scm 195 */
																																															return
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																											else
																																												{	/* Expand/object.scm 195 */
																																													return
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																					}
																			}
																	}
																else
																	{	/* Expand/object.scm 195 */
																		return ((bool_t) 0);
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4162, obj_t BgL_slotz00_4165, obj_t BgL_valz00_4166)
	{
		{	/* Expand/object.scm 343 */
			{	/* Expand/object.scm 344 */
				obj_t BgL_ez00_4163;
				obj_t BgL_newz00_4164;

				BgL_ez00_4163 = ((obj_t) PROCEDURE_REF(BgL_envz00_4162, (int) (0L)));
				BgL_newz00_4164 = ((obj_t) PROCEDURE_REF(BgL_envz00_4162, (int) (1L)));
				{	/* Expand/object.scm 344 */
					bool_t BgL_test3007z00_5649;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4165)))
						{	/* Expand/object.scm 344 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4165)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 345 */
									BgL_test3007z00_5649 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 345 */
									BgL_test3007z00_5649 = CBOOL(CAR(((obj_t) BgL_valz00_4166)));
								}
						}
					else
						{	/* Expand/object.scm 344 */
							BgL_test3007z00_5649 = ((bool_t) 0);
						}
					if (BgL_test3007z00_5649)
						{	/* Expand/object.scm 347 */
							obj_t BgL_vz00_4253;
							obj_t BgL_idz00_4254;

							{	/* Expand/object.scm 347 */
								obj_t BgL_arg1857z00_4255;

								BgL_arg1857z00_4255 = CDR(((obj_t) BgL_valz00_4166));
								BgL_vz00_4253 =
									BGL_PROCEDURE_CALL2(BgL_ez00_4163, BgL_arg1857z00_4255,
									BgL_ez00_4163);
							}
							BgL_idz00_4254 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_4165)))->BgL_idz00);
							{	/* Expand/object.scm 349 */
								obj_t BgL_arg1847z00_4256;
								obj_t BgL_arg1848z00_4257;

								BgL_arg1847z00_4256 = CDR(((obj_t) BgL_valz00_4166));
								{	/* Expand/object.scm 350 */
									obj_t BgL_arg1851z00_4258;

									{	/* Expand/object.scm 350 */
										obj_t BgL_arg1852z00_4259;
										obj_t BgL_arg1856z00_4260;

										BgL_arg1852z00_4259 =
											BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4164,
											BgL_idz00_4254, BTRUE);
										BgL_arg1856z00_4260 = MAKE_YOUNG_PAIR(BgL_vz00_4253, BNIL);
										BgL_arg1851z00_4258 =
											MAKE_YOUNG_PAIR(BgL_arg1852z00_4259, BgL_arg1856z00_4260);
									}
									BgL_arg1848z00_4257 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(7)), BgL_arg1851z00_4258);
								}
								return
									BGl_objectzd2epairifyzd2zzexpand_objectz00
									(BgL_arg1848z00_4257, BgL_arg1847z00_4256);
							}
						}
					else
						{	/* Expand/object.scm 344 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:1777> */
	obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4167, obj_t BgL_slotz00_4170, obj_t BgL_valz00_4171)
	{
		{	/* Expand/object.scm 328 */
			{	/* Expand/object.scm 329 */
				obj_t BgL_ez00_4168;
				obj_t BgL_newz00_4169;

				BgL_ez00_4168 = ((obj_t) PROCEDURE_REF(BgL_envz00_4167, (int) (0L)));
				BgL_newz00_4169 = ((obj_t) PROCEDURE_REF(BgL_envz00_4167, (int) (1L)));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4170)))
					{	/* Expand/object.scm 329 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 330 */
						obj_t BgL_vz00_4261;
						obj_t BgL_idz00_4262;

						{	/* Expand/object.scm 330 */
							obj_t BgL_arg1789z00_4263;

							BgL_arg1789z00_4263 = CDR(((obj_t) BgL_valz00_4171));
							BgL_vz00_4261 =
								BGL_PROCEDURE_CALL2(BgL_ez00_4168, BgL_arg1789z00_4263,
								BgL_ez00_4168);
						}
						BgL_idz00_4262 =
							(((BgL_slotz00_bglt) COBJECT(
									((BgL_slotz00_bglt) BgL_slotz00_4170)))->BgL_idz00);
						{	/* Expand/object.scm 332 */
							obj_t BgL_arg1782z00_4264;
							obj_t BgL_arg1783z00_4265;

							BgL_arg1782z00_4264 = CDR(((obj_t) BgL_valz00_4171));
							{	/* Expand/object.scm 333 */
								obj_t BgL_arg1784z00_4266;

								{	/* Expand/object.scm 333 */
									obj_t BgL_arg1785z00_4267;
									obj_t BgL_arg1786z00_4268;

									BgL_arg1785z00_4267 =
										BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_4169,
										BgL_idz00_4262, BTRUE);
									BgL_arg1786z00_4268 = MAKE_YOUNG_PAIR(BgL_vz00_4261, BNIL);
									BgL_arg1784z00_4266 =
										MAKE_YOUNG_PAIR(BgL_arg1785z00_4267, BgL_arg1786z00_4268);
								}
								BgL_arg1783z00_4265 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1784z00_4266);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg1783z00_4265,
								BgL_arg1782z00_4264);
						}
					}
			}
		}

	}



/* expand-co-instantiate */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(obj_t BgL_xz00_24,
		obj_t BgL_ez00_25)
	{
		{	/* Expand/object.scm 358 */
			{

				if (PAIRP(BgL_xz00_24))
					{	/* Expand/object.scm 359 */
						obj_t BgL_cdrzd2705zd2_2514;

						BgL_cdrzd2705zd2_2514 = CDR(((obj_t) BgL_xz00_24));
						if ((CAR(((obj_t) BgL_xz00_24)) == ((obj_t) CNST_TABLE_REF(30))))
							{	/* Expand/object.scm 359 */
								if (PAIRP(BgL_cdrzd2705zd2_2514))
									{	/* Expand/object.scm 359 */
										obj_t BgL_arg2217z00_2518;
										obj_t BgL_arg2218z00_2519;

										BgL_arg2217z00_2518 = CAR(BgL_cdrzd2705zd2_2514);
										BgL_arg2218z00_2519 = CDR(BgL_cdrzd2705zd2_2514);
										return
											BGl_replacez12z12zztools_miscz00(BgL_xz00_24,
											BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00
											(BgL_arg2217z00_2518, BgL_arg2218z00_2519, BgL_xz00_24,
												BgL_ez00_25));
									}
								else
									{	/* Expand/object.scm 359 */
									BgL_tagzd2698zd2_2511:
										return
											BGl_errorz00zz__errorz00
											(BGl_string2754z00zzexpand_objectz00,
											BGl_string2743z00zzexpand_objectz00, BgL_xz00_24);
									}
							}
						else
							{	/* Expand/object.scm 359 */
								goto BgL_tagzd2698zd2_2511;
							}
					}
				else
					{	/* Expand/object.scm 359 */
						goto BgL_tagzd2698zd2_2511;
					}
			}
		}

	}



/* &expand-co-instantiate */
	obj_t BGl_z62expandzd2cozd2instantiatez62zzexpand_objectz00(obj_t
		BgL_envz00_4172, obj_t BgL_xz00_4173, obj_t BgL_ez00_4174)
	{
		{	/* Expand/object.scm 358 */
			return
				BGl_expandzd2cozd2instantiatez00zzexpand_objectz00(BgL_xz00_4173,
				BgL_ez00_4174);
		}

	}



/* co-instantiate->let */
	obj_t BGl_cozd2instantiatezd2ze3letze3zzexpand_objectz00(obj_t
		BgL_bindingsz00_26, obj_t BgL_bodyz00_27, obj_t BgL_xz00_28,
		obj_t BgL_ez00_29)
	{
		{	/* Expand/object.scm 368 */
			{
				obj_t BgL_exprz00_2614;
				obj_t BgL_bdgz00_2615;
				obj_t BgL_locz00_2616;

				{	/* Expand/object.scm 390 */
					obj_t BgL_locz00_2523;
					obj_t BgL_varsz00_2524;

					BgL_locz00_2523 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_28);
					if (NULLP(BgL_bindingsz00_26))
						{	/* Expand/object.scm 391 */
							BgL_varsz00_2524 = BNIL;
						}
					else
						{	/* Expand/object.scm 391 */
							obj_t BgL_head1289z00_2573;

							BgL_head1289z00_2573 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1287z00_2575;
								obj_t BgL_tail1290z00_2576;

								BgL_l1287z00_2575 = BgL_bindingsz00_26;
								BgL_tail1290z00_2576 = BgL_head1289z00_2573;
							BgL_zc3z04anonymousza32249ze3z87_2577:
								if (NULLP(BgL_l1287z00_2575))
									{	/* Expand/object.scm 391 */
										BgL_varsz00_2524 = CDR(BgL_head1289z00_2573);
									}
								else
									{	/* Expand/object.scm 391 */
										obj_t BgL_newtail1291z00_2579;

										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2253z00_2581;

											{	/* Expand/object.scm 391 */
												obj_t BgL_bdgz00_2582;

												BgL_bdgz00_2582 = CAR(((obj_t) BgL_l1287z00_2575));
												{
													obj_t BgL_varz00_2583;
													obj_t BgL_exprz00_2584;

													if (PAIRP(BgL_bdgz00_2582))
														{	/* Expand/object.scm 392 */
															obj_t BgL_carzd2730zd2_2589;
															obj_t BgL_cdrzd2731zd2_2590;

															BgL_carzd2730zd2_2589 =
																CAR(((obj_t) BgL_bdgz00_2582));
															BgL_cdrzd2731zd2_2590 =
																CDR(((obj_t) BgL_bdgz00_2582));
															if (SYMBOLP(BgL_carzd2730zd2_2589))
																{	/* Expand/object.scm 392 */
																	if (PAIRP(BgL_cdrzd2731zd2_2590))
																		{	/* Expand/object.scm 392 */
																			if (NULLP(CDR(BgL_cdrzd2731zd2_2590)))
																				{	/* Expand/object.scm 392 */
																					BgL_varz00_2583 =
																						BgL_carzd2730zd2_2589;
																					BgL_exprz00_2584 =
																						CAR(BgL_cdrzd2731zd2_2590);
																					{	/* Expand/object.scm 394 */
																						obj_t BgL_locz00_2597;

																						BgL_locz00_2597 =
																							BGl_findzd2locationzf2locz20zztools_locationz00
																							(BgL_bdgz00_2582, BgL_xz00_28);
																						{	/* Expand/object.scm 394 */
																							obj_t BgL_idzd2typezd2_2598;

																							BgL_idzd2typezd2_2598 =
																								BGl_parsezd2idzd2zzast_identz00
																								(BgL_varz00_2583,
																								BgL_locz00_2597);
																							{	/* Expand/object.scm 395 */
																								obj_t BgL_idz00_2599;

																								BgL_idz00_2599 =
																									CAR(BgL_idzd2typezd2_2598);
																								{	/* Expand/object.scm 396 */
																									obj_t BgL_tz00_2600;

																									BgL_tz00_2600 =
																										CDR(BgL_idzd2typezd2_2598);
																									{	/* Expand/object.scm 397 */
																										obj_t BgL_klassz00_2601;

																										BgL_exprz00_2614 =
																											BgL_exprz00_2584;
																										BgL_bdgz00_2615 =
																											BgL_bdgz00_2582;
																										BgL_locz00_2616 =
																											BgL_locz00_2597;
																										{
																											obj_t
																												BgL_instantiatez00_2618;
																											obj_t BgL_bodyz00_2619;

																											if (PAIRP
																												(BgL_exprz00_2614))
																												{	/* Expand/object.scm 388 */
																													obj_t
																														BgL_arg2273z00_2624;
																													obj_t
																														BgL_arg2274z00_2625;
																													BgL_arg2273z00_2624 =
																														CAR(((obj_t)
																															BgL_exprz00_2614));
																													BgL_arg2274z00_2625 =
																														CDR(((obj_t)
																															BgL_exprz00_2614));
																													BgL_instantiatez00_2618
																														=
																														BgL_arg2273z00_2624;
																													BgL_bodyz00_2619 =
																														BgL_arg2274z00_2625;
																													{	/* Expand/object.scm 373 */
																														obj_t
																															BgL_locz00_2626;
																														BgL_locz00_2626 =
																															BGl_findzd2locationzf2locz20zztools_locationz00
																															(BgL_bodyz00_2619,
																															BgL_locz00_2616);
																														{	/* Expand/object.scm 373 */
																															obj_t
																																BgL_idzd2typezd2_2627;
																															BgL_idzd2typezd2_2627
																																=
																																BGl_parsezd2idzd2zzast_identz00
																																(BgL_instantiatez00_2618,
																																BgL_locz00_2626);
																															{	/* Expand/object.scm 374 */
																																obj_t
																																	BgL_kclassz00_2628;
																																BgL_kclassz00_2628
																																	=
																																	CDR
																																	(BgL_idzd2typezd2_2627);
																																{	/* Expand/object.scm 375 */

																																	if (
																																		(CAR
																																			(BgL_idzd2typezd2_2627)
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(31))))
																																		{	/* Expand/object.scm 379 */
																																			bool_t
																																				BgL_test3022z00_5762;
																																			{	/* Expand/object.scm 379 */
																																				obj_t
																																					BgL_classz00_3681;
																																				BgL_classz00_3681
																																					=
																																					BGl_tclassz00zzobject_classz00;
																																				if (BGL_OBJECTP(BgL_kclassz00_2628))
																																					{	/* Expand/object.scm 379 */
																																						BgL_objectz00_bglt
																																							BgL_arg1858z00_3683;
																																						BgL_arg1858z00_3683
																																							=
																																							(BgL_objectz00_bglt)
																																							(BgL_kclassz00_2628);
																																						if (BGL_CONDEXPAND_ISA_ARCH64())
																																							{	/* Expand/object.scm 379 */
																																								long
																																									BgL_idxz00_3689;
																																								BgL_idxz00_3689
																																									=
																																									BGL_OBJECT_INHERITANCE_NUM
																																									(BgL_arg1858z00_3683);
																																								BgL_test3022z00_5762
																																									=
																																									(VECTOR_REF
																																									(BGl_za2inheritancesza2z00zz__objectz00,
																																										(BgL_idxz00_3689
																																											+
																																											2L))
																																									==
																																									BgL_classz00_3681);
																																							}
																																						else
																																							{	/* Expand/object.scm 379 */
																																								bool_t
																																									BgL_res2730z00_3714;
																																								{	/* Expand/object.scm 379 */
																																									obj_t
																																										BgL_oclassz00_3697;
																																									{	/* Expand/object.scm 379 */
																																										obj_t
																																											BgL_arg1866z00_3705;
																																										long
																																											BgL_arg1867z00_3706;
																																										BgL_arg1866z00_3705
																																											=
																																											(BGl_za2classesza2z00zz__objectz00);
																																										{	/* Expand/object.scm 379 */
																																											long
																																												BgL_arg1869z00_3707;
																																											BgL_arg1869z00_3707
																																												=
																																												BGL_OBJECT_CLASS_NUM
																																												(BgL_arg1858z00_3683);
																																											BgL_arg1867z00_3706
																																												=
																																												(BgL_arg1869z00_3707
																																												-
																																												OBJECT_TYPE);
																																										}
																																										BgL_oclassz00_3697
																																											=
																																											VECTOR_REF
																																											(BgL_arg1866z00_3705,
																																											BgL_arg1867z00_3706);
																																									}
																																									{	/* Expand/object.scm 379 */
																																										bool_t
																																											BgL__ortest_1115z00_3698;
																																										BgL__ortest_1115z00_3698
																																											=
																																											(BgL_classz00_3681
																																											==
																																											BgL_oclassz00_3697);
																																										if (BgL__ortest_1115z00_3698)
																																											{	/* Expand/object.scm 379 */
																																												BgL_res2730z00_3714
																																													=
																																													BgL__ortest_1115z00_3698;
																																											}
																																										else
																																											{	/* Expand/object.scm 379 */
																																												long
																																													BgL_odepthz00_3699;
																																												{	/* Expand/object.scm 379 */
																																													obj_t
																																														BgL_arg1855z00_3700;
																																													BgL_arg1855z00_3700
																																														=
																																														(BgL_oclassz00_3697);
																																													BgL_odepthz00_3699
																																														=
																																														BGL_CLASS_DEPTH
																																														(BgL_arg1855z00_3700);
																																												}
																																												if ((2L < BgL_odepthz00_3699))
																																													{	/* Expand/object.scm 379 */
																																														obj_t
																																															BgL_arg1853z00_3702;
																																														{	/* Expand/object.scm 379 */
																																															obj_t
																																																BgL_arg1854z00_3703;
																																															BgL_arg1854z00_3703
																																																=
																																																(BgL_oclassz00_3697);
																																															BgL_arg1853z00_3702
																																																=
																																																BGL_CLASS_ANCESTORS_REF
																																																(BgL_arg1854z00_3703,
																																																2L);
																																														}
																																														BgL_res2730z00_3714
																																															=
																																															(BgL_arg1853z00_3702
																																															==
																																															BgL_classz00_3681);
																																													}
																																												else
																																													{	/* Expand/object.scm 379 */
																																														BgL_res2730z00_3714
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																									}
																																								}
																																								BgL_test3022z00_5762
																																									=
																																									BgL_res2730z00_3714;
																																							}
																																					}
																																				else
																																					{	/* Expand/object.scm 379 */
																																						BgL_test3022z00_5762
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																			if (BgL_test3022z00_5762)
																																				{	/* Expand/object.scm 381 */
																																					bool_t
																																						BgL_test3027z00_5785;
																																					{
																																						BgL_tclassz00_bglt
																																							BgL_auxz00_5786;
																																						{
																																							obj_t
																																								BgL_auxz00_5787;
																																							{	/* Expand/object.scm 381 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_5788;
																																								BgL_tmpz00_5788
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_typez00_bglt) BgL_kclassz00_2628));
																																								BgL_auxz00_5787
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_5788);
																																							}
																																							BgL_auxz00_5786
																																								=
																																								(
																																								(BgL_tclassz00_bglt)
																																								BgL_auxz00_5787);
																																						}
																																						BgL_test3027z00_5785
																																							=
																																							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5786))->BgL_abstractzf3zf3);
																																					}
																																					if (BgL_test3027z00_5785)
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2601
																																								=
																																								BGl_errorz00zz__errorz00
																																								(BgL_instantiatez00_2618,
																																								BGl_string2748z00zzexpand_objectz00,
																																								BgL_bdgz00_2615);
																																						}
																																					else
																																						{	/* Expand/object.scm 381 */
																																							BgL_klassz00_2601
																																								=
																																								BgL_kclassz00_2628;
																																						}
																																				}
																																			else
																																				{	/* Expand/object.scm 379 */
																																					BgL_klassz00_2601
																																						=
																																						BGl_errorz00zz__errorz00
																																						(BgL_instantiatez00_2618,
																																						BGl_string2745z00zzexpand_objectz00,
																																						BgL_bdgz00_2615);
																																				}
																																		}
																																	else
																																		{	/* Expand/object.scm 377 */
																																			BgL_klassz00_2601
																																				=
																																				BGl_errorz00zz__errorz00
																																				(BgL_instantiatez00_2618,
																																				BGl_string2755z00zzexpand_objectz00,
																																				BgL_bdgz00_2615);
																																		}
																																}
																															}
																														}
																													}
																												}
																											else
																												{	/* Expand/object.scm 388 */
																													BgL_klassz00_2601 =
																														BGl_errorz00zz__errorz00
																														(BGl_string2754z00zzexpand_objectz00,
																														BGl_string2755z00zzexpand_objectz00,
																														BgL_bdgz00_2615);
																												}
																										}
																										{	/* Expand/object.scm 398 */

																											{	/* Expand/object.scm 399 */
																												bool_t
																													BgL_test3028z00_5798;
																												{	/* Expand/object.scm 399 */
																													bool_t
																														BgL_test3029z00_5799;
																													{	/* Expand/object.scm 399 */
																														obj_t
																															BgL_arg2269z00_2611;
																														BgL_arg2269z00_2611
																															=
																															((obj_t)
																															BGl_getzd2defaultzd2typez00zztype_cachez00
																															());
																														BgL_test3029z00_5799
																															=
																															(BgL_tz00_2600 ==
																															BgL_arg2269z00_2611);
																													}
																													if (BgL_test3029z00_5799)
																														{	/* Expand/object.scm 399 */
																															BgL_test3028z00_5798
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Expand/object.scm 399 */
																															BgL_test3028z00_5798
																																=
																																(BgL_tz00_2600
																																==
																																BgL_klassz00_2601);
																														}
																												}
																												if (BgL_test3028z00_5798)
																													{	/* Expand/object.scm 401 */
																														obj_t
																															BgL_list2265z00_2606;
																														{	/* Expand/object.scm 401 */
																															obj_t
																																BgL_arg2266z00_2607;
																															{	/* Expand/object.scm 401 */
																																obj_t
																																	BgL_arg2267z00_2608;
																																BgL_arg2267z00_2608
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_exprz00_2584,
																																	BNIL);
																																BgL_arg2266z00_2607
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_klassz00_2601,
																																	BgL_arg2267z00_2608);
																															}
																															BgL_list2265z00_2606
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_idz00_2599,
																																BgL_arg2266z00_2607);
																														}
																														BgL_arg2253z00_2581
																															=
																															BgL_list2265z00_2606;
																													}
																												else
																													{	/* Expand/object.scm 399 */
																														BgL_arg2253z00_2581
																															=
																															BGl_errorz00zz__errorz00
																															(CAR(BgL_xz00_28),
																															BGl_string2756z00zzexpand_objectz00,
																															BgL_bdgz00_2582);
																													}
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			else
																				{	/* Expand/object.scm 392 */
																				BgL_tagzd2724zd2_2586:
																					BgL_arg2253z00_2581 =
																						BGl_errorz00zz__errorz00(CAR
																						(BgL_xz00_28),
																						BGl_string2755z00zzexpand_objectz00,
																						BgL_bdgz00_2582);
																				}
																		}
																	else
																		{	/* Expand/object.scm 392 */
																			goto BgL_tagzd2724zd2_2586;
																		}
																}
															else
																{	/* Expand/object.scm 392 */
																	goto BgL_tagzd2724zd2_2586;
																}
														}
													else
														{	/* Expand/object.scm 392 */
															goto BgL_tagzd2724zd2_2586;
														}
												}
											}
											BgL_newtail1291z00_2579 =
												MAKE_YOUNG_PAIR(BgL_arg2253z00_2581, BNIL);
										}
										SET_CDR(BgL_tail1290z00_2576, BgL_newtail1291z00_2579);
										{	/* Expand/object.scm 391 */
											obj_t BgL_arg2252z00_2580;

											BgL_arg2252z00_2580 = CDR(((obj_t) BgL_l1287z00_2575));
											{
												obj_t BgL_tail1290z00_5817;
												obj_t BgL_l1287z00_5816;

												BgL_l1287z00_5816 = BgL_arg2252z00_2580;
												BgL_tail1290z00_5817 = BgL_newtail1291z00_2579;
												BgL_tail1290z00_2576 = BgL_tail1290z00_5817;
												BgL_l1287z00_2575 = BgL_l1287z00_5816;
												goto BgL_zc3z04anonymousza32249ze3z87_2577;
											}
										}
									}
							}
						}
					{	/* Expand/object.scm 406 */
						obj_t BgL_arg2221z00_2525;

						{	/* Expand/object.scm 406 */
							obj_t BgL_arg2222z00_2526;
							obj_t BgL_arg2223z00_2527;

							if (NULLP(BgL_varsz00_2524))
								{	/* Expand/object.scm 406 */
									BgL_arg2222z00_2526 = BNIL;
								}
							else
								{	/* Expand/object.scm 406 */
									obj_t BgL_head1294z00_2530;

									BgL_head1294z00_2530 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1292z00_2532;
										obj_t BgL_tail1295z00_2533;

										BgL_l1292z00_2532 = BgL_varsz00_2524;
										BgL_tail1295z00_2533 = BgL_head1294z00_2530;
									BgL_zc3z04anonymousza32225ze3z87_2534:
										if (NULLP(BgL_l1292z00_2532))
											{	/* Expand/object.scm 406 */
												BgL_arg2222z00_2526 = CDR(BgL_head1294z00_2530);
											}
										else
											{	/* Expand/object.scm 406 */
												obj_t BgL_newtail1296z00_2536;

												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2228z00_2538;

													{	/* Expand/object.scm 406 */
														obj_t BgL_varz00_2539;

														BgL_varz00_2539 = CAR(((obj_t) BgL_l1292z00_2532));
														{	/* Expand/object.scm 407 */
															obj_t BgL_idz00_2540;
															obj_t BgL_klassz00_2541;

															BgL_idz00_2540 = CAR(((obj_t) BgL_varz00_2539));
															{	/* Expand/object.scm 408 */
																obj_t BgL_pairz00_3738;

																BgL_pairz00_3738 =
																	CDR(((obj_t) BgL_varz00_2539));
																BgL_klassz00_2541 = CAR(BgL_pairz00_3738);
															}
															{	/* Expand/object.scm 410 */
																obj_t BgL_arg2230z00_2542;

																{	/* Expand/object.scm 410 */
																	obj_t BgL_arg2231z00_2543;
																	obj_t BgL_arg2233z00_2544;

																	{	/* Expand/object.scm 410 */
																		obj_t BgL_arg2234z00_2545;

																		BgL_arg2234z00_2545 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_klassz00_2541)))->BgL_idz00);
																		BgL_arg2231z00_2543 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_idz00_2540, BgL_arg2234z00_2545);
																	}
																	BgL_arg2233z00_2544 =
																		MAKE_YOUNG_PAIR
																		(BGl_allocatezd2exprzd2zzexpand_objectz00
																		(BgL_klassz00_2541), BNIL);
																	BgL_arg2230z00_2542 =
																		MAKE_YOUNG_PAIR(BgL_arg2231z00_2543,
																		BgL_arg2233z00_2544);
																}
																BgL_arg2228z00_2538 =
																	BGl_objectzd2epairifyzd2zzexpand_objectz00
																	(BgL_arg2230z00_2542, BgL_xz00_28);
															}
														}
													}
													BgL_newtail1296z00_2536 =
														MAKE_YOUNG_PAIR(BgL_arg2228z00_2538, BNIL);
												}
												SET_CDR(BgL_tail1295z00_2533, BgL_newtail1296z00_2536);
												{	/* Expand/object.scm 406 */
													obj_t BgL_arg2227z00_2537;

													BgL_arg2227z00_2537 =
														CDR(((obj_t) BgL_l1292z00_2532));
													{
														obj_t BgL_tail1295z00_5843;
														obj_t BgL_l1292z00_5842;

														BgL_l1292z00_5842 = BgL_arg2227z00_2537;
														BgL_tail1295z00_5843 = BgL_newtail1296z00_2536;
														BgL_tail1295z00_2533 = BgL_tail1295z00_5843;
														BgL_l1292z00_2532 = BgL_l1292z00_5842;
														goto BgL_zc3z04anonymousza32225ze3z87_2534;
													}
												}
											}
									}
								}
							{	/* Expand/object.scm 413 */
								obj_t BgL_arg2236z00_2548;
								obj_t BgL_arg2237z00_2549;

								if (NULLP(BgL_varsz00_2524))
									{	/* Expand/object.scm 413 */
										BgL_arg2236z00_2548 = BNIL;
									}
								else
									{	/* Expand/object.scm 413 */
										obj_t BgL_head1299z00_2552;

										BgL_head1299z00_2552 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1297z00_2554;
											obj_t BgL_tail1300z00_2555;

											BgL_l1297z00_2554 = BgL_varsz00_2524;
											BgL_tail1300z00_2555 = BgL_head1299z00_2552;
										BgL_zc3z04anonymousza32239ze3z87_2556:
											if (NULLP(BgL_l1297z00_2554))
												{	/* Expand/object.scm 413 */
													BgL_arg2236z00_2548 = CDR(BgL_head1299z00_2552);
												}
											else
												{	/* Expand/object.scm 413 */
													obj_t BgL_newtail1301z00_2558;

													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2242z00_2560;

														{	/* Expand/object.scm 413 */
															obj_t BgL_varz00_2561;

															BgL_varz00_2561 =
																CAR(((obj_t) BgL_l1297z00_2554));
															{	/* Expand/object.scm 414 */
																obj_t BgL_idz00_2562;
																obj_t BgL_klassz00_2563;
																obj_t BgL_exprz00_2564;

																BgL_idz00_2562 = CAR(((obj_t) BgL_varz00_2561));
																{	/* Expand/object.scm 415 */
																	obj_t BgL_pairz00_3748;

																	BgL_pairz00_3748 =
																		CDR(((obj_t) BgL_varz00_2561));
																	BgL_klassz00_2563 = CAR(BgL_pairz00_3748);
																}
																{	/* Expand/object.scm 416 */
																	obj_t BgL_pairz00_3754;

																	{	/* Expand/object.scm 416 */
																		obj_t BgL_pairz00_3753;

																		BgL_pairz00_3753 =
																			CDR(((obj_t) BgL_varz00_2561));
																		BgL_pairz00_3754 = CDR(BgL_pairz00_3753);
																	}
																	BgL_exprz00_2564 = CAR(BgL_pairz00_3754);
																}
																{	/* Expand/object.scm 417 */
																	obj_t BgL_arg2243z00_2565;
																	obj_t BgL_arg2244z00_2566;
																	obj_t BgL_arg2245z00_2567;

																	BgL_arg2243z00_2565 =
																		CAR(((obj_t) BgL_exprz00_2564));
																	BgL_arg2244z00_2566 =
																		CDR(((obj_t) BgL_exprz00_2564));
																	{
																		BgL_tclassz00_bglt BgL_auxz00_5865;

																		{
																			obj_t BgL_auxz00_5866;

																			{	/* Expand/object.scm 418 */
																				BgL_objectz00_bglt BgL_tmpz00_5867;

																				BgL_tmpz00_5867 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_klassz00_2563));
																				BgL_auxz00_5866 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5867);
																			}
																			BgL_auxz00_5865 =
																				((BgL_tclassz00_bglt) BgL_auxz00_5866);
																		}
																		BgL_arg2245z00_2567 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_5865))->
																			BgL_slotsz00);
																	}
																	BgL_arg2242z00_2560 =
																		BGl_instantiatezd2fillzd2zzexpand_objectz00
																		(BgL_arg2243z00_2565, BgL_arg2244z00_2566,
																		BgL_klassz00_2563, BgL_arg2245z00_2567,
																		BgL_idz00_2562, BgL_exprz00_2564,
																		BgL_ez00_29);
																}
															}
														}
														BgL_newtail1301z00_2558 =
															MAKE_YOUNG_PAIR(BgL_arg2242z00_2560, BNIL);
													}
													SET_CDR(BgL_tail1300z00_2555,
														BgL_newtail1301z00_2558);
													{	/* Expand/object.scm 413 */
														obj_t BgL_arg2241z00_2559;

														BgL_arg2241z00_2559 =
															CDR(((obj_t) BgL_l1297z00_2554));
														{
															obj_t BgL_tail1300z00_5879;
															obj_t BgL_l1297z00_5878;

															BgL_l1297z00_5878 = BgL_arg2241z00_2559;
															BgL_tail1300z00_5879 = BgL_newtail1301z00_2558;
															BgL_tail1300z00_2555 = BgL_tail1300z00_5879;
															BgL_l1297z00_2554 = BgL_l1297z00_5878;
															goto BgL_zc3z04anonymousza32239ze3z87_2556;
														}
													}
												}
										}
									}
								{	/* Expand/object.scm 420 */
									obj_t BgL_arg2246z00_2569;

									{	/* Expand/object.scm 420 */
										obj_t BgL_arg2247z00_2570;

										BgL_arg2247z00_2570 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(20)), BgL_bodyz00_27);
										BgL_arg2246z00_2569 =
											BGL_PROCEDURE_CALL2(BgL_ez00_29, BgL_arg2247z00_2570,
											BgL_ez00_29);
									}
									BgL_arg2237z00_2549 =
										MAKE_YOUNG_PAIR(BgL_arg2246z00_2569, BNIL);
								}
								BgL_arg2223z00_2527 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg2236z00_2548, BgL_arg2237z00_2549);
							}
							BgL_arg2221z00_2525 =
								MAKE_YOUNG_PAIR(BgL_arg2222z00_2526, BgL_arg2223z00_2527);
						}
						return
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BgL_arg2221z00_2525);
					}
				}
			}
		}

	}



/* expand-duplicate */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2duplicatezd2zzexpand_objectz00(obj_t
		BgL_xz00_30, obj_t BgL_ez00_31)
	{
		{	/* Expand/object.scm 425 */
			{
				obj_t BgL_duplicatez00_2635;
				obj_t BgL_dupz00_2636;
				obj_t BgL_provz00_2637;

				if (PAIRP(BgL_xz00_30))
					{	/* Expand/object.scm 426 */
						obj_t BgL_cdrzd2748zd2_2642;

						BgL_cdrzd2748zd2_2642 = CDR(((obj_t) BgL_xz00_30));
						if (PAIRP(BgL_cdrzd2748zd2_2642))
							{	/* Expand/object.scm 426 */
								obj_t BgL_arg2283z00_2644;
								obj_t BgL_arg2284z00_2645;
								obj_t BgL_arg2285z00_2646;

								BgL_arg2283z00_2644 = CAR(((obj_t) BgL_xz00_30));
								BgL_arg2284z00_2645 = CAR(BgL_cdrzd2748zd2_2642);
								BgL_arg2285z00_2646 = CDR(BgL_cdrzd2748zd2_2642);
								BgL_duplicatez00_2635 = BgL_arg2283z00_2644;
								BgL_dupz00_2636 = BgL_arg2284z00_2645;
								BgL_provz00_2637 = BgL_arg2285z00_2646;
								{	/* Expand/object.scm 428 */
									obj_t BgL_idzd2typezd2_2647;

									BgL_idzd2typezd2_2647 =
										BGl_parsezd2idzd2zzast_identz00(BgL_duplicatez00_2635,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_30));
									{	/* Expand/object.scm 428 */
										obj_t BgL_idz00_2648;

										BgL_idz00_2648 = CAR(BgL_idzd2typezd2_2647);
										{	/* Expand/object.scm 429 */
											obj_t BgL_classz00_2649;

											BgL_classz00_2649 = CDR(BgL_idzd2typezd2_2647);
											{	/* Expand/object.scm 430 */

												{	/* Expand/object.scm 432 */
													bool_t BgL_test3036z00_5908;

													{	/* Expand/object.scm 432 */
														obj_t BgL_classz00_3763;

														BgL_classz00_3763 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_classz00_2649))
															{	/* Expand/object.scm 432 */
																BgL_objectz00_bglt BgL_arg1858z00_3765;

																BgL_arg1858z00_3765 =
																	(BgL_objectz00_bglt) (BgL_classz00_2649);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Expand/object.scm 432 */
																		long BgL_idxz00_3771;

																		BgL_idxz00_3771 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3765);
																		BgL_test3036z00_5908 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3771 + 2L)) ==
																			BgL_classz00_3763);
																	}
																else
																	{	/* Expand/object.scm 432 */
																		bool_t BgL_res2732z00_3796;

																		{	/* Expand/object.scm 432 */
																			obj_t BgL_oclassz00_3779;

																			{	/* Expand/object.scm 432 */
																				obj_t BgL_arg1866z00_3787;
																				long BgL_arg1867z00_3788;

																				BgL_arg1866z00_3787 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Expand/object.scm 432 */
																					long BgL_arg1869z00_3789;

																					BgL_arg1869z00_3789 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3765);
																					BgL_arg1867z00_3788 =
																						(BgL_arg1869z00_3789 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3779 =
																					VECTOR_REF(BgL_arg1866z00_3787,
																					BgL_arg1867z00_3788);
																			}
																			{	/* Expand/object.scm 432 */
																				bool_t BgL__ortest_1115z00_3780;

																				BgL__ortest_1115z00_3780 =
																					(BgL_classz00_3763 ==
																					BgL_oclassz00_3779);
																				if (BgL__ortest_1115z00_3780)
																					{	/* Expand/object.scm 432 */
																						BgL_res2732z00_3796 =
																							BgL__ortest_1115z00_3780;
																					}
																				else
																					{	/* Expand/object.scm 432 */
																						long BgL_odepthz00_3781;

																						{	/* Expand/object.scm 432 */
																							obj_t BgL_arg1855z00_3782;

																							BgL_arg1855z00_3782 =
																								(BgL_oclassz00_3779);
																							BgL_odepthz00_3781 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3782);
																						}
																						if ((2L < BgL_odepthz00_3781))
																							{	/* Expand/object.scm 432 */
																								obj_t BgL_arg1853z00_3784;

																								{	/* Expand/object.scm 432 */
																									obj_t BgL_arg1854z00_3785;

																									BgL_arg1854z00_3785 =
																										(BgL_oclassz00_3779);
																									BgL_arg1853z00_3784 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3785, 2L);
																								}
																								BgL_res2732z00_3796 =
																									(BgL_arg1853z00_3784 ==
																									BgL_classz00_3763);
																							}
																						else
																							{	/* Expand/object.scm 432 */
																								BgL_res2732z00_3796 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test3036z00_5908 = BgL_res2732z00_3796;
																	}
															}
														else
															{	/* Expand/object.scm 432 */
																BgL_test3036z00_5908 = ((bool_t) 0);
															}
													}
													if (BgL_test3036z00_5908)
														{	/* Expand/object.scm 434 */
															bool_t BgL_test3041z00_5931;

															{
																BgL_tclassz00_bglt BgL_auxz00_5932;

																{
																	obj_t BgL_auxz00_5933;

																	{	/* Expand/object.scm 434 */
																		BgL_objectz00_bglt BgL_tmpz00_5934;

																		BgL_tmpz00_5934 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_2649));
																		BgL_auxz00_5933 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5934);
																	}
																	BgL_auxz00_5932 =
																		((BgL_tclassz00_bglt) BgL_auxz00_5933);
																}
																BgL_test3041z00_5931 =
																	(((BgL_tclassz00_bglt)
																		COBJECT(BgL_auxz00_5932))->
																	BgL_abstractzf3zf3);
															}
															if (BgL_test3041z00_5931)
																{	/* Expand/object.scm 434 */
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_duplicatez00_2635,
																		BGl_string2757z00zzexpand_objectz00,
																		BgL_xz00_30);
																}
															else
																{	/* Expand/object.scm 434 */
																	return
																		BGl_replacez12z12zztools_miscz00
																		(BgL_xz00_30,
																		BGl_duplicatezd2ze3makez31zzexpand_objectz00
																		(BgL_classz00_2649, BgL_dupz00_2636,
																			BgL_provz00_2637, BgL_xz00_30,
																			BgL_ez00_31));
																}
														}
													else
														{	/* Expand/object.scm 433 */
															obj_t BgL_arg2289z00_2653;

															{	/* Expand/object.scm 433 */
																obj_t BgL_list2290z00_2654;

																BgL_list2290z00_2654 =
																	MAKE_YOUNG_PAIR(BgL_idz00_2648, BNIL);
																BgL_arg2289z00_2653 =
																	BGl_formatz00zz__r4_output_6_10_3z00
																	(BGl_string2758z00zzexpand_objectz00,
																	BgL_list2290z00_2654);
															}
															return
																BGl_errorz00zz__errorz00(BgL_duplicatez00_2635,
																BgL_arg2289z00_2653, BgL_xz00_30);
														}
												}
											}
										}
									}
								}
							}
						else
							{	/* Expand/object.scm 426 */
							BgL_tagzd2739zd2_2639:
								return
									BGl_errorz00zz__errorz00(BGl_string2759z00zzexpand_objectz00,
									BGl_string2743z00zzexpand_objectz00, BgL_xz00_30);
							}
					}
				else
					{	/* Expand/object.scm 426 */
						goto BgL_tagzd2739zd2_2639;
					}
			}
		}

	}



/* &expand-duplicate */
	obj_t BGl_z62expandzd2duplicatezb0zzexpand_objectz00(obj_t BgL_envz00_4175,
		obj_t BgL_xz00_4176, obj_t BgL_ez00_4177)
	{
		{	/* Expand/object.scm 425 */
			return
				BGl_expandzd2duplicatezd2zzexpand_objectz00(BgL_xz00_4176,
				BgL_ez00_4177);
		}

	}



/* duplicate->make */
	obj_t BGl_duplicatezd2ze3makez31zzexpand_objectz00(obj_t BgL_classz00_32,
		obj_t BgL_duplicatedz00_33, obj_t BgL_providedz00_34, obj_t BgL_xz00_35,
		obj_t BgL_ez00_36)
	{
		{	/* Expand/object.scm 450 */
			{
				obj_t BgL_slotsz00_2785;
				obj_t BgL_slotsz00_2728;
				obj_t BgL_dupvarz00_2729;
				obj_t BgL_parentz00_2730;

				{	/* Expand/object.scm 507 */
					obj_t BgL_idz00_2659;

					BgL_idz00_2659 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_32)))->BgL_idz00);
					{	/* Expand/object.scm 507 */
						obj_t BgL_slotsz00_2660;

						{
							BgL_tclassz00_bglt BgL_auxz00_5950;

							{
								obj_t BgL_auxz00_5951;

								{	/* Expand/object.scm 508 */
									BgL_objectz00_bglt BgL_tmpz00_5952;

									BgL_tmpz00_5952 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_32));
									BgL_auxz00_5951 = BGL_OBJECT_WIDENING(BgL_tmpz00_5952);
								}
								BgL_auxz00_5950 = ((BgL_tclassz00_bglt) BgL_auxz00_5951);
							}
							BgL_slotsz00_2660 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_5950))->BgL_slotsz00);
						}
						{	/* Expand/object.scm 508 */
							obj_t BgL_newz00_2661;

							BgL_newz00_2661 =
								BGl_gensymz00zz__r4_symbols_6_4z00(
								((obj_t) CNST_TABLE_REF(13)));
							{	/* Expand/object.scm 509 */
								obj_t BgL_tmpz00_2662;

								BgL_tmpz00_2662 =
									BGl_gensymz00zz__r4_symbols_6_4z00(
									((obj_t) CNST_TABLE_REF(32)));
								{	/* Expand/object.scm 510 */
									obj_t BgL_tnewz00_2663;

									BgL_tnewz00_2663 =
										BGl_makezd2typedzd2identz00zzast_identz00(BgL_newz00_2661,
										BgL_idz00_2659);
									{	/* Expand/object.scm 511 */
										obj_t BgL_dupvarz00_2664;

										BgL_dupvarz00_2664 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
													CNST_TABLE_REF(33))));
										{	/* Expand/object.scm 512 */
											obj_t BgL_parentz00_2665;

											BgL_slotsz00_2785 = BgL_slotsz00_2660;
											if (NULLP(BgL_slotsz00_2785))
												{	/* Expand/object.scm 490 */
													BgL_parentz00_2665 = BgL_classz00_32;
												}
											else
												{	/* Expand/object.scm 492 */
													obj_t BgL_g1129z00_2788;
													obj_t BgL_g1130z00_2789;

													BgL_g1129z00_2788 =
														(((BgL_slotz00_bglt) COBJECT(
																((BgL_slotz00_bglt)
																	CAR(
																		((obj_t) BgL_slotsz00_2785)))))->
														BgL_classzd2ownerzd2);
													BgL_g1130z00_2789 = CDR(((obj_t) BgL_slotsz00_2785));
													{
														obj_t BgL_parentz00_2791;
														obj_t BgL_slotsz00_2792;

														BgL_parentz00_2791 = BgL_g1129z00_2788;
														BgL_slotsz00_2792 = BgL_g1130z00_2789;
														if (NULLP(BgL_slotsz00_2792))
															{	/* Expand/object.scm 495 */
																BgL_parentz00_2665 = BgL_parentz00_2791;
															}
														else
															{	/* Expand/object.scm 497 */
																bool_t BgL_test3044z00_5979;

																{	/* Expand/object.scm 497 */
																	obj_t BgL_arg2402z00_2799;

																	BgL_arg2402z00_2799 =
																		(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt)
																					CAR(
																						((obj_t) BgL_slotsz00_2792)))))->
																		BgL_classzd2ownerzd2);
																	BgL_test3044z00_5979 =
																		BGl_typezd2subclasszf3z21zzobject_classz00((
																			(BgL_typez00_bglt) BgL_parentz00_2791),
																		((BgL_typez00_bglt) BgL_arg2402z00_2799));
																}
																if (BgL_test3044z00_5979)
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2665 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						CAR(
																							((obj_t) BgL_slotsz00_2792)))))->
																			BgL_classzd2ownerzd2);
																	}
																else
																	{	/* Expand/object.scm 497 */
																		BgL_parentz00_2665 = BgL_parentz00_2791;
																	}
															}
													}
												}
											{	/* Expand/object.scm 513 */
												obj_t BgL_tdupvarz00_2666;

												{	/* Expand/object.scm 514 */
													obj_t BgL_arg2353z00_2726;

													BgL_arg2353z00_2726 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_parentz00_2665)))->
														BgL_idz00);
													BgL_tdupvarz00_2666 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_dupvarz00_2664, BgL_arg2353z00_2726);
												}
												{	/* Expand/object.scm 514 */
													obj_t BgL_argsz00_2667;

													BgL_slotsz00_2728 = BgL_slotsz00_2660;
													BgL_dupvarz00_2729 = BgL_dupvarz00_2664;
													BgL_parentz00_2730 = BgL_parentz00_2665;
													{	/* Expand/object.scm 453 */
														obj_t BgL_vargsz00_2732;

														BgL_vargsz00_2732 =
															make_vector(bgl_list_length(BgL_slotsz00_2728),
															BUNSPEC);
														{
															obj_t BgL_providedz00_2734;

															BgL_providedz00_2734 = BgL_providedz00_34;
														BgL_zc3z04anonymousza32356ze3z87_2735:
															if (PAIRP(BgL_providedz00_2734))
																{	/* Expand/object.scm 457 */
																	obj_t BgL_pz00_2737;

																	BgL_pz00_2737 = CAR(BgL_providedz00_2734);
																	{
																		obj_t BgL_szd2namezd2_2738;
																		obj_t BgL_valuez00_2739;

																		if (PAIRP(BgL_pz00_2737))
																			{	/* Expand/object.scm 458 */
																				obj_t BgL_carzd2763zd2_2744;
																				obj_t BgL_cdrzd2764zd2_2745;

																				BgL_carzd2763zd2_2744 =
																					CAR(((obj_t) BgL_pz00_2737));
																				BgL_cdrzd2764zd2_2745 =
																					CDR(((obj_t) BgL_pz00_2737));
																				if (SYMBOLP(BgL_carzd2763zd2_2744))
																					{	/* Expand/object.scm 458 */
																						if (PAIRP(BgL_cdrzd2764zd2_2745))
																							{	/* Expand/object.scm 458 */
																								if (NULLP(CDR
																										(BgL_cdrzd2764zd2_2745)))
																									{	/* Expand/object.scm 458 */
																										BgL_szd2namezd2_2738 =
																											BgL_carzd2763zd2_2744;
																										BgL_valuez00_2739 =
																											CAR
																											(BgL_cdrzd2764zd2_2745);
																										{	/* Expand/object.scm 462 */
																											obj_t BgL_arg2366z00_2752;
																											obj_t BgL_arg2369z00_2753;

																											BgL_arg2366z00_2752 =
																												BGl_findzd2slotzd2offsetz00zzexpand_objectz00
																												(BgL_slotsz00_2728,
																												BgL_szd2namezd2_2738,
																												BGl_string2759z00zzexpand_objectz00,
																												BgL_pz00_2737);
																											BgL_arg2369z00_2753 =
																												MAKE_YOUNG_PAIR(BTRUE,
																												BGl_objectzd2epairifyzd2zzexpand_objectz00
																												(BgL_valuez00_2739,
																													BgL_pz00_2737));
																											VECTOR_SET
																												(BgL_vargsz00_2732,
																												(long)
																												CINT
																												(BgL_arg2366z00_2752),
																												BgL_arg2369z00_2753);
																									}}
																								else
																									{	/* Expand/object.scm 458 */
																									BgL_tagzd2757zd2_2741:
																										{	/* Expand/object.scm 465 */
																											obj_t BgL_arg2372z00_2755;

																											BgL_arg2372z00_2755 =
																												CAR(
																												((obj_t) BgL_xz00_35));
																											BGl_errorz00zz__errorz00
																												(BgL_arg2372z00_2755,
																												BGl_string2743z00zzexpand_objectz00,
																												BgL_xz00_35);
																										}
																									}
																							}
																						else
																							{	/* Expand/object.scm 458 */
																								goto BgL_tagzd2757zd2_2741;
																							}
																					}
																				else
																					{	/* Expand/object.scm 458 */
																						goto BgL_tagzd2757zd2_2741;
																					}
																			}
																		else
																			{	/* Expand/object.scm 458 */
																				goto BgL_tagzd2757zd2_2741;
																			}
																	}
																	{
																		obj_t BgL_providedz00_6021;

																		BgL_providedz00_6021 =
																			CDR(BgL_providedz00_2734);
																		BgL_providedz00_2734 = BgL_providedz00_6021;
																		goto BgL_zc3z04anonymousza32356ze3z87_2735;
																	}
																}
															else
																{	/* Expand/object.scm 456 */
																	((bool_t) 0);
																}
														}
														{
															long BgL_iz00_2759;
															obj_t BgL_slotsz00_2760;

															BgL_iz00_2759 = 0L;
															BgL_slotsz00_2760 = BgL_slotsz00_2728;
														BgL_zc3z04anonymousza32374ze3z87_2761:
															if (PAIRP(BgL_slotsz00_2760))
																{	/* Expand/object.scm 471 */
																	obj_t BgL_valuez00_2763;

																	BgL_valuez00_2763 =
																		VECTOR_REF(BgL_vargsz00_2732,
																		BgL_iz00_2759);
																	if (PAIRP(BgL_valuez00_2763))
																		{	/* Expand/object.scm 472 */
																			BFALSE;
																		}
																	else
																		{	/* Expand/object.scm 475 */
																			obj_t BgL_slotz00_2765;

																			BgL_slotz00_2765 = CAR(BgL_slotsz00_2760);
																			{	/* Expand/object.scm 475 */
																				obj_t BgL_claza7za7z00_2766;

																				BgL_claza7za7z00_2766 =
																					(((BgL_slotz00_bglt) COBJECT(
																							((BgL_slotz00_bglt)
																								BgL_slotz00_2765)))->
																					BgL_classzd2ownerzd2);
																				{	/* Expand/object.scm 476 */
																					obj_t BgL_valz00_2767;

																					if (
																						(BgL_claza7za7z00_2766 ==
																							BgL_parentz00_2730))
																						{	/* Expand/object.scm 478 */
																							obj_t BgL_arg2379z00_2769;

																							BgL_arg2379z00_2769 =
																								(((BgL_slotz00_bglt) COBJECT(
																										((BgL_slotz00_bglt)
																											BgL_slotz00_2765)))->
																								BgL_idz00);
																							BgL_valz00_2767 =
																								BGl_fieldzd2accesszd2zzast_objectz00
																								(BgL_dupvarz00_2729,
																								BgL_arg2379z00_2769, BTRUE);
																						}
																					else
																						{	/* Expand/object.scm 479 */
																							obj_t BgL_tmpz00_2770;

																							BgL_tmpz00_2770 =
																								BGl_gensymz00zz__r4_symbols_6_4z00
																								(((obj_t) CNST_TABLE_REF(32)));
																							{	/* Expand/object.scm 479 */
																								obj_t BgL_cidz00_2771;

																								BgL_cidz00_2771 =
																									(((BgL_typez00_bglt) COBJECT(
																											((BgL_typez00_bglt)
																												BgL_claza7za7z00_2766)))->
																									BgL_idz00);
																								{	/* Expand/object.scm 480 */
																									obj_t BgL_ttmpz00_2772;

																									BgL_ttmpz00_2772 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_tmpz00_2770,
																										BgL_cidz00_2771);
																									{	/* Expand/object.scm 481 */

																										{	/* Expand/object.scm 482 */
																											obj_t BgL_arg2380z00_2773;

																											{	/* Expand/object.scm 482 */
																												obj_t
																													BgL_arg2381z00_2774;
																												obj_t
																													BgL_arg2382z00_2775;
																												{	/* Expand/object.scm 482 */
																													obj_t
																														BgL_arg2383z00_2776;
																													{	/* Expand/object.scm 482 */
																														obj_t
																															BgL_arg2385z00_2777;
																														BgL_arg2385z00_2777
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_dupvarz00_2729,
																															BNIL);
																														BgL_arg2383z00_2776
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_ttmpz00_2772,
																															BgL_arg2385z00_2777);
																													}
																													BgL_arg2381z00_2774 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2383z00_2776,
																														BNIL);
																												}
																												{	/* Expand/object.scm 483 */
																													obj_t
																														BgL_arg2387z00_2778;
																													{	/* Expand/object.scm 483 */
																														obj_t
																															BgL_arg2388z00_2779;
																														BgL_arg2388z00_2779
																															=
																															(((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_slotz00_2765)))->BgL_idz00);
																														BgL_arg2387z00_2778
																															=
																															BGl_fieldzd2accesszd2zzast_objectz00
																															(BgL_tmpz00_2770,
																															BgL_arg2388z00_2779,
																															BTRUE);
																													}
																													BgL_arg2382z00_2775 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg2387z00_2778,
																														BNIL);
																												}
																												BgL_arg2380z00_2773 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg2381z00_2774,
																													BgL_arg2382z00_2775);
																											}
																											BgL_valz00_2767 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(6)),
																												BgL_arg2380z00_2773);
																										}
																									}
																								}
																							}
																						}
																					{	/* Expand/object.scm 477 */

																						{	/* Expand/object.scm 484 */
																							obj_t BgL_arg2377z00_2768;

																							BgL_arg2377z00_2768 =
																								MAKE_YOUNG_PAIR(BTRUE,
																								BgL_valz00_2767);
																							VECTOR_SET(BgL_vargsz00_2732,
																								BgL_iz00_2759,
																								BgL_arg2377z00_2768);
																						}
																					}
																				}
																			}
																		}
																	{
																		obj_t BgL_slotsz00_6057;
																		long BgL_iz00_6055;

																		BgL_iz00_6055 = (BgL_iz00_2759 + 1L);
																		BgL_slotsz00_6057 = CDR(BgL_slotsz00_2760);
																		BgL_slotsz00_2760 = BgL_slotsz00_6057;
																		BgL_iz00_2759 = BgL_iz00_6055;
																		goto BgL_zc3z04anonymousza32374ze3z87_2761;
																	}
																}
															else
																{	/* Expand/object.scm 470 */
																	((bool_t) 0);
																}
														}
														BgL_argsz00_2667 =
															BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
															(BgL_vargsz00_2732);
													}
													{	/* Expand/object.scm 515 */

														{	/* Expand/object.scm 518 */
															obj_t BgL_arg2292z00_2668;

															{	/* Expand/object.scm 518 */
																obj_t BgL_arg2293z00_2669;
																obj_t BgL_arg2294z00_2670;

																{	/* Expand/object.scm 518 */
																	obj_t BgL_arg2295z00_2671;
																	obj_t BgL_arg2298z00_2672;

																	{	/* Expand/object.scm 518 */
																		obj_t BgL_arg2300z00_2673;

																		{	/* Expand/object.scm 518 */
																			obj_t BgL_arg2301z00_2674;

																			BgL_arg2301z00_2674 =
																				BGL_PROCEDURE_CALL2(BgL_ez00_36,
																				BgL_duplicatedz00_33, BgL_ez00_36);
																			BgL_arg2300z00_2673 =
																				MAKE_YOUNG_PAIR(BgL_arg2301z00_2674,
																				BNIL);
																		}
																		BgL_arg2295z00_2671 =
																			MAKE_YOUNG_PAIR(BgL_tdupvarz00_2666,
																			BgL_arg2300z00_2673);
																	}
																	{	/* Expand/object.scm 519 */
																		obj_t BgL_arg2302z00_2675;

																		{	/* Expand/object.scm 519 */
																			obj_t BgL_arg2303z00_2676;

																			BgL_arg2303z00_2676 =
																				MAKE_YOUNG_PAIR
																				(BGl_allocatezd2exprzd2zzexpand_objectz00
																				(BgL_classz00_32), BNIL);
																			BgL_arg2302z00_2675 =
																				MAKE_YOUNG_PAIR(BgL_tnewz00_2663,
																				BgL_arg2303z00_2676);
																		}
																		BgL_arg2298z00_2672 =
																			MAKE_YOUNG_PAIR(BgL_arg2302z00_2675,
																			BNIL);
																	}
																	BgL_arg2293z00_2669 =
																		MAKE_YOUNG_PAIR(BgL_arg2295z00_2671,
																		BgL_arg2298z00_2672);
																}
																{	/* Expand/object.scm 522 */
																	obj_t BgL_arg2307z00_2678;
																	obj_t BgL_arg2308z00_2679;

																	{	/* Expand/object.scm 522 */
																		obj_t BgL_zc3z04anonymousza32312ze3z87_4180;

																		BgL_zc3z04anonymousza32312ze3z87_4180 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32312ze3ze5zzexpand_objectz00,
																			(int) (2L), (int) (2L));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32312ze3z87_4180,
																			(int) (0L), BgL_ez00_36);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32312ze3z87_4180,
																			(int) (1L), BgL_newz00_2661);
																		{	/* Expand/object.scm 521 */
																			obj_t BgL_list2310z00_2681;

																			{	/* Expand/object.scm 521 */
																				obj_t BgL_arg2311z00_2682;

																				BgL_arg2311z00_2682 =
																					MAKE_YOUNG_PAIR(BgL_argsz00_2667,
																					BNIL);
																				BgL_list2310z00_2681 =
																					MAKE_YOUNG_PAIR(BgL_slotsz00_2660,
																					BgL_arg2311z00_2682);
																			}
																			BgL_arg2307z00_2678 =
																				BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																				(BgL_zc3z04anonymousza32312ze3z87_4180,
																				BgL_list2310z00_2681);
																	}}
																	{	/* Expand/object.scm 527 */
																		obj_t BgL_arg2319z00_2692;
																		obj_t BgL_arg2320z00_2693;

																		if (CBOOL
																			(BGl_findzd2classzd2constructorz00zzobject_classz00
																				(((BgL_typez00_bglt) BgL_classz00_32))))
																			{	/* Expand/object.scm 528 */
																				BgL_globalz00_bglt BgL_gz00_2695;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_6086;

																					{
																						obj_t BgL_auxz00_6087;

																						{	/* Expand/object.scm 528 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_6088;
																							BgL_tmpz00_6088 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_32));
																							BgL_auxz00_6087 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_6088);
																						}
																						BgL_auxz00_6086 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_6087);
																					}
																					BgL_gz00_2695 =
																						(((BgL_tclassz00_bglt)
																							COBJECT(BgL_auxz00_6086))->
																						BgL_holderz00);
																				}
																				{	/* Expand/object.scm 529 */
																					obj_t BgL_arg2323z00_2696;

																					{	/* Expand/object.scm 529 */
																						obj_t BgL_arg2324z00_2697;
																						obj_t BgL_arg2325z00_2698;

																						{	/* Expand/object.scm 529 */
																							obj_t BgL_arg2326z00_2699;
																							obj_t BgL_arg2327z00_2700;

																							{	/* Expand/object.scm 529 */
																								obj_t BgL_arg2328z00_2701;

																								{	/* Expand/object.scm 529 */
																									obj_t BgL_arg2329z00_2702;

																									BgL_arg2329z00_2702 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(8)), BNIL);
																									BgL_arg2328z00_2701 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(14)),
																										BgL_arg2329z00_2702);
																								}
																								BgL_arg2326z00_2699 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(10)),
																									BgL_arg2328z00_2701);
																							}
																							{	/* Expand/object.scm 530 */
																								obj_t BgL_arg2331z00_2703;

																								{	/* Expand/object.scm 530 */
																									obj_t BgL_arg2334z00_2704;

																									{	/* Expand/object.scm 530 */
																										obj_t BgL_arg2335z00_2705;
																										obj_t BgL_arg2336z00_2706;

																										BgL_arg2335z00_2705 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														BgL_gz00_2695)))->
																											BgL_idz00);
																										BgL_arg2336z00_2706 =
																											MAKE_YOUNG_PAIR(((
																													(BgL_globalz00_bglt)
																													COBJECT
																													(BgL_gz00_2695))->
																												BgL_modulez00), BNIL);
																										BgL_arg2334z00_2704 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg2335z00_2705,
																											BgL_arg2336z00_2706);
																									}
																									BgL_arg2331z00_2703 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(10)),
																										BgL_arg2334z00_2704);
																								}
																								BgL_arg2327z00_2700 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2331z00_2703, BNIL);
																							}
																							BgL_arg2324z00_2697 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2326z00_2699,
																								BgL_arg2327z00_2700);
																						}
																						BgL_arg2325z00_2698 =
																							MAKE_YOUNG_PAIR(BgL_newz00_2661,
																							BNIL);
																						BgL_arg2323z00_2696 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2324z00_2697,
																							BgL_arg2325z00_2698);
																					}
																					BgL_arg2319z00_2692 =
																						BGL_PROCEDURE_CALL2(BgL_ez00_36,
																						BgL_arg2323z00_2696, BgL_ez00_36);
																				}
																			}
																		else
																			{	/* Expand/object.scm 527 */
																				BgL_arg2319z00_2692 = BFALSE;
																			}
																		{	/* Expand/object.scm 535 */
																			obj_t BgL_arg2338z00_2708;
																			obj_t BgL_arg2340z00_2709;

																			{	/* Expand/object.scm 535 */
																				obj_t
																					BgL_zc3z04anonymousza32344ze3z87_4179;
																				BgL_zc3z04anonymousza32344ze3z87_4179 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32344ze3ze5zzexpand_objectz00,
																					(int) (2L), (int) (2L));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32344ze3z87_4179,
																					(int) (0L), BgL_ez00_36);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32344ze3z87_4179,
																					(int) (1L), BgL_newz00_2661);
																				{	/* Expand/object.scm 534 */
																					obj_t BgL_list2342z00_2711;

																					{	/* Expand/object.scm 534 */
																						obj_t BgL_arg2343z00_2712;

																						BgL_arg2343z00_2712 =
																							MAKE_YOUNG_PAIR(BgL_argsz00_2667,
																							BNIL);
																						BgL_list2342z00_2711 =
																							MAKE_YOUNG_PAIR(BgL_slotsz00_2660,
																							BgL_arg2343z00_2712);
																					}
																					BgL_arg2338z00_2708 =
																						BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																						(BgL_zc3z04anonymousza32344ze3z87_4179,
																						BgL_list2342z00_2711);
																			}}
																			BgL_arg2340z00_2709 =
																				MAKE_YOUNG_PAIR(BgL_newz00_2661, BNIL);
																			BgL_arg2320z00_2693 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2338z00_2708,
																				BgL_arg2340z00_2709);
																		}
																		BgL_arg2308z00_2679 =
																			MAKE_YOUNG_PAIR(BgL_arg2319z00_2692,
																			BgL_arg2320z00_2693);
																	}
																	BgL_arg2294z00_2670 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2307z00_2678, BgL_arg2308z00_2679);
																}
																BgL_arg2292z00_2668 =
																	MAKE_YOUNG_PAIR(BgL_arg2293z00_2669,
																	BgL_arg2294z00_2670);
															}
															return
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(6)), BgL_arg2292z00_2668);
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &slot-set */
	obj_t BGl_z62slotzd2setzb0zzexpand_objectz00(obj_t BgL_newz00_2803,
		obj_t BgL_slotz00_2804, obj_t BgL_vz00_2805)
	{
		{	/* Expand/object.scm 505 */
			{	/* Expand/object.scm 503 */
				obj_t BgL_idz00_2808;

				BgL_idz00_2808 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_slotz00_2804)))->BgL_idz00);
				{	/* Expand/object.scm 505 */
					obj_t BgL_arg2407z00_2809;

					{	/* Expand/object.scm 505 */
						obj_t BgL_arg2411z00_2810;
						obj_t BgL_arg2412z00_2811;

						BgL_arg2411z00_2810 =
							BGl_fieldzd2accesszd2zzast_objectz00(BgL_newz00_2803,
							BgL_idz00_2808, BTRUE);
						BgL_arg2412z00_2811 = MAKE_YOUNG_PAIR(BgL_vz00_2805, BNIL);
						BgL_arg2407z00_2809 =
							MAKE_YOUNG_PAIR(BgL_arg2411z00_2810, BgL_arg2412z00_2811);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(7)), BgL_arg2407z00_2809);
				}
			}
		}

	}



/* &<@anonymous:2344> */
	obj_t BGl_z62zc3z04anonymousza32344ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4181, obj_t BgL_slotz00_4184, obj_t BgL_valz00_4185)
	{
		{	/* Expand/object.scm 534 */
			{	/* Expand/object.scm 535 */
				obj_t BgL_ez00_4182;
				obj_t BgL_newz00_4183;

				BgL_ez00_4182 = ((obj_t) PROCEDURE_REF(BgL_envz00_4181, (int) (0L)));
				BgL_newz00_4183 = ((obj_t) PROCEDURE_REF(BgL_envz00_4181, (int) (1L)));
				{	/* Expand/object.scm 535 */
					bool_t BgL_test3054z00_6152;

					if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
							((BgL_slotz00_bglt) BgL_slotz00_4184)))
						{	/* Expand/object.scm 535 */
							if (
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_slotz00_4184)))->
									BgL_readzd2onlyzf3z21))
								{	/* Expand/object.scm 536 */
									BgL_test3054z00_6152 = ((bool_t) 0);
								}
							else
								{	/* Expand/object.scm 536 */
									BgL_test3054z00_6152 = CBOOL(CAR(((obj_t) BgL_valz00_4185)));
								}
						}
					else
						{	/* Expand/object.scm 535 */
							BgL_test3054z00_6152 = ((bool_t) 0);
						}
					if (BgL_test3054z00_6152)
						{	/* Expand/object.scm 538 */
							obj_t BgL_arg2348z00_4269;
							obj_t BgL_arg2349z00_4270;

							BgL_arg2348z00_4269 = CDR(((obj_t) BgL_valz00_4185));
							{	/* Expand/object.scm 539 */
								obj_t BgL_arg2350z00_4271;

								{	/* Expand/object.scm 539 */
									obj_t BgL_arg2351z00_4272;

									BgL_arg2351z00_4272 = CDR(((obj_t) BgL_valz00_4185));
									BgL_arg2350z00_4271 =
										BGL_PROCEDURE_CALL2(BgL_ez00_4182, BgL_arg2351z00_4272,
										BgL_ez00_4182);
								}
								BgL_arg2349z00_4270 =
									BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4183,
									BgL_slotz00_4184, BgL_arg2350z00_4271);
							}
							return
								BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2349z00_4270,
								BgL_arg2348z00_4269);
						}
					else
						{	/* Expand/object.scm 535 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2312> */
	obj_t BGl_z62zc3z04anonymousza32312ze3ze5zzexpand_objectz00(obj_t
		BgL_envz00_4186, obj_t BgL_slotz00_4189, obj_t BgL_valz00_4190)
	{
		{	/* Expand/object.scm 521 */
			{	/* Expand/object.scm 522 */
				obj_t BgL_ez00_4187;
				obj_t BgL_newz00_4188;

				BgL_ez00_4187 = ((obj_t) PROCEDURE_REF(BgL_envz00_4186, (int) (0L)));
				BgL_newz00_4188 = ((obj_t) PROCEDURE_REF(BgL_envz00_4186, (int) (1L)));
				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						((BgL_slotz00_bglt) BgL_slotz00_4189)))
					{	/* Expand/object.scm 522 */
						return BFALSE;
					}
				else
					{	/* Expand/object.scm 523 */
						obj_t BgL_arg2314z00_4273;
						obj_t BgL_arg2315z00_4274;

						BgL_arg2314z00_4273 = CDR(((obj_t) BgL_valz00_4190));
						{	/* Expand/object.scm 524 */
							obj_t BgL_arg2316z00_4275;

							{	/* Expand/object.scm 524 */
								obj_t BgL_arg2318z00_4276;

								BgL_arg2318z00_4276 = CDR(((obj_t) BgL_valz00_4190));
								BgL_arg2316z00_4275 =
									BGL_PROCEDURE_CALL2(BgL_ez00_4187, BgL_arg2318z00_4276,
									BgL_ez00_4187);
							}
							BgL_arg2315z00_4274 =
								BGl_z62slotzd2setzb0zzexpand_objectz00(BgL_newz00_4188,
								BgL_slotz00_4189, BgL_arg2316z00_4275);
						}
						return
							BGl_objectzd2epairifyzd2zzexpand_objectz00(BgL_arg2315z00_4274,
							BgL_arg2314z00_4273);
					}
			}
		}

	}



/* allocate-expr */
	obj_t BGl_allocatezd2exprzd2zzexpand_objectz00(obj_t BgL_classz00_37)
	{
		{	/* Expand/object.scm 546 */
			if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_37))
				{	/* Expand/object.scm 548 */
					obj_t BgL_superz00_2816;

					{
						BgL_tclassz00_bglt BgL_auxz00_6195;

						{
							obj_t BgL_auxz00_6196;

							{	/* Expand/object.scm 548 */
								BgL_objectz00_bglt BgL_tmpz00_6197;

								BgL_tmpz00_6197 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_37));
								BgL_auxz00_6196 = BGL_OBJECT_WIDENING(BgL_tmpz00_6197);
							}
							BgL_auxz00_6195 = ((BgL_tclassz00_bglt) BgL_auxz00_6196);
						}
						BgL_superz00_2816 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6195))->
							BgL_itszd2superzd2);
					}
					{	/* Expand/object.scm 550 */
						obj_t BgL_arg2415z00_2817;

						BgL_arg2415z00_2817 =
							BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_superz00_2816));
						return
							BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
							((BgL_typez00_bglt) BgL_classz00_37), BgL_arg2415z00_2817);
					}
				}
			else
				{	/* Expand/object.scm 547 */
					return
						BGl_classgenzd2allocatezd2exprz00zzobject_classgenz00(
						((BgL_typez00_bglt) BgL_classz00_37));
				}
		}

	}



/* expand-widen! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2widenz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_38, obj_t BgL_ez00_39)
	{
		{	/* Expand/object.scm 556 */
			{
				obj_t BgL_widenz12z12_2818;
				obj_t BgL_objz00_2819;
				obj_t BgL_providedz00_2820;

				if (PAIRP(BgL_xz00_38))
					{	/* Expand/object.scm 557 */
						obj_t BgL_cdrzd2782zd2_2825;

						BgL_cdrzd2782zd2_2825 = CDR(((obj_t) BgL_xz00_38));
						if (PAIRP(BgL_cdrzd2782zd2_2825))
							{	/* Expand/object.scm 557 */
								obj_t BgL_arg2418z00_2827;
								obj_t BgL_arg2421z00_2828;
								obj_t BgL_arg2422z00_2829;

								BgL_arg2418z00_2827 = CAR(((obj_t) BgL_xz00_38));
								BgL_arg2421z00_2828 = CAR(BgL_cdrzd2782zd2_2825);
								BgL_arg2422z00_2829 = CDR(BgL_cdrzd2782zd2_2825);
								BgL_widenz12z12_2818 = BgL_arg2418z00_2827;
								BgL_objz00_2819 = BgL_arg2421z00_2828;
								BgL_providedz00_2820 = BgL_arg2422z00_2829;
								{	/* Expand/object.scm 559 */
									BgL_typez00_bglt BgL_classz00_2830;

									BgL_classz00_2830 =
										BGl_typezd2ofzd2idz00zzast_identz00(BgL_widenz12z12_2818,
										BGl_findzd2locationzd2zztools_locationz00(BgL_xz00_38));
									{	/* Expand/object.scm 560 */
										bool_t BgL_test3061z00_6221;

										{	/* Expand/object.scm 560 */
											bool_t BgL_test3062z00_6222;

											{	/* Expand/object.scm 560 */
												obj_t BgL_classz00_3849;

												BgL_classz00_3849 = BGl_tclassz00zzobject_classz00;
												{	/* Expand/object.scm 560 */
													BgL_objectz00_bglt BgL_arg1858z00_3851;

													{	/* Expand/object.scm 560 */
														obj_t BgL_tmpz00_6223;

														BgL_tmpz00_6223 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_classz00_2830));
														BgL_arg1858z00_3851 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6223);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Expand/object.scm 560 */
															long BgL_idxz00_3857;

															BgL_idxz00_3857 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3851);
															BgL_test3062z00_6222 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3857 + 2L)) == BgL_classz00_3849);
														}
													else
														{	/* Expand/object.scm 560 */
															bool_t BgL_res2734z00_3882;

															{	/* Expand/object.scm 560 */
																obj_t BgL_oclassz00_3865;

																{	/* Expand/object.scm 560 */
																	obj_t BgL_arg1866z00_3873;
																	long BgL_arg1867z00_3874;

																	BgL_arg1866z00_3873 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Expand/object.scm 560 */
																		long BgL_arg1869z00_3875;

																		BgL_arg1869z00_3875 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3851);
																		BgL_arg1867z00_3874 =
																			(BgL_arg1869z00_3875 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3865 =
																		VECTOR_REF(BgL_arg1866z00_3873,
																		BgL_arg1867z00_3874);
																}
																{	/* Expand/object.scm 560 */
																	bool_t BgL__ortest_1115z00_3866;

																	BgL__ortest_1115z00_3866 =
																		(BgL_classz00_3849 == BgL_oclassz00_3865);
																	if (BgL__ortest_1115z00_3866)
																		{	/* Expand/object.scm 560 */
																			BgL_res2734z00_3882 =
																				BgL__ortest_1115z00_3866;
																		}
																	else
																		{	/* Expand/object.scm 560 */
																			long BgL_odepthz00_3867;

																			{	/* Expand/object.scm 560 */
																				obj_t BgL_arg1855z00_3868;

																				BgL_arg1855z00_3868 =
																					(BgL_oclassz00_3865);
																				BgL_odepthz00_3867 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3868);
																			}
																			if ((2L < BgL_odepthz00_3867))
																				{	/* Expand/object.scm 560 */
																					obj_t BgL_arg1853z00_3870;

																					{	/* Expand/object.scm 560 */
																						obj_t BgL_arg1854z00_3871;

																						BgL_arg1854z00_3871 =
																							(BgL_oclassz00_3865);
																						BgL_arg1853z00_3870 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3871, 2L);
																					}
																					BgL_res2734z00_3882 =
																						(BgL_arg1853z00_3870 ==
																						BgL_classz00_3849);
																				}
																			else
																				{	/* Expand/object.scm 560 */
																					BgL_res2734z00_3882 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3062z00_6222 = BgL_res2734z00_3882;
														}
												}
											}
											if (BgL_test3062z00_6222)
												{	/* Expand/object.scm 560 */
													obj_t BgL_tmpz00_6246;

													{
														BgL_tclassz00_bglt BgL_auxz00_6247;

														{
															obj_t BgL_auxz00_6248;

															{	/* Expand/object.scm 560 */
																BgL_objectz00_bglt BgL_tmpz00_6249;

																BgL_tmpz00_6249 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_2830));
																BgL_auxz00_6248 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6249);
															}
															BgL_auxz00_6247 =
																((BgL_tclassz00_bglt) BgL_auxz00_6248);
														}
														BgL_tmpz00_6246 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6247))->
															BgL_wideningz00);
													}
													BgL_test3061z00_6221 = CBOOL(BgL_tmpz00_6246);
												}
											else
												{	/* Expand/object.scm 560 */
													BgL_test3061z00_6221 = ((bool_t) 0);
												}
										}
										if (BgL_test3061z00_6221)
											{	/* Expand/object.scm 561 */
												obj_t BgL_arg2425z00_2833;

												{	/* Expand/object.scm 561 */
													obj_t BgL_arg2428z00_2834;

													BgL_arg2428z00_2834 =
														BGl_expandzd2wideningzd2zzexpand_objectz00
														(BgL_xz00_38, ((obj_t) BgL_classz00_2830),
														BgL_objz00_2819, BgL_providedz00_2820, BgL_ez00_39);
													BgL_arg2425z00_2833 =
														BGL_PROCEDURE_CALL2(BgL_ez00_39,
														BgL_arg2428z00_2834, BgL_ez00_39);
												}
												return
													BGl_replacez12z12zztools_miscz00(BgL_xz00_38,
													BgL_arg2425z00_2833);
											}
										else
											{	/* Expand/object.scm 563 */
												obj_t BgL_arg2429z00_2835;

												{	/* Expand/object.scm 563 */
													obj_t BgL_arg2430z00_2836;

													BgL_arg2430z00_2836 =
														(((BgL_typez00_bglt) COBJECT(BgL_classz00_2830))->
														BgL_idz00);
													{	/* Expand/object.scm 563 */
														obj_t BgL_list2431z00_2837;

														BgL_list2431z00_2837 =
															MAKE_YOUNG_PAIR(BgL_arg2430z00_2836, BNIL);
														BgL_arg2429z00_2835 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2758z00zzexpand_objectz00,
															BgL_list2431z00_2837);
													}
												}
												return
													BGl_errorz00zz__errorz00(BgL_widenz12z12_2818,
													BgL_arg2429z00_2835, BgL_xz00_38);
											}
									}
								}
							}
						else
							{	/* Expand/object.scm 557 */
							BgL_tagzd2773zd2_2822:
								return
									BGl_errorz00zz__errorz00(BGl_string2760z00zzexpand_objectz00,
									BGl_string2743z00zzexpand_objectz00, BgL_xz00_38);
							}
					}
				else
					{	/* Expand/object.scm 557 */
						goto BgL_tagzd2773zd2_2822;
					}
			}
		}

	}



/* &expand-widen! */
	obj_t BGl_z62expandzd2widenz12za2zzexpand_objectz00(obj_t BgL_envz00_4191,
		obj_t BgL_xz00_4192, obj_t BgL_ez00_4193)
	{
		{	/* Expand/object.scm 556 */
			return
				BGl_expandzd2widenz12zc0zzexpand_objectz00(BgL_xz00_4192,
				BgL_ez00_4193);
		}

	}



/* expand-widening */
	obj_t BGl_expandzd2wideningzd2zzexpand_objectz00(obj_t BgL_formz00_40,
		obj_t BgL_classz00_41, obj_t BgL_oz00_42, obj_t BgL_providedz00_43,
		obj_t BgL_ez00_44)
	{
		{	/* Expand/object.scm 571 */
			{	/* Expand/object.scm 572 */
				obj_t BgL_superz00_2840;

				{
					BgL_tclassz00_bglt BgL_auxz00_6270;

					{
						obj_t BgL_auxz00_6271;

						{	/* Expand/object.scm 572 */
							BgL_objectz00_bglt BgL_tmpz00_6272;

							BgL_tmpz00_6272 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_41));
							BgL_auxz00_6271 = BGL_OBJECT_WIDENING(BgL_tmpz00_6272);
						}
						BgL_auxz00_6270 = ((BgL_tclassz00_bglt) BgL_auxz00_6271);
					}
					BgL_superz00_2840 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6270))->
						BgL_itszd2superzd2);
				}
				{	/* Expand/object.scm 572 */
					obj_t BgL_tidz00_2841;

					BgL_tidz00_2841 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_classz00_41)))->BgL_idz00);
					{	/* Expand/object.scm 573 */
						obj_t BgL_sidz00_2842;

						BgL_sidz00_2842 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_superz00_2840)))->BgL_idz00);
						{	/* Expand/object.scm 574 */
							obj_t BgL_tmpz00_2843;

							BgL_tmpz00_2843 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
										CNST_TABLE_REF(32))));
							{	/* Expand/object.scm 575 */
								obj_t BgL_ttmpz00_2844;

								BgL_ttmpz00_2844 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_tmpz00_2843,
									BgL_sidz00_2842);
								{	/* Expand/object.scm 576 */
									obj_t BgL_slotsz00_2845;

									{	/* Expand/object.scm 577 */
										obj_t BgL_hook1306z00_2858;

										BgL_hook1306z00_2858 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
										{	/* Expand/object.scm 578 */
											obj_t BgL_g1307z00_2859;

											{
												BgL_tclassz00_bglt BgL_auxz00_6288;

												{
													obj_t BgL_auxz00_6289;

													{	/* Expand/object.scm 578 */
														BgL_objectz00_bglt BgL_tmpz00_6290;

														BgL_tmpz00_6290 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_41));
														BgL_auxz00_6289 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6290);
													}
													BgL_auxz00_6288 =
														((BgL_tclassz00_bglt) BgL_auxz00_6289);
												}
												BgL_g1307z00_2859 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_6288))->
													BgL_slotsz00);
											}
											{
												obj_t BgL_l1303z00_2861;
												obj_t BgL_h1304z00_2862;

												BgL_l1303z00_2861 = BgL_g1307z00_2859;
												BgL_h1304z00_2862 = BgL_hook1306z00_2858;
											BgL_zc3z04anonymousza32456ze3z87_2863:
												if (NULLP(BgL_l1303z00_2861))
													{	/* Expand/object.scm 578 */
														BgL_slotsz00_2845 = CDR(BgL_hook1306z00_2858);
													}
												else
													{	/* Expand/object.scm 578 */
														if (
															((((BgL_slotz00_bglt) COBJECT(
																			((BgL_slotz00_bglt)
																				CAR(
																					((obj_t) BgL_l1303z00_2861)))))->
																	BgL_classzd2ownerzd2) == BgL_classz00_41))
															{	/* Expand/object.scm 578 */
																obj_t BgL_nh1305z00_2868;

																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2462z00_2870;

																	BgL_arg2462z00_2870 =
																		CAR(((obj_t) BgL_l1303z00_2861));
																	BgL_nh1305z00_2868 =
																		MAKE_YOUNG_PAIR(BgL_arg2462z00_2870, BNIL);
																}
																SET_CDR(BgL_h1304z00_2862, BgL_nh1305z00_2868);
																{	/* Expand/object.scm 578 */
																	obj_t BgL_arg2461z00_2869;

																	BgL_arg2461z00_2869 =
																		CDR(((obj_t) BgL_l1303z00_2861));
																	{
																		obj_t BgL_h1304z00_6312;
																		obj_t BgL_l1303z00_6311;

																		BgL_l1303z00_6311 = BgL_arg2461z00_2869;
																		BgL_h1304z00_6312 = BgL_nh1305z00_2868;
																		BgL_h1304z00_2862 = BgL_h1304z00_6312;
																		BgL_l1303z00_2861 = BgL_l1303z00_6311;
																		goto BgL_zc3z04anonymousza32456ze3z87_2863;
																	}
																}
															}
														else
															{	/* Expand/object.scm 578 */
																obj_t BgL_arg2464z00_2871;

																BgL_arg2464z00_2871 =
																	CDR(((obj_t) BgL_l1303z00_2861));
																{
																	obj_t BgL_l1303z00_6315;

																	BgL_l1303z00_6315 = BgL_arg2464z00_2871;
																	BgL_l1303z00_2861 = BgL_l1303z00_6315;
																	goto BgL_zc3z04anonymousza32456ze3z87_2863;
																}
															}
													}
											}
										}
									}
									{	/* Expand/object.scm 577 */

										{	/* Expand/object.scm 579 */
											obj_t BgL_arg2438z00_2846;

											{	/* Expand/object.scm 579 */
												obj_t BgL_arg2439z00_2847;
												obj_t BgL_arg2440z00_2848;

												{	/* Expand/object.scm 579 */
													obj_t BgL_arg2441z00_2849;

													{	/* Expand/object.scm 579 */
														obj_t BgL_arg2443z00_2850;

														BgL_arg2443z00_2850 =
															MAKE_YOUNG_PAIR(BgL_oz00_42, BNIL);
														BgL_arg2441z00_2849 =
															MAKE_YOUNG_PAIR(BgL_ttmpz00_2844,
															BgL_arg2443z00_2850);
													}
													BgL_arg2439z00_2847 =
														MAKE_YOUNG_PAIR(BgL_arg2441z00_2849, BNIL);
												}
												{	/* Expand/object.scm 580 */
													obj_t BgL_arg2448z00_2851;
													obj_t BgL_arg2449z00_2852;

													BgL_arg2448z00_2851 =
														BGl_classgenzd2widenzd2exprz00zzobject_classgenz00(
														((BgL_typez00_bglt) BgL_classz00_41),
														BgL_tmpz00_2843);
													{	/* Expand/object.scm 581 */
														obj_t BgL_arg2450z00_2853;

														{	/* Expand/object.scm 581 */
															obj_t BgL_arg2451z00_2854;
															obj_t BgL_arg2452z00_2855;
															obj_t BgL_arg2454z00_2856;

															BgL_arg2451z00_2854 =
																CAR(((obj_t) BgL_formz00_40));
															{	/* Expand/object.scm 581 */
																obj_t BgL_pairz00_3907;

																BgL_pairz00_3907 =
																	CDR(((obj_t) BgL_formz00_40));
																BgL_arg2452z00_2855 = CDR(BgL_pairz00_3907);
															}
															{	/* Expand/object.scm 582 */
																obj_t BgL_list2455z00_2857;

																BgL_list2455z00_2857 =
																	MAKE_YOUNG_PAIR(BgL_tmpz00_2843, BNIL);
																BgL_arg2454z00_2856 =
																	BGl_makezd2privatezd2sexpz00zzast_privatez00(
																	((obj_t)
																		CNST_TABLE_REF(34)), BgL_tidz00_2841,
																	BgL_list2455z00_2857);
															}
															BgL_arg2450z00_2853 =
																BGl_instantiatezd2fillzd2zzexpand_objectz00
																(BgL_arg2451z00_2854, BgL_arg2452z00_2855,
																BgL_classz00_41, BgL_slotsz00_2845,
																BgL_arg2454z00_2856, BgL_formz00_40,
																BgL_ez00_44);
														}
														BgL_arg2449z00_2852 =
															MAKE_YOUNG_PAIR(BgL_arg2450z00_2853, BNIL);
													}
													BgL_arg2440z00_2848 =
														MAKE_YOUNG_PAIR(BgL_arg2448z00_2851,
														BgL_arg2449z00_2852);
												}
												BgL_arg2438z00_2846 =
													MAKE_YOUNG_PAIR(BgL_arg2439z00_2847,
													BgL_arg2440z00_2848);
											}
											return
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(6)), BgL_arg2438z00_2846);
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* expand-shrink! */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2shrinkz12zc0zzexpand_objectz00(obj_t
		BgL_xz00_45, obj_t BgL_ez00_46)
	{
		{	/* Expand/object.scm 587 */
			{
				obj_t BgL_symz00_2876;
				obj_t BgL_oz00_2877;

				if (PAIRP(BgL_xz00_45))
					{	/* Expand/object.scm 588 */
						obj_t BgL_carzd2797zd2_2882;
						obj_t BgL_cdrzd2798zd2_2883;

						BgL_carzd2797zd2_2882 = CAR(((obj_t) BgL_xz00_45));
						BgL_cdrzd2798zd2_2883 = CDR(((obj_t) BgL_xz00_45));
						if (SYMBOLP(BgL_carzd2797zd2_2882))
							{	/* Expand/object.scm 588 */
								if (PAIRP(BgL_cdrzd2798zd2_2883))
									{	/* Expand/object.scm 588 */
										if (NULLP(CDR(BgL_cdrzd2798zd2_2883)))
											{	/* Expand/object.scm 588 */
												BgL_symz00_2876 = BgL_carzd2797zd2_2882;
												BgL_oz00_2877 = CAR(BgL_cdrzd2798zd2_2883);
												{	/* Expand/object.scm 590 */
													obj_t BgL_sz00_2890;

													BgL_sz00_2890 =
														BGl_parsezd2idzd2zzast_identz00(BgL_symz00_2876,
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_45));
													if ((CAR(BgL_sz00_2890) ==
															((obj_t) CNST_TABLE_REF(35))))
														{	/* Expand/object.scm 591 */
															return
																BGl_replacez12z12zztools_miscz00(BgL_xz00_45,
																BGl_makezd2azd2shrinkz12z12zzexpand_objectz00
																(BgL_ez00_46, BgL_oz00_2877));
														}
													else
														{	/* Expand/object.scm 591 */
															return
																BGl_errorz00zz__errorz00(BgL_symz00_2876,
																BGl_string2761z00zzexpand_objectz00,
																BgL_xz00_45);
														}
												}
											}
										else
											{	/* Expand/object.scm 588 */
											BgL_tagzd2791zd2_2879:
												return
													BGl_errorz00zz__errorz00
													(BGl_string2762z00zzexpand_objectz00,
													BGl_string2743z00zzexpand_objectz00, BgL_xz00_45);
											}
									}
								else
									{	/* Expand/object.scm 588 */
										goto BgL_tagzd2791zd2_2879;
									}
							}
						else
							{	/* Expand/object.scm 588 */
								goto BgL_tagzd2791zd2_2879;
							}
					}
				else
					{	/* Expand/object.scm 588 */
						goto BgL_tagzd2791zd2_2879;
					}
			}
		}

	}



/* &expand-shrink! */
	obj_t BGl_z62expandzd2shrinkz12za2zzexpand_objectz00(obj_t BgL_envz00_4194,
		obj_t BgL_xz00_4195, obj_t BgL_ez00_4196)
	{
		{	/* Expand/object.scm 587 */
			return
				BGl_expandzd2shrinkz12zc0zzexpand_objectz00(BgL_xz00_4195,
				BgL_ez00_4196);
		}

	}



/* make-a-shrink! */
	obj_t BGl_makezd2azd2shrinkz12z12zzexpand_objectz00(obj_t BgL_ez00_47,
		obj_t BgL_oz00_48)
	{
		{	/* Expand/object.scm 600 */
			{	/* Expand/object.scm 601 */
				obj_t BgL_newoz00_2896;

				BgL_newoz00_2896 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(36))));
				if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
					{	/* Expand/object.scm 603 */
						obj_t BgL_arg2479z00_2897;

						{	/* Expand/object.scm 603 */
							obj_t BgL_arg2480z00_2898;
							obj_t BgL_arg2481z00_2899;

							{	/* Expand/object.scm 603 */
								obj_t BgL_arg2482z00_2900;

								{	/* Expand/object.scm 603 */
									obj_t BgL_arg2485z00_2901;

									{	/* Expand/object.scm 603 */
										obj_t BgL_arg2487z00_2902;

										BgL_arg2487z00_2902 =
											BGL_PROCEDURE_CALL2(BgL_ez00_47, BgL_oz00_48,
											BgL_ez00_47);
										BgL_arg2485z00_2901 =
											MAKE_YOUNG_PAIR(BgL_arg2487z00_2902, BNIL);
									}
									BgL_arg2482z00_2900 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2896, BgL_arg2485z00_2901);
								}
								BgL_arg2480z00_2898 =
									MAKE_YOUNG_PAIR(BgL_arg2482z00_2900, BNIL);
							}
							{	/* Expand/object.scm 604 */
								obj_t BgL_arg2488z00_2903;
								obj_t BgL_arg2489z00_2904;

								{	/* Expand/object.scm 604 */
									obj_t BgL_arg2490z00_2905;
									obj_t BgL_arg2491z00_2906;

									{	/* Expand/object.scm 604 */
										obj_t BgL_arg2492z00_2907;

										{	/* Expand/object.scm 604 */
											obj_t BgL_arg2493z00_2908;

											BgL_arg2493z00_2908 =
												MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(8)), BNIL);
											BgL_arg2492z00_2907 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(37)), BgL_arg2493z00_2908);
										}
										BgL_arg2490z00_2905 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(10)), BgL_arg2492z00_2907);
									}
									{	/* Expand/object.scm 606 */
										obj_t BgL_arg2495z00_2909;

										{	/* Expand/object.scm 606 */
											obj_t BgL_arg2496z00_2910;

											{	/* Expand/object.scm 606 */
												obj_t BgL_arg2497z00_2911;
												obj_t BgL_arg2498z00_2912;

												{	/* Expand/object.scm 606 */
													obj_t BgL_arg2499z00_2913;

													{	/* Expand/object.scm 606 */
														obj_t BgL_arg2500z00_2914;

														BgL_arg2500z00_2914 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(8)), BNIL);
														BgL_arg2499z00_2913 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(38)), BgL_arg2500z00_2914);
													}
													BgL_arg2497z00_2911 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(10)), BgL_arg2499z00_2913);
												}
												{	/* Expand/object.scm 607 */
													obj_t BgL_arg2501z00_2915;

													{	/* Expand/object.scm 607 */
														obj_t BgL_arg2502z00_2916;
														obj_t BgL_arg2503z00_2917;

														{	/* Expand/object.scm 607 */
															obj_t BgL_arg2504z00_2918;

															{	/* Expand/object.scm 607 */
																obj_t BgL_arg2506z00_2919;

																BgL_arg2506z00_2919 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(8)), BNIL);
																BgL_arg2504z00_2918 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(39)), BgL_arg2506z00_2919);
															}
															BgL_arg2502z00_2916 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(10)), BgL_arg2504z00_2918);
														}
														{	/* Expand/object.scm 608 */
															obj_t BgL_arg2507z00_2920;

															{	/* Expand/object.scm 608 */
																obj_t BgL_arg2508z00_2921;
																obj_t BgL_arg2509z00_2922;

																{	/* Expand/object.scm 608 */
																	obj_t BgL_arg2510z00_2923;

																	{	/* Expand/object.scm 608 */
																		obj_t BgL_arg2512z00_2924;

																		BgL_arg2512z00_2924 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) CNST_TABLE_REF(8)), BNIL);
																		BgL_arg2510z00_2923 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(40)),
																			BgL_arg2512z00_2924);
																	}
																	BgL_arg2508z00_2921 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(10)), BgL_arg2510z00_2923);
																}
																BgL_arg2509z00_2922 =
																	MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
																BgL_arg2507z00_2920 =
																	MAKE_YOUNG_PAIR(BgL_arg2508z00_2921,
																	BgL_arg2509z00_2922);
															}
															BgL_arg2503z00_2917 =
																MAKE_YOUNG_PAIR(BgL_arg2507z00_2920, BNIL);
														}
														BgL_arg2501z00_2915 =
															MAKE_YOUNG_PAIR(BgL_arg2502z00_2916,
															BgL_arg2503z00_2917);
													}
													BgL_arg2498z00_2912 =
														MAKE_YOUNG_PAIR(BgL_arg2501z00_2915, BNIL);
												}
												BgL_arg2496z00_2910 =
													MAKE_YOUNG_PAIR(BgL_arg2497z00_2911,
													BgL_arg2498z00_2912);
											}
											BgL_arg2495z00_2909 =
												MAKE_YOUNG_PAIR(BgL_arg2496z00_2910, BNIL);
										}
										BgL_arg2491z00_2906 =
											MAKE_YOUNG_PAIR(BgL_newoz00_2896, BgL_arg2495z00_2909);
									}
									BgL_arg2488z00_2903 =
										MAKE_YOUNG_PAIR(BgL_arg2490z00_2905, BgL_arg2491z00_2906);
								}
								{	/* Expand/object.scm 609 */
									obj_t BgL_arg2514z00_2925;
									obj_t BgL_arg2515z00_2926;

									{	/* Expand/object.scm 609 */
										obj_t BgL_arg2519z00_2927;

										{	/* Expand/object.scm 609 */
											obj_t BgL_arg2520z00_2928;

											BgL_arg2520z00_2928 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											BgL_arg2519z00_2927 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2896, BgL_arg2520z00_2928);
										}
										BgL_arg2514z00_2925 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(41)), BgL_arg2519z00_2927);
									}
									BgL_arg2515z00_2926 = MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
									BgL_arg2489z00_2904 =
										MAKE_YOUNG_PAIR(BgL_arg2514z00_2925, BgL_arg2515z00_2926);
								}
								BgL_arg2481z00_2899 =
									MAKE_YOUNG_PAIR(BgL_arg2488z00_2903, BgL_arg2489z00_2904);
							}
							BgL_arg2479z00_2897 =
								MAKE_YOUNG_PAIR(BgL_arg2480z00_2898, BgL_arg2481z00_2899);
						}
						return
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BgL_arg2479z00_2897);
					}
				else
					{	/* Expand/object.scm 611 */
						obj_t BgL_arg2521z00_2929;

						{	/* Expand/object.scm 611 */
							obj_t BgL_arg2522z00_2930;
							obj_t BgL_arg2523z00_2931;

							{	/* Expand/object.scm 611 */
								obj_t BgL_arg2525z00_2932;

								{	/* Expand/object.scm 611 */
									obj_t BgL_arg2527z00_2933;

									{	/* Expand/object.scm 611 */
										obj_t BgL_arg2528z00_2934;

										BgL_arg2528z00_2934 =
											BGL_PROCEDURE_CALL2(BgL_ez00_47, BgL_oz00_48,
											BgL_ez00_47);
										BgL_arg2527z00_2933 =
											MAKE_YOUNG_PAIR(BgL_arg2528z00_2934, BNIL);
									}
									BgL_arg2525z00_2932 =
										MAKE_YOUNG_PAIR(BgL_newoz00_2896, BgL_arg2527z00_2933);
								}
								BgL_arg2522z00_2930 =
									MAKE_YOUNG_PAIR(BgL_arg2525z00_2932, BNIL);
							}
							{	/* Expand/object.scm 612 */
								obj_t BgL_arg2529z00_2935;

								{	/* Expand/object.scm 612 */
									obj_t BgL_arg2530z00_2936;

									{	/* Expand/object.scm 612 */
										obj_t BgL_arg2532z00_2937;
										obj_t BgL_arg2533z00_2938;

										{	/* Expand/object.scm 612 */
											obj_t BgL_arg2535z00_2939;

											BgL_arg2535z00_2939 =
												MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
											BgL_arg2532z00_2937 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(42)), BgL_arg2535z00_2939);
										}
										{	/* Expand/object.scm 613 */
											obj_t BgL_arg2536z00_2940;
											obj_t BgL_arg2537z00_2941;

											{	/* Expand/object.scm 613 */
												obj_t BgL_arg2538z00_2942;

												{	/* Expand/object.scm 613 */
													obj_t BgL_arg2539z00_2943;
													obj_t BgL_arg2541z00_2944;

													{	/* Expand/object.scm 613 */
														obj_t BgL_arg2542z00_2945;

														BgL_arg2542z00_2945 =
															MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
														BgL_arg2539z00_2943 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(43)), BgL_arg2542z00_2945);
													}
													{	/* Expand/object.scm 615 */
														obj_t BgL_arg2543z00_2946;
														obj_t BgL_arg2545z00_2947;

														{	/* Expand/object.scm 615 */
															obj_t BgL_arg2546z00_2948;

															{	/* Expand/object.scm 615 */
																obj_t BgL_arg2548z00_2949;
																obj_t BgL_arg2549z00_2950;

																{	/* Expand/object.scm 615 */
																	obj_t BgL_arg2550z00_2951;
																	obj_t BgL_arg2551z00_2952;

																	{	/* Expand/object.scm 615 */
																		obj_t BgL_arg2552z00_2953;

																		{	/* Expand/object.scm 615 */
																			obj_t BgL_arg2553z00_2954;

																			BgL_arg2553z00_2954 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) CNST_TABLE_REF(8)), BNIL);
																			BgL_arg2552z00_2953 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(37)),
																				BgL_arg2553z00_2954);
																		}
																		BgL_arg2550z00_2951 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(10)),
																			BgL_arg2552z00_2953);
																	}
																	{	/* Expand/object.scm 617 */
																		obj_t BgL_arg2554z00_2955;

																		{	/* Expand/object.scm 617 */
																			obj_t BgL_arg2555z00_2956;

																			{	/* Expand/object.scm 617 */
																				obj_t BgL_arg2556z00_2957;
																				obj_t BgL_arg2557z00_2958;

																				{	/* Expand/object.scm 617 */
																					obj_t BgL_arg2558z00_2959;

																					{	/* Expand/object.scm 617 */
																						obj_t BgL_arg2559z00_2960;

																						BgL_arg2559z00_2960 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(8)), BNIL);
																						BgL_arg2558z00_2959 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(38)),
																							BgL_arg2559z00_2960);
																					}
																					BgL_arg2556z00_2957 =
																						MAKE_YOUNG_PAIR(
																						((obj_t)
																							CNST_TABLE_REF(10)),
																						BgL_arg2558z00_2959);
																				}
																				{	/* Expand/object.scm 618 */
																					obj_t BgL_arg2560z00_2961;

																					{	/* Expand/object.scm 618 */
																						obj_t BgL_arg2561z00_2962;
																						obj_t BgL_arg2562z00_2963;

																						{	/* Expand/object.scm 618 */
																							obj_t BgL_arg2563z00_2964;

																							{	/* Expand/object.scm 618 */
																								obj_t BgL_arg2564z00_2965;

																								BgL_arg2564z00_2965 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(8)), BNIL);
																								BgL_arg2563z00_2964 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(39)),
																									BgL_arg2564z00_2965);
																							}
																							BgL_arg2561z00_2962 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(10)),
																								BgL_arg2563z00_2964);
																						}
																						{	/* Expand/object.scm 619 */
																							obj_t BgL_arg2565z00_2966;

																							{	/* Expand/object.scm 619 */
																								obj_t BgL_arg2566z00_2967;
																								obj_t BgL_arg2568z00_2968;

																								{	/* Expand/object.scm 619 */
																									obj_t BgL_arg2569z00_2969;

																									{	/* Expand/object.scm 619 */
																										obj_t BgL_arg2571z00_2970;

																										BgL_arg2571z00_2970 =
																											MAKE_YOUNG_PAIR(
																											((obj_t)
																												CNST_TABLE_REF(8)),
																											BNIL);
																										BgL_arg2569z00_2969 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												CNST_TABLE_REF(40)),
																											BgL_arg2571z00_2970);
																									}
																									BgL_arg2566z00_2967 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(10)),
																										BgL_arg2569z00_2969);
																								}
																								BgL_arg2568z00_2968 =
																									MAKE_YOUNG_PAIR
																									(BgL_newoz00_2896, BNIL);
																								BgL_arg2565z00_2966 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2566z00_2967,
																									BgL_arg2568z00_2968);
																							}
																							BgL_arg2562z00_2963 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2565z00_2966, BNIL);
																						}
																						BgL_arg2560z00_2961 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2561z00_2962,
																							BgL_arg2562z00_2963);
																					}
																					BgL_arg2557z00_2958 =
																						MAKE_YOUNG_PAIR(BgL_arg2560z00_2961,
																						BNIL);
																				}
																				BgL_arg2555z00_2956 =
																					MAKE_YOUNG_PAIR(BgL_arg2556z00_2957,
																					BgL_arg2557z00_2958);
																			}
																			BgL_arg2554z00_2955 =
																				MAKE_YOUNG_PAIR(BgL_arg2555z00_2956,
																				BNIL);
																		}
																		BgL_arg2551z00_2952 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2896,
																			BgL_arg2554z00_2955);
																	}
																	BgL_arg2548z00_2949 =
																		MAKE_YOUNG_PAIR(BgL_arg2550z00_2951,
																		BgL_arg2551z00_2952);
																}
																{	/* Expand/object.scm 620 */
																	obj_t BgL_arg2572z00_2971;
																	obj_t BgL_arg2573z00_2972;

																	{	/* Expand/object.scm 620 */
																		obj_t BgL_arg2575z00_2973;

																		{	/* Expand/object.scm 620 */
																			obj_t BgL_arg2576z00_2974;

																			BgL_arg2576z00_2974 =
																				MAKE_YOUNG_PAIR(BFALSE, BNIL);
																			BgL_arg2575z00_2973 =
																				MAKE_YOUNG_PAIR(BgL_newoz00_2896,
																				BgL_arg2576z00_2974);
																		}
																		BgL_arg2572z00_2971 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(41)),
																			BgL_arg2575z00_2973);
																	}
																	BgL_arg2573z00_2972 =
																		MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
																	BgL_arg2549z00_2950 =
																		MAKE_YOUNG_PAIR(BgL_arg2572z00_2971,
																		BgL_arg2573z00_2972);
																}
																BgL_arg2546z00_2948 =
																	MAKE_YOUNG_PAIR(BgL_arg2548z00_2949,
																	BgL_arg2549z00_2950);
															}
															BgL_arg2543z00_2946 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(20)), BgL_arg2546z00_2948);
														}
														{	/* Expand/object.scm 622 */
															obj_t BgL_arg2577z00_2975;

															{	/* Expand/object.scm 622 */
																obj_t BgL_arg2578z00_2976;

																{	/* Expand/object.scm 622 */
																	obj_t BgL_arg2579z00_2977;

																	{	/* Expand/object.scm 622 */
																		obj_t BgL_arg2580z00_2978;

																		BgL_arg2580z00_2978 =
																			MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
																		BgL_arg2579z00_2977 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2763z00zzexpand_objectz00,
																			BgL_arg2580z00_2978);
																	}
																	BgL_arg2578z00_2976 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2762z00zzexpand_objectz00,
																		BgL_arg2579z00_2977);
																}
																BgL_arg2577z00_2975 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(44)), BgL_arg2578z00_2976);
															}
															BgL_arg2545z00_2947 =
																MAKE_YOUNG_PAIR(BgL_arg2577z00_2975, BNIL);
														}
														BgL_arg2541z00_2944 =
															MAKE_YOUNG_PAIR(BgL_arg2543z00_2946,
															BgL_arg2545z00_2947);
													}
													BgL_arg2538z00_2942 =
														MAKE_YOUNG_PAIR(BgL_arg2539z00_2943,
														BgL_arg2541z00_2944);
												}
												BgL_arg2536z00_2940 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(45)), BgL_arg2538z00_2942);
											}
											{	/* Expand/object.scm 623 */
												obj_t BgL_arg2581z00_2979;

												{	/* Expand/object.scm 623 */
													obj_t BgL_arg2582z00_2980;

													{	/* Expand/object.scm 623 */
														obj_t BgL_arg2583z00_2981;

														{	/* Expand/object.scm 623 */
															obj_t BgL_arg2584z00_2982;

															BgL_arg2584z00_2982 =
																MAKE_YOUNG_PAIR(BgL_newoz00_2896, BNIL);
															BgL_arg2583z00_2981 =
																MAKE_YOUNG_PAIR
																(BGl_string2763z00zzexpand_objectz00,
																BgL_arg2584z00_2982);
														}
														BgL_arg2582z00_2980 =
															MAKE_YOUNG_PAIR
															(BGl_string2762z00zzexpand_objectz00,
															BgL_arg2583z00_2981);
													}
													BgL_arg2581z00_2979 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(44)), BgL_arg2582z00_2980);
												}
												BgL_arg2537z00_2941 =
													MAKE_YOUNG_PAIR(BgL_arg2581z00_2979, BNIL);
											}
											BgL_arg2533z00_2938 =
												MAKE_YOUNG_PAIR(BgL_arg2536z00_2940,
												BgL_arg2537z00_2941);
										}
										BgL_arg2530z00_2936 =
											MAKE_YOUNG_PAIR(BgL_arg2532z00_2937, BgL_arg2533z00_2938);
									}
									BgL_arg2529z00_2935 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(45)), BgL_arg2530z00_2936);
								}
								BgL_arg2523z00_2931 =
									MAKE_YOUNG_PAIR(BgL_arg2529z00_2935, BNIL);
							}
							BgL_arg2521z00_2929 =
								MAKE_YOUNG_PAIR(BgL_arg2522z00_2930, BgL_arg2523z00_2931);
						}
						return
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(6)), BgL_arg2521z00_2929);
					}
			}
		}

	}



/* object-epairify */
	obj_t BGl_objectzd2epairifyzd2zzexpand_objectz00(obj_t BgL_objz00_49,
		obj_t BgL_epairz00_50)
	{
		{	/* Expand/object.scm 628 */
		BGl_objectzd2epairifyzd2zzexpand_objectz00:
			if (EPAIRP(BgL_objz00_49))
				{	/* Expand/object.scm 629 */
					return BgL_objz00_49;
				}
			else
				{	/* Expand/object.scm 629 */
					if (EPAIRP(BgL_epairz00_50))
						{	/* Expand/object.scm 631 */
							if (PAIRP(BgL_objz00_49))
								{	/* Expand/object.scm 633 */
									obj_t BgL_arg2590z00_2987;
									obj_t BgL_arg2591z00_2988;
									obj_t BgL_arg2593z00_2989;

									BgL_arg2590z00_2987 = CAR(BgL_objz00_49);
									BgL_arg2591z00_2988 = CDR(BgL_objz00_49);
									BgL_arg2593z00_2989 = CER(((obj_t) BgL_epairz00_50));
									{	/* Expand/object.scm 633 */
										obj_t BgL_res2735z00_3916;

										BgL_res2735z00_3916 =
											MAKE_YOUNG_EPAIR(BgL_arg2590z00_2987, BgL_arg2591z00_2988,
											BgL_arg2593z00_2989);
										return BgL_res2735z00_3916;
									}
								}
							else
								{	/* Expand/object.scm 634 */
									obj_t BgL_arg2594z00_2990;

									{	/* Expand/object.scm 634 */
										obj_t BgL_arg2595z00_2991;

										BgL_arg2595z00_2991 = MAKE_YOUNG_PAIR(BgL_objz00_49, BNIL);
										BgL_arg2594z00_2990 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(20)), BgL_arg2595z00_2991);
									}
									{
										obj_t BgL_objz00_6550;

										BgL_objz00_6550 = BgL_arg2594z00_2990;
										BgL_objz00_49 = BgL_objz00_6550;
										goto BGl_objectzd2epairifyzd2zzexpand_objectz00;
									}
								}
						}
					else
						{	/* Expand/object.scm 631 */
							return BgL_objz00_49;
						}
				}
		}

	}



/* find-slot-offset */
	obj_t BGl_findzd2slotzd2offsetz00zzexpand_objectz00(obj_t BgL_slotsz00_53,
		obj_t BgL_namez00_54, obj_t BgL_formz00_55, obj_t BgL_sexpz00_56)
	{
		{	/* Expand/object.scm 646 */
			{	/* Expand/object.scm 647 */
				obj_t BgL_sz00_2992;

				{
					obj_t BgL_list1309z00_2997;

					BgL_list1309z00_2997 = BgL_slotsz00_53;
				BgL_zc3z04anonymousza32599ze3z87_2998:
					if (PAIRP(BgL_list1309z00_2997))
						{	/* Expand/object.scm 647 */
							if (
								((((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(BgL_list1309z00_2997))))->BgL_idz00) ==
									BgL_namez00_54))
								{	/* Expand/object.scm 647 */
									BgL_sz00_2992 = CAR(BgL_list1309z00_2997);
								}
							else
								{
									obj_t BgL_list1309z00_6559;

									BgL_list1309z00_6559 = CDR(BgL_list1309z00_2997);
									BgL_list1309z00_2997 = BgL_list1309z00_6559;
									goto BgL_zc3z04anonymousza32599ze3z87_2998;
								}
						}
					else
						{	/* Expand/object.scm 647 */
							BgL_sz00_2992 = BFALSE;
						}
				}
				{	/* Expand/object.scm 648 */
					bool_t BgL_test3079z00_6561;

					{	/* Expand/object.scm 648 */
						obj_t BgL_classz00_3921;

						BgL_classz00_3921 = BGl_slotz00zzobject_slotsz00;
						if (BGL_OBJECTP(BgL_sz00_2992))
							{	/* Expand/object.scm 648 */
								BgL_objectz00_bglt BgL_arg1858z00_3923;

								BgL_arg1858z00_3923 = (BgL_objectz00_bglt) (BgL_sz00_2992);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Expand/object.scm 648 */
										long BgL_idxz00_3929;

										BgL_idxz00_3929 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3923);
										BgL_test3079z00_6561 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3929 + 1L)) == BgL_classz00_3921);
									}
								else
									{	/* Expand/object.scm 648 */
										bool_t BgL_res2736z00_3954;

										{	/* Expand/object.scm 648 */
											obj_t BgL_oclassz00_3937;

											{	/* Expand/object.scm 648 */
												obj_t BgL_arg1866z00_3945;
												long BgL_arg1867z00_3946;

												BgL_arg1866z00_3945 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Expand/object.scm 648 */
													long BgL_arg1869z00_3947;

													BgL_arg1869z00_3947 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3923);
													BgL_arg1867z00_3946 =
														(BgL_arg1869z00_3947 - OBJECT_TYPE);
												}
												BgL_oclassz00_3937 =
													VECTOR_REF(BgL_arg1866z00_3945, BgL_arg1867z00_3946);
											}
											{	/* Expand/object.scm 648 */
												bool_t BgL__ortest_1115z00_3938;

												BgL__ortest_1115z00_3938 =
													(BgL_classz00_3921 == BgL_oclassz00_3937);
												if (BgL__ortest_1115z00_3938)
													{	/* Expand/object.scm 648 */
														BgL_res2736z00_3954 = BgL__ortest_1115z00_3938;
													}
												else
													{	/* Expand/object.scm 648 */
														long BgL_odepthz00_3939;

														{	/* Expand/object.scm 648 */
															obj_t BgL_arg1855z00_3940;

															BgL_arg1855z00_3940 = (BgL_oclassz00_3937);
															BgL_odepthz00_3939 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3940);
														}
														if ((1L < BgL_odepthz00_3939))
															{	/* Expand/object.scm 648 */
																obj_t BgL_arg1853z00_3942;

																{	/* Expand/object.scm 648 */
																	obj_t BgL_arg1854z00_3943;

																	BgL_arg1854z00_3943 = (BgL_oclassz00_3937);
																	BgL_arg1853z00_3942 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3943,
																		1L);
																}
																BgL_res2736z00_3954 =
																	(BgL_arg1853z00_3942 == BgL_classz00_3921);
															}
														else
															{	/* Expand/object.scm 648 */
																BgL_res2736z00_3954 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test3079z00_6561 = BgL_res2736z00_3954;
									}
							}
						else
							{	/* Expand/object.scm 648 */
								BgL_test3079z00_6561 = ((bool_t) 0);
							}
					}
					if (BgL_test3079z00_6561)
						{	/* Expand/object.scm 648 */
							return
								BINT(
								(((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt) BgL_sz00_2992)))->BgL_indexz00));
						}
					else
						{	/* Expand/object.scm 650 */
							obj_t BgL_arg2597z00_2994;

							{	/* Expand/object.scm 650 */
								obj_t BgL_list2598z00_2995;

								BgL_list2598z00_2995 = MAKE_YOUNG_PAIR(BgL_namez00_54, BNIL);
								BgL_arg2597z00_2994 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2764z00zzexpand_objectz00, BgL_list2598z00_2995);
							}
							return
								BGl_errorz00zz__errorz00(BgL_formz00_55, BgL_arg2597z00_2994,
								BgL_sexpz00_56);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_objectz00(void)
	{
		{	/* Expand/object.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(520121776L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzread_inlinez00(500058826L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(196511171L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(502726840L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(223654864L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(499400840L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(153808441L,
				BSTRING_TO_STRING(BGl_string2765z00zzexpand_objectz00));
		}

	}

#ifdef __cplusplus
}
#endif
