/*===========================================================================*/
/*   (Module/pragma.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/pragma.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_PRAGMA_TYPE_DEFINITIONS
#define BGL_MODULE_PRAGMA_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


#endif													// BGL_MODULE_PRAGMA_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00(void);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_pragmaz00(void);
	static obj_t BGl_objectzd2initzd2zzmodule_pragmaz00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31241ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_pragmaz00(void);
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00(void);
	static obj_t BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t);
	static obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t, BgL_globalz00_bglt);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00(void);
	static obj_t __cnst[22];


	extern obj_t BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1800z00zzmodule_pragmaz00,
		BgL_bgl_string1800za700za7za7m1811za7,
		"Illegal \"args-noescape\", cannot find argument", 45);
	      DEFINE_STRING(BGl_string1801z00zzmodule_pragmaz00,
		BgL_bgl_string1801za700za7za7m1812za7,
		"Illegal \"args-noescape\" on non-function value", 45);
	      DEFINE_STRING(BGl_string1802z00zzmodule_pragmaz00,
		BgL_bgl_string1802za700za7za7m1813za7, "args-noescape", 13);
	      DEFINE_STRING(BGl_string1803z00zzmodule_pragmaz00,
		BgL_bgl_string1803za700za7za7m1814za7, "module_pragma", 13);
	      DEFINE_STRING(BGl_string1804z00zzmodule_pragmaz00,
		BgL_bgl_string1804za700za7za7m1815za7,
		"* args-retescape args-noescape stack-allocator effect coerce predicate-of thread-local default-inline no-alloc fail-safe args-safe nesting no-trace allocator no-init-flow no-cfa-top side-effect-free void @ foreign pragma ",
		221);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2pragmazd2compilerzd2envzd2zzmodule_pragmaz00,
		BgL_bgl_za762makeza7d2pragma1816z00,
		BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00;
	   
		 
		DEFINE_STRING(BGl_string1780z00zzmodule_pragmaz00,
		BgL_bgl_string1780za700za7za7m1817za7, "pragma", 6);
	      DEFINE_STRING(BGl_string1781z00zzmodule_pragmaz00,
		BgL_bgl_string1781za700za7za7m1818za7, "Illegal clause", 14);
	      DEFINE_STRING(BGl_string1782z00zzmodule_pragmaz00,
		BgL_bgl_string1782za700za7za7m1819za7,
		"Can't find global variable for pragma", 37);
	      DEFINE_STRING(BGl_string1783z00zzmodule_pragmaz00,
		BgL_bgl_string1783za700za7za7m1820za7, "pragma-finalizer", 16);
	      DEFINE_STRING(BGl_string1784z00zzmodule_pragmaz00,
		BgL_bgl_string1784za700za7za7m1821za7, "Illegal \"pragma\" finalizer form",
		31);
	      DEFINE_STRING(BGl_string1785z00zzmodule_pragmaz00,
		BgL_bgl_string1785za700za7za7m1822za7, "pragma(", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzmodule_pragmaz00,
		BgL_bgl_za762za7c3za704anonymo1823za7,
		BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1786z00zzmodule_pragmaz00,
		BgL_bgl_string1786za700za7za7m1824za7, ")", 1);
	      DEFINE_STRING(BGl_string1787z00zzmodule_pragmaz00,
		BgL_bgl_string1787za700za7za7m1825za7,
		"property is not concerning a function", 37);
	      DEFINE_STRING(BGl_string1788z00zzmodule_pragmaz00,
		BgL_bgl_string1788za700za7za7m1826za7, "side-effect-free", 16);
	      DEFINE_STRING(BGl_string1789z00zzmodule_pragmaz00,
		BgL_bgl_string1789za700za7za7m1827za7, "no-cfa-top", 10);
	      DEFINE_STRING(BGl_string1790z00zzmodule_pragmaz00,
		BgL_bgl_string1790za700za7za7m1828za7, "no-init-flow", 12);
	      DEFINE_STRING(BGl_string1791z00zzmodule_pragmaz00,
		BgL_bgl_string1791za700za7za7m1829za7, "allocator", 9);
	      DEFINE_STRING(BGl_string1792z00zzmodule_pragmaz00,
		BgL_bgl_string1792za700za7za7m1830za7, "no-trace", 8);
	      DEFINE_STRING(BGl_string1793z00zzmodule_pragmaz00,
		BgL_bgl_string1793za700za7za7m1831za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1794z00zzmodule_pragmaz00,
		BgL_bgl_string1794za700za7za7m1832za7, "Illegal \"pragma\" form", 21);
	      DEFINE_STRING(BGl_string1795z00zzmodule_pragmaz00,
		BgL_bgl_string1795za700za7za7m1833za7, "predicate-of", 12);
	      DEFINE_STRING(BGl_string1796z00zzmodule_pragmaz00,
		BgL_bgl_string1796za700za7za7m1834za7, "Illegal \"predicate-of\" pragma",
		29);
	      DEFINE_STRING(BGl_string1797z00zzmodule_pragmaz00,
		BgL_bgl_string1797za700za7za7m1835za7, "effect", 6);
	      DEFINE_STRING(BGl_string1798z00zzmodule_pragmaz00,
		BgL_bgl_string1798za700za7za7m1836za7, "stack-allocator", 15);
	      DEFINE_STRING(BGl_string1799z00zzmodule_pragmaz00,
		BgL_bgl_string1799za700za7za7m1837za7, "Illegal \"pragma\" form (~a)", 26);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00,
		BgL_bgl_za762pragmaza7d2fina1838z00,
		BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_funzd2argszd2retescapezd2envzd2zzast_varz00;
	extern obj_t BGl_funzd2argszd2noescapezd2envzd2zzast_varz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_pragmaz00));
		     ADD_ROOT((void *) (&BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long
		BgL_checksumz00_2792, char *BgL_fromz00_2793)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_pragmaz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00();
					BGl_cnstzd2initzd2zzmodule_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00();
					return BGl_toplevelzd2initzd2zzmodule_pragmaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_pragma");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			{	/* Module/pragma.scm 15 */
				obj_t BgL_cportz00_2773;

				{	/* Module/pragma.scm 15 */
					obj_t BgL_stringz00_2780;

					BgL_stringz00_2780 = BGl_string1804z00zzmodule_pragmaz00;
					{	/* Module/pragma.scm 15 */
						obj_t BgL_startz00_2781;

						BgL_startz00_2781 = BINT(0L);
						{	/* Module/pragma.scm 15 */
							obj_t BgL_endz00_2782;

							BgL_endz00_2782 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2780)));
							{	/* Module/pragma.scm 15 */

								BgL_cportz00_2773 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2780, BgL_startz00_2781, BgL_endz00_2782);
				}}}}
				{
					long BgL_iz00_2774;

					BgL_iz00_2774 = 21L;
				BgL_loopz00_2775:
					if ((BgL_iz00_2774 == (-1L)))
						{	/* Module/pragma.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/pragma.scm 15 */
							{	/* Module/pragma.scm 15 */
								obj_t BgL_arg1810z00_2776;

								{	/* Module/pragma.scm 15 */

									{	/* Module/pragma.scm 15 */
										obj_t BgL_locationz00_2778;

										BgL_locationz00_2778 = BBOOL(((bool_t) 0));
										{	/* Module/pragma.scm 15 */

											BgL_arg1810z00_2776 =
												BGl_readz00zz__readerz00(BgL_cportz00_2773,
												BgL_locationz00_2778);
										}
									}
								}
								{	/* Module/pragma.scm 15 */
									int BgL_tmpz00_2821;

									BgL_tmpz00_2821 = (int) (BgL_iz00_2774);
									CNST_TABLE_SET(BgL_tmpz00_2821, BgL_arg1810z00_2776);
							}}
							{	/* Module/pragma.scm 15 */
								int BgL_auxz00_2779;

								BgL_auxz00_2779 = (int) ((BgL_iz00_2774 - 1L));
								{
									long BgL_iz00_2826;

									BgL_iz00_2826 = (long) (BgL_auxz00_2779);
									BgL_iz00_2774 = BgL_iz00_2826;
									goto BgL_loopz00_2775;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_pragmaz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1374;

					BgL_headz00_1374 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1375;
						obj_t BgL_tailz00_1376;

						BgL_prevz00_1375 = BgL_headz00_1374;
						BgL_tailz00_1376 = BgL_l1z00_1;
					BgL_loopz00_1377:
						if (PAIRP(BgL_tailz00_1376))
							{
								obj_t BgL_newzd2prevzd2_1379;

								BgL_newzd2prevzd2_1379 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1376), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1375, BgL_newzd2prevzd2_1379);
								{
									obj_t BgL_tailz00_2838;
									obj_t BgL_prevz00_2837;

									BgL_prevz00_2837 = BgL_newzd2prevzd2_1379;
									BgL_tailz00_2838 = CDR(BgL_tailz00_1376);
									BgL_tailz00_1376 = BgL_tailz00_2838;
									BgL_prevz00_1375 = BgL_prevz00_2837;
									goto BgL_loopz00_1377;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1374);
					}
				}
		}

	}



/* make-pragma-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 35 */
			{	/* Module/pragma.scm 36 */
				BgL_ccompz00_bglt BgL_new1104z00_1382;

				{	/* Module/pragma.scm 37 */
					BgL_ccompz00_bglt BgL_new1103z00_1387;

					BgL_new1103z00_1387 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/pragma.scm 37 */
						long BgL_arg1240z00_1388;

						BgL_arg1240z00_1388 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1103z00_1387), BgL_arg1240z00_1388);
					}
					BgL_new1104z00_1382 = BgL_new1103z00_1387;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1382))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1382))->BgL_producerz00) =
					((obj_t)
						BGl_pragmazd2producerzd2zzmodule_pragmaz00
						(BGl_za2moduleza2z00zzmodule_modulez00)), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1382))->BgL_consumerz00) =
					((obj_t) BGl_proc1779z00zzmodule_pragmaz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1104z00_1382))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_pragmazd2finaliza7erzd2envza7zzmodule_pragmaz00),
					BUNSPEC);
				return ((obj_t) BgL_new1104z00_1382);
			}
		}

	}



/* &make-pragma-compiler */
	obj_t BGl_z62makezd2pragmazd2compilerz62zzmodule_pragmaz00(obj_t
		BgL_envz00_2754)
	{
		{	/* Module/pragma.scm 35 */
			return BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
		}

	}



/* &<@anonymous:1237> */
	obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2755, obj_t BgL_mz00_2756, obj_t BgL_cz00_2757)
	{
		{	/* Module/pragma.scm 39 */
			{	/* Module/pragma.scm 39 */
				obj_t BgL_fun1239z00_2784;

				BgL_fun1239z00_2784 =
					BGl_pragmazd2producerzd2zzmodule_pragmaz00(BgL_mz00_2756);
				return BGL_PROCEDURE_CALL1(BgL_fun1239z00_2784, BgL_cz00_2757);
			}
		}

	}



/* pragma-producer */
	obj_t BGl_pragmazd2producerzd2zzmodule_pragmaz00(obj_t BgL_modulez00_3)
	{
		{	/* Module/pragma.scm 45 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_zc3z04anonymousza31241ze3z87_2759;

				BgL_zc3z04anonymousza31241ze3z87_2759 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza31241ze3ze5zzmodule_pragmaz00, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31241ze3z87_2759, (int) (0L),
					BgL_modulez00_3);
				return BgL_zc3z04anonymousza31241ze3z87_2759;
			}
		}

	}



/* &<@anonymous:1241> */
	obj_t BGl_z62zc3z04anonymousza31241ze3ze5zzmodule_pragmaz00(obj_t
		BgL_envz00_2760, obj_t BgL_clausez00_2762)
	{
		{	/* Module/pragma.scm 46 */
			{	/* Module/pragma.scm 46 */
				obj_t BgL_modulez00_2761;

				BgL_modulez00_2761 = PROCEDURE_REF(BgL_envz00_2760, (int) (0L));
				{
					obj_t BgL_protosz00_2788;

					if (PAIRP(BgL_clausez00_2762))
						{	/* Module/pragma.scm 46 */
							obj_t BgL_arg1244z00_2791;

							BgL_arg1244z00_2791 = CDR(((obj_t) BgL_clausez00_2762));
							BgL_protosz00_2788 = BgL_arg1244z00_2791;
							{
								obj_t BgL_l1225z00_2790;

								BgL_l1225z00_2790 = BgL_protosz00_2788;
							BgL_zc3z04anonymousza31245ze3z87_2789:
								if (PAIRP(BgL_l1225z00_2790))
									{	/* Module/pragma.scm 49 */
										BGl_pragmazd2parserzd2zzmodule_pragmaz00(CAR
											(BgL_l1225z00_2790), BgL_modulez00_2761,
											BgL_clausez00_2762);
										{
											obj_t BgL_l1225z00_2874;

											BgL_l1225z00_2874 = CDR(BgL_l1225z00_2790);
											BgL_l1225z00_2790 = BgL_l1225z00_2874;
											goto BgL_zc3z04anonymousza31245ze3z87_2789;
										}
									}
								else
									{	/* Module/pragma.scm 49 */
										((bool_t) 1);
									}
							}
							return BNIL;
						}
					else
						{	/* Module/pragma.scm 46 */
							{	/* Module/pragma.scm 54 */
								obj_t BgL_list1248z00_2787;

								BgL_list1248z00_2787 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00
									(BGl_string1780z00zzmodule_pragmaz00,
									BGl_string1781z00zzmodule_pragmaz00, BgL_clausez00_2762,
									BgL_list1248z00_2787);
							}
						}
				}
			}
		}

	}



/* pragma-parser */
	obj_t BGl_pragmazd2parserzd2zzmodule_pragmaz00(obj_t BgL_protoz00_4,
		obj_t BgL_modulez00_5, obj_t BgL_clausez00_6)
	{
		{	/* Module/pragma.scm 59 */
			{
				obj_t BgL_idz00_1405;
				obj_t BgL_propz00_1406;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/pragma.scm 60 */
						obj_t BgL_carzd2116zd2_1411;

						BgL_carzd2116zd2_1411 = CAR(((obj_t) BgL_protoz00_4));
						if (SYMBOLP(BgL_carzd2116zd2_1411))
							{	/* Module/pragma.scm 60 */
								obj_t BgL_arg1252z00_1413;

								BgL_arg1252z00_1413 = CDR(((obj_t) BgL_protoz00_4));
								BgL_idz00_1405 = BgL_carzd2116zd2_1411;
								BgL_propz00_1406 = BgL_arg1252z00_1413;
								{	/* Module/pragma.scm 63 */
									obj_t BgL_pragz00_1414;

									if (EPAIRP(BgL_protoz00_4))
										{	/* Module/pragma.scm 64 */
											obj_t BgL_arg1254z00_1416;
											obj_t BgL_arg1255z00_1417;

											{	/* Module/pragma.scm 64 */
												obj_t BgL_list1256z00_1418;

												{	/* Module/pragma.scm 64 */
													obj_t BgL_arg1258z00_1419;

													{	/* Module/pragma.scm 64 */
														obj_t BgL_arg1260z00_1420;

														BgL_arg1260z00_1420 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1258z00_1419 =
															MAKE_YOUNG_PAIR(BgL_propz00_1406,
															BgL_arg1260z00_1420);
													}
													BgL_list1256z00_1418 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1258z00_1419);
												}
												BgL_arg1254z00_1416 = BgL_list1256z00_1418;
											}
											BgL_arg1255z00_1417 = CER(((obj_t) BgL_protoz00_4));
											{	/* Module/pragma.scm 64 */
												obj_t BgL_res1750z00_1785;

												BgL_res1750z00_1785 =
													MAKE_YOUNG_EPAIR(BgL_idz00_1405, BgL_arg1254z00_1416,
													BgL_arg1255z00_1417);
												BgL_pragz00_1414 = BgL_res1750z00_1785;
											}
										}
									else
										{	/* Module/pragma.scm 65 */
											obj_t BgL_list1261z00_1421;

											{	/* Module/pragma.scm 65 */
												obj_t BgL_arg1262z00_1422;

												{	/* Module/pragma.scm 65 */
													obj_t BgL_arg1266z00_1423;

													{	/* Module/pragma.scm 65 */
														obj_t BgL_arg1267z00_1424;

														BgL_arg1267z00_1424 =
															MAKE_YOUNG_PAIR(BgL_clausez00_6, BNIL);
														BgL_arg1266z00_1423 =
															MAKE_YOUNG_PAIR(BgL_propz00_1406,
															BgL_arg1267z00_1424);
													}
													BgL_arg1262z00_1422 =
														MAKE_YOUNG_PAIR(BgL_modulez00_5,
														BgL_arg1266z00_1423);
												}
												BgL_list1261z00_1421 =
													MAKE_YOUNG_PAIR(BgL_idz00_1405, BgL_arg1262z00_1422);
											}
											BgL_pragz00_1414 = BgL_list1261z00_1421;
										}
									return (BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 =
										MAKE_YOUNG_PAIR(BgL_pragz00_1414,
											BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00), BUNSPEC);
								}
							}
						else
							{	/* Module/pragma.scm 60 */
							BgL_tagzd2110zd2_1408:
								{	/* Module/pragma.scm 68 */
									obj_t BgL_list1268z00_1425;

									BgL_list1268z00_1425 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1780z00zzmodule_pragmaz00,
										BGl_string1781z00zzmodule_pragmaz00, BgL_clausez00_6,
										BgL_list1268z00_1425);
								}
							}
					}
				else
					{	/* Module/pragma.scm 60 */
						goto BgL_tagzd2110zd2_1408;
					}
			}
		}

	}



/* pragma-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 78 */
			{
				obj_t BgL_l1227z00_1427;

				BgL_l1227z00_1427 = BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00;
			BgL_zc3z04anonymousza31269ze3z87_1428:
				if (PAIRP(BgL_l1227z00_1427))
					{	/* Module/pragma.scm 79 */
						{	/* Module/pragma.scm 80 */
							obj_t BgL_pragmaz00_1430;

							BgL_pragmaz00_1430 = CAR(BgL_l1227z00_1427);
							{
								obj_t BgL_idz00_1431;
								obj_t BgL_modulez00_1432;
								obj_t BgL_propza2za2_1433;
								obj_t BgL_clausez00_1434;

								if (PAIRP(BgL_pragmaz00_1430))
									{	/* Module/pragma.scm 80 */
										obj_t BgL_cdrzd2133zd2_1439;

										BgL_cdrzd2133zd2_1439 = CDR(((obj_t) BgL_pragmaz00_1430));
										if (PAIRP(BgL_cdrzd2133zd2_1439))
											{	/* Module/pragma.scm 80 */
												obj_t BgL_cdrzd2139zd2_1441;

												BgL_cdrzd2139zd2_1441 = CDR(BgL_cdrzd2133zd2_1439);
												if (PAIRP(BgL_cdrzd2139zd2_1441))
													{	/* Module/pragma.scm 80 */
														obj_t BgL_cdrzd2144zd2_1443;

														BgL_cdrzd2144zd2_1443 = CDR(BgL_cdrzd2139zd2_1441);
														if (PAIRP(BgL_cdrzd2144zd2_1443))
															{	/* Module/pragma.scm 80 */
																if (NULLP(CDR(BgL_cdrzd2144zd2_1443)))
																	{	/* Module/pragma.scm 80 */
																		obj_t BgL_arg1277z00_1447;
																		obj_t BgL_arg1279z00_1448;
																		obj_t BgL_arg1280z00_1449;
																		obj_t BgL_arg1281z00_1450;

																		BgL_arg1277z00_1447 =
																			CAR(((obj_t) BgL_pragmaz00_1430));
																		BgL_arg1279z00_1448 =
																			CAR(BgL_cdrzd2133zd2_1439);
																		BgL_arg1280z00_1449 =
																			CAR(BgL_cdrzd2139zd2_1441);
																		BgL_arg1281z00_1450 =
																			CAR(BgL_cdrzd2144zd2_1443);
																		BgL_idz00_1431 = BgL_arg1277z00_1447;
																		BgL_modulez00_1432 = BgL_arg1279z00_1448;
																		BgL_propza2za2_1433 = BgL_arg1280z00_1449;
																		BgL_clausez00_1434 = BgL_arg1281z00_1450;
																		{	/* Module/pragma.scm 82 */
																			obj_t BgL_globalz00_1452;

																			{	/* Module/pragma.scm 82 */
																				obj_t BgL_globalz00_1458;

																				BgL_globalz00_1458 =
																					BGl_findzd2globalzf2modulez20zzast_envz00
																					(BgL_idz00_1431, BgL_modulez00_1432);
																				{	/* Module/pragma.scm 83 */
																					bool_t BgL_test1858z00_2925;

																					{	/* Module/pragma.scm 83 */
																						obj_t BgL_classz00_1790;

																						BgL_classz00_1790 =
																							BGl_globalz00zzast_varz00;
																						if (BGL_OBJECTP(BgL_globalz00_1458))
																							{	/* Module/pragma.scm 83 */
																								BgL_objectz00_bglt
																									BgL_arg1858z00_1792;
																								BgL_arg1858z00_1792 =
																									(BgL_objectz00_bglt)
																									(BgL_globalz00_1458);
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Module/pragma.scm 83 */
																										long BgL_idxz00_1798;

																										BgL_idxz00_1798 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1858z00_1792);
																										BgL_test1858z00_2925 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_1798 +
																													2L)) ==
																											BgL_classz00_1790);
																									}
																								else
																									{	/* Module/pragma.scm 83 */
																										bool_t BgL_res1752z00_1823;

																										{	/* Module/pragma.scm 83 */
																											obj_t BgL_oclassz00_1806;

																											{	/* Module/pragma.scm 83 */
																												obj_t
																													BgL_arg1866z00_1814;
																												long
																													BgL_arg1867z00_1815;
																												BgL_arg1866z00_1814 =
																													(BGl_za2classesza2z00zz__objectz00);
																												{	/* Module/pragma.scm 83 */
																													long
																														BgL_arg1869z00_1816;
																													BgL_arg1869z00_1816 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1858z00_1792);
																													BgL_arg1867z00_1815 =
																														(BgL_arg1869z00_1816
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_1806 =
																													VECTOR_REF
																													(BgL_arg1866z00_1814,
																													BgL_arg1867z00_1815);
																											}
																											{	/* Module/pragma.scm 83 */
																												bool_t
																													BgL__ortest_1115z00_1807;
																												BgL__ortest_1115z00_1807
																													=
																													(BgL_classz00_1790 ==
																													BgL_oclassz00_1806);
																												if (BgL__ortest_1115z00_1807)
																													{	/* Module/pragma.scm 83 */
																														BgL_res1752z00_1823
																															=
																															BgL__ortest_1115z00_1807;
																													}
																												else
																													{	/* Module/pragma.scm 83 */
																														long
																															BgL_odepthz00_1808;
																														{	/* Module/pragma.scm 83 */
																															obj_t
																																BgL_arg1855z00_1809;
																															BgL_arg1855z00_1809
																																=
																																(BgL_oclassz00_1806);
																															BgL_odepthz00_1808
																																=
																																BGL_CLASS_DEPTH
																																(BgL_arg1855z00_1809);
																														}
																														if (
																															(2L <
																																BgL_odepthz00_1808))
																															{	/* Module/pragma.scm 83 */
																																obj_t
																																	BgL_arg1853z00_1811;
																																{	/* Module/pragma.scm 83 */
																																	obj_t
																																		BgL_arg1854z00_1812;
																																	BgL_arg1854z00_1812
																																		=
																																		(BgL_oclassz00_1806);
																																	BgL_arg1853z00_1811
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_arg1854z00_1812,
																																		2L);
																																}
																																BgL_res1752z00_1823
																																	=
																																	(BgL_arg1853z00_1811
																																	==
																																	BgL_classz00_1790);
																															}
																														else
																															{	/* Module/pragma.scm 83 */
																																BgL_res1752z00_1823
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test1858z00_2925 =
																											BgL_res1752z00_1823;
																									}
																							}
																						else
																							{	/* Module/pragma.scm 83 */
																								BgL_test1858z00_2925 =
																									((bool_t) 0);
																							}
																					}
																					if (BgL_test1858z00_2925)
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1452 =
																								BgL_globalz00_1458;
																						}
																					else
																						{	/* Module/pragma.scm 83 */
																							BgL_globalz00_1452 =
																								BGl_findzd2globalzf2modulez20zzast_envz00
																								(BgL_idz00_1431,
																								((obj_t) CNST_TABLE_REF(1)));
																						}
																				}
																			}
																			{	/* Module/pragma.scm 86 */
																				bool_t BgL_test1864z00_2951;

																				{	/* Module/pragma.scm 86 */
																					obj_t BgL_classz00_1824;

																					BgL_classz00_1824 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_globalz00_1452))
																						{	/* Module/pragma.scm 86 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_1826;
																							BgL_arg1858z00_1826 =
																								(BgL_objectz00_bglt)
																								(BgL_globalz00_1452);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Module/pragma.scm 86 */
																									long BgL_idxz00_1832;

																									BgL_idxz00_1832 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_1826);
																									BgL_test1864z00_2951 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_1832 + 2L)) ==
																										BgL_classz00_1824);
																								}
																							else
																								{	/* Module/pragma.scm 86 */
																									bool_t BgL_res1753z00_1857;

																									{	/* Module/pragma.scm 86 */
																										obj_t BgL_oclassz00_1840;

																										{	/* Module/pragma.scm 86 */
																											obj_t BgL_arg1866z00_1848;
																											long BgL_arg1867z00_1849;

																											BgL_arg1866z00_1848 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Module/pragma.scm 86 */
																												long
																													BgL_arg1869z00_1850;
																												BgL_arg1869z00_1850 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_1826);
																												BgL_arg1867z00_1849 =
																													(BgL_arg1869z00_1850 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_1840 =
																												VECTOR_REF
																												(BgL_arg1866z00_1848,
																												BgL_arg1867z00_1849);
																										}
																										{	/* Module/pragma.scm 86 */
																											bool_t
																												BgL__ortest_1115z00_1841;
																											BgL__ortest_1115z00_1841 =
																												(BgL_classz00_1824 ==
																												BgL_oclassz00_1840);
																											if (BgL__ortest_1115z00_1841)
																												{	/* Module/pragma.scm 86 */
																													BgL_res1753z00_1857 =
																														BgL__ortest_1115z00_1841;
																												}
																											else
																												{	/* Module/pragma.scm 86 */
																													long
																														BgL_odepthz00_1842;
																													{	/* Module/pragma.scm 86 */
																														obj_t
																															BgL_arg1855z00_1843;
																														BgL_arg1855z00_1843
																															=
																															(BgL_oclassz00_1840);
																														BgL_odepthz00_1842 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_1843);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_1842))
																														{	/* Module/pragma.scm 86 */
																															obj_t
																																BgL_arg1853z00_1845;
																															{	/* Module/pragma.scm 86 */
																																obj_t
																																	BgL_arg1854z00_1846;
																																BgL_arg1854z00_1846
																																	=
																																	(BgL_oclassz00_1840);
																																BgL_arg1853z00_1845
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_1846,
																																	2L);
																															}
																															BgL_res1753z00_1857
																																=
																																(BgL_arg1853z00_1845
																																==
																																BgL_classz00_1824);
																														}
																													else
																														{	/* Module/pragma.scm 86 */
																															BgL_res1753z00_1857
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test1864z00_2951 =
																										BgL_res1753z00_1857;
																								}
																						}
																					else
																						{	/* Module/pragma.scm 86 */
																							BgL_test1864z00_2951 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test1864z00_2951)
																					{	/* Module/pragma.scm 86 */
																						BBOOL
																							(BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00
																							(BgL_globalz00_1452,
																								BgL_propza2za2_1433,
																								BgL_clausez00_1434));
																					}
																				else
																					{	/* Module/pragma.scm 86 */
																						if (
																							(BgL_modulez00_1432 ==
																								BGl_za2moduleza2z00zzmodule_modulez00))
																							{	/* Module/pragma.scm 89 */
																								obj_t BgL_arg1284z00_1454;
																								obj_t BgL_arg1285z00_1455;

																								BgL_arg1284z00_1454 =
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_pragmaz00_1430);
																								{	/* Module/pragma.scm 92 */
																									obj_t BgL_arg1287z00_1456;

																									{	/* Module/pragma.scm 92 */
																										obj_t BgL_arg1288z00_1457;

																										BgL_arg1288z00_1457 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1432,
																											BNIL);
																										BgL_arg1287z00_1456 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1431,
																											BgL_arg1288z00_1457);
																									}
																									BgL_arg1285z00_1455 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											CNST_TABLE_REF(2)),
																										BgL_arg1287z00_1456);
																								}
																								BGl_userzd2warningzf2locationz20zztools_errorz00
																									(BgL_arg1284z00_1454,
																									BGl_string1780z00zzmodule_pragmaz00,
																									BGl_string1782z00zzmodule_pragmaz00,
																									BgL_arg1285z00_1455);
																							}
																						else
																							{	/* Module/pragma.scm 87 */
																								BFALSE;
																							}
																					}
																			}
																		}
																	}
																else
																	{	/* Module/pragma.scm 80 */
																	BgL_tagzd2122zd2_1436:
																		BGl_internalzd2errorzd2zztools_errorz00
																			(BGl_string1783z00zzmodule_pragmaz00,
																			BGl_string1784z00zzmodule_pragmaz00,
																			BgL_pragmaz00_1430);
																	}
															}
														else
															{	/* Module/pragma.scm 80 */
																goto BgL_tagzd2122zd2_1436;
															}
													}
												else
													{	/* Module/pragma.scm 80 */
														goto BgL_tagzd2122zd2_1436;
													}
											}
										else
											{	/* Module/pragma.scm 80 */
												goto BgL_tagzd2122zd2_1436;
											}
									}
								else
									{	/* Module/pragma.scm 80 */
										goto BgL_tagzd2122zd2_1436;
									}
							}
						}
						{
							obj_t BgL_l1227z00_2986;

							BgL_l1227z00_2986 = CDR(BgL_l1227z00_1427);
							BgL_l1227z00_1427 = BgL_l1227z00_2986;
							goto BgL_zc3z04anonymousza31269ze3z87_1428;
						}
					}
				else
					{	/* Module/pragma.scm 79 */
						((bool_t) 1);
					}
			}
			BGl_za2pragmazd2listza2zd2zzmodule_pragmaz00 = BNIL;
			return ((obj_t) CNST_TABLE_REF(3));
		}

	}



/* &pragma-finalizer */
	obj_t BGl_z62pragmazd2finaliza7erz17zzmodule_pragmaz00(obj_t BgL_envz00_2758)
	{
		{	/* Module/pragma.scm 78 */
			return BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
		}

	}



/* set-pragma-properties! */
	bool_t BGl_setzd2pragmazd2propertiesz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_7, obj_t BgL_propza2za2_8, obj_t BgL_clausez00_9)
	{
		{	/* Module/pragma.scm 105 */
			{
				obj_t BgL_l1229z00_1463;

				BgL_l1229z00_1463 = BgL_propza2za2_8;
			BgL_zc3z04anonymousza31292ze3z87_1464:
				if (PAIRP(BgL_l1229z00_1463))
					{	/* Module/pragma.scm 106 */
						BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(BgL_globalz00_7,
							CAR(BgL_l1229z00_1463), BgL_clausez00_9);
						{
							obj_t BgL_l1229z00_2995;

							BgL_l1229z00_2995 = CDR(BgL_l1229z00_1463);
							BgL_l1229z00_1463 = BgL_l1229z00_2995;
							goto BgL_zc3z04anonymousza31292ze3z87_1464;
						}
					}
				else
					{	/* Module/pragma.scm 106 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* sfun-error */
	obj_t BGl_sfunzd2errorzd2zzmodule_pragmaz00(obj_t BgL_pz00_10,
		BgL_globalz00_bglt BgL_gz00_11)
	{
		{	/* Module/pragma.scm 113 */
			if (CBOOL(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
				{	/* Module/pragma.scm 114 */
					return BFALSE;
				}
			else
				{	/* Module/pragma.scm 115 */
					obj_t BgL_arg1295z00_1469;
					obj_t BgL_arg1296z00_1470;

					BgL_arg1295z00_1469 =
						string_append_3(BGl_string1785z00zzmodule_pragmaz00, BgL_pz00_10,
						BGl_string1786z00zzmodule_pragmaz00);
					BgL_arg1296z00_1470 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_gz00_11));
					{	/* Module/pragma.scm 115 */
						obj_t BgL_list1297z00_1471;

						BgL_list1297z00_1471 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1295z00_1469,
							BGl_string1787z00zzmodule_pragmaz00, BgL_arg1296z00_1470,
							BgL_list1297z00_1471);
					}
				}
		}

	}



/* set-pragma-property! */
	obj_t BGl_setzd2pragmazd2propertyz12z12zzmodule_pragmaz00(obj_t
		BgL_globalz00_12, obj_t BgL_propz00_13, obj_t BgL_clausez00_14)
	{
		{	/* Module/pragma.scm 123 */
			{
				obj_t BgL_keyz00_1473;
				obj_t BgL_valz00_1474;

				if (SYMBOLP(BgL_propz00_13))
					{	/* Module/pragma.scm 124 */
						if ((BgL_propz00_13 == ((obj_t) CNST_TABLE_REF(4))))
							{	/* Module/pragma.scm 129 */
								BgL_valuez00_bglt BgL_valz00_1485;

								BgL_valz00_1485 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_12))))->
									BgL_valuez00);
								{	/* Module/pragma.scm 130 */
									bool_t BgL_test1875z00_3013;

									{	/* Module/pragma.scm 130 */
										obj_t BgL_classz00_1871;

										BgL_classz00_1871 = BGl_funz00zzast_varz00;
										{	/* Module/pragma.scm 130 */
											BgL_objectz00_bglt BgL_arg1858z00_1873;

											{	/* Module/pragma.scm 130 */
												obj_t BgL_tmpz00_3014;

												BgL_tmpz00_3014 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1485));
												BgL_arg1858z00_1873 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3014);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Module/pragma.scm 130 */
													long BgL_idxz00_1879;

													BgL_idxz00_1879 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1873);
													BgL_test1875z00_3013 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1879 + 2L)) == BgL_classz00_1871);
												}
											else
												{	/* Module/pragma.scm 130 */
													bool_t BgL_res1754z00_1904;

													{	/* Module/pragma.scm 130 */
														obj_t BgL_oclassz00_1887;

														{	/* Module/pragma.scm 130 */
															obj_t BgL_arg1866z00_1895;
															long BgL_arg1867z00_1896;

															BgL_arg1866z00_1895 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Module/pragma.scm 130 */
																long BgL_arg1869z00_1897;

																BgL_arg1869z00_1897 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1873);
																BgL_arg1867z00_1896 =
																	(BgL_arg1869z00_1897 - OBJECT_TYPE);
															}
															BgL_oclassz00_1887 =
																VECTOR_REF(BgL_arg1866z00_1895,
																BgL_arg1867z00_1896);
														}
														{	/* Module/pragma.scm 130 */
															bool_t BgL__ortest_1115z00_1888;

															BgL__ortest_1115z00_1888 =
																(BgL_classz00_1871 == BgL_oclassz00_1887);
															if (BgL__ortest_1115z00_1888)
																{	/* Module/pragma.scm 130 */
																	BgL_res1754z00_1904 =
																		BgL__ortest_1115z00_1888;
																}
															else
																{	/* Module/pragma.scm 130 */
																	long BgL_odepthz00_1889;

																	{	/* Module/pragma.scm 130 */
																		obj_t BgL_arg1855z00_1890;

																		BgL_arg1855z00_1890 = (BgL_oclassz00_1887);
																		BgL_odepthz00_1889 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1890);
																	}
																	if ((2L < BgL_odepthz00_1889))
																		{	/* Module/pragma.scm 130 */
																			obj_t BgL_arg1853z00_1892;

																			{	/* Module/pragma.scm 130 */
																				obj_t BgL_arg1854z00_1893;

																				BgL_arg1854z00_1893 =
																					(BgL_oclassz00_1887);
																				BgL_arg1853z00_1892 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1893, 2L);
																			}
																			BgL_res1754z00_1904 =
																				(BgL_arg1853z00_1892 ==
																				BgL_classz00_1871);
																		}
																	else
																		{	/* Module/pragma.scm 130 */
																			BgL_res1754z00_1904 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1875z00_3013 = BgL_res1754z00_1904;
												}
										}
									}
									if (BgL_test1875z00_3013)
										{	/* Module/pragma.scm 130 */
											return
												((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt) BgL_valz00_1485)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Module/pragma.scm 130 */
											return
												BGl_sfunzd2errorzd2zzmodule_pragmaz00
												(BGl_string1788z00zzmodule_pragmaz00,
												((BgL_globalz00_bglt) BgL_globalz00_12));
										}
								}
							}
						else
							{	/* Module/pragma.scm 126 */
								if ((BgL_propz00_13 == ((obj_t) CNST_TABLE_REF(5))))
									{	/* Module/pragma.scm 135 */
										BgL_valuez00_bglt BgL_valz00_1488;

										BgL_valz00_1488 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_12))))->
											BgL_valuez00);
										{	/* Module/pragma.scm 136 */
											bool_t BgL_test1881z00_3048;

											{	/* Module/pragma.scm 136 */
												obj_t BgL_classz00_1908;

												BgL_classz00_1908 = BGl_funz00zzast_varz00;
												{	/* Module/pragma.scm 136 */
													BgL_objectz00_bglt BgL_arg1858z00_1910;

													{	/* Module/pragma.scm 136 */
														obj_t BgL_tmpz00_3049;

														BgL_tmpz00_3049 =
															((obj_t) ((BgL_objectz00_bglt) BgL_valz00_1488));
														BgL_arg1858z00_1910 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3049);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Module/pragma.scm 136 */
															long BgL_idxz00_1916;

															BgL_idxz00_1916 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1910);
															BgL_test1881z00_3048 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_1916 + 2L)) == BgL_classz00_1908);
														}
													else
														{	/* Module/pragma.scm 136 */
															bool_t BgL_res1755z00_1941;

															{	/* Module/pragma.scm 136 */
																obj_t BgL_oclassz00_1924;

																{	/* Module/pragma.scm 136 */
																	obj_t BgL_arg1866z00_1932;
																	long BgL_arg1867z00_1933;

																	BgL_arg1866z00_1932 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Module/pragma.scm 136 */
																		long BgL_arg1869z00_1934;

																		BgL_arg1869z00_1934 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1910);
																		BgL_arg1867z00_1933 =
																			(BgL_arg1869z00_1934 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_1924 =
																		VECTOR_REF(BgL_arg1866z00_1932,
																		BgL_arg1867z00_1933);
																}
																{	/* Module/pragma.scm 136 */
																	bool_t BgL__ortest_1115z00_1925;

																	BgL__ortest_1115z00_1925 =
																		(BgL_classz00_1908 == BgL_oclassz00_1924);
																	if (BgL__ortest_1115z00_1925)
																		{	/* Module/pragma.scm 136 */
																			BgL_res1755z00_1941 =
																				BgL__ortest_1115z00_1925;
																		}
																	else
																		{	/* Module/pragma.scm 136 */
																			long BgL_odepthz00_1926;

																			{	/* Module/pragma.scm 136 */
																				obj_t BgL_arg1855z00_1927;

																				BgL_arg1855z00_1927 =
																					(BgL_oclassz00_1924);
																				BgL_odepthz00_1926 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_1927);
																			}
																			if ((2L < BgL_odepthz00_1926))
																				{	/* Module/pragma.scm 136 */
																					obj_t BgL_arg1853z00_1929;

																					{	/* Module/pragma.scm 136 */
																						obj_t BgL_arg1854z00_1930;

																						BgL_arg1854z00_1930 =
																							(BgL_oclassz00_1924);
																						BgL_arg1853z00_1929 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_1930, 2L);
																					}
																					BgL_res1755z00_1941 =
																						(BgL_arg1853z00_1929 ==
																						BgL_classz00_1908);
																				}
																			else
																				{	/* Module/pragma.scm 136 */
																					BgL_res1755z00_1941 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1881z00_3048 = BgL_res1755z00_1941;
														}
												}
											}
											if (BgL_test1881z00_3048)
												{	/* Module/pragma.scm 136 */
													return
														((((BgL_funz00_bglt) COBJECT(
																	((BgL_funz00_bglt) BgL_valz00_1488)))->
															BgL_topzf3zf3) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
												}
											else
												{	/* Module/pragma.scm 136 */
													return
														BGl_sfunzd2errorzd2zzmodule_pragmaz00
														(BGl_string1789z00zzmodule_pragmaz00,
														((BgL_globalz00_bglt) BgL_globalz00_12));
												}
										}
									}
								else
									{	/* Module/pragma.scm 126 */
										if ((BgL_propz00_13 == ((obj_t) CNST_TABLE_REF(6))))
											{	/* Module/pragma.scm 142 */
												BgL_valuez00_bglt BgL_valz00_1491;

												BgL_valz00_1491 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_12))))->
													BgL_valuez00);
												{	/* Module/pragma.scm 143 */
													bool_t BgL_test1887z00_3083;

													{	/* Module/pragma.scm 143 */
														obj_t BgL_classz00_1946;

														BgL_classz00_1946 = BGl_funz00zzast_varz00;
														{	/* Module/pragma.scm 143 */
															BgL_objectz00_bglt BgL_arg1858z00_1948;

															{	/* Module/pragma.scm 143 */
																obj_t BgL_tmpz00_3084;

																BgL_tmpz00_3084 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valz00_1491));
																BgL_arg1858z00_1948 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3084);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/pragma.scm 143 */
																	long BgL_idxz00_1954;

																	BgL_idxz00_1954 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_1948);
																	BgL_test1887z00_3083 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1954 + 2L)) ==
																		BgL_classz00_1946);
																}
															else
																{	/* Module/pragma.scm 143 */
																	bool_t BgL_res1756z00_1979;

																	{	/* Module/pragma.scm 143 */
																		obj_t BgL_oclassz00_1962;

																		{	/* Module/pragma.scm 143 */
																			obj_t BgL_arg1866z00_1970;
																			long BgL_arg1867z00_1971;

																			BgL_arg1866z00_1970 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Module/pragma.scm 143 */
																				long BgL_arg1869z00_1972;

																				BgL_arg1869z00_1972 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_1948);
																				BgL_arg1867z00_1971 =
																					(BgL_arg1869z00_1972 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1962 =
																				VECTOR_REF(BgL_arg1866z00_1970,
																				BgL_arg1867z00_1971);
																		}
																		{	/* Module/pragma.scm 143 */
																			bool_t BgL__ortest_1115z00_1963;

																			BgL__ortest_1115z00_1963 =
																				(BgL_classz00_1946 ==
																				BgL_oclassz00_1962);
																			if (BgL__ortest_1115z00_1963)
																				{	/* Module/pragma.scm 143 */
																					BgL_res1756z00_1979 =
																						BgL__ortest_1115z00_1963;
																				}
																			else
																				{	/* Module/pragma.scm 143 */
																					long BgL_odepthz00_1964;

																					{	/* Module/pragma.scm 143 */
																						obj_t BgL_arg1855z00_1965;

																						BgL_arg1855z00_1965 =
																							(BgL_oclassz00_1962);
																						BgL_odepthz00_1964 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_1965);
																					}
																					if ((2L < BgL_odepthz00_1964))
																						{	/* Module/pragma.scm 143 */
																							obj_t BgL_arg1853z00_1967;

																							{	/* Module/pragma.scm 143 */
																								obj_t BgL_arg1854z00_1968;

																								BgL_arg1854z00_1968 =
																									(BgL_oclassz00_1962);
																								BgL_arg1853z00_1967 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_1968, 2L);
																							}
																							BgL_res1756z00_1979 =
																								(BgL_arg1853z00_1967 ==
																								BgL_classz00_1946);
																						}
																					else
																						{	/* Module/pragma.scm 143 */
																							BgL_res1756z00_1979 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1887z00_3083 = BgL_res1756z00_1979;
																}
														}
													}
													if (BgL_test1887z00_3083)
														{	/* Module/pragma.scm 145 */
															obj_t BgL_arg1313z00_1493;

															{	/* Module/pragma.scm 145 */
																obj_t BgL_arg1314z00_1494;

																BgL_arg1314z00_1494 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1491)))->
																	BgL_propertyz00);
																BgL_arg1313z00_1493 =
																	MAKE_YOUNG_PAIR(BgL_propz00_13,
																	BgL_arg1314z00_1494);
															}
															return
																((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valz00_1491)))->
																	BgL_propertyz00) =
																((obj_t) BgL_arg1313z00_1493), BUNSPEC);
														}
													else
														{	/* Module/pragma.scm 143 */
															return
																BGl_sfunzd2errorzd2zzmodule_pragmaz00
																(BGl_string1790z00zzmodule_pragmaz00,
																((BgL_globalz00_bglt) BgL_globalz00_12));
														}
												}
											}
										else
											{	/* Module/pragma.scm 126 */
												if ((BgL_propz00_13 == ((obj_t) CNST_TABLE_REF(7))))
													{	/* Module/pragma.scm 149 */
														BgL_valuez00_bglt BgL_valz00_1496;

														BgL_valz00_1496 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 150 */
															bool_t BgL_test1892z00_3121;

															{	/* Module/pragma.scm 150 */
																obj_t BgL_classz00_1984;

																BgL_classz00_1984 = BGl_sfunz00zzast_varz00;
																{	/* Module/pragma.scm 150 */
																	BgL_objectz00_bglt BgL_arg1858z00_1986;

																	{	/* Module/pragma.scm 150 */
																		obj_t BgL_tmpz00_3122;

																		BgL_tmpz00_3122 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valz00_1496));
																		BgL_arg1858z00_1986 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3122);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 150 */
																			long BgL_idxz00_1992;

																			BgL_idxz00_1992 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1986);
																			BgL_test1892z00_3121 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1992 + 3L)) ==
																				BgL_classz00_1984);
																		}
																	else
																		{	/* Module/pragma.scm 150 */
																			bool_t BgL_res1757z00_2017;

																			{	/* Module/pragma.scm 150 */
																				obj_t BgL_oclassz00_2000;

																				{	/* Module/pragma.scm 150 */
																					obj_t BgL_arg1866z00_2008;
																					long BgL_arg1867z00_2009;

																					BgL_arg1866z00_2008 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/pragma.scm 150 */
																						long BgL_arg1869z00_2010;

																						BgL_arg1869z00_2010 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1986);
																						BgL_arg1867z00_2009 =
																							(BgL_arg1869z00_2010 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2000 =
																						VECTOR_REF(BgL_arg1866z00_2008,
																						BgL_arg1867z00_2009);
																				}
																				{	/* Module/pragma.scm 150 */
																					bool_t BgL__ortest_1115z00_2001;

																					BgL__ortest_1115z00_2001 =
																						(BgL_classz00_1984 ==
																						BgL_oclassz00_2000);
																					if (BgL__ortest_1115z00_2001)
																						{	/* Module/pragma.scm 150 */
																							BgL_res1757z00_2017 =
																								BgL__ortest_1115z00_2001;
																						}
																					else
																						{	/* Module/pragma.scm 150 */
																							long BgL_odepthz00_2002;

																							{	/* Module/pragma.scm 150 */
																								obj_t BgL_arg1855z00_2003;

																								BgL_arg1855z00_2003 =
																									(BgL_oclassz00_2000);
																								BgL_odepthz00_2002 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2003);
																							}
																							if ((3L < BgL_odepthz00_2002))
																								{	/* Module/pragma.scm 150 */
																									obj_t BgL_arg1853z00_2005;

																									{	/* Module/pragma.scm 150 */
																										obj_t BgL_arg1854z00_2006;

																										BgL_arg1854z00_2006 =
																											(BgL_oclassz00_2000);
																										BgL_arg1853z00_2005 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2006, 3L);
																									}
																									BgL_res1757z00_2017 =
																										(BgL_arg1853z00_2005 ==
																										BgL_classz00_1984);
																								}
																							else
																								{	/* Module/pragma.scm 150 */
																									BgL_res1757z00_2017 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1892z00_3121 =
																				BgL_res1757z00_2017;
																		}
																}
															}
															if (BgL_test1892z00_3121)
																{	/* Module/pragma.scm 152 */
																	obj_t BgL_arg1317z00_1498;

																	{	/* Module/pragma.scm 152 */
																		obj_t BgL_arg1318z00_1499;

																		BgL_arg1318z00_1499 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1496)))->
																			BgL_propertyz00);
																		BgL_arg1317z00_1498 =
																			MAKE_YOUNG_PAIR(BgL_propz00_13,
																			BgL_arg1318z00_1499);
																	}
																	return
																		((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1496)))->
																			BgL_propertyz00) =
																		((obj_t) BgL_arg1317z00_1498), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 150 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1791z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 126 */
														if ((BgL_propz00_13 == ((obj_t) CNST_TABLE_REF(8))))
															{	/* Module/pragma.scm 154 */
																BgL_valuez00_bglt BgL_valz00_1501;

																BgL_valz00_1501 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 155 */
																	bool_t BgL_test1897z00_3159;

																	{	/* Module/pragma.scm 155 */
																		obj_t BgL_classz00_2022;

																		BgL_classz00_2022 = BGl_sfunz00zzast_varz00;
																		{	/* Module/pragma.scm 155 */
																			BgL_objectz00_bglt BgL_arg1858z00_2024;

																			{	/* Module/pragma.scm 155 */
																				obj_t BgL_tmpz00_3160;

																				BgL_tmpz00_3160 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valz00_1501));
																				BgL_arg1858z00_2024 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3160);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/pragma.scm 155 */
																					long BgL_idxz00_2030;

																					BgL_idxz00_2030 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2024);
																					BgL_test1897z00_3159 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2030 + 3L)) ==
																						BgL_classz00_2022);
																				}
																			else
																				{	/* Module/pragma.scm 155 */
																					bool_t BgL_res1758z00_2055;

																					{	/* Module/pragma.scm 155 */
																						obj_t BgL_oclassz00_2038;

																						{	/* Module/pragma.scm 155 */
																							obj_t BgL_arg1866z00_2046;
																							long BgL_arg1867z00_2047;

																							BgL_arg1866z00_2046 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/pragma.scm 155 */
																								long BgL_arg1869z00_2048;

																								BgL_arg1869z00_2048 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2024);
																								BgL_arg1867z00_2047 =
																									(BgL_arg1869z00_2048 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2038 =
																								VECTOR_REF(BgL_arg1866z00_2046,
																								BgL_arg1867z00_2047);
																						}
																						{	/* Module/pragma.scm 155 */
																							bool_t BgL__ortest_1115z00_2039;

																							BgL__ortest_1115z00_2039 =
																								(BgL_classz00_2022 ==
																								BgL_oclassz00_2038);
																							if (BgL__ortest_1115z00_2039)
																								{	/* Module/pragma.scm 155 */
																									BgL_res1758z00_2055 =
																										BgL__ortest_1115z00_2039;
																								}
																							else
																								{	/* Module/pragma.scm 155 */
																									long BgL_odepthz00_2040;

																									{	/* Module/pragma.scm 155 */
																										obj_t BgL_arg1855z00_2041;

																										BgL_arg1855z00_2041 =
																											(BgL_oclassz00_2038);
																										BgL_odepthz00_2040 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2041);
																									}
																									if ((3L < BgL_odepthz00_2040))
																										{	/* Module/pragma.scm 155 */
																											obj_t BgL_arg1853z00_2043;

																											{	/* Module/pragma.scm 155 */
																												obj_t
																													BgL_arg1854z00_2044;
																												BgL_arg1854z00_2044 =
																													(BgL_oclassz00_2038);
																												BgL_arg1853z00_2043 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2044,
																													3L);
																											}
																											BgL_res1758z00_2055 =
																												(BgL_arg1853z00_2043 ==
																												BgL_classz00_2022);
																										}
																									else
																										{	/* Module/pragma.scm 155 */
																											BgL_res1758z00_2055 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1897z00_3159 =
																						BgL_res1758z00_2055;
																				}
																		}
																	}
																	if (BgL_test1897z00_3159)
																		{	/* Module/pragma.scm 157 */
																			obj_t BgL_arg1321z00_1503;

																			{	/* Module/pragma.scm 157 */
																				obj_t BgL_arg1322z00_1504;

																				BgL_arg1322z00_1504 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1501)))->
																					BgL_propertyz00);
																				BgL_arg1321z00_1503 =
																					MAKE_YOUNG_PAIR(BgL_propz00_13,
																					BgL_arg1322z00_1504);
																			}
																			return
																				((((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_valz00_1501)))->
																					BgL_propertyz00) =
																				((obj_t) BgL_arg1321z00_1503), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 155 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1792z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 126 */
																if (
																	(BgL_propz00_13 ==
																		((obj_t) CNST_TABLE_REF(9))))
																	{	/* Module/pragma.scm 159 */
																		BgL_valuez00_bglt BgL_valz00_1506;

																		BgL_valz00_1506 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_globalz00_12))))->
																			BgL_valuez00);
																		{	/* Module/pragma.scm 160 */
																			bool_t BgL_test1902z00_3197;

																			{	/* Module/pragma.scm 160 */
																				obj_t BgL_classz00_2060;

																				BgL_classz00_2060 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Module/pragma.scm 160 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2062;
																					{	/* Module/pragma.scm 160 */
																						obj_t BgL_tmpz00_3198;

																						BgL_tmpz00_3198 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1506));
																						BgL_arg1858z00_2062 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_3198);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Module/pragma.scm 160 */
																							long BgL_idxz00_2068;

																							BgL_idxz00_2068 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2062);
																							BgL_test1902z00_3197 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2068 + 3L)) ==
																								BgL_classz00_2060);
																						}
																					else
																						{	/* Module/pragma.scm 160 */
																							bool_t BgL_res1759z00_2093;

																							{	/* Module/pragma.scm 160 */
																								obj_t BgL_oclassz00_2076;

																								{	/* Module/pragma.scm 160 */
																									obj_t BgL_arg1866z00_2084;
																									long BgL_arg1867z00_2085;

																									BgL_arg1866z00_2084 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Module/pragma.scm 160 */
																										long BgL_arg1869z00_2086;

																										BgL_arg1869z00_2086 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2062);
																										BgL_arg1867z00_2085 =
																											(BgL_arg1869z00_2086 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2076 =
																										VECTOR_REF
																										(BgL_arg1866z00_2084,
																										BgL_arg1867z00_2085);
																								}
																								{	/* Module/pragma.scm 160 */
																									bool_t
																										BgL__ortest_1115z00_2077;
																									BgL__ortest_1115z00_2077 =
																										(BgL_classz00_2060 ==
																										BgL_oclassz00_2076);
																									if (BgL__ortest_1115z00_2077)
																										{	/* Module/pragma.scm 160 */
																											BgL_res1759z00_2093 =
																												BgL__ortest_1115z00_2077;
																										}
																									else
																										{	/* Module/pragma.scm 160 */
																											long BgL_odepthz00_2078;

																											{	/* Module/pragma.scm 160 */
																												obj_t
																													BgL_arg1855z00_2079;
																												BgL_arg1855z00_2079 =
																													(BgL_oclassz00_2076);
																												BgL_odepthz00_2078 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2079);
																											}
																											if (
																												(3L <
																													BgL_odepthz00_2078))
																												{	/* Module/pragma.scm 160 */
																													obj_t
																														BgL_arg1853z00_2081;
																													{	/* Module/pragma.scm 160 */
																														obj_t
																															BgL_arg1854z00_2082;
																														BgL_arg1854z00_2082
																															=
																															(BgL_oclassz00_2076);
																														BgL_arg1853z00_2081
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2082,
																															3L);
																													}
																													BgL_res1759z00_2093 =
																														(BgL_arg1853z00_2081
																														==
																														BgL_classz00_2060);
																												}
																											else
																												{	/* Module/pragma.scm 160 */
																													BgL_res1759z00_2093 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1902z00_3197 =
																								BgL_res1759z00_2093;
																						}
																				}
																			}
																			if (BgL_test1902z00_3197)
																				{	/* Module/pragma.scm 162 */
																					obj_t BgL_arg1326z00_1508;

																					{	/* Module/pragma.scm 162 */
																						obj_t BgL_arg1327z00_1509;

																						BgL_arg1327z00_1509 =
																							(((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00);
																						BgL_arg1326z00_1508 =
																							MAKE_YOUNG_PAIR(((obj_t)
																								CNST_TABLE_REF(9)),
																							BgL_arg1327z00_1509);
																					}
																					return
																						((((BgL_globalz00_bglt) COBJECT(
																									((BgL_globalz00_bglt)
																										BgL_globalz00_12)))->
																							BgL_pragmaz00) =
																						((obj_t) BgL_arg1326z00_1508),
																						BUNSPEC);
																				}
																			else
																				{	/* Module/pragma.scm 160 */
																					return BFALSE;
																				}
																		}
																	}
																else
																	{	/* Module/pragma.scm 126 */
																		if (
																			(BgL_propz00_13 ==
																				((obj_t) CNST_TABLE_REF(10))))
																			{	/* Module/pragma.scm 164 */
																				BgL_valuez00_bglt BgL_valz00_1511;

																				BgL_valz00_1511 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_globalz00_12))))->
																					BgL_valuez00);
																				{	/* Module/pragma.scm 165 */
																					bool_t BgL_test1907z00_3235;

																					{	/* Module/pragma.scm 165 */
																						obj_t BgL_classz00_2098;

																						BgL_classz00_2098 =
																							BGl_cfunz00zzast_varz00;
																						{	/* Module/pragma.scm 165 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_2100;
																							{	/* Module/pragma.scm 165 */
																								obj_t BgL_tmpz00_3236;

																								BgL_tmpz00_3236 =
																									((obj_t)
																									((BgL_objectz00_bglt)
																										BgL_valz00_1511));
																								BgL_arg1858z00_2100 =
																									(BgL_objectz00_bglt)
																									(BgL_tmpz00_3236);
																							}
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Module/pragma.scm 165 */
																									long BgL_idxz00_2106;

																									BgL_idxz00_2106 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_2100);
																									BgL_test1907z00_3235 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2106 + 3L)) ==
																										BgL_classz00_2098);
																								}
																							else
																								{	/* Module/pragma.scm 165 */
																									bool_t BgL_res1760z00_2131;

																									{	/* Module/pragma.scm 165 */
																										obj_t BgL_oclassz00_2114;

																										{	/* Module/pragma.scm 165 */
																											obj_t BgL_arg1866z00_2122;
																											long BgL_arg1867z00_2123;

																											BgL_arg1866z00_2122 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Module/pragma.scm 165 */
																												long
																													BgL_arg1869z00_2124;
																												BgL_arg1869z00_2124 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_2100);
																												BgL_arg1867z00_2123 =
																													(BgL_arg1869z00_2124 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2114 =
																												VECTOR_REF
																												(BgL_arg1866z00_2122,
																												BgL_arg1867z00_2123);
																										}
																										{	/* Module/pragma.scm 165 */
																											bool_t
																												BgL__ortest_1115z00_2115;
																											BgL__ortest_1115z00_2115 =
																												(BgL_classz00_2098 ==
																												BgL_oclassz00_2114);
																											if (BgL__ortest_1115z00_2115)
																												{	/* Module/pragma.scm 165 */
																													BgL_res1760z00_2131 =
																														BgL__ortest_1115z00_2115;
																												}
																											else
																												{	/* Module/pragma.scm 165 */
																													long
																														BgL_odepthz00_2116;
																													{	/* Module/pragma.scm 165 */
																														obj_t
																															BgL_arg1855z00_2117;
																														BgL_arg1855z00_2117
																															=
																															(BgL_oclassz00_2114);
																														BgL_odepthz00_2116 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_2117);
																													}
																													if (
																														(3L <
																															BgL_odepthz00_2116))
																														{	/* Module/pragma.scm 165 */
																															obj_t
																																BgL_arg1853z00_2119;
																															{	/* Module/pragma.scm 165 */
																																obj_t
																																	BgL_arg1854z00_2120;
																																BgL_arg1854z00_2120
																																	=
																																	(BgL_oclassz00_2114);
																																BgL_arg1853z00_2119
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_2120,
																																	3L);
																															}
																															BgL_res1760z00_2131
																																=
																																(BgL_arg1853z00_2119
																																==
																																BgL_classz00_2098);
																														}
																													else
																														{	/* Module/pragma.scm 165 */
																															BgL_res1760z00_2131
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test1907z00_3235 =
																										BgL_res1760z00_2131;
																								}
																						}
																					}
																					if (BgL_test1907z00_3235)
																						{	/* Module/pragma.scm 168 */
																							obj_t BgL_arg1331z00_1513;

																							{	/* Module/pragma.scm 168 */
																								obj_t BgL_arg1332z00_1514;

																								BgL_arg1332z00_1514 =
																									(((BgL_globalz00_bglt)
																										COBJECT((
																												(BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00);
																								BgL_arg1331z00_1513 =
																									MAKE_YOUNG_PAIR(((obj_t)
																										CNST_TABLE_REF(10)),
																									BgL_arg1332z00_1514);
																							}
																							return
																								((((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_globalz00_12)))->
																									BgL_pragmaz00) =
																								((obj_t) BgL_arg1331z00_1513),
																								BUNSPEC);
																						}
																					else
																						{	/* Module/pragma.scm 165 */
																							return BFALSE;
																						}
																				}
																			}
																		else
																			{	/* Module/pragma.scm 126 */
																				if (
																					(BgL_propz00_13 ==
																						((obj_t) CNST_TABLE_REF(11))))
																					{	/* Module/pragma.scm 170 */
																						BgL_valuez00_bglt BgL_valz00_1516;

																						BgL_valz00_1516 =
																							(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_globalz00_bglt)
																											BgL_globalz00_12))))->
																							BgL_valuez00);
																						{	/* Module/pragma.scm 171 */
																							bool_t BgL_test1912z00_3273;

																							{	/* Module/pragma.scm 171 */
																								bool_t BgL_test1913z00_3274;

																								{	/* Module/pragma.scm 171 */
																									obj_t BgL_classz00_2136;

																									BgL_classz00_2136 =
																										BGl_sfunz00zzast_varz00;
																									{	/* Module/pragma.scm 171 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_2138;
																										{	/* Module/pragma.scm 171 */
																											obj_t BgL_tmpz00_3275;

																											BgL_tmpz00_3275 =
																												((obj_t)
																												((BgL_objectz00_bglt)
																													BgL_valz00_1516));
																											BgL_arg1858z00_2138 =
																												(BgL_objectz00_bglt)
																												(BgL_tmpz00_3275);
																										}
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Module/pragma.scm 171 */
																												long BgL_idxz00_2144;

																												BgL_idxz00_2144 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_2138);
																												BgL_test1913z00_3274 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_2144 +
																															3L)) ==
																													BgL_classz00_2136);
																											}
																										else
																											{	/* Module/pragma.scm 171 */
																												bool_t
																													BgL_res1761z00_2169;
																												{	/* Module/pragma.scm 171 */
																													obj_t
																														BgL_oclassz00_2152;
																													{	/* Module/pragma.scm 171 */
																														obj_t
																															BgL_arg1866z00_2160;
																														long
																															BgL_arg1867z00_2161;
																														BgL_arg1866z00_2160
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Module/pragma.scm 171 */
																															long
																																BgL_arg1869z00_2162;
																															BgL_arg1869z00_2162
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_2138);
																															BgL_arg1867z00_2161
																																=
																																(BgL_arg1869z00_2162
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_2152 =
																															VECTOR_REF
																															(BgL_arg1866z00_2160,
																															BgL_arg1867z00_2161);
																													}
																													{	/* Module/pragma.scm 171 */
																														bool_t
																															BgL__ortest_1115z00_2153;
																														BgL__ortest_1115z00_2153
																															=
																															(BgL_classz00_2136
																															==
																															BgL_oclassz00_2152);
																														if (BgL__ortest_1115z00_2153)
																															{	/* Module/pragma.scm 171 */
																																BgL_res1761z00_2169
																																	=
																																	BgL__ortest_1115z00_2153;
																															}
																														else
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_odepthz00_2154;
																																{	/* Module/pragma.scm 171 */
																																	obj_t
																																		BgL_arg1855z00_2155;
																																	BgL_arg1855z00_2155
																																		=
																																		(BgL_oclassz00_2152);
																																	BgL_odepthz00_2154
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_2155);
																																}
																																if (
																																	(3L <
																																		BgL_odepthz00_2154))
																																	{	/* Module/pragma.scm 171 */
																																		obj_t
																																			BgL_arg1853z00_2157;
																																		{	/* Module/pragma.scm 171 */
																																			obj_t
																																				BgL_arg1854z00_2158;
																																			BgL_arg1854z00_2158
																																				=
																																				(BgL_oclassz00_2152);
																																			BgL_arg1853z00_2157
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_2158,
																																				3L);
																																		}
																																		BgL_res1761z00_2169
																																			=
																																			(BgL_arg1853z00_2157
																																			==
																																			BgL_classz00_2136);
																																	}
																																else
																																	{	/* Module/pragma.scm 171 */
																																		BgL_res1761z00_2169
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1913z00_3274 =
																													BgL_res1761z00_2169;
																											}
																									}
																								}
																								if (BgL_test1913z00_3274)
																									{	/* Module/pragma.scm 171 */
																										BgL_test1912z00_3273 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Module/pragma.scm 171 */
																										obj_t BgL_classz00_2170;

																										BgL_classz00_2170 =
																											BGl_cfunz00zzast_varz00;
																										{	/* Module/pragma.scm 171 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2172;
																											{	/* Module/pragma.scm 171 */
																												obj_t BgL_tmpz00_3298;

																												BgL_tmpz00_3298 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_valz00_1516));
																												BgL_arg1858z00_2172 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3298);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Module/pragma.scm 171 */
																													long BgL_idxz00_2178;

																													BgL_idxz00_2178 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2172);
																													BgL_test1912z00_3273 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2178 +
																																3L)) ==
																														BgL_classz00_2170);
																												}
																											else
																												{	/* Module/pragma.scm 171 */
																													bool_t
																														BgL_res1762z00_2203;
																													{	/* Module/pragma.scm 171 */
																														obj_t
																															BgL_oclassz00_2186;
																														{	/* Module/pragma.scm 171 */
																															obj_t
																																BgL_arg1866z00_2194;
																															long
																																BgL_arg1867z00_2195;
																															BgL_arg1866z00_2194
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Module/pragma.scm 171 */
																																long
																																	BgL_arg1869z00_2196;
																																BgL_arg1869z00_2196
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2172);
																																BgL_arg1867z00_2195
																																	=
																																	(BgL_arg1869z00_2196
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2186
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2194,
																																BgL_arg1867z00_2195);
																														}
																														{	/* Module/pragma.scm 171 */
																															bool_t
																																BgL__ortest_1115z00_2187;
																															BgL__ortest_1115z00_2187
																																=
																																(BgL_classz00_2170
																																==
																																BgL_oclassz00_2186);
																															if (BgL__ortest_1115z00_2187)
																																{	/* Module/pragma.scm 171 */
																																	BgL_res1762z00_2203
																																		=
																																		BgL__ortest_1115z00_2187;
																																}
																															else
																																{	/* Module/pragma.scm 171 */
																																	long
																																		BgL_odepthz00_2188;
																																	{	/* Module/pragma.scm 171 */
																																		obj_t
																																			BgL_arg1855z00_2189;
																																		BgL_arg1855z00_2189
																																			=
																																			(BgL_oclassz00_2186);
																																		BgL_odepthz00_2188
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2189);
																																	}
																																	if (
																																		(3L <
																																			BgL_odepthz00_2188))
																																		{	/* Module/pragma.scm 171 */
																																			obj_t
																																				BgL_arg1853z00_2191;
																																			{	/* Module/pragma.scm 171 */
																																				obj_t
																																					BgL_arg1854z00_2192;
																																				BgL_arg1854z00_2192
																																					=
																																					(BgL_oclassz00_2186);
																																				BgL_arg1853z00_2191
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2192,
																																					3L);
																																			}
																																			BgL_res1762z00_2203
																																				=
																																				(BgL_arg1853z00_2191
																																				==
																																				BgL_classz00_2170);
																																		}
																																	else
																																		{	/* Module/pragma.scm 171 */
																																			BgL_res1762z00_2203
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test1912z00_3273 =
																														BgL_res1762z00_2203;
																												}
																										}
																									}
																							}
																							if (BgL_test1912z00_3273)
																								{	/* Module/pragma.scm 174 */
																									obj_t BgL_arg1336z00_1519;

																									{	/* Module/pragma.scm 174 */
																										obj_t BgL_arg1338z00_1520;

																										BgL_arg1338z00_1520 =
																											(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00);
																										BgL_arg1336z00_1519 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												CNST_TABLE_REF(11)),
																											BgL_arg1338z00_1520);
																									}
																									return
																										((((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_globalz00_12)))->
																											BgL_pragmaz00) =
																										((obj_t)
																											BgL_arg1336z00_1519),
																										BUNSPEC);
																								}
																							else
																								{	/* Module/pragma.scm 171 */
																									return BFALSE;
																								}
																						}
																					}
																				else
																					{	/* Module/pragma.scm 126 */
																						if (
																							(BgL_propz00_13 ==
																								((obj_t) CNST_TABLE_REF(12))))
																							{	/* Module/pragma.scm 177 */
																								BgL_valuez00_bglt
																									BgL_valz00_1523;
																								BgL_valz00_1523 =
																									(((BgL_variablez00_bglt)
																										COBJECT((
																												(BgL_variablez00_bglt) (
																													(BgL_globalz00_bglt)
																													BgL_globalz00_12))))->
																									BgL_valuez00);
																								{	/* Module/pragma.scm 178 */
																									bool_t BgL_test1921z00_3335;

																									{	/* Module/pragma.scm 178 */
																										bool_t BgL_test1922z00_3336;

																										{	/* Module/pragma.scm 178 */
																											obj_t BgL_classz00_2208;

																											BgL_classz00_2208 =
																												BGl_sfunz00zzast_varz00;
																											{	/* Module/pragma.scm 178 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_2210;
																												{	/* Module/pragma.scm 178 */
																													obj_t BgL_tmpz00_3337;

																													BgL_tmpz00_3337 =
																														((obj_t)
																														((BgL_objectz00_bglt) BgL_valz00_1523));
																													BgL_arg1858z00_2210 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_3337);
																												}
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Module/pragma.scm 178 */
																														long
																															BgL_idxz00_2216;
																														BgL_idxz00_2216 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_2210);
																														BgL_test1922z00_3336
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2216
																																	+ 3L)) ==
																															BgL_classz00_2208);
																													}
																												else
																													{	/* Module/pragma.scm 178 */
																														bool_t
																															BgL_res1763z00_2241;
																														{	/* Module/pragma.scm 178 */
																															obj_t
																																BgL_oclassz00_2224;
																															{	/* Module/pragma.scm 178 */
																																obj_t
																																	BgL_arg1866z00_2232;
																																long
																																	BgL_arg1867z00_2233;
																																BgL_arg1866z00_2232
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* Module/pragma.scm 178 */
																																	long
																																		BgL_arg1869z00_2234;
																																	BgL_arg1869z00_2234
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_2210);
																																	BgL_arg1867z00_2233
																																		=
																																		(BgL_arg1869z00_2234
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2224
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_2232,
																																	BgL_arg1867z00_2233);
																															}
																															{	/* Module/pragma.scm 178 */
																																bool_t
																																	BgL__ortest_1115z00_2225;
																																BgL__ortest_1115z00_2225
																																	=
																																	(BgL_classz00_2208
																																	==
																																	BgL_oclassz00_2224);
																																if (BgL__ortest_1115z00_2225)
																																	{	/* Module/pragma.scm 178 */
																																		BgL_res1763z00_2241
																																			=
																																			BgL__ortest_1115z00_2225;
																																	}
																																else
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_odepthz00_2226;
																																		{	/* Module/pragma.scm 178 */
																																			obj_t
																																				BgL_arg1855z00_2227;
																																			BgL_arg1855z00_2227
																																				=
																																				(BgL_oclassz00_2224);
																																			BgL_odepthz00_2226
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_2227);
																																		}
																																		if (
																																			(3L <
																																				BgL_odepthz00_2226))
																																			{	/* Module/pragma.scm 178 */
																																				obj_t
																																					BgL_arg1853z00_2229;
																																				{	/* Module/pragma.scm 178 */
																																					obj_t
																																						BgL_arg1854z00_2230;
																																					BgL_arg1854z00_2230
																																						=
																																						(BgL_oclassz00_2224);
																																					BgL_arg1853z00_2229
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_2230,
																																						3L);
																																				}
																																				BgL_res1763z00_2241
																																					=
																																					(BgL_arg1853z00_2229
																																					==
																																					BgL_classz00_2208);
																																			}
																																		else
																																			{	/* Module/pragma.scm 178 */
																																				BgL_res1763z00_2241
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1922z00_3336
																															=
																															BgL_res1763z00_2241;
																													}
																											}
																										}
																										if (BgL_test1922z00_3336)
																											{	/* Module/pragma.scm 178 */
																												BgL_test1921z00_3335 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Module/pragma.scm 178 */
																												obj_t BgL_classz00_2242;

																												BgL_classz00_2242 =
																													BGl_cfunz00zzast_varz00;
																												{	/* Module/pragma.scm 178 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_2244;
																													{	/* Module/pragma.scm 178 */
																														obj_t
																															BgL_tmpz00_3360;
																														BgL_tmpz00_3360 =
																															((obj_t) (
																																(BgL_objectz00_bglt)
																																BgL_valz00_1523));
																														BgL_arg1858z00_2244
																															=
																															(BgL_objectz00_bglt)
																															(BgL_tmpz00_3360);
																													}
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Module/pragma.scm 178 */
																															long
																																BgL_idxz00_2250;
																															BgL_idxz00_2250 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_2244);
																															BgL_test1921z00_3335
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2250
																																		+ 3L)) ==
																																BgL_classz00_2242);
																														}
																													else
																														{	/* Module/pragma.scm 178 */
																															bool_t
																																BgL_res1764z00_2275;
																															{	/* Module/pragma.scm 178 */
																																obj_t
																																	BgL_oclassz00_2258;
																																{	/* Module/pragma.scm 178 */
																																	obj_t
																																		BgL_arg1866z00_2266;
																																	long
																																		BgL_arg1867z00_2267;
																																	BgL_arg1866z00_2266
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Module/pragma.scm 178 */
																																		long
																																			BgL_arg1869z00_2268;
																																		BgL_arg1869z00_2268
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_2244);
																																		BgL_arg1867z00_2267
																																			=
																																			(BgL_arg1869z00_2268
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2258
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_2266,
																																		BgL_arg1867z00_2267);
																																}
																																{	/* Module/pragma.scm 178 */
																																	bool_t
																																		BgL__ortest_1115z00_2259;
																																	BgL__ortest_1115z00_2259
																																		=
																																		(BgL_classz00_2242
																																		==
																																		BgL_oclassz00_2258);
																																	if (BgL__ortest_1115z00_2259)
																																		{	/* Module/pragma.scm 178 */
																																			BgL_res1764z00_2275
																																				=
																																				BgL__ortest_1115z00_2259;
																																		}
																																	else
																																		{	/* Module/pragma.scm 178 */
																																			long
																																				BgL_odepthz00_2260;
																																			{	/* Module/pragma.scm 178 */
																																				obj_t
																																					BgL_arg1855z00_2261;
																																				BgL_arg1855z00_2261
																																					=
																																					(BgL_oclassz00_2258);
																																				BgL_odepthz00_2260
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_2261);
																																			}
																																			if (
																																				(3L <
																																					BgL_odepthz00_2260))
																																				{	/* Module/pragma.scm 178 */
																																					obj_t
																																						BgL_arg1853z00_2263;
																																					{	/* Module/pragma.scm 178 */
																																						obj_t
																																							BgL_arg1854z00_2264;
																																						BgL_arg1854z00_2264
																																							=
																																							(BgL_oclassz00_2258);
																																						BgL_arg1853z00_2263
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_2264,
																																							3L);
																																					}
																																					BgL_res1764z00_2275
																																						=
																																						(BgL_arg1853z00_2263
																																						==
																																						BgL_classz00_2242);
																																				}
																																			else
																																				{	/* Module/pragma.scm 178 */
																																					BgL_res1764z00_2275
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test1921z00_3335
																																=
																																BgL_res1764z00_2275;
																														}
																												}
																											}
																									}
																									if (BgL_test1921z00_3335)
																										{	/* Module/pragma.scm 181 */
																											obj_t BgL_arg1355z00_1526;

																											{	/* Module/pragma.scm 181 */
																												obj_t
																													BgL_arg1358z00_1527;
																												BgL_arg1358z00_1527 =
																													(((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00);
																												BgL_arg1355z00_1526 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(12)),
																													BgL_arg1358z00_1527);
																											}
																											return
																												((((BgL_globalz00_bglt)
																														COBJECT((
																																(BgL_globalz00_bglt)
																																BgL_globalz00_12)))->
																													BgL_pragmaz00) =
																												((obj_t)
																													BgL_arg1355z00_1526),
																												BUNSPEC);
																										}
																									else
																										{	/* Module/pragma.scm 178 */
																											return BFALSE;
																										}
																								}
																							}
																						else
																							{	/* Module/pragma.scm 126 */
																								if (
																									(BgL_propz00_13 ==
																										((obj_t)
																											CNST_TABLE_REF(13))))
																									{	/* Module/pragma.scm 185 */
																										BgL_valuez00_bglt
																											BgL_valz00_1530;
																										BgL_valz00_1530 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																										{	/* Module/pragma.scm 186 */
																											bool_t
																												BgL_test1930z00_3397;
																											{	/* Module/pragma.scm 186 */
																												bool_t
																													BgL_test1931z00_3398;
																												{	/* Module/pragma.scm 186 */
																													obj_t
																														BgL_classz00_2280;
																													BgL_classz00_2280 =
																														BGl_sfunz00zzast_varz00;
																													{	/* Module/pragma.scm 186 */
																														BgL_objectz00_bglt
																															BgL_arg1858z00_2282;
																														{	/* Module/pragma.scm 186 */
																															obj_t
																																BgL_tmpz00_3399;
																															BgL_tmpz00_3399 =
																																((obj_t) (
																																	(BgL_objectz00_bglt)
																																	BgL_valz00_1530));
																															BgL_arg1858z00_2282
																																=
																																(BgL_objectz00_bglt)
																																(BgL_tmpz00_3399);
																														}
																														if (BGL_CONDEXPAND_ISA_ARCH64())
																															{	/* Module/pragma.scm 186 */
																																long
																																	BgL_idxz00_2288;
																																BgL_idxz00_2288
																																	=
																																	BGL_OBJECT_INHERITANCE_NUM
																																	(BgL_arg1858z00_2282);
																																BgL_test1931z00_3398
																																	=
																																	(VECTOR_REF
																																	(BGl_za2inheritancesza2z00zz__objectz00,
																																		(BgL_idxz00_2288
																																			+ 3L)) ==
																																	BgL_classz00_2280);
																															}
																														else
																															{	/* Module/pragma.scm 186 */
																																bool_t
																																	BgL_res1765z00_2313;
																																{	/* Module/pragma.scm 186 */
																																	obj_t
																																		BgL_oclassz00_2296;
																																	{	/* Module/pragma.scm 186 */
																																		obj_t
																																			BgL_arg1866z00_2304;
																																		long
																																			BgL_arg1867z00_2305;
																																		BgL_arg1866z00_2304
																																			=
																																			(BGl_za2classesza2z00zz__objectz00);
																																		{	/* Module/pragma.scm 186 */
																																			long
																																				BgL_arg1869z00_2306;
																																			BgL_arg1869z00_2306
																																				=
																																				BGL_OBJECT_CLASS_NUM
																																				(BgL_arg1858z00_2282);
																																			BgL_arg1867z00_2305
																																				=
																																				(BgL_arg1869z00_2306
																																				-
																																				OBJECT_TYPE);
																																		}
																																		BgL_oclassz00_2296
																																			=
																																			VECTOR_REF
																																			(BgL_arg1866z00_2304,
																																			BgL_arg1867z00_2305);
																																	}
																																	{	/* Module/pragma.scm 186 */
																																		bool_t
																																			BgL__ortest_1115z00_2297;
																																		BgL__ortest_1115z00_2297
																																			=
																																			(BgL_classz00_2280
																																			==
																																			BgL_oclassz00_2296);
																																		if (BgL__ortest_1115z00_2297)
																																			{	/* Module/pragma.scm 186 */
																																				BgL_res1765z00_2313
																																					=
																																					BgL__ortest_1115z00_2297;
																																			}
																																		else
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_odepthz00_2298;
																																				{	/* Module/pragma.scm 186 */
																																					obj_t
																																						BgL_arg1855z00_2299;
																																					BgL_arg1855z00_2299
																																						=
																																						(BgL_oclassz00_2296);
																																					BgL_odepthz00_2298
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_arg1855z00_2299);
																																				}
																																				if (
																																					(3L <
																																						BgL_odepthz00_2298))
																																					{	/* Module/pragma.scm 186 */
																																						obj_t
																																							BgL_arg1853z00_2301;
																																						{	/* Module/pragma.scm 186 */
																																							obj_t
																																								BgL_arg1854z00_2302;
																																							BgL_arg1854z00_2302
																																								=
																																								(BgL_oclassz00_2296);
																																							BgL_arg1853z00_2301
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_arg1854z00_2302,
																																								3L);
																																						}
																																						BgL_res1765z00_2313
																																							=
																																							(BgL_arg1853z00_2301
																																							==
																																							BgL_classz00_2280);
																																					}
																																				else
																																					{	/* Module/pragma.scm 186 */
																																						BgL_res1765z00_2313
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																	}
																																}
																																BgL_test1931z00_3398
																																	=
																																	BgL_res1765z00_2313;
																															}
																													}
																												}
																												if (BgL_test1931z00_3398)
																													{	/* Module/pragma.scm 186 */
																														BgL_test1930z00_3397
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Module/pragma.scm 186 */
																														obj_t
																															BgL_classz00_2314;
																														BgL_classz00_2314 =
																															BGl_cfunz00zzast_varz00;
																														{	/* Module/pragma.scm 186 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_2316;
																															{	/* Module/pragma.scm 186 */
																																obj_t
																																	BgL_tmpz00_3422;
																																BgL_tmpz00_3422
																																	=
																																	((obj_t) (
																																		(BgL_objectz00_bglt)
																																		BgL_valz00_1530));
																																BgL_arg1858z00_2316
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_3422);
																															}
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Module/pragma.scm 186 */
																																	long
																																		BgL_idxz00_2322;
																																	BgL_idxz00_2322
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_2316);
																																	BgL_test1930z00_3397
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2322
																																				+
																																				3L)) ==
																																		BgL_classz00_2314);
																																}
																															else
																																{	/* Module/pragma.scm 186 */
																																	bool_t
																																		BgL_res1766z00_2347;
																																	{	/* Module/pragma.scm 186 */
																																		obj_t
																																			BgL_oclassz00_2330;
																																		{	/* Module/pragma.scm 186 */
																																			obj_t
																																				BgL_arg1866z00_2338;
																																			long
																																				BgL_arg1867z00_2339;
																																			BgL_arg1866z00_2338
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Module/pragma.scm 186 */
																																				long
																																					BgL_arg1869z00_2340;
																																				BgL_arg1869z00_2340
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_2316);
																																				BgL_arg1867z00_2339
																																					=
																																					(BgL_arg1869z00_2340
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2330
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_2338,
																																				BgL_arg1867z00_2339);
																																		}
																																		{	/* Module/pragma.scm 186 */
																																			bool_t
																																				BgL__ortest_1115z00_2331;
																																			BgL__ortest_1115z00_2331
																																				=
																																				(BgL_classz00_2314
																																				==
																																				BgL_oclassz00_2330);
																																			if (BgL__ortest_1115z00_2331)
																																				{	/* Module/pragma.scm 186 */
																																					BgL_res1766z00_2347
																																						=
																																						BgL__ortest_1115z00_2331;
																																				}
																																			else
																																				{	/* Module/pragma.scm 186 */
																																					long
																																						BgL_odepthz00_2332;
																																					{	/* Module/pragma.scm 186 */
																																						obj_t
																																							BgL_arg1855z00_2333;
																																						BgL_arg1855z00_2333
																																							=
																																							(BgL_oclassz00_2330);
																																						BgL_odepthz00_2332
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_2333);
																																					}
																																					if (
																																						(3L
																																							<
																																							BgL_odepthz00_2332))
																																						{	/* Module/pragma.scm 186 */
																																							obj_t
																																								BgL_arg1853z00_2335;
																																							{	/* Module/pragma.scm 186 */
																																								obj_t
																																									BgL_arg1854z00_2336;
																																								BgL_arg1854z00_2336
																																									=
																																									(BgL_oclassz00_2330);
																																								BgL_arg1853z00_2335
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_2336,
																																									3L);
																																							}
																																							BgL_res1766z00_2347
																																								=
																																								(BgL_arg1853z00_2335
																																								==
																																								BgL_classz00_2314);
																																						}
																																					else
																																						{	/* Module/pragma.scm 186 */
																																							BgL_res1766z00_2347
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test1930z00_3397
																																		=
																																		BgL_res1766z00_2347;
																																}
																														}
																													}
																											}
																											if (BgL_test1930z00_3397)
																												{	/* Module/pragma.scm 189 */
																													obj_t
																														BgL_arg1370z00_1533;
																													{	/* Module/pragma.scm 189 */
																														obj_t
																															BgL_arg1371z00_1534;
																														BgL_arg1371z00_1534
																															=
																															(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																														BgL_arg1370z00_1533
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(13)),
																															BgL_arg1371z00_1534);
																													}
																													return
																														((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1370z00_1533), BUNSPEC);
																												}
																											else
																												{	/* Module/pragma.scm 186 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Module/pragma.scm 126 */
																										if (
																											(BgL_propz00_13 ==
																												((obj_t)
																													CNST_TABLE_REF(14))))
																											{	/* Module/pragma.scm 192 */
																												BgL_valuez00_bglt
																													BgL_valz00_1537;
																												BgL_valz00_1537 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_12))))->BgL_valuez00);
																												{	/* Module/pragma.scm 193 */
																													bool_t
																														BgL_test1939z00_3459;
																													{	/* Module/pragma.scm 193 */
																														bool_t
																															BgL_test1940z00_3460;
																														{	/* Module/pragma.scm 193 */
																															obj_t
																																BgL_classz00_2352;
																															BgL_classz00_2352
																																=
																																BGl_sfunz00zzast_varz00;
																															{	/* Module/pragma.scm 193 */
																																BgL_objectz00_bglt
																																	BgL_arg1858z00_2354;
																																{	/* Module/pragma.scm 193 */
																																	obj_t
																																		BgL_tmpz00_3461;
																																	BgL_tmpz00_3461
																																		=
																																		((obj_t) (
																																			(BgL_objectz00_bglt)
																																			BgL_valz00_1537));
																																	BgL_arg1858z00_2354
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_tmpz00_3461);
																																}
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Module/pragma.scm 193 */
																																		long
																																			BgL_idxz00_2360;
																																		BgL_idxz00_2360
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1858z00_2354);
																																		BgL_test1940z00_3460
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_2360
																																					+
																																					3L))
																																			==
																																			BgL_classz00_2352);
																																	}
																																else
																																	{	/* Module/pragma.scm 193 */
																																		bool_t
																																			BgL_res1767z00_2385;
																																		{	/* Module/pragma.scm 193 */
																																			obj_t
																																				BgL_oclassz00_2368;
																																			{	/* Module/pragma.scm 193 */
																																				obj_t
																																					BgL_arg1866z00_2376;
																																				long
																																					BgL_arg1867z00_2377;
																																				BgL_arg1866z00_2376
																																					=
																																					(BGl_za2classesza2z00zz__objectz00);
																																				{	/* Module/pragma.scm 193 */
																																					long
																																						BgL_arg1869z00_2378;
																																					BgL_arg1869z00_2378
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1858z00_2354);
																																					BgL_arg1867z00_2377
																																						=
																																						(BgL_arg1869z00_2378
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_2368
																																					=
																																					VECTOR_REF
																																					(BgL_arg1866z00_2376,
																																					BgL_arg1867z00_2377);
																																			}
																																			{	/* Module/pragma.scm 193 */
																																				bool_t
																																					BgL__ortest_1115z00_2369;
																																				BgL__ortest_1115z00_2369
																																					=
																																					(BgL_classz00_2352
																																					==
																																					BgL_oclassz00_2368);
																																				if (BgL__ortest_1115z00_2369)
																																					{	/* Module/pragma.scm 193 */
																																						BgL_res1767z00_2385
																																							=
																																							BgL__ortest_1115z00_2369;
																																					}
																																				else
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_odepthz00_2370;
																																						{	/* Module/pragma.scm 193 */
																																							obj_t
																																								BgL_arg1855z00_2371;
																																							BgL_arg1855z00_2371
																																								=
																																								(BgL_oclassz00_2368);
																																							BgL_odepthz00_2370
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_arg1855z00_2371);
																																						}
																																						if (
																																							(3L
																																								<
																																								BgL_odepthz00_2370))
																																							{	/* Module/pragma.scm 193 */
																																								obj_t
																																									BgL_arg1853z00_2373;
																																								{	/* Module/pragma.scm 193 */
																																									obj_t
																																										BgL_arg1854z00_2374;
																																									BgL_arg1854z00_2374
																																										=
																																										(BgL_oclassz00_2368);
																																									BgL_arg1853z00_2373
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_arg1854z00_2374,
																																										3L);
																																								}
																																								BgL_res1767z00_2385
																																									=
																																									(BgL_arg1853z00_2373
																																									==
																																									BgL_classz00_2352);
																																							}
																																						else
																																							{	/* Module/pragma.scm 193 */
																																								BgL_res1767z00_2385
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test1940z00_3460
																																			=
																																			BgL_res1767z00_2385;
																																	}
																															}
																														}
																														if (BgL_test1940z00_3460)
																															{	/* Module/pragma.scm 193 */
																																BgL_test1939z00_3459
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Module/pragma.scm 193 */
																																obj_t
																																	BgL_classz00_2386;
																																BgL_classz00_2386
																																	=
																																	BGl_cfunz00zzast_varz00;
																																{	/* Module/pragma.scm 193 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_2388;
																																	{	/* Module/pragma.scm 193 */
																																		obj_t
																																			BgL_tmpz00_3484;
																																		BgL_tmpz00_3484
																																			=
																																			((obj_t) (
																																				(BgL_objectz00_bglt)
																																				BgL_valz00_1537));
																																		BgL_arg1858z00_2388
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_tmpz00_3484);
																																	}
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Module/pragma.scm 193 */
																																			long
																																				BgL_idxz00_2394;
																																			BgL_idxz00_2394
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_2388);
																																			BgL_test1939z00_3459
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_2394
																																						+
																																						3L))
																																				==
																																				BgL_classz00_2386);
																																		}
																																	else
																																		{	/* Module/pragma.scm 193 */
																																			bool_t
																																				BgL_res1768z00_2419;
																																			{	/* Module/pragma.scm 193 */
																																				obj_t
																																					BgL_oclassz00_2402;
																																				{	/* Module/pragma.scm 193 */
																																					obj_t
																																						BgL_arg1866z00_2410;
																																					long
																																						BgL_arg1867z00_2411;
																																					BgL_arg1866z00_2410
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Module/pragma.scm 193 */
																																						long
																																							BgL_arg1869z00_2412;
																																						BgL_arg1869z00_2412
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_2388);
																																						BgL_arg1867z00_2411
																																							=
																																							(BgL_arg1869z00_2412
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_2402
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_2410,
																																						BgL_arg1867z00_2411);
																																				}
																																				{	/* Module/pragma.scm 193 */
																																					bool_t
																																						BgL__ortest_1115z00_2403;
																																					BgL__ortest_1115z00_2403
																																						=
																																						(BgL_classz00_2386
																																						==
																																						BgL_oclassz00_2402);
																																					if (BgL__ortest_1115z00_2403)
																																						{	/* Module/pragma.scm 193 */
																																							BgL_res1768z00_2419
																																								=
																																								BgL__ortest_1115z00_2403;
																																						}
																																					else
																																						{	/* Module/pragma.scm 193 */
																																							long
																																								BgL_odepthz00_2404;
																																							{	/* Module/pragma.scm 193 */
																																								obj_t
																																									BgL_arg1855z00_2405;
																																								BgL_arg1855z00_2405
																																									=
																																									(BgL_oclassz00_2402);
																																								BgL_odepthz00_2404
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_2405);
																																							}
																																							if ((3L < BgL_odepthz00_2404))
																																								{	/* Module/pragma.scm 193 */
																																									obj_t
																																										BgL_arg1853z00_2407;
																																									{	/* Module/pragma.scm 193 */
																																										obj_t
																																											BgL_arg1854z00_2408;
																																										BgL_arg1854z00_2408
																																											=
																																											(BgL_oclassz00_2402);
																																										BgL_arg1853z00_2407
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_2408,
																																											3L);
																																									}
																																									BgL_res1768z00_2419
																																										=
																																										(BgL_arg1853z00_2407
																																										==
																																										BgL_classz00_2386);
																																								}
																																							else
																																								{	/* Module/pragma.scm 193 */
																																									BgL_res1768z00_2419
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test1939z00_3459
																																				=
																																				BgL_res1768z00_2419;
																																		}
																																}
																															}
																													}
																													if (BgL_test1939z00_3459)
																														{	/* Module/pragma.scm 193 */
																															return BFALSE;
																														}
																													else
																														{	/* Module/pragma.scm 196 */
																															obj_t
																																BgL_arg1376z00_1540;
																															{	/* Module/pragma.scm 196 */
																																obj_t
																																	BgL_arg1379z00_1541;
																																BgL_arg1379z00_1541
																																	=
																																	(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00);
																																BgL_arg1376z00_1540
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(14)),
																																	BgL_arg1379z00_1541);
																															}
																															return
																																((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_globalz00_12)))->BgL_pragmaz00) = ((obj_t) BgL_arg1376z00_1540), BUNSPEC);
																														}
																												}
																											}
																										else
																											{	/* Module/pragma.scm 198 */
																												obj_t
																													BgL_list1380z00_1543;
																												BgL_list1380z00_1543 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string1793z00zzmodule_pragmaz00,
																													BGl_string1794z00zzmodule_pragmaz00,
																													BgL_clausez00_14,
																													BgL_list1380z00_1543);
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/pragma.scm 124 */
						if (PAIRP(BgL_propz00_13))
							{	/* Module/pragma.scm 124 */
								obj_t BgL_carzd2160zd2_1480;

								BgL_carzd2160zd2_1480 = CAR(((obj_t) BgL_propz00_13));
								if (SYMBOLP(BgL_carzd2160zd2_1480))
									{	/* Module/pragma.scm 124 */
										obj_t BgL_arg1301z00_1482;

										BgL_arg1301z00_1482 = CDR(((obj_t) BgL_propz00_13));
										BgL_keyz00_1473 = BgL_carzd2160zd2_1480;
										BgL_valz00_1474 = BgL_arg1301z00_1482;
										if ((BgL_keyz00_1473 == ((obj_t) CNST_TABLE_REF(15))))
											{	/* Module/pragma.scm 203 */
												bool_t BgL_test1950z00_3528;

												if (PAIRP(BgL_valz00_1474))
													{	/* Module/pragma.scm 203 */
														obj_t BgL_tmpz00_3531;

														BgL_tmpz00_3531 = CAR(BgL_valz00_1474);
														BgL_test1950z00_3528 = SYMBOLP(BgL_tmpz00_3531);
													}
												else
													{	/* Module/pragma.scm 203 */
														BgL_test1950z00_3528 = ((bool_t) 0);
													}
												if (BgL_test1950z00_3528)
													{	/* Module/pragma.scm 205 */
														BgL_typez00_bglt BgL_typez00_1549;
														BgL_valuez00_bglt BgL_valuez00_1550;

														BgL_typez00_1549 =
															BGl_usezd2typez12zc0zztype_envz00(CAR
															(BgL_valz00_1474),
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_propz00_13));
														BgL_valuez00_1550 =
															(((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt) (
																			(BgL_globalz00_bglt)
																			BgL_globalz00_12))))->BgL_valuez00);
														{	/* Module/pragma.scm 207 */
															bool_t BgL_test1952z00_3540;

															{	/* Module/pragma.scm 207 */
																obj_t BgL_classz00_2426;

																BgL_classz00_2426 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 207 */
																	BgL_objectz00_bglt BgL_arg1858z00_2428;

																	{	/* Module/pragma.scm 207 */
																		obj_t BgL_tmpz00_3541;

																		BgL_tmpz00_3541 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1550));
																		BgL_arg1858z00_2428 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3541);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 207 */
																			long BgL_idxz00_2434;

																			BgL_idxz00_2434 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2428);
																			BgL_test1952z00_3540 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2434 + 2L)) ==
																				BgL_classz00_2426);
																		}
																	else
																		{	/* Module/pragma.scm 207 */
																			bool_t BgL_res1769z00_2459;

																			{	/* Module/pragma.scm 207 */
																				obj_t BgL_oclassz00_2442;

																				{	/* Module/pragma.scm 207 */
																					obj_t BgL_arg1866z00_2450;
																					long BgL_arg1867z00_2451;

																					BgL_arg1866z00_2450 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/pragma.scm 207 */
																						long BgL_arg1869z00_2452;

																						BgL_arg1869z00_2452 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2428);
																						BgL_arg1867z00_2451 =
																							(BgL_arg1869z00_2452 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2442 =
																						VECTOR_REF(BgL_arg1866z00_2450,
																						BgL_arg1867z00_2451);
																				}
																				{	/* Module/pragma.scm 207 */
																					bool_t BgL__ortest_1115z00_2443;

																					BgL__ortest_1115z00_2443 =
																						(BgL_classz00_2426 ==
																						BgL_oclassz00_2442);
																					if (BgL__ortest_1115z00_2443)
																						{	/* Module/pragma.scm 207 */
																							BgL_res1769z00_2459 =
																								BgL__ortest_1115z00_2443;
																						}
																					else
																						{	/* Module/pragma.scm 207 */
																							long BgL_odepthz00_2444;

																							{	/* Module/pragma.scm 207 */
																								obj_t BgL_arg1855z00_2445;

																								BgL_arg1855z00_2445 =
																									(BgL_oclassz00_2442);
																								BgL_odepthz00_2444 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2445);
																							}
																							if ((2L < BgL_odepthz00_2444))
																								{	/* Module/pragma.scm 207 */
																									obj_t BgL_arg1853z00_2447;

																									{	/* Module/pragma.scm 207 */
																										obj_t BgL_arg1854z00_2448;

																										BgL_arg1854z00_2448 =
																											(BgL_oclassz00_2442);
																										BgL_arg1853z00_2447 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2448, 2L);
																									}
																									BgL_res1769z00_2459 =
																										(BgL_arg1853z00_2447 ==
																										BgL_classz00_2426);
																								}
																							else
																								{	/* Module/pragma.scm 207 */
																									BgL_res1769z00_2459 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1952z00_3540 =
																				BgL_res1769z00_2459;
																		}
																}
															}
															if (BgL_test1952z00_3540)
																{	/* Module/pragma.scm 207 */
																	((((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						BgL_valuez00_1550)))->
																			BgL_predicatezd2ofzd2) =
																		((obj_t) ((obj_t) BgL_typez00_1549)),
																		BUNSPEC);
																	BGl_removezd2varzd2fromz12z12zzast_removez00((
																			(obj_t) CNST_TABLE_REF(16)),
																		((BgL_variablez00_bglt) BgL_globalz00_12));
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1550)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BFALSE), BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 207 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1795z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 203 */
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string1793z00zzmodule_pragmaz00,
															BGl_string1796z00zzmodule_pragmaz00,
															BgL_propz00_13, BNIL);
													}
											}
										else
											{	/* Module/pragma.scm 200 */
												if ((BgL_keyz00_1473 == ((obj_t) CNST_TABLE_REF(17))))
													{	/* Module/pragma.scm 218 */
														BgL_valuez00_bglt BgL_valuez00_1558;

														BgL_valuez00_1558 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_globalz00_12))))->
															BgL_valuez00);
														{	/* Module/pragma.scm 219 */
															bool_t BgL_test1957z00_3583;

															{	/* Module/pragma.scm 219 */
																obj_t BgL_classz00_2464;

																BgL_classz00_2464 = BGl_funz00zzast_varz00;
																{	/* Module/pragma.scm 219 */
																	BgL_objectz00_bglt BgL_arg1858z00_2466;

																	{	/* Module/pragma.scm 219 */
																		obj_t BgL_tmpz00_3584;

																		BgL_tmpz00_3584 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_valuez00_1558));
																		BgL_arg1858z00_2466 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3584);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/pragma.scm 219 */
																			long BgL_idxz00_2472;

																			BgL_idxz00_2472 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2466);
																			BgL_test1957z00_3583 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2472 + 2L)) ==
																				BgL_classz00_2464);
																		}
																	else
																		{	/* Module/pragma.scm 219 */
																			bool_t BgL_res1770z00_2497;

																			{	/* Module/pragma.scm 219 */
																				obj_t BgL_oclassz00_2480;

																				{	/* Module/pragma.scm 219 */
																					obj_t BgL_arg1866z00_2488;
																					long BgL_arg1867z00_2489;

																					BgL_arg1866z00_2488 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/pragma.scm 219 */
																						long BgL_arg1869z00_2490;

																						BgL_arg1869z00_2490 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2466);
																						BgL_arg1867z00_2489 =
																							(BgL_arg1869z00_2490 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2480 =
																						VECTOR_REF(BgL_arg1866z00_2488,
																						BgL_arg1867z00_2489);
																				}
																				{	/* Module/pragma.scm 219 */
																					bool_t BgL__ortest_1115z00_2481;

																					BgL__ortest_1115z00_2481 =
																						(BgL_classz00_2464 ==
																						BgL_oclassz00_2480);
																					if (BgL__ortest_1115z00_2481)
																						{	/* Module/pragma.scm 219 */
																							BgL_res1770z00_2497 =
																								BgL__ortest_1115z00_2481;
																						}
																					else
																						{	/* Module/pragma.scm 219 */
																							long BgL_odepthz00_2482;

																							{	/* Module/pragma.scm 219 */
																								obj_t BgL_arg1855z00_2483;

																								BgL_arg1855z00_2483 =
																									(BgL_oclassz00_2480);
																								BgL_odepthz00_2482 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2483);
																							}
																							if ((2L < BgL_odepthz00_2482))
																								{	/* Module/pragma.scm 219 */
																									obj_t BgL_arg1853z00_2485;

																									{	/* Module/pragma.scm 219 */
																										obj_t BgL_arg1854z00_2486;

																										BgL_arg1854z00_2486 =
																											(BgL_oclassz00_2480);
																										BgL_arg1853z00_2485 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2486, 2L);
																									}
																									BgL_res1770z00_2497 =
																										(BgL_arg1853z00_2485 ==
																										BgL_classz00_2464);
																								}
																							else
																								{	/* Module/pragma.scm 219 */
																									BgL_res1770z00_2497 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1957z00_3583 =
																				BgL_res1770z00_2497;
																		}
																}
															}
															if (BgL_test1957z00_3583)
																{	/* Module/pragma.scm 221 */
																	BgL_feffectz00_bglt BgL_arg1400z00_1560;

																	BgL_arg1400z00_1560 =
																		BGl_parsezd2effectzd2zzeffect_feffectz00
																		(BgL_propz00_13);
																	return ((((BgL_funz00_bglt)
																				COBJECT(((BgL_funz00_bglt)
																						BgL_valuez00_1558)))->
																			BgL_effectz00) =
																		((obj_t) ((obj_t) BgL_arg1400z00_1560)),
																		BUNSPEC);
																}
															else
																{	/* Module/pragma.scm 219 */
																	return
																		BGl_sfunzd2errorzd2zzmodule_pragmaz00
																		(BGl_string1797z00zzmodule_pragmaz00,
																		((BgL_globalz00_bglt) BgL_globalz00_12));
																}
														}
													}
												else
													{	/* Module/pragma.scm 200 */
														if (
															(BgL_keyz00_1473 == ((obj_t) CNST_TABLE_REF(18))))
															{	/* Module/pragma.scm 223 */
																BgL_valuez00_bglt BgL_valuez00_1562;

																BgL_valuez00_1562 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12))))->BgL_valuez00);
																{	/* Module/pragma.scm 224 */
																	bool_t BgL_test1962z00_3620;

																	{	/* Module/pragma.scm 224 */
																		obj_t BgL_classz00_2501;

																		BgL_classz00_2501 = BGl_funz00zzast_varz00;
																		{	/* Module/pragma.scm 224 */
																			BgL_objectz00_bglt BgL_arg1858z00_2503;

																			{	/* Module/pragma.scm 224 */
																				obj_t BgL_tmpz00_3621;

																				BgL_tmpz00_3621 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valuez00_1562));
																				BgL_arg1858z00_2503 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3621);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/pragma.scm 224 */
																					long BgL_idxz00_2509;

																					BgL_idxz00_2509 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2503);
																					BgL_test1962z00_3620 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2509 + 2L)) ==
																						BgL_classz00_2501);
																				}
																			else
																				{	/* Module/pragma.scm 224 */
																					bool_t BgL_res1771z00_2534;

																					{	/* Module/pragma.scm 224 */
																						obj_t BgL_oclassz00_2517;

																						{	/* Module/pragma.scm 224 */
																							obj_t BgL_arg1866z00_2525;
																							long BgL_arg1867z00_2526;

																							BgL_arg1866z00_2525 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/pragma.scm 224 */
																								long BgL_arg1869z00_2527;

																								BgL_arg1869z00_2527 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2503);
																								BgL_arg1867z00_2526 =
																									(BgL_arg1869z00_2527 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2517 =
																								VECTOR_REF(BgL_arg1866z00_2525,
																								BgL_arg1867z00_2526);
																						}
																						{	/* Module/pragma.scm 224 */
																							bool_t BgL__ortest_1115z00_2518;

																							BgL__ortest_1115z00_2518 =
																								(BgL_classz00_2501 ==
																								BgL_oclassz00_2517);
																							if (BgL__ortest_1115z00_2518)
																								{	/* Module/pragma.scm 224 */
																									BgL_res1771z00_2534 =
																										BgL__ortest_1115z00_2518;
																								}
																							else
																								{	/* Module/pragma.scm 224 */
																									long BgL_odepthz00_2519;

																									{	/* Module/pragma.scm 224 */
																										obj_t BgL_arg1855z00_2520;

																										BgL_arg1855z00_2520 =
																											(BgL_oclassz00_2517);
																										BgL_odepthz00_2519 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2520);
																									}
																									if ((2L < BgL_odepthz00_2519))
																										{	/* Module/pragma.scm 224 */
																											obj_t BgL_arg1853z00_2522;

																											{	/* Module/pragma.scm 224 */
																												obj_t
																													BgL_arg1854z00_2523;
																												BgL_arg1854z00_2523 =
																													(BgL_oclassz00_2517);
																												BgL_arg1853z00_2522 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2523,
																													2L);
																											}
																											BgL_res1771z00_2534 =
																												(BgL_arg1853z00_2522 ==
																												BgL_classz00_2501);
																										}
																									else
																										{	/* Module/pragma.scm 224 */
																											BgL_res1771z00_2534 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test1962z00_3620 =
																						BgL_res1771z00_2534;
																				}
																		}
																	}
																	if (BgL_test1962z00_3620)
																		{	/* Module/pragma.scm 224 */
																			return
																				((((BgL_funz00_bglt) COBJECT(
																							((BgL_funz00_bglt)
																								BgL_valuez00_1562)))->
																					BgL_stackzd2allocatorzd2) =
																				((obj_t) BgL_valz00_1474), BUNSPEC);
																		}
																	else
																		{	/* Module/pragma.scm 224 */
																			return
																				BGl_sfunzd2errorzd2zzmodule_pragmaz00
																				(BGl_string1798z00zzmodule_pragmaz00,
																				((BgL_globalz00_bglt)
																					BgL_globalz00_12));
																		}
																}
															}
														else
															{	/* Module/pragma.scm 200 */
																if (
																	(BgL_keyz00_1473 ==
																		((obj_t) CNST_TABLE_REF(19))))
																	{	/* Module/pragma.scm 200 */
																		return
																			BGl_argszd2noescapezd2zzmodule_pragmaz00
																			(BgL_globalz00_12, BgL_valz00_1474,
																			BGl_funzd2argszd2noescapezd2envzd2zzast_varz00,
																			BGl_funzd2argszd2noescapezd2setz12zd2envz12zzast_varz00);
																	}
																else
																	{	/* Module/pragma.scm 200 */
																		if (
																			(BgL_keyz00_1473 ==
																				((obj_t) CNST_TABLE_REF(20))))
																			{	/* Module/pragma.scm 200 */
																				return
																					BGl_argszd2noescapezd2zzmodule_pragmaz00
																					(BgL_globalz00_12, BgL_valz00_1474,
																					BGl_funzd2argszd2retescapezd2envzd2zzast_varz00,
																					BGl_funzd2argszd2retescapezd2setz12zd2envz12zzast_varz00);
																			}
																		else
																			{	/* Module/pragma.scm 232 */
																				obj_t BgL_list1409z00_1566;

																				BgL_list1409z00_1566 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BGl_string1793z00zzmodule_pragmaz00,
																					BGl_string1794z00zzmodule_pragmaz00,
																					BgL_propz00_13, BgL_list1409z00_1566);
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Module/pragma.scm 124 */
									BgL_tagzd2152zd2_1476:
										{	/* Module/pragma.scm 235 */
											obj_t BgL_arg1414z00_1567;

											{	/* Module/pragma.scm 235 */
												obj_t BgL_list1416z00_1569;

												BgL_list1416z00_1569 =
													MAKE_YOUNG_PAIR(BgL_propz00_13, BNIL);
												BgL_arg1414z00_1567 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string1799z00zzmodule_pragmaz00,
													BgL_list1416z00_1569);
											}
											{	/* Module/pragma.scm 234 */
												obj_t BgL_list1415z00_1568;

												BgL_list1415z00_1568 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1793z00zzmodule_pragmaz00,
													BgL_arg1414z00_1567, BgL_clausez00_14,
													BgL_list1415z00_1568);
											}
										}
									}
							}
						else
							{	/* Module/pragma.scm 124 */
								goto BgL_tagzd2152zd2_1476;
							}
					}
			}
		}

	}



/* args-noescape */
	obj_t BGl_argszd2noescapezd2zzmodule_pragmaz00(obj_t BgL_globalz00_15,
		obj_t BgL_valz00_16, obj_t BgL_pgetz00_17, obj_t BgL_psetz00_18)
	{
		{	/* Module/pragma.scm 242 */
			{	/* Module/pragma.scm 244 */
				BgL_valuez00_bglt BgL_valuez00_1570;

				BgL_valuez00_1570 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_15))))->BgL_valuez00);
				{	/* Module/pragma.scm 245 */
					bool_t BgL_test1968z00_3667;

					{	/* Module/pragma.scm 245 */
						obj_t BgL_classz00_2541;

						BgL_classz00_2541 = BGl_funz00zzast_varz00;
						{	/* Module/pragma.scm 245 */
							BgL_objectz00_bglt BgL_arg1858z00_2543;

							{	/* Module/pragma.scm 245 */
								obj_t BgL_tmpz00_3668;

								BgL_tmpz00_3668 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1570));
								BgL_arg1858z00_2543 = (BgL_objectz00_bglt) (BgL_tmpz00_3668);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Module/pragma.scm 245 */
									long BgL_idxz00_2549;

									BgL_idxz00_2549 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2543);
									BgL_test1968z00_3667 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2549 + 2L)) == BgL_classz00_2541);
								}
							else
								{	/* Module/pragma.scm 245 */
									bool_t BgL_res1772z00_2574;

									{	/* Module/pragma.scm 245 */
										obj_t BgL_oclassz00_2557;

										{	/* Module/pragma.scm 245 */
											obj_t BgL_arg1866z00_2565;
											long BgL_arg1867z00_2566;

											BgL_arg1866z00_2565 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Module/pragma.scm 245 */
												long BgL_arg1869z00_2567;

												BgL_arg1869z00_2567 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2543);
												BgL_arg1867z00_2566 =
													(BgL_arg1869z00_2567 - OBJECT_TYPE);
											}
											BgL_oclassz00_2557 =
												VECTOR_REF(BgL_arg1866z00_2565, BgL_arg1867z00_2566);
										}
										{	/* Module/pragma.scm 245 */
											bool_t BgL__ortest_1115z00_2558;

											BgL__ortest_1115z00_2558 =
												(BgL_classz00_2541 == BgL_oclassz00_2557);
											if (BgL__ortest_1115z00_2558)
												{	/* Module/pragma.scm 245 */
													BgL_res1772z00_2574 = BgL__ortest_1115z00_2558;
												}
											else
												{	/* Module/pragma.scm 245 */
													long BgL_odepthz00_2559;

													{	/* Module/pragma.scm 245 */
														obj_t BgL_arg1855z00_2560;

														BgL_arg1855z00_2560 = (BgL_oclassz00_2557);
														BgL_odepthz00_2559 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2560);
													}
													if ((2L < BgL_odepthz00_2559))
														{	/* Module/pragma.scm 245 */
															obj_t BgL_arg1853z00_2562;

															{	/* Module/pragma.scm 245 */
																obj_t BgL_arg1854z00_2563;

																BgL_arg1854z00_2563 = (BgL_oclassz00_2557);
																BgL_arg1853z00_2562 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2563,
																	2L);
															}
															BgL_res1772z00_2574 =
																(BgL_arg1853z00_2562 == BgL_classz00_2541);
														}
													else
														{	/* Module/pragma.scm 245 */
															BgL_res1772z00_2574 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1968z00_3667 = BgL_res1772z00_2574;
								}
						}
					}
					if (BgL_test1968z00_3667)
						{	/* Module/pragma.scm 245 */
							if (NULLP(BgL_valz00_16))
								{	/* Module/pragma.scm 248 */
									return
										BGL_PROCEDURE_CALL2(BgL_psetz00_18,
										((obj_t) BgL_valuez00_1570), ((obj_t) CNST_TABLE_REF(21)));
								}
							else
								{	/* Module/pragma.scm 248 */
									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(CAR(
												((obj_t) BgL_valz00_16))))
										{	/* Module/pragma.scm 251 */
											obj_t BgL_arg1457z00_1575;

											{	/* Module/pragma.scm 251 */
												obj_t BgL_arg1471z00_1576;

												BgL_arg1471z00_1576 =
													BGL_PROCEDURE_CALL1(BgL_pgetz00_17,
													((obj_t) BgL_valuez00_1570));
												BgL_arg1457z00_1575 =
													BGl_appendzd221011zd2zzmodule_pragmaz00(BgL_valz00_16,
													BgL_arg1471z00_1576);
											}
											return
												BGL_PROCEDURE_CALL2(BgL_psetz00_18,
												((obj_t) BgL_valuez00_1570), BgL_arg1457z00_1575);
										}
									else
										{	/* Module/pragma.scm 252 */
											bool_t BgL_test1974z00_3717;

											{	/* Module/pragma.scm 252 */
												obj_t BgL_tmpz00_3718;

												BgL_tmpz00_3718 = CAR(((obj_t) BgL_valz00_16));
												BgL_test1974z00_3717 = SYMBOLP(BgL_tmpz00_3718);
											}
											if (BgL_test1974z00_3717)
												{	/* Module/pragma.scm 253 */
													bool_t BgL_test1975z00_3722;

													{	/* Module/pragma.scm 253 */
														obj_t BgL_classz00_2577;

														BgL_classz00_2577 = BGl_sfunz00zzast_varz00;
														{	/* Module/pragma.scm 253 */
															BgL_objectz00_bglt BgL_arg1858z00_2579;

															{	/* Module/pragma.scm 253 */
																obj_t BgL_tmpz00_3723;

																BgL_tmpz00_3723 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valuez00_1570));
																BgL_arg1858z00_2579 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3723);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/pragma.scm 253 */
																	long BgL_idxz00_2585;

																	BgL_idxz00_2585 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2579);
																	BgL_test1975z00_3722 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2585 + 3L)) ==
																		BgL_classz00_2577);
																}
															else
																{	/* Module/pragma.scm 253 */
																	bool_t BgL_res1773z00_2610;

																	{	/* Module/pragma.scm 253 */
																		obj_t BgL_oclassz00_2593;

																		{	/* Module/pragma.scm 253 */
																			obj_t BgL_arg1866z00_2601;
																			long BgL_arg1867z00_2602;

																			BgL_arg1866z00_2601 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Module/pragma.scm 253 */
																				long BgL_arg1869z00_2603;

																				BgL_arg1869z00_2603 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2579);
																				BgL_arg1867z00_2602 =
																					(BgL_arg1869z00_2603 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2593 =
																				VECTOR_REF(BgL_arg1866z00_2601,
																				BgL_arg1867z00_2602);
																		}
																		{	/* Module/pragma.scm 253 */
																			bool_t BgL__ortest_1115z00_2594;

																			BgL__ortest_1115z00_2594 =
																				(BgL_classz00_2577 ==
																				BgL_oclassz00_2593);
																			if (BgL__ortest_1115z00_2594)
																				{	/* Module/pragma.scm 253 */
																					BgL_res1773z00_2610 =
																						BgL__ortest_1115z00_2594;
																				}
																			else
																				{	/* Module/pragma.scm 253 */
																					long BgL_odepthz00_2595;

																					{	/* Module/pragma.scm 253 */
																						obj_t BgL_arg1855z00_2596;

																						BgL_arg1855z00_2596 =
																							(BgL_oclassz00_2593);
																						BgL_odepthz00_2595 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2596);
																					}
																					if ((3L < BgL_odepthz00_2595))
																						{	/* Module/pragma.scm 253 */
																							obj_t BgL_arg1853z00_2598;

																							{	/* Module/pragma.scm 253 */
																								obj_t BgL_arg1854z00_2599;

																								BgL_arg1854z00_2599 =
																									(BgL_oclassz00_2593);
																								BgL_arg1853z00_2598 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2599, 3L);
																							}
																							BgL_res1773z00_2610 =
																								(BgL_arg1853z00_2598 ==
																								BgL_classz00_2577);
																						}
																					else
																						{	/* Module/pragma.scm 253 */
																							BgL_res1773z00_2610 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1975z00_3722 = BgL_res1773z00_2610;
																}
														}
													}
													if (BgL_test1975z00_3722)
														{	/* Module/pragma.scm 253 */
															{	/* Module/pragma.scm 257 */
																bool_t BgL_test1979z00_3746;

																{	/* Module/pragma.scm 257 */
																	obj_t BgL_arg1487z00_1582;

																	BgL_arg1487z00_1582 =
																		BGL_PROCEDURE_CALL1(BgL_pgetz00_17,
																		((obj_t) BgL_valuez00_1570));
																	BgL_test1979z00_3746 =
																		(BgL_arg1487z00_1582 == BUNSPEC);
																}
																if (BgL_test1979z00_3746)
																	{	/* Module/pragma.scm 257 */
																		BGL_PROCEDURE_CALL2(BgL_psetz00_18,
																			((obj_t) BgL_valuez00_1570), BNIL);
																	}
																else
																	{	/* Module/pragma.scm 257 */
																		BFALSE;
																	}
															}
															{	/* Module/pragma.scm 259 */
																obj_t BgL_g1105z00_1583;

																BgL_g1105z00_1583 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_valuez00_1570)))->
																	BgL_argszd2namezd2);
																{
																	long BgL_iz00_1585;
																	obj_t BgL_argsz00_1586;

																	BgL_iz00_1585 = 0L;
																	BgL_argsz00_1586 = BgL_g1105z00_1583;
																BgL_zc3z04anonymousza31488ze3z87_1587:
																	if (NULLP(BgL_argsz00_1586))
																		{	/* Module/pragma.scm 262 */
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_string1793z00zzmodule_pragmaz00,
																				BGl_string1800z00zzmodule_pragmaz00,
																				BgL_valz00_16, BNIL);
																		}
																	else
																		{	/* Module/pragma.scm 262 */
																			if (
																				(CAR(
																						((obj_t) BgL_argsz00_1586)) ==
																					CAR(((obj_t) BgL_valz00_16))))
																				{	/* Module/pragma.scm 267 */
																					obj_t BgL_arg1513z00_1593;

																					{	/* Module/pragma.scm 267 */
																						obj_t BgL_arg1515z00_1594;

																						BgL_arg1515z00_1594 =
																							BGL_PROCEDURE_CALL1
																							(BgL_pgetz00_17,
																							((obj_t) BgL_valuez00_1570));
																						BgL_arg1513z00_1593 =
																							MAKE_YOUNG_PAIR(BINT
																							(BgL_iz00_1585),
																							BgL_arg1515z00_1594);
																					}
																					return
																						BGL_PROCEDURE_CALL2(BgL_psetz00_18,
																						((obj_t) BgL_valuez00_1570),
																						BgL_arg1513z00_1593);
																				}
																			else
																				{	/* Module/pragma.scm 269 */
																					long BgL_arg1516z00_1595;
																					obj_t BgL_arg1530z00_1596;

																					BgL_arg1516z00_1595 =
																						(BgL_iz00_1585 + 1L);
																					BgL_arg1530z00_1596 =
																						CDR(((obj_t) BgL_argsz00_1586));
																					{
																						obj_t BgL_argsz00_3787;
																						long BgL_iz00_3786;

																						BgL_iz00_3786 = BgL_arg1516z00_1595;
																						BgL_argsz00_3787 =
																							BgL_arg1530z00_1596;
																						BgL_argsz00_1586 = BgL_argsz00_3787;
																						BgL_iz00_1585 = BgL_iz00_3786;
																						goto
																							BgL_zc3z04anonymousza31488ze3z87_1587;
																					}
																				}
																		}
																}
															}
														}
													else
														{	/* Module/pragma.scm 253 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1793z00zzmodule_pragmaz00,
																BGl_string1801z00zzmodule_pragmaz00,
																BgL_valz00_16, BNIL);
														}
												}
											else
												{	/* Module/pragma.scm 270 */
													bool_t BgL_test1982z00_3789;

													{	/* Module/pragma.scm 270 */
														obj_t BgL_arg1558z00_1607;

														BgL_arg1558z00_1607 =
															BGL_PROCEDURE_CALL1(BgL_pgetz00_17,
															((obj_t) BgL_valuez00_1570));
														BgL_test1982z00_3789 =
															(BgL_arg1558z00_1607 == BUNSPEC);
													}
													if (BgL_test1982z00_3789)
														{	/* Module/pragma.scm 271 */
															obj_t BgL_arg1545z00_1603;

															{	/* Module/pragma.scm 271 */
																obj_t BgL_list1546z00_1604;

																BgL_list1546z00_1604 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16, BNIL);
																BgL_arg1545z00_1603 = BgL_list1546z00_1604;
															}
															return
																BGL_PROCEDURE_CALL2(BgL_psetz00_18,
																((obj_t) BgL_valuez00_1570),
																BgL_arg1545z00_1603);
														}
													else
														{	/* Module/pragma.scm 273 */
															obj_t BgL_arg1553z00_1605;

															{	/* Module/pragma.scm 273 */
																obj_t BgL_arg1554z00_1606;

																BgL_arg1554z00_1606 =
																	BGL_PROCEDURE_CALL1(BgL_pgetz00_17,
																	((obj_t) BgL_valuez00_1570));
																BgL_arg1553z00_1605 =
																	MAKE_YOUNG_PAIR(BgL_valz00_16,
																	BgL_arg1554z00_1606);
															}
															return
																BGL_PROCEDURE_CALL2(BgL_psetz00_18,
																((obj_t) BgL_valuez00_1570),
																BgL_arg1553z00_1605);
														}
												}
										}
								}
						}
					else
						{	/* Module/pragma.scm 245 */
							return
								BGl_sfunzd2errorzd2zzmodule_pragmaz00
								(BGl_string1802z00zzmodule_pragmaz00,
								((BgL_globalz00_bglt) BgL_globalz00_15));
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_pragmaz00(void)
	{
		{	/* Module/pragma.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(428236825L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(516374368L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1803z00zzmodule_pragmaz00));
		}

	}

#ifdef __cplusplus
}
#endif
