/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/1occ.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_1OCC_TYPE_DEFINITIONS
#define BGL_REDUCE_1OCC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_1OCC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd21occz121320za2zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_privatez00zzast_nodez00;
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = 0L;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ1966z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711967za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1932z00zzreduce_1occz00,
		BgL_bgl_string1932za700za7za7r1968za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string1933z00zzreduce_1occz00,
		BgL_bgl_string1933za700za7za7r1969za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string1935z00zzreduce_1occz00,
		BgL_bgl_string1935za700za7za7r1970za7, "node-1occ!1320", 14);
	      DEFINE_STRING(BGl_string1936z00zzreduce_1occz00,
		BgL_bgl_string1936za700za7za7r1971za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1938z00zzreduce_1occz00,
		BgL_bgl_string1938za700za7za7r1972za7, "node-1occ!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711973za7,
		BGl_z62nodezd21occz121320za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711974za7,
		BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711975za7,
		BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711976za7,
		BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711977za7,
		BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711978za7,
		BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711979za7,
		BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711980za7,
		BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711981za7,
		BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711982za7,
		BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711983za7,
		BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711984za7,
		BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711985za7,
		BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711986za7,
		BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711987za7,
		BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711988za7,
		BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711989za7,
		BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711990za7,
		BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711991za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711992za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1963z00zzreduce_1occz00,
		BgL_bgl_string1963za700za7za7r1993za7, "reduce_1occ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711994za7,
		BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1964z00zzreduce_1occz00,
		BgL_bgl_string1964za700za7za7r1995za7, "never node-1occ!1320 read ", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711996za7,
		BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711997za7,
		BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711998za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza711999za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712000za7,
		BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_1occz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2638, char *BgL_fromz00_2639)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_1occz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					return BGl_toplevelzd2initzd2zzreduce_1occz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"reduce_1occ");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2452;

				{	/* Reduce/1occ.scm 16 */
					obj_t BgL_stringz00_2459;

					BgL_stringz00_2459 = BGl_string1964z00zzreduce_1occz00;
					{	/* Reduce/1occ.scm 16 */
						obj_t BgL_startz00_2460;

						BgL_startz00_2460 = BINT(0L);
						{	/* Reduce/1occ.scm 16 */
							obj_t BgL_endz00_2461;

							BgL_endz00_2461 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2459)));
							{	/* Reduce/1occ.scm 16 */

								BgL_cportz00_2452 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2459, BgL_startz00_2460, BgL_endz00_2461);
				}}}}
				{
					long BgL_iz00_2453;

					BgL_iz00_2453 = 2L;
				BgL_loopz00_2454:
					if ((BgL_iz00_2453 == (-1L)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg1965z00_2455;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2457;

										BgL_locationz00_2457 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg1965z00_2455 =
												BGl_readz00zz__readerz00(BgL_cportz00_2452,
												BgL_locationz00_2457);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_tmpz00_2670;

									BgL_tmpz00_2670 = (int) (BgL_iz00_2453);
									CNST_TABLE_SET(BgL_tmpz00_2670, BgL_arg1965z00_2455);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2458;

								BgL_auxz00_2458 = (int) ((BgL_iz00_2453 - 1L));
								{
									long BgL_iz00_2675;

									BgL_iz00_2675 = (long) (BgL_auxz00_2458);
									BgL_iz00_2453 = BgL_iz00_2675;
									goto BgL_loopz00_2454;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = 0L;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1406;

					BgL_headz00_1406 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1407;
						obj_t BgL_tailz00_1408;

						BgL_prevz00_1407 = BgL_headz00_1406;
						BgL_tailz00_1408 = BgL_l1z00_1;
					BgL_loopz00_1409:
						if (PAIRP(BgL_tailz00_1408))
							{
								obj_t BgL_newzd2prevzd2_1411;

								BgL_newzd2prevzd2_1411 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1408), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1407, BgL_newzd2prevzd2_1411);
								{
									obj_t BgL_tailz00_2687;
									obj_t BgL_prevz00_2686;

									BgL_prevz00_2686 = BgL_newzd2prevzd2_1411;
									BgL_tailz00_2687 = CDR(BgL_tailz00_1408);
									BgL_tailz00_1408 = BgL_tailz00_2687;
									BgL_prevz00_1407 = BgL_prevz00_2686;
									goto BgL_loopz00_1409;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1406);
					}
				}
		}

	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/1occ.scm 37 */
			{	/* Reduce/1occ.scm 38 */
				obj_t BgL_list1380z00_1414;

				BgL_list1380z00_1414 =
					MAKE_YOUNG_PAIR(BGl_string1932z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1380z00_1414);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = 0L;
			{
				obj_t BgL_l1262z00_1416;

				BgL_l1262z00_1416 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31381ze3z87_1417:
				if (PAIRP(BgL_l1262z00_1416))
					{	/* Reduce/1occ.scm 44 */
						{	/* Reduce/1occ.scm 45 */
							obj_t BgL_globalz00_1419;

							BgL_globalz00_1419 = CAR(BgL_l1262z00_1416);
							{	/* Reduce/1occ.scm 45 */
								BgL_valuez00_bglt BgL_funz00_1420;

								BgL_funz00_1420 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1419))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 45 */
									obj_t BgL_nodez00_1421;

									BgL_nodez00_1421 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1420)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 46 */

										{	/* Reduce/1occ.scm 47 */
											obj_t BgL_arg1383z00_1422;

											{	/* Reduce/1occ.scm 47 */
												obj_t BgL__z00_1423;

												BgL__z00_1423 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1421), BNIL);
												{	/* Reduce/1occ.scm 48 */
													obj_t BgL_nodez00_1424;

													{	/* Reduce/1occ.scm 48 */
														obj_t BgL_tmpz00_2076;

														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2704;

															BgL_tmpz00_2704 = (int) (1L);
															BgL_tmpz00_2076 =
																BGL_MVALUES_VAL(BgL_tmpz00_2704);
														}
														{	/* Reduce/1occ.scm 48 */
															int BgL_tmpz00_2707;

															BgL_tmpz00_2707 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_2707, BUNSPEC);
														}
														BgL_nodez00_1424 = BgL_tmpz00_2076;
													}
													BgL_arg1383z00_1422 = BgL_nodez00_1424;
											}}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1420)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1383z00_1422), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1262z00_2712;

							BgL_l1262z00_2712 = CDR(BgL_l1262z00_1416);
							BgL_l1262z00_1416 = BgL_l1262z00_2712;
							goto BgL_zc3z04anonymousza31381ze3z87_1417;
						}
					}
				else
					{	/* Reduce/1occ.scm 44 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 52 */
				obj_t BgL_list1386z00_1427;

				{	/* Reduce/1occ.scm 52 */
					obj_t BgL_arg1388z00_1428;

					{	/* Reduce/1occ.scm 52 */
						obj_t BgL_arg1390z00_1429;

						{	/* Reduce/1occ.scm 52 */
							obj_t BgL_arg1392z00_1430;

							BgL_arg1392z00_1430 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1390z00_1429 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1392z00_1430);
						}
						BgL_arg1388z00_1428 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1390z00_1429);
					}
					BgL_list1386z00_1427 =
						MAKE_YOUNG_PAIR(BGl_string1933z00zzreduce_1occz00,
						BgL_arg1388z00_1428);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1386z00_1427);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2343,
		obj_t BgL_globalsz00_2344)
	{
		{	/* Reduce/1occ.scm 37 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2344);
		}

	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_40, obj_t BgL_1zd2expza2z70_41)
	{
		{	/* Reduce/1occ.scm 279 */
			{
				obj_t BgL_obindingsz00_1435;
				bool_t BgL_resetz00_1436;
				obj_t BgL_extendz00_1437;

				BgL_obindingsz00_1435 =
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->BgL_bindingsz00);
				BgL_resetz00_1436 = ((bool_t) 0);
				BgL_extendz00_1437 = BNIL;
			BgL_zc3z04anonymousza31401ze3z87_1438:
				if (NULLP(BgL_obindingsz00_1435))
					{	/* Reduce/1occ.scm 285 */
						bool_t BgL_test2007z00_2726;

						if (BgL_resetz00_1436)
							{	/* Reduce/1occ.scm 285 */
								BgL_test2007z00_2726 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 285 */
								BgL_test2007z00_2726 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00));
							}
						if (BgL_test2007z00_2726)
							{	/* Reduce/1occ.scm 286 */
								obj_t BgL_resetz72z72_1442;

								BgL_resetz72z72_1442 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
										BgL_bodyz00), BNIL);
								{	/* Reduce/1occ.scm 287 */
									obj_t BgL_nbodyz00_1443;

									{	/* Reduce/1occ.scm 288 */
										obj_t BgL_tmpz00_2079;

										{	/* Reduce/1occ.scm 288 */
											int BgL_tmpz00_2732;

											BgL_tmpz00_2732 = (int) (1L);
											BgL_tmpz00_2079 = BGL_MVALUES_VAL(BgL_tmpz00_2732);
										}
										{	/* Reduce/1occ.scm 288 */
											int BgL_tmpz00_2735;

											BgL_tmpz00_2735 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2735, BUNSPEC);
										}
										BgL_nbodyz00_1443 = BgL_tmpz00_2079;
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1443)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 289 */
										int BgL_tmpz00_2740;

										BgL_tmpz00_2740 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2740);
									}
									{	/* Reduce/1occ.scm 289 */
										obj_t BgL_auxz00_2745;
										int BgL_tmpz00_2743;

										BgL_auxz00_2745 = ((obj_t) BgL_nodez00_40);
										BgL_tmpz00_2743 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_2743, BgL_auxz00_2745);
									}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 290 */
								obj_t BgL_1zd2expza2z72z02_1447;

								BgL_1zd2expza2z72z02_1447 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1437,
									BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 291 */
									obj_t BgL_resetz72z72_1448;

									BgL_resetz72z72_1448 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1447);
									{	/* Reduce/1occ.scm 292 */
										obj_t BgL_nbodyz00_1449;

										{	/* Reduce/1occ.scm 293 */
											obj_t BgL_tmpz00_2080;

											{	/* Reduce/1occ.scm 293 */
												int BgL_tmpz00_2751;

												BgL_tmpz00_2751 = (int) (1L);
												BgL_tmpz00_2080 = BGL_MVALUES_VAL(BgL_tmpz00_2751);
											}
											{	/* Reduce/1occ.scm 293 */
												int BgL_tmpz00_2754;

												BgL_tmpz00_2754 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_2754, BUNSPEC);
											}
											BgL_nbodyz00_1449 = BgL_tmpz00_2080;
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1449)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1453;
											obj_t BgL_nbindingsz00_1454;

											BgL_obindingsz00_1453 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1454 = BNIL;
										BgL_zc3z04anonymousza31416ze3z87_1455:
											if (NULLP(BgL_obindingsz00_1453))
												{	/* Reduce/1occ.scm 300 */
													bool_t BgL_test2010z00_2761;

													if (
														(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_40))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 300 */
															BgL_test2010z00_2761 =
																NULLP(BgL_nbindingsz00_1454);
														}
													else
														{	/* Reduce/1occ.scm 300 */
															BgL_test2010z00_2761 = ((bool_t) 0);
														}
													if (BgL_test2010z00_2761)
														{	/* Reduce/1occ.scm 300 */
															{	/* Reduce/1occ.scm 305 */
																BgL_nodez00_bglt BgL_val1_1299z00_1460;

																BgL_val1_1299z00_1460 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 305 */
																	int BgL_tmpz00_2766;

																	BgL_tmpz00_2766 = (int) (2L);
																	BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2766);
																}
																{	/* Reduce/1occ.scm 305 */
																	obj_t BgL_auxz00_2771;
																	int BgL_tmpz00_2769;

																	BgL_auxz00_2771 =
																		((obj_t) BgL_val1_1299z00_1460);
																	BgL_tmpz00_2769 = (int) (1L);
																	BGL_MVALUES_VAL_SET(BgL_tmpz00_2769,
																		BgL_auxz00_2771);
																}
																return BgL_resetz72z72_1448;
															}
														}
													else
														{	/* Reduce/1occ.scm 300 */
															((((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_40))->BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1454)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 308 */
																int BgL_tmpz00_2776;

																BgL_tmpz00_2776 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2776);
															}
															{	/* Reduce/1occ.scm 308 */
																obj_t BgL_auxz00_2781;
																int BgL_tmpz00_2779;

																BgL_auxz00_2781 = ((obj_t) BgL_nodez00_40);
																BgL_tmpz00_2779 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_2779,
																	BgL_auxz00_2781);
															}
															return BgL_resetz72z72_1448;
														}
												}
											else
												{	/* Reduce/1occ.scm 309 */
													bool_t BgL_test2012z00_2784;

													{	/* Reduce/1occ.scm 309 */
														obj_t BgL_varz00_1476;
														obj_t BgL_valz00_1477;

														{	/* Reduce/1occ.scm 309 */
															obj_t BgL_pairz00_2082;

															BgL_pairz00_2082 =
																CAR(((obj_t) BgL_obindingsz00_1453));
															BgL_varz00_1476 = CAR(BgL_pairz00_2082);
														}
														{	/* Reduce/1occ.scm 310 */
															obj_t BgL_pairz00_2084;

															BgL_pairz00_2084 =
																CAR(((obj_t) BgL_obindingsz00_1453));
															BgL_valz00_1477 = CDR(BgL_pairz00_2084);
														}
														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1476))))->
																	BgL_occurrencez00) == 0L))
															{	/* Reduce/1occ.scm 311 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1477)))
																	{	/* Reduce/1occ.scm 312 */
																		BgL_test2012z00_2784 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 312 */
																		BgL_test2012z00_2784 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 311 */
																BgL_test2012z00_2784 = ((bool_t) 0);
															}
													}
													if (BgL_test2012z00_2784)
														{	/* Reduce/1occ.scm 309 */
															{	/* Reduce/1occ.scm 316 */
																obj_t BgL_arg1480z00_1472;

																BgL_arg1480z00_1472 =
																	CDR(((obj_t) BgL_obindingsz00_1453));
																{
																	obj_t BgL_obindingsz00_2801;

																	BgL_obindingsz00_2801 = BgL_arg1480z00_1472;
																	BgL_obindingsz00_1453 = BgL_obindingsz00_2801;
																	goto BgL_zc3z04anonymousza31416ze3z87_1455;
																}
															}
														}
													else
														{	/* Reduce/1occ.scm 318 */
															obj_t BgL_arg1484z00_1473;
															obj_t BgL_arg1487z00_1474;

															BgL_arg1484z00_1473 =
																CDR(((obj_t) BgL_obindingsz00_1453));
															{	/* Reduce/1occ.scm 319 */
																obj_t BgL_arg1489z00_1475;

																BgL_arg1489z00_1475 =
																	CAR(((obj_t) BgL_obindingsz00_1453));
																BgL_arg1487z00_1474 =
																	MAKE_YOUNG_PAIR(BgL_arg1489z00_1475,
																	BgL_nbindingsz00_1454);
															}
															{
																obj_t BgL_nbindingsz00_2808;
																obj_t BgL_obindingsz00_2807;

																BgL_obindingsz00_2807 = BgL_arg1484z00_1473;
																BgL_nbindingsz00_2808 = BgL_arg1487z00_1474;
																BgL_nbindingsz00_1454 = BgL_nbindingsz00_2808;
																BgL_obindingsz00_1453 = BgL_obindingsz00_2807;
																goto BgL_zc3z04anonymousza31416ze3z87_1455;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 320 */
						obj_t BgL_bindingz00_1486;

						BgL_bindingz00_1486 = CAR(((obj_t) BgL_obindingsz00_1435));
						{	/* Reduce/1occ.scm 321 */
							obj_t BgL_varz00_1487;
							obj_t BgL_valz00_1488;

							BgL_varz00_1487 = CAR(((obj_t) BgL_bindingz00_1486));
							BgL_valz00_1488 = CDR(((obj_t) BgL_bindingz00_1486));
							{	/* Reduce/1occ.scm 323 */
								obj_t BgL_resetz72z72_1489;

								BgL_resetz72z72_1489 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1488), BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 324 */
									obj_t BgL_nvalz00_1490;

									{	/* Reduce/1occ.scm 325 */
										obj_t BgL_tmpz00_2093;

										{	/* Reduce/1occ.scm 325 */
											int BgL_tmpz00_2818;

											BgL_tmpz00_2818 = (int) (1L);
											BgL_tmpz00_2093 = BGL_MVALUES_VAL(BgL_tmpz00_2818);
										}
										{	/* Reduce/1occ.scm 325 */
											int BgL_tmpz00_2821;

											BgL_tmpz00_2821 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2821, BUNSPEC);
										}
										BgL_nvalz00_1490 = BgL_tmpz00_2093;
									}
									{	/* Reduce/1occ.scm 325 */
										obj_t BgL_tmpz00_2824;

										BgL_tmpz00_2824 = ((obj_t) BgL_bindingz00_1486);
										SET_CDR(BgL_tmpz00_2824, BgL_nvalz00_1490);
									}
									{	/* Reduce/1occ.scm 327 */
										bool_t BgL_test2015z00_2827;

										if (BgL_resetz00_1436)
											{	/* Reduce/1occ.scm 327 */
												BgL_test2015z00_2827 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 327 */
												BgL_test2015z00_2827 = CBOOL(BgL_resetz72z72_1489);
											}
										if (BgL_test2015z00_2827)
											{	/* Reduce/1occ.scm 328 */
												obj_t BgL_arg1515z00_1492;

												BgL_arg1515z00_1492 =
													CDR(((obj_t) BgL_obindingsz00_1435));
												{
													obj_t BgL_extendz00_2834;
													bool_t BgL_resetz00_2833;
													obj_t BgL_obindingsz00_2832;

													BgL_obindingsz00_2832 = BgL_arg1515z00_1492;
													BgL_resetz00_2833 = ((bool_t) 1);
													BgL_extendz00_2834 = BNIL;
													BgL_extendz00_1437 = BgL_extendz00_2834;
													BgL_resetz00_1436 = BgL_resetz00_2833;
													BgL_obindingsz00_1435 = BgL_obindingsz00_2832;
													goto BgL_zc3z04anonymousza31401ze3z87_1438;
												}
											}
										else
											{	/* Reduce/1occ.scm 327 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1487))))->
															BgL_accessz00) == ((obj_t) CNST_TABLE_REF(0))))
													{	/* Reduce/1occ.scm 331 */
														bool_t BgL_test2018z00_2842;

														if (
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1487))))->
																	BgL_occurrencez00) == 1L))
															{	/* Reduce/1occ.scm 331 */
																if (
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1487))))->
																			BgL_accessz00) ==
																		((obj_t) CNST_TABLE_REF(0))))
																	{	/* Reduce/1occ.scm 332 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1488)))
																			{	/* Reduce/1occ.scm 333 */
																				BgL_test2018z00_2842 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 334 */
																				BgL_typez00_bglt BgL_arg1577z00_1511;
																				BgL_typez00_bglt BgL_arg1578z00_1512;

																				BgL_arg1577z00_1511 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1487))))->
																					BgL_typez00);
																				BgL_arg1578z00_1512 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt) BgL_valz00_1488),
																					((bool_t) 0));
																				BgL_test2018z00_2842 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1577z00_1511,
																					BgL_arg1578z00_1512);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 332 */
																		BgL_test2018z00_2842 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 331 */
																BgL_test2018z00_2842 = ((bool_t) 0);
															}
														if (BgL_test2018z00_2842)
															{	/* Reduce/1occ.scm 331 */
																{	/* Reduce/1occ.scm 338 */
																	obj_t BgL_arg1558z00_1505;
																	obj_t BgL_arg1560z00_1506;

																	BgL_arg1558z00_1505 =
																		CDR(((obj_t) BgL_obindingsz00_1435));
																	BgL_arg1560z00_1506 =
																		MAKE_YOUNG_PAIR(BgL_bindingz00_1486,
																		BgL_extendz00_1437);
																	{
																		obj_t BgL_extendz00_2869;
																		bool_t BgL_resetz00_2868;
																		obj_t BgL_obindingsz00_2867;

																		BgL_obindingsz00_2867 = BgL_arg1558z00_1505;
																		BgL_resetz00_2868 = ((bool_t) 0);
																		BgL_extendz00_2869 = BgL_arg1560z00_1506;
																		BgL_extendz00_1437 = BgL_extendz00_2869;
																		BgL_resetz00_1436 = BgL_resetz00_2868;
																		BgL_obindingsz00_1435 =
																			BgL_obindingsz00_2867;
																		goto BgL_zc3z04anonymousza31401ze3z87_1438;
																	}
																}
															}
														else
															{	/* Reduce/1occ.scm 340 */
																obj_t BgL_arg1574z00_1507;

																BgL_arg1574z00_1507 =
																	CDR(((obj_t) BgL_obindingsz00_1435));
																{
																	bool_t BgL_resetz00_2873;
																	obj_t BgL_obindingsz00_2872;

																	BgL_obindingsz00_2872 = BgL_arg1574z00_1507;
																	BgL_resetz00_2873 = ((bool_t) 0);
																	BgL_resetz00_1436 = BgL_resetz00_2873;
																	BgL_obindingsz00_1435 = BgL_obindingsz00_2872;
																	goto BgL_zc3z04anonymousza31401ze3z87_1438;
																}
															}
													}
												else
													{	/* Reduce/1occ.scm 330 */
														obj_t BgL_arg1588z00_1515;

														BgL_arg1588z00_1515 =
															CDR(((obj_t) BgL_obindingsz00_1435));
														{
															bool_t BgL_resetz00_2877;
															obj_t BgL_obindingsz00_2876;

															BgL_obindingsz00_2876 = BgL_arg1588z00_1515;
															BgL_resetz00_2877 = ((bool_t) 0);
															BgL_resetz00_1436 = BgL_resetz00_2877;
															BgL_obindingsz00_1435 = BgL_obindingsz00_2876;
															goto BgL_zc3z04anonymousza31401ze3z87_1438;
														}
													}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_1zd2expza2z70_59)
	{
		{	/* Reduce/1occ.scm 431 */
			{
				obj_t BgL_nodeza2za2_1519;
				bool_t BgL_resetz00_1520;
				obj_t BgL_1zd2expza2z70_1521;

				BgL_nodeza2za2_1519 = BgL_nodeza2za2_58;
				BgL_resetz00_1520 = ((bool_t) 0);
				BgL_1zd2expza2z70_1521 = BgL_1zd2expza2z70_59;
			BgL_zc3z04anonymousza31591ze3z87_1522:
				if (NULLP(BgL_nodeza2za2_1519))
					{	/* Reduce/1occ.scm 436 */
						return BBOOL(BgL_resetz00_1520);
					}
				else
					{	/* Reduce/1occ.scm 436 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1519))))
							{	/* Reduce/1occ.scm 439 */
								obj_t BgL_resetz72z72_1526;

								{	/* Reduce/1occ.scm 440 */
									obj_t BgL_arg1597z00_1529;

									BgL_arg1597z00_1529 = CAR(((obj_t) BgL_nodeza2za2_1519));
									BgL_resetz72z72_1526 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1597z00_1529),
										BgL_1zd2expza2z70_1521);
								}
								{	/* Reduce/1occ.scm 440 */
									obj_t BgL_nodez00_1527;

									{	/* Reduce/1occ.scm 441 */
										obj_t BgL_tmpz00_2106;

										{	/* Reduce/1occ.scm 441 */
											int BgL_tmpz00_2890;

											BgL_tmpz00_2890 = (int) (1L);
											BgL_tmpz00_2106 = BGL_MVALUES_VAL(BgL_tmpz00_2890);
										}
										{	/* Reduce/1occ.scm 441 */
											int BgL_tmpz00_2893;

											BgL_tmpz00_2893 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2893, BUNSPEC);
										}
										BgL_nodez00_1527 = BgL_tmpz00_2106;
									}
									{	/* Reduce/1occ.scm 441 */
										obj_t BgL_tmpz00_2896;

										BgL_tmpz00_2896 = ((obj_t) BgL_nodeza2za2_1519);
										SET_CAR(BgL_tmpz00_2896, BgL_nodez00_1527);
									}
									if (BgL_resetz00_1520)
										{	/* Reduce/1occ.scm 442 */
											return BBOOL(BgL_resetz00_1520);
										}
									else
										{	/* Reduce/1occ.scm 442 */
											return BgL_resetz72z72_1526;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 444 */
								obj_t BgL_resetz72z72_1530;

								{	/* Reduce/1occ.scm 445 */
									obj_t BgL_arg1612z00_1535;

									BgL_arg1612z00_1535 = CAR(((obj_t) BgL_nodeza2za2_1519));
									BgL_resetz72z72_1530 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1612z00_1535),
										BgL_1zd2expza2z70_1521);
								}
								{	/* Reduce/1occ.scm 445 */
									obj_t BgL_nodez00_1531;

									{	/* Reduce/1occ.scm 446 */
										obj_t BgL_tmpz00_2109;

										{	/* Reduce/1occ.scm 446 */
											int BgL_tmpz00_2905;

											BgL_tmpz00_2905 = (int) (1L);
											BgL_tmpz00_2109 = BGL_MVALUES_VAL(BgL_tmpz00_2905);
										}
										{	/* Reduce/1occ.scm 446 */
											int BgL_tmpz00_2908;

											BgL_tmpz00_2908 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_2908, BUNSPEC);
										}
										BgL_nodez00_1531 = BgL_tmpz00_2109;
									}
									{	/* Reduce/1occ.scm 446 */
										obj_t BgL_tmpz00_2911;

										BgL_tmpz00_2911 = ((obj_t) BgL_nodeza2za2_1519);
										SET_CAR(BgL_tmpz00_2911, BgL_nodez00_1531);
									}
									{	/* Reduce/1occ.scm 447 */
										bool_t BgL_test2025z00_2914;

										if (BgL_resetz00_1520)
											{	/* Reduce/1occ.scm 447 */
												BgL_test2025z00_2914 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 447 */
												BgL_test2025z00_2914 = CBOOL(BgL_resetz72z72_1530);
											}
										if (BgL_test2025z00_2914)
											{	/* Reduce/1occ.scm 448 */
												obj_t BgL_arg1605z00_1533;

												BgL_arg1605z00_1533 =
													CDR(((obj_t) BgL_nodeza2za2_1519));
												{
													obj_t BgL_1zd2expza2z70_2921;
													bool_t BgL_resetz00_2920;
													obj_t BgL_nodeza2za2_2919;

													BgL_nodeza2za2_2919 = BgL_arg1605z00_1533;
													BgL_resetz00_2920 = ((bool_t) 1);
													BgL_1zd2expza2z70_2921 = BNIL;
													BgL_1zd2expza2z70_1521 = BgL_1zd2expza2z70_2921;
													BgL_resetz00_1520 = BgL_resetz00_2920;
													BgL_nodeza2za2_1519 = BgL_nodeza2za2_2919;
													goto BgL_zc3z04anonymousza31591ze3z87_1522;
												}
											}
										else
											{	/* Reduce/1occ.scm 449 */
												obj_t BgL_arg1611z00_1534;

												BgL_arg1611z00_1534 =
													CDR(((obj_t) BgL_nodeza2za2_1519));
												{
													bool_t BgL_resetz00_2925;
													obj_t BgL_nodeza2za2_2924;

													BgL_nodeza2za2_2924 = BgL_arg1611z00_1534;
													BgL_resetz00_2925 = ((bool_t) 0);
													BgL_resetz00_1520 = BgL_resetz00_2925;
													BgL_nodeza2za2_1519 = BgL_nodeza2za2_2924;
													goto BgL_zc3z04anonymousza31591ze3z87_1522;
												}
											}
									}
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc1934z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string1935z00zzreduce_1occz00);
		}

	}



/* &node-1occ!1320 */
	obj_t BGl_z62nodezd21occz121320za2zzreduce_1occz00(obj_t BgL_envz00_2346,
		obj_t BgL_nodez00_2347, obj_t BgL_1zd2expza2z70_2348)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_string1936z00zzreduce_1occz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2347)));
		}

	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		{	/* Reduce/1occ.scm 67 */
			{	/* Reduce/1occ.scm 67 */
				obj_t BgL_method1323z00_1543;

				{	/* Reduce/1occ.scm 67 */
					obj_t BgL_res1927z00_2143;

					{	/* Reduce/1occ.scm 67 */
						long BgL_objzd2classzd2numz00_2114;

						BgL_objzd2classzd2numz00_2114 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/1occ.scm 67 */
							obj_t BgL_arg1862z00_2115;

							BgL_arg1862z00_2115 =
								PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
								(int) (1L));
							{	/* Reduce/1occ.scm 67 */
								int BgL_offsetz00_2118;

								BgL_offsetz00_2118 = (int) (BgL_objzd2classzd2numz00_2114);
								{	/* Reduce/1occ.scm 67 */
									long BgL_offsetz00_2119;

									BgL_offsetz00_2119 =
										((long) (BgL_offsetz00_2118) - OBJECT_TYPE);
									{	/* Reduce/1occ.scm 67 */
										long BgL_modz00_2120;

										BgL_modz00_2120 =
											(BgL_offsetz00_2119 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/1occ.scm 67 */
											long BgL_restz00_2122;

											BgL_restz00_2122 =
												(BgL_offsetz00_2119 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/1occ.scm 67 */

												{	/* Reduce/1occ.scm 67 */
													obj_t BgL_bucketz00_2124;

													BgL_bucketz00_2124 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2115), BgL_modz00_2120);
													BgL_res1927z00_2143 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2124), BgL_restz00_2122);
					}}}}}}}}
					BgL_method1323z00_1543 = BgL_res1927z00_2143;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1323z00_1543,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5);
			}
		}

	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2349,
		obj_t BgL_nodez00_2350, obj_t BgL_1zd2expza2z70_2351)
	{
		{	/* Reduce/1occ.scm 67 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2350), BgL_1zd2expza2z70_2351);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc1937z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1939z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc1940z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc1941z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1942z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_syncz00zzast_nodez00,
				BGl_proc1943z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1944z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1945z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc1946z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc1947z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc1948z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc1949z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1950z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc1951z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_switchz00zzast_nodez00, BGl_proc1952z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1953z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1954z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1955z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1956z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1957z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_returnz00zzast_nodez00, BGl_proc1958z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1959z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1960z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1961z00zzreduce_1occz00,
				BGl_string1938z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc1962z00zzreduce_1occz00, BGl_string1938z00zzreduce_1occz00);
		}

	}



/* &node-1occ!-app1373 */
	obj_t BGl_z62nodezd21occz12zd2app1373z70zzreduce_1occz00(obj_t
		BgL_envz00_2377, obj_t BgL_nodez00_2378, obj_t BgL_1zd2expza2z70_2379)
	{
		{	/* Reduce/1occ.scm 418 */
			{	/* Reduce/1occ.scm 419 */
				bool_t BgL_tmpz00_2990;

				{	/* Reduce/1occ.scm 420 */
					obj_t BgL_resetz00_2465;

					BgL_resetz00_2465 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2378)))->BgL_argsz00),
						BgL_1zd2expza2z70_2379);
					{	/* Reduce/1occ.scm 421 */
						bool_t BgL_test2027z00_2994;

						if (CBOOL(BgL_resetz00_2465))
							{	/* Reduce/1occ.scm 421 */
								BgL_test2027z00_2994 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 421 */
								BgL_test2027z00_2994 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2378)));
							}
						if (BgL_test2027z00_2994)
							{	/* Reduce/1occ.scm 421 */
								{	/* Reduce/1occ.scm 425 */
									int BgL_tmpz00_3000;

									BgL_tmpz00_3000 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3000);
								}
								{	/* Reduce/1occ.scm 425 */
									obj_t BgL_auxz00_3005;
									int BgL_tmpz00_3003;

									BgL_auxz00_3005 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2378));
									BgL_tmpz00_3003 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3003, BgL_auxz00_3005);
								}
								BgL_tmpz00_2990 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 421 */
								{	/* Reduce/1occ.scm 426 */
									int BgL_tmpz00_3009;

									BgL_tmpz00_3009 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3009);
								}
								{	/* Reduce/1occ.scm 426 */
									obj_t BgL_auxz00_3014;
									int BgL_tmpz00_3012;

									BgL_auxz00_3014 =
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2378));
									BgL_tmpz00_3012 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3012, BgL_auxz00_3014);
								}
								BgL_tmpz00_2990 = ((bool_t) 0);
				}}}
				return BBOOL(BgL_tmpz00_2990);
			}
		}

	}



/* &node-1occ!-box-ref1371 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1371za2zzreduce_1occz00(obj_t
		BgL_envz00_2380, obj_t BgL_nodez00_2381, obj_t BgL_1zd2expza2z70_2382)
	{
		{	/* Reduce/1occ.scm 412 */
			{	/* Reduce/1occ.scm 413 */
				bool_t BgL_tmpz00_3019;

				{	/* Reduce/1occ.scm 413 */
					int BgL_tmpz00_3020;

					BgL_tmpz00_3020 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3020);
				}
				{	/* Reduce/1occ.scm 413 */
					obj_t BgL_auxz00_3025;
					int BgL_tmpz00_3023;

					BgL_auxz00_3025 =
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2381));
					BgL_tmpz00_3023 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3023, BgL_auxz00_3025);
				}
				BgL_tmpz00_3019 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3019);
			}
		}

	}



/* &node-1occ!-box-set!1369 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121369zb0zzreduce_1occz00(obj_t
		BgL_envz00_2383, obj_t BgL_nodez00_2384, obj_t BgL_1zd2expza2z70_2385)
	{
		{	/* Reduce/1occ.scm 402 */
			{	/* Reduce/1occ.scm 404 */
				obj_t BgL_resetz00_2468;

				BgL_resetz00_2468 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2384)))->BgL_valuez00),
					BgL_1zd2expza2z70_2385);
				{	/* Reduce/1occ.scm 405 */
					obj_t BgL_nvaluez00_2469;

					{	/* Reduce/1occ.scm 406 */
						obj_t BgL_tmpz00_2470;

						{	/* Reduce/1occ.scm 406 */
							int BgL_tmpz00_3033;

							BgL_tmpz00_3033 = (int) (1L);
							BgL_tmpz00_2470 = BGL_MVALUES_VAL(BgL_tmpz00_3033);
						}
						{	/* Reduce/1occ.scm 406 */
							int BgL_tmpz00_3036;

							BgL_tmpz00_3036 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3036, BUNSPEC);
						}
						BgL_nvaluez00_2469 = BgL_tmpz00_2470;
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2384)))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2469)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 407 */
						int BgL_tmpz00_3042;

						BgL_tmpz00_3042 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3042);
					}
					{	/* Reduce/1occ.scm 407 */
						obj_t BgL_auxz00_3047;
						int BgL_tmpz00_3045;

						BgL_auxz00_3047 =
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2384));
						BgL_tmpz00_3045 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3045, BgL_auxz00_3047);
					}
					return BgL_resetz00_2468;
				}
			}
		}

	}



/* &node-1occ!-make-box1367 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1367za2zzreduce_1occz00(obj_t
		BgL_envz00_2386, obj_t BgL_nodez00_2387, obj_t BgL_1zd2expza2z70_2388)
	{
		{	/* Reduce/1occ.scm 392 */
			{	/* Reduce/1occ.scm 394 */
				obj_t BgL_resetz00_2472;

				BgL_resetz00_2472 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387)))->BgL_valuez00),
					BgL_1zd2expza2z70_2388);
				{	/* Reduce/1occ.scm 395 */
					obj_t BgL_nvaluez00_2473;

					{	/* Reduce/1occ.scm 396 */
						obj_t BgL_tmpz00_2474;

						{	/* Reduce/1occ.scm 396 */
							int BgL_tmpz00_3054;

							BgL_tmpz00_3054 = (int) (1L);
							BgL_tmpz00_2474 = BGL_MVALUES_VAL(BgL_tmpz00_3054);
						}
						{	/* Reduce/1occ.scm 396 */
							int BgL_tmpz00_3057;

							BgL_tmpz00_3057 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3057, BUNSPEC);
						}
						BgL_nvaluez00_2473 = BgL_tmpz00_2474;
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2473)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 397 */
						int BgL_tmpz00_3063;

						BgL_tmpz00_3063 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3063);
					}
					{	/* Reduce/1occ.scm 397 */
						obj_t BgL_auxz00_3068;
						int BgL_tmpz00_3066;

						BgL_auxz00_3068 =
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2387));
						BgL_tmpz00_3066 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3066, BgL_auxz00_3068);
					}
					return BgL_resetz00_2472;
				}
			}
		}

	}



/* &node-1occ!-return1365 */
	obj_t BGl_z62nodezd21occz12zd2return1365z70zzreduce_1occz00(obj_t
		BgL_envz00_2389, obj_t BgL_nodez00_2390, obj_t BgL_1zd2expza2z70_2391)
	{
		{	/* Reduce/1occ.scm 382 */
			{	/* Reduce/1occ.scm 384 */
				obj_t BgL_resetz00_2476;

				BgL_resetz00_2476 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2390)))->BgL_valuez00),
					BgL_1zd2expza2z70_2391);
				{	/* Reduce/1occ.scm 385 */
					obj_t BgL_nvaluez00_2477;

					{	/* Reduce/1occ.scm 386 */
						obj_t BgL_tmpz00_2478;

						{	/* Reduce/1occ.scm 386 */
							int BgL_tmpz00_3075;

							BgL_tmpz00_3075 = (int) (1L);
							BgL_tmpz00_2478 = BGL_MVALUES_VAL(BgL_tmpz00_3075);
						}
						{	/* Reduce/1occ.scm 386 */
							int BgL_tmpz00_3078;

							BgL_tmpz00_3078 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3078, BUNSPEC);
						}
						BgL_nvaluez00_2477 = BgL_tmpz00_2478;
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nodez00_2390)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2477)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 387 */
						int BgL_tmpz00_3084;

						BgL_tmpz00_3084 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3084);
					}
					{	/* Reduce/1occ.scm 387 */
						obj_t BgL_auxz00_3089;
						int BgL_tmpz00_3087;

						BgL_auxz00_3089 = ((obj_t) ((BgL_returnz00_bglt) BgL_nodez00_2390));
						BgL_tmpz00_3087 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3087, BgL_auxz00_3089);
					}
					return BgL_resetz00_2476;
				}
			}
		}

	}



/* &node-1occ!-retblock1363 */
	obj_t BGl_z62nodezd21occz12zd2retblock1363z70zzreduce_1occz00(obj_t
		BgL_envz00_2392, obj_t BgL_nodez00_2393, obj_t BgL_1zd2expza2z70_2394)
	{
		{	/* Reduce/1occ.scm 372 */
			{	/* Reduce/1occ.scm 374 */
				obj_t BgL_resetz00_2480;

				BgL_resetz00_2480 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2393)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2394);
				{	/* Reduce/1occ.scm 375 */
					obj_t BgL_nbodyz00_2481;

					{	/* Reduce/1occ.scm 376 */
						obj_t BgL_tmpz00_2482;

						{	/* Reduce/1occ.scm 376 */
							int BgL_tmpz00_3096;

							BgL_tmpz00_3096 = (int) (1L);
							BgL_tmpz00_2482 = BGL_MVALUES_VAL(BgL_tmpz00_3096);
						}
						{	/* Reduce/1occ.scm 376 */
							int BgL_tmpz00_3099;

							BgL_tmpz00_3099 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3099, BUNSPEC);
						}
						BgL_nbodyz00_2481 = BgL_tmpz00_2482;
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nodez00_2393)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2481)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 377 */
						int BgL_tmpz00_3105;

						BgL_tmpz00_3105 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3105);
					}
					{	/* Reduce/1occ.scm 377 */
						obj_t BgL_auxz00_3110;
						int BgL_tmpz00_3108;

						BgL_auxz00_3110 =
							((obj_t) ((BgL_retblockz00_bglt) BgL_nodez00_2393));
						BgL_tmpz00_3108 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3108, BgL_auxz00_3110);
					}
					return BgL_resetz00_2480;
				}
			}
		}

	}



/* &node-1occ!-jump-ex-i1361 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1361z70zzreduce_1occz00(obj_t
		BgL_envz00_2395, obj_t BgL_nodez00_2396, obj_t BgL_1zd2expza2z70_2397)
	{
		{	/* Reduce/1occ.scm 358 */
			{	/* Reduce/1occ.scm 360 */
				obj_t BgL_resetz00_2484;

				BgL_resetz00_2484 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2396)))->BgL_exitz00),
					BgL_1zd2expza2z70_2397);
				{	/* Reduce/1occ.scm 361 */
					obj_t BgL_nexitz00_2485;

					{	/* Reduce/1occ.scm 362 */
						obj_t BgL_tmpz00_2486;

						{	/* Reduce/1occ.scm 362 */
							int BgL_tmpz00_3117;

							BgL_tmpz00_3117 = (int) (1L);
							BgL_tmpz00_2486 = BGL_MVALUES_VAL(BgL_tmpz00_3117);
						}
						{	/* Reduce/1occ.scm 362 */
							int BgL_tmpz00_3120;

							BgL_tmpz00_3120 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3120, BUNSPEC);
						}
						BgL_nexitz00_2485 = BgL_tmpz00_2486;
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2396)))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_2485)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 363 */
						obj_t BgL_1zd2expza2z72z02_2487;

						if (CBOOL(BgL_resetz00_2484))
							{	/* Reduce/1occ.scm 363 */
								BgL_1zd2expza2z72z02_2487 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 363 */
								BgL_1zd2expza2z72z02_2487 = BgL_1zd2expza2z70_2397;
							}
						{	/* Reduce/1occ.scm 364 */
							obj_t BgL_resetz72z72_2488;

							BgL_resetz72z72_2488 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
											((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2396)))->
									BgL_valuez00), BgL_1zd2expza2z72z02_2487);
							{	/* Reduce/1occ.scm 365 */
								obj_t BgL_nvaluez00_2489;

								{	/* Reduce/1occ.scm 366 */
									obj_t BgL_tmpz00_2490;

									{	/* Reduce/1occ.scm 366 */
										int BgL_tmpz00_3131;

										BgL_tmpz00_3131 = (int) (1L);
										BgL_tmpz00_2490 = BGL_MVALUES_VAL(BgL_tmpz00_3131);
									}
									{	/* Reduce/1occ.scm 366 */
										int BgL_tmpz00_3134;

										BgL_tmpz00_3134 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3134, BUNSPEC);
									}
									BgL_nvaluez00_2489 = BgL_tmpz00_2490;
								}
								((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
												((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2396)))->
										BgL_valuez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2489)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 367 */
									obj_t BgL_val0_1304z00_2491;

									if (CBOOL(BgL_resetz00_2484))
										{	/* Reduce/1occ.scm 367 */
											BgL_val0_1304z00_2491 = BgL_resetz00_2484;
										}
									else
										{	/* Reduce/1occ.scm 367 */
											BgL_val0_1304z00_2491 = BgL_resetz72z72_2488;
										}
									{	/* Reduce/1occ.scm 367 */
										int BgL_tmpz00_3142;

										BgL_tmpz00_3142 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3142);
									}
									{	/* Reduce/1occ.scm 367 */
										obj_t BgL_auxz00_3147;
										int BgL_tmpz00_3145;

										BgL_auxz00_3147 =
											((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2396));
										BgL_tmpz00_3145 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3145, BgL_auxz00_3147);
									}
									return BgL_val0_1304z00_2491;
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-set-ex-it1359 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1359z70zzreduce_1occz00(obj_t
		BgL_envz00_2398, obj_t BgL_nodez00_2399, obj_t BgL_1zd2expza2z70_2400)
	{
		{	/* Reduce/1occ.scm 345 */
			{	/* Reduce/1occ.scm 347 */
				obj_t BgL_resetz00_2493;

				BgL_resetz00_2493 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2399)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2400);
				{	/* Reduce/1occ.scm 348 */
					obj_t BgL_nbodyz00_2494;

					{	/* Reduce/1occ.scm 349 */
						obj_t BgL_tmpz00_2495;

						{	/* Reduce/1occ.scm 349 */
							int BgL_tmpz00_3154;

							BgL_tmpz00_3154 = (int) (1L);
							BgL_tmpz00_2495 = BGL_MVALUES_VAL(BgL_tmpz00_3154);
						}
						{	/* Reduce/1occ.scm 349 */
							int BgL_tmpz00_3157;

							BgL_tmpz00_3157 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3157, BUNSPEC);
						}
						BgL_nbodyz00_2494 = BgL_tmpz00_2495;
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2399)))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2494)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 350 */
						obj_t BgL_resetz72z72_2496;

						BgL_resetz72z72_2496 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2399)))->
								BgL_onexitz00), BgL_1zd2expza2z70_2400);
						{	/* Reduce/1occ.scm 351 */
							obj_t BgL_nonexitz00_2497;

							{	/* Reduce/1occ.scm 352 */
								obj_t BgL_tmpz00_2498;

								{	/* Reduce/1occ.scm 352 */
									int BgL_tmpz00_3166;

									BgL_tmpz00_3166 = (int) (1L);
									BgL_tmpz00_2498 = BGL_MVALUES_VAL(BgL_tmpz00_3166);
								}
								{	/* Reduce/1occ.scm 352 */
									int BgL_tmpz00_3169;

									BgL_tmpz00_3169 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3169, BUNSPEC);
								}
								BgL_nonexitz00_2497 = BgL_tmpz00_2498;
							}
							((((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2399)))->
									BgL_onexitz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nonexitz00_2497)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 353 */
								obj_t BgL_val0_1302z00_2499;

								if (CBOOL(BgL_resetz00_2493))
									{	/* Reduce/1occ.scm 353 */
										BgL_val0_1302z00_2499 = BgL_resetz00_2493;
									}
								else
									{	/* Reduce/1occ.scm 353 */
										BgL_val0_1302z00_2499 = BgL_resetz72z72_2496;
									}
								{	/* Reduce/1occ.scm 353 */
									int BgL_tmpz00_3177;

									BgL_tmpz00_3177 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3177);
								}
								{	/* Reduce/1occ.scm 353 */
									obj_t BgL_auxz00_3182;
									int BgL_tmpz00_3180;

									BgL_auxz00_3182 =
										((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2399));
									BgL_tmpz00_3180 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3180, BgL_auxz00_3182);
								}
								return BgL_val0_1302z00_2499;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-let-var1357 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1357za2zzreduce_1occz00(obj_t
		BgL_envz00_2401, obj_t BgL_nodez00_2402, obj_t BgL_1zd2expza2z70_2403)
	{
		{	/* Reduce/1occ.scm 253 */
			{	/* Reduce/1occ.scm 259 */
				bool_t BgL_test2032z00_3186;

				{	/* Reduce/1occ.scm 259 */
					bool_t BgL_test2033z00_3187;

					{	/* Reduce/1occ.scm 259 */
						obj_t BgL_tmpz00_3188;

						BgL_tmpz00_3188 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
							BgL_bindingsz00);
						BgL_test2033z00_3187 = PAIRP(BgL_tmpz00_3188);
					}
					if (BgL_test2033z00_3187)
						{	/* Reduce/1occ.scm 259 */
							if (NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
											BgL_bindingsz00))))
								{	/* Reduce/1occ.scm 260 */
									if (
										(BBOOL(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
													BgL_removablezf3zf3)) == ((obj_t) CNST_TABLE_REF(2))))
										{	/* Reduce/1occ.scm 261 */
											BgL_test2032z00_3186 = ((bool_t) 0);
										}
									else
										{	/* Reduce/1occ.scm 262 */
											obj_t BgL_varz00_2501;

											{	/* Reduce/1occ.scm 262 */
												obj_t BgL_pairz00_2502;

												BgL_pairz00_2502 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
													BgL_bindingsz00);
												BgL_varz00_2501 = CAR(CAR(BgL_pairz00_2502));
											}
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_2501))))->
														BgL_occurrencez00) == 1L))
												{	/* Reduce/1occ.scm 264 */
													bool_t BgL_test2037z00_3213;

													{	/* Reduce/1occ.scm 264 */
														obj_t BgL_arg1790z00_2503;

														BgL_arg1790z00_2503 =
															((obj_t)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2501)))->
																BgL_typez00));
														BgL_test2037z00_3213 =
															(BgL_arg1790z00_2503 ==
															BGl_za2boolza2z00zztype_cachez00);
													}
													if (BgL_test2037z00_3213)
														{	/* Reduce/1occ.scm 265 */
															bool_t BgL_test2038z00_3218;

															{	/* Reduce/1occ.scm 265 */
																BgL_nodez00_bglt BgL_arg1789z00_2504;

																BgL_arg1789z00_2504 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_2402)))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 265 */
																	obj_t BgL_classz00_2505;

																	BgL_classz00_2505 =
																		BGl_conditionalz00zzast_nodez00;
																	{	/* Reduce/1occ.scm 265 */
																		BgL_objectz00_bglt BgL_arg1858z00_2506;

																		{	/* Reduce/1occ.scm 265 */
																			obj_t BgL_tmpz00_3221;

																			BgL_tmpz00_3221 =
																				((obj_t)
																				((BgL_objectz00_bglt)
																					BgL_arg1789z00_2504));
																			BgL_arg1858z00_2506 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_3221);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/1occ.scm 265 */
																				long BgL_idxz00_2507;

																				BgL_idxz00_2507 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2506);
																				BgL_test2038z00_3218 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2507 + 3L)) ==
																					BgL_classz00_2505);
																			}
																		else
																			{	/* Reduce/1occ.scm 265 */
																				bool_t BgL_res1928z00_2510;

																				{	/* Reduce/1occ.scm 265 */
																					obj_t BgL_oclassz00_2511;

																					{	/* Reduce/1occ.scm 265 */
																						obj_t BgL_arg1866z00_2512;
																						long BgL_arg1867z00_2513;

																						BgL_arg1866z00_2512 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/1occ.scm 265 */
																							long BgL_arg1869z00_2514;

																							BgL_arg1869z00_2514 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2506);
																							BgL_arg1867z00_2513 =
																								(BgL_arg1869z00_2514 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2511 =
																							VECTOR_REF(BgL_arg1866z00_2512,
																							BgL_arg1867z00_2513);
																					}
																					{	/* Reduce/1occ.scm 265 */
																						bool_t BgL__ortest_1115z00_2515;

																						BgL__ortest_1115z00_2515 =
																							(BgL_classz00_2505 ==
																							BgL_oclassz00_2511);
																						if (BgL__ortest_1115z00_2515)
																							{	/* Reduce/1occ.scm 265 */
																								BgL_res1928z00_2510 =
																									BgL__ortest_1115z00_2515;
																							}
																						else
																							{	/* Reduce/1occ.scm 265 */
																								long BgL_odepthz00_2516;

																								{	/* Reduce/1occ.scm 265 */
																									obj_t BgL_arg1855z00_2517;

																									BgL_arg1855z00_2517 =
																										(BgL_oclassz00_2511);
																									BgL_odepthz00_2516 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2517);
																								}
																								if ((3L < BgL_odepthz00_2516))
																									{	/* Reduce/1occ.scm 265 */
																										obj_t BgL_arg1853z00_2518;

																										{	/* Reduce/1occ.scm 265 */
																											obj_t BgL_arg1854z00_2519;

																											BgL_arg1854z00_2519 =
																												(BgL_oclassz00_2511);
																											BgL_arg1853z00_2518 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2519,
																												3L);
																										}
																										BgL_res1928z00_2510 =
																											(BgL_arg1853z00_2518 ==
																											BgL_classz00_2505);
																									}
																								else
																									{	/* Reduce/1occ.scm 265 */
																										BgL_res1928z00_2510 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2038z00_3218 =
																					BgL_res1928z00_2510;
																			}
																	}
																}
															}
															if (BgL_test2038z00_3218)
																{	/* Reduce/1occ.scm 266 */
																	BgL_conditionalz00_bglt BgL_i1131z00_2520;

																	BgL_i1131z00_2520 =
																		((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_2402)))->BgL_bodyz00));
																	{	/* Reduce/1occ.scm 267 */
																		bool_t BgL_test2042z00_3247;

																		{	/* Reduce/1occ.scm 267 */
																			BgL_nodez00_bglt BgL_arg1786z00_2521;

																			BgL_arg1786z00_2521 =
																				(((BgL_conditionalz00_bglt)
																					COBJECT(BgL_i1131z00_2520))->
																				BgL_testz00);
																			{	/* Reduce/1occ.scm 267 */
																				obj_t BgL_classz00_2522;

																				BgL_classz00_2522 =
																					BGl_varz00zzast_nodez00;
																				{	/* Reduce/1occ.scm 267 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2523;
																					{	/* Reduce/1occ.scm 267 */
																						obj_t BgL_tmpz00_3249;

																						BgL_tmpz00_3249 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1786z00_2521));
																						BgL_arg1858z00_2523 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_3249);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Reduce/1occ.scm 267 */
																							long BgL_idxz00_2524;

																							BgL_idxz00_2524 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2523);
																							BgL_test2042z00_3247 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2524 + 2L)) ==
																								BgL_classz00_2522);
																						}
																					else
																						{	/* Reduce/1occ.scm 267 */
																							bool_t BgL_res1929z00_2527;

																							{	/* Reduce/1occ.scm 267 */
																								obj_t BgL_oclassz00_2528;

																								{	/* Reduce/1occ.scm 267 */
																									obj_t BgL_arg1866z00_2529;
																									long BgL_arg1867z00_2530;

																									BgL_arg1866z00_2529 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Reduce/1occ.scm 267 */
																										long BgL_arg1869z00_2531;

																										BgL_arg1869z00_2531 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2523);
																										BgL_arg1867z00_2530 =
																											(BgL_arg1869z00_2531 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2528 =
																										VECTOR_REF
																										(BgL_arg1866z00_2529,
																										BgL_arg1867z00_2530);
																								}
																								{	/* Reduce/1occ.scm 267 */
																									bool_t
																										BgL__ortest_1115z00_2532;
																									BgL__ortest_1115z00_2532 =
																										(BgL_classz00_2522 ==
																										BgL_oclassz00_2528);
																									if (BgL__ortest_1115z00_2532)
																										{	/* Reduce/1occ.scm 267 */
																											BgL_res1929z00_2527 =
																												BgL__ortest_1115z00_2532;
																										}
																									else
																										{	/* Reduce/1occ.scm 267 */
																											long BgL_odepthz00_2533;

																											{	/* Reduce/1occ.scm 267 */
																												obj_t
																													BgL_arg1855z00_2534;
																												BgL_arg1855z00_2534 =
																													(BgL_oclassz00_2528);
																												BgL_odepthz00_2533 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2534);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_2533))
																												{	/* Reduce/1occ.scm 267 */
																													obj_t
																														BgL_arg1853z00_2535;
																													{	/* Reduce/1occ.scm 267 */
																														obj_t
																															BgL_arg1854z00_2536;
																														BgL_arg1854z00_2536
																															=
																															(BgL_oclassz00_2528);
																														BgL_arg1853z00_2535
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2536,
																															2L);
																													}
																													BgL_res1929z00_2527 =
																														(BgL_arg1853z00_2535
																														==
																														BgL_classz00_2522);
																												}
																											else
																												{	/* Reduce/1occ.scm 267 */
																													BgL_res1929z00_2527 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2042z00_3247 =
																								BgL_res1929z00_2527;
																						}
																				}
																			}
																		}
																		if (BgL_test2042z00_3247)
																			{	/* Reduce/1occ.scm 267 */
																				BgL_test2032z00_3186 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										(((BgL_conditionalz00_bglt)
																												COBJECT
																												(BgL_i1131z00_2520))->
																											BgL_testz00))))->
																							BgL_variablez00)) ==
																					BgL_varz00_2501);
																			}
																		else
																			{	/* Reduce/1occ.scm 267 */
																				BgL_test2032z00_3186 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/1occ.scm 265 */
																	BgL_test2032z00_3186 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/1occ.scm 264 */
															BgL_test2032z00_3186 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/1occ.scm 263 */
													BgL_test2032z00_3186 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* Reduce/1occ.scm 260 */
									BgL_test2032z00_3186 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/1occ.scm 259 */
							BgL_test2032z00_3186 = ((bool_t) 0);
						}
				}
				if (BgL_test2032z00_3186)
					{	/* Reduce/1occ.scm 270 */
						BgL_conditionalz00_bglt BgL_i1133z00_2537;

						BgL_i1133z00_2537 =
							((BgL_conditionalz00_bglt)
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->BgL_bodyz00));
						{
							BgL_nodez00_bglt BgL_auxz00_3280;

							{	/* Reduce/1occ.scm 271 */
								obj_t BgL_pairz00_2538;

								BgL_pairz00_2538 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
									BgL_bindingsz00);
								{	/* Reduce/1occ.scm 271 */
									obj_t BgL_pairz00_2539;

									BgL_pairz00_2539 = CAR(BgL_pairz00_2538);
									BgL_auxz00_3280 = ((BgL_nodez00_bglt) CDR(BgL_pairz00_2539));
								}
							}
							((((BgL_conditionalz00_bglt) COBJECT(BgL_i1133z00_2537))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3280), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
								BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
						return
							BGl_nodezd21occz12zc0zzreduce_1occz00((((BgL_letzd2varzd2_bglt)
									COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_2402)))->
								BgL_bodyz00), BgL_1zd2expza2z70_2403);
					}
				else
					{	/* Reduce/1occ.scm 259 */
						return
							BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2402),
							BgL_1zd2expza2z70_2403);
					}
			}
		}

	}



/* &node-1occ!-let-fun1355 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1355za2zzreduce_1occz00(obj_t
		BgL_envz00_2404, obj_t BgL_nodez00_2405, obj_t BgL_1zd2expza2z70_2406)
	{
		{	/* Reduce/1occ.scm 234 */
			{	/* Reduce/1occ.scm 236 */
				obj_t BgL_resetz00_2541;

				BgL_resetz00_2541 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2405)))->BgL_bodyz00),
					BgL_1zd2expza2z70_2406);
				{	/* Reduce/1occ.scm 237 */
					obj_t BgL_nbodyz00_2542;

					{	/* Reduce/1occ.scm 238 */
						obj_t BgL_tmpz00_2543;

						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3297;

							BgL_tmpz00_3297 = (int) (1L);
							BgL_tmpz00_2543 = BGL_MVALUES_VAL(BgL_tmpz00_3297);
						}
						{	/* Reduce/1occ.scm 238 */
							int BgL_tmpz00_3300;

							BgL_tmpz00_3300 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3300, BUNSPEC);
						}
						BgL_nbodyz00_2542 = BgL_tmpz00_2543;
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2405)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_2542)),
						BUNSPEC);
					{
						obj_t BgL_localsz00_2545;
						obj_t BgL_resetz00_2546;

						BgL_localsz00_2545 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2405)))->BgL_localsz00);
						BgL_resetz00_2546 = BgL_resetz00_2541;
					BgL_loopz00_2544:
						if (NULLP(BgL_localsz00_2545))
							{	/* Reduce/1occ.scm 241 */
								{	/* Reduce/1occ.scm 242 */
									int BgL_tmpz00_3308;

									BgL_tmpz00_3308 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3308);
								}
								{	/* Reduce/1occ.scm 242 */
									obj_t BgL_auxz00_3313;
									int BgL_tmpz00_3311;

									BgL_auxz00_3313 =
										((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2405));
									BgL_tmpz00_3311 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3311, BgL_auxz00_3313);
								}
								return BgL_resetz00_2546;
							}
						else
							{	/* Reduce/1occ.scm 243 */
								obj_t BgL_localz00_2547;

								BgL_localz00_2547 = CAR(((obj_t) BgL_localsz00_2545));
								{	/* Reduce/1occ.scm 243 */
									BgL_valuez00_bglt BgL_sfunz00_2548;

									BgL_sfunz00_2548 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2547))))->
										BgL_valuez00);
									{	/* Reduce/1occ.scm 244 */

										{	/* Reduce/1occ.scm 245 */
											obj_t BgL_resetz72z72_2549;

											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_arg1703z00_2550;

												BgL_arg1703z00_2550 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_2548)))->
													BgL_bodyz00);
												BgL_resetz72z72_2549 =
													BGl_nodezd21occz12zc0zzreduce_1occz00((
														(BgL_nodez00_bglt) BgL_arg1703z00_2550), BNIL);
											}
											{	/* Reduce/1occ.scm 246 */
												obj_t BgL_nbodyz00_2551;

												{	/* Reduce/1occ.scm 247 */
													obj_t BgL_tmpz00_2552;

													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3326;

														BgL_tmpz00_3326 = (int) (1L);
														BgL_tmpz00_2552 = BGL_MVALUES_VAL(BgL_tmpz00_3326);
													}
													{	/* Reduce/1occ.scm 247 */
														int BgL_tmpz00_3329;

														BgL_tmpz00_3329 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_3329, BUNSPEC);
													}
													BgL_nbodyz00_2551 = BgL_tmpz00_2552;
												}
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_2548)))->
														BgL_bodyz00) =
													((obj_t) BgL_nbodyz00_2551), BUNSPEC);
												{	/* Reduce/1occ.scm 248 */
													obj_t BgL_arg1696z00_2553;
													obj_t BgL_arg1699z00_2554;

													BgL_arg1696z00_2553 =
														CDR(((obj_t) BgL_localsz00_2545));
													if (CBOOL(BgL_resetz00_2546))
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1699z00_2554 = BgL_resetz00_2546;
														}
													else
														{	/* Reduce/1occ.scm 248 */
															BgL_arg1699z00_2554 = BgL_resetz72z72_2549;
														}
													{
														obj_t BgL_resetz00_3339;
														obj_t BgL_localsz00_3338;

														BgL_localsz00_3338 = BgL_arg1696z00_2553;
														BgL_resetz00_3339 = BgL_arg1699z00_2554;
														BgL_resetz00_2546 = BgL_resetz00_3339;
														BgL_localsz00_2545 = BgL_localsz00_3338;
														goto BgL_loopz00_2544;
													}
												}
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-switch1353 */
	obj_t BGl_z62nodezd21occz12zd2switch1353z70zzreduce_1occz00(obj_t
		BgL_envz00_2407, obj_t BgL_nodez00_2408, obj_t BgL_1zd2expza2z70_2409)
	{
		{	/* Reduce/1occ.scm 215 */
			{	/* Reduce/1occ.scm 217 */
				obj_t BgL_resetz00_2556;

				BgL_resetz00_2556 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2408)))->BgL_testz00),
					BgL_1zd2expza2z70_2409);
				{	/* Reduce/1occ.scm 218 */
					obj_t BgL_ntestz00_2557;

					{	/* Reduce/1occ.scm 219 */
						obj_t BgL_tmpz00_2558;

						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3345;

							BgL_tmpz00_3345 = (int) (1L);
							BgL_tmpz00_2558 = BGL_MVALUES_VAL(BgL_tmpz00_3345);
						}
						{	/* Reduce/1occ.scm 219 */
							int BgL_tmpz00_3348;

							BgL_tmpz00_3348 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3348, BUNSPEC);
						}
						BgL_ntestz00_2557 = BgL_tmpz00_2558;
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2408)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2557)),
						BUNSPEC);
					{
						obj_t BgL_clausesz00_2560;
						obj_t BgL_resetz00_2561;

						BgL_clausesz00_2560 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2408)))->BgL_clausesz00);
						BgL_resetz00_2561 = BgL_resetz00_2556;
					BgL_loopz00_2559:
						if (NULLP(BgL_clausesz00_2560))
							{	/* Reduce/1occ.scm 223 */
								{	/* Reduce/1occ.scm 224 */
									int BgL_tmpz00_3356;

									BgL_tmpz00_3356 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3356);
								}
								{	/* Reduce/1occ.scm 224 */
									obj_t BgL_auxz00_3361;
									int BgL_tmpz00_3359;

									BgL_auxz00_3361 =
										((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2408));
									BgL_tmpz00_3359 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3359, BgL_auxz00_3361);
								}
								return BgL_resetz00_2561;
							}
						else
							{	/* Reduce/1occ.scm 225 */
								obj_t BgL_clausez00_2562;

								BgL_clausez00_2562 = CAR(((obj_t) BgL_clausesz00_2560));
								{	/* Reduce/1occ.scm 226 */
									obj_t BgL_resetz72z72_2563;

									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_arg1691z00_2564;

										BgL_arg1691z00_2564 = CDR(((obj_t) BgL_clausez00_2562));
										BgL_resetz72z72_2563 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											((BgL_nodez00_bglt) BgL_arg1691z00_2564),
											BgL_1zd2expza2z70_2409);
									}
									{	/* Reduce/1occ.scm 227 */
										obj_t BgL_nclausez00_2565;

										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_2566;

											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3371;

												BgL_tmpz00_3371 = (int) (1L);
												BgL_tmpz00_2566 = BGL_MVALUES_VAL(BgL_tmpz00_3371);
											}
											{	/* Reduce/1occ.scm 228 */
												int BgL_tmpz00_3374;

												BgL_tmpz00_3374 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3374, BUNSPEC);
											}
											BgL_nclausez00_2565 = BgL_tmpz00_2566;
										}
										{	/* Reduce/1occ.scm 228 */
											obj_t BgL_tmpz00_3377;

											BgL_tmpz00_3377 = ((obj_t) BgL_clausez00_2562);
											SET_CDR(BgL_tmpz00_3377, BgL_nclausez00_2565);
										}
										{	/* Reduce/1occ.scm 229 */
											obj_t BgL_arg1680z00_2567;
											obj_t BgL_arg1686z00_2568;

											BgL_arg1680z00_2567 = CDR(((obj_t) BgL_clausesz00_2560));
											if (CBOOL(BgL_resetz00_2561))
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1686z00_2568 = BgL_resetz00_2561;
												}
											else
												{	/* Reduce/1occ.scm 229 */
													BgL_arg1686z00_2568 = BgL_resetz72z72_2563;
												}
											{
												obj_t BgL_resetz00_3385;
												obj_t BgL_clausesz00_3384;

												BgL_clausesz00_3384 = BgL_arg1680z00_2567;
												BgL_resetz00_3385 = BgL_arg1686z00_2568;
												BgL_resetz00_2561 = BgL_resetz00_3385;
												BgL_clausesz00_2560 = BgL_clausesz00_3384;
												goto BgL_loopz00_2559;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node-1occ!-fail1351 */
	obj_t BGl_z62nodezd21occz12zd2fail1351z70zzreduce_1occz00(obj_t
		BgL_envz00_2410, obj_t BgL_nodez00_2411, obj_t BgL_1zd2expza2z70_2412)
	{
		{	/* Reduce/1occ.scm 197 */
			{	/* Reduce/1occ.scm 199 */
				obj_t BgL_resetz00_2570;

				BgL_resetz00_2570 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_procz00),
					BgL_1zd2expza2z70_2412);
				{	/* Reduce/1occ.scm 200 */
					obj_t BgL_nprocz00_2571;

					{	/* Reduce/1occ.scm 201 */
						obj_t BgL_tmpz00_2572;

						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3391;

							BgL_tmpz00_3391 = (int) (1L);
							BgL_tmpz00_2572 = BGL_MVALUES_VAL(BgL_tmpz00_3391);
						}
						{	/* Reduce/1occ.scm 201 */
							int BgL_tmpz00_3394;

							BgL_tmpz00_3394 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3394, BUNSPEC);
						}
						BgL_nprocz00_2571 = BgL_tmpz00_2572;
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_procz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_2571)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 202 */
						obj_t BgL_1zd2expza2z72z02_2573;

						if (CBOOL(BgL_resetz00_2570))
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2573 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 202 */
								BgL_1zd2expza2z72z02_2573 = BgL_1zd2expza2z70_2412;
							}
						{	/* Reduce/1occ.scm 203 */
							obj_t BgL_resetz72z72_2574;

							BgL_resetz72z72_2574 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_msgz00),
								BgL_1zd2expza2z72z02_2573);
							{	/* Reduce/1occ.scm 204 */
								obj_t BgL_nmsgz00_2575;

								{	/* Reduce/1occ.scm 205 */
									obj_t BgL_tmpz00_2576;

									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3405;

										BgL_tmpz00_3405 = (int) (1L);
										BgL_tmpz00_2576 = BGL_MVALUES_VAL(BgL_tmpz00_3405);
									}
									{	/* Reduce/1occ.scm 205 */
										int BgL_tmpz00_3408;

										BgL_tmpz00_3408 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3408, BUNSPEC);
									}
									BgL_nmsgz00_2575 = BgL_tmpz00_2576;
								}
								((((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2411)))->BgL_msgz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_2575)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 206 */
									obj_t BgL_1zd2expza2z72z72z70_2577;

									if (CBOOL(BgL_resetz72z72_2574))
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2577 = BNIL;
										}
									else
										{	/* Reduce/1occ.scm 206 */
											BgL_1zd2expza2z72z72z70_2577 = BgL_1zd2expza2z72z02_2573;
										}
									{	/* Reduce/1occ.scm 207 */
										obj_t BgL_resetz72z72z00_2578;

										BgL_resetz72z72z00_2578 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_failz00_bglt) COBJECT(
														((BgL_failz00_bglt) BgL_nodez00_2411)))->
												BgL_objz00), BgL_1zd2expza2z72z72z70_2577);
										{	/* Reduce/1occ.scm 208 */
											obj_t BgL_nobjz00_2579;

											{	/* Reduce/1occ.scm 209 */
												obj_t BgL_tmpz00_2580;

												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3419;

													BgL_tmpz00_3419 = (int) (1L);
													BgL_tmpz00_2580 = BGL_MVALUES_VAL(BgL_tmpz00_3419);
												}
												{	/* Reduce/1occ.scm 209 */
													int BgL_tmpz00_3422;

													BgL_tmpz00_3422 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3422, BUNSPEC);
												}
												BgL_nobjz00_2579 = BgL_tmpz00_2580;
											}
											((((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_2411)))->
													BgL_objz00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nobjz00_2579)), BUNSPEC);
											{	/* Reduce/1occ.scm 210 */
												obj_t BgL_val0_1290z00_2581;

												if (CBOOL(BgL_resetz00_2570))
													{	/* Reduce/1occ.scm 210 */
														BgL_val0_1290z00_2581 = BgL_resetz00_2570;
													}
												else
													{	/* Reduce/1occ.scm 210 */
														if (CBOOL(BgL_resetz72z72_2574))
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1290z00_2581 = BgL_resetz72z72_2574;
															}
														else
															{	/* Reduce/1occ.scm 210 */
																BgL_val0_1290z00_2581 = BgL_resetz72z72z00_2578;
															}
													}
												{	/* Reduce/1occ.scm 210 */
													int BgL_tmpz00_3432;

													BgL_tmpz00_3432 = (int) (2L);
													BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3432);
												}
												{	/* Reduce/1occ.scm 210 */
													obj_t BgL_auxz00_3437;
													int BgL_tmpz00_3435;

													BgL_auxz00_3437 =
														((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2411));
													BgL_tmpz00_3435 = (int) (1L);
													BGL_MVALUES_VAL_SET(BgL_tmpz00_3435, BgL_auxz00_3437);
												}
												return BgL_val0_1290z00_2581;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-condition1349 */
	obj_t BGl_z62nodezd21occz12zd2condition1349z70zzreduce_1occz00(obj_t
		BgL_envz00_2413, obj_t BgL_nodez00_2414, obj_t BgL_1zd2expza2z70_2415)
	{
		{	/* Reduce/1occ.scm 180 */
			{	/* Reduce/1occ.scm 182 */
				obj_t BgL_resetz00_2583;

				BgL_resetz00_2583 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->BgL_testz00),
					BgL_1zd2expza2z70_2415);
				{	/* Reduce/1occ.scm 183 */
					obj_t BgL_ntestz00_2584;

					{	/* Reduce/1occ.scm 184 */
						obj_t BgL_tmpz00_2585;

						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3444;

							BgL_tmpz00_3444 = (int) (1L);
							BgL_tmpz00_2585 = BGL_MVALUES_VAL(BgL_tmpz00_3444);
						}
						{	/* Reduce/1occ.scm 184 */
							int BgL_tmpz00_3447;

							BgL_tmpz00_3447 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3447, BUNSPEC);
						}
						BgL_ntestz00_2584 = BgL_tmpz00_2585;
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_2584)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 185 */
						obj_t BgL_1zd2expza2z72z02_2586;

						if (CBOOL(BgL_resetz00_2583))
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2586 = BNIL;
							}
						else
							{	/* Reduce/1occ.scm 185 */
								BgL_1zd2expza2z72z02_2586 = BgL_1zd2expza2z70_2415;
							}
						{	/* Reduce/1occ.scm 186 */
							obj_t BgL_resetz72z72_2587;

							BgL_resetz72z72_2587 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->
									BgL_truez00), BgL_1zd2expza2z72z02_2586);
							{	/* Reduce/1occ.scm 187 */
								obj_t BgL_ntruez00_2588;

								{	/* Reduce/1occ.scm 188 */
									obj_t BgL_tmpz00_2589;

									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3458;

										BgL_tmpz00_3458 = (int) (1L);
										BgL_tmpz00_2589 = BGL_MVALUES_VAL(BgL_tmpz00_3458);
									}
									{	/* Reduce/1occ.scm 188 */
										int BgL_tmpz00_3461;

										BgL_tmpz00_3461 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3461, BUNSPEC);
									}
									BgL_ntruez00_2588 = BgL_tmpz00_2589;
								}
								((((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2588)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 189 */
									obj_t BgL_resetz72z72z00_2590;

									BgL_resetz72z72z00_2590 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->
											BgL_falsez00), BgL_1zd2expza2z72z02_2586);
									{	/* Reduce/1occ.scm 190 */
										obj_t BgL_nfalsez00_2591;

										{	/* Reduce/1occ.scm 191 */
											obj_t BgL_tmpz00_2592;

											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3470;

												BgL_tmpz00_3470 = (int) (1L);
												BgL_tmpz00_2592 = BGL_MVALUES_VAL(BgL_tmpz00_3470);
											}
											{	/* Reduce/1occ.scm 191 */
												int BgL_tmpz00_3473;

												BgL_tmpz00_3473 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3473, BUNSPEC);
											}
											BgL_nfalsez00_2591 = BgL_tmpz00_2592;
										}
										((((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2414)))->
												BgL_falsez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nfalsez00_2591)), BUNSPEC);
										{	/* Reduce/1occ.scm 192 */
											obj_t BgL_val0_1288z00_2593;

											if (CBOOL(BgL_resetz00_2583))
												{	/* Reduce/1occ.scm 192 */
													BgL_val0_1288z00_2593 = BgL_resetz00_2583;
												}
											else
												{	/* Reduce/1occ.scm 192 */
													if (CBOOL(BgL_resetz72z72_2587))
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1288z00_2593 = BgL_resetz72z72_2587;
														}
													else
														{	/* Reduce/1occ.scm 192 */
															BgL_val0_1288z00_2593 = BgL_resetz72z72z00_2590;
														}
												}
											{	/* Reduce/1occ.scm 192 */
												int BgL_tmpz00_3483;

												BgL_tmpz00_3483 = (int) (2L);
												BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3483);
											}
											{	/* Reduce/1occ.scm 192 */
												obj_t BgL_auxz00_3488;
												int BgL_tmpz00_3486;

												BgL_auxz00_3488 =
													((obj_t)
													((BgL_conditionalz00_bglt) BgL_nodez00_2414));
												BgL_tmpz00_3486 = (int) (1L);
												BGL_MVALUES_VAL_SET(BgL_tmpz00_3486, BgL_auxz00_3488);
											}
											return BgL_val0_1288z00_2593;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-setq1347 */
	obj_t BGl_z62nodezd21occz12zd2setq1347z70zzreduce_1occz00(obj_t
		BgL_envz00_2416, obj_t BgL_nodez00_2417, obj_t BgL_1zd2expza2z70_2418)
	{
		{	/* Reduce/1occ.scm 170 */
			{	/* Reduce/1occ.scm 172 */
				obj_t BgL_resetz00_2595;

				BgL_resetz00_2595 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2417)))->BgL_valuez00),
					BgL_1zd2expza2z70_2418);
				{	/* Reduce/1occ.scm 173 */
					obj_t BgL_nvaluez00_2596;

					{	/* Reduce/1occ.scm 174 */
						obj_t BgL_tmpz00_2597;

						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3495;

							BgL_tmpz00_3495 = (int) (1L);
							BgL_tmpz00_2597 = BGL_MVALUES_VAL(BgL_tmpz00_3495);
						}
						{	/* Reduce/1occ.scm 174 */
							int BgL_tmpz00_3498;

							BgL_tmpz00_3498 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3498, BUNSPEC);
						}
						BgL_nvaluez00_2596 = BgL_tmpz00_2597;
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2417)))->BgL_valuez00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_2596)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 175 */
						int BgL_tmpz00_3504;

						BgL_tmpz00_3504 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3504);
					}
					{	/* Reduce/1occ.scm 175 */
						obj_t BgL_auxz00_3509;
						int BgL_tmpz00_3507;

						BgL_auxz00_3509 = ((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2417));
						BgL_tmpz00_3507 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3507, BgL_auxz00_3509);
					}
					return BgL_resetz00_2595;
				}
			}
		}

	}



/* &node-1occ!-cast1345 */
	obj_t BGl_z62nodezd21occz12zd2cast1345z70zzreduce_1occz00(obj_t
		BgL_envz00_2419, obj_t BgL_nodez00_2420, obj_t BgL_1zd2expza2z70_2421)
	{
		{	/* Reduce/1occ.scm 160 */
			{	/* Reduce/1occ.scm 162 */
				obj_t BgL_resetz00_2599;

				BgL_resetz00_2599 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2420)))->BgL_argz00),
					BgL_1zd2expza2z70_2421);
				{	/* Reduce/1occ.scm 163 */
					obj_t BgL_nargz00_2600;

					{	/* Reduce/1occ.scm 164 */
						obj_t BgL_tmpz00_2601;

						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3516;

							BgL_tmpz00_3516 = (int) (1L);
							BgL_tmpz00_2601 = BGL_MVALUES_VAL(BgL_tmpz00_3516);
						}
						{	/* Reduce/1occ.scm 164 */
							int BgL_tmpz00_3519;

							BgL_tmpz00_3519 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3519, BUNSPEC);
						}
						BgL_nargz00_2600 = BgL_tmpz00_2601;
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nodez00_2420)))->BgL_argz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2600)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 165 */
						int BgL_tmpz00_3525;

						BgL_tmpz00_3525 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3525);
					}
					{	/* Reduce/1occ.scm 165 */
						obj_t BgL_auxz00_3530;
						int BgL_tmpz00_3528;

						BgL_auxz00_3530 = ((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2420));
						BgL_tmpz00_3528 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3528, BgL_auxz00_3530);
					}
					return BgL_resetz00_2599;
				}
			}
		}

	}



/* &node-1occ!-private1343 */
	obj_t BGl_z62nodezd21occz12zd2private1343z70zzreduce_1occz00(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_1zd2expza2z70_2424)
	{
		{	/* Reduce/1occ.scm 153 */
			{	/* Reduce/1occ.scm 155 */
				obj_t BgL_val0_1282z00_2603;

				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_arg1655z00_2604;

					BgL_arg1655z00_2604 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_privatez00_bglt) BgL_nodez00_2423))))->BgL_exprza2za2);
					BgL_val0_1282z00_2603 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1655z00_2604,
						BgL_1zd2expza2z70_2424);
				}
				{	/* Reduce/1occ.scm 155 */
					int BgL_tmpz00_3538;

					BgL_tmpz00_3538 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3538);
				}
				{	/* Reduce/1occ.scm 155 */
					obj_t BgL_auxz00_3543;
					int BgL_tmpz00_3541;

					BgL_auxz00_3543 = ((obj_t) ((BgL_privatez00_bglt) BgL_nodez00_2423));
					BgL_tmpz00_3541 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3541, BgL_auxz00_3543);
				}
				return BgL_val0_1282z00_2603;
			}
		}

	}



/* &node-1occ!-extern1341 */
	obj_t BGl_z62nodezd21occz12zd2extern1341z70zzreduce_1occz00(obj_t
		BgL_envz00_2425, obj_t BgL_nodez00_2426, obj_t BgL_1zd2expza2z70_2427)
	{
		{	/* Reduce/1occ.scm 147 */
			{	/* Reduce/1occ.scm 148 */
				bool_t BgL_tmpz00_3547;

				{	/* Reduce/1occ.scm 148 */
					bool_t BgL_val0_1280z00_2606;

					BgL_val0_1280z00_2606 =
						BGl_sidezd2effectzf3z21zzeffect_effectz00(
						((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2426)));
					{	/* Reduce/1occ.scm 148 */
						int BgL_tmpz00_3551;

						BgL_tmpz00_3551 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3551);
					}
					{	/* Reduce/1occ.scm 148 */
						obj_t BgL_auxz00_3556;
						int BgL_tmpz00_3554;

						BgL_auxz00_3556 = ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2426));
						BgL_tmpz00_3554 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_3554, BgL_auxz00_3556);
					}
					BgL_tmpz00_3547 = BgL_val0_1280z00_2606;
				}
				return BBOOL(BgL_tmpz00_3547);
			}
		}

	}



/* &node-1occ!-funcall1339 */
	obj_t BGl_z62nodezd21occz12zd2funcall1339z70zzreduce_1occz00(obj_t
		BgL_envz00_2428, obj_t BgL_nodez00_2429, obj_t BgL_1zd2expza2z70_2430)
	{
		{	/* Reduce/1occ.scm 136 */
			{	/* Reduce/1occ.scm 138 */
				obj_t BgL_resetz72z72_2608;

				BgL_resetz72z72_2608 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2429)))->BgL_argsz00),
					BgL_1zd2expza2z70_2430);
				{	/* Reduce/1occ.scm 139 */
					int BgL_tmpz00_3564;

					BgL_tmpz00_3564 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3564);
				}
				{	/* Reduce/1occ.scm 139 */
					obj_t BgL_auxz00_3569;
					int BgL_tmpz00_3567;

					BgL_auxz00_3569 = ((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2429));
					BgL_tmpz00_3567 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3567, BgL_auxz00_3569);
				}
				return BgL_resetz72z72_2608;
			}
		}

	}



/* &node-1occ!-app-ly1337 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1337za2zzreduce_1occz00(obj_t
		BgL_envz00_2431, obj_t BgL_nodez00_2432, obj_t BgL_1zd2expza2z70_2433)
	{
		{	/* Reduce/1occ.scm 123 */
			{	/* Reduce/1occ.scm 125 */
				obj_t BgL_resetz00_2610;

				BgL_resetz00_2610 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2432)))->BgL_funz00),
					BgL_1zd2expza2z70_2433);
				{	/* Reduce/1occ.scm 126 */
					obj_t BgL_nfunz00_2611;

					{	/* Reduce/1occ.scm 127 */
						obj_t BgL_tmpz00_2612;

						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3576;

							BgL_tmpz00_3576 = (int) (1L);
							BgL_tmpz00_2612 = BGL_MVALUES_VAL(BgL_tmpz00_3576);
						}
						{	/* Reduce/1occ.scm 127 */
							int BgL_tmpz00_3579;

							BgL_tmpz00_3579 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3579, BUNSPEC);
						}
						BgL_nfunz00_2611 = BgL_tmpz00_2612;
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2432)))->BgL_funz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_2611)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 128 */
						obj_t BgL_resetz72z72_2613;

						{	/* Reduce/1occ.scm 129 */
							BgL_nodez00_bglt BgL_arg1648z00_2614;
							obj_t BgL_arg1649z00_2615;

							BgL_arg1648z00_2614 =
								(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2432)))->BgL_argz00);
							if (CBOOL(BgL_resetz00_2610))
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1649z00_2615 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 129 */
									BgL_arg1649z00_2615 = BgL_1zd2expza2z70_2433;
								}
							BgL_resetz72z72_2613 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1648z00_2614,
								BgL_arg1649z00_2615);
						}
						{	/* Reduce/1occ.scm 129 */
							obj_t BgL_nargz00_2616;

							{	/* Reduce/1occ.scm 130 */
								obj_t BgL_tmpz00_2617;

								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3590;

									BgL_tmpz00_3590 = (int) (1L);
									BgL_tmpz00_2617 = BGL_MVALUES_VAL(BgL_tmpz00_3590);
								}
								{	/* Reduce/1occ.scm 130 */
									int BgL_tmpz00_3593;

									BgL_tmpz00_3593 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3593, BUNSPEC);
								}
								BgL_nargz00_2616 = BgL_tmpz00_2617;
							}
							((((BgL_appzd2lyzd2_bglt) COBJECT(
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_2432)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_2616)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 131 */
								obj_t BgL_val0_1276z00_2618;

								if (CBOOL(BgL_resetz00_2610))
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1276z00_2618 = BgL_resetz00_2610;
									}
								else
									{	/* Reduce/1occ.scm 131 */
										BgL_val0_1276z00_2618 = BgL_resetz72z72_2613;
									}
								{	/* Reduce/1occ.scm 131 */
									int BgL_tmpz00_3601;

									BgL_tmpz00_3601 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3601);
								}
								{	/* Reduce/1occ.scm 131 */
									obj_t BgL_auxz00_3606;
									int BgL_tmpz00_3604;

									BgL_auxz00_3606 =
										((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2432));
									BgL_tmpz00_3604 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3604, BgL_auxz00_3606);
								}
								return BgL_val0_1276z00_2618;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sync1335 */
	obj_t BGl_z62nodezd21occz12zd2sync1335z70zzreduce_1occz00(obj_t
		BgL_envz00_2434, obj_t BgL_nodez00_2435, obj_t BgL_1zd2expza2z70_2436)
	{
		{	/* Reduce/1occ.scm 110 */
			{	/* Reduce/1occ.scm 112 */
				obj_t BgL_resetmz00_2620;

				BgL_resetmz00_2620 =
					BGl_nodezd21occz12zc0zzreduce_1occz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2435)))->BgL_mutexz00),
					BgL_1zd2expza2z70_2436);
				{	/* Reduce/1occ.scm 113 */
					obj_t BgL_nmutexz00_2621;

					{	/* Reduce/1occ.scm 114 */
						obj_t BgL_tmpz00_2622;

						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3613;

							BgL_tmpz00_3613 = (int) (1L);
							BgL_tmpz00_2622 = BGL_MVALUES_VAL(BgL_tmpz00_3613);
						}
						{	/* Reduce/1occ.scm 114 */
							int BgL_tmpz00_3616;

							BgL_tmpz00_3616 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3616, BUNSPEC);
						}
						BgL_nmutexz00_2621 = BgL_tmpz00_2622;
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2435)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_2621)),
						BUNSPEC);
					{	/* Reduce/1occ.scm 115 */
						obj_t BgL_resetpz00_2623;

						BgL_resetpz00_2623 =
							BGl_nodezd21occz12zc0zzreduce_1occz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2435)))->BgL_prelockz00),
							BgL_1zd2expza2z70_2436);
						{	/* Reduce/1occ.scm 116 */
							obj_t BgL_nprelockz00_2624;

							{	/* Reduce/1occ.scm 117 */
								obj_t BgL_tmpz00_2625;

								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3625;

									BgL_tmpz00_3625 = (int) (1L);
									BgL_tmpz00_2625 = BGL_MVALUES_VAL(BgL_tmpz00_3625);
								}
								{	/* Reduce/1occ.scm 117 */
									int BgL_tmpz00_3628;

									BgL_tmpz00_3628 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3628, BUNSPEC);
								}
								BgL_nprelockz00_2624 = BgL_tmpz00_2625;
							}
							((((BgL_syncz00_bglt) COBJECT(
											((BgL_syncz00_bglt) BgL_nodez00_2435)))->BgL_prelockz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprelockz00_2624)),
								BUNSPEC);
							{	/* Reduce/1occ.scm 118 */
								obj_t BgL_val0_1274z00_2626;

								{	/* Reduce/1occ.scm 118 */
									obj_t BgL__ortest_1108z00_2627;

									BgL__ortest_1108z00_2627 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2435)))->BgL_bodyz00),
										BgL_1zd2expza2z70_2436);
									if (CBOOL(BgL__ortest_1108z00_2627))
										{	/* Reduce/1occ.scm 118 */
											BgL_val0_1274z00_2626 = BgL__ortest_1108z00_2627;
										}
									else
										{	/* Reduce/1occ.scm 118 */
											if (CBOOL(BgL_resetmz00_2620))
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1274z00_2626 = BgL_resetmz00_2620;
												}
											else
												{	/* Reduce/1occ.scm 118 */
													BgL_val0_1274z00_2626 = BgL_resetpz00_2623;
												}
										}
								}
								{	/* Reduce/1occ.scm 118 */
									int BgL_tmpz00_3641;

									BgL_tmpz00_3641 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3641);
								}
								{	/* Reduce/1occ.scm 118 */
									obj_t BgL_auxz00_3646;
									int BgL_tmpz00_3644;

									BgL_auxz00_3646 =
										((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2435));
									BgL_tmpz00_3644 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3644, BgL_auxz00_3646);
								}
								return BgL_val0_1274z00_2626;
							}
						}
					}
				}
			}
		}

	}



/* &node-1occ!-sequence1333 */
	obj_t BGl_z62nodezd21occz12zd2sequence1333z70zzreduce_1occz00(obj_t
		BgL_envz00_2437, obj_t BgL_nodez00_2438, obj_t BgL_1zd2expza2z70_2439)
	{
		{	/* Reduce/1occ.scm 103 */
			{	/* Reduce/1occ.scm 105 */
				obj_t BgL_val0_1272z00_2629;

				BgL_val0_1272z00_2629 =
					BGl_nodezd21occza2z12z62zzreduce_1occz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2438)))->BgL_nodesz00),
					BgL_1zd2expza2z70_2439);
				{	/* Reduce/1occ.scm 105 */
					int BgL_tmpz00_3653;

					BgL_tmpz00_3653 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3653);
				}
				{	/* Reduce/1occ.scm 105 */
					obj_t BgL_auxz00_3658;
					int BgL_tmpz00_3656;

					BgL_auxz00_3658 = ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2438));
					BgL_tmpz00_3656 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3656, BgL_auxz00_3658);
				}
				return BgL_val0_1272z00_2629;
			}
		}

	}



/* &node-1occ!-closure1331 */
	obj_t BGl_z62nodezd21occz12zd2closure1331z70zzreduce_1occz00(obj_t
		BgL_envz00_2440, obj_t BgL_nodez00_2441, obj_t BgL_1zd2expza2z70_2442)
	{
		{	/* Reduce/1occ.scm 97 */
			{	/* Reduce/1occ.scm 98 */
				bool_t BgL_tmpz00_3662;

				{	/* Reduce/1occ.scm 98 */
					int BgL_tmpz00_3663;

					BgL_tmpz00_3663 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3663);
				}
				{	/* Reduce/1occ.scm 98 */
					obj_t BgL_auxz00_3668;
					int BgL_tmpz00_3666;

					BgL_auxz00_3668 = ((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2441));
					BgL_tmpz00_3666 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3666, BgL_auxz00_3668);
				}
				BgL_tmpz00_3662 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3662);
			}
		}

	}



/* &node-1occ!-var1329 */
	obj_t BGl_z62nodezd21occz12zd2var1329z70zzreduce_1occz00(obj_t
		BgL_envz00_2443, obj_t BgL_nodez00_2444, obj_t BgL_1zd2expza2z70_2445)
	{
		{	/* Reduce/1occ.scm 84 */
			{	/* Reduce/1occ.scm 85 */
				BgL_variablez00_bglt BgL_vz00_2632;

				BgL_vz00_2632 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2444)))->BgL_variablez00);
				{	/* Reduce/1occ.scm 86 */
					obj_t BgL_falphaz00_2633;

					BgL_falphaz00_2633 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_vz00_2632), BgL_1zd2expza2z70_2445);
					if (PAIRP(BgL_falphaz00_2633))
						{	/* Reduce/1occ.scm 87 */
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2632))->
									BgL_occurrencez00) =
								((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2632))->
											BgL_occurrencez00) - 1L)), BUNSPEC);
							BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
								(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 + 1L);
							{	/* Reduce/1occ.scm 91 */
								obj_t BgL_arg1633z00_2634;

								BgL_arg1633z00_2634 = CDR(BgL_falphaz00_2633);
								return
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_arg1633z00_2634),
									BgL_1zd2expza2z70_2445);
							}
						}
					else
						{	/* Reduce/1occ.scm 87 */
							{	/* Reduce/1occ.scm 92 */
								int BgL_tmpz00_3686;

								BgL_tmpz00_3686 = (int) (2L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3686);
							}
							{	/* Reduce/1occ.scm 92 */
								obj_t BgL_auxz00_3691;
								int BgL_tmpz00_3689;

								BgL_auxz00_3691 =
									((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2444));
								BgL_tmpz00_3689 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3689, BgL_auxz00_3691);
							}
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-1occ!-kwote1327 */
	obj_t BGl_z62nodezd21occz12zd2kwote1327z70zzreduce_1occz00(obj_t
		BgL_envz00_2446, obj_t BgL_nodez00_2447, obj_t BgL_1zd2expza2z70_2448)
	{
		{	/* Reduce/1occ.scm 78 */
			{	/* Reduce/1occ.scm 79 */
				bool_t BgL_tmpz00_3695;

				{	/* Reduce/1occ.scm 79 */
					int BgL_tmpz00_3696;

					BgL_tmpz00_3696 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3696);
				}
				{	/* Reduce/1occ.scm 79 */
					obj_t BgL_auxz00_3701;
					int BgL_tmpz00_3699;

					BgL_auxz00_3701 = ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2447));
					BgL_tmpz00_3699 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3699, BgL_auxz00_3701);
				}
				BgL_tmpz00_3695 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3695);
			}
		}

	}



/* &node-1occ!-atom1325 */
	obj_t BGl_z62nodezd21occz12zd2atom1325z70zzreduce_1occz00(obj_t
		BgL_envz00_2449, obj_t BgL_nodez00_2450, obj_t BgL_1zd2expza2z70_2451)
	{
		{	/* Reduce/1occ.scm 72 */
			{	/* Reduce/1occ.scm 73 */
				bool_t BgL_tmpz00_3706;

				{	/* Reduce/1occ.scm 73 */
					int BgL_tmpz00_3707;

					BgL_tmpz00_3707 = (int) (2L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3707);
				}
				{	/* Reduce/1occ.scm 73 */
					obj_t BgL_auxz00_3712;
					int BgL_tmpz00_3710;

					BgL_auxz00_3712 = ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2450));
					BgL_tmpz00_3710 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_3710, BgL_auxz00_3712);
				}
				BgL_tmpz00_3706 = ((bool_t) 0);
				return BBOOL(BgL_tmpz00_3706);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00(void)
	{
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1963z00zzreduce_1occz00));
		}

	}

#ifdef __cplusplus
}
#endif
