/*===========================================================================*/
/*   (Reduce/sbeta.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/sbeta.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_BETA_TYPE_DEFINITIONS
#define BGL_REDUCE_BETA_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_BETA_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_betaz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_betaz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2appzd2ly1371za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_betaz00(void);
	static obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t);
	static obj_t BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static long BGl_za2removedza2z00zzreduce_betaz00 = 0L;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1379z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2switch1381z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2betaz121362za2zzreduce_betaz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_betaz00(void);
	static bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1389za2zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121391zb0zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1383za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1387z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1385z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2cast1375z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sequence1367z70zzreduce_betaz00(obj_t, obj_t);
	static obj_t
		BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setq1377z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_betaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00(void);
	static obj_t BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2sync1369z70zzreduce_betaz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2app1393z70zzreduce_betaz00(obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t, obj_t);
	static bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1365za2zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2z42flonumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2funcall1373z70zzreduce_betaz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt);
	static bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t);
	static obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt);
	static obj_t BGl_za2predicatesza2z00zzreduce_betaz00 = BUNSPEC;
	static bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2200z00zzreduce_betaz00,
		BgL_bgl_string2200za700za7za7r2223za7, "node-beta-predicate!", 20);
	      DEFINE_STRING(BGl_string2201z00zzreduce_betaz00,
		BgL_bgl_string2201za700za7za7r2224za7, "Illegal predicate", 17);
	      DEFINE_STRING(BGl_string2203z00zzreduce_betaz00,
		BgL_bgl_string2203za700za7za7r2225za7, "node-beta!1362", 14);
	      DEFINE_STRING(BGl_string2205z00zzreduce_betaz00,
		BgL_bgl_string2205za700za7za7r2226za7, "node-beta!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712227za7,
		BGl_z62nodezd2betaz121362za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712228za7,
		BGl_z62nodezd2betaz12zd2letzd2var1365za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712229za7,
		BGl_z62nodezd2betaz12zd2sequence1367z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712230za7,
		BGl_z62nodezd2betaz12zd2sync1369z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712231za7,
		BGl_z62nodezd2betaz12zd2appzd2ly1371za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712232za7,
		BGl_z62nodezd2betaz12zd2funcall1373z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712233za7,
		BGl_z62nodezd2betaz12zd2cast1375z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712234za7,
		BGl_z62nodezd2betaz12zd2setq1377z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712235za7,
		BGl_z62nodezd2betaz12zd2condition1379z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712236za7,
		BGl_z62nodezd2betaz12zd2switch1381z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2220z00zzreduce_betaz00,
		BgL_bgl_string2220za700za7za7r2237za7, "reduce_beta", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712238za7,
		BGl_z62nodezd2betaz12zd2letzd2fun1383za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2221z00zzreduce_betaz00,
		BgL_bgl_string2221za700za7za7r2239za7,
		"bdb nesting $string-length $flonum? $fixnum? foreign ", 53);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712240za7,
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1385z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712241za7,
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1387z70zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712242za7,
		BGl_z62nodezd2betaz12zd2makezd2box1389za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712243za7,
		BGl_z62nodezd2betaz12zd2boxzd2setz121391zb0zzreduce_betaz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712244za7,
		BGl_z62nodezd2betaz12zd2app1393z70zzreduce_betaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762reduceza7d2beta2245z00,
		BGl_z62reducezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
		BgL_bgl_za762nodeza7d2betaza712246za7,
		BGl_z62nodezd2betaz12za2zzreduce_betaz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2198z00zzreduce_betaz00,
		BgL_bgl_string2198za700za7za7r2247za7, "      simple beta reduction  ", 29);
	      DEFINE_STRING(BGl_string2199z00zzreduce_betaz00,
		BgL_bgl_string2199za700za7za7r2248za7, "(removed: ", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2z42flonumzf3za2zb1zzreduce_betaz00));
		     ADD_ROOT((void *) (&BGl_za2predicatesza2z00zzreduce_betaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_betaz00(long
		BgL_checksumz00_4434, char *BgL_fromz00_4435)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_betaz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_betaz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_betaz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_betaz00();
					BGl_cnstzd2initzd2zzreduce_betaz00();
					BGl_importedzd2moduleszd2initz00zzreduce_betaz00();
					BGl_genericzd2initzd2zzreduce_betaz00();
					BGl_methodzd2initzd2zzreduce_betaz00();
					return BGl_toplevelzd2initzd2zzreduce_betaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_beta");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_beta");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			{	/* Reduce/sbeta.scm 25 */
				obj_t BgL_cportz00_4186;

				{	/* Reduce/sbeta.scm 25 */
					obj_t BgL_stringz00_4193;

					BgL_stringz00_4193 = BGl_string2221z00zzreduce_betaz00;
					{	/* Reduce/sbeta.scm 25 */
						obj_t BgL_startz00_4194;

						BgL_startz00_4194 = BINT(0L);
						{	/* Reduce/sbeta.scm 25 */
							obj_t BgL_endz00_4195;

							BgL_endz00_4195 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4193)));
							{	/* Reduce/sbeta.scm 25 */

								BgL_cportz00_4186 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4193, BgL_startz00_4194, BgL_endz00_4195);
				}}}}
				{
					long BgL_iz00_4187;

					BgL_iz00_4187 = 5L;
				BgL_loopz00_4188:
					if ((BgL_iz00_4187 == (-1L)))
						{	/* Reduce/sbeta.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/sbeta.scm 25 */
							{	/* Reduce/sbeta.scm 25 */
								obj_t BgL_arg2222z00_4189;

								{	/* Reduce/sbeta.scm 25 */

									{	/* Reduce/sbeta.scm 25 */
										obj_t BgL_locationz00_4191;

										BgL_locationz00_4191 = BBOOL(((bool_t) 0));
										{	/* Reduce/sbeta.scm 25 */

											BgL_arg2222z00_4189 =
												BGl_readz00zz__readerz00(BgL_cportz00_4186,
												BgL_locationz00_4191);
										}
									}
								}
								{	/* Reduce/sbeta.scm 25 */
									int BgL_tmpz00_4464;

									BgL_tmpz00_4464 = (int) (BgL_iz00_4187);
									CNST_TABLE_SET(BgL_tmpz00_4464, BgL_arg2222z00_4189);
							}}
							{	/* Reduce/sbeta.scm 25 */
								int BgL_auxz00_4192;

								BgL_auxz00_4192 = (int) ((BgL_iz00_4187 - 1L));
								{
									long BgL_iz00_4469;

									BgL_iz00_4469 = (long) (BgL_auxz00_4192);
									BgL_iz00_4187 = BgL_iz00_4469;
									goto BgL_loopz00_4188;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_za2removedza2z00zzreduce_betaz00 = 0L;
			BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
			BGl_za2z42flonumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			return BUNSPEC;
		}

	}



/* reduce-beta! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2betaz12zc0zzreduce_betaz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/sbeta.scm 47 */
			{	/* Reduce/sbeta.scm 48 */
				obj_t BgL_list1402z00_1490;

				BgL_list1402z00_1490 =
					MAKE_YOUNG_PAIR(BGl_string2198z00zzreduce_betaz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1402z00_1490);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2removedza2z00zzreduce_betaz00 = 0L;
			{	/* Reduce/sbeta.scm 55 */
				obj_t BgL_list1403z00_1491;

				BgL_list1403z00_1491 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
				BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(1)), BgL_list1403z00_1491);
			}
			{	/* Reduce/sbeta.scm 56 */
				obj_t BgL_list1404z00_1492;

				BgL_list1404z00_1492 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
				BGl_za2z42flonumzf3za2zb1zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(2)), BgL_list1404z00_1492);
			}
			{	/* Reduce/sbeta.scm 57 */
				obj_t BgL_list1405z00_1493;

				BgL_list1405z00_1493 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
				BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 =
					BGl_findzd2globalzd2zzast_envz00(
					((obj_t) CNST_TABLE_REF(3)), BgL_list1405z00_1493);
			}
			{	/* Reduce/sbeta.scm 58 */
				obj_t BgL_list1406z00_1494;

				{	/* Reduce/sbeta.scm 58 */
					obj_t BgL_arg1414z00_1495;

					BgL_arg1414z00_1495 =
						MAKE_YOUNG_PAIR(BGl_za2z42flonumzf3za2zb1zzreduce_betaz00, BNIL);
					BgL_list1406z00_1494 =
						MAKE_YOUNG_PAIR(BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00,
						BgL_arg1414z00_1495);
				}
				BGl_za2predicatesza2z00zzreduce_betaz00 = BgL_list1406z00_1494;
			}
			{
				obj_t BgL_l1278z00_1497;

				BgL_l1278z00_1497 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31415ze3z87_1498:
				if (PAIRP(BgL_l1278z00_1497))
					{	/* Reduce/sbeta.scm 60 */
						{	/* Reduce/sbeta.scm 61 */
							obj_t BgL_globalz00_1500;

							BgL_globalz00_1500 = CAR(BgL_l1278z00_1497);
							{	/* Reduce/sbeta.scm 61 */
								BgL_valuez00_bglt BgL_funz00_1501;

								BgL_funz00_1501 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1500))))->
									BgL_valuez00);
								{	/* Reduce/sbeta.scm 61 */
									obj_t BgL_nodez00_1502;

									BgL_nodez00_1502 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1501)))->BgL_bodyz00);
									{	/* Reduce/sbeta.scm 62 */

										{	/* Reduce/sbeta.scm 63 */
											BgL_nodez00_bglt BgL_arg1446z00_1503;

											BgL_arg1446z00_1503 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_nodez00_1502));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1501)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1446z00_1503)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1278z00_4509;

							BgL_l1278z00_4509 = CDR(BgL_l1278z00_1497);
							BgL_l1278z00_1497 = BgL_l1278z00_4509;
							goto BgL_zc3z04anonymousza31415ze3z87_1498;
						}
					}
				else
					{	/* Reduce/sbeta.scm 60 */
						((bool_t) 1);
					}
			}
			BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
			BGl_za2z42flonumzf3za2zb1zzreduce_betaz00 = BUNSPEC;
			BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00 = BUNSPEC;
			BGl_za2predicatesza2z00zzreduce_betaz00 = BNIL;
			{	/* Reduce/sbeta.scm 72 */
				obj_t BgL_list1458z00_1506;

				{	/* Reduce/sbeta.scm 72 */
					obj_t BgL_arg1471z00_1507;

					{	/* Reduce/sbeta.scm 72 */
						obj_t BgL_arg1480z00_1508;

						{	/* Reduce/sbeta.scm 72 */
							obj_t BgL_arg1484z00_1509;

							BgL_arg1484z00_1509 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1480z00_1508 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1484z00_1509);
						}
						BgL_arg1471z00_1507 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2removedza2z00zzreduce_betaz00),
							BgL_arg1480z00_1508);
					}
					BgL_list1458z00_1506 =
						MAKE_YOUNG_PAIR(BGl_string2199z00zzreduce_betaz00,
						BgL_arg1471z00_1507);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1458z00_1506);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-beta! */
	obj_t BGl_z62reducezd2betaz12za2zzreduce_betaz00(obj_t BgL_envz00_4134,
		obj_t BgL_globalsz00_4135)
	{
		{	/* Reduce/sbeta.scm 47 */
			return BGl_reducezd2betaz12zc0zzreduce_betaz00(BgL_globalsz00_4135);
		}

	}



/* find-actual-expression */
	BgL_nodez00_bglt
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00(BgL_nodez00_bglt
		BgL_bodyz00_5)
	{
		{	/* Reduce/sbeta.scm 97 */
		BGl_findzd2actualzd2expressionz00zzreduce_betaz00:
			{	/* Reduce/sbeta.scm 98 */
				bool_t BgL_test2252z00_4521;

				{	/* Reduce/sbeta.scm 98 */
					obj_t BgL_classz00_2415;

					BgL_classz00_2415 = BGl_sequencez00zzast_nodez00;
					{	/* Reduce/sbeta.scm 98 */
						BgL_objectz00_bglt BgL_arg1858z00_2417;

						{	/* Reduce/sbeta.scm 98 */
							obj_t BgL_tmpz00_4522;

							BgL_tmpz00_4522 = ((obj_t) BgL_bodyz00_5);
							BgL_arg1858z00_2417 = (BgL_objectz00_bglt) (BgL_tmpz00_4522);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Reduce/sbeta.scm 98 */
								long BgL_idxz00_2423;

								BgL_idxz00_2423 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2417);
								BgL_test2252z00_4521 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2423 + 3L)) == BgL_classz00_2415);
							}
						else
							{	/* Reduce/sbeta.scm 98 */
								bool_t BgL_res2149z00_2448;

								{	/* Reduce/sbeta.scm 98 */
									obj_t BgL_oclassz00_2431;

									{	/* Reduce/sbeta.scm 98 */
										obj_t BgL_arg1866z00_2439;
										long BgL_arg1867z00_2440;

										BgL_arg1866z00_2439 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Reduce/sbeta.scm 98 */
											long BgL_arg1869z00_2441;

											BgL_arg1869z00_2441 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2417);
											BgL_arg1867z00_2440 = (BgL_arg1869z00_2441 - OBJECT_TYPE);
										}
										BgL_oclassz00_2431 =
											VECTOR_REF(BgL_arg1866z00_2439, BgL_arg1867z00_2440);
									}
									{	/* Reduce/sbeta.scm 98 */
										bool_t BgL__ortest_1115z00_2432;

										BgL__ortest_1115z00_2432 =
											(BgL_classz00_2415 == BgL_oclassz00_2431);
										if (BgL__ortest_1115z00_2432)
											{	/* Reduce/sbeta.scm 98 */
												BgL_res2149z00_2448 = BgL__ortest_1115z00_2432;
											}
										else
											{	/* Reduce/sbeta.scm 98 */
												long BgL_odepthz00_2433;

												{	/* Reduce/sbeta.scm 98 */
													obj_t BgL_arg1855z00_2434;

													BgL_arg1855z00_2434 = (BgL_oclassz00_2431);
													BgL_odepthz00_2433 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2434);
												}
												if ((3L < BgL_odepthz00_2433))
													{	/* Reduce/sbeta.scm 98 */
														obj_t BgL_arg1853z00_2436;

														{	/* Reduce/sbeta.scm 98 */
															obj_t BgL_arg1854z00_2437;

															BgL_arg1854z00_2437 = (BgL_oclassz00_2431);
															BgL_arg1853z00_2436 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2437,
																3L);
														}
														BgL_res2149z00_2448 =
															(BgL_arg1853z00_2436 == BgL_classz00_2415);
													}
												else
													{	/* Reduce/sbeta.scm 98 */
														BgL_res2149z00_2448 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2252z00_4521 = BgL_res2149z00_2448;
							}
					}
				}
				if (BgL_test2252z00_4521)
					{	/* Reduce/sbeta.scm 100 */
						bool_t BgL_test2256z00_4544;

						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00)))
							{	/* Reduce/sbeta.scm 100 */
								BgL_test2256z00_4544 = ((bool_t) 0);
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								bool_t BgL_test2258z00_4549;

								{	/* Reduce/sbeta.scm 100 */
									obj_t BgL_tmpz00_4550;

									{	/* Reduce/sbeta.scm 100 */
										obj_t BgL_pairz00_2449;

										BgL_pairz00_2449 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
											BgL_nodesz00);
										BgL_tmpz00_4550 = CDR(BgL_pairz00_2449);
									}
									BgL_test2258z00_4549 = NULLP(BgL_tmpz00_4550);
								}
								if (BgL_test2258z00_4549)
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2256z00_4544 =
											NULLP(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_bodyz00_5)))->
												BgL_metaz00));
									}
								else
									{	/* Reduce/sbeta.scm 100 */
										BgL_test2256z00_4544 = ((bool_t) 0);
									}
							}
						if (BgL_test2256z00_4544)
							{	/* Reduce/sbeta.scm 101 */
								obj_t BgL_arg1515z00_1522;

								{	/* Reduce/sbeta.scm 101 */
									obj_t BgL_pairz00_2450;

									BgL_pairz00_2450 =
										(((BgL_sequencez00_bglt) COBJECT(
												((BgL_sequencez00_bglt) BgL_bodyz00_5)))->BgL_nodesz00);
									BgL_arg1515z00_1522 = CAR(BgL_pairz00_2450);
								}
								{
									BgL_nodez00_bglt BgL_bodyz00_4561;

									BgL_bodyz00_4561 = ((BgL_nodez00_bglt) BgL_arg1515z00_1522);
									BgL_bodyz00_5 = BgL_bodyz00_4561;
									goto BGl_findzd2actualzd2expressionz00zzreduce_betaz00;
								}
							}
						else
							{	/* Reduce/sbeta.scm 100 */
								return BgL_bodyz00_5;
							}
					}
				else
					{	/* Reduce/sbeta.scm 98 */
						return BgL_bodyz00_5;
					}
			}
		}

	}



/* is-argument? */
	bool_t BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_bodyz00_7)
	{
		{	/* Reduce/sbeta.scm 108 */
			{	/* Reduce/sbeta.scm 110 */
				bool_t BgL_test2259z00_4563;

				{	/* Reduce/sbeta.scm 207 */
					bool_t BgL_test2260z00_4564;

					{	/* Reduce/sbeta.scm 207 */
						obj_t BgL_classz00_2455;

						BgL_classz00_2455 = BGl_varz00zzast_nodez00;
						{	/* Reduce/sbeta.scm 207 */
							BgL_objectz00_bglt BgL_arg1858z00_2457;

							{	/* Reduce/sbeta.scm 207 */
								obj_t BgL_tmpz00_4565;

								BgL_tmpz00_4565 = ((obj_t) ((BgL_nodez00_bglt) BgL_bodyz00_7));
								BgL_arg1858z00_2457 = (BgL_objectz00_bglt) (BgL_tmpz00_4565);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/sbeta.scm 207 */
									long BgL_idxz00_2463;

									BgL_idxz00_2463 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2457);
									BgL_test2260z00_4564 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2463 + 2L)) == BgL_classz00_2455);
								}
							else
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_res2150z00_2488;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_oclassz00_2471;

										{	/* Reduce/sbeta.scm 207 */
											obj_t BgL_arg1866z00_2479;
											long BgL_arg1867z00_2480;

											BgL_arg1866z00_2479 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/sbeta.scm 207 */
												long BgL_arg1869z00_2481;

												BgL_arg1869z00_2481 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2457);
												BgL_arg1867z00_2480 =
													(BgL_arg1869z00_2481 - OBJECT_TYPE);
											}
											BgL_oclassz00_2471 =
												VECTOR_REF(BgL_arg1866z00_2479, BgL_arg1867z00_2480);
										}
										{	/* Reduce/sbeta.scm 207 */
											bool_t BgL__ortest_1115z00_2472;

											BgL__ortest_1115z00_2472 =
												(BgL_classz00_2455 == BgL_oclassz00_2471);
											if (BgL__ortest_1115z00_2472)
												{	/* Reduce/sbeta.scm 207 */
													BgL_res2150z00_2488 = BgL__ortest_1115z00_2472;
												}
											else
												{	/* Reduce/sbeta.scm 207 */
													long BgL_odepthz00_2473;

													{	/* Reduce/sbeta.scm 207 */
														obj_t BgL_arg1855z00_2474;

														BgL_arg1855z00_2474 = (BgL_oclassz00_2471);
														BgL_odepthz00_2473 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2474);
													}
													if ((2L < BgL_odepthz00_2473))
														{	/* Reduce/sbeta.scm 207 */
															obj_t BgL_arg1853z00_2476;

															{	/* Reduce/sbeta.scm 207 */
																obj_t BgL_arg1854z00_2477;

																BgL_arg1854z00_2477 = (BgL_oclassz00_2471);
																BgL_arg1853z00_2476 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2477,
																	2L);
															}
															BgL_res2150z00_2488 =
																(BgL_arg1853z00_2476 == BgL_classz00_2455);
														}
													else
														{	/* Reduce/sbeta.scm 207 */
															BgL_res2150z00_2488 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2260z00_4564 = BgL_res2150z00_2488;
								}
						}
					}
					if (BgL_test2260z00_4564)
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2259z00_4563 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													((BgL_nodez00_bglt) BgL_bodyz00_7))))->
										BgL_variablez00)) == ((obj_t) BgL_varz00_6));
						}
					else
						{	/* Reduce/sbeta.scm 207 */
							BgL_test2259z00_4563 = ((bool_t) 0);
						}
				}
				if (BgL_test2259z00_4563)
					{	/* Reduce/sbeta.scm 110 */
						return ((bool_t) 1);
					}
				else
					{	/* Reduce/sbeta.scm 112 */
						bool_t BgL_test2264z00_4594;

						{	/* Reduce/sbeta.scm 112 */
							obj_t BgL_classz00_2490;

							BgL_classz00_2490 = BGl_castz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_bodyz00_7))
								{	/* Reduce/sbeta.scm 112 */
									BgL_objectz00_bglt BgL_arg1858z00_2492;

									BgL_arg1858z00_2492 = (BgL_objectz00_bglt) (BgL_bodyz00_7);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 112 */
											long BgL_idxz00_2498;

											BgL_idxz00_2498 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2492);
											BgL_test2264z00_4594 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2498 + 2L)) == BgL_classz00_2490);
										}
									else
										{	/* Reduce/sbeta.scm 112 */
											bool_t BgL_res2151z00_2523;

											{	/* Reduce/sbeta.scm 112 */
												obj_t BgL_oclassz00_2506;

												{	/* Reduce/sbeta.scm 112 */
													obj_t BgL_arg1866z00_2514;
													long BgL_arg1867z00_2515;

													BgL_arg1866z00_2514 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/sbeta.scm 112 */
														long BgL_arg1869z00_2516;

														BgL_arg1869z00_2516 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2492);
														BgL_arg1867z00_2515 =
															(BgL_arg1869z00_2516 - OBJECT_TYPE);
													}
													BgL_oclassz00_2506 =
														VECTOR_REF(BgL_arg1866z00_2514,
														BgL_arg1867z00_2515);
												}
												{	/* Reduce/sbeta.scm 112 */
													bool_t BgL__ortest_1115z00_2507;

													BgL__ortest_1115z00_2507 =
														(BgL_classz00_2490 == BgL_oclassz00_2506);
													if (BgL__ortest_1115z00_2507)
														{	/* Reduce/sbeta.scm 112 */
															BgL_res2151z00_2523 = BgL__ortest_1115z00_2507;
														}
													else
														{	/* Reduce/sbeta.scm 112 */
															long BgL_odepthz00_2508;

															{	/* Reduce/sbeta.scm 112 */
																obj_t BgL_arg1855z00_2509;

																BgL_arg1855z00_2509 = (BgL_oclassz00_2506);
																BgL_odepthz00_2508 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2509);
															}
															if ((2L < BgL_odepthz00_2508))
																{	/* Reduce/sbeta.scm 112 */
																	obj_t BgL_arg1853z00_2511;

																	{	/* Reduce/sbeta.scm 112 */
																		obj_t BgL_arg1854z00_2512;

																		BgL_arg1854z00_2512 = (BgL_oclassz00_2506);
																		BgL_arg1853z00_2511 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2512, 2L);
																	}
																	BgL_res2151z00_2523 =
																		(BgL_arg1853z00_2511 == BgL_classz00_2490);
																}
															else
																{	/* Reduce/sbeta.scm 112 */
																	BgL_res2151z00_2523 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2264z00_4594 = BgL_res2151z00_2523;
										}
								}
							else
								{	/* Reduce/sbeta.scm 112 */
									BgL_test2264z00_4594 = ((bool_t) 0);
								}
						}
						if (BgL_test2264z00_4594)
							{	/* Reduce/sbeta.scm 114 */
								BgL_nodez00_bglt BgL_nodez00_2525;

								BgL_nodez00_2525 =
									(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_bodyz00_7)))->BgL_argz00);
								{	/* Reduce/sbeta.scm 207 */
									bool_t BgL_test2269z00_4619;

									{	/* Reduce/sbeta.scm 207 */
										obj_t BgL_classz00_2528;

										BgL_classz00_2528 = BGl_varz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 207 */
											BgL_objectz00_bglt BgL_arg1858z00_2530;

											{	/* Reduce/sbeta.scm 207 */
												obj_t BgL_tmpz00_4620;

												BgL_tmpz00_4620 = ((obj_t) BgL_nodez00_2525);
												BgL_arg1858z00_2530 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4620);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 207 */
													long BgL_idxz00_2536;

													BgL_idxz00_2536 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2530);
													BgL_test2269z00_4619 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2536 + 2L)) == BgL_classz00_2528);
												}
											else
												{	/* Reduce/sbeta.scm 207 */
													bool_t BgL_res2152z00_2561;

													{	/* Reduce/sbeta.scm 207 */
														obj_t BgL_oclassz00_2544;

														{	/* Reduce/sbeta.scm 207 */
															obj_t BgL_arg1866z00_2552;
															long BgL_arg1867z00_2553;

															BgL_arg1866z00_2552 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/sbeta.scm 207 */
																long BgL_arg1869z00_2554;

																BgL_arg1869z00_2554 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2530);
																BgL_arg1867z00_2553 =
																	(BgL_arg1869z00_2554 - OBJECT_TYPE);
															}
															BgL_oclassz00_2544 =
																VECTOR_REF(BgL_arg1866z00_2552,
																BgL_arg1867z00_2553);
														}
														{	/* Reduce/sbeta.scm 207 */
															bool_t BgL__ortest_1115z00_2545;

															BgL__ortest_1115z00_2545 =
																(BgL_classz00_2528 == BgL_oclassz00_2544);
															if (BgL__ortest_1115z00_2545)
																{	/* Reduce/sbeta.scm 207 */
																	BgL_res2152z00_2561 =
																		BgL__ortest_1115z00_2545;
																}
															else
																{	/* Reduce/sbeta.scm 207 */
																	long BgL_odepthz00_2546;

																	{	/* Reduce/sbeta.scm 207 */
																		obj_t BgL_arg1855z00_2547;

																		BgL_arg1855z00_2547 = (BgL_oclassz00_2544);
																		BgL_odepthz00_2546 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2547);
																	}
																	if ((2L < BgL_odepthz00_2546))
																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_arg1853z00_2549;

																			{	/* Reduce/sbeta.scm 207 */
																				obj_t BgL_arg1854z00_2550;

																				BgL_arg1854z00_2550 =
																					(BgL_oclassz00_2544);
																				BgL_arg1853z00_2549 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2550, 2L);
																			}
																			BgL_res2152z00_2561 =
																				(BgL_arg1853z00_2549 ==
																				BgL_classz00_2528);
																		}
																	else
																		{	/* Reduce/sbeta.scm 207 */
																			BgL_res2152z00_2561 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2269z00_4619 = BgL_res2152z00_2561;
												}
										}
									}
									if (BgL_test2269z00_4619)
										{	/* Reduce/sbeta.scm 207 */
											return
												(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2525)))->
														BgL_variablez00)) == ((obj_t) BgL_varz00_6));
										}
									else
										{	/* Reduce/sbeta.scm 207 */
											return ((bool_t) 0);
										}
								}
							}
						else
							{	/* Reduce/sbeta.scm 112 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* argument? */
	bool_t BGl_argumentzf3zf3zzreduce_betaz00(BgL_variablez00_bglt BgL_varz00_8,
		obj_t BgL_argsz00_9)
	{
		{	/* Reduce/sbeta.scm 121 */
			{
				obj_t BgL_argsz00_1535;

				BgL_argsz00_1535 = BgL_argsz00_9;
			BgL_zc3z04anonymousza31554ze3z87_1536:
				if (NULLP(BgL_argsz00_1535))
					{	/* Reduce/sbeta.scm 124 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/sbeta.scm 126 */
						bool_t BgL_test2274z00_4649;

						{	/* Reduce/sbeta.scm 126 */
							obj_t BgL_arg1574z00_1541;

							BgL_arg1574z00_1541 = CAR(((obj_t) BgL_argsz00_1535));
							BgL_test2274z00_4649 =
								BGl_iszd2argumentzf3z21zzreduce_betaz00(BgL_varz00_8,
								BgL_arg1574z00_1541);
						}
						if (BgL_test2274z00_4649)
							{	/* Reduce/sbeta.scm 126 */
								return ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 129 */
								obj_t BgL_arg1560z00_1540;

								BgL_arg1560z00_1540 = CDR(((obj_t) BgL_argsz00_1535));
								{
									obj_t BgL_argsz00_4655;

									BgL_argsz00_4655 = BgL_arg1560z00_1540;
									BgL_argsz00_1535 = BgL_argsz00_4655;
									goto BgL_zc3z04anonymousza31554ze3z87_1536;
								}
							}
					}
			}
		}

	}



/* make-args-list */
	obj_t BGl_makezd2argszd2listz00zzreduce_betaz00(obj_t BgL_bindingsz00_10,
		obj_t BgL_argsz00_11)
	{
		{	/* Reduce/sbeta.scm 134 */
			if (NULLP(BgL_argsz00_11))
				{	/* Reduce/sbeta.scm 135 */
					return BNIL;
				}
			else
				{	/* Reduce/sbeta.scm 135 */
					obj_t BgL_head1282z00_1545;

					BgL_head1282z00_1545 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1280z00_1547;
						obj_t BgL_tail1283z00_1548;

						BgL_l1280z00_1547 = BgL_argsz00_11;
						BgL_tail1283z00_1548 = BgL_head1282z00_1545;
					BgL_zc3z04anonymousza31576ze3z87_1549:
						if (NULLP(BgL_l1280z00_1547))
							{	/* Reduce/sbeta.scm 135 */
								return CDR(BgL_head1282z00_1545);
							}
						else
							{	/* Reduce/sbeta.scm 135 */
								obj_t BgL_newtail1284z00_1551;

								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1581z00_1553;

									{	/* Reduce/sbeta.scm 135 */
										obj_t BgL_az00_1554;

										BgL_az00_1554 = CAR(((obj_t) BgL_l1280z00_1547));
										{
											obj_t BgL_bindingsz00_1556;

											BgL_bindingsz00_1556 = BgL_bindingsz00_10;
										BgL_zc3z04anonymousza31582ze3z87_1557:
											if (NULLP(BgL_bindingsz00_1556))
												{	/* Reduce/sbeta.scm 138 */
													BgL_arg1581z00_1553 = BgL_az00_1554;
												}
											else
												{	/* Reduce/sbeta.scm 140 */
													bool_t BgL_test2278z00_4666;

													{	/* Reduce/sbeta.scm 140 */
														obj_t BgL_arg1592z00_1562;

														{	/* Reduce/sbeta.scm 140 */
															obj_t BgL_pairz00_2570;

															BgL_pairz00_2570 =
																CAR(((obj_t) BgL_bindingsz00_1556));
															BgL_arg1592z00_1562 = CAR(BgL_pairz00_2570);
														}
														BgL_test2278z00_4666 =
															BGl_iszd2argumentzf3z21zzreduce_betaz00(
															((BgL_variablez00_bglt) BgL_arg1592z00_1562),
															BgL_az00_1554);
													}
													if (BgL_test2278z00_4666)
														{	/* Reduce/sbeta.scm 141 */
															obj_t BgL_pairz00_2574;

															BgL_pairz00_2574 =
																CAR(((obj_t) BgL_bindingsz00_1556));
															BgL_arg1581z00_1553 = CDR(BgL_pairz00_2574);
														}
													else
														{	/* Reduce/sbeta.scm 143 */
															obj_t BgL_arg1590z00_1561;

															BgL_arg1590z00_1561 =
																CDR(((obj_t) BgL_bindingsz00_1556));
															{
																obj_t BgL_bindingsz00_4677;

																BgL_bindingsz00_4677 = BgL_arg1590z00_1561;
																BgL_bindingsz00_1556 = BgL_bindingsz00_4677;
																goto BgL_zc3z04anonymousza31582ze3z87_1557;
															}
														}
												}
										}
									}
									BgL_newtail1284z00_1551 =
										MAKE_YOUNG_PAIR(BgL_arg1581z00_1553, BNIL);
								}
								SET_CDR(BgL_tail1283z00_1548, BgL_newtail1284z00_1551);
								{	/* Reduce/sbeta.scm 135 */
									obj_t BgL_arg1578z00_1552;

									BgL_arg1578z00_1552 = CDR(((obj_t) BgL_l1280z00_1547));
									{
										obj_t BgL_tail1283z00_4683;
										obj_t BgL_l1280z00_4682;

										BgL_l1280z00_4682 = BgL_arg1578z00_1552;
										BgL_tail1283z00_4683 = BgL_newtail1284z00_1551;
										BgL_tail1283z00_1548 = BgL_tail1283z00_4683;
										BgL_l1280z00_1547 = BgL_l1280z00_4682;
										goto BgL_zc3z04anonymousza31576ze3z87_1549;
									}
								}
							}
					}
				}
		}

	}



/* dangerous? */
	bool_t BGl_dangerouszf3zf3zzreduce_betaz00(obj_t BgL_exprz00_12)
	{
		{	/* Reduce/sbeta.scm 149 */
			{	/* Reduce/sbeta.scm 150 */
				BgL_nodez00_bglt BgL_exprz00_1565;

				BgL_exprz00_1565 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_12));
				{	/* Reduce/sbeta.scm 152 */
					bool_t BgL_test2279z00_4686;

					{	/* Reduce/sbeta.scm 152 */
						bool_t BgL_test2280z00_4687;

						{	/* Reduce/sbeta.scm 152 */
							obj_t BgL_classz00_2578;

							BgL_classz00_2578 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 152 */
								BgL_objectz00_bglt BgL_arg1858z00_2580;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_tmpz00_4688;

									BgL_tmpz00_4688 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
									BgL_arg1858z00_2580 = (BgL_objectz00_bglt) (BgL_tmpz00_4688);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/sbeta.scm 152 */
										long BgL_idxz00_2586;

										BgL_idxz00_2586 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2580);
										BgL_test2280z00_4687 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2586 + 2L)) == BgL_classz00_2578);
									}
								else
									{	/* Reduce/sbeta.scm 152 */
										bool_t BgL_res2153z00_2611;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_oclassz00_2594;

											{	/* Reduce/sbeta.scm 152 */
												obj_t BgL_arg1866z00_2602;
												long BgL_arg1867z00_2603;

												BgL_arg1866z00_2602 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Reduce/sbeta.scm 152 */
													long BgL_arg1869z00_2604;

													BgL_arg1869z00_2604 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2580);
													BgL_arg1867z00_2603 =
														(BgL_arg1869z00_2604 - OBJECT_TYPE);
												}
												BgL_oclassz00_2594 =
													VECTOR_REF(BgL_arg1866z00_2602, BgL_arg1867z00_2603);
											}
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL__ortest_1115z00_2595;

												BgL__ortest_1115z00_2595 =
													(BgL_classz00_2578 == BgL_oclassz00_2594);
												if (BgL__ortest_1115z00_2595)
													{	/* Reduce/sbeta.scm 152 */
														BgL_res2153z00_2611 = BgL__ortest_1115z00_2595;
													}
												else
													{	/* Reduce/sbeta.scm 152 */
														long BgL_odepthz00_2596;

														{	/* Reduce/sbeta.scm 152 */
															obj_t BgL_arg1855z00_2597;

															BgL_arg1855z00_2597 = (BgL_oclassz00_2594);
															BgL_odepthz00_2596 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2597);
														}
														if ((2L < BgL_odepthz00_2596))
															{	/* Reduce/sbeta.scm 152 */
																obj_t BgL_arg1853z00_2599;

																{	/* Reduce/sbeta.scm 152 */
																	obj_t BgL_arg1854z00_2600;

																	BgL_arg1854z00_2600 = (BgL_oclassz00_2594);
																	BgL_arg1853z00_2599 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2600,
																		2L);
																}
																BgL_res2153z00_2611 =
																	(BgL_arg1853z00_2599 == BgL_classz00_2578);
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2153z00_2611 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2280z00_4687 = BgL_res2153z00_2611;
									}
							}
						}
						if (BgL_test2280z00_4687)
							{	/* Reduce/sbeta.scm 152 */
								BgL_test2279z00_4686 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 152 */
								bool_t BgL_test2284z00_4711;

								{	/* Reduce/sbeta.scm 152 */
									obj_t BgL_classz00_2612;

									BgL_classz00_2612 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 152 */
										BgL_objectz00_bglt BgL_arg1858z00_2614;

										{	/* Reduce/sbeta.scm 152 */
											obj_t BgL_tmpz00_4712;

											BgL_tmpz00_4712 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
											BgL_arg1858z00_2614 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4712);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/sbeta.scm 152 */
												long BgL_idxz00_2620;

												BgL_idxz00_2620 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2614);
												BgL_test2284z00_4711 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2620 + 2L)) == BgL_classz00_2612);
											}
										else
											{	/* Reduce/sbeta.scm 152 */
												bool_t BgL_res2154z00_2645;

												{	/* Reduce/sbeta.scm 152 */
													obj_t BgL_oclassz00_2628;

													{	/* Reduce/sbeta.scm 152 */
														obj_t BgL_arg1866z00_2636;
														long BgL_arg1867z00_2637;

														BgL_arg1866z00_2636 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Reduce/sbeta.scm 152 */
															long BgL_arg1869z00_2638;

															BgL_arg1869z00_2638 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2614);
															BgL_arg1867z00_2637 =
																(BgL_arg1869z00_2638 - OBJECT_TYPE);
														}
														BgL_oclassz00_2628 =
															VECTOR_REF(BgL_arg1866z00_2636,
															BgL_arg1867z00_2637);
													}
													{	/* Reduce/sbeta.scm 152 */
														bool_t BgL__ortest_1115z00_2629;

														BgL__ortest_1115z00_2629 =
															(BgL_classz00_2612 == BgL_oclassz00_2628);
														if (BgL__ortest_1115z00_2629)
															{	/* Reduce/sbeta.scm 152 */
																BgL_res2154z00_2645 = BgL__ortest_1115z00_2629;
															}
														else
															{	/* Reduce/sbeta.scm 152 */
																long BgL_odepthz00_2630;

																{	/* Reduce/sbeta.scm 152 */
																	obj_t BgL_arg1855z00_2631;

																	BgL_arg1855z00_2631 = (BgL_oclassz00_2628);
																	BgL_odepthz00_2630 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2631);
																}
																if ((2L < BgL_odepthz00_2630))
																	{	/* Reduce/sbeta.scm 152 */
																		obj_t BgL_arg1853z00_2633;

																		{	/* Reduce/sbeta.scm 152 */
																			obj_t BgL_arg1854z00_2634;

																			BgL_arg1854z00_2634 =
																				(BgL_oclassz00_2628);
																			BgL_arg1853z00_2633 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2634, 2L);
																		}
																		BgL_res2154z00_2645 =
																			(BgL_arg1853z00_2633 ==
																			BgL_classz00_2612);
																	}
																else
																	{	/* Reduce/sbeta.scm 152 */
																		BgL_res2154z00_2645 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2284z00_4711 = BgL_res2154z00_2645;
											}
									}
								}
								if (BgL_test2284z00_4711)
									{	/* Reduce/sbeta.scm 152 */
										BgL_test2279z00_4686 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 152 */
										obj_t BgL_classz00_2646;

										BgL_classz00_2646 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 152 */
											BgL_objectz00_bglt BgL_arg1858z00_2648;

											{	/* Reduce/sbeta.scm 152 */
												obj_t BgL_tmpz00_4735;

												BgL_tmpz00_4735 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
												BgL_arg1858z00_2648 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4735);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 152 */
													long BgL_idxz00_2654;

													BgL_idxz00_2654 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2648);
													BgL_test2279z00_4686 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2654 + 2L)) == BgL_classz00_2646);
												}
											else
												{	/* Reduce/sbeta.scm 152 */
													bool_t BgL_res2155z00_2679;

													{	/* Reduce/sbeta.scm 152 */
														obj_t BgL_oclassz00_2662;

														{	/* Reduce/sbeta.scm 152 */
															obj_t BgL_arg1866z00_2670;
															long BgL_arg1867z00_2671;

															BgL_arg1866z00_2670 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/sbeta.scm 152 */
																long BgL_arg1869z00_2672;

																BgL_arg1869z00_2672 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2648);
																BgL_arg1867z00_2671 =
																	(BgL_arg1869z00_2672 - OBJECT_TYPE);
															}
															BgL_oclassz00_2662 =
																VECTOR_REF(BgL_arg1866z00_2670,
																BgL_arg1867z00_2671);
														}
														{	/* Reduce/sbeta.scm 152 */
															bool_t BgL__ortest_1115z00_2663;

															BgL__ortest_1115z00_2663 =
																(BgL_classz00_2646 == BgL_oclassz00_2662);
															if (BgL__ortest_1115z00_2663)
																{	/* Reduce/sbeta.scm 152 */
																	BgL_res2155z00_2679 =
																		BgL__ortest_1115z00_2663;
																}
															else
																{	/* Reduce/sbeta.scm 152 */
																	long BgL_odepthz00_2664;

																	{	/* Reduce/sbeta.scm 152 */
																		obj_t BgL_arg1855z00_2665;

																		BgL_arg1855z00_2665 = (BgL_oclassz00_2662);
																		BgL_odepthz00_2664 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2665);
																	}
																	if ((2L < BgL_odepthz00_2664))
																		{	/* Reduce/sbeta.scm 152 */
																			obj_t BgL_arg1853z00_2667;

																			{	/* Reduce/sbeta.scm 152 */
																				obj_t BgL_arg1854z00_2668;

																				BgL_arg1854z00_2668 =
																					(BgL_oclassz00_2662);
																				BgL_arg1853z00_2667 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2668, 2L);
																			}
																			BgL_res2155z00_2679 =
																				(BgL_arg1853z00_2667 ==
																				BgL_classz00_2646);
																		}
																	else
																		{	/* Reduce/sbeta.scm 152 */
																			BgL_res2155z00_2679 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2279z00_4686 = BgL_res2155z00_2679;
												}
										}
									}
							}
					}
					if (BgL_test2279z00_4686)
						{	/* Reduce/sbeta.scm 152 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/sbeta.scm 154 */
							bool_t BgL_test2291z00_4758;

							{	/* Reduce/sbeta.scm 154 */
								obj_t BgL_classz00_2680;

								BgL_classz00_2680 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 154 */
									BgL_objectz00_bglt BgL_arg1858z00_2682;

									{	/* Reduce/sbeta.scm 154 */
										obj_t BgL_tmpz00_4759;

										BgL_tmpz00_4759 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
										BgL_arg1858z00_2682 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4759);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 154 */
											long BgL_idxz00_2688;

											BgL_idxz00_2688 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2682);
											BgL_test2291z00_4758 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2688 + 5L)) == BgL_classz00_2680);
										}
									else
										{	/* Reduce/sbeta.scm 154 */
											bool_t BgL_res2156z00_2713;

											{	/* Reduce/sbeta.scm 154 */
												obj_t BgL_oclassz00_2696;

												{	/* Reduce/sbeta.scm 154 */
													obj_t BgL_arg1866z00_2704;
													long BgL_arg1867z00_2705;

													BgL_arg1866z00_2704 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/sbeta.scm 154 */
														long BgL_arg1869z00_2706;

														BgL_arg1869z00_2706 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2682);
														BgL_arg1867z00_2705 =
															(BgL_arg1869z00_2706 - OBJECT_TYPE);
													}
													BgL_oclassz00_2696 =
														VECTOR_REF(BgL_arg1866z00_2704,
														BgL_arg1867z00_2705);
												}
												{	/* Reduce/sbeta.scm 154 */
													bool_t BgL__ortest_1115z00_2697;

													BgL__ortest_1115z00_2697 =
														(BgL_classz00_2680 == BgL_oclassz00_2696);
													if (BgL__ortest_1115z00_2697)
														{	/* Reduce/sbeta.scm 154 */
															BgL_res2156z00_2713 = BgL__ortest_1115z00_2697;
														}
													else
														{	/* Reduce/sbeta.scm 154 */
															long BgL_odepthz00_2698;

															{	/* Reduce/sbeta.scm 154 */
																obj_t BgL_arg1855z00_2699;

																BgL_arg1855z00_2699 = (BgL_oclassz00_2696);
																BgL_odepthz00_2698 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2699);
															}
															if ((5L < BgL_odepthz00_2698))
																{	/* Reduce/sbeta.scm 154 */
																	obj_t BgL_arg1853z00_2701;

																	{	/* Reduce/sbeta.scm 154 */
																		obj_t BgL_arg1854z00_2702;

																		BgL_arg1854z00_2702 = (BgL_oclassz00_2696);
																		BgL_arg1853z00_2701 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2702, 5L);
																	}
																	BgL_res2156z00_2713 =
																		(BgL_arg1853z00_2701 == BgL_classz00_2680);
																}
															else
																{	/* Reduce/sbeta.scm 154 */
																	BgL_res2156z00_2713 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2291z00_4758 = BgL_res2156z00_2713;
										}
								}
							}
							if (BgL_test2291z00_4758)
								{	/* Reduce/sbeta.scm 155 */
									obj_t BgL_g1287z00_1570;

									BgL_g1287z00_1570 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1565))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1285z00_1572;

										BgL_l1285z00_1572 = BgL_g1287z00_1570;
									BgL_zc3z04anonymousza31597ze3z87_1573:
										if (NULLP(BgL_l1285z00_1572))
											{	/* Reduce/sbeta.scm 155 */
												return ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 155 */
												bool_t BgL__ortest_1288z00_1575;

												{	/* Reduce/sbeta.scm 155 */
													obj_t BgL_arg1611z00_1577;

													BgL_arg1611z00_1577 =
														CAR(((obj_t) BgL_l1285z00_1572));
													BgL__ortest_1288z00_1575 =
														BGl_dangerouszf3zf3zzreduce_betaz00
														(BgL_arg1611z00_1577);
												}
												if (BgL__ortest_1288z00_1575)
													{	/* Reduce/sbeta.scm 155 */
														return BgL__ortest_1288z00_1575;
													}
												else
													{	/* Reduce/sbeta.scm 155 */
														obj_t BgL_arg1605z00_1576;

														BgL_arg1605z00_1576 =
															CDR(((obj_t) BgL_l1285z00_1572));
														{
															obj_t BgL_l1285z00_4793;

															BgL_l1285z00_4793 = BgL_arg1605z00_1576;
															BgL_l1285z00_1572 = BgL_l1285z00_4793;
															goto BgL_zc3z04anonymousza31597ze3z87_1573;
														}
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 156 */
									bool_t BgL_test2297z00_4794;

									{	/* Reduce/sbeta.scm 156 */
										obj_t BgL_classz00_2717;

										BgL_classz00_2717 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 156 */
											BgL_objectz00_bglt BgL_arg1858z00_2719;

											{	/* Reduce/sbeta.scm 156 */
												obj_t BgL_tmpz00_4795;

												BgL_tmpz00_4795 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
												BgL_arg1858z00_2719 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4795);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 156 */
													long BgL_idxz00_2725;

													BgL_idxz00_2725 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2719);
													BgL_test2297z00_4794 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2725 + 5L)) == BgL_classz00_2717);
												}
											else
												{	/* Reduce/sbeta.scm 156 */
													bool_t BgL_res2157z00_2750;

													{	/* Reduce/sbeta.scm 156 */
														obj_t BgL_oclassz00_2733;

														{	/* Reduce/sbeta.scm 156 */
															obj_t BgL_arg1866z00_2741;
															long BgL_arg1867z00_2742;

															BgL_arg1866z00_2741 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/sbeta.scm 156 */
																long BgL_arg1869z00_2743;

																BgL_arg1869z00_2743 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2719);
																BgL_arg1867z00_2742 =
																	(BgL_arg1869z00_2743 - OBJECT_TYPE);
															}
															BgL_oclassz00_2733 =
																VECTOR_REF(BgL_arg1866z00_2741,
																BgL_arg1867z00_2742);
														}
														{	/* Reduce/sbeta.scm 156 */
															bool_t BgL__ortest_1115z00_2734;

															BgL__ortest_1115z00_2734 =
																(BgL_classz00_2717 == BgL_oclassz00_2733);
															if (BgL__ortest_1115z00_2734)
																{	/* Reduce/sbeta.scm 156 */
																	BgL_res2157z00_2750 =
																		BgL__ortest_1115z00_2734;
																}
															else
																{	/* Reduce/sbeta.scm 156 */
																	long BgL_odepthz00_2735;

																	{	/* Reduce/sbeta.scm 156 */
																		obj_t BgL_arg1855z00_2736;

																		BgL_arg1855z00_2736 = (BgL_oclassz00_2733);
																		BgL_odepthz00_2735 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2736);
																	}
																	if ((5L < BgL_odepthz00_2735))
																		{	/* Reduce/sbeta.scm 156 */
																			obj_t BgL_arg1853z00_2738;

																			{	/* Reduce/sbeta.scm 156 */
																				obj_t BgL_arg1854z00_2739;

																				BgL_arg1854z00_2739 =
																					(BgL_oclassz00_2733);
																				BgL_arg1853z00_2738 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2739, 5L);
																			}
																			BgL_res2157z00_2750 =
																				(BgL_arg1853z00_2738 ==
																				BgL_classz00_2717);
																		}
																	else
																		{	/* Reduce/sbeta.scm 156 */
																			BgL_res2157z00_2750 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2297z00_4794 = BgL_res2157z00_2750;
												}
										}
									}
									if (BgL_test2297z00_4794)
										{	/* Reduce/sbeta.scm 157 */
											obj_t BgL_g1291z00_1580;

											BgL_g1291z00_1580 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1565))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1289z00_1582;

												BgL_l1289z00_1582 = BgL_g1291z00_1580;
											BgL_zc3z04anonymousza31614ze3z87_1583:
												if (NULLP(BgL_l1289z00_1582))
													{	/* Reduce/sbeta.scm 157 */
														return ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 157 */
														bool_t BgL__ortest_1292z00_1585;

														{	/* Reduce/sbeta.scm 157 */
															obj_t BgL_arg1626z00_1587;

															BgL_arg1626z00_1587 =
																CAR(((obj_t) BgL_l1289z00_1582));
															BgL__ortest_1292z00_1585 =
																BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_arg1626z00_1587);
														}
														if (BgL__ortest_1292z00_1585)
															{	/* Reduce/sbeta.scm 157 */
																return BgL__ortest_1292z00_1585;
															}
														else
															{	/* Reduce/sbeta.scm 157 */
																obj_t BgL_arg1625z00_1586;

																BgL_arg1625z00_1586 =
																	CDR(((obj_t) BgL_l1289z00_1582));
																{
																	obj_t BgL_l1289z00_4829;

																	BgL_l1289z00_4829 = BgL_arg1625z00_1586;
																	BgL_l1289z00_1582 = BgL_l1289z00_4829;
																	goto BgL_zc3z04anonymousza31614ze3z87_1583;
																}
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 158 */
											bool_t BgL_test2303z00_4830;

											{	/* Reduce/sbeta.scm 158 */
												obj_t BgL_classz00_2754;

												BgL_classz00_2754 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 158 */
													BgL_objectz00_bglt BgL_arg1858z00_2756;

													{	/* Reduce/sbeta.scm 158 */
														obj_t BgL_tmpz00_4831;

														BgL_tmpz00_4831 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1565));
														BgL_arg1858z00_2756 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4831);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/sbeta.scm 158 */
															long BgL_idxz00_2762;

															BgL_idxz00_2762 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2756);
															BgL_test2303z00_4830 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2762 + 3L)) == BgL_classz00_2754);
														}
													else
														{	/* Reduce/sbeta.scm 158 */
															bool_t BgL_res2158z00_2787;

															{	/* Reduce/sbeta.scm 158 */
																obj_t BgL_oclassz00_2770;

																{	/* Reduce/sbeta.scm 158 */
																	obj_t BgL_arg1866z00_2778;
																	long BgL_arg1867z00_2779;

																	BgL_arg1866z00_2778 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Reduce/sbeta.scm 158 */
																		long BgL_arg1869z00_2780;

																		BgL_arg1869z00_2780 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2756);
																		BgL_arg1867z00_2779 =
																			(BgL_arg1869z00_2780 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2770 =
																		VECTOR_REF(BgL_arg1866z00_2778,
																		BgL_arg1867z00_2779);
																}
																{	/* Reduce/sbeta.scm 158 */
																	bool_t BgL__ortest_1115z00_2771;

																	BgL__ortest_1115z00_2771 =
																		(BgL_classz00_2754 == BgL_oclassz00_2770);
																	if (BgL__ortest_1115z00_2771)
																		{	/* Reduce/sbeta.scm 158 */
																			BgL_res2158z00_2787 =
																				BgL__ortest_1115z00_2771;
																		}
																	else
																		{	/* Reduce/sbeta.scm 158 */
																			long BgL_odepthz00_2772;

																			{	/* Reduce/sbeta.scm 158 */
																				obj_t BgL_arg1855z00_2773;

																				BgL_arg1855z00_2773 =
																					(BgL_oclassz00_2770);
																				BgL_odepthz00_2772 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2773);
																			}
																			if ((3L < BgL_odepthz00_2772))
																				{	/* Reduce/sbeta.scm 158 */
																					obj_t BgL_arg1853z00_2775;

																					{	/* Reduce/sbeta.scm 158 */
																						obj_t BgL_arg1854z00_2776;

																						BgL_arg1854z00_2776 =
																							(BgL_oclassz00_2770);
																						BgL_arg1853z00_2775 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2776, 3L);
																					}
																					BgL_res2158z00_2787 =
																						(BgL_arg1853z00_2775 ==
																						BgL_classz00_2754);
																				}
																			else
																				{	/* Reduce/sbeta.scm 158 */
																					BgL_res2158z00_2787 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2303z00_4830 = BgL_res2158z00_2787;
														}
												}
											}
											if (BgL_test2303z00_4830)
												{	/* Reduce/sbeta.scm 162 */
													BgL_variablez00_bglt BgL_varz00_1591;

													BgL_varz00_1591 =
														(((BgL_varz00_bglt) COBJECT(
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_exprz00_1565)))->
																	BgL_funz00)))->BgL_variablez00);
													{	/* Reduce/sbeta.scm 162 */
														BgL_valuez00_bglt BgL_valz00_1592;

														BgL_valz00_1592 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_varz00_1591))->BgL_valuez00);
														{	/* Reduce/sbeta.scm 163 */

															{	/* Reduce/sbeta.scm 164 */
																bool_t BgL_test2307z00_4858;

																{	/* Reduce/sbeta.scm 164 */
																	bool_t BgL_test2308z00_4859;

																	{	/* Reduce/sbeta.scm 164 */
																		obj_t BgL_classz00_2790;

																		BgL_classz00_2790 =
																			BGl_globalz00zzast_varz00;
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_objectz00_bglt BgL_arg1858z00_2792;

																			{	/* Reduce/sbeta.scm 164 */
																				obj_t BgL_tmpz00_4860;

																				BgL_tmpz00_4860 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_varz00_1591));
																				BgL_arg1858z00_2792 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_4860);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/sbeta.scm 164 */
																					long BgL_idxz00_2798;

																					BgL_idxz00_2798 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2792);
																					BgL_test2308z00_4859 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2798 + 2L)) ==
																						BgL_classz00_2790);
																				}
																			else
																				{	/* Reduce/sbeta.scm 164 */
																					bool_t BgL_res2159z00_2823;

																					{	/* Reduce/sbeta.scm 164 */
																						obj_t BgL_oclassz00_2806;

																						{	/* Reduce/sbeta.scm 164 */
																							obj_t BgL_arg1866z00_2814;
																							long BgL_arg1867z00_2815;

																							BgL_arg1866z00_2814 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Reduce/sbeta.scm 164 */
																								long BgL_arg1869z00_2816;

																								BgL_arg1869z00_2816 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2792);
																								BgL_arg1867z00_2815 =
																									(BgL_arg1869z00_2816 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2806 =
																								VECTOR_REF(BgL_arg1866z00_2814,
																								BgL_arg1867z00_2815);
																						}
																						{	/* Reduce/sbeta.scm 164 */
																							bool_t BgL__ortest_1115z00_2807;

																							BgL__ortest_1115z00_2807 =
																								(BgL_classz00_2790 ==
																								BgL_oclassz00_2806);
																							if (BgL__ortest_1115z00_2807)
																								{	/* Reduce/sbeta.scm 164 */
																									BgL_res2159z00_2823 =
																										BgL__ortest_1115z00_2807;
																								}
																							else
																								{	/* Reduce/sbeta.scm 164 */
																									long BgL_odepthz00_2808;

																									{	/* Reduce/sbeta.scm 164 */
																										obj_t BgL_arg1855z00_2809;

																										BgL_arg1855z00_2809 =
																											(BgL_oclassz00_2806);
																										BgL_odepthz00_2808 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2809);
																									}
																									if ((2L < BgL_odepthz00_2808))
																										{	/* Reduce/sbeta.scm 164 */
																											obj_t BgL_arg1853z00_2811;

																											{	/* Reduce/sbeta.scm 164 */
																												obj_t
																													BgL_arg1854z00_2812;
																												BgL_arg1854z00_2812 =
																													(BgL_oclassz00_2806);
																												BgL_arg1853z00_2811 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2812,
																													2L);
																											}
																											BgL_res2159z00_2823 =
																												(BgL_arg1853z00_2811 ==
																												BgL_classz00_2790);
																										}
																									else
																										{	/* Reduce/sbeta.scm 164 */
																											BgL_res2159z00_2823 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2308z00_4859 =
																						BgL_res2159z00_2823;
																				}
																		}
																	}
																	if (BgL_test2308z00_4859)
																		{	/* Reduce/sbeta.scm 165 */
																			bool_t BgL_test2312z00_4883;

																			{	/* Reduce/sbeta.scm 165 */
																				obj_t BgL_classz00_2824;

																				BgL_classz00_2824 =
																					BGl_cfunz00zzast_varz00;
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_2826;
																					{	/* Reduce/sbeta.scm 165 */
																						obj_t BgL_tmpz00_4884;

																						BgL_tmpz00_4884 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_valz00_1592));
																						BgL_arg1858z00_2826 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4884);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Reduce/sbeta.scm 165 */
																							long BgL_idxz00_2832;

																							BgL_idxz00_2832 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_2826);
																							BgL_test2312z00_4883 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2832 + 3L)) ==
																								BgL_classz00_2824);
																						}
																					else
																						{	/* Reduce/sbeta.scm 165 */
																							bool_t BgL_res2160z00_2857;

																							{	/* Reduce/sbeta.scm 165 */
																								obj_t BgL_oclassz00_2840;

																								{	/* Reduce/sbeta.scm 165 */
																									obj_t BgL_arg1866z00_2848;
																									long BgL_arg1867z00_2849;

																									BgL_arg1866z00_2848 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Reduce/sbeta.scm 165 */
																										long BgL_arg1869z00_2850;

																										BgL_arg1869z00_2850 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_2826);
																										BgL_arg1867z00_2849 =
																											(BgL_arg1869z00_2850 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2840 =
																										VECTOR_REF
																										(BgL_arg1866z00_2848,
																										BgL_arg1867z00_2849);
																								}
																								{	/* Reduce/sbeta.scm 165 */
																									bool_t
																										BgL__ortest_1115z00_2841;
																									BgL__ortest_1115z00_2841 =
																										(BgL_classz00_2824 ==
																										BgL_oclassz00_2840);
																									if (BgL__ortest_1115z00_2841)
																										{	/* Reduce/sbeta.scm 165 */
																											BgL_res2160z00_2857 =
																												BgL__ortest_1115z00_2841;
																										}
																									else
																										{	/* Reduce/sbeta.scm 165 */
																											long BgL_odepthz00_2842;

																											{	/* Reduce/sbeta.scm 165 */
																												obj_t
																													BgL_arg1855z00_2843;
																												BgL_arg1855z00_2843 =
																													(BgL_oclassz00_2840);
																												BgL_odepthz00_2842 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_2843);
																											}
																											if (
																												(3L <
																													BgL_odepthz00_2842))
																												{	/* Reduce/sbeta.scm 165 */
																													obj_t
																														BgL_arg1853z00_2845;
																													{	/* Reduce/sbeta.scm 165 */
																														obj_t
																															BgL_arg1854z00_2846;
																														BgL_arg1854z00_2846
																															=
																															(BgL_oclassz00_2840);
																														BgL_arg1853z00_2845
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_2846,
																															3L);
																													}
																													BgL_res2160z00_2857 =
																														(BgL_arg1853z00_2845
																														==
																														BgL_classz00_2824);
																												}
																											else
																												{	/* Reduce/sbeta.scm 165 */
																													BgL_res2160z00_2857 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2312z00_4883 =
																								BgL_res2160z00_2857;
																						}
																				}
																			}
																			if (BgL_test2312z00_4883)
																				{	/* Reduce/sbeta.scm 165 */
																					if (
																						(((BgL_cfunz00_bglt) COBJECT(
																									((BgL_cfunz00_bglt)
																										BgL_valz00_1592)))->
																							BgL_macrozf3zf3))
																						{	/* Reduce/sbeta.scm 166 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(((obj_t) CNST_TABLE_REF(4)),
																										(((BgL_globalz00_bglt)
																												COBJECT((
																														(BgL_globalz00_bglt)
																														BgL_varz00_1591)))->
																											BgL_pragmaz00))))
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2307z00_4858 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Reduce/sbeta.scm 167 */
																									BgL_test2307z00_4858 =
																										((bool_t) 1);
																								}
																						}
																					else
																						{	/* Reduce/sbeta.scm 166 */
																							BgL_test2307z00_4858 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Reduce/sbeta.scm 165 */
																					BgL_test2307z00_4858 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 164 */
																			BgL_test2307z00_4858 = ((bool_t) 0);
																		}
																}
																if (BgL_test2307z00_4858)
																	{	/* Reduce/sbeta.scm 164 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 169 */
																		obj_t BgL_g1295z00_1600;

																		BgL_g1295z00_1600 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_exprz00_1565)))->BgL_argsz00);
																		{
																			obj_t BgL_l1293z00_1602;

																			BgL_l1293z00_1602 = BgL_g1295z00_1600;
																		BgL_zc3z04anonymousza31635ze3z87_1603:
																			if (NULLP(BgL_l1293z00_1602))
																				{	/* Reduce/sbeta.scm 169 */
																					return ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 169 */
																					bool_t BgL__ortest_1296z00_1605;

																					{	/* Reduce/sbeta.scm 169 */
																						obj_t BgL_arg1642z00_1607;

																						BgL_arg1642z00_1607 =
																							CAR(((obj_t) BgL_l1293z00_1602));
																						BgL__ortest_1296z00_1605 =
																							BGl_dangerouszf3zf3zzreduce_betaz00
																							(BgL_arg1642z00_1607);
																					}
																					if (BgL__ortest_1296z00_1605)
																						{	/* Reduce/sbeta.scm 169 */
																							return BgL__ortest_1296z00_1605;
																						}
																					else
																						{	/* Reduce/sbeta.scm 169 */
																							obj_t BgL_arg1638z00_1606;

																							BgL_arg1638z00_1606 =
																								CDR(
																								((obj_t) BgL_l1293z00_1602));
																							{
																								obj_t BgL_l1293z00_4927;

																								BgL_l1293z00_4927 =
																									BgL_arg1638z00_1606;
																								BgL_l1293z00_1602 =
																									BgL_l1293z00_4927;
																								goto
																									BgL_zc3z04anonymousza31635ze3z87_1603;
																							}
																						}
																				}
																		}
																	}
															}
														}
													}
												}
											else
												{	/* Reduce/sbeta.scm 158 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
			}
		}

	}



/* side-effect-safe? */
	bool_t BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(obj_t BgL_exprz00_13)
	{
		{	/* Reduce/sbeta.scm 180 */
			{	/* Reduce/sbeta.scm 181 */
				BgL_nodez00_bglt BgL_exprz00_1617;

				BgL_exprz00_1617 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					((BgL_nodez00_bglt) BgL_exprz00_13));
				{	/* Reduce/sbeta.scm 183 */
					bool_t BgL_test2320z00_4930;

					{	/* Reduce/sbeta.scm 183 */
						bool_t BgL_test2321z00_4931;

						{	/* Reduce/sbeta.scm 183 */
							obj_t BgL_classz00_2862;

							BgL_classz00_2862 = BGl_varz00zzast_nodez00;
							{	/* Reduce/sbeta.scm 183 */
								BgL_objectz00_bglt BgL_arg1858z00_2864;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_tmpz00_4932;

									BgL_tmpz00_4932 =
										((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
									BgL_arg1858z00_2864 = (BgL_objectz00_bglt) (BgL_tmpz00_4932);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/sbeta.scm 183 */
										long BgL_idxz00_2870;

										BgL_idxz00_2870 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2864);
										BgL_test2321z00_4931 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2870 + 2L)) == BgL_classz00_2862);
									}
								else
									{	/* Reduce/sbeta.scm 183 */
										bool_t BgL_res2161z00_2895;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_oclassz00_2878;

											{	/* Reduce/sbeta.scm 183 */
												obj_t BgL_arg1866z00_2886;
												long BgL_arg1867z00_2887;

												BgL_arg1866z00_2886 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Reduce/sbeta.scm 183 */
													long BgL_arg1869z00_2888;

													BgL_arg1869z00_2888 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2864);
													BgL_arg1867z00_2887 =
														(BgL_arg1869z00_2888 - OBJECT_TYPE);
												}
												BgL_oclassz00_2878 =
													VECTOR_REF(BgL_arg1866z00_2886, BgL_arg1867z00_2887);
											}
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL__ortest_1115z00_2879;

												BgL__ortest_1115z00_2879 =
													(BgL_classz00_2862 == BgL_oclassz00_2878);
												if (BgL__ortest_1115z00_2879)
													{	/* Reduce/sbeta.scm 183 */
														BgL_res2161z00_2895 = BgL__ortest_1115z00_2879;
													}
												else
													{	/* Reduce/sbeta.scm 183 */
														long BgL_odepthz00_2880;

														{	/* Reduce/sbeta.scm 183 */
															obj_t BgL_arg1855z00_2881;

															BgL_arg1855z00_2881 = (BgL_oclassz00_2878);
															BgL_odepthz00_2880 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2881);
														}
														if ((2L < BgL_odepthz00_2880))
															{	/* Reduce/sbeta.scm 183 */
																obj_t BgL_arg1853z00_2883;

																{	/* Reduce/sbeta.scm 183 */
																	obj_t BgL_arg1854z00_2884;

																	BgL_arg1854z00_2884 = (BgL_oclassz00_2878);
																	BgL_arg1853z00_2883 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2884,
																		2L);
																}
																BgL_res2161z00_2895 =
																	(BgL_arg1853z00_2883 == BgL_classz00_2862);
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2161z00_2895 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2321z00_4931 = BgL_res2161z00_2895;
									}
							}
						}
						if (BgL_test2321z00_4931)
							{	/* Reduce/sbeta.scm 183 */
								BgL_test2320z00_4930 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 183 */
								bool_t BgL_test2325z00_4955;

								{	/* Reduce/sbeta.scm 183 */
									obj_t BgL_classz00_2896;

									BgL_classz00_2896 = BGl_atomz00zzast_nodez00;
									{	/* Reduce/sbeta.scm 183 */
										BgL_objectz00_bglt BgL_arg1858z00_2898;

										{	/* Reduce/sbeta.scm 183 */
											obj_t BgL_tmpz00_4956;

											BgL_tmpz00_4956 =
												((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
											BgL_arg1858z00_2898 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4956);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Reduce/sbeta.scm 183 */
												long BgL_idxz00_2904;

												BgL_idxz00_2904 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2898);
												BgL_test2325z00_4955 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2904 + 2L)) == BgL_classz00_2896);
											}
										else
											{	/* Reduce/sbeta.scm 183 */
												bool_t BgL_res2162z00_2929;

												{	/* Reduce/sbeta.scm 183 */
													obj_t BgL_oclassz00_2912;

													{	/* Reduce/sbeta.scm 183 */
														obj_t BgL_arg1866z00_2920;
														long BgL_arg1867z00_2921;

														BgL_arg1866z00_2920 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Reduce/sbeta.scm 183 */
															long BgL_arg1869z00_2922;

															BgL_arg1869z00_2922 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2898);
															BgL_arg1867z00_2921 =
																(BgL_arg1869z00_2922 - OBJECT_TYPE);
														}
														BgL_oclassz00_2912 =
															VECTOR_REF(BgL_arg1866z00_2920,
															BgL_arg1867z00_2921);
													}
													{	/* Reduce/sbeta.scm 183 */
														bool_t BgL__ortest_1115z00_2913;

														BgL__ortest_1115z00_2913 =
															(BgL_classz00_2896 == BgL_oclassz00_2912);
														if (BgL__ortest_1115z00_2913)
															{	/* Reduce/sbeta.scm 183 */
																BgL_res2162z00_2929 = BgL__ortest_1115z00_2913;
															}
														else
															{	/* Reduce/sbeta.scm 183 */
																long BgL_odepthz00_2914;

																{	/* Reduce/sbeta.scm 183 */
																	obj_t BgL_arg1855z00_2915;

																	BgL_arg1855z00_2915 = (BgL_oclassz00_2912);
																	BgL_odepthz00_2914 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2915);
																}
																if ((2L < BgL_odepthz00_2914))
																	{	/* Reduce/sbeta.scm 183 */
																		obj_t BgL_arg1853z00_2917;

																		{	/* Reduce/sbeta.scm 183 */
																			obj_t BgL_arg1854z00_2918;

																			BgL_arg1854z00_2918 =
																				(BgL_oclassz00_2912);
																			BgL_arg1853z00_2917 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2918, 2L);
																		}
																		BgL_res2162z00_2929 =
																			(BgL_arg1853z00_2917 ==
																			BgL_classz00_2896);
																	}
																else
																	{	/* Reduce/sbeta.scm 183 */
																		BgL_res2162z00_2929 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2325z00_4955 = BgL_res2162z00_2929;
											}
									}
								}
								if (BgL_test2325z00_4955)
									{	/* Reduce/sbeta.scm 183 */
										BgL_test2320z00_4930 = ((bool_t) 1);
									}
								else
									{	/* Reduce/sbeta.scm 183 */
										obj_t BgL_classz00_2930;

										BgL_classz00_2930 = BGl_kwotez00zzast_nodez00;
										{	/* Reduce/sbeta.scm 183 */
											BgL_objectz00_bglt BgL_arg1858z00_2932;

											{	/* Reduce/sbeta.scm 183 */
												obj_t BgL_tmpz00_4979;

												BgL_tmpz00_4979 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
												BgL_arg1858z00_2932 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4979);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 183 */
													long BgL_idxz00_2938;

													BgL_idxz00_2938 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2932);
													BgL_test2320z00_4930 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2938 + 2L)) == BgL_classz00_2930);
												}
											else
												{	/* Reduce/sbeta.scm 183 */
													bool_t BgL_res2163z00_2963;

													{	/* Reduce/sbeta.scm 183 */
														obj_t BgL_oclassz00_2946;

														{	/* Reduce/sbeta.scm 183 */
															obj_t BgL_arg1866z00_2954;
															long BgL_arg1867z00_2955;

															BgL_arg1866z00_2954 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/sbeta.scm 183 */
																long BgL_arg1869z00_2956;

																BgL_arg1869z00_2956 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2932);
																BgL_arg1867z00_2955 =
																	(BgL_arg1869z00_2956 - OBJECT_TYPE);
															}
															BgL_oclassz00_2946 =
																VECTOR_REF(BgL_arg1866z00_2954,
																BgL_arg1867z00_2955);
														}
														{	/* Reduce/sbeta.scm 183 */
															bool_t BgL__ortest_1115z00_2947;

															BgL__ortest_1115z00_2947 =
																(BgL_classz00_2930 == BgL_oclassz00_2946);
															if (BgL__ortest_1115z00_2947)
																{	/* Reduce/sbeta.scm 183 */
																	BgL_res2163z00_2963 =
																		BgL__ortest_1115z00_2947;
																}
															else
																{	/* Reduce/sbeta.scm 183 */
																	long BgL_odepthz00_2948;

																	{	/* Reduce/sbeta.scm 183 */
																		obj_t BgL_arg1855z00_2949;

																		BgL_arg1855z00_2949 = (BgL_oclassz00_2946);
																		BgL_odepthz00_2948 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2949);
																	}
																	if ((2L < BgL_odepthz00_2948))
																		{	/* Reduce/sbeta.scm 183 */
																			obj_t BgL_arg1853z00_2951;

																			{	/* Reduce/sbeta.scm 183 */
																				obj_t BgL_arg1854z00_2952;

																				BgL_arg1854z00_2952 =
																					(BgL_oclassz00_2946);
																				BgL_arg1853z00_2951 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2952, 2L);
																			}
																			BgL_res2163z00_2963 =
																				(BgL_arg1853z00_2951 ==
																				BgL_classz00_2930);
																		}
																	else
																		{	/* Reduce/sbeta.scm 183 */
																			BgL_res2163z00_2963 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2320z00_4930 = BgL_res2163z00_2963;
												}
										}
									}
							}
					}
					if (BgL_test2320z00_4930)
						{	/* Reduce/sbeta.scm 183 */
							return ((bool_t) 1);
						}
					else
						{	/* Reduce/sbeta.scm 185 */
							bool_t BgL_test2332z00_5002;

							{	/* Reduce/sbeta.scm 185 */
								obj_t BgL_classz00_2964;

								BgL_classz00_2964 = BGl_vrefz00zzast_nodez00;
								{	/* Reduce/sbeta.scm 185 */
									BgL_objectz00_bglt BgL_arg1858z00_2966;

									{	/* Reduce/sbeta.scm 185 */
										obj_t BgL_tmpz00_5003;

										BgL_tmpz00_5003 =
											((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
										BgL_arg1858z00_2966 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5003);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 185 */
											long BgL_idxz00_2972;

											BgL_idxz00_2972 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2966);
											BgL_test2332z00_5002 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2972 + 5L)) == BgL_classz00_2964);
										}
									else
										{	/* Reduce/sbeta.scm 185 */
											bool_t BgL_res2164z00_2997;

											{	/* Reduce/sbeta.scm 185 */
												obj_t BgL_oclassz00_2980;

												{	/* Reduce/sbeta.scm 185 */
													obj_t BgL_arg1866z00_2988;
													long BgL_arg1867z00_2989;

													BgL_arg1866z00_2988 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/sbeta.scm 185 */
														long BgL_arg1869z00_2990;

														BgL_arg1869z00_2990 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2966);
														BgL_arg1867z00_2989 =
															(BgL_arg1869z00_2990 - OBJECT_TYPE);
													}
													BgL_oclassz00_2980 =
														VECTOR_REF(BgL_arg1866z00_2988,
														BgL_arg1867z00_2989);
												}
												{	/* Reduce/sbeta.scm 185 */
													bool_t BgL__ortest_1115z00_2981;

													BgL__ortest_1115z00_2981 =
														(BgL_classz00_2964 == BgL_oclassz00_2980);
													if (BgL__ortest_1115z00_2981)
														{	/* Reduce/sbeta.scm 185 */
															BgL_res2164z00_2997 = BgL__ortest_1115z00_2981;
														}
													else
														{	/* Reduce/sbeta.scm 185 */
															long BgL_odepthz00_2982;

															{	/* Reduce/sbeta.scm 185 */
																obj_t BgL_arg1855z00_2983;

																BgL_arg1855z00_2983 = (BgL_oclassz00_2980);
																BgL_odepthz00_2982 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2983);
															}
															if ((5L < BgL_odepthz00_2982))
																{	/* Reduce/sbeta.scm 185 */
																	obj_t BgL_arg1853z00_2985;

																	{	/* Reduce/sbeta.scm 185 */
																		obj_t BgL_arg1854z00_2986;

																		BgL_arg1854z00_2986 = (BgL_oclassz00_2980);
																		BgL_arg1853z00_2985 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2986, 5L);
																	}
																	BgL_res2164z00_2997 =
																		(BgL_arg1853z00_2985 == BgL_classz00_2964);
																}
															else
																{	/* Reduce/sbeta.scm 185 */
																	BgL_res2164z00_2997 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2332z00_5002 = BgL_res2164z00_2997;
										}
								}
							}
							if (BgL_test2332z00_5002)
								{	/* Reduce/sbeta.scm 186 */
									obj_t BgL_g1299z00_1622;

									BgL_g1299z00_1622 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_exprz00_1617))))->
										BgL_exprza2za2);
									{
										obj_t BgL_l1297z00_1624;

										BgL_l1297z00_1624 = BgL_g1299z00_1622;
									BgL_zc3z04anonymousza31654ze3z87_1625:
										if (NULLP(BgL_l1297z00_1624))
											{	/* Reduce/sbeta.scm 186 */
												return ((bool_t) 1);
											}
										else
											{	/* Reduce/sbeta.scm 186 */
												bool_t BgL_test2337z00_5031;

												{	/* Reduce/sbeta.scm 186 */
													obj_t BgL_arg1657z00_1630;

													BgL_arg1657z00_1630 =
														CAR(((obj_t) BgL_l1297z00_1624));
													BgL_test2337z00_5031 =
														BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
														(BgL_arg1657z00_1630);
												}
												if (BgL_test2337z00_5031)
													{	/* Reduce/sbeta.scm 186 */
														obj_t BgL_arg1656z00_1629;

														BgL_arg1656z00_1629 =
															CDR(((obj_t) BgL_l1297z00_1624));
														{
															obj_t BgL_l1297z00_5037;

															BgL_l1297z00_5037 = BgL_arg1656z00_1629;
															BgL_l1297z00_1624 = BgL_l1297z00_5037;
															goto BgL_zc3z04anonymousza31654ze3z87_1625;
														}
													}
												else
													{	/* Reduce/sbeta.scm 186 */
														return ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Reduce/sbeta.scm 187 */
									bool_t BgL_test2338z00_5038;

									{	/* Reduce/sbeta.scm 187 */
										obj_t BgL_classz00_3001;

										BgL_classz00_3001 = BGl_getfieldz00zzast_nodez00;
										{	/* Reduce/sbeta.scm 187 */
											BgL_objectz00_bglt BgL_arg1858z00_3003;

											{	/* Reduce/sbeta.scm 187 */
												obj_t BgL_tmpz00_5039;

												BgL_tmpz00_5039 =
													((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
												BgL_arg1858z00_3003 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5039);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Reduce/sbeta.scm 187 */
													long BgL_idxz00_3009;

													BgL_idxz00_3009 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3003);
													BgL_test2338z00_5038 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3009 + 5L)) == BgL_classz00_3001);
												}
											else
												{	/* Reduce/sbeta.scm 187 */
													bool_t BgL_res2165z00_3034;

													{	/* Reduce/sbeta.scm 187 */
														obj_t BgL_oclassz00_3017;

														{	/* Reduce/sbeta.scm 187 */
															obj_t BgL_arg1866z00_3025;
															long BgL_arg1867z00_3026;

															BgL_arg1866z00_3025 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Reduce/sbeta.scm 187 */
																long BgL_arg1869z00_3027;

																BgL_arg1869z00_3027 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3003);
																BgL_arg1867z00_3026 =
																	(BgL_arg1869z00_3027 - OBJECT_TYPE);
															}
															BgL_oclassz00_3017 =
																VECTOR_REF(BgL_arg1866z00_3025,
																BgL_arg1867z00_3026);
														}
														{	/* Reduce/sbeta.scm 187 */
															bool_t BgL__ortest_1115z00_3018;

															BgL__ortest_1115z00_3018 =
																(BgL_classz00_3001 == BgL_oclassz00_3017);
															if (BgL__ortest_1115z00_3018)
																{	/* Reduce/sbeta.scm 187 */
																	BgL_res2165z00_3034 =
																		BgL__ortest_1115z00_3018;
																}
															else
																{	/* Reduce/sbeta.scm 187 */
																	long BgL_odepthz00_3019;

																	{	/* Reduce/sbeta.scm 187 */
																		obj_t BgL_arg1855z00_3020;

																		BgL_arg1855z00_3020 = (BgL_oclassz00_3017);
																		BgL_odepthz00_3019 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3020);
																	}
																	if ((5L < BgL_odepthz00_3019))
																		{	/* Reduce/sbeta.scm 187 */
																			obj_t BgL_arg1853z00_3022;

																			{	/* Reduce/sbeta.scm 187 */
																				obj_t BgL_arg1854z00_3023;

																				BgL_arg1854z00_3023 =
																					(BgL_oclassz00_3017);
																				BgL_arg1853z00_3022 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3023, 5L);
																			}
																			BgL_res2165z00_3034 =
																				(BgL_arg1853z00_3022 ==
																				BgL_classz00_3001);
																		}
																	else
																		{	/* Reduce/sbeta.scm 187 */
																			BgL_res2165z00_3034 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2338z00_5038 = BgL_res2165z00_3034;
												}
										}
									}
									if (BgL_test2338z00_5038)
										{	/* Reduce/sbeta.scm 188 */
											obj_t BgL_g1303z00_1633;

											BgL_g1303z00_1633 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_getfieldz00_bglt) BgL_exprz00_1617))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1301z00_1635;

												BgL_l1301z00_1635 = BgL_g1303z00_1633;
											BgL_zc3z04anonymousza31659ze3z87_1636:
												if (NULLP(BgL_l1301z00_1635))
													{	/* Reduce/sbeta.scm 188 */
														return ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 188 */
														bool_t BgL_test2343z00_5067;

														{	/* Reduce/sbeta.scm 188 */
															obj_t BgL_arg1664z00_1641;

															BgL_arg1664z00_1641 =
																CAR(((obj_t) BgL_l1301z00_1635));
															BgL_test2343z00_5067 =
																BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																(BgL_arg1664z00_1641);
														}
														if (BgL_test2343z00_5067)
															{	/* Reduce/sbeta.scm 188 */
																obj_t BgL_arg1663z00_1640;

																BgL_arg1663z00_1640 =
																	CDR(((obj_t) BgL_l1301z00_1635));
																{
																	obj_t BgL_l1301z00_5073;

																	BgL_l1301z00_5073 = BgL_arg1663z00_1640;
																	BgL_l1301z00_1635 = BgL_l1301z00_5073;
																	goto BgL_zc3z04anonymousza31659ze3z87_1636;
																}
															}
														else
															{	/* Reduce/sbeta.scm 188 */
																return ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 189 */
											bool_t BgL_test2344z00_5074;

											{	/* Reduce/sbeta.scm 189 */
												obj_t BgL_classz00_3038;

												BgL_classz00_3038 = BGl_appz00zzast_nodez00;
												{	/* Reduce/sbeta.scm 189 */
													BgL_objectz00_bglt BgL_arg1858z00_3040;

													{	/* Reduce/sbeta.scm 189 */
														obj_t BgL_tmpz00_5075;

														BgL_tmpz00_5075 =
															((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1617));
														BgL_arg1858z00_3040 =
															(BgL_objectz00_bglt) (BgL_tmpz00_5075);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Reduce/sbeta.scm 189 */
															long BgL_idxz00_3046;

															BgL_idxz00_3046 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3040);
															BgL_test2344z00_5074 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3046 + 3L)) == BgL_classz00_3038);
														}
													else
														{	/* Reduce/sbeta.scm 189 */
															bool_t BgL_res2166z00_3071;

															{	/* Reduce/sbeta.scm 189 */
																obj_t BgL_oclassz00_3054;

																{	/* Reduce/sbeta.scm 189 */
																	obj_t BgL_arg1866z00_3062;
																	long BgL_arg1867z00_3063;

																	BgL_arg1866z00_3062 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Reduce/sbeta.scm 189 */
																		long BgL_arg1869z00_3064;

																		BgL_arg1869z00_3064 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3040);
																		BgL_arg1867z00_3063 =
																			(BgL_arg1869z00_3064 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3054 =
																		VECTOR_REF(BgL_arg1866z00_3062,
																		BgL_arg1867z00_3063);
																}
																{	/* Reduce/sbeta.scm 189 */
																	bool_t BgL__ortest_1115z00_3055;

																	BgL__ortest_1115z00_3055 =
																		(BgL_classz00_3038 == BgL_oclassz00_3054);
																	if (BgL__ortest_1115z00_3055)
																		{	/* Reduce/sbeta.scm 189 */
																			BgL_res2166z00_3071 =
																				BgL__ortest_1115z00_3055;
																		}
																	else
																		{	/* Reduce/sbeta.scm 189 */
																			long BgL_odepthz00_3056;

																			{	/* Reduce/sbeta.scm 189 */
																				obj_t BgL_arg1855z00_3057;

																				BgL_arg1855z00_3057 =
																					(BgL_oclassz00_3054);
																				BgL_odepthz00_3056 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3057);
																			}
																			if ((3L < BgL_odepthz00_3056))
																				{	/* Reduce/sbeta.scm 189 */
																					obj_t BgL_arg1853z00_3059;

																					{	/* Reduce/sbeta.scm 189 */
																						obj_t BgL_arg1854z00_3060;

																						BgL_arg1854z00_3060 =
																							(BgL_oclassz00_3054);
																						BgL_arg1853z00_3059 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3060, 3L);
																					}
																					BgL_res2166z00_3071 =
																						(BgL_arg1853z00_3059 ==
																						BgL_classz00_3038);
																				}
																			else
																				{	/* Reduce/sbeta.scm 189 */
																					BgL_res2166z00_3071 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2344z00_5074 = BgL_res2166z00_3071;
														}
												}
											}
											if (BgL_test2344z00_5074)
												{	/* Reduce/sbeta.scm 189 */
													if (CBOOL(
															(((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) COBJECT(
																						(((BgL_varz00_bglt) COBJECT(
																									(((BgL_appz00_bglt) COBJECT(
																												((BgL_appz00_bglt)
																													BgL_exprz00_1617)))->
																										BgL_funz00)))->
																							BgL_variablez00)))->
																				BgL_valuez00))))->
																BgL_sidezd2effectzd2)))
														{	/* Reduce/sbeta.scm 193 */
															return ((bool_t) 0);
														}
													else
														{	/* Reduce/sbeta.scm 194 */
															obj_t BgL_g1307z00_1649;

															BgL_g1307z00_1649 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_exprz00_1617)))->
																BgL_argsz00);
															{
																obj_t BgL_l1305z00_1651;

																BgL_l1305z00_1651 = BgL_g1307z00_1649;
															BgL_zc3z04anonymousza31677ze3z87_1652:
																if (NULLP(BgL_l1305z00_1651))
																	{	/* Reduce/sbeta.scm 194 */
																		return ((bool_t) 1);
																	}
																else
																	{	/* Reduce/sbeta.scm 194 */
																		bool_t BgL_test2350z00_5110;

																		{	/* Reduce/sbeta.scm 194 */
																			obj_t BgL_arg1680z00_1657;

																			BgL_arg1680z00_1657 =
																				CAR(((obj_t) BgL_l1305z00_1651));
																			BgL_test2350z00_5110 =
																				BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00
																				(BgL_arg1680z00_1657);
																		}
																		if (BgL_test2350z00_5110)
																			{	/* Reduce/sbeta.scm 194 */
																				obj_t BgL_arg1679z00_1656;

																				BgL_arg1679z00_1656 =
																					CDR(((obj_t) BgL_l1305z00_1651));
																				{
																					obj_t BgL_l1305z00_5116;

																					BgL_l1305z00_5116 =
																						BgL_arg1679z00_1656;
																					BgL_l1305z00_1651 = BgL_l1305z00_5116;
																					goto
																						BgL_zc3z04anonymousza31677ze3z87_1652;
																				}
																			}
																		else
																			{	/* Reduce/sbeta.scm 194 */
																				return ((bool_t) 0);
																			}
																	}
															}
														}
												}
											else
												{	/* Reduce/sbeta.scm 189 */
													return ((bool_t) 0);
												}
										}
								}
						}
				}
			}
		}

	}



/* predicate? */
	obj_t BGl_predicatezf3zf3zzreduce_betaz00(BgL_appz00_bglt BgL_nodez00_32)
	{
		{	/* Reduce/sbeta.scm 449 */
			{	/* Reduce/sbeta.scm 451 */
				bool_t BgL_test2351z00_5117;

				{	/* Reduce/sbeta.scm 451 */
					obj_t BgL_tmpz00_5118;

					BgL_tmpz00_5118 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00);
					BgL_test2351z00_5117 = PAIRP(BgL_tmpz00_5118);
				}
				if (BgL_test2351z00_5117)
					{	/* Reduce/sbeta.scm 451 */
						if (NULLP(CDR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->BgL_argsz00))))
							{	/* Reduce/sbeta.scm 453 */
								bool_t BgL_test2353z00_5125;

								{	/* Reduce/sbeta.scm 453 */
									bool_t BgL__ortest_1150z00_1673;

									{	/* Reduce/sbeta.scm 453 */
										bool_t BgL_test2354z00_5126;

										{	/* Reduce/sbeta.scm 453 */
											obj_t BgL_arg1720z00_1679;

											BgL_arg1720z00_1679 =
												CAR(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
													BgL_argsz00));
											BgL_test2354z00_5126 =
												BGl_sidezd2effectzf3z21zzeffect_effectz00((
													(BgL_nodez00_bglt) BgL_arg1720z00_1679));
										}
										if (BgL_test2354z00_5126)
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1150z00_1673 = ((bool_t) 0);
											}
										else
											{	/* Reduce/sbeta.scm 453 */
												BgL__ortest_1150z00_1673 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1150z00_1673)
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2353z00_5125 = BgL__ortest_1150z00_1673;
										}
									else
										{	/* Reduce/sbeta.scm 453 */
											BgL_test2353z00_5125 =
												BGl_sidezd2effectzd2safezf3zf3zzreduce_betaz00(CAR(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_argsz00)));
										}
								}
								if (BgL_test2353z00_5125)
									{	/* Reduce/sbeta.scm 455 */
										BgL_variablez00_bglt BgL_arg1696z00_1671;

										BgL_arg1696z00_1671 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_32))->
														BgL_funz00)))->BgL_variablez00);
										return BGl_memqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
												BgL_arg1696z00_1671),
											BGl_za2predicatesza2z00zzreduce_betaz00);
									}
								else
									{	/* Reduce/sbeta.scm 453 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/sbeta.scm 452 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/sbeta.scm 451 */
						return BFALSE;
					}
			}
		}

	}



/* node-beta-predicate! */
	obj_t BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_33)
	{
		{	/* Reduce/sbeta.scm 460 */
			{	/* Reduce/sbeta.scm 462 */
				obj_t BgL_vfunz00_1685;
				obj_t BgL_atypez00_1686;

				BgL_vfunz00_1685 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_funz00)))->
						BgL_variablez00));
				{	/* Reduce/sbeta.scm 463 */
					obj_t BgL_arg1763z00_1698;

					BgL_arg1763z00_1698 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_33))->BgL_argsz00));
					BgL_atypez00_1686 =
						((obj_t)
						BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg1763z00_1698), ((bool_t) 0)));
				}
				if ((BgL_atypez00_1686 == BGl_za2objza2z00zztype_cachez00))
					{	/* Reduce/sbeta.scm 465 */
						return ((obj_t) BgL_nodez00_33);
					}
				else
					{	/* Reduce/sbeta.scm 465 */
						if ((BgL_vfunz00_1685 == BGl_za2z42fixnumzf3za2zb1zzreduce_betaz00))
							{	/* Reduce/sbeta.scm 467 */
								BGl_za2removedza2z00zzreduce_betaz00 =
									(BGl_za2removedza2z00zzreduce_betaz00 + 1L);
								{	/* Reduce/sbeta.scm 469 */
									BgL_literalz00_bglt BgL_new1153z00_1687;

									{	/* Reduce/sbeta.scm 471 */
										BgL_literalz00_bglt BgL_new1152z00_1690;

										BgL_new1152z00_1690 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Reduce/sbeta.scm 471 */
											long BgL_arg1748z00_1691;

											BgL_arg1748z00_1691 =
												BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1152z00_1690),
												BgL_arg1748z00_1691);
										}
										{	/* Reduce/sbeta.scm 471 */
											BgL_objectz00_bglt BgL_tmpz00_5157;

											BgL_tmpz00_5157 =
												((BgL_objectz00_bglt) BgL_new1152z00_1690);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5157, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1152z00_1690);
										BgL_new1153z00_1687 = BgL_new1152z00_1690;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1153z00_1687)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_33)))->BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1153z00_1687)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
												BgL_typez00)), BUNSPEC);
									{
										obj_t BgL_auxz00_5169;

										{	/* Reduce/sbeta.scm 472 */
											bool_t BgL__ortest_1154z00_1688;

											BgL__ortest_1154z00_1688 =
												(BgL_atypez00_1686 == BGl_za2bintza2z00zztype_cachez00);
											if (BgL__ortest_1154z00_1688)
												{	/* Reduce/sbeta.scm 472 */
													BgL_auxz00_5169 = BBOOL(BgL__ortest_1154z00_1688);
												}
											else
												{	/* Reduce/sbeta.scm 473 */
													bool_t BgL__ortest_1155z00_1689;

													BgL__ortest_1155z00_1689 =
														(BgL_atypez00_1686 ==
														BGl_za2intza2z00zztype_cachez00);
													if (BgL__ortest_1155z00_1689)
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_5169 = BBOOL(BgL__ortest_1155z00_1689);
														}
													else
														{	/* Reduce/sbeta.scm 473 */
															BgL_auxz00_5169 =
																BBOOL(
																(BgL_atypez00_1686 ==
																	BGl_za2longza2z00zztype_cachez00));
														}
												}
										}
										((((BgL_atomz00_bglt) COBJECT(
														((BgL_atomz00_bglt) BgL_new1153z00_1687)))->
												BgL_valuez00) = ((obj_t) BgL_auxz00_5169), BUNSPEC);
									}
									return ((obj_t) BgL_new1153z00_1687);
								}
							}
						else
							{	/* Reduce/sbeta.scm 467 */
								if (
									(BgL_vfunz00_1685 ==
										BGl_za2z42flonumzf3za2zb1zzreduce_betaz00))
									{	/* Reduce/sbeta.scm 475 */
										BGl_za2removedza2z00zzreduce_betaz00 =
											(BGl_za2removedza2z00zzreduce_betaz00 + 1L);
										{	/* Reduce/sbeta.scm 477 */
											BgL_literalz00_bglt BgL_new1157z00_1692;

											{	/* Reduce/sbeta.scm 479 */
												BgL_literalz00_bglt BgL_new1156z00_1694;

												BgL_new1156z00_1694 =
													((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_literalz00_bgl))));
												{	/* Reduce/sbeta.scm 479 */
													long BgL_arg1755z00_1695;

													BgL_arg1755z00_1695 =
														BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1156z00_1694),
														BgL_arg1755z00_1695);
												}
												{	/* Reduce/sbeta.scm 479 */
													BgL_objectz00_bglt BgL_tmpz00_5188;

													BgL_tmpz00_5188 =
														((BgL_objectz00_bglt) BgL_new1156z00_1694);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5188, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1156z00_1694);
												BgL_new1157z00_1692 = BgL_new1156z00_1694;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1157z00_1692)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1157z00_1692)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_33)))->
														BgL_typez00)), BUNSPEC);
											{
												obj_t BgL_auxz00_5200;

												{	/* Reduce/sbeta.scm 480 */
													bool_t BgL__ortest_1158z00_1693;

													BgL__ortest_1158z00_1693 =
														(BgL_atypez00_1686 ==
														BGl_za2realza2z00zztype_cachez00);
													if (BgL__ortest_1158z00_1693)
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5200 = BBOOL(BgL__ortest_1158z00_1693);
														}
													else
														{	/* Reduce/sbeta.scm 480 */
															BgL_auxz00_5200 =
																BBOOL(
																(BgL_atypez00_1686 ==
																	BGl_za2brealza2z00zztype_cachez00));
														}
												}
												((((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt) BgL_new1157z00_1692)))->
														BgL_valuez00) = ((obj_t) BgL_auxz00_5200), BUNSPEC);
											}
											return ((obj_t) BgL_new1157z00_1692);
										}
									}
								else
									{	/* Reduce/sbeta.scm 485 */
										obj_t BgL_arg1756z00_1696;

										BgL_arg1756z00_1696 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_33));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2200z00zzreduce_betaz00,
											BGl_string2201z00zzreduce_betaz00, BgL_arg1756z00_1696);
									}
							}
					}
			}
		}

	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzreduce_betaz00(obj_t BgL_nodesz00_34)
	{
		{	/* Reduce/sbeta.scm 490 */
			{
				obj_t BgL_nodesz00_1701;

				BgL_nodesz00_1701 = BgL_nodesz00_34;
			BgL_zc3z04anonymousza31766ze3z87_1702:
				if (NULLP(BgL_nodesz00_1701))
					{	/* Reduce/sbeta.scm 492 */
						return BUNSPEC;
					}
				else
					{	/* Reduce/sbeta.scm 492 */
						{	/* Reduce/sbeta.scm 495 */
							BgL_nodez00_bglt BgL_arg1768z00_1704;

							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_arg1770z00_1705;

								BgL_arg1770z00_1705 = CAR(((obj_t) BgL_nodesz00_1701));
								BgL_arg1768z00_1704 =
									BGl_nodezd2betaz12zc0zzreduce_betaz00(
									((BgL_nodez00_bglt) BgL_arg1770z00_1705));
							}
							{	/* Reduce/sbeta.scm 495 */
								obj_t BgL_auxz00_5220;
								obj_t BgL_tmpz00_5218;

								BgL_auxz00_5220 = ((obj_t) BgL_arg1768z00_1704);
								BgL_tmpz00_5218 = ((obj_t) BgL_nodesz00_1701);
								SET_CAR(BgL_tmpz00_5218, BgL_auxz00_5220);
							}
						}
						{	/* Reduce/sbeta.scm 496 */
							obj_t BgL_arg1772z00_1706;

							BgL_arg1772z00_1706 = CDR(((obj_t) BgL_nodesz00_1701));
							{
								obj_t BgL_nodesz00_5225;

								BgL_nodesz00_5225 = BgL_arg1772z00_1706;
								BgL_nodesz00_1701 = BgL_nodesz00_5225;
								goto BgL_zc3z04anonymousza31766ze3z87_1702;
							}
						}
					}
			}
		}

	}



/* node-beta-early-app! */
	BgL_nodez00_bglt
		BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(BgL_appz00_bglt
		BgL_nodez00_35)
	{
		{	/* Reduce/sbeta.scm 504 */
			{	/* Reduce/sbeta.scm 506 */
				bool_t BgL_test2363z00_5226;

				{	/* Reduce/sbeta.scm 506 */
					obj_t BgL_g1360z00_1746;

					BgL_g1360z00_1746 =
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00);
					{
						obj_t BgL_l1358z00_1748;

						BgL_l1358z00_1748 = BgL_g1360z00_1746;
					BgL_zc3z04anonymousza31843ze3z87_1749:
						if (NULLP(BgL_l1358z00_1748))
							{	/* Reduce/sbeta.scm 506 */
								BgL_test2363z00_5226 = ((bool_t) 1);
							}
						else
							{	/* Reduce/sbeta.scm 506 */
								bool_t BgL_test2365z00_5230;

								{	/* Reduce/sbeta.scm 506 */
									obj_t BgL_arg1847z00_1754;

									BgL_arg1847z00_1754 = CAR(((obj_t) BgL_l1358z00_1748));
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_classz00_3136;

										BgL_classz00_3136 = BGl_atomz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1847z00_1754))
											{	/* Reduce/sbeta.scm 506 */
												BgL_objectz00_bglt BgL_arg1858z00_3138;

												BgL_arg1858z00_3138 =
													(BgL_objectz00_bglt) (BgL_arg1847z00_1754);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/sbeta.scm 506 */
														long BgL_idxz00_3144;

														BgL_idxz00_3144 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3138);
														BgL_test2365z00_5230 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3144 + 2L)) == BgL_classz00_3136);
													}
												else
													{	/* Reduce/sbeta.scm 506 */
														bool_t BgL_res2168z00_3169;

														{	/* Reduce/sbeta.scm 506 */
															obj_t BgL_oclassz00_3152;

															{	/* Reduce/sbeta.scm 506 */
																obj_t BgL_arg1866z00_3160;
																long BgL_arg1867z00_3161;

																BgL_arg1866z00_3160 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Reduce/sbeta.scm 506 */
																	long BgL_arg1869z00_3162;

																	BgL_arg1869z00_3162 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3138);
																	BgL_arg1867z00_3161 =
																		(BgL_arg1869z00_3162 - OBJECT_TYPE);
																}
																BgL_oclassz00_3152 =
																	VECTOR_REF(BgL_arg1866z00_3160,
																	BgL_arg1867z00_3161);
															}
															{	/* Reduce/sbeta.scm 506 */
																bool_t BgL__ortest_1115z00_3153;

																BgL__ortest_1115z00_3153 =
																	(BgL_classz00_3136 == BgL_oclassz00_3152);
																if (BgL__ortest_1115z00_3153)
																	{	/* Reduce/sbeta.scm 506 */
																		BgL_res2168z00_3169 =
																			BgL__ortest_1115z00_3153;
																	}
																else
																	{	/* Reduce/sbeta.scm 506 */
																		long BgL_odepthz00_3154;

																		{	/* Reduce/sbeta.scm 506 */
																			obj_t BgL_arg1855z00_3155;

																			BgL_arg1855z00_3155 =
																				(BgL_oclassz00_3152);
																			BgL_odepthz00_3154 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3155);
																		}
																		if ((2L < BgL_odepthz00_3154))
																			{	/* Reduce/sbeta.scm 506 */
																				obj_t BgL_arg1853z00_3157;

																				{	/* Reduce/sbeta.scm 506 */
																					obj_t BgL_arg1854z00_3158;

																					BgL_arg1854z00_3158 =
																						(BgL_oclassz00_3152);
																					BgL_arg1853z00_3157 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3158, 2L);
																				}
																				BgL_res2168z00_3169 =
																					(BgL_arg1853z00_3157 ==
																					BgL_classz00_3136);
																			}
																		else
																			{	/* Reduce/sbeta.scm 506 */
																				BgL_res2168z00_3169 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2365z00_5230 = BgL_res2168z00_3169;
													}
											}
										else
											{	/* Reduce/sbeta.scm 506 */
												BgL_test2365z00_5230 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2365z00_5230)
									{	/* Reduce/sbeta.scm 506 */
										obj_t BgL_arg1845z00_1753;

										BgL_arg1845z00_1753 = CDR(((obj_t) BgL_l1358z00_1748));
										{
											obj_t BgL_l1358z00_5257;

											BgL_l1358z00_5257 = BgL_arg1845z00_1753;
											BgL_l1358z00_1748 = BgL_l1358z00_5257;
											goto BgL_zc3z04anonymousza31843ze3z87_1749;
										}
									}
								else
									{	/* Reduce/sbeta.scm 506 */
										BgL_test2363z00_5226 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2363z00_5226)
					{	/* Reduce/sbeta.scm 507 */
						bool_t BgL_test2370z00_5258;

						if (
							(bgl_list_length(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->BgL_argsz00)) ==
								1L))
							{	/* Reduce/sbeta.scm 507 */
								obj_t BgL_tmpz00_5263;

								{
									BgL_atomz00_bglt BgL_auxz00_5264;

									{	/* Reduce/sbeta.scm 507 */
										obj_t BgL_pairz00_3172;

										BgL_pairz00_3172 =
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
											BgL_argsz00);
										BgL_auxz00_5264 =
											((BgL_atomz00_bglt) CAR(BgL_pairz00_3172));
									}
									BgL_tmpz00_5263 =
										(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5264))->
										BgL_valuez00);
								}
								BgL_test2370z00_5258 = STRINGP(BgL_tmpz00_5263);
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								BgL_test2370z00_5258 = ((bool_t) 0);
							}
						if (BgL_test2370z00_5258)
							{	/* Reduce/sbeta.scm 508 */
								bool_t BgL_test2372z00_5270;

								{	/* Reduce/sbeta.scm 508 */
									obj_t BgL_arg1818z00_1738;

									BgL_arg1818z00_1738 =
										((obj_t)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
														BgL_funz00)))->BgL_variablez00));
									BgL_test2372z00_5270 =
										(BgL_arg1818z00_1738 ==
										BGl_za2czd2stringzd2lengthza2z00zzreduce_betaz00);
								}
								if (BgL_test2372z00_5270)
									{	/* Reduce/sbeta.scm 509 */
										BgL_literalz00_bglt BgL_new1161z00_1732;

										{	/* Reduce/sbeta.scm 510 */
											BgL_literalz00_bglt BgL_new1160z00_1736;

											BgL_new1160z00_1736 =
												((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_literalz00_bgl))));
											{	/* Reduce/sbeta.scm 510 */
												long BgL_arg1814z00_1737;

												BgL_arg1814z00_1737 =
													BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1160z00_1736),
													BgL_arg1814z00_1737);
											}
											{	/* Reduce/sbeta.scm 510 */
												BgL_objectz00_bglt BgL_tmpz00_5279;

												BgL_tmpz00_5279 =
													((BgL_objectz00_bglt) BgL_new1160z00_1736);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5279, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1160z00_1736);
											BgL_new1161z00_1732 = BgL_new1160z00_1736;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1161z00_1732)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_nodez00_35)))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1161z00_1732)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) BgL_nodez00_35)))->
													BgL_typez00)), BUNSPEC);
										{
											obj_t BgL_auxz00_5291;

											{	/* Reduce/sbeta.scm 512 */
												obj_t BgL_stringz00_3183;

												{
													BgL_atomz00_bglt BgL_auxz00_5293;

													{	/* Reduce/sbeta.scm 512 */
														obj_t BgL_pairz00_3181;

														BgL_pairz00_3181 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_35))->
															BgL_argsz00);
														BgL_auxz00_5293 =
															((BgL_atomz00_bglt) CAR(BgL_pairz00_3181));
													}
													BgL_stringz00_3183 =
														(((BgL_atomz00_bglt) COBJECT(BgL_auxz00_5293))->
														BgL_valuez00);
												}
												BgL_auxz00_5291 =
													BINT(STRING_LENGTH(BgL_stringz00_3183));
											}
											((((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt) BgL_new1161z00_1732)))->
													BgL_valuez00) = ((obj_t) BgL_auxz00_5291), BUNSPEC);
										}
										return ((BgL_nodez00_bglt) BgL_new1161z00_1732);
									}
								else
									{	/* Reduce/sbeta.scm 508 */
										return ((BgL_nodez00_bglt) BgL_nodez00_35);
									}
							}
						else
							{	/* Reduce/sbeta.scm 507 */
								return ((BgL_nodez00_bglt) BgL_nodez00_35);
							}
					}
				else
					{	/* Reduce/sbeta.scm 506 */
						return ((BgL_nodez00_bglt) BgL_nodez00_35);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_proc2202z00zzreduce_betaz00, BGl_nodez00zzast_nodez00,
				BGl_string2203z00zzreduce_betaz00);
		}

	}



/* &node-beta!1362 */
	obj_t BGl_z62nodezd2betaz121362za2zzreduce_betaz00(obj_t BgL_envz00_4137,
		obj_t BgL_nodez00_4138)
	{
		{	/* Reduce/sbeta.scm 91 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4138));
		}

	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/sbeta.scm 91 */
			{	/* Reduce/sbeta.scm 91 */
				obj_t BgL_method1363z00_1760;

				{	/* Reduce/sbeta.scm 91 */
					obj_t BgL_res2173z00_3214;

					{	/* Reduce/sbeta.scm 91 */
						long BgL_objzd2classzd2numz00_3185;

						BgL_objzd2classzd2numz00_3185 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/sbeta.scm 91 */
							obj_t BgL_arg1862z00_3186;

							BgL_arg1862z00_3186 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
								(int) (1L));
							{	/* Reduce/sbeta.scm 91 */
								int BgL_offsetz00_3189;

								BgL_offsetz00_3189 = (int) (BgL_objzd2classzd2numz00_3185);
								{	/* Reduce/sbeta.scm 91 */
									long BgL_offsetz00_3190;

									BgL_offsetz00_3190 =
										((long) (BgL_offsetz00_3189) - OBJECT_TYPE);
									{	/* Reduce/sbeta.scm 91 */
										long BgL_modz00_3191;

										BgL_modz00_3191 =
											(BgL_offsetz00_3190 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/sbeta.scm 91 */
											long BgL_restz00_3193;

											BgL_restz00_3193 =
												(BgL_offsetz00_3190 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/sbeta.scm 91 */

												{	/* Reduce/sbeta.scm 91 */
													obj_t BgL_bucketz00_3195;

													BgL_bucketz00_3195 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3186), BgL_modz00_3191);
													BgL_res2173z00_3214 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3195), BgL_restz00_3193);
					}}}}}}}}
					BgL_method1363z00_1760 = BgL_res2173z00_3214;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1363z00_1760, ((obj_t) BgL_nodez00_4)));
			}
		}

	}



/* &node-beta! */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12za2zzreduce_betaz00(obj_t
		BgL_envz00_4139, obj_t BgL_nodez00_4140)
	{
		{	/* Reduce/sbeta.scm 91 */
			return
				BGl_nodezd2betaz12zc0zzreduce_betaz00(
				((BgL_nodez00_bglt) BgL_nodez00_4140));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2204z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2206z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2207z00zzreduce_betaz00, BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2208z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2209z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_castz00zzast_nodez00,
				BGl_proc2210z00zzreduce_betaz00, BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_setqz00zzast_nodez00,
				BGl_proc2211z00zzreduce_betaz00, BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2212z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_switchz00zzast_nodez00, BGl_proc2213z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2214z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2215z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2216z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2217z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2218z00zzreduce_betaz00,
				BGl_string2205z00zzreduce_betaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzreduce_betaz00, BGl_appz00zzast_nodez00,
				BGl_proc2219z00zzreduce_betaz00, BGl_string2205z00zzreduce_betaz00);
		}

	}



/* &node-beta!-app1393 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2app1393z70zzreduce_betaz00(obj_t
		BgL_envz00_4156, obj_t BgL_nodez00_4157)
	{
		{	/* Reduce/sbeta.scm 439 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_4157)))->BgL_argsz00));
			if (CBOOL(BGl_predicatezf3zf3zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4157))))
				{	/* Reduce/sbeta.scm 442 */
					return
						((BgL_nodez00_bglt)
						BGl_nodezd2betazd2predicatez12z12zzreduce_betaz00(
							((BgL_appz00_bglt) BgL_nodez00_4157)));
				}
			else
				{	/* Reduce/sbeta.scm 442 */
					return
						BGl_nodezd2betazd2earlyzd2appz12zc0zzreduce_betaz00(
						((BgL_appz00_bglt) BgL_nodez00_4157));
				}
		}

	}



/* &node-beta!-box-set!1391 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2boxzd2setz121391zb0zzreduce_betaz00(obj_t
		BgL_envz00_4158, obj_t BgL_nodez00_4159)
	{
		{	/* Reduce/sbeta.scm 431 */
			{
				BgL_nodez00_bglt BgL_auxz00_5368;

				{	/* Reduce/sbeta.scm 433 */
					BgL_nodez00_bglt BgL_arg2092z00_4200;

					BgL_arg2092z00_4200 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4159)))->BgL_valuez00);
					BgL_auxz00_5368 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2092z00_4200);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4159)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5368), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4159));
		}

	}



/* &node-beta!-make-box1389 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2makezd2box1389za2zzreduce_betaz00(obj_t
		BgL_envz00_4160, obj_t BgL_nodez00_4161)
	{
		{	/* Reduce/sbeta.scm 423 */
			{
				BgL_nodez00_bglt BgL_auxz00_5376;

				{	/* Reduce/sbeta.scm 425 */
					BgL_nodez00_bglt BgL_arg2091z00_4202;

					BgL_arg2091z00_4202 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4161)))->BgL_valuez00);
					BgL_auxz00_5376 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2091z00_4202);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4161)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5376), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4161));
		}

	}



/* &node-beta!-jump-ex-i1387 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2jumpzd2exzd2i1387z70zzreduce_betaz00(obj_t
		BgL_envz00_4162, obj_t BgL_nodez00_4163)
	{
		{	/* Reduce/sbeta.scm 414 */
			{
				BgL_nodez00_bglt BgL_auxz00_5384;

				{	/* Reduce/sbeta.scm 416 */
					BgL_nodez00_bglt BgL_arg2089z00_4204;

					BgL_arg2089z00_4204 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4163)))->BgL_exitz00);
					BgL_auxz00_5384 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2089z00_4204);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4163)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5384), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5390;

				{	/* Reduce/sbeta.scm 417 */
					BgL_nodez00_bglt BgL_arg2090z00_4205;

					BgL_arg2090z00_4205 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4163)))->
						BgL_valuez00);
					BgL_auxz00_5390 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2090z00_4205);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4163)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_5390), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4163));
		}

	}



/* &node-beta!-set-ex-it1385 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2setzd2exzd2it1385z70zzreduce_betaz00(obj_t
		BgL_envz00_4164, obj_t BgL_nodez00_4165)
	{
		{	/* Reduce/sbeta.scm 405 */
			{
				BgL_nodez00_bglt BgL_auxz00_5398;

				{	/* Reduce/sbeta.scm 407 */
					BgL_nodez00_bglt BgL_arg2087z00_4207;

					BgL_arg2087z00_4207 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4165)))->BgL_bodyz00);
					BgL_auxz00_5398 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2087z00_4207);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4165)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5398), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5404;

				{	/* Reduce/sbeta.scm 408 */
					BgL_nodez00_bglt BgL_arg2088z00_4208;

					BgL_arg2088z00_4208 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4165)))->
						BgL_onexitz00);
					BgL_auxz00_5404 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2088z00_4208);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4165)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5404), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4165));
		}

	}



/* &node-beta!-let-fun1383 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2fun1383za2zzreduce_betaz00(obj_t
		BgL_envz00_4166, obj_t BgL_nodez00_4167)
	{
		{	/* Reduce/sbeta.scm 391 */
			{
				BgL_nodez00_bglt BgL_auxz00_5412;

				{	/* Reduce/sbeta.scm 393 */
					BgL_nodez00_bglt BgL_arg2080z00_4210;

					BgL_arg2080z00_4210 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4167)))->BgL_bodyz00);
					BgL_auxz00_5412 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2080z00_4210);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4167)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5412), BUNSPEC);
			}
			{
				obj_t BgL_localsz00_4212;

				{	/* Reduce/sbeta.scm 394 */
					obj_t BgL_arg2081z00_4218;

					BgL_arg2081z00_4218 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4167)))->BgL_localsz00);
					{
						BgL_letzd2funzd2_bglt BgL_auxz00_5420;

						BgL_localsz00_4212 = BgL_arg2081z00_4218;
					BgL_loopz00_4211:
						if (NULLP(BgL_localsz00_4212))
							{	/* Reduce/sbeta.scm 395 */
								BgL_auxz00_5420 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4167);
							}
						else
							{	/* Reduce/sbeta.scm 397 */
								obj_t BgL_localz00_4213;

								BgL_localz00_4213 = CAR(((obj_t) BgL_localsz00_4212));
								{	/* Reduce/sbeta.scm 397 */
									BgL_valuez00_bglt BgL_sfunz00_4214;

									BgL_sfunz00_4214 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4213))))->
										BgL_valuez00);
									{	/* Reduce/sbeta.scm 398 */

										{	/* Reduce/sbeta.scm 399 */
											BgL_nodez00_bglt BgL_arg2084z00_4215;

											{	/* Reduce/sbeta.scm 399 */
												obj_t BgL_arg2085z00_4216;

												BgL_arg2085z00_4216 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4214)))->
													BgL_bodyz00);
												BgL_arg2084z00_4215 =
													BGl_nodezd2betaz12zc0zzreduce_betaz00((
														(BgL_nodez00_bglt) BgL_arg2085z00_4216));
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_sfunz00_4214)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2084z00_4215)), BUNSPEC);
										}
										{	/* Reduce/sbeta.scm 400 */
											obj_t BgL_arg2086z00_4217;

											BgL_arg2086z00_4217 = CDR(((obj_t) BgL_localsz00_4212));
											{
												obj_t BgL_localsz00_5438;

												BgL_localsz00_5438 = BgL_arg2086z00_4217;
												BgL_localsz00_4212 = BgL_localsz00_5438;
												goto BgL_loopz00_4211;
											}
										}
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5420);
					}
				}
			}
		}

	}



/* &node-beta!-switch1381 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2switch1381z70zzreduce_betaz00(obj_t
		BgL_envz00_4168, obj_t BgL_nodez00_4169)
	{
		{	/* Reduce/sbeta.scm 378 */
			{
				BgL_nodez00_bglt BgL_auxz00_5440;

				{	/* Reduce/sbeta.scm 380 */
					BgL_nodez00_bglt BgL_arg2073z00_4220;

					BgL_arg2073z00_4220 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4169)))->BgL_testz00);
					BgL_auxz00_5440 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2073z00_4220);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4169)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5440), BUNSPEC);
			}
			{
				obj_t BgL_clausesz00_4222;

				{	/* Reduce/sbeta.scm 381 */
					obj_t BgL_arg2074z00_4227;

					BgL_arg2074z00_4227 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4169)))->BgL_clausesz00);
					{
						BgL_switchz00_bglt BgL_auxz00_5448;

						BgL_clausesz00_4222 = BgL_arg2074z00_4227;
					BgL_loopz00_4221:
						if (NULLP(BgL_clausesz00_4222))
							{	/* Reduce/sbeta.scm 382 */
								BgL_auxz00_5448 = ((BgL_switchz00_bglt) BgL_nodez00_4169);
							}
						else
							{	/* Reduce/sbeta.scm 384 */
								obj_t BgL_clausez00_4223;

								BgL_clausez00_4223 = CAR(((obj_t) BgL_clausesz00_4222));
								{	/* Reduce/sbeta.scm 385 */
									BgL_nodez00_bglt BgL_arg2077z00_4224;

									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_arg2078z00_4225;

										BgL_arg2078z00_4225 = CDR(((obj_t) BgL_clausez00_4223));
										BgL_arg2077z00_4224 =
											BGl_nodezd2betaz12zc0zzreduce_betaz00(
											((BgL_nodez00_bglt) BgL_arg2078z00_4225));
									}
									{	/* Reduce/sbeta.scm 385 */
										obj_t BgL_auxz00_5460;
										obj_t BgL_tmpz00_5458;

										BgL_auxz00_5460 = ((obj_t) BgL_arg2077z00_4224);
										BgL_tmpz00_5458 = ((obj_t) BgL_clausez00_4223);
										SET_CDR(BgL_tmpz00_5458, BgL_auxz00_5460);
									}
								}
								{	/* Reduce/sbeta.scm 386 */
									obj_t BgL_arg2079z00_4226;

									BgL_arg2079z00_4226 = CDR(((obj_t) BgL_clausesz00_4222));
									{
										obj_t BgL_clausesz00_5465;

										BgL_clausesz00_5465 = BgL_arg2079z00_4226;
										BgL_clausesz00_4222 = BgL_clausesz00_5465;
										goto BgL_loopz00_4221;
									}
								}
							}
						return ((BgL_nodez00_bglt) BgL_auxz00_5448);
					}
				}
			}
		}

	}



/* &node-beta!-condition1379 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2condition1379z70zzreduce_betaz00(obj_t
		BgL_envz00_4170, obj_t BgL_nodez00_4171)
	{
		{	/* Reduce/sbeta.scm 368 */
			{
				BgL_nodez00_bglt BgL_auxz00_5467;

				{	/* Reduce/sbeta.scm 370 */
					BgL_nodez00_bglt BgL_arg2070z00_4229;

					BgL_arg2070z00_4229 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_testz00);
					BgL_auxz00_5467 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2070z00_4229);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5467), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5473;

				{	/* Reduce/sbeta.scm 371 */
					BgL_nodez00_bglt BgL_arg2071z00_4230;

					BgL_arg2071z00_4230 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_truez00);
					BgL_auxz00_5473 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2071z00_4230);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5473), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5479;

				{	/* Reduce/sbeta.scm 372 */
					BgL_nodez00_bglt BgL_arg2072z00_4231;

					BgL_arg2072z00_4231 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_falsez00);
					BgL_auxz00_5479 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2072z00_4231);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_4171)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5479), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_4171));
		}

	}



/* &node-beta!-setq1377 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2setq1377z70zzreduce_betaz00(obj_t
		BgL_envz00_4172, obj_t BgL_nodez00_4173)
	{
		{	/* Reduce/sbeta.scm 360 */
			{
				BgL_nodez00_bglt BgL_auxz00_5487;

				{	/* Reduce/sbeta.scm 362 */
					BgL_nodez00_bglt BgL_arg2069z00_4233;

					BgL_arg2069z00_4233 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4173)))->BgL_valuez00);
					BgL_auxz00_5487 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2069z00_4233);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_4173)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5487), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_4173));
		}

	}



/* &node-beta!-cast1375 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2cast1375z70zzreduce_betaz00(obj_t
		BgL_envz00_4174, obj_t BgL_nodez00_4175)
	{
		{	/* Reduce/sbeta.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_5495;

				{	/* Reduce/sbeta.scm 354 */
					BgL_nodez00_bglt BgL_arg2068z00_4235;

					BgL_arg2068z00_4235 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4175)))->BgL_argz00);
					BgL_auxz00_5495 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2068z00_4235);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_4175)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5495), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_4175));
		}

	}



/* &node-beta!-funcall1373 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2funcall1373z70zzreduce_betaz00(obj_t
		BgL_envz00_4176, obj_t BgL_nodez00_4177)
	{
		{	/* Reduce/sbeta.scm 344 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_4177)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_4177));
		}

	}



/* &node-beta!-app-ly1371 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2appzd2ly1371za2zzreduce_betaz00(obj_t
		BgL_envz00_4178, obj_t BgL_nodez00_4179)
	{
		{	/* Reduce/sbeta.scm 335 */
			{
				BgL_nodez00_bglt BgL_auxz00_5508;

				{	/* Reduce/sbeta.scm 337 */
					BgL_nodez00_bglt BgL_arg2065z00_4238;

					BgL_arg2065z00_4238 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179)))->BgL_funz00);
					BgL_auxz00_5508 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2065z00_4238);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5508), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5514;

				{	/* Reduce/sbeta.scm 338 */
					BgL_nodez00_bglt BgL_arg2066z00_4239;

					BgL_arg2066z00_4239 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179)))->BgL_argz00);
					BgL_auxz00_5514 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2066z00_4239);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5514), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179));
		}

	}



/* &node-beta!-sync1369 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sync1369z70zzreduce_betaz00(obj_t
		BgL_envz00_4180, obj_t BgL_nodez00_4181)
	{
		{	/* Reduce/sbeta.scm 325 */
			{
				BgL_nodez00_bglt BgL_auxz00_5522;

				{	/* Reduce/sbeta.scm 327 */
					BgL_nodez00_bglt BgL_arg2061z00_4241;

					BgL_arg2061z00_4241 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_mutexz00);
					BgL_auxz00_5522 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2061z00_4241);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5522), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5528;

				{	/* Reduce/sbeta.scm 328 */
					BgL_nodez00_bglt BgL_arg2063z00_4242;

					BgL_arg2063z00_4242 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_prelockz00);
					BgL_auxz00_5528 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2063z00_4242);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5528), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5534;

				{	/* Reduce/sbeta.scm 329 */
					BgL_nodez00_bglt BgL_arg2064z00_4243;

					BgL_arg2064z00_4243 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_bodyz00);
					BgL_auxz00_5534 =
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_arg2064z00_4243);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_4181)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5534), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_4181));
		}

	}



/* &node-beta!-sequence1367 */
	BgL_nodez00_bglt BGl_z62nodezd2betaz12zd2sequence1367z70zzreduce_betaz00(obj_t
		BgL_envz00_4182, obj_t BgL_nodez00_4183)
	{
		{	/* Reduce/sbeta.scm 317 */
			BGl_nodezd2betaza2z12z62zzreduce_betaz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4183)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_4183));
		}

	}



/* &node-beta!-let-var1365 */
	BgL_nodez00_bglt
		BGl_z62nodezd2betaz12zd2letzd2var1365za2zzreduce_betaz00(obj_t
		BgL_envz00_4184, obj_t BgL_nodez00_4185)
	{
		{	/* Reduce/sbeta.scm 224 */
			{	/* Reduce/sbeta.scm 232 */
				BgL_nodez00_bglt BgL_abodyz00_4246;

				BgL_abodyz00_4246 =
					BGl_findzd2actualzd2expressionz00zzreduce_betaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->BgL_bodyz00));
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_nodezd2betaz12zc0zzreduce_betaz00(BgL_abodyz00_4246)), BUNSPEC);
				{	/* Reduce/sbeta.scm 236 */
					obj_t BgL_g1323z00_4247;

					BgL_g1323z00_4247 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->BgL_bindingsz00);
					{
						obj_t BgL_l1321z00_4249;

						BgL_l1321z00_4249 = BgL_g1323z00_4247;
					BgL_zc3z04anonymousza31849ze3z87_4248:
						if (PAIRP(BgL_l1321z00_4249))
							{	/* Reduce/sbeta.scm 236 */
								{	/* Reduce/sbeta.scm 237 */
									obj_t BgL_bindingz00_4250;

									BgL_bindingz00_4250 = CAR(BgL_l1321z00_4249);
									{	/* Reduce/sbeta.scm 237 */
										BgL_nodez00_bglt BgL_arg1851z00_4251;

										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_arg1852z00_4252;

											BgL_arg1852z00_4252 = CDR(((obj_t) BgL_bindingz00_4250));
											BgL_arg1851z00_4251 =
												BGl_nodezd2betaz12zc0zzreduce_betaz00(
												((BgL_nodez00_bglt) BgL_arg1852z00_4252));
										}
										{	/* Reduce/sbeta.scm 237 */
											obj_t BgL_auxz00_5564;
											obj_t BgL_tmpz00_5562;

											BgL_auxz00_5564 = ((obj_t) BgL_arg1851z00_4251);
											BgL_tmpz00_5562 = ((obj_t) BgL_bindingz00_4250);
											SET_CDR(BgL_tmpz00_5562, BgL_auxz00_5564);
										}
									}
								}
								{
									obj_t BgL_l1321z00_5567;

									BgL_l1321z00_5567 = CDR(BgL_l1321z00_4249);
									BgL_l1321z00_4249 = BgL_l1321z00_5567;
									goto BgL_zc3z04anonymousza31849ze3z87_4248;
								}
							}
						else
							{	/* Reduce/sbeta.scm 236 */
								((bool_t) 1);
							}
					}
				}
				if (
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
						BgL_removablezf3zf3))
					{	/* Reduce/sbeta.scm 241 */
						if (NULLP(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
									BgL_bindingsz00)))
							{	/* Reduce/sbeta.scm 243 */
								return BgL_abodyz00_4246;
							}
						else
							{	/* Reduce/sbeta.scm 245 */
								bool_t BgL_test2379z00_5576;

								{	/* Reduce/sbeta.scm 245 */
									bool_t BgL_test2380z00_5577;

									{	/* Reduce/sbeta.scm 245 */
										obj_t BgL_g1326z00_4253;

										BgL_g1326z00_4253 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
											BgL_bindingsz00);
										{
											obj_t BgL_l1324z00_4255;

											BgL_l1324z00_4255 = BgL_g1326z00_4253;
										BgL_zc3z04anonymousza32037ze3z87_4254:
											if (NULLP(BgL_l1324z00_4255))
												{	/* Reduce/sbeta.scm 245 */
													BgL_test2380z00_5577 = ((bool_t) 0);
												}
											else
												{	/* Reduce/sbeta.scm 249 */
													bool_t BgL__ortest_1327z00_4256;

													{	/* Reduce/sbeta.scm 249 */
														obj_t BgL_bz00_4257;

														BgL_bz00_4257 = CAR(((obj_t) BgL_l1324z00_4255));
														{	/* Reduce/sbeta.scm 249 */
															bool_t BgL__ortest_1125z00_4258;

															BgL__ortest_1125z00_4258 =
																(
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_bz00_4257))))))->
																	BgL_occurrencez00) > 1L);
															if (BgL__ortest_1125z00_4258)
																{	/* Reduce/sbeta.scm 249 */
																	BgL__ortest_1327z00_4256 =
																		BgL__ortest_1125z00_4258;
																}
															else
																{	/* Reduce/sbeta.scm 249 */
																	if (
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t) BgL_bz00_4257))))))->
																			BgL_userzf3zf3))
																		{	/* Reduce/sbeta.scm 251 */
																			obj_t BgL__andtest_1127z00_4259;

																			{	/* Reduce/sbeta.scm 252 */
																				obj_t BgL_arg2039z00_4260;

																				{	/* Reduce/sbeta.scm 252 */
																					obj_t BgL_arg2040z00_4261;

																					BgL_arg2040z00_4261 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_arg2039z00_4260 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg2040z00_4261)))->
																						BgL_debugzd2supportzd2);
																				}
																				BgL__andtest_1127z00_4259 =
																					BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(((obj_t) CNST_TABLE_REF(5)),
																					BgL_arg2039z00_4260);
																			}
																			if (CBOOL(BgL__andtest_1127z00_4259))
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1327z00_4256 =
																						(
																						(long)
																						CINT
																						(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																						> 0L);
																				}
																			else
																				{	/* Reduce/sbeta.scm 251 */
																					BgL__ortest_1327z00_4256 =
																						((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 250 */
																			BgL__ortest_1327z00_4256 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL__ortest_1327z00_4256)
														{	/* Reduce/sbeta.scm 245 */
															BgL_test2380z00_5577 = BgL__ortest_1327z00_4256;
														}
													else
														{	/* Reduce/sbeta.scm 245 */
															obj_t BgL_arg2038z00_4262;

															BgL_arg2038z00_4262 =
																CDR(((obj_t) BgL_l1324z00_4255));
															{
																obj_t BgL_l1324z00_5610;

																BgL_l1324z00_5610 = BgL_arg2038z00_4262;
																BgL_l1324z00_4255 = BgL_l1324z00_5610;
																goto BgL_zc3z04anonymousza32037ze3z87_4254;
															}
														}
												}
										}
									}
									if (BgL_test2380z00_5577)
										{	/* Reduce/sbeta.scm 245 */
											BgL_test2379z00_5576 = ((bool_t) 1);
										}
									else
										{	/* Reduce/sbeta.scm 255 */
											obj_t BgL_g1330z00_4263;

											BgL_g1330z00_4263 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
												BgL_bindingsz00);
											{
												obj_t BgL_l1328z00_4265;

												BgL_l1328z00_4265 = BgL_g1330z00_4263;
											BgL_zc3z04anonymousza32034ze3z87_4264:
												if (NULLP(BgL_l1328z00_4265))
													{	/* Reduce/sbeta.scm 255 */
														BgL_test2379z00_5576 = ((bool_t) 0);
													}
												else
													{	/* Reduce/sbeta.scm 255 */
														bool_t BgL__ortest_1331z00_4266;

														{	/* Reduce/sbeta.scm 255 */
															obj_t BgL_arg2036z00_4267;

															BgL_arg2036z00_4267 =
																CAR(((obj_t) BgL_l1328z00_4265));
															{	/* Reduce/sbeta.scm 201 */
																obj_t BgL_arg1693z00_4268;

																BgL_arg1693z00_4268 =
																	CDR(((obj_t) BgL_arg2036z00_4267));
																BgL__ortest_1331z00_4266 =
																	BGl_dangerouszf3zf3zzreduce_betaz00
																	(BgL_arg1693z00_4268);
															}
														}
														if (BgL__ortest_1331z00_4266)
															{	/* Reduce/sbeta.scm 255 */
																BgL_test2379z00_5576 = BgL__ortest_1331z00_4266;
															}
														else
															{	/* Reduce/sbeta.scm 255 */
																obj_t BgL_arg2035z00_4269;

																BgL_arg2035z00_4269 =
																	CDR(((obj_t) BgL_l1328z00_4265));
																{
																	obj_t BgL_l1328z00_5623;

																	BgL_l1328z00_5623 = BgL_arg2035z00_4269;
																	BgL_l1328z00_4265 = BgL_l1328z00_5623;
																	goto BgL_zc3z04anonymousza32034ze3z87_4264;
																}
															}
													}
											}
										}
								}
								if (BgL_test2379z00_5576)
									{	/* Reduce/sbeta.scm 245 */
										return
											((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4185));
									}
								else
									{	/* Reduce/sbeta.scm 257 */
										bool_t BgL_test2388z00_5626;

										{	/* Reduce/sbeta.scm 257 */
											bool_t BgL_test2389z00_5627;

											{	/* Reduce/sbeta.scm 257 */
												obj_t BgL_tmpz00_5628;

												BgL_tmpz00_5628 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
													BgL_bindingsz00);
												BgL_test2389z00_5627 = PAIRP(BgL_tmpz00_5628);
											}
											if (BgL_test2389z00_5627)
												{	/* Reduce/sbeta.scm 257 */
													if (NULLP(CDR(
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4185)))->BgL_bindingsz00))))
														{	/* Reduce/sbeta.scm 259 */
															BgL_variablez00_bglt BgL_varz00_4270;

															{	/* Reduce/sbeta.scm 259 */
																obj_t BgL_pairz00_4271;

																BgL_pairz00_4271 =
																	CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4185)))->
																		BgL_bindingsz00));
																BgL_varz00_4270 =
																	((BgL_variablez00_bglt)
																	CAR(BgL_pairz00_4271));
															}
															{	/* Reduce/sbeta.scm 207 */
																bool_t BgL_test2391z00_5642;

																{	/* Reduce/sbeta.scm 207 */
																	obj_t BgL_classz00_4272;

																	BgL_classz00_4272 = BGl_varz00zzast_nodez00;
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_objectz00_bglt BgL_arg1858z00_4273;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_tmpz00_5643;

																			BgL_tmpz00_5643 =
																				((obj_t) BgL_abodyz00_4246);
																			BgL_arg1858z00_4273 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_5643);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/sbeta.scm 207 */
																				long BgL_idxz00_4274;

																				BgL_idxz00_4274 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_4273);
																				BgL_test2391z00_5642 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4274 + 2L)) ==
																					BgL_classz00_4272);
																			}
																		else
																			{	/* Reduce/sbeta.scm 207 */
																				bool_t BgL_res2179z00_4277;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_oclassz00_4278;

																					{	/* Reduce/sbeta.scm 207 */
																						obj_t BgL_arg1866z00_4279;
																						long BgL_arg1867z00_4280;

																						BgL_arg1866z00_4279 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/sbeta.scm 207 */
																							long BgL_arg1869z00_4281;

																							BgL_arg1869z00_4281 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_4273);
																							BgL_arg1867z00_4280 =
																								(BgL_arg1869z00_4281 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4278 =
																							VECTOR_REF(BgL_arg1866z00_4279,
																							BgL_arg1867z00_4280);
																					}
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL__ortest_1115z00_4282;

																						BgL__ortest_1115z00_4282 =
																							(BgL_classz00_4272 ==
																							BgL_oclassz00_4278);
																						if (BgL__ortest_1115z00_4282)
																							{	/* Reduce/sbeta.scm 207 */
																								BgL_res2179z00_4277 =
																									BgL__ortest_1115z00_4282;
																							}
																						else
																							{	/* Reduce/sbeta.scm 207 */
																								long BgL_odepthz00_4283;

																								{	/* Reduce/sbeta.scm 207 */
																									obj_t BgL_arg1855z00_4284;

																									BgL_arg1855z00_4284 =
																										(BgL_oclassz00_4278);
																									BgL_odepthz00_4283 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_4284);
																								}
																								if ((2L < BgL_odepthz00_4283))
																									{	/* Reduce/sbeta.scm 207 */
																										obj_t BgL_arg1853z00_4285;

																										{	/* Reduce/sbeta.scm 207 */
																											obj_t BgL_arg1854z00_4286;

																											BgL_arg1854z00_4286 =
																												(BgL_oclassz00_4278);
																											BgL_arg1853z00_4285 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_4286,
																												2L);
																										}
																										BgL_res2179z00_4277 =
																											(BgL_arg1853z00_4285 ==
																											BgL_classz00_4272);
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2179z00_4277 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2391z00_5642 =
																					BgL_res2179z00_4277;
																			}
																	}
																}
																if (BgL_test2391z00_5642)
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2388z00_5626 =
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_abodyz00_4246)))->
																					BgL_variablez00)) ==
																			((obj_t) BgL_varz00_4270));
																	}
																else
																	{	/* Reduce/sbeta.scm 207 */
																		BgL_test2388z00_5626 = ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Reduce/sbeta.scm 258 */
															BgL_test2388z00_5626 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 257 */
													BgL_test2388z00_5626 = ((bool_t) 0);
												}
										}
										if (BgL_test2388z00_5626)
											{	/* Reduce/sbeta.scm 257 */
												BGl_za2removedza2z00zzreduce_betaz00 =
													(BGl_za2removedza2z00zzreduce_betaz00 + 1L);
												{	/* Reduce/sbeta.scm 262 */
													obj_t BgL_arg1908z00_4287;

													{	/* Reduce/sbeta.scm 262 */
														obj_t BgL_pairz00_4288;

														BgL_pairz00_4288 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_4185)))->
															BgL_bindingsz00);
														BgL_arg1908z00_4287 = CDR(CAR(BgL_pairz00_4288));
													}
													return
														BGl_nodezd2betaz12zc0zzreduce_betaz00(
														((BgL_nodez00_bglt) BgL_arg1908z00_4287));
												}
											}
										else
											{	/* Reduce/sbeta.scm 263 */
												bool_t BgL_test2395z00_5677;

												{	/* Reduce/sbeta.scm 263 */
													bool_t BgL_test2396z00_5678;

													{	/* Reduce/sbeta.scm 263 */
														obj_t BgL_classz00_4289;

														BgL_classz00_4289 = BGl_conditionalz00zzast_nodez00;
														{	/* Reduce/sbeta.scm 263 */
															BgL_objectz00_bglt BgL_arg1858z00_4290;

															{	/* Reduce/sbeta.scm 263 */
																obj_t BgL_tmpz00_5679;

																BgL_tmpz00_5679 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_abodyz00_4246));
																BgL_arg1858z00_4290 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_5679);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/sbeta.scm 263 */
																	long BgL_idxz00_4291;

																	BgL_idxz00_4291 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4290);
																	BgL_test2396z00_5678 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4291 + 3L)) ==
																		BgL_classz00_4289);
																}
															else
																{	/* Reduce/sbeta.scm 263 */
																	bool_t BgL_res2180z00_4294;

																	{	/* Reduce/sbeta.scm 263 */
																		obj_t BgL_oclassz00_4295;

																		{	/* Reduce/sbeta.scm 263 */
																			obj_t BgL_arg1866z00_4296;
																			long BgL_arg1867z00_4297;

																			BgL_arg1866z00_4296 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Reduce/sbeta.scm 263 */
																				long BgL_arg1869z00_4298;

																				BgL_arg1869z00_4298 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4290);
																				BgL_arg1867z00_4297 =
																					(BgL_arg1869z00_4298 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4295 =
																				VECTOR_REF(BgL_arg1866z00_4296,
																				BgL_arg1867z00_4297);
																		}
																		{	/* Reduce/sbeta.scm 263 */
																			bool_t BgL__ortest_1115z00_4299;

																			BgL__ortest_1115z00_4299 =
																				(BgL_classz00_4289 ==
																				BgL_oclassz00_4295);
																			if (BgL__ortest_1115z00_4299)
																				{	/* Reduce/sbeta.scm 263 */
																					BgL_res2180z00_4294 =
																						BgL__ortest_1115z00_4299;
																				}
																			else
																				{	/* Reduce/sbeta.scm 263 */
																					long BgL_odepthz00_4300;

																					{	/* Reduce/sbeta.scm 263 */
																						obj_t BgL_arg1855z00_4301;

																						BgL_arg1855z00_4301 =
																							(BgL_oclassz00_4295);
																						BgL_odepthz00_4300 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4301);
																					}
																					if ((3L < BgL_odepthz00_4300))
																						{	/* Reduce/sbeta.scm 263 */
																							obj_t BgL_arg1853z00_4302;

																							{	/* Reduce/sbeta.scm 263 */
																								obj_t BgL_arg1854z00_4303;

																								BgL_arg1854z00_4303 =
																									(BgL_oclassz00_4295);
																								BgL_arg1853z00_4302 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4303, 3L);
																							}
																							BgL_res2180z00_4294 =
																								(BgL_arg1853z00_4302 ==
																								BgL_classz00_4289);
																						}
																					else
																						{	/* Reduce/sbeta.scm 263 */
																							BgL_res2180z00_4294 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2396z00_5678 = BgL_res2180z00_4294;
																}
														}
													}
													if (BgL_test2396z00_5678)
														{	/* Reduce/sbeta.scm 263 */
															if (NULLP(CDR(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4185)))->
																			BgL_bindingsz00))))
																{	/* Reduce/sbeta.scm 265 */
																	BgL_variablez00_bglt BgL_varz00_4304;
																	BgL_nodez00_bglt BgL_nodez00_4305;

																	{	/* Reduce/sbeta.scm 265 */
																		obj_t BgL_pairz00_4306;

																		BgL_pairz00_4306 =
																			CAR(
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																						((BgL_letzd2varzd2_bglt)
																							BgL_nodez00_4185)))->
																				BgL_bindingsz00));
																		BgL_varz00_4304 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_4306));
																	}
																	BgL_nodez00_4305 =
																		(((BgL_conditionalz00_bglt) COBJECT(
																				((BgL_conditionalz00_bglt)
																					BgL_abodyz00_4246)))->BgL_testz00);
																	{	/* Reduce/sbeta.scm 207 */
																		bool_t BgL_test2401z00_5714;

																		{	/* Reduce/sbeta.scm 207 */
																			obj_t BgL_classz00_4307;

																			BgL_classz00_4307 =
																				BGl_varz00zzast_nodez00;
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_objectz00_bglt BgL_arg1858z00_4308;

																				{	/* Reduce/sbeta.scm 207 */
																					obj_t BgL_tmpz00_5715;

																					BgL_tmpz00_5715 =
																						((obj_t) BgL_nodez00_4305);
																					BgL_arg1858z00_4308 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_5715);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Reduce/sbeta.scm 207 */
																						long BgL_idxz00_4309;

																						BgL_idxz00_4309 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_4308);
																						BgL_test2401z00_5714 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4309 + 2L)) ==
																							BgL_classz00_4307);
																					}
																				else
																					{	/* Reduce/sbeta.scm 207 */
																						bool_t BgL_res2181z00_4312;

																						{	/* Reduce/sbeta.scm 207 */
																							obj_t BgL_oclassz00_4313;

																							{	/* Reduce/sbeta.scm 207 */
																								obj_t BgL_arg1866z00_4314;
																								long BgL_arg1867z00_4315;

																								BgL_arg1866z00_4314 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Reduce/sbeta.scm 207 */
																									long BgL_arg1869z00_4316;

																									BgL_arg1869z00_4316 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_4308);
																									BgL_arg1867z00_4315 =
																										(BgL_arg1869z00_4316 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4313 =
																									VECTOR_REF
																									(BgL_arg1866z00_4314,
																									BgL_arg1867z00_4315);
																							}
																							{	/* Reduce/sbeta.scm 207 */
																								bool_t BgL__ortest_1115z00_4317;

																								BgL__ortest_1115z00_4317 =
																									(BgL_classz00_4307 ==
																									BgL_oclassz00_4313);
																								if (BgL__ortest_1115z00_4317)
																									{	/* Reduce/sbeta.scm 207 */
																										BgL_res2181z00_4312 =
																											BgL__ortest_1115z00_4317;
																									}
																								else
																									{	/* Reduce/sbeta.scm 207 */
																										long BgL_odepthz00_4318;

																										{	/* Reduce/sbeta.scm 207 */
																											obj_t BgL_arg1855z00_4319;

																											BgL_arg1855z00_4319 =
																												(BgL_oclassz00_4313);
																											BgL_odepthz00_4318 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_4319);
																										}
																										if (
																											(2L < BgL_odepthz00_4318))
																											{	/* Reduce/sbeta.scm 207 */
																												obj_t
																													BgL_arg1853z00_4320;
																												{	/* Reduce/sbeta.scm 207 */
																													obj_t
																														BgL_arg1854z00_4321;
																													BgL_arg1854z00_4321 =
																														(BgL_oclassz00_4313);
																													BgL_arg1853z00_4320 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_4321,
																														2L);
																												}
																												BgL_res2181z00_4312 =
																													(BgL_arg1853z00_4320
																													== BgL_classz00_4307);
																											}
																										else
																											{	/* Reduce/sbeta.scm 207 */
																												BgL_res2181z00_4312 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2401z00_5714 =
																							BgL_res2181z00_4312;
																					}
																			}
																		}
																		if (BgL_test2401z00_5714)
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2395z00_5677 =
																					(
																					((obj_t)
																						(((BgL_varz00_bglt) COBJECT(
																									((BgL_varz00_bglt)
																										BgL_nodez00_4305)))->
																							BgL_variablez00)) ==
																					((obj_t) BgL_varz00_4304));
																			}
																		else
																			{	/* Reduce/sbeta.scm 207 */
																				BgL_test2395z00_5677 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Reduce/sbeta.scm 264 */
																	BgL_test2395z00_5677 = ((bool_t) 0);
																}
														}
													else
														{	/* Reduce/sbeta.scm 263 */
															BgL_test2395z00_5677 = ((bool_t) 0);
														}
												}
												if (BgL_test2395z00_5677)
													{	/* Reduce/sbeta.scm 263 */
														BGl_za2removedza2z00zzreduce_betaz00 =
															(BGl_za2removedza2z00zzreduce_betaz00 + 1L);
														{	/* Reduce/sbeta.scm 269 */
															obj_t BgL_valz00_4322;

															BgL_valz00_4322 =
																CDR(CAR(
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_nodez00_4185)))->
																		BgL_bindingsz00)));
															((((BgL_conditionalz00_bglt)
																		COBJECT(((BgL_conditionalz00_bglt)
																				BgL_abodyz00_4246)))->BgL_testz00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_valz00_4322)), BUNSPEC);
															if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt) (
																						(BgL_conditionalz00_bglt)
																						BgL_abodyz00_4246))))->
																		BgL_sidezd2effectzd2)))
																{	/* Reduce/sbeta.scm 271 */
																	BFALSE;
																}
															else
																{	/* Reduce/sbeta.scm 272 */
																	bool_t BgL_arg1924z00_4323;

																	BgL_arg1924z00_4323 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_4322));
																	((((BgL_nodezf2effectzf2_bglt) COBJECT(
																					((BgL_nodezf2effectzf2_bglt)
																						((BgL_conditionalz00_bglt)
																							BgL_abodyz00_4246))))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BBOOL(BgL_arg1924z00_4323)),
																		BUNSPEC);
																}
														}
														return BgL_abodyz00_4246;
													}
												else
													{	/* Reduce/sbeta.scm 274 */
														bool_t BgL_test2406z00_5761;

														{	/* Reduce/sbeta.scm 274 */
															bool_t BgL_test2407z00_5762;

															{	/* Reduce/sbeta.scm 274 */
																obj_t BgL_classz00_4324;

																BgL_classz00_4324 = BGl_appz00zzast_nodez00;
																{	/* Reduce/sbeta.scm 274 */
																	BgL_objectz00_bglt BgL_arg1858z00_4325;

																	{	/* Reduce/sbeta.scm 274 */
																		obj_t BgL_tmpz00_5763;

																		BgL_tmpz00_5763 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_abodyz00_4246));
																		BgL_arg1858z00_4325 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_5763);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Reduce/sbeta.scm 274 */
																			long BgL_idxz00_4326;

																			BgL_idxz00_4326 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_4325);
																			BgL_test2407z00_5762 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4326 + 3L)) ==
																				BgL_classz00_4324);
																		}
																	else
																		{	/* Reduce/sbeta.scm 274 */
																			bool_t BgL_res2182z00_4329;

																			{	/* Reduce/sbeta.scm 274 */
																				obj_t BgL_oclassz00_4330;

																				{	/* Reduce/sbeta.scm 274 */
																					obj_t BgL_arg1866z00_4331;
																					long BgL_arg1867z00_4332;

																					BgL_arg1866z00_4331 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Reduce/sbeta.scm 274 */
																						long BgL_arg1869z00_4333;

																						BgL_arg1869z00_4333 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_4325);
																						BgL_arg1867z00_4332 =
																							(BgL_arg1869z00_4333 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4330 =
																						VECTOR_REF(BgL_arg1866z00_4331,
																						BgL_arg1867z00_4332);
																				}
																				{	/* Reduce/sbeta.scm 274 */
																					bool_t BgL__ortest_1115z00_4334;

																					BgL__ortest_1115z00_4334 =
																						(BgL_classz00_4324 ==
																						BgL_oclassz00_4330);
																					if (BgL__ortest_1115z00_4334)
																						{	/* Reduce/sbeta.scm 274 */
																							BgL_res2182z00_4329 =
																								BgL__ortest_1115z00_4334;
																						}
																					else
																						{	/* Reduce/sbeta.scm 274 */
																							long BgL_odepthz00_4335;

																							{	/* Reduce/sbeta.scm 274 */
																								obj_t BgL_arg1855z00_4336;

																								BgL_arg1855z00_4336 =
																									(BgL_oclassz00_4330);
																								BgL_odepthz00_4335 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_4336);
																							}
																							if ((3L < BgL_odepthz00_4335))
																								{	/* Reduce/sbeta.scm 274 */
																									obj_t BgL_arg1853z00_4337;

																									{	/* Reduce/sbeta.scm 274 */
																										obj_t BgL_arg1854z00_4338;

																										BgL_arg1854z00_4338 =
																											(BgL_oclassz00_4330);
																										BgL_arg1853z00_4337 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_4338, 3L);
																									}
																									BgL_res2182z00_4329 =
																										(BgL_arg1853z00_4337 ==
																										BgL_classz00_4324);
																								}
																							else
																								{	/* Reduce/sbeta.scm 274 */
																									BgL_res2182z00_4329 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2407z00_5762 =
																				BgL_res2182z00_4329;
																		}
																}
															}
															if (BgL_test2407z00_5762)
																{	/* Reduce/sbeta.scm 275 */
																	bool_t BgL_test2411z00_5786;

																	{	/* Reduce/sbeta.scm 275 */
																		obj_t BgL_g1334z00_4339;

																		BgL_g1334z00_4339 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4246)))->BgL_argsz00);
																		{
																			obj_t BgL_l1332z00_4341;

																			BgL_l1332z00_4341 = BgL_g1334z00_4339;
																		BgL_zc3z04anonymousza32017ze3z87_4340:
																			if (NULLP(BgL_l1332z00_4341))
																				{	/* Reduce/sbeta.scm 275 */
																					BgL_test2411z00_5786 = ((bool_t) 1);
																				}
																			else
																				{	/* Reduce/sbeta.scm 275 */
																					bool_t BgL_test2413z00_5791;

																					{	/* Reduce/sbeta.scm 275 */
																						obj_t BgL_arg2019z00_4342;

																						BgL_arg2019z00_4342 =
																							CAR(((obj_t) BgL_l1332z00_4341));
																						BgL_test2413z00_5791 =
																							BGl_simplezf3ze70z14zzreduce_betaz00
																							(BgL_arg2019z00_4342);
																					}
																					if (BgL_test2413z00_5791)
																						{	/* Reduce/sbeta.scm 275 */
																							obj_t BgL_arg2018z00_4343;

																							BgL_arg2018z00_4343 =
																								CDR(
																								((obj_t) BgL_l1332z00_4341));
																							{
																								obj_t BgL_l1332z00_5797;

																								BgL_l1332z00_5797 =
																									BgL_arg2018z00_4343;
																								BgL_l1332z00_4341 =
																									BgL_l1332z00_5797;
																								goto
																									BgL_zc3z04anonymousza32017ze3z87_4340;
																							}
																						}
																					else
																						{	/* Reduce/sbeta.scm 275 */
																							BgL_test2411z00_5786 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_test2411z00_5786)
																		{	/* Reduce/sbeta.scm 276 */
																			bool_t BgL_test2414z00_5798;

																			{	/* Reduce/sbeta.scm 276 */
																				obj_t BgL_g1338z00_4344;

																				BgL_g1338z00_4344 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_abodyz00_4246)))->
																					BgL_argsz00);
																				{
																					obj_t BgL_l1336z00_4346;

																					BgL_l1336z00_4346 = BgL_g1338z00_4344;
																				BgL_zc3z04anonymousza32014ze3z87_4345:
																					if (NULLP(BgL_l1336z00_4346))
																						{	/* Reduce/sbeta.scm 276 */
																							BgL_test2414z00_5798 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Reduce/sbeta.scm 276 */
																							bool_t BgL__ortest_1339z00_4347;

																							{	/* Reduce/sbeta.scm 276 */
																								obj_t BgL_arg2016z00_4348;

																								BgL_arg2016z00_4348 =
																									CAR(
																									((obj_t) BgL_l1336z00_4346));
																								BgL__ortest_1339z00_4347 =
																									BGl_sidezd2effectzf3z21zzeffect_effectz00
																									(((BgL_nodez00_bglt)
																										BgL_arg2016z00_4348));
																							}
																							if (BgL__ortest_1339z00_4347)
																								{	/* Reduce/sbeta.scm 276 */
																									BgL_test2414z00_5798 =
																										BgL__ortest_1339z00_4347;
																								}
																							else
																								{	/* Reduce/sbeta.scm 276 */
																									obj_t BgL_arg2015z00_4349;

																									BgL_arg2015z00_4349 =
																										CDR(
																										((obj_t)
																											BgL_l1336z00_4346));
																									{
																										obj_t BgL_l1336z00_5810;

																										BgL_l1336z00_5810 =
																											BgL_arg2015z00_4349;
																										BgL_l1336z00_4346 =
																											BgL_l1336z00_5810;
																										goto
																											BgL_zc3z04anonymousza32014ze3z87_4345;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test2414z00_5798)
																				{	/* Reduce/sbeta.scm 276 */
																					BgL_test2406z00_5761 = ((bool_t) 0);
																				}
																			else
																				{	/* Reduce/sbeta.scm 277 */
																					obj_t BgL_g1342z00_4350;

																					BgL_g1342z00_4350 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4185)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1340z00_4352;

																						BgL_l1340z00_4352 =
																							BgL_g1342z00_4350;
																					BgL_zc3z04anonymousza32009ze3z87_4351:
																						if (NULLP
																							(BgL_l1340z00_4352))
																							{	/* Reduce/sbeta.scm 277 */
																								BgL_test2406z00_5761 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 277 */
																								bool_t BgL_test2418z00_5815;

																								{	/* Reduce/sbeta.scm 278 */
																									obj_t BgL_bz00_4353;

																									BgL_bz00_4353 =
																										CAR(
																										((obj_t)
																											BgL_l1340z00_4352));
																									{	/* Reduce/sbeta.scm 278 */
																										bool_t BgL_test2419z00_5818;

																										{	/* Reduce/sbeta.scm 278 */
																											obj_t BgL_arg2012z00_4354;
																											obj_t BgL_arg2013z00_4355;

																											BgL_arg2012z00_4354 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4353));
																											BgL_arg2013z00_4355 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_abodyz00_4246)))->
																												BgL_argsz00);
																											BgL_test2419z00_5818 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg2012z00_4354),
																												BgL_arg2013z00_4355);
																										}
																										if (BgL_test2419z00_5818)
																											{	/* Reduce/sbeta.scm 282 */
																												bool_t
																													BgL_test2420z00_5825;
																												{	/* Reduce/sbeta.scm 282 */
																													obj_t
																														BgL_arg2011z00_4356;
																													BgL_arg2011z00_4356 =
																														CDR(((obj_t)
																															BgL_bz00_4353));
																													{	/* Reduce/sbeta.scm 282 */
																														obj_t
																															BgL_classz00_4357;
																														BgL_classz00_4357 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg2011z00_4356))
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_objectz00_bglt
																																	BgL_arg1858z00_4358;
																																BgL_arg1858z00_4358
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg2011z00_4356);
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Reduce/sbeta.scm 282 */
																																		long
																																			BgL_idxz00_4359;
																																		BgL_idxz00_4359
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1858z00_4358);
																																		BgL_test2420z00_5825
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4359
																																					+
																																					2L))
																																			==
																																			BgL_classz00_4357);
																																	}
																																else
																																	{	/* Reduce/sbeta.scm 282 */
																																		bool_t
																																			BgL_res2183z00_4362;
																																		{	/* Reduce/sbeta.scm 282 */
																																			obj_t
																																				BgL_oclassz00_4363;
																																			{	/* Reduce/sbeta.scm 282 */
																																				obj_t
																																					BgL_arg1866z00_4364;
																																				long
																																					BgL_arg1867z00_4365;
																																				BgL_arg1866z00_4364
																																					=
																																					(BGl_za2classesza2z00zz__objectz00);
																																				{	/* Reduce/sbeta.scm 282 */
																																					long
																																						BgL_arg1869z00_4366;
																																					BgL_arg1869z00_4366
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1858z00_4358);
																																					BgL_arg1867z00_4365
																																						=
																																						(BgL_arg1869z00_4366
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4363
																																					=
																																					VECTOR_REF
																																					(BgL_arg1866z00_4364,
																																					BgL_arg1867z00_4365);
																																			}
																																			{	/* Reduce/sbeta.scm 282 */
																																				bool_t
																																					BgL__ortest_1115z00_4367;
																																				BgL__ortest_1115z00_4367
																																					=
																																					(BgL_classz00_4357
																																					==
																																					BgL_oclassz00_4363);
																																				if (BgL__ortest_1115z00_4367)
																																					{	/* Reduce/sbeta.scm 282 */
																																						BgL_res2183z00_4362
																																							=
																																							BgL__ortest_1115z00_4367;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 282 */
																																						long
																																							BgL_odepthz00_4368;
																																						{	/* Reduce/sbeta.scm 282 */
																																							obj_t
																																								BgL_arg1855z00_4369;
																																							BgL_arg1855z00_4369
																																								=
																																								(BgL_oclassz00_4363);
																																							BgL_odepthz00_4368
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_arg1855z00_4369);
																																						}
																																						if (
																																							(2L
																																								<
																																								BgL_odepthz00_4368))
																																							{	/* Reduce/sbeta.scm 282 */
																																								obj_t
																																									BgL_arg1853z00_4370;
																																								{	/* Reduce/sbeta.scm 282 */
																																									obj_t
																																										BgL_arg1854z00_4371;
																																									BgL_arg1854z00_4371
																																										=
																																										(BgL_oclassz00_4363);
																																									BgL_arg1853z00_4370
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_arg1854z00_4371,
																																										2L);
																																								}
																																								BgL_res2183z00_4362
																																									=
																																									(BgL_arg1853z00_4370
																																									==
																																									BgL_classz00_4357);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 282 */
																																								BgL_res2183z00_4362
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test2420z00_5825
																																			=
																																			BgL_res2183z00_4362;
																																	}
																															}
																														else
																															{	/* Reduce/sbeta.scm 282 */
																																BgL_test2420z00_5825
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2420z00_5825)
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2418z00_5815
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 282 */
																														BgL_test2418z00_5815
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 278 */
																												BgL_test2418z00_5815 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2418z00_5815)
																									{	/* Reduce/sbeta.scm 277 */
																										obj_t BgL_arg2010z00_4372;

																										BgL_arg2010z00_4372 =
																											CDR(
																											((obj_t)
																												BgL_l1340z00_4352));
																										{
																											obj_t BgL_l1340z00_5852;

																											BgL_l1340z00_5852 =
																												BgL_arg2010z00_4372;
																											BgL_l1340z00_4352 =
																												BgL_l1340z00_5852;
																											goto
																												BgL_zc3z04anonymousza32009ze3z87_4351;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 277 */
																										BgL_test2406z00_5761 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 275 */
																			BgL_test2406z00_5761 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/sbeta.scm 274 */
																	BgL_test2406z00_5761 = ((bool_t) 0);
																}
														}
														if (BgL_test2406z00_5761)
															{	/* Reduce/sbeta.scm 274 */
																BGl_za2removedza2z00zzreduce_betaz00 =
																	(BGl_za2removedza2z00zzreduce_betaz00 +
																	bgl_list_length(
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4185)))->
																			BgL_bindingsz00)));
																{	/* Reduce/sbeta.scm 288 */
																	obj_t BgL_nargsz00_4373;

																	{	/* Reduce/sbeta.scm 288 */
																		obj_t BgL_arg1968z00_4374;
																		obj_t BgL_arg1969z00_4375;

																		BgL_arg1968z00_4374 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_4185)))->
																			BgL_bindingsz00);
																		BgL_arg1969z00_4375 =
																			(((BgL_appz00_bglt)
																				COBJECT(((BgL_appz00_bglt)
																						BgL_abodyz00_4246)))->BgL_argsz00);
																		BgL_nargsz00_4373 =
																			BGl_makezd2argszd2listz00zzreduce_betaz00
																			(BgL_arg1968z00_4374,
																			BgL_arg1969z00_4375);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_abodyz00_4246)))->BgL_argsz00) =
																		((obj_t) BgL_nargsz00_4373), BUNSPEC);
																	if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt) (
																								(BgL_appz00_bglt)
																								BgL_abodyz00_4246))))->
																				BgL_sidezd2effectzd2)))
																		{	/* Reduce/sbeta.scm 290 */
																			BFALSE;
																		}
																	else
																		{	/* Reduce/sbeta.scm 291 */
																			bool_t BgL_arg1963z00_4376;

																			{
																				obj_t BgL_l1344z00_4378;

																				BgL_l1344z00_4378 = BgL_nargsz00_4373;
																			BgL_zc3z04anonymousza31964ze3z87_4377:
																				if (NULLP(BgL_l1344z00_4378))
																					{	/* Reduce/sbeta.scm 291 */
																						BgL_arg1963z00_4376 = ((bool_t) 0);
																					}
																				else
																					{	/* Reduce/sbeta.scm 291 */
																						bool_t BgL__ortest_1346z00_4379;

																						{	/* Reduce/sbeta.scm 291 */
																							obj_t BgL_arg1967z00_4380;

																							BgL_arg1967z00_4380 =
																								CAR(
																								((obj_t) BgL_l1344z00_4378));
																							BgL__ortest_1346z00_4379 =
																								BGl_sidezd2effectzf3z21zzeffect_effectz00
																								(((BgL_nodez00_bglt)
																									BgL_arg1967z00_4380));
																						}
																						if (BgL__ortest_1346z00_4379)
																							{	/* Reduce/sbeta.scm 291 */
																								BgL_arg1963z00_4376 =
																									BgL__ortest_1346z00_4379;
																							}
																						else
																							{	/* Reduce/sbeta.scm 291 */
																								obj_t BgL_arg1966z00_4381;

																								BgL_arg1966z00_4381 =
																									CDR(
																									((obj_t) BgL_l1344z00_4378));
																								{
																									obj_t BgL_l1344z00_5878;

																									BgL_l1344z00_5878 =
																										BgL_arg1966z00_4381;
																									BgL_l1344z00_4378 =
																										BgL_l1344z00_5878;
																									goto
																										BgL_zc3z04anonymousza31964ze3z87_4377;
																								}
																							}
																					}
																			}
																			((((BgL_nodezf2effectzf2_bglt) COBJECT(
																							((BgL_nodezf2effectzf2_bglt)
																								((BgL_appz00_bglt)
																									BgL_abodyz00_4246))))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BBOOL(BgL_arg1963z00_4376)),
																				BUNSPEC);
																		}
																}
																return BgL_abodyz00_4246;
															}
														else
															{	/* Reduce/sbeta.scm 293 */
																bool_t BgL_test2428z00_5883;

																{	/* Reduce/sbeta.scm 293 */
																	bool_t BgL_test2429z00_5884;

																	{	/* Reduce/sbeta.scm 293 */
																		obj_t BgL_classz00_4382;

																		BgL_classz00_4382 =
																			BGl_externz00zzast_nodez00;
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_objectz00_bglt BgL_arg1858z00_4383;

																			{	/* Reduce/sbeta.scm 293 */
																				obj_t BgL_tmpz00_5885;

																				BgL_tmpz00_5885 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_abodyz00_4246));
																				BgL_arg1858z00_4383 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_5885);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Reduce/sbeta.scm 293 */
																					long BgL_idxz00_4384;

																					BgL_idxz00_4384 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_4383);
																					BgL_test2429z00_5884 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4384 + 3L)) ==
																						BgL_classz00_4382);
																				}
																			else
																				{	/* Reduce/sbeta.scm 293 */
																					bool_t BgL_res2184z00_4387;

																					{	/* Reduce/sbeta.scm 293 */
																						obj_t BgL_oclassz00_4388;

																						{	/* Reduce/sbeta.scm 293 */
																							obj_t BgL_arg1866z00_4389;
																							long BgL_arg1867z00_4390;

																							BgL_arg1866z00_4389 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Reduce/sbeta.scm 293 */
																								long BgL_arg1869z00_4391;

																								BgL_arg1869z00_4391 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_4383);
																								BgL_arg1867z00_4390 =
																									(BgL_arg1869z00_4391 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4388 =
																								VECTOR_REF(BgL_arg1866z00_4389,
																								BgL_arg1867z00_4390);
																						}
																						{	/* Reduce/sbeta.scm 293 */
																							bool_t BgL__ortest_1115z00_4392;

																							BgL__ortest_1115z00_4392 =
																								(BgL_classz00_4382 ==
																								BgL_oclassz00_4388);
																							if (BgL__ortest_1115z00_4392)
																								{	/* Reduce/sbeta.scm 293 */
																									BgL_res2184z00_4387 =
																										BgL__ortest_1115z00_4392;
																								}
																							else
																								{	/* Reduce/sbeta.scm 293 */
																									long BgL_odepthz00_4393;

																									{	/* Reduce/sbeta.scm 293 */
																										obj_t BgL_arg1855z00_4394;

																										BgL_arg1855z00_4394 =
																											(BgL_oclassz00_4388);
																										BgL_odepthz00_4393 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_4394);
																									}
																									if ((3L < BgL_odepthz00_4393))
																										{	/* Reduce/sbeta.scm 293 */
																											obj_t BgL_arg1853z00_4395;

																											{	/* Reduce/sbeta.scm 293 */
																												obj_t
																													BgL_arg1854z00_4396;
																												BgL_arg1854z00_4396 =
																													(BgL_oclassz00_4388);
																												BgL_arg1853z00_4395 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_4396,
																													3L);
																											}
																											BgL_res2184z00_4387 =
																												(BgL_arg1853z00_4395 ==
																												BgL_classz00_4382);
																										}
																									else
																										{	/* Reduce/sbeta.scm 293 */
																											BgL_res2184z00_4387 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2429z00_5884 =
																						BgL_res2184z00_4387;
																				}
																		}
																	}
																	if (BgL_test2429z00_5884)
																		{	/* Reduce/sbeta.scm 294 */
																			bool_t BgL_test2433z00_5908;

																			{	/* Reduce/sbeta.scm 294 */
																				obj_t BgL_g1349z00_4397;

																				BgL_g1349z00_4397 =
																					(((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4246)))->
																					BgL_exprza2za2);
																				{
																					obj_t BgL_l1347z00_4399;

																					BgL_l1347z00_4399 = BgL_g1349z00_4397;
																				BgL_zc3z04anonymousza32006ze3z87_4398:
																					if (NULLP(BgL_l1347z00_4399))
																						{	/* Reduce/sbeta.scm 294 */
																							BgL_test2433z00_5908 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Reduce/sbeta.scm 294 */
																							bool_t BgL_test2435z00_5913;

																							{	/* Reduce/sbeta.scm 294 */
																								obj_t BgL_arg2008z00_4400;

																								BgL_arg2008z00_4400 =
																									CAR(
																									((obj_t) BgL_l1347z00_4399));
																								BgL_test2435z00_5913 =
																									BGl_simplezf3ze70z14zzreduce_betaz00
																									(BgL_arg2008z00_4400);
																							}
																							if (BgL_test2435z00_5913)
																								{	/* Reduce/sbeta.scm 294 */
																									obj_t BgL_arg2007z00_4401;

																									BgL_arg2007z00_4401 =
																										CDR(
																										((obj_t)
																											BgL_l1347z00_4399));
																									{
																										obj_t BgL_l1347z00_5919;

																										BgL_l1347z00_5919 =
																											BgL_arg2007z00_4401;
																										BgL_l1347z00_4399 =
																											BgL_l1347z00_5919;
																										goto
																											BgL_zc3z04anonymousza32006ze3z87_4398;
																									}
																								}
																							else
																								{	/* Reduce/sbeta.scm 294 */
																									BgL_test2433z00_5908 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			if (BgL_test2433z00_5908)
																				{	/* Reduce/sbeta.scm 295 */
																					obj_t BgL_g1353z00_4402;

																					BgL_g1353z00_4402 =
																						(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_nodez00_4185)))->
																						BgL_bindingsz00);
																					{
																						obj_t BgL_l1351z00_4404;

																						BgL_l1351z00_4404 =
																							BgL_g1353z00_4402;
																					BgL_zc3z04anonymousza32001ze3z87_4403:
																						if (NULLP
																							(BgL_l1351z00_4404))
																							{	/* Reduce/sbeta.scm 295 */
																								BgL_test2428z00_5883 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Reduce/sbeta.scm 295 */
																								bool_t BgL_test2437z00_5924;

																								{	/* Reduce/sbeta.scm 296 */
																									obj_t BgL_bz00_4405;

																									BgL_bz00_4405 =
																										CAR(
																										((obj_t)
																											BgL_l1351z00_4404));
																									{	/* Reduce/sbeta.scm 296 */
																										bool_t BgL_test2438z00_5927;

																										{	/* Reduce/sbeta.scm 296 */
																											obj_t BgL_arg2004z00_4406;
																											obj_t BgL_arg2005z00_4407;

																											BgL_arg2004z00_4406 =
																												CAR(
																												((obj_t)
																													BgL_bz00_4405));
																											BgL_arg2005z00_4407 =
																												(((BgL_externz00_bglt)
																													COBJECT((
																															(BgL_externz00_bglt)
																															BgL_abodyz00_4246)))->
																												BgL_exprza2za2);
																											BgL_test2438z00_5927 =
																												BGl_argumentzf3zf3zzreduce_betaz00
																												(((BgL_variablez00_bglt)
																													BgL_arg2004z00_4406),
																												BgL_arg2005z00_4407);
																										}
																										if (BgL_test2438z00_5927)
																											{	/* Reduce/sbeta.scm 300 */
																												bool_t
																													BgL_test2439z00_5934;
																												{	/* Reduce/sbeta.scm 300 */
																													obj_t
																														BgL_arg2003z00_4408;
																													BgL_arg2003z00_4408 =
																														CDR(((obj_t)
																															BgL_bz00_4405));
																													{	/* Reduce/sbeta.scm 300 */
																														obj_t
																															BgL_classz00_4409;
																														BgL_classz00_4409 =
																															BGl_kwotez00zzast_nodez00;
																														if (BGL_OBJECTP
																															(BgL_arg2003z00_4408))
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_objectz00_bglt
																																	BgL_arg1858z00_4410;
																																BgL_arg1858z00_4410
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_arg2003z00_4408);
																																if (BGL_CONDEXPAND_ISA_ARCH64())
																																	{	/* Reduce/sbeta.scm 300 */
																																		long
																																			BgL_idxz00_4411;
																																		BgL_idxz00_4411
																																			=
																																			BGL_OBJECT_INHERITANCE_NUM
																																			(BgL_arg1858z00_4410);
																																		BgL_test2439z00_5934
																																			=
																																			(VECTOR_REF
																																			(BGl_za2inheritancesza2z00zz__objectz00,
																																				(BgL_idxz00_4411
																																					+
																																					2L))
																																			==
																																			BgL_classz00_4409);
																																	}
																																else
																																	{	/* Reduce/sbeta.scm 300 */
																																		bool_t
																																			BgL_res2185z00_4414;
																																		{	/* Reduce/sbeta.scm 300 */
																																			obj_t
																																				BgL_oclassz00_4415;
																																			{	/* Reduce/sbeta.scm 300 */
																																				obj_t
																																					BgL_arg1866z00_4416;
																																				long
																																					BgL_arg1867z00_4417;
																																				BgL_arg1866z00_4416
																																					=
																																					(BGl_za2classesza2z00zz__objectz00);
																																				{	/* Reduce/sbeta.scm 300 */
																																					long
																																						BgL_arg1869z00_4418;
																																					BgL_arg1869z00_4418
																																						=
																																						BGL_OBJECT_CLASS_NUM
																																						(BgL_arg1858z00_4410);
																																					BgL_arg1867z00_4417
																																						=
																																						(BgL_arg1869z00_4418
																																						-
																																						OBJECT_TYPE);
																																				}
																																				BgL_oclassz00_4415
																																					=
																																					VECTOR_REF
																																					(BgL_arg1866z00_4416,
																																					BgL_arg1867z00_4417);
																																			}
																																			{	/* Reduce/sbeta.scm 300 */
																																				bool_t
																																					BgL__ortest_1115z00_4419;
																																				BgL__ortest_1115z00_4419
																																					=
																																					(BgL_classz00_4409
																																					==
																																					BgL_oclassz00_4415);
																																				if (BgL__ortest_1115z00_4419)
																																					{	/* Reduce/sbeta.scm 300 */
																																						BgL_res2185z00_4414
																																							=
																																							BgL__ortest_1115z00_4419;
																																					}
																																				else
																																					{	/* Reduce/sbeta.scm 300 */
																																						long
																																							BgL_odepthz00_4420;
																																						{	/* Reduce/sbeta.scm 300 */
																																							obj_t
																																								BgL_arg1855z00_4421;
																																							BgL_arg1855z00_4421
																																								=
																																								(BgL_oclassz00_4415);
																																							BgL_odepthz00_4420
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_arg1855z00_4421);
																																						}
																																						if (
																																							(2L
																																								<
																																								BgL_odepthz00_4420))
																																							{	/* Reduce/sbeta.scm 300 */
																																								obj_t
																																									BgL_arg1853z00_4422;
																																								{	/* Reduce/sbeta.scm 300 */
																																									obj_t
																																										BgL_arg1854z00_4423;
																																									BgL_arg1854z00_4423
																																										=
																																										(BgL_oclassz00_4415);
																																									BgL_arg1853z00_4422
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_arg1854z00_4423,
																																										2L);
																																								}
																																								BgL_res2185z00_4414
																																									=
																																									(BgL_arg1853z00_4422
																																									==
																																									BgL_classz00_4409);
																																							}
																																						else
																																							{	/* Reduce/sbeta.scm 300 */
																																								BgL_res2185z00_4414
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																			}
																																		}
																																		BgL_test2439z00_5934
																																			=
																																			BgL_res2185z00_4414;
																																	}
																															}
																														else
																															{	/* Reduce/sbeta.scm 300 */
																																BgL_test2439z00_5934
																																	=
																																	((bool_t) 0);
																															}
																													}
																												}
																												if (BgL_test2439z00_5934)
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2437z00_5924
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Reduce/sbeta.scm 300 */
																														BgL_test2437z00_5924
																															= ((bool_t) 1);
																													}
																											}
																										else
																											{	/* Reduce/sbeta.scm 296 */
																												BgL_test2437z00_5924 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test2437z00_5924)
																									{	/* Reduce/sbeta.scm 295 */
																										obj_t BgL_arg2002z00_4424;

																										BgL_arg2002z00_4424 =
																											CDR(
																											((obj_t)
																												BgL_l1351z00_4404));
																										{
																											obj_t BgL_l1351z00_5961;

																											BgL_l1351z00_5961 =
																												BgL_arg2002z00_4424;
																											BgL_l1351z00_4404 =
																												BgL_l1351z00_5961;
																											goto
																												BgL_zc3z04anonymousza32001ze3z87_4403;
																										}
																									}
																								else
																									{	/* Reduce/sbeta.scm 295 */
																										BgL_test2428z00_5883 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Reduce/sbeta.scm 294 */
																					BgL_test2428z00_5883 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Reduce/sbeta.scm 293 */
																			BgL_test2428z00_5883 = ((bool_t) 0);
																		}
																}
																if (BgL_test2428z00_5883)
																	{	/* Reduce/sbeta.scm 293 */
																		BGl_za2removedza2z00zzreduce_betaz00 =
																			(BGl_za2removedza2z00zzreduce_betaz00 +
																			bgl_list_length(
																				(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4185)))->
																					BgL_bindingsz00)));
																		{	/* Reduce/sbeta.scm 306 */
																			obj_t BgL_nexprza2za2_4425;

																			{	/* Reduce/sbeta.scm 306 */
																				obj_t BgL_arg1998z00_4426;
																				obj_t BgL_arg1999z00_4427;

																				BgL_arg1998z00_4426 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_nodez00_4185)))->
																					BgL_bindingsz00);
																				BgL_arg1999z00_4427 =
																					(((BgL_externz00_bglt)
																						COBJECT(((BgL_externz00_bglt) ((
																										(BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_4185)))->
																									BgL_bodyz00))))->
																					BgL_exprza2za2);
																				BgL_nexprza2za2_4425 =
																					BGl_makezd2argszd2listz00zzreduce_betaz00
																					(BgL_arg1998z00_4426,
																					BgL_arg1999z00_4427);
																			}
																			((((BgL_externz00_bglt) COBJECT(
																							((BgL_externz00_bglt)
																								BgL_abodyz00_4246)))->
																					BgL_exprza2za2) =
																				((obj_t) ((obj_t)
																						BgL_nexprza2za2_4425)), BUNSPEC);
																			if (CBOOL((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt) (
																										(BgL_externz00_bglt)
																										BgL_abodyz00_4246))))->
																						BgL_sidezd2effectzd2)))
																				{	/* Reduce/sbeta.scm 308 */
																					BFALSE;
																				}
																			else
																				{	/* Reduce/sbeta.scm 309 */
																					bool_t BgL_arg1991z00_4428;

																					{
																						obj_t BgL_l1355z00_4430;

																						BgL_l1355z00_4430 =
																							BgL_nexprza2za2_4425;
																					BgL_zc3z04anonymousza31992ze3z87_4429:
																						if (NULLP
																							(BgL_l1355z00_4430))
																							{	/* Reduce/sbeta.scm 309 */
																								BgL_arg1991z00_4428 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Reduce/sbeta.scm 309 */
																								bool_t BgL__ortest_1357z00_4431;

																								{	/* Reduce/sbeta.scm 309 */
																									obj_t BgL_arg1995z00_4432;

																									BgL_arg1995z00_4432 =
																										CAR(
																										((obj_t)
																											BgL_l1355z00_4430));
																									BgL__ortest_1357z00_4431 =
																										BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																											BgL_arg1995z00_4432));
																								}
																								if (BgL__ortest_1357z00_4431)
																									{	/* Reduce/sbeta.scm 309 */
																										BgL_arg1991z00_4428 =
																											BgL__ortest_1357z00_4431;
																									}
																								else
																									{	/* Reduce/sbeta.scm 309 */
																										obj_t BgL_arg1994z00_4433;

																										BgL_arg1994z00_4433 =
																											CDR(
																											((obj_t)
																												BgL_l1355z00_4430));
																										{
																											obj_t BgL_l1355z00_5990;

																											BgL_l1355z00_5990 =
																												BgL_arg1994z00_4433;
																											BgL_l1355z00_4430 =
																												BgL_l1355z00_5990;
																											goto
																												BgL_zc3z04anonymousza31992ze3z87_4429;
																										}
																									}
																							}
																					}
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										((BgL_externz00_bglt)
																											BgL_abodyz00_4246))))->
																							BgL_sidezd2effectzd2) =
																						((obj_t)
																							BBOOL(BgL_arg1991z00_4428)),
																						BUNSPEC);
																				}
																		}
																		return BgL_abodyz00_4246;
																	}
																else
																	{	/* Reduce/sbeta.scm 293 */
																		return
																			((BgL_nodez00_bglt)
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_4185));
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Reduce/sbeta.scm 241 */
						return
							((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_4185));
					}
			}
		}

	}



/* simple?~0 */
	bool_t BGl_simplezf3ze70z14zzreduce_betaz00(obj_t BgL_ez00_2094)
	{
		{	/* Reduce/sbeta.scm 230 */
			{	/* Reduce/sbeta.scm 226 */
				bool_t BgL__ortest_1114z00_2096;

				{	/* Reduce/sbeta.scm 226 */
					obj_t BgL_classz00_3215;

					BgL_classz00_3215 = BGl_atomz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_ez00_2094))
						{	/* Reduce/sbeta.scm 226 */
							BgL_objectz00_bglt BgL_arg1858z00_3217;

							BgL_arg1858z00_3217 = (BgL_objectz00_bglt) (BgL_ez00_2094);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/sbeta.scm 226 */
									long BgL_idxz00_3223;

									BgL_idxz00_3223 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3217);
									BgL__ortest_1114z00_2096 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3223 + 2L)) == BgL_classz00_3215);
								}
							else
								{	/* Reduce/sbeta.scm 226 */
									bool_t BgL_res2174z00_3248;

									{	/* Reduce/sbeta.scm 226 */
										obj_t BgL_oclassz00_3231;

										{	/* Reduce/sbeta.scm 226 */
											obj_t BgL_arg1866z00_3239;
											long BgL_arg1867z00_3240;

											BgL_arg1866z00_3239 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/sbeta.scm 226 */
												long BgL_arg1869z00_3241;

												BgL_arg1869z00_3241 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3217);
												BgL_arg1867z00_3240 =
													(BgL_arg1869z00_3241 - OBJECT_TYPE);
											}
											BgL_oclassz00_3231 =
												VECTOR_REF(BgL_arg1866z00_3239, BgL_arg1867z00_3240);
										}
										{	/* Reduce/sbeta.scm 226 */
											bool_t BgL__ortest_1115z00_3232;

											BgL__ortest_1115z00_3232 =
												(BgL_classz00_3215 == BgL_oclassz00_3231);
											if (BgL__ortest_1115z00_3232)
												{	/* Reduce/sbeta.scm 226 */
													BgL_res2174z00_3248 = BgL__ortest_1115z00_3232;
												}
											else
												{	/* Reduce/sbeta.scm 226 */
													long BgL_odepthz00_3233;

													{	/* Reduce/sbeta.scm 226 */
														obj_t BgL_arg1855z00_3234;

														BgL_arg1855z00_3234 = (BgL_oclassz00_3231);
														BgL_odepthz00_3233 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3234);
													}
													if ((2L < BgL_odepthz00_3233))
														{	/* Reduce/sbeta.scm 226 */
															obj_t BgL_arg1853z00_3236;

															{	/* Reduce/sbeta.scm 226 */
																obj_t BgL_arg1854z00_3237;

																BgL_arg1854z00_3237 = (BgL_oclassz00_3231);
																BgL_arg1853z00_3236 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3237,
																	2L);
															}
															BgL_res2174z00_3248 =
																(BgL_arg1853z00_3236 == BgL_classz00_3215);
														}
													else
														{	/* Reduce/sbeta.scm 226 */
															BgL_res2174z00_3248 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1114z00_2096 = BgL_res2174z00_3248;
								}
						}
					else
						{	/* Reduce/sbeta.scm 226 */
							BgL__ortest_1114z00_2096 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1114z00_2096)
					{	/* Reduce/sbeta.scm 226 */
						return BgL__ortest_1114z00_2096;
					}
				else
					{	/* Reduce/sbeta.scm 227 */
						bool_t BgL__ortest_1116z00_2097;

						{	/* Reduce/sbeta.scm 227 */
							obj_t BgL_classz00_3249;

							BgL_classz00_3249 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_ez00_2094))
								{	/* Reduce/sbeta.scm 227 */
									BgL_objectz00_bglt BgL_arg1858z00_3251;

									BgL_arg1858z00_3251 = (BgL_objectz00_bglt) (BgL_ez00_2094);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/sbeta.scm 227 */
											long BgL_idxz00_3257;

											BgL_idxz00_3257 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3251);
											BgL__ortest_1116z00_2097 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3257 + 2L)) == BgL_classz00_3249);
										}
									else
										{	/* Reduce/sbeta.scm 227 */
											bool_t BgL_res2175z00_3282;

											{	/* Reduce/sbeta.scm 227 */
												obj_t BgL_oclassz00_3265;

												{	/* Reduce/sbeta.scm 227 */
													obj_t BgL_arg1866z00_3273;
													long BgL_arg1867z00_3274;

													BgL_arg1866z00_3273 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/sbeta.scm 227 */
														long BgL_arg1869z00_3275;

														BgL_arg1869z00_3275 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3251);
														BgL_arg1867z00_3274 =
															(BgL_arg1869z00_3275 - OBJECT_TYPE);
													}
													BgL_oclassz00_3265 =
														VECTOR_REF(BgL_arg1866z00_3273,
														BgL_arg1867z00_3274);
												}
												{	/* Reduce/sbeta.scm 227 */
													bool_t BgL__ortest_1115z00_3266;

													BgL__ortest_1115z00_3266 =
														(BgL_classz00_3249 == BgL_oclassz00_3265);
													if (BgL__ortest_1115z00_3266)
														{	/* Reduce/sbeta.scm 227 */
															BgL_res2175z00_3282 = BgL__ortest_1115z00_3266;
														}
													else
														{	/* Reduce/sbeta.scm 227 */
															long BgL_odepthz00_3267;

															{	/* Reduce/sbeta.scm 227 */
																obj_t BgL_arg1855z00_3268;

																BgL_arg1855z00_3268 = (BgL_oclassz00_3265);
																BgL_odepthz00_3267 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3268);
															}
															if ((2L < BgL_odepthz00_3267))
																{	/* Reduce/sbeta.scm 227 */
																	obj_t BgL_arg1853z00_3270;

																	{	/* Reduce/sbeta.scm 227 */
																		obj_t BgL_arg1854z00_3271;

																		BgL_arg1854z00_3271 = (BgL_oclassz00_3265);
																		BgL_arg1853z00_3270 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3271, 2L);
																	}
																	BgL_res2175z00_3282 =
																		(BgL_arg1853z00_3270 == BgL_classz00_3249);
																}
															else
																{	/* Reduce/sbeta.scm 227 */
																	BgL_res2175z00_3282 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1116z00_2097 = BgL_res2175z00_3282;
										}
								}
							else
								{	/* Reduce/sbeta.scm 227 */
									BgL__ortest_1116z00_2097 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1116z00_2097)
							{	/* Reduce/sbeta.scm 227 */
								return BgL__ortest_1116z00_2097;
							}
						else
							{	/* Reduce/sbeta.scm 228 */
								bool_t BgL__ortest_1118z00_2098;

								{	/* Reduce/sbeta.scm 228 */
									bool_t BgL_test2457z00_6045;

									{	/* Reduce/sbeta.scm 228 */
										obj_t BgL_classz00_3283;

										BgL_classz00_3283 = BGl_vrefz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_ez00_2094))
											{	/* Reduce/sbeta.scm 228 */
												BgL_objectz00_bglt BgL_arg1858z00_3285;

												BgL_arg1858z00_3285 =
													(BgL_objectz00_bglt) (BgL_ez00_2094);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Reduce/sbeta.scm 228 */
														long BgL_idxz00_3291;

														BgL_idxz00_3291 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3285);
														BgL_test2457z00_6045 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3291 + 5L)) == BgL_classz00_3283);
													}
												else
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_res2176z00_3316;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_oclassz00_3299;

															{	/* Reduce/sbeta.scm 228 */
																obj_t BgL_arg1866z00_3307;
																long BgL_arg1867z00_3308;

																BgL_arg1866z00_3307 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Reduce/sbeta.scm 228 */
																	long BgL_arg1869z00_3309;

																	BgL_arg1869z00_3309 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3285);
																	BgL_arg1867z00_3308 =
																		(BgL_arg1869z00_3309 - OBJECT_TYPE);
																}
																BgL_oclassz00_3299 =
																	VECTOR_REF(BgL_arg1866z00_3307,
																	BgL_arg1867z00_3308);
															}
															{	/* Reduce/sbeta.scm 228 */
																bool_t BgL__ortest_1115z00_3300;

																BgL__ortest_1115z00_3300 =
																	(BgL_classz00_3283 == BgL_oclassz00_3299);
																if (BgL__ortest_1115z00_3300)
																	{	/* Reduce/sbeta.scm 228 */
																		BgL_res2176z00_3316 =
																			BgL__ortest_1115z00_3300;
																	}
																else
																	{	/* Reduce/sbeta.scm 228 */
																		long BgL_odepthz00_3301;

																		{	/* Reduce/sbeta.scm 228 */
																			obj_t BgL_arg1855z00_3302;

																			BgL_arg1855z00_3302 =
																				(BgL_oclassz00_3299);
																			BgL_odepthz00_3301 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3302);
																		}
																		if ((5L < BgL_odepthz00_3301))
																			{	/* Reduce/sbeta.scm 228 */
																				obj_t BgL_arg1853z00_3304;

																				{	/* Reduce/sbeta.scm 228 */
																					obj_t BgL_arg1854z00_3305;

																					BgL_arg1854z00_3305 =
																						(BgL_oclassz00_3299);
																					BgL_arg1853z00_3304 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3305, 5L);
																				}
																				BgL_res2176z00_3316 =
																					(BgL_arg1853z00_3304 ==
																					BgL_classz00_3283);
																			}
																		else
																			{	/* Reduce/sbeta.scm 228 */
																				BgL_res2176z00_3316 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2457z00_6045 = BgL_res2176z00_3316;
													}
											}
										else
											{	/* Reduce/sbeta.scm 228 */
												BgL_test2457z00_6045 = ((bool_t) 0);
											}
									}
									if (BgL_test2457z00_6045)
										{	/* Reduce/sbeta.scm 228 */
											obj_t BgL_g1311z00_2125;

											BgL_g1311z00_2125 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_vrefz00_bglt) BgL_ez00_2094))))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1309z00_2127;

												BgL_l1309z00_2127 = BgL_g1311z00_2125;
											BgL_zc3z04anonymousza32056ze3z87_2128:
												if (NULLP(BgL_l1309z00_2127))
													{	/* Reduce/sbeta.scm 228 */
														BgL__ortest_1118z00_2098 = ((bool_t) 1);
													}
												else
													{	/* Reduce/sbeta.scm 228 */
														bool_t BgL_test2463z00_6073;

														{	/* Reduce/sbeta.scm 228 */
															obj_t BgL_arg2059z00_2133;

															BgL_arg2059z00_2133 =
																CAR(((obj_t) BgL_l1309z00_2127));
															BgL_test2463z00_6073 =
																BGl_simplezf3ze70z14zzreduce_betaz00
																(BgL_arg2059z00_2133);
														}
														if (BgL_test2463z00_6073)
															{	/* Reduce/sbeta.scm 228 */
																obj_t BgL_arg2058z00_2132;

																BgL_arg2058z00_2132 =
																	CDR(((obj_t) BgL_l1309z00_2127));
																{
																	obj_t BgL_l1309z00_6079;

																	BgL_l1309z00_6079 = BgL_arg2058z00_2132;
																	BgL_l1309z00_2127 = BgL_l1309z00_6079;
																	goto BgL_zc3z04anonymousza32056ze3z87_2128;
																}
															}
														else
															{	/* Reduce/sbeta.scm 228 */
																BgL__ortest_1118z00_2098 = ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/sbeta.scm 228 */
											BgL__ortest_1118z00_2098 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1118z00_2098)
									{	/* Reduce/sbeta.scm 228 */
										return BgL__ortest_1118z00_2098;
									}
								else
									{	/* Reduce/sbeta.scm 229 */
										bool_t BgL__ortest_1119z00_2099;

										{	/* Reduce/sbeta.scm 229 */
											bool_t BgL_test2465z00_6081;

											{	/* Reduce/sbeta.scm 229 */
												obj_t BgL_classz00_3320;

												BgL_classz00_3320 = BGl_appz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_ez00_2094))
													{	/* Reduce/sbeta.scm 229 */
														BgL_objectz00_bglt BgL_arg1858z00_3322;

														BgL_arg1858z00_3322 =
															(BgL_objectz00_bglt) (BgL_ez00_2094);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Reduce/sbeta.scm 229 */
																long BgL_idxz00_3328;

																BgL_idxz00_3328 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3322);
																BgL_test2465z00_6081 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3328 + 3L)) ==
																	BgL_classz00_3320);
															}
														else
															{	/* Reduce/sbeta.scm 229 */
																bool_t BgL_res2177z00_3353;

																{	/* Reduce/sbeta.scm 229 */
																	obj_t BgL_oclassz00_3336;

																	{	/* Reduce/sbeta.scm 229 */
																		obj_t BgL_arg1866z00_3344;
																		long BgL_arg1867z00_3345;

																		BgL_arg1866z00_3344 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Reduce/sbeta.scm 229 */
																			long BgL_arg1869z00_3346;

																			BgL_arg1869z00_3346 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3322);
																			BgL_arg1867z00_3345 =
																				(BgL_arg1869z00_3346 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3336 =
																			VECTOR_REF(BgL_arg1866z00_3344,
																			BgL_arg1867z00_3345);
																	}
																	{	/* Reduce/sbeta.scm 229 */
																		bool_t BgL__ortest_1115z00_3337;

																		BgL__ortest_1115z00_3337 =
																			(BgL_classz00_3320 == BgL_oclassz00_3336);
																		if (BgL__ortest_1115z00_3337)
																			{	/* Reduce/sbeta.scm 229 */
																				BgL_res2177z00_3353 =
																					BgL__ortest_1115z00_3337;
																			}
																		else
																			{	/* Reduce/sbeta.scm 229 */
																				long BgL_odepthz00_3338;

																				{	/* Reduce/sbeta.scm 229 */
																					obj_t BgL_arg1855z00_3339;

																					BgL_arg1855z00_3339 =
																						(BgL_oclassz00_3336);
																					BgL_odepthz00_3338 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3339);
																				}
																				if ((3L < BgL_odepthz00_3338))
																					{	/* Reduce/sbeta.scm 229 */
																						obj_t BgL_arg1853z00_3341;

																						{	/* Reduce/sbeta.scm 229 */
																							obj_t BgL_arg1854z00_3342;

																							BgL_arg1854z00_3342 =
																								(BgL_oclassz00_3336);
																							BgL_arg1853z00_3341 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3342, 3L);
																						}
																						BgL_res2177z00_3353 =
																							(BgL_arg1853z00_3341 ==
																							BgL_classz00_3320);
																					}
																				else
																					{	/* Reduce/sbeta.scm 229 */
																						BgL_res2177z00_3353 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2465z00_6081 = BgL_res2177z00_3353;
															}
													}
												else
													{	/* Reduce/sbeta.scm 229 */
														BgL_test2465z00_6081 = ((bool_t) 0);
													}
											}
											if (BgL_test2465z00_6081)
												{	/* Reduce/sbeta.scm 229 */
													bool_t BgL_test2470z00_6104;

													{	/* Reduce/sbeta.scm 229 */
														obj_t BgL_g1315z00_2114;

														BgL_g1315z00_2114 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_ez00_2094)))->
															BgL_argsz00);
														{
															obj_t BgL_l1313z00_2116;

															BgL_l1313z00_2116 = BgL_g1315z00_2114;
														BgL_zc3z04anonymousza32052ze3z87_2117:
															if (NULLP(BgL_l1313z00_2116))
																{	/* Reduce/sbeta.scm 229 */
																	BgL_test2470z00_6104 = ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	bool_t BgL_test2472z00_6109;

																	{	/* Reduce/sbeta.scm 229 */
																		obj_t BgL_arg2055z00_2122;

																		BgL_arg2055z00_2122 =
																			CAR(((obj_t) BgL_l1313z00_2116));
																		BgL_test2472z00_6109 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2055z00_2122);
																	}
																	if (BgL_test2472z00_6109)
																		{	/* Reduce/sbeta.scm 229 */
																			obj_t BgL_arg2054z00_2121;

																			BgL_arg2054z00_2121 =
																				CDR(((obj_t) BgL_l1313z00_2116));
																			{
																				obj_t BgL_l1313z00_6115;

																				BgL_l1313z00_6115 = BgL_arg2054z00_2121;
																				BgL_l1313z00_2116 = BgL_l1313z00_6115;
																				goto
																					BgL_zc3z04anonymousza32052ze3z87_2117;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 229 */
																			BgL_test2470z00_6104 = ((bool_t) 0);
																		}
																}
														}
													}
													if (BgL_test2470z00_6104)
														{	/* Reduce/sbeta.scm 229 */
															if (BGl_dangerouszf3zf3zzreduce_betaz00
																(BgL_ez00_2094))
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1119z00_2099 = ((bool_t) 0);
																}
															else
																{	/* Reduce/sbeta.scm 229 */
																	BgL__ortest_1119z00_2099 = ((bool_t) 1);
																}
														}
													else
														{	/* Reduce/sbeta.scm 229 */
															BgL__ortest_1119z00_2099 = ((bool_t) 0);
														}
												}
											else
												{	/* Reduce/sbeta.scm 229 */
													BgL__ortest_1119z00_2099 = ((bool_t) 0);
												}
										}
										if (BgL__ortest_1119z00_2099)
											{	/* Reduce/sbeta.scm 229 */
												return BgL__ortest_1119z00_2099;
											}
										else
											{	/* Reduce/sbeta.scm 230 */
												bool_t BgL_test2475z00_6119;

												{	/* Reduce/sbeta.scm 230 */
													obj_t BgL_classz00_3357;

													BgL_classz00_3357 = BGl_getfieldz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_ez00_2094))
														{	/* Reduce/sbeta.scm 230 */
															BgL_objectz00_bglt BgL_arg1858z00_3359;

															BgL_arg1858z00_3359 =
																(BgL_objectz00_bglt) (BgL_ez00_2094);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Reduce/sbeta.scm 230 */
																	long BgL_idxz00_3365;

																	BgL_idxz00_3365 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3359);
																	BgL_test2475z00_6119 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3365 + 5L)) ==
																		BgL_classz00_3357);
																}
															else
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_res2178z00_3390;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_oclassz00_3373;

																		{	/* Reduce/sbeta.scm 230 */
																			obj_t BgL_arg1866z00_3381;
																			long BgL_arg1867z00_3382;

																			BgL_arg1866z00_3381 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Reduce/sbeta.scm 230 */
																				long BgL_arg1869z00_3383;

																				BgL_arg1869z00_3383 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3359);
																				BgL_arg1867z00_3382 =
																					(BgL_arg1869z00_3383 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3373 =
																				VECTOR_REF(BgL_arg1866z00_3381,
																				BgL_arg1867z00_3382);
																		}
																		{	/* Reduce/sbeta.scm 230 */
																			bool_t BgL__ortest_1115z00_3374;

																			BgL__ortest_1115z00_3374 =
																				(BgL_classz00_3357 ==
																				BgL_oclassz00_3373);
																			if (BgL__ortest_1115z00_3374)
																				{	/* Reduce/sbeta.scm 230 */
																					BgL_res2178z00_3390 =
																						BgL__ortest_1115z00_3374;
																				}
																			else
																				{	/* Reduce/sbeta.scm 230 */
																					long BgL_odepthz00_3375;

																					{	/* Reduce/sbeta.scm 230 */
																						obj_t BgL_arg1855z00_3376;

																						BgL_arg1855z00_3376 =
																							(BgL_oclassz00_3373);
																						BgL_odepthz00_3375 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3376);
																					}
																					if ((5L < BgL_odepthz00_3375))
																						{	/* Reduce/sbeta.scm 230 */
																							obj_t BgL_arg1853z00_3378;

																							{	/* Reduce/sbeta.scm 230 */
																								obj_t BgL_arg1854z00_3379;

																								BgL_arg1854z00_3379 =
																									(BgL_oclassz00_3373);
																								BgL_arg1853z00_3378 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3379, 5L);
																							}
																							BgL_res2178z00_3390 =
																								(BgL_arg1853z00_3378 ==
																								BgL_classz00_3357);
																						}
																					else
																						{	/* Reduce/sbeta.scm 230 */
																							BgL_res2178z00_3390 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2475z00_6119 = BgL_res2178z00_3390;
																}
														}
													else
														{	/* Reduce/sbeta.scm 230 */
															BgL_test2475z00_6119 = ((bool_t) 0);
														}
												}
												if (BgL_test2475z00_6119)
													{	/* Reduce/sbeta.scm 230 */
														obj_t BgL_g1319z00_2101;

														BgL_g1319z00_2101 =
															(((BgL_externz00_bglt) COBJECT(
																	((BgL_externz00_bglt)
																		((BgL_getfieldz00_bglt) BgL_ez00_2094))))->
															BgL_exprza2za2);
														{
															obj_t BgL_l1317z00_2103;

															BgL_l1317z00_2103 = BgL_g1319z00_2101;
														BgL_zc3z04anonymousza32047ze3z87_2104:
															if (NULLP(BgL_l1317z00_2103))
																{	/* Reduce/sbeta.scm 230 */
																	return ((bool_t) 1);
																}
															else
																{	/* Reduce/sbeta.scm 230 */
																	bool_t BgL_test2481z00_6147;

																	{	/* Reduce/sbeta.scm 230 */
																		obj_t BgL_arg2050z00_2109;

																		BgL_arg2050z00_2109 =
																			CAR(((obj_t) BgL_l1317z00_2103));
																		BgL_test2481z00_6147 =
																			BGl_simplezf3ze70z14zzreduce_betaz00
																			(BgL_arg2050z00_2109);
																	}
																	if (BgL_test2481z00_6147)
																		{	/* Reduce/sbeta.scm 230 */
																			obj_t BgL_arg2049z00_2108;

																			BgL_arg2049z00_2108 =
																				CDR(((obj_t) BgL_l1317z00_2103));
																			{
																				obj_t BgL_l1317z00_6153;

																				BgL_l1317z00_6153 = BgL_arg2049z00_2108;
																				BgL_l1317z00_2103 = BgL_l1317z00_6153;
																				goto
																					BgL_zc3z04anonymousza32047ze3z87_2104;
																			}
																		}
																	else
																		{	/* Reduce/sbeta.scm 230 */
																			return ((bool_t) 0);
																		}
																}
														}
													}
												else
													{	/* Reduce/sbeta.scm 230 */
														return ((bool_t) 0);
													}
											}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_betaz00(void)
	{
		{	/* Reduce/sbeta.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_betaz00));
		}

	}

#ifdef __cplusplus
}
#endif
